#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2713
#define LARGE_STATE_COUNT 578
#define SYMBOL_COUNT 408
#define ALIAS_COUNT 0
#define TOKEN_COUNT 196
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 26
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 190

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_declaration_token2 = 14,
  aux_sym_namespace_use_declaration_token3 = 15,
  anon_sym_BSLASH = 16,
  aux_sym_namespace_aliasing_clause_token1 = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  aux_sym__arrow_function_header_token1 = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_LPAREN = 40,
  anon_sym_RPAREN = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_static = 53,
  anon_sym_false = 54,
  anon_sym_null = 55,
  anon_sym_true = 56,
  aux_sym_cast_type_token1 = 57,
  aux_sym_cast_type_token2 = 58,
  aux_sym_cast_type_token3 = 59,
  aux_sym_cast_type_token4 = 60,
  aux_sym_cast_type_token5 = 61,
  aux_sym_cast_type_token6 = 62,
  aux_sym_cast_type_token7 = 63,
  aux_sym_cast_type_token8 = 64,
  aux_sym_cast_type_token9 = 65,
  aux_sym_cast_type_token10 = 66,
  aux_sym_cast_type_token11 = 67,
  aux_sym_cast_type_token12 = 68,
  aux_sym_echo_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_AT = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym_object_creation_expression_token1 = 109,
  anon_sym_DASH_DASH = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  aux_sym__argument_name_token1 = 132,
  aux_sym__argument_name_token2 = 133,
  anon_sym_POUND_LBRACK = 134,
  sym_escape_sequence = 135,
  anon_sym_BSLASHu = 136,
  anon_sym_SQUOTE = 137,
  anon_sym_LT_QMARK = 138,
  anon_sym_QMARK_GT2 = 139,
  aux_sym_encapsed_string_token1 = 140,
  anon_sym_DQUOTE = 141,
  aux_sym_string_token1 = 142,
  aux_sym_string_token2 = 143,
  sym_string_value = 144,
  anon_sym_LT_LT_LT = 145,
  anon_sym_DQUOTE2 = 146,
  sym__new_line = 147,
  anon_sym_ = 148,
  anon_sym_SQUOTE2 = 149,
  anon_sym_BQUOTE = 150,
  anon_sym_DOLLAR = 151,
  aux_sym_yield_expression_token1 = 152,
  aux_sym_yield_expression_token2 = 153,
  aux_sym_binary_expression_token1 = 154,
  anon_sym_QMARK_QMARK = 155,
  anon_sym_STAR_STAR = 156,
  aux_sym_binary_expression_token2 = 157,
  aux_sym_binary_expression_token3 = 158,
  aux_sym_binary_expression_token4 = 159,
  anon_sym_PIPE_PIPE = 160,
  anon_sym_AMP_AMP = 161,
  anon_sym_CARET = 162,
  anon_sym_EQ_EQ = 163,
  anon_sym_BANG_EQ = 164,
  anon_sym_LT_GT = 165,
  anon_sym_EQ_EQ_EQ = 166,
  anon_sym_BANG_EQ_EQ = 167,
  anon_sym_LT = 168,
  anon_sym_GT = 169,
  anon_sym_LT_EQ = 170,
  anon_sym_GT_EQ = 171,
  anon_sym_LT_EQ_GT = 172,
  anon_sym_LT_LT = 173,
  anon_sym_GT_GT = 174,
  anon_sym_DOT = 175,
  anon_sym_STAR = 176,
  anon_sym_SLASH = 177,
  anon_sym_PERCENT = 178,
  aux_sym_include_expression_token1 = 179,
  aux_sym_include_once_expression_token1 = 180,
  aux_sym_require_expression_token1 = 181,
  aux_sym_require_once_expression_token1 = 182,
  sym_comment = 183,
  sym__automatic_semicolon = 184,
  sym_encapsed_string_chars = 185,
  sym_encapsed_string_chars_after_variable = 186,
  sym_execution_string_chars = 187,
  sym_execution_string_chars_after_variable = 188,
  sym_encapsed_string_chars_heredoc = 189,
  sym_encapsed_string_chars_after_variable_heredoc = 190,
  sym__eof = 191,
  sym_heredoc_start = 192,
  sym_heredoc_end = 193,
  sym_nowdoc_string = 194,
  sym_sentinel_error = 195,
  sym_program = 196,
  sym_text_interpolation = 197,
  sym_text = 198,
  sym_empty_statement = 199,
  sym_reference_modifier = 200,
  sym_function_static_declaration = 201,
  sym_static_variable_declaration = 202,
  sym_global_declaration = 203,
  sym_namespace_definition = 204,
  sym_namespace_use_declaration = 205,
  sym_namespace_use_clause = 206,
  sym_qualified_name = 207,
  sym_namespace_name_as_prefix = 208,
  sym_namespace_name = 209,
  sym_namespace_aliasing_clause = 210,
  sym_namespace_use_group = 211,
  sym_namespace_use_group_clause = 212,
  sym_trait_declaration = 213,
  sym_interface_declaration = 214,
  sym_base_clause = 215,
  sym_enum_declaration = 216,
  sym_enum_declaration_list = 217,
  sym__enum_member_declaration = 218,
  sym_enum_case = 219,
  sym_class_declaration = 220,
  sym_declaration_list = 221,
  sym_final_modifier = 222,
  sym_abstract_modifier = 223,
  sym_readonly_modifier = 224,
  sym_class_interface_clause = 225,
  sym__member_declaration = 226,
  sym_const_declaration = 227,
  sym__class_const_declaration = 228,
  sym__const_declaration = 229,
  sym_property_declaration = 230,
  sym__modifier = 231,
  sym_property_element = 232,
  sym_property_initializer = 233,
  sym_method_declaration = 234,
  sym_static_modifier = 235,
  sym_use_declaration = 236,
  sym_use_list = 237,
  sym_use_instead_of_clause = 238,
  sym_use_as_clause = 239,
  sym_visibility_modifier = 240,
  sym_function_definition = 241,
  sym__function_definition_header = 242,
  sym__arrow_function_header = 243,
  sym_arrow_function = 244,
  sym_formal_parameters = 245,
  sym_property_promotion_parameter = 246,
  sym_simple_parameter = 247,
  sym_variadic_parameter = 248,
  sym__type = 249,
  sym__types = 250,
  sym_named_type = 251,
  sym_optional_type = 252,
  sym_union_type = 253,
  sym_intersection_type = 254,
  sym_disjunctive_normal_form_type = 255,
  sym_primitive_type = 256,
  sym_cast_type = 257,
  sym__return_type = 258,
  sym_const_element = 259,
  sym_echo_statement = 260,
  sym_unset_statement = 261,
  sym_declare_statement = 262,
  sym_declare_directive = 263,
  sym_try_statement = 264,
  sym_catch_clause = 265,
  sym_type_list = 266,
  sym_finally_clause = 267,
  sym_goto_statement = 268,
  sym_continue_statement = 269,
  sym_break_statement = 270,
  sym_return_statement = 271,
  sym_throw_expression = 272,
  sym_while_statement = 273,
  sym_do_statement = 274,
  sym_for_statement = 275,
  sym__expressions = 276,
  sym_sequence_expression = 277,
  sym_foreach_statement = 278,
  sym_foreach_pair = 279,
  sym_if_statement = 280,
  sym_colon_block = 281,
  sym_else_if_clause = 282,
  sym_else_clause = 283,
  sym_else_if_clause_2 = 284,
  sym_else_clause_2 = 285,
  sym_match_expression = 286,
  sym_match_block = 287,
  sym_match_condition_list = 288,
  sym_match_conditional_expression = 289,
  sym_match_default_expression = 290,
  sym_switch_statement = 291,
  sym_switch_block = 292,
  sym_case_statement = 293,
  sym_default_statement = 294,
  sym_compound_statement = 295,
  sym_named_label_statement = 296,
  sym_expression_statement = 297,
  sym__expression = 298,
  sym__unary_expression = 299,
  sym_unary_op_expression = 300,
  sym_error_suppression_expression = 301,
  sym_clone_expression = 302,
  sym__primary_expression = 303,
  sym_parenthesized_expression = 304,
  sym_class_constant_access_expression = 305,
  sym_print_intrinsic = 306,
  sym_anonymous_function_creation_expression = 307,
  sym_anonymous_function_use_clause = 308,
  sym_object_creation_expression = 309,
  sym_update_expression = 310,
  sym_cast_expression = 311,
  sym_cast_variable = 312,
  sym_assignment_expression = 313,
  sym_reference_assignment_expression = 314,
  sym_conditional_expression = 315,
  sym_augmented_assignment_expression = 316,
  sym_member_access_expression = 317,
  sym_nullsafe_member_access_expression = 318,
  sym_scoped_property_access_expression = 319,
  sym_list_literal = 320,
  sym__list_destructing = 321,
  sym__array_destructing = 322,
  sym__array_destructing_element = 323,
  sym_function_call_expression = 324,
  sym_scoped_call_expression = 325,
  sym__scope_resolution_qualifier = 326,
  sym_relative_scope = 327,
  sym_variadic_placeholder = 328,
  sym_arguments = 329,
  sym_argument = 330,
  sym__argument_name = 331,
  sym_member_call_expression = 332,
  sym_nullsafe_member_call_expression = 333,
  sym_variadic_unpacking = 334,
  sym_subscript_expression = 335,
  sym__dereferencable_expression = 336,
  sym_array_creation_expression = 337,
  sym_attribute_group = 338,
  sym_attribute_list = 339,
  sym_attribute = 340,
  sym__complex_string_part = 341,
  sym__simple_string_member_access_expression = 342,
  sym__simple_string_subscript_unary_expression = 343,
  sym__simple_string_array_access_argument = 344,
  sym__simple_string_subscript_expression = 345,
  sym__simple_string_part = 346,
  aux_sym__interpolated_string_body = 347,
  aux_sym__interpolated_string_body_heredoc = 348,
  sym_encapsed_string = 349,
  sym_string = 350,
  sym_heredoc_body = 351,
  sym_heredoc = 352,
  sym_nowdoc_body = 353,
  sym_nowdoc = 354,
  aux_sym__interpolated_execution_operator_body = 355,
  sym_shell_command_expression = 356,
  sym_boolean = 357,
  sym_null = 358,
  sym__string = 359,
  sym_dynamic_variable_name = 360,
  sym_variable_name = 361,
  sym_variable_reference = 362,
  sym_by_ref = 363,
  sym_yield_expression = 364,
  sym_array_element_initializer = 365,
  sym_binary_expression = 366,
  sym_include_expression = 367,
  sym_include_once_expression = 368,
  sym_require_expression = 369,
  sym_require_once_expression = 370,
  sym__reserved_identifier = 371,
  aux_sym_program_repeat1 = 372,
  aux_sym_text_repeat1 = 373,
  aux_sym_function_static_declaration_repeat1 = 374,
  aux_sym_global_declaration_repeat1 = 375,
  aux_sym_namespace_use_declaration_repeat1 = 376,
  aux_sym_namespace_name_repeat1 = 377,
  aux_sym_namespace_use_group_repeat1 = 378,
  aux_sym_base_clause_repeat1 = 379,
  aux_sym_enum_declaration_list_repeat1 = 380,
  aux_sym_declaration_list_repeat1 = 381,
  aux_sym__const_declaration_repeat1 = 382,
  aux_sym_property_declaration_repeat1 = 383,
  aux_sym_property_declaration_repeat2 = 384,
  aux_sym_use_list_repeat1 = 385,
  aux_sym_formal_parameters_repeat1 = 386,
  aux_sym_union_type_repeat1 = 387,
  aux_sym_intersection_type_repeat1 = 388,
  aux_sym_disjunctive_normal_form_type_repeat1 = 389,
  aux_sym_unset_statement_repeat1 = 390,
  aux_sym_try_statement_repeat1 = 391,
  aux_sym_type_list_repeat1 = 392,
  aux_sym_if_statement_repeat1 = 393,
  aux_sym_if_statement_repeat2 = 394,
  aux_sym_match_block_repeat1 = 395,
  aux_sym_match_condition_list_repeat1 = 396,
  aux_sym_switch_block_repeat1 = 397,
  aux_sym_anonymous_function_use_clause_repeat1 = 398,
  aux_sym__list_destructing_repeat1 = 399,
  aux_sym__array_destructing_repeat1 = 400,
  aux_sym_arguments_repeat1 = 401,
  aux_sym_array_creation_expression_repeat1 = 402,
  aux_sym_attribute_group_repeat1 = 403,
  aux_sym_attribute_list_repeat1 = 404,
  aux_sym_string_repeat1 = 405,
  aux_sym_heredoc_body_repeat1 = 406,
  aux_sym_nowdoc_body_repeat1 = 407,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_static] = "static",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_value",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_LT_QMARK] = "string_value",
  [anon_sym_QMARK_GT2] = "string_value",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "escape_sequence",
  [sym_string_value] = "string_value",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_] = "nowdoc_string",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_value",
  [sym_encapsed_string_chars_after_variable] = "string_value",
  [sym_execution_string_chars] = "string_value",
  [sym_execution_string_chars_after_variable] = "string_value",
  [sym_encapsed_string_chars_heredoc] = "string_value",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_value",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym__type] = "_type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym__expression] = "_expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_declaration_repeat2] = "property_declaration_repeat2",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = anon_sym_static,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_value,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_LT_QMARK] = sym_string_value,
  [anon_sym_QMARK_GT2] = sym_string_value,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = sym_escape_sequence,
  [sym_string_value] = sym_string_value,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_] = sym_nowdoc_string,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_value,
  [sym_encapsed_string_chars_after_variable] = sym_string_value,
  [sym_execution_string_chars] = sym_string_value,
  [sym_execution_string_chars_after_variable] = sym_string_value,
  [sym_encapsed_string_chars_heredoc] = sym_string_value,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_value,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym__type] = sym__type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym__expression] = sym__expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_declaration_repeat2] = aux_sym_property_declaration_repeat2,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_string_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_condition = 6,
  field_conditional_expressions = 7,
  field_default_value = 8,
  field_end_tag = 9,
  field_function = 10,
  field_identifier = 11,
  field_left = 12,
  field_modifier = 13,
  field_name = 14,
  field_object = 15,
  field_operator = 16,
  field_parameters = 17,
  field_readonly = 18,
  field_reference_modifier = 19,
  field_return_expression = 20,
  field_return_type = 21,
  field_right = 22,
  field_scope = 23,
  field_type = 24,
  field_value = 25,
  field_visibility = 26,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_left] = "left",
  [field_modifier] = "modifier",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 2},
  [10] = {.index = 10, .length = 5},
  [11] = {.index = 15, .length = 2},
  [12] = {.index = 17, .length = 1},
  [13] = {.index = 18, .length = 2},
  [14] = {.index = 20, .length = 2},
  [15] = {.index = 22, .length = 2},
  [16] = {.index = 24, .length = 2},
  [17] = {.index = 26, .length = 2},
  [19] = {.index = 28, .length = 2},
  [20] = {.index = 30, .length = 2},
  [21] = {.index = 32, .length = 1},
  [22] = {.index = 33, .length = 5},
  [23] = {.index = 38, .length = 3},
  [24] = {.index = 41, .length = 2},
  [25] = {.index = 43, .length = 2},
  [26] = {.index = 45, .length = 2},
  [27] = {.index = 47, .length = 2},
  [28] = {.index = 49, .length = 6},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 2},
  [34] = {.index = 65, .length = 2},
  [35] = {.index = 67, .length = 3},
  [36] = {.index = 70, .length = 3},
  [37] = {.index = 73, .length = 3},
  [38] = {.index = 76, .length = 1},
  [39] = {.index = 77, .length = 3},
  [40] = {.index = 80, .length = 2},
  [41] = {.index = 82, .length = 1},
  [42] = {.index = 83, .length = 3},
  [43] = {.index = 86, .length = 2},
  [44] = {.index = 88, .length = 3},
  [45] = {.index = 91, .length = 2},
  [46] = {.index = 93, .length = 1},
  [47] = {.index = 94, .length = 3},
  [48] = {.index = 97, .length = 3},
  [49] = {.index = 100, .length = 1},
  [52] = {.index = 101, .length = 3},
  [53] = {.index = 1, .length = 1},
  [54] = {.index = 104, .length = 1},
  [55] = {.index = 105, .length = 1},
  [56] = {.index = 106, .length = 3},
  [57] = {.index = 109, .length = 2},
  [58] = {.index = 111, .length = 2},
  [59] = {.index = 113, .length = 2},
  [60] = {.index = 115, .length = 2},
  [61] = {.index = 117, .length = 3},
  [62] = {.index = 120, .length = 3},
  [63] = {.index = 123, .length = 3},
  [64] = {.index = 126, .length = 3},
  [65] = {.index = 129, .length = 3},
  [66] = {.index = 132, .length = 3},
  [67] = {.index = 135, .length = 2},
  [68] = {.index = 137, .length = 3},
  [69] = {.index = 140, .length = 3},
  [70] = {.index = 143, .length = 2},
  [71] = {.index = 145, .length = 2},
  [72] = {.index = 147, .length = 3},
  [73] = {.index = 150, .length = 3},
  [74] = {.index = 153, .length = 2},
  [75] = {.index = 155, .length = 3},
  [76] = {.index = 158, .length = 2},
  [77] = {.index = 160, .length = 3},
  [78] = {.index = 163, .length = 3},
  [79] = {.index = 166, .length = 3},
  [80] = {.index = 169, .length = 2},
  [81] = {.index = 171, .length = 4},
  [82] = {.index = 175, .length = 4},
  [83] = {.index = 179, .length = 3},
  [84] = {.index = 182, .length = 3},
  [85] = {.index = 185, .length = 2},
  [86] = {.index = 187, .length = 4},
  [87] = {.index = 191, .length = 2},
  [88] = {.index = 193, .length = 2},
  [89] = {.index = 193, .length = 2},
  [90] = {.index = 195, .length = 2},
  [91] = {.index = 197, .length = 4},
  [92] = {.index = 201, .length = 2},
  [93] = {.index = 203, .length = 3},
  [94] = {.index = 206, .length = 2},
  [95] = {.index = 208, .length = 4},
  [96] = {.index = 212, .length = 2},
  [97] = {.index = 214, .length = 3},
  [98] = {.index = 217, .length = 4},
  [99] = {.index = 221, .length = 3},
  [100] = {.index = 224, .length = 1},
  [101] = {.index = 225, .length = 3},
  [103] = {.index = 228, .length = 2},
  [104] = {.index = 230, .length = 3},
  [105] = {.index = 233, .length = 4},
  [106] = {.index = 237, .length = 4},
  [107] = {.index = 241, .length = 3},
  [108] = {.index = 244, .length = 3},
  [109] = {.index = 247, .length = 4},
  [110] = {.index = 251, .length = 4},
  [111] = {.index = 255, .length = 3},
  [112] = {.index = 258, .length = 3},
  [113] = {.index = 261, .length = 4},
  [114] = {.index = 265, .length = 3},
  [115] = {.index = 268, .length = 3},
  [116] = {.index = 271, .length = 3},
  [117] = {.index = 274, .length = 4},
  [118] = {.index = 278, .length = 3},
  [119] = {.index = 281, .length = 3},
  [120] = {.index = 284, .length = 3},
  [121] = {.index = 287, .length = 3},
  [122] = {.index = 290, .length = 4},
  [123] = {.index = 294, .length = 4},
  [124] = {.index = 298, .length = 3},
  [125] = {.index = 301, .length = 4},
  [126] = {.index = 305, .length = 3},
  [127] = {.index = 308, .length = 4},
  [128] = {.index = 312, .length = 3},
  [129] = {.index = 315, .length = 5},
  [130] = {.index = 320, .length = 4},
  [131] = {.index = 324, .length = 5},
  [132] = {.index = 329, .length = 2},
  [133] = {.index = 331, .length = 1},
  [134] = {.index = 332, .length = 2},
  [135] = {.index = 334, .length = 1},
  [138] = {.index = 335, .length = 3},
  [139] = {.index = 338, .length = 5},
  [140] = {.index = 343, .length = 3},
  [141] = {.index = 346, .length = 4},
  [142] = {.index = 350, .length = 3},
  [143] = {.index = 353, .length = 3},
  [144] = {.index = 356, .length = 4},
  [145] = {.index = 360, .length = 4},
  [146] = {.index = 364, .length = 3},
  [147] = {.index = 367, .length = 5},
  [148] = {.index = 372, .length = 4},
  [149] = {.index = 376, .length = 4},
  [150] = {.index = 380, .length = 3},
  [151] = {.index = 380, .length = 3},
  [152] = {.index = 383, .length = 4},
  [153] = {.index = 387, .length = 5},
  [154] = {.index = 392, .length = 4},
  [155] = {.index = 396, .length = 4},
  [156] = {.index = 400, .length = 4},
  [157] = {.index = 404, .length = 4},
  [158] = {.index = 408, .length = 4},
  [159] = {.index = 412, .length = 4},
  [160] = {.index = 416, .length = 5},
  [161] = {.index = 421, .length = 4},
  [162] = {.index = 425, .length = 4},
  [163] = {.index = 429, .length = 4},
  [164] = {.index = 433, .length = 1},
  [165] = {.index = 434, .length = 5},
  [166] = {.index = 439, .length = 6},
  [167] = {.index = 445, .length = 2},
  [168] = {.index = 447, .length = 1},
  [169] = {.index = 448, .length = 3},
  [170] = {.index = 451, .length = 5},
  [171] = {.index = 456, .length = 4},
  [172] = {.index = 460, .length = 5},
  [173] = {.index = 465, .length = 4},
  [174] = {.index = 469, .length = 4},
  [175] = {.index = 473, .length = 5},
  [176] = {.index = 478, .length = 3},
  [177] = {.index = 481, .length = 4},
  [178] = {.index = 485, .length = 5},
  [179] = {.index = 490, .length = 5},
  [180] = {.index = 495, .length = 5},
  [181] = {.index = 500, .length = 5},
  [182] = {.index = 505, .length = 5},
  [183] = {.index = 510, .length = 2},
  [184] = {.index = 512, .length = 2},
  [185] = {.index = 514, .length = 3},
  [186] = {.index = 517, .length = 5},
  [187] = {.index = 522, .length = 5},
  [188] = {.index = 527, .length = 6},
  [189] = {.index = 533, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [8] =
    {field_arguments, 1},
    {field_function, 0},
  [10] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [15] =
    {field_argument, 0},
    {field_operator, 1},
  [17] =
    {field_name, 1},
  [18] =
    {field_body, 2},
    {field_name, 1},
  [20] =
    {field_name, 1},
    {field_parameters, 2},
  [22] =
    {field_body, 2},
    {field_parameters, 1},
  [24] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [26] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [28] =
    {field_body, 2},
    {field_condition, 1},
  [30] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [32] =
    {field_parameters, 2},
  [33] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [38] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [41] =
    {field_left, 0},
    {field_right, 2},
  [43] =
    {field_name, 2},
    {field_scope, 0},
  [45] =
    {field_name, 2},
    {field_object, 0},
  [47] =
    {field_attributes, 0},
    {field_parameters, 2},
  [49] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [55] =
    {field_body, 3},
    {field_parameters, 2},
  [57] =
    {field_name, 0},
    {field_value, 2},
  [59] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [61] =
    {field_name, 1},
    {field_visibility, 0},
  [63] =
    {field_name, 1},
    {field_type, 0},
  [65] =
    {field_attributes, 0},
    {field_name, 1},
  [67] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [70] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [73] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [76] =
    {field_return_type, 1},
  [77] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [80] =
    {field_body, 3},
    {field_parameters, 1},
  [82] =
    {field_type, 1},
  [83] =
    {field_attributes, 0, .inherited = true},
    {field_modifier, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [86] =
    {field_body, 3},
    {field_name, 1},
  [88] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [91] =
    {field_type, 1},
    {field_value, 3},
  [93] =
    {field_alternative, 0},
  [94] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [97] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [100] =
    {field_attributes, 1},
  [101] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [104] =
    {field_reference_modifier, 0},
  [105] =
    {field_name, 0, .inherited = true},
  [106] =
    {field_body, 3},
    {field_modifier, 0},
    {field_name, 2},
  [109] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [111] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [113] =
    {field_alternative, 3},
    {field_condition, 0},
  [115] =
    {field_left, 0},
    {field_right, 3},
  [117] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [120] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [123] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [126] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [129] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [132] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [135] =
    {field_attributes, 0},
    {field_parameters, 3},
  [137] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [140] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [143] =
    {field_body, 4},
    {field_parameters, 2},
  [145] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [147] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [150] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [153] =
    {field_name, 2},
    {field_type, 0},
  [155] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
  [160] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [163] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [166] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [169] =
    {field_default_value, 2},
    {field_name, 0},
  [171] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [175] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [179] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [182] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [185] =
    {field_modifier, 0},
    {field_type, 1, .inherited = true},
  [187] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [191] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [193] =
    {field_body, 4},
    {field_name, 1},
  [195] =
    {field_body, 1},
    {field_condition, 3},
  [197] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [201] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [203] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [206] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [208] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
  [212] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [214] =
    {field_body, 4},
    {field_modifier, 0},
    {field_name, 2},
  [217] =
    {field_body, 4},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [221] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [224] =
    {field_type, 2},
  [225] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [228] =
    {field_name, 3},
    {field_object, 0},
  [230] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
  [233] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [237] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [241] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [244] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [247] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [251] =
    {field_attributes, 0},
    {field_body, 4},
    {field_modifier, 1},
    {field_name, 3},
  [255] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [258] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [261] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [265] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [268] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [274] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [278] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [281] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [284] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [287] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [290] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [294] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [298] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [301] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [305] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [308] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [312] =
    {field_attributes, 0},
    {field_modifier, 1},
    {field_type, 2, .inherited = true},
  [315] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [320] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [324] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [329] =
    {field_body, 5},
    {field_name, 1},
  [331] =
    {field_return_expression, 2},
  [332] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [334] =
    {field_value, 1},
  [335] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [338] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [343] =
    {field_body, 5},
    {field_modifier, 0},
    {field_name, 2},
  [346] =
    {field_body, 5},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [350] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [353] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [356] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [360] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [364] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
  [367] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [372] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [376] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [380] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [383] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_name, 3},
  [387] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [392] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [396] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [400] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [404] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [408] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [412] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [416] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [421] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [425] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [429] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [433] =
    {field_attributes, 0},
  [434] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [439] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [445] =
    {field_body, 4},
    {field_type, 2},
  [447] =
    {field_body, 6},
  [448] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [451] =
    {field_end_tag, 6},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [456] =
    {field_body, 6},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [460] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [465] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [469] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [478] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [481] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_name, 3},
  [485] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [490] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [495] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [500] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [505] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [510] =
    {field_attributes, 0},
    {field_type, 2},
  [512] =
    {field_name, 1},
    {field_value, 3},
  [514] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [517] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
  [522] =
    {field_attributes, 0},
    {field_body, 7},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [527] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [533] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_list_literal,
  },
  [7] = {
    [0] = sym_string_value,
  },
  [18] = {
    [0] = anon_sym_array,
  },
  [50] = {
    [1] = sym_list_literal,
  },
  [51] = {
    [2] = sym_list_literal,
  },
  [53] = {
    [0] = sym_name,
  },
  [88] = {
    [3] = sym_primitive_type,
  },
  [102] = {
    [3] = sym_name,
  },
  [132] = {
    [3] = sym_primitive_type,
  },
  [136] = {
    [3] = sym_list_literal,
  },
  [137] = {
    [4] = sym_list_literal,
  },
  [150] = {
    [4] = sym_primitive_type,
  },
  [176] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__expression, 2,
    sym__expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 7,
  [9] = 2,
  [10] = 10,
  [11] = 10,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 18,
  [31] = 31,
  [32] = 29,
  [33] = 31,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 26,
  [42] = 26,
  [43] = 17,
  [44] = 35,
  [45] = 45,
  [46] = 23,
  [47] = 35,
  [48] = 38,
  [49] = 34,
  [50] = 23,
  [51] = 17,
  [52] = 26,
  [53] = 26,
  [54] = 18,
  [55] = 35,
  [56] = 29,
  [57] = 23,
  [58] = 29,
  [59] = 31,
  [60] = 37,
  [61] = 16,
  [62] = 39,
  [63] = 20,
  [64] = 19,
  [65] = 36,
  [66] = 23,
  [67] = 16,
  [68] = 18,
  [69] = 17,
  [70] = 31,
  [71] = 21,
  [72] = 22,
  [73] = 36,
  [74] = 24,
  [75] = 40,
  [76] = 36,
  [77] = 16,
  [78] = 78,
  [79] = 78,
  [80] = 80,
  [81] = 78,
  [82] = 82,
  [83] = 82,
  [84] = 80,
  [85] = 78,
  [86] = 86,
  [87] = 86,
  [88] = 86,
  [89] = 86,
  [90] = 90,
  [91] = 90,
  [92] = 92,
  [93] = 90,
  [94] = 92,
  [95] = 90,
  [96] = 92,
  [97] = 92,
  [98] = 92,
  [99] = 92,
  [100] = 90,
  [101] = 101,
  [102] = 101,
  [103] = 101,
  [104] = 104,
  [105] = 101,
  [106] = 101,
  [107] = 104,
  [108] = 104,
  [109] = 104,
  [110] = 104,
  [111] = 104,
  [112] = 104,
  [113] = 104,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 116,
  [118] = 115,
  [119] = 116,
  [120] = 116,
  [121] = 121,
  [122] = 115,
  [123] = 115,
  [124] = 115,
  [125] = 116,
  [126] = 115,
  [127] = 115,
  [128] = 116,
  [129] = 121,
  [130] = 116,
  [131] = 114,
  [132] = 116,
  [133] = 115,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 134,
  [139] = 137,
  [140] = 135,
  [141] = 141,
  [142] = 136,
  [143] = 143,
  [144] = 141,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 147,
  [151] = 149,
  [152] = 145,
  [153] = 153,
  [154] = 146,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 158,
  [162] = 162,
  [163] = 160,
  [164] = 160,
  [165] = 165,
  [166] = 166,
  [167] = 165,
  [168] = 168,
  [169] = 160,
  [170] = 166,
  [171] = 165,
  [172] = 162,
  [173] = 158,
  [174] = 162,
  [175] = 158,
  [176] = 159,
  [177] = 159,
  [178] = 168,
  [179] = 166,
  [180] = 166,
  [181] = 165,
  [182] = 162,
  [183] = 159,
  [184] = 168,
  [185] = 168,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 188,
  [190] = 186,
  [191] = 191,
  [192] = 192,
  [193] = 192,
  [194] = 187,
  [195] = 192,
  [196] = 196,
  [197] = 196,
  [198] = 198,
  [199] = 199,
  [200] = 192,
  [201] = 192,
  [202] = 192,
  [203] = 203,
  [204] = 204,
  [205] = 204,
  [206] = 204,
  [207] = 207,
  [208] = 204,
  [209] = 209,
  [210] = 209,
  [211] = 211,
  [212] = 212,
  [213] = 207,
  [214] = 207,
  [215] = 207,
  [216] = 211,
  [217] = 209,
  [218] = 211,
  [219] = 207,
  [220] = 207,
  [221] = 221,
  [222] = 222,
  [223] = 211,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 226,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 224,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 224,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 230,
  [246] = 246,
  [247] = 247,
  [248] = 224,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 225,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 250,
  [268] = 249,
  [269] = 269,
  [270] = 231,
  [271] = 271,
  [272] = 243,
  [273] = 234,
  [274] = 228,
  [275] = 266,
  [276] = 234,
  [277] = 265,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 264,
  [283] = 283,
  [284] = 283,
  [285] = 285,
  [286] = 279,
  [287] = 224,
  [288] = 228,
  [289] = 281,
  [290] = 234,
  [291] = 263,
  [292] = 236,
  [293] = 231,
  [294] = 294,
  [295] = 269,
  [296] = 249,
  [297] = 297,
  [298] = 298,
  [299] = 250,
  [300] = 266,
  [301] = 265,
  [302] = 280,
  [303] = 264,
  [304] = 226,
  [305] = 263,
  [306] = 262,
  [307] = 261,
  [308] = 260,
  [309] = 259,
  [310] = 258,
  [311] = 229,
  [312] = 280,
  [313] = 257,
  [314] = 256,
  [315] = 225,
  [316] = 253,
  [317] = 228,
  [318] = 281,
  [319] = 238,
  [320] = 226,
  [321] = 271,
  [322] = 254,
  [323] = 231,
  [324] = 252,
  [325] = 251,
  [326] = 240,
  [327] = 243,
  [328] = 247,
  [329] = 242,
  [330] = 242,
  [331] = 331,
  [332] = 240,
  [333] = 236,
  [334] = 246,
  [335] = 285,
  [336] = 336,
  [337] = 269,
  [338] = 249,
  [339] = 250,
  [340] = 266,
  [341] = 229,
  [342] = 265,
  [343] = 264,
  [344] = 224,
  [345] = 251,
  [346] = 346,
  [347] = 262,
  [348] = 263,
  [349] = 246,
  [350] = 246,
  [351] = 262,
  [352] = 247,
  [353] = 247,
  [354] = 252,
  [355] = 261,
  [356] = 229,
  [357] = 246,
  [358] = 261,
  [359] = 234,
  [360] = 247,
  [361] = 260,
  [362] = 279,
  [363] = 224,
  [364] = 230,
  [365] = 283,
  [366] = 260,
  [367] = 246,
  [368] = 229,
  [369] = 259,
  [370] = 254,
  [371] = 247,
  [372] = 258,
  [373] = 271,
  [374] = 257,
  [375] = 283,
  [376] = 256,
  [377] = 280,
  [378] = 247,
  [379] = 225,
  [380] = 236,
  [381] = 240,
  [382] = 242,
  [383] = 243,
  [384] = 253,
  [385] = 251,
  [386] = 252,
  [387] = 238,
  [388] = 230,
  [389] = 254,
  [390] = 390,
  [391] = 271,
  [392] = 238,
  [393] = 246,
  [394] = 253,
  [395] = 395,
  [396] = 269,
  [397] = 256,
  [398] = 398,
  [399] = 399,
  [400] = 285,
  [401] = 401,
  [402] = 257,
  [403] = 258,
  [404] = 246,
  [405] = 247,
  [406] = 259,
  [407] = 224,
  [408] = 246,
  [409] = 247,
  [410] = 224,
  [411] = 229,
  [412] = 234,
  [413] = 246,
  [414] = 285,
  [415] = 247,
  [416] = 416,
  [417] = 417,
  [418] = 229,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 426,
  [428] = 425,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 453,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 449,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 433,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 459,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 459,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 459,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 459,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 435,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 570,
  [572] = 570,
  [573] = 570,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 598,
  [600] = 598,
  [601] = 583,
  [602] = 579,
  [603] = 580,
  [604] = 604,
  [605] = 605,
  [606] = 581,
  [607] = 581,
  [608] = 578,
  [609] = 582,
  [610] = 575,
  [611] = 595,
  [612] = 612,
  [613] = 588,
  [614] = 590,
  [615] = 596,
  [616] = 587,
  [617] = 593,
  [618] = 577,
  [619] = 604,
  [620] = 576,
  [621] = 584,
  [622] = 612,
  [623] = 574,
  [624] = 598,
  [625] = 589,
  [626] = 592,
  [627] = 594,
  [628] = 628,
  [629] = 585,
  [630] = 591,
  [631] = 586,
  [632] = 597,
  [633] = 597,
  [634] = 634,
  [635] = 604,
  [636] = 636,
  [637] = 637,
  [638] = 604,
  [639] = 639,
  [640] = 639,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 578,
  [648] = 588,
  [649] = 649,
  [650] = 650,
  [651] = 583,
  [652] = 582,
  [653] = 645,
  [654] = 580,
  [655] = 579,
  [656] = 656,
  [657] = 656,
  [658] = 658,
  [659] = 584,
  [660] = 660,
  [661] = 589,
  [662] = 662,
  [663] = 590,
  [664] = 662,
  [665] = 594,
  [666] = 585,
  [667] = 574,
  [668] = 668,
  [669] = 668,
  [670] = 591,
  [671] = 671,
  [672] = 586,
  [673] = 592,
  [674] = 596,
  [675] = 576,
  [676] = 575,
  [677] = 593,
  [678] = 595,
  [679] = 577,
  [680] = 587,
  [681] = 681,
  [682] = 588,
  [683] = 660,
  [684] = 578,
  [685] = 681,
  [686] = 580,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 579,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 583,
  [695] = 695,
  [696] = 671,
  [697] = 697,
  [698] = 698,
  [699] = 583,
  [700] = 700,
  [701] = 582,
  [702] = 702,
  [703] = 582,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 580,
  [709] = 579,
  [710] = 578,
  [711] = 695,
  [712] = 649,
  [713] = 689,
  [714] = 583,
  [715] = 582,
  [716] = 716,
  [717] = 580,
  [718] = 579,
  [719] = 578,
  [720] = 720,
  [721] = 721,
  [722] = 596,
  [723] = 723,
  [724] = 724,
  [725] = 584,
  [726] = 726,
  [727] = 727,
  [728] = 590,
  [729] = 589,
  [730] = 569,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 591,
  [745] = 586,
  [746] = 593,
  [747] = 747,
  [748] = 585,
  [749] = 594,
  [750] = 577,
  [751] = 576,
  [752] = 575,
  [753] = 753,
  [754] = 595,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 592,
  [761] = 587,
  [762] = 574,
  [763] = 763,
  [764] = 706,
  [765] = 645,
  [766] = 583,
  [767] = 582,
  [768] = 435,
  [769] = 702,
  [770] = 578,
  [771] = 579,
  [772] = 580,
  [773] = 773,
  [774] = 649,
  [775] = 775,
  [776] = 645,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 646,
  [781] = 433,
  [782] = 658,
  [783] = 650,
  [784] = 596,
  [785] = 594,
  [786] = 585,
  [787] = 592,
  [788] = 587,
  [789] = 588,
  [790] = 790,
  [791] = 586,
  [792] = 792,
  [793] = 576,
  [794] = 794,
  [795] = 575,
  [796] = 590,
  [797] = 589,
  [798] = 591,
  [799] = 593,
  [800] = 595,
  [801] = 790,
  [802] = 574,
  [803] = 577,
  [804] = 584,
  [805] = 671,
  [806] = 689,
  [807] = 807,
  [808] = 578,
  [809] = 649,
  [810] = 583,
  [811] = 811,
  [812] = 588,
  [813] = 813,
  [814] = 813,
  [815] = 582,
  [816] = 816,
  [817] = 580,
  [818] = 702,
  [819] = 583,
  [820] = 582,
  [821] = 811,
  [822] = 695,
  [823] = 706,
  [824] = 695,
  [825] = 825,
  [826] = 704,
  [827] = 453,
  [828] = 689,
  [829] = 681,
  [830] = 811,
  [831] = 583,
  [832] = 671,
  [833] = 825,
  [834] = 449,
  [835] = 582,
  [836] = 692,
  [837] = 700,
  [838] = 698,
  [839] = 811,
  [840] = 580,
  [841] = 691,
  [842] = 579,
  [843] = 697,
  [844] = 721,
  [845] = 681,
  [846] = 811,
  [847] = 579,
  [848] = 848,
  [849] = 707,
  [850] = 825,
  [851] = 580,
  [852] = 578,
  [853] = 816,
  [854] = 807,
  [855] = 579,
  [856] = 578,
  [857] = 642,
  [858] = 593,
  [859] = 734,
  [860] = 736,
  [861] = 757,
  [862] = 723,
  [863] = 756,
  [864] = 743,
  [865] = 740,
  [866] = 735,
  [867] = 574,
  [868] = 733,
  [869] = 739,
  [870] = 731,
  [871] = 727,
  [872] = 759,
  [873] = 742,
  [874] = 590,
  [875] = 569,
  [876] = 586,
  [877] = 575,
  [878] = 732,
  [879] = 589,
  [880] = 758,
  [881] = 591,
  [882] = 737,
  [883] = 763,
  [884] = 753,
  [885] = 595,
  [886] = 726,
  [887] = 584,
  [888] = 747,
  [889] = 576,
  [890] = 585,
  [891] = 594,
  [892] = 577,
  [893] = 596,
  [894] = 706,
  [895] = 738,
  [896] = 724,
  [897] = 592,
  [898] = 587,
  [899] = 706,
  [900] = 755,
  [901] = 779,
  [902] = 775,
  [903] = 778,
  [904] = 702,
  [905] = 773,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 577,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 576,
  [937] = 575,
  [938] = 938,
  [939] = 939,
  [940] = 574,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 453,
  [973] = 449,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 990,
  [1007] = 975,
  [1008] = 976,
  [1009] = 994,
  [1010] = 995,
  [1011] = 998,
  [1012] = 999,
  [1013] = 989,
  [1014] = 986,
  [1015] = 985,
  [1016] = 1000,
  [1017] = 977,
  [1018] = 974,
  [1019] = 991,
  [1020] = 1002,
  [1021] = 1021,
  [1022] = 1001,
  [1023] = 993,
  [1024] = 1003,
  [1025] = 983,
  [1026] = 982,
  [1027] = 981,
  [1028] = 980,
  [1029] = 992,
  [1030] = 1005,
  [1031] = 978,
  [1032] = 984,
  [1033] = 996,
  [1034] = 979,
  [1035] = 997,
  [1036] = 987,
  [1037] = 1004,
  [1038] = 988,
  [1039] = 990,
  [1040] = 916,
  [1041] = 934,
  [1042] = 933,
  [1043] = 1003,
  [1044] = 975,
  [1045] = 574,
  [1046] = 958,
  [1047] = 1001,
  [1048] = 575,
  [1049] = 1002,
  [1050] = 946,
  [1051] = 997,
  [1052] = 996,
  [1053] = 971,
  [1054] = 576,
  [1055] = 947,
  [1056] = 1056,
  [1057] = 992,
  [1058] = 988,
  [1059] = 577,
  [1060] = 977,
  [1061] = 987,
  [1062] = 943,
  [1063] = 965,
  [1064] = 974,
  [1065] = 991,
  [1066] = 964,
  [1067] = 942,
  [1068] = 948,
  [1069] = 941,
  [1070] = 907,
  [1071] = 962,
  [1072] = 1072,
  [1073] = 984,
  [1074] = 906,
  [1075] = 961,
  [1076] = 921,
  [1077] = 978,
  [1078] = 935,
  [1079] = 924,
  [1080] = 920,
  [1081] = 953,
  [1082] = 983,
  [1083] = 917,
  [1084] = 954,
  [1085] = 952,
  [1086] = 966,
  [1087] = 944,
  [1088] = 982,
  [1089] = 981,
  [1090] = 980,
  [1091] = 433,
  [1092] = 979,
  [1093] = 945,
  [1094] = 1056,
  [1095] = 1072,
  [1096] = 968,
  [1097] = 929,
  [1098] = 435,
  [1099] = 911,
  [1100] = 922,
  [1101] = 985,
  [1102] = 918,
  [1103] = 1005,
  [1104] = 915,
  [1105] = 914,
  [1106] = 928,
  [1107] = 913,
  [1108] = 910,
  [1109] = 955,
  [1110] = 963,
  [1111] = 939,
  [1112] = 967,
  [1113] = 957,
  [1114] = 926,
  [1115] = 932,
  [1116] = 1004,
  [1117] = 938,
  [1118] = 923,
  [1119] = 930,
  [1120] = 927,
  [1121] = 908,
  [1122] = 912,
  [1123] = 969,
  [1124] = 909,
  [1125] = 949,
  [1126] = 1000,
  [1127] = 986,
  [1128] = 950,
  [1129] = 951,
  [1130] = 970,
  [1131] = 999,
  [1132] = 919,
  [1133] = 1072,
  [1134] = 1056,
  [1135] = 993,
  [1136] = 925,
  [1137] = 995,
  [1138] = 960,
  [1139] = 994,
  [1140] = 998,
  [1141] = 959,
  [1142] = 976,
  [1143] = 989,
  [1144] = 1004,
  [1145] = 984,
  [1146] = 980,
  [1147] = 990,
  [1148] = 991,
  [1149] = 975,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 981,
  [1153] = 974,
  [1154] = 985,
  [1155] = 986,
  [1156] = 1001,
  [1157] = 1157,
  [1158] = 989,
  [1159] = 993,
  [1160] = 994,
  [1161] = 996,
  [1162] = 995,
  [1163] = 998,
  [1164] = 977,
  [1165] = 987,
  [1166] = 978,
  [1167] = 999,
  [1168] = 1000,
  [1169] = 1005,
  [1170] = 1003,
  [1171] = 1002,
  [1172] = 997,
  [1173] = 976,
  [1174] = 988,
  [1175] = 992,
  [1176] = 982,
  [1177] = 979,
  [1178] = 983,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 983,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 983,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1183,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1188,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1193,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1201,
  [1212] = 1188,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1209,
  [1216] = 1216,
  [1217] = 1193,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1201,
  [1225] = 1183,
  [1226] = 1226,
  [1227] = 1209,
  [1228] = 1201,
  [1229] = 1193,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1221,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1199,
  [1237] = 1237,
  [1238] = 1197,
  [1239] = 1239,
  [1240] = 1209,
  [1241] = 1196,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1243,
  [1249] = 1247,
  [1250] = 1250,
  [1251] = 1243,
  [1252] = 1242,
  [1253] = 1250,
  [1254] = 1250,
  [1255] = 1255,
  [1256] = 1244,
  [1257] = 1257,
  [1258] = 1246,
  [1259] = 1245,
  [1260] = 1247,
  [1261] = 1261,
  [1262] = 1242,
  [1263] = 1263,
  [1264] = 1242,
  [1265] = 1242,
  [1266] = 1257,
  [1267] = 1261,
  [1268] = 1257,
  [1269] = 1269,
  [1270] = 1250,
  [1271] = 1243,
  [1272] = 1250,
  [1273] = 1242,
  [1274] = 1247,
  [1275] = 1244,
  [1276] = 1250,
  [1277] = 1250,
  [1278] = 1278,
  [1279] = 1257,
  [1280] = 1243,
  [1281] = 1244,
  [1282] = 1263,
  [1283] = 1257,
  [1284] = 1246,
  [1285] = 1285,
  [1286] = 1247,
  [1287] = 1261,
  [1288] = 1242,
  [1289] = 1250,
  [1290] = 1242,
  [1291] = 1250,
  [1292] = 1257,
  [1293] = 1293,
  [1294] = 1247,
  [1295] = 1261,
  [1296] = 1257,
  [1297] = 1242,
  [1298] = 1257,
  [1299] = 1263,
  [1300] = 1244,
  [1301] = 1250,
  [1302] = 1302,
  [1303] = 1242,
  [1304] = 1243,
  [1305] = 1243,
  [1306] = 1244,
  [1307] = 1245,
  [1308] = 1263,
  [1309] = 1302,
  [1310] = 1257,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1311,
  [1317] = 1317,
  [1318] = 1314,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1325,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1326,
  [1333] = 1333,
  [1334] = 1325,
  [1335] = 1326,
  [1336] = 1330,
  [1337] = 1327,
  [1338] = 1338,
  [1339] = 1327,
  [1340] = 1340,
  [1341] = 1340,
  [1342] = 1340,
  [1343] = 1343,
  [1344] = 1343,
  [1345] = 1343,
  [1346] = 1346,
  [1347] = 1346,
  [1348] = 1346,
  [1349] = 1313,
  [1350] = 1322,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1323,
  [1362] = 1324,
  [1363] = 1021,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1333,
  [1368] = 1338,
  [1369] = 1331,
  [1370] = 1329,
  [1371] = 435,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 433,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1378,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1379,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 566,
  [1398] = 1398,
  [1399] = 475,
  [1400] = 496,
  [1401] = 594,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1396,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 487,
  [1411] = 1411,
  [1412] = 468,
  [1413] = 473,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 491,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1423,
  [1430] = 1430,
  [1431] = 1405,
  [1432] = 1403,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1434,
  [1438] = 1435,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1440,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1445,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1446,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 594,
  [1459] = 586,
  [1460] = 585,
  [1461] = 649,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 594,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1472,
  [1478] = 1473,
  [1479] = 1479,
  [1480] = 707,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1319,
  [1489] = 1321,
  [1490] = 1320,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1486,
  [1498] = 1498,
  [1499] = 1492,
  [1500] = 1496,
  [1501] = 1491,
  [1502] = 1486,
  [1503] = 1492,
  [1504] = 1492,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1486,
  [1508] = 1313,
  [1509] = 1491,
  [1510] = 1491,
  [1511] = 1491,
  [1512] = 1491,
  [1513] = 1491,
  [1514] = 1496,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1492,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1317,
  [1521] = 1492,
  [1522] = 1491,
  [1523] = 1491,
  [1524] = 1524,
  [1525] = 1486,
  [1526] = 1492,
  [1527] = 1491,
  [1528] = 1486,
  [1529] = 1486,
  [1530] = 1492,
  [1531] = 1491,
  [1532] = 1486,
  [1533] = 1285,
  [1534] = 1486,
  [1535] = 594,
  [1536] = 1536,
  [1537] = 1496,
  [1538] = 1492,
  [1539] = 1486,
  [1540] = 1486,
  [1541] = 1492,
  [1542] = 1491,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1496,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1491,
  [1551] = 1322,
  [1552] = 1492,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1554,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 423,
  [1559] = 1476,
  [1560] = 1560,
  [1561] = 1553,
  [1562] = 1436,
  [1563] = 424,
  [1564] = 1560,
  [1565] = 1556,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1568,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 681,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 671,
  [1576] = 578,
  [1577] = 586,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1568,
  [1581] = 1581,
  [1582] = 1484,
  [1583] = 681,
  [1584] = 671,
  [1585] = 1585,
  [1586] = 1463,
  [1587] = 1568,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1585,
  [1591] = 1585,
  [1592] = 1568,
  [1593] = 1585,
  [1594] = 1594,
  [1595] = 1436,
  [1596] = 1420,
  [1597] = 585,
  [1598] = 1585,
  [1599] = 1585,
  [1600] = 594,
  [1601] = 1601,
  [1602] = 792,
  [1603] = 1603,
  [1604] = 1474,
  [1605] = 671,
  [1606] = 1606,
  [1607] = 578,
  [1608] = 1466,
  [1609] = 1464,
  [1610] = 681,
  [1611] = 1574,
  [1612] = 1574,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 586,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1614,
  [1623] = 1623,
  [1624] = 585,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1616,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1613,
  [1636] = 1463,
  [1637] = 1484,
  [1638] = 1617,
  [1639] = 1639,
  [1640] = 426,
  [1641] = 1621,
  [1642] = 425,
  [1643] = 1639,
  [1644] = 425,
  [1645] = 1627,
  [1646] = 1630,
  [1647] = 1620,
  [1648] = 1648,
  [1649] = 1648,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1650,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1654,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1631,
  [1660] = 426,
  [1661] = 1657,
  [1662] = 1619,
  [1663] = 1464,
  [1664] = 1466,
  [1665] = 1665,
  [1666] = 1628,
  [1667] = 1615,
  [1668] = 1668,
  [1669] = 1626,
  [1670] = 1619,
  [1671] = 594,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1630,
  [1675] = 1665,
  [1676] = 1676,
  [1677] = 1658,
  [1678] = 1678,
  [1679] = 1634,
  [1680] = 1651,
  [1681] = 1668,
  [1682] = 1632,
  [1683] = 1474,
  [1684] = 1493,
  [1685] = 1443,
  [1686] = 1686,
  [1687] = 1506,
  [1688] = 1688,
  [1689] = 429,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 436,
  [1693] = 1688,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1481,
  [1697] = 1690,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 450,
  [1701] = 1701,
  [1702] = 451,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1688,
  [1707] = 1688,
  [1708] = 1704,
  [1709] = 1690,
  [1710] = 434,
  [1711] = 443,
  [1712] = 1688,
  [1713] = 455,
  [1714] = 442,
  [1715] = 441,
  [1716] = 1688,
  [1717] = 1688,
  [1718] = 438,
  [1719] = 1690,
  [1720] = 430,
  [1721] = 1721,
  [1722] = 1698,
  [1723] = 440,
  [1724] = 1688,
  [1725] = 1688,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1548,
  [1729] = 1467,
  [1730] = 1536,
  [1731] = 1690,
  [1732] = 432,
  [1733] = 1733,
  [1734] = 437,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1690,
  [1739] = 454,
  [1740] = 1690,
  [1741] = 1623,
  [1742] = 1736,
  [1743] = 444,
  [1744] = 439,
  [1745] = 1745,
  [1746] = 1498,
  [1747] = 1505,
  [1748] = 1686,
  [1749] = 431,
  [1750] = 448,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1506,
  [1754] = 1505,
  [1755] = 1498,
  [1756] = 1439,
  [1757] = 1757,
  [1758] = 1735,
  [1759] = 452,
  [1760] = 1548,
  [1761] = 1536,
  [1762] = 1694,
  [1763] = 446,
  [1764] = 1493,
  [1765] = 1765,
  [1766] = 1688,
  [1767] = 1690,
  [1768] = 1450,
  [1769] = 1451,
  [1770] = 1745,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1765,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 445,
  [1778] = 1688,
  [1779] = 1701,
  [1780] = 447,
  [1781] = 1690,
  [1782] = 1690,
  [1783] = 1690,
  [1784] = 1774,
  [1785] = 1785,
  [1786] = 1690,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1467,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1796,
  [1798] = 1481,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1795,
  [1819] = 1819,
  [1820] = 1809,
  [1821] = 1479,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1471,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1803,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1838,
  [1842] = 1469,
  [1843] = 1468,
  [1844] = 1791,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1824,
  [1853] = 1822,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1787,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1816,
  [1860] = 1857,
  [1861] = 1861,
  [1862] = 1861,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 642,
  [1866] = 1866,
  [1867] = 1805,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1849,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1863,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1847,
  [1885] = 1855,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1886,
  [1891] = 1879,
  [1892] = 1878,
  [1893] = 1893,
  [1894] = 1888,
  [1895] = 1849,
  [1896] = 1869,
  [1897] = 1868,
  [1898] = 1898,
  [1899] = 1836,
  [1900] = 1900,
  [1901] = 1832,
  [1902] = 1829,
  [1903] = 1883,
  [1904] = 1904,
  [1905] = 1880,
  [1906] = 1906,
  [1907] = 1889,
  [1908] = 1824,
  [1909] = 1822,
  [1910] = 1863,
  [1911] = 1819,
  [1912] = 1772,
  [1913] = 1873,
  [1914] = 1900,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1898,
  [1919] = 1871,
  [1920] = 1881,
  [1921] = 1876,
  [1922] = 1875,
  [1923] = 1815,
  [1924] = 1872,
  [1925] = 1813,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1870,
  [1929] = 1929,
  [1930] = 1866,
  [1931] = 1799,
  [1932] = 1861,
  [1933] = 1857,
  [1934] = 1898,
  [1935] = 1854,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1850,
  [1939] = 1457,
  [1940] = 1811,
  [1941] = 1808,
  [1942] = 1794,
  [1943] = 1929,
  [1944] = 1816,
  [1945] = 1898,
  [1946] = 1792,
  [1947] = 1840,
  [1948] = 1787,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 562,
  [1952] = 551,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 505,
  [1956] = 1956,
  [1957] = 482,
  [1958] = 481,
  [1959] = 479,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 466,
  [1963] = 464,
  [1964] = 1964,
  [1965] = 523,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 469,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 470,
  [1972] = 471,
  [1973] = 476,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 486,
  [1977] = 490,
  [1978] = 1978,
  [1979] = 491,
  [1980] = 501,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 504,
  [1984] = 514,
  [1985] = 1985,
  [1986] = 518,
  [1987] = 1987,
  [1988] = 545,
  [1989] = 1989,
  [1990] = 1964,
  [1991] = 555,
  [1992] = 556,
  [1993] = 564,
  [1994] = 567,
  [1995] = 568,
  [1996] = 1996,
  [1997] = 526,
  [1998] = 1998,
  [1999] = 519,
  [2000] = 2000,
  [2001] = 467,
  [2002] = 489,
  [2003] = 540,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 531,
  [2007] = 528,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 473,
  [2011] = 2011,
  [2012] = 1937,
  [2013] = 507,
  [2014] = 506,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 502,
  [2018] = 492,
  [2019] = 535,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 488,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2021,
  [2027] = 2027,
  [2028] = 485,
  [2029] = 2029,
  [2030] = 484,
  [2031] = 2020,
  [2032] = 2032,
  [2033] = 483,
  [2034] = 2016,
  [2035] = 478,
  [2036] = 477,
  [2037] = 460,
  [2038] = 2038,
  [2039] = 1985,
  [2040] = 525,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 561,
  [2044] = 2044,
  [2045] = 463,
  [2046] = 547,
  [2047] = 2047,
  [2048] = 544,
  [2049] = 2049,
  [2050] = 536,
  [2051] = 2022,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 522,
  [2057] = 2057,
  [2058] = 1757,
  [2059] = 521,
  [2060] = 515,
  [2061] = 2061,
  [2062] = 513,
  [2063] = 511,
  [2064] = 500,
  [2065] = 498,
  [2066] = 497,
  [2067] = 2067,
  [2068] = 487,
  [2069] = 537,
  [2070] = 2070,
  [2071] = 1961,
  [2072] = 480,
  [2073] = 2073,
  [2074] = 461,
  [2075] = 495,
  [2076] = 508,
  [2077] = 509,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 517,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 532,
  [2084] = 2084,
  [2085] = 1967,
  [2086] = 2086,
  [2087] = 1969,
  [2088] = 541,
  [2089] = 554,
  [2090] = 558,
  [2091] = 496,
  [2092] = 475,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 1974,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 538,
  [2100] = 534,
  [2101] = 2101,
  [2102] = 530,
  [2103] = 457,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 533,
  [2107] = 527,
  [2108] = 2108,
  [2109] = 539,
  [2110] = 2110,
  [2111] = 542,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 543,
  [2115] = 548,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 465,
  [2125] = 559,
  [2126] = 456,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 1982,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2042,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 566,
  [2137] = 557,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 552,
  [2141] = 2053,
  [2142] = 550,
  [2143] = 1771,
  [2144] = 549,
  [2145] = 2145,
  [2146] = 546,
  [2147] = 1974,
  [2148] = 512,
  [2149] = 2135,
  [2150] = 510,
  [2151] = 494,
  [2152] = 2121,
  [2153] = 2153,
  [2154] = 2120,
  [2155] = 474,
  [2156] = 2156,
  [2157] = 2011,
  [2158] = 472,
  [2159] = 2159,
  [2160] = 458,
  [2161] = 1515,
  [2162] = 468,
  [2163] = 563,
  [2164] = 2164,
  [2165] = 1313,
  [2166] = 2166,
  [2167] = 462,
  [2168] = 2049,
  [2169] = 2169,
  [2170] = 524,
  [2171] = 1989,
  [2172] = 2145,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 1960,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 1953,
  [2179] = 1996,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2011,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 1974,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 1974,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2011,
  [2199] = 2199,
  [2200] = 2011,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 1974,
  [2204] = 2204,
  [2205] = 2138,
  [2206] = 1970,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 1974,
  [2211] = 2011,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2011,
  [2216] = 1974,
  [2217] = 2009,
  [2218] = 2008,
  [2219] = 2011,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2220,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2248,
  [2304] = 2304,
  [2305] = 2252,
  [2306] = 2253,
  [2307] = 2258,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2310,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2320,
  [2322] = 2322,
  [2323] = 2250,
  [2324] = 2324,
  [2325] = 2249,
  [2326] = 2246,
  [2327] = 2327,
  [2328] = 2316,
  [2329] = 2314,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2327,
  [2337] = 2312,
  [2338] = 2249,
  [2339] = 2279,
  [2340] = 2252,
  [2341] = 2277,
  [2342] = 2342,
  [2343] = 1735,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2271,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2299,
  [2359] = 2094,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2350,
  [2364] = 2324,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2298,
  [2368] = 2368,
  [2369] = 2224,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2348,
  [2373] = 2243,
  [2374] = 2228,
  [2375] = 2222,
  [2376] = 2376,
  [2377] = 2287,
  [2378] = 2378,
  [2379] = 2263,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2255,
  [2383] = 2383,
  [2384] = 2259,
  [2385] = 2385,
  [2386] = 2287,
  [2387] = 2311,
  [2388] = 2352,
  [2389] = 2389,
  [2390] = 1694,
  [2391] = 2357,
  [2392] = 2380,
  [2393] = 2381,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2351,
  [2399] = 2331,
  [2400] = 2400,
  [2401] = 2297,
  [2402] = 2395,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2403,
  [2406] = 2252,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2244,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2413,
  [2415] = 2415,
  [2416] = 2295,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2415,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2322,
  [2425] = 2421,
  [2426] = 2426,
  [2427] = 2330,
  [2428] = 2428,
  [2429] = 2345,
  [2430] = 2430,
  [2431] = 2423,
  [2432] = 2122,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2334,
  [2436] = 2333,
  [2437] = 2437,
  [2438] = 2317,
  [2439] = 2291,
  [2440] = 2290,
  [2441] = 2441,
  [2442] = 2280,
  [2443] = 2278,
  [2444] = 2370,
  [2445] = 2428,
  [2446] = 2288,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2235,
  [2450] = 2450,
  [2451] = 2233,
  [2452] = 2229,
  [2453] = 2332,
  [2454] = 2433,
  [2455] = 2342,
  [2456] = 2456,
  [2457] = 2353,
  [2458] = 2344,
  [2459] = 2346,
  [2460] = 2236,
  [2461] = 2354,
  [2462] = 2267,
  [2463] = 2361,
  [2464] = 2464,
  [2465] = 2356,
  [2466] = 2448,
  [2467] = 2230,
  [2468] = 2447,
  [2469] = 2469,
  [2470] = 2309,
  [2471] = 2249,
  [2472] = 2266,
  [2473] = 2368,
  [2474] = 2287,
  [2475] = 2420,
  [2476] = 2362,
  [2477] = 2265,
  [2478] = 2237,
  [2479] = 2335,
  [2480] = 2239,
  [2481] = 2400,
  [2482] = 2408,
  [2483] = 2385,
  [2484] = 2366,
  [2485] = 2371,
  [2486] = 2247,
  [2487] = 2245,
  [2488] = 2365,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2495,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2500,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2501,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2501,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2502,
  [2540] = 2503,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2500,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2508,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2555,
  [2557] = 2499,
  [2558] = 2497,
  [2559] = 2559,
  [2560] = 2502,
  [2561] = 2561,
  [2562] = 2506,
  [2563] = 2548,
  [2564] = 2564,
  [2565] = 2506,
  [2566] = 2503,
  [2567] = 2501,
  [2568] = 2500,
  [2569] = 2499,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2097,
  [2573] = 2573,
  [2574] = 2514,
  [2575] = 2511,
  [2576] = 2497,
  [2577] = 2517,
  [2578] = 2532,
  [2579] = 2510,
  [2580] = 2580,
  [2581] = 2549,
  [2582] = 2500,
  [2583] = 2511,
  [2584] = 2584,
  [2585] = 2521,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2584,
  [2589] = 2518,
  [2590] = 2516,
  [2591] = 2523,
  [2592] = 2515,
  [2593] = 2519,
  [2594] = 2511,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2498,
  [2598] = 2495,
  [2599] = 2599,
  [2600] = 2511,
  [2601] = 2535,
  [2602] = 2602,
  [2603] = 2541,
  [2604] = 2542,
  [2605] = 2605,
  [2606] = 2546,
  [2607] = 2554,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2602,
  [2611] = 2564,
  [2612] = 2612,
  [2613] = 2501,
  [2614] = 2573,
  [2615] = 2552,
  [2616] = 2551,
  [2617] = 2545,
  [2618] = 2070,
  [2619] = 2619,
  [2620] = 2490,
  [2621] = 2525,
  [2622] = 2524,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2495,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2522,
  [2630] = 2530,
  [2631] = 2571,
  [2632] = 2501,
  [2633] = 2520,
  [2634] = 2612,
  [2635] = 2517,
  [2636] = 2531,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2497,
  [2640] = 2640,
  [2641] = 2570,
  [2642] = 2499,
  [2643] = 2514,
  [2644] = 2501,
  [2645] = 2502,
  [2646] = 2646,
  [2647] = 2535,
  [2648] = 2648,
  [2649] = 2501,
  [2650] = 2501,
  [2651] = 2503,
  [2652] = 2506,
  [2653] = 2517,
  [2654] = 2609,
  [2655] = 2655,
  [2656] = 2608,
  [2657] = 2501,
  [2658] = 2658,
  [2659] = 2609,
  [2660] = 2512,
  [2661] = 2532,
  [2662] = 2662,
  [2663] = 2612,
  [2664] = 2517,
  [2665] = 2492,
  [2666] = 2666,
  [2667] = 2570,
  [2668] = 2517,
  [2669] = 2501,
  [2670] = 2534,
  [2671] = 2640,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2619,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2623,
  [2679] = 2677,
  [2680] = 2676,
  [2681] = 2584,
  [2682] = 2517,
  [2683] = 2587,
  [2684] = 2624,
  [2685] = 2501,
  [2686] = 2505,
  [2687] = 2496,
  [2688] = 2626,
  [2689] = 2507,
  [2690] = 2627,
  [2691] = 2612,
  [2692] = 2628,
  [2693] = 2517,
  [2694] = 2570,
  [2695] = 2676,
  [2696] = 2696,
  [2697] = 2507,
  [2698] = 2535,
  [2699] = 2676,
  [2700] = 2672,
  [2701] = 2501,
  [2702] = 2640,
  [2703] = 2505,
  [2704] = 2507,
  [2705] = 2705,
  [2706] = 2672,
  [2707] = 2707,
  [2708] = 2672,
  [2709] = 2640,
  [2710] = 2561,
  [2711] = 2711,
  [2712] = 2712,
};

static inline bool sym_escape_sequence_character_set_1(int32_t c) {
  return (c < 'e'
    ? (c < '\\'
      ? (c < '$'
        ? c == '"'
        : c <= '$')
      : (c <= '\\' || c == '`'))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static inline bool sym_name_character_set_1(int32_t c) {
  return (c < 161
    ? (c < '_'
      ? (c < 'A'
        ? (c >= '0' && c <= '9')
        : c <= 'Z')
      : (c <= '_' || (c < 128
        ? (c >= 'a' && c <= 'z')
        : c <= 159)))
    : (c <= 8202 || (c < 57344
      ? (c < 8289
        ? (c >= 8204 && c <= 8287)
        : c <= 55295)
      : (c <= 65278 || (c >= 65280 && c <= 65535)))));
}

static inline bool sym_name_character_set_2(int32_t c) {
  return (c < 161
    ? (c < 'a'
      ? (c < '_'
        ? (c >= 'A' && c <= 'Z')
        : c <= '_')
      : (c <= 'z' || (c >= 128 && c <= 159)))
    : (c <= 8202 || (c < 57344
      ? (c < 8289
        ? (c >= 8204 && c <= 8287)
        : c <= 55295)
      : (c <= 65278 || (c >= 65280 && c <= 65535)))));
}

static inline bool sym_name_character_set_3(int32_t c) {
  return (c < 161
    ? (c < '_'
      ? (c < 'B'
        ? (c >= '0' && c <= '9')
        : c <= 'Z')
      : (c <= '_' || (c < 128
        ? (c >= 'b' && c <= 'z')
        : c <= 159)))
    : (c <= 8202 || (c < 57344
      ? (c < 8289
        ? (c >= 8204 && c <= 8287)
        : c <= 55295)
      : (c <= 65278 || (c >= 65280 && c <= 65535)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(78);
      if (lookahead == '!') ADVANCE(149);
      if (lookahead == '"') ADVANCE(200);
      if (lookahead == '#') ADVANCE(288);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '%') ADVANCE(242);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(204);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(237);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '.') ADVANCE(235);
      if (lookahead == '/') ADVANCE(240);
      if (lookahead == '0') ADVANCE(131);
      if (lookahead == ':') ADVANCE(108);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(101);
      if (lookahead == '>') ADVANCE(224);
      if (lookahead == '?') ADVANCE(113);
      if (lookahead == '@') ADVANCE(150);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '^') ADVANCE(214);
      if (lookahead == '_') ADVANCE(282);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(270);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(243);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(247);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(265);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(280);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(273);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(269);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(263);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(74)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(285);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(285);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(286);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(201);
      if (lookahead == '\r') ADVANCE(201);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(45);
      if (lookahead == '?') ADVANCE(41);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '{') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(201);
      if (lookahead == '\r') ADVANCE(201);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(45);
      if (lookahead == '?') ADVANCE(41);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '{') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(202);
      if (lookahead == '\r') ADVANCE(202);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '?') ADVANCE(43);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(149);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(288);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '%') ADVANCE(241);
      if (lookahead == '&') ADVANCE(97);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(238);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == '.') ADVANCE(235);
      if (lookahead == '/') ADVANCE(239);
      if (lookahead == '0') ADVANCE(131);
      if (lookahead == ':') ADVANCE(107);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(220);
      if (lookahead == '=') ADVANCE(38);
      if (lookahead == '>') ADVANCE(225);
      if (lookahead == '?') ADVANCE(117);
      if (lookahead == '@') ADVANCE(150);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '^') ADVANCE(213);
      if (lookahead == '_') ADVANCE(282);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(270);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(244);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(248);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(280);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(278);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(269);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(148);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(288);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == '.') ADVANCE(127);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(131);
      if (lookahead == '<') ADVANCE(36);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '@') ADVANCE(150);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '_') ADVANCE(282);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(270);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(244);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(248);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(280);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(278);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(269);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(148);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(288);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(131);
      if (lookahead == '<') ADVANCE(36);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '@') ADVANCE(150);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '_') ADVANCE(282);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(270);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(243);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(247);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(265);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(280);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(273);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(269);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(263);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(8)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(37);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '%') ADVANCE(241);
      if (lookahead == '&') ADVANCE(97);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(238);
      if (lookahead == '+') ADVANCE(139);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == '.') ADVANCE(234);
      if (lookahead == '/') ADVANCE(239);
      if (lookahead == ':') ADVANCE(108);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(222);
      if (lookahead == '=') ADVANCE(38);
      if (lookahead == '>') ADVANCE(225);
      if (lookahead == '?') ADVANCE(115);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '^') ADVANCE(213);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(278);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(37);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '%') ADVANCE(242);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(237);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '.') ADVANCE(236);
      if (lookahead == '/') ADVANCE(240);
      if (lookahead == ':') ADVANCE(108);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(221);
      if (lookahead == '=') ADVANCE(101);
      if (lookahead == '>') ADVANCE(224);
      if (lookahead == '?') ADVANCE(114);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '^') ADVANCE(214);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '}') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(37);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '%') ADVANCE(241);
      if (lookahead == '&') ADVANCE(97);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(238);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead == '.') ADVANCE(234);
      if (lookahead == '/') ADVANCE(239);
      if (lookahead == ':') ADVANCE(108);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(222);
      if (lookahead == '=') ADVANCE(38);
      if (lookahead == '>') ADVANCE(225);
      if (lookahead == '?') ADVANCE(115);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '^') ADVANCE(213);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '}') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(37);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '%') ADVANCE(241);
      if (lookahead == '&') ADVANCE(97);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(238);
      if (lookahead == '+') ADVANCE(139);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == '.') ADVANCE(234);
      if (lookahead == '/') ADVANCE(239);
      if (lookahead == ':') ADVANCE(108);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(222);
      if (lookahead == '=') ADVANCE(101);
      if (lookahead == '>') ADVANCE(225);
      if (lookahead == '?') ADVANCE(115);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '^') ADVANCE(213);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '}') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(37);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '%') ADVANCE(241);
      if (lookahead == '&') ADVANCE(97);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(238);
      if (lookahead == '+') ADVANCE(139);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '.') ADVANCE(234);
      if (lookahead == '/') ADVANCE(239);
      if (lookahead == ':') ADVANCE(107);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(222);
      if (lookahead == '=') ADVANCE(38);
      if (lookahead == '>') ADVANCE(225);
      if (lookahead == '?') ADVANCE(117);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '^') ADVANCE(213);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '}') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(200);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '\'') ADVANCE(204);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '.') ADVANCE(32);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(107);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '?') ADVANCE(116);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(138);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(187);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(288);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(36);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(270);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(244);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(278);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(108);
      if (lookahead == '<') ADVANCE(36);
      if (lookahead == '?') ADVANCE(31);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(270);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(244);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(278);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(138);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(131);
      if (lookahead == '<') ADVANCE(36);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '_') ADVANCE(67);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(60);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(131);
      if (lookahead == '<') ADVANCE(36);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '_') ADVANCE(67);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(60);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(288);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '.') ADVANCE(32);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '?') ADVANCE(116);
      if (lookahead == '\\') ADVANCE(103);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(288);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(278);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(21)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 22:
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '.') ADVANCE(32);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(107);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '?') ADVANCE(116);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(138);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 23:
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(45);
      if (lookahead == '?') ADVANCE(41);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '{') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(24)
      END_STATE();
    case 24:
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(45);
      if (lookahead == '?') ADVANCE(41);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '{') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(24)
      END_STATE();
    case 25:
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == ':') ADVANCE(108);
      if (lookahead == '?') ADVANCE(31);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '{') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(25)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 26:
      if (lookahead == '#') ADVANCE(197);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '/') ADVANCE(192);
      if (lookahead == '?') ADVANCE(195);
      if (lookahead == '\\') ADVANCE(48);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(191);
      if (lookahead != 0) ADVANCE(198);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(286);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(285);
      if (lookahead != 0) ADVANCE(29);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead != 0) ADVANCE(29);
      END_STATE();
    case 30:
      if (lookahead == '*') ADVANCE(193);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(29);
      if (lookahead != 0) ADVANCE(194);
      END_STATE();
    case 31:
      if (lookahead == '-') ADVANCE(42);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(34);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '_') ADVANCE(67);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == '.') ADVANCE(112);
      END_STATE();
    case 35:
      if (lookahead == '<') ADVANCE(199);
      END_STATE();
    case 36:
      if (lookahead == '<') ADVANCE(35);
      END_STATE();
    case 37:
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 38:
      if (lookahead == '=') ADVANCE(215);
      if (lookahead == '>') ADVANCE(109);
      END_STATE();
    case 39:
      if (lookahead == '>') ADVANCE(167);
      END_STATE();
    case 40:
      if (lookahead == '>') ADVANCE(109);
      END_STATE();
    case 41:
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 42:
      if (lookahead == '>') ADVANCE(168);
      END_STATE();
    case 43:
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 44:
      if (lookahead == '?') ADVANCE(80);
      END_STATE();
    case 45:
      if (lookahead == '?') ADVANCE(183);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 47:
      if (lookahead == '}') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(188);
      if (lookahead != 0) ADVANCE(198);
      END_STATE();
    case 49:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 50:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 51:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 52:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(56);
      END_STATE();
    case 53:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 54:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 55:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(79);
      END_STATE();
    case 57:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 58:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(51);
      END_STATE();
    case 59:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 60:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 61:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(132);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(137);
      END_STATE();
    case 64:
      if (sym_escape_sequence_character_set_1(lookahead)) ADVANCE(176);
      if (lookahead == 'u') ADVANCE(181);
      if (lookahead == 'x') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(178);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(33);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(179);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 73:
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(198);
      END_STATE();
    case 74:
      if (eof) ADVANCE(78);
      if (lookahead == '!') ADVANCE(149);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(288);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '%') ADVANCE(242);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '*') ADVANCE(237);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '.') ADVANCE(235);
      if (lookahead == '/') ADVANCE(240);
      if (lookahead == '0') ADVANCE(131);
      if (lookahead == ':') ADVANCE(108);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(101);
      if (lookahead == '>') ADVANCE(224);
      if (lookahead == '?') ADVANCE(113);
      if (lookahead == '@') ADVANCE(150);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '^') ADVANCE(214);
      if (lookahead == '_') ADVANCE(282);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(270);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(243);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(247);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(265);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(280);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(273);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(269);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(263);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(74)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 75:
      if (eof) ADVANCE(78);
      if (lookahead == '!') ADVANCE(148);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(288);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(131);
      if (lookahead == ':') ADVANCE(107);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(36);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '@') ADVANCE(150);
      if (lookahead == '[') ADVANCE(169);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '_') ADVANCE(282);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(270);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(244);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(248);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(280);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(278);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(269);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(75)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 76:
      if (eof) ADVANCE(78);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(289);
      if (lookahead == '$') ADVANCE(206);
      if (lookahead == '&') ADVANCE(96);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(110);
      if (lookahead == ')') ADVANCE(111);
      if (lookahead == ',') ADVANCE(100);
      if (lookahead == '.') ADVANCE(32);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(136);
      if (lookahead == ':') ADVANCE(108);
      if (lookahead == ';') ADVANCE(95);
      if (lookahead == '<') ADVANCE(44);
      if (lookahead == '=') ADVANCE(102);
      if (lookahead == '?') ADVANCE(116);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead == '{') ADVANCE(105);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(106);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(278);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(138);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(76)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 77:
      if (eof) ADVANCE(78);
      if (lookahead == '#') ADVANCE(93);
      if (lookahead == '/') ADVANCE(88);
      if (lookahead == '<') ADVANCE(84);
      if (lookahead == '?') ADVANCE(91);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(87);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77)
      if (lookahead != 0) ADVANCE(94);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(52);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(94);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(80);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(94);
      if (lookahead == '\r') ADVANCE(86);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(92);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(94);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(93);
      if (lookahead == '/') ADVANCE(88);
      if (lookahead == '?') ADVANCE(91);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(87);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(94);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(90);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(94);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(89);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(94);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(85);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(92);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(212);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(212);
      if (lookahead == '=') ADVANCE(163);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(215);
      if (lookahead == '>') ADVANCE(109);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(109);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(188);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(151);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(42);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(208);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(42);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '?') ADVANCE(208);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(42);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '?') ADVANCE(207);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '?') ADVANCE(207);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(165);
      if (lookahead == '|') ADVANCE(211);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(211);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '_') ADVANCE(66);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(66);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 159) ||
          (161 <= lookahead && lookahead <= 8202) ||
          (8204 <= lookahead && lookahead <= 8287) ||
          (8289 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65278) ||
          (65280 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(61);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(137);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(70);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(132);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '_') ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(61);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(137);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(153);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(153);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(152);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(152);
      if (lookahead == '=') ADVANCE(159);
      if (lookahead == '>') ADVANCE(167);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(152);
      if (lookahead == '>') ADVANCE(167);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(167);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(176);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(177);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(176);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(72);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_QMARK_GT2);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(198);
      if (lookahead == '\r') ADVANCE(190);
      if (lookahead == '>') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(287);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '#') ADVANCE(197);
      if (lookahead == '/') ADVANCE(192);
      if (lookahead == '?') ADVANCE(195);
      if (lookahead == '\\') ADVANCE(48);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(191);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(194);
      if (lookahead == '/') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(193);
      if (lookahead == '/') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(194);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(193);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '?') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(287);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(287);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(201);
      if (lookahead == '\r') ADVANCE(201);
      if (lookahead == '?') ADVANCE(41);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(202);
      if (lookahead == '\r') ADVANCE(202);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(166);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(154);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(164);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(230);
      if (lookahead == '=') ADVANCE(226);
      if (lookahead == '>') ADVANCE(217);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(226);
      if (lookahead == '>') ADVANCE(217);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(229);
      if (lookahead == '=') ADVANCE(226);
      if (lookahead == '>') ADVANCE(217);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(80);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(233);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(232);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(228);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(199);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(161);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '_') ADVANCE(66);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(160);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '=') ADVANCE(155);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(209);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(267);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(187);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '_') ADVANCE(282);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(245);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (128 <= lookahead && lookahead <= 159) ||
          (161 <= lookahead && lookahead <= 8202) ||
          (8204 <= lookahead && lookahead <= 8287) ||
          (8289 <= lookahead && lookahead <= 55295) ||
          (57344 <= lookahead && lookahead <= 65278) ||
          (65280 <= lookahead && lookahead <= 65535)) ADVANCE(284);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      if (sym_name_character_set_2(lookahead)) ADVANCE(284);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(266);
      if (sym_name_character_set_3(lookahead)) ADVANCE(284);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(262);
      if (sym_name_character_set_3(lookahead)) ADVANCE(284);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      if (sym_name_character_set_3(lookahead)) ADVANCE(284);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(277);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(258);
      if (sym_name_character_set_3(lookahead)) ADVANCE(284);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(277);
      if (sym_name_character_set_3(lookahead)) ADVANCE(284);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(275);
      if (sym_name_character_set_3(lookahead)) ADVANCE(284);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(99);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(174);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(276);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(125);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(253);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(264);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(122);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(172);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(260);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(271);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(272);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(256);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(274);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(252);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(259);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(279);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(268);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(254);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(255);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(250);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(123);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(124);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(126);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(257);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(251);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(254);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(261);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(121);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(245);
      if (sym_name_character_set_2(lookahead)) ADVANCE(284);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      if (sym_name_character_set_2(lookahead)) ADVANCE(284);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_name);
      if (sym_name_character_set_1(lookahead)) ADVANCE(284);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(286);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(189);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(198);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(286);
      if (lookahead != 0) ADVANCE(196);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(286);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(286);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'E') ADVANCE(3);
      if (lookahead == 'F') ADVANCE(4);
      if (lookahead == 'I') ADVANCE(5);
      if (lookahead == 'M') ADVANCE(6);
      if (lookahead == 'N') ADVANCE(7);
      if (lookahead == 'P') ADVANCE(8);
      if (lookahead == 'S') ADVANCE(9);
      if (lookahead == 'T') ADVANCE(10);
      if (lookahead == 'U') ADVANCE(11);
      if (lookahead == 'V') ADVANCE(12);
      if (lookahead == 'a') ADVANCE(13);
      if (lookahead == 'b') ADVANCE(14);
      if (lookahead == 'e') ADVANCE(15);
      if (lookahead == 'f') ADVANCE(16);
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'm') ADVANCE(18);
      if (lookahead == 'n') ADVANCE(19);
      if (lookahead == 'p') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      if (lookahead == 't') ADVANCE(22);
      if (lookahead == 'u') ADVANCE(23);
      if (lookahead == 'v') ADVANCE(24);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(25);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(26);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(27);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(28);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(29);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(30);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(31);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(32);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(33);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(42);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 4:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(63);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'N') ADVANCE(42);
      if (lookahead == 'n') ADVANCE(64);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(70);
      if (lookahead == 'u') ADVANCE(71);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(73);
      if (lookahead == 't') ADVANCE(74);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(59);
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(76);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(77);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(78);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(79);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(80);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(82);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(84);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(87);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(90);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(93);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(94);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(98);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(99);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 43:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(102);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(110);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(111);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(114);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 60:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 61:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 63:
      if (lookahead == 'O') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(124);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(125);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 66:
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 67:
      if (lookahead == 'T') ADVANCE(110);
      if (lookahead == 't') ADVANCE(128);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 69:
      if (lookahead == 'x') ADVANCE(130);
      END_STATE();
    case 70:
      if (lookahead == 'v') ADVANCE(131);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(135);
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 76:
      if (lookahead == 'u') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 77:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(140);
      END_STATE();
    case 79:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(141);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(142);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(143);
      END_STATE();
    case 80:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(144);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(146);
      END_STATE();
    case 82:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(147);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(149);
      END_STATE();
    case 84:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 85:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(151);
      END_STATE();
    case 86:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(152);
      END_STATE();
    case 87:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(153);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 89:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(154);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(155);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(156);
      END_STATE();
    case 90:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(157);
      END_STATE();
    case 91:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 92:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 93:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 95:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 96:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 97:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 98:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 99:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 100:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(166);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(167);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(168);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(169);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(170);
      END_STATE();
    case 101:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(171);
      END_STATE();
    case 102:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 103:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 105:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(175);
      END_STATE();
    case 106:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(176);
      END_STATE();
    case 107:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 108:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 109:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(179);
      END_STATE();
    case 110:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 111:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 114:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(183);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(184);
      END_STATE();
    case 115:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(185);
      END_STATE();
    case 116:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(187);
      END_STATE();
    case 118:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 119:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(190);
      END_STATE();
    case 124:
      if (lookahead == 'L') ADVANCE(162);
      if (lookahead == 'l') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 126:
      if (lookahead == 's') ADVANCE(193);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 129:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 134:
      if (lookahead == 'f') ADVANCE(200);
      END_STATE();
    case 135:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 136:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 137:
      if (lookahead == 'k') ADVANCE(203);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 141:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(207);
      END_STATE();
    case 142:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 143:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(209);
      END_STATE();
    case 144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(210);
      END_STATE();
    case 145:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(211);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(212);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 149:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(216);
      END_STATE();
    case 150:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(217);
      END_STATE();
    case 151:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(218);
      END_STATE();
    case 152:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(219);
      END_STATE();
    case 153:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 154:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(221);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 157:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 160:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(228);
      END_STATE();
    case 162:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 163:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(230);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(231);
      END_STATE();
    case 166:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 167:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 168:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(234);
      END_STATE();
    case 169:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(235);
      END_STATE();
    case 170:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(236);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 172:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 173:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 174:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 176:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(240);
      END_STATE();
    case 177:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 178:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 179:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(243);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 180:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(245);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(246);
      END_STATE();
    case 181:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(247);
      END_STATE();
    case 182:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(248);
      END_STATE();
    case 183:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'y') ADVANCE(256);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'r') ADVANCE(262);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 199:
      if (lookahead == 'n') ADVANCE(263);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(265);
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 203:
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 205:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 207:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 209:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(270);
      END_STATE();
    case 210:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(271);
      END_STATE();
    case 211:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 212:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 220:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 221:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(280);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 223:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 224:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(282);
      END_STATE();
    case 225:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 226:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 231:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(288);
      END_STATE();
    case 232:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(289);
      END_STATE();
    case 233:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 235:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 236:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 237:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(293);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(296);
      END_STATE();
    case 241:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(302);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 248:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(303);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 250:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(304);
      END_STATE();
    case 251:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 252:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 253:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(307);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 260:
      if (lookahead == 'b') ADVANCE(309);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 263:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 264:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 266:
      if (lookahead == 'g') ADVANCE(313);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 269:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(314);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 274:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 275:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 276:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(317);
      END_STATE();
    case 277:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 285:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(324);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 287:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 289:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(326);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(327);
      END_STATE();
    case 291:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(328);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(342);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 309:
      if (lookahead == 'l') ADVANCE(344);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 312:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 314:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(346);
      END_STATE();
    case 315:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(347);
      END_STATE();
    case 316:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 317:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(349);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 321:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 322:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 324:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 326:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 327:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 328:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(355);
      END_STATE();
    case 329:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 333:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 334:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(359);
      END_STATE();
    case 336:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 339:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 340:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(363);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 342:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 343:
      if (lookahead == 'g') ADVANCE(365);
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 350:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(370);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(371);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 353:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(372);
      END_STATE();
    case 354:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(373);
      END_STATE();
    case 355:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(374);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 358:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(375);
      END_STATE();
    case 359:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(376);
      END_STATE();
    case 360:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(377);
      END_STATE();
    case 361:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 367:
      if (lookahead == 'y') ADVANCE(382);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 373:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(385);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 375:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(386);
      END_STATE();
    case 376:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(387);
      END_STATE();
    case 377:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(388);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 382:
      if (lookahead == 'p') ADVANCE(389);
      END_STATE();
    case 383:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 387:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(391);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 389:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(393);
      END_STATE();
    case 391:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 392:
      if (lookahead == 's') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 77},
  [2] = {.lex_state = 75},
  [3] = {.lex_state = 75},
  [4] = {.lex_state = 75},
  [5] = {.lex_state = 75},
  [6] = {.lex_state = 75},
  [7] = {.lex_state = 75},
  [8] = {.lex_state = 75},
  [9] = {.lex_state = 75},
  [10] = {.lex_state = 75},
  [11] = {.lex_state = 75},
  [12] = {.lex_state = 75, .external_lex_state = 2},
  [13] = {.lex_state = 75, .external_lex_state = 2},
  [14] = {.lex_state = 75, .external_lex_state = 2},
  [15] = {.lex_state = 75, .external_lex_state = 2},
  [16] = {.lex_state = 75, .external_lex_state = 2},
  [17] = {.lex_state = 75},
  [18] = {.lex_state = 75, .external_lex_state = 2},
  [19] = {.lex_state = 75},
  [20] = {.lex_state = 75},
  [21] = {.lex_state = 75},
  [22] = {.lex_state = 75},
  [23] = {.lex_state = 75},
  [24] = {.lex_state = 75},
  [25] = {.lex_state = 75},
  [26] = {.lex_state = 75},
  [27] = {.lex_state = 75},
  [28] = {.lex_state = 75},
  [29] = {.lex_state = 75, .external_lex_state = 2},
  [30] = {.lex_state = 75, .external_lex_state = 2},
  [31] = {.lex_state = 75, .external_lex_state = 2},
  [32] = {.lex_state = 75, .external_lex_state = 2},
  [33] = {.lex_state = 75, .external_lex_state = 2},
  [34] = {.lex_state = 75},
  [35] = {.lex_state = 75},
  [36] = {.lex_state = 75, .external_lex_state = 2},
  [37] = {.lex_state = 75},
  [38] = {.lex_state = 75},
  [39] = {.lex_state = 75},
  [40] = {.lex_state = 75},
  [41] = {.lex_state = 75},
  [42] = {.lex_state = 75},
  [43] = {.lex_state = 75},
  [44] = {.lex_state = 75},
  [45] = {.lex_state = 75},
  [46] = {.lex_state = 75},
  [47] = {.lex_state = 75},
  [48] = {.lex_state = 75},
  [49] = {.lex_state = 75},
  [50] = {.lex_state = 75},
  [51] = {.lex_state = 75},
  [52] = {.lex_state = 75},
  [53] = {.lex_state = 75},
  [54] = {.lex_state = 75, .external_lex_state = 2},
  [55] = {.lex_state = 75},
  [56] = {.lex_state = 75, .external_lex_state = 2},
  [57] = {.lex_state = 75},
  [58] = {.lex_state = 75, .external_lex_state = 2},
  [59] = {.lex_state = 75, .external_lex_state = 2},
  [60] = {.lex_state = 75},
  [61] = {.lex_state = 75, .external_lex_state = 2},
  [62] = {.lex_state = 75},
  [63] = {.lex_state = 75},
  [64] = {.lex_state = 75},
  [65] = {.lex_state = 75, .external_lex_state = 2},
  [66] = {.lex_state = 75},
  [67] = {.lex_state = 75, .external_lex_state = 2},
  [68] = {.lex_state = 75, .external_lex_state = 2},
  [69] = {.lex_state = 75},
  [70] = {.lex_state = 75, .external_lex_state = 2},
  [71] = {.lex_state = 75},
  [72] = {.lex_state = 75},
  [73] = {.lex_state = 75, .external_lex_state = 2},
  [74] = {.lex_state = 75},
  [75] = {.lex_state = 75},
  [76] = {.lex_state = 75, .external_lex_state = 2},
  [77] = {.lex_state = 75, .external_lex_state = 2},
  [78] = {.lex_state = 75},
  [79] = {.lex_state = 75},
  [80] = {.lex_state = 75},
  [81] = {.lex_state = 75},
  [82] = {.lex_state = 75},
  [83] = {.lex_state = 75},
  [84] = {.lex_state = 75},
  [85] = {.lex_state = 75},
  [86] = {.lex_state = 6},
  [87] = {.lex_state = 6},
  [88] = {.lex_state = 6, .external_lex_state = 2},
  [89] = {.lex_state = 6},
  [90] = {.lex_state = 8},
  [91] = {.lex_state = 8},
  [92] = {.lex_state = 8},
  [93] = {.lex_state = 8},
  [94] = {.lex_state = 8},
  [95] = {.lex_state = 8},
  [96] = {.lex_state = 8},
  [97] = {.lex_state = 8},
  [98] = {.lex_state = 8},
  [99] = {.lex_state = 8},
  [100] = {.lex_state = 8},
  [101] = {.lex_state = 7},
  [102] = {.lex_state = 7},
  [103] = {.lex_state = 7},
  [104] = {.lex_state = 7},
  [105] = {.lex_state = 7},
  [106] = {.lex_state = 7},
  [107] = {.lex_state = 7},
  [108] = {.lex_state = 7},
  [109] = {.lex_state = 7},
  [110] = {.lex_state = 7},
  [111] = {.lex_state = 7},
  [112] = {.lex_state = 7},
  [113] = {.lex_state = 7},
  [114] = {.lex_state = 7},
  [115] = {.lex_state = 7},
  [116] = {.lex_state = 7},
  [117] = {.lex_state = 7},
  [118] = {.lex_state = 7},
  [119] = {.lex_state = 7},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 7},
  [133] = {.lex_state = 7},
  [134] = {.lex_state = 7},
  [135] = {.lex_state = 7},
  [136] = {.lex_state = 75},
  [137] = {.lex_state = 7},
  [138] = {.lex_state = 7},
  [139] = {.lex_state = 7},
  [140] = {.lex_state = 7},
  [141] = {.lex_state = 7},
  [142] = {.lex_state = 75},
  [143] = {.lex_state = 7},
  [144] = {.lex_state = 7},
  [145] = {.lex_state = 75},
  [146] = {.lex_state = 75},
  [147] = {.lex_state = 75},
  [148] = {.lex_state = 75},
  [149] = {.lex_state = 7},
  [150] = {.lex_state = 75},
  [151] = {.lex_state = 7},
  [152] = {.lex_state = 75},
  [153] = {.lex_state = 75},
  [154] = {.lex_state = 75},
  [155] = {.lex_state = 7},
  [156] = {.lex_state = 75},
  [157] = {.lex_state = 75},
  [158] = {.lex_state = 75},
  [159] = {.lex_state = 75},
  [160] = {.lex_state = 75},
  [161] = {.lex_state = 75},
  [162] = {.lex_state = 75},
  [163] = {.lex_state = 75},
  [164] = {.lex_state = 75},
  [165] = {.lex_state = 75},
  [166] = {.lex_state = 75},
  [167] = {.lex_state = 75},
  [168] = {.lex_state = 75},
  [169] = {.lex_state = 75},
  [170] = {.lex_state = 75},
  [171] = {.lex_state = 75},
  [172] = {.lex_state = 75},
  [173] = {.lex_state = 75},
  [174] = {.lex_state = 75},
  [175] = {.lex_state = 75},
  [176] = {.lex_state = 75},
  [177] = {.lex_state = 75},
  [178] = {.lex_state = 75},
  [179] = {.lex_state = 75},
  [180] = {.lex_state = 75},
  [181] = {.lex_state = 75},
  [182] = {.lex_state = 75},
  [183] = {.lex_state = 75},
  [184] = {.lex_state = 75},
  [185] = {.lex_state = 75},
  [186] = {.lex_state = 75, .external_lex_state = 2},
  [187] = {.lex_state = 75, .external_lex_state = 2},
  [188] = {.lex_state = 75, .external_lex_state = 2},
  [189] = {.lex_state = 75, .external_lex_state = 2},
  [190] = {.lex_state = 75, .external_lex_state = 2},
  [191] = {.lex_state = 75},
  [192] = {.lex_state = 75},
  [193] = {.lex_state = 75},
  [194] = {.lex_state = 75, .external_lex_state = 2},
  [195] = {.lex_state = 75},
  [196] = {.lex_state = 75},
  [197] = {.lex_state = 75},
  [198] = {.lex_state = 75},
  [199] = {.lex_state = 7},
  [200] = {.lex_state = 75},
  [201] = {.lex_state = 75},
  [202] = {.lex_state = 75},
  [203] = {.lex_state = 7},
  [204] = {.lex_state = 75},
  [205] = {.lex_state = 75},
  [206] = {.lex_state = 75},
  [207] = {.lex_state = 75},
  [208] = {.lex_state = 75},
  [209] = {.lex_state = 75},
  [210] = {.lex_state = 75},
  [211] = {.lex_state = 75},
  [212] = {.lex_state = 75},
  [213] = {.lex_state = 75},
  [214] = {.lex_state = 75},
  [215] = {.lex_state = 75},
  [216] = {.lex_state = 75},
  [217] = {.lex_state = 75},
  [218] = {.lex_state = 75},
  [219] = {.lex_state = 75},
  [220] = {.lex_state = 75},
  [221] = {.lex_state = 75},
  [222] = {.lex_state = 75},
  [223] = {.lex_state = 75},
  [224] = {.lex_state = 75},
  [225] = {.lex_state = 75},
  [226] = {.lex_state = 75},
  [227] = {.lex_state = 75},
  [228] = {.lex_state = 75},
  [229] = {.lex_state = 75},
  [230] = {.lex_state = 75},
  [231] = {.lex_state = 75},
  [232] = {.lex_state = 75},
  [233] = {.lex_state = 75},
  [234] = {.lex_state = 75},
  [235] = {.lex_state = 75},
  [236] = {.lex_state = 75},
  [237] = {.lex_state = 75},
  [238] = {.lex_state = 75},
  [239] = {.lex_state = 75},
  [240] = {.lex_state = 75},
  [241] = {.lex_state = 75},
  [242] = {.lex_state = 75},
  [243] = {.lex_state = 75},
  [244] = {.lex_state = 75},
  [245] = {.lex_state = 75},
  [246] = {.lex_state = 75},
  [247] = {.lex_state = 75},
  [248] = {.lex_state = 75},
  [249] = {.lex_state = 75},
  [250] = {.lex_state = 75},
  [251] = {.lex_state = 75},
  [252] = {.lex_state = 75},
  [253] = {.lex_state = 75},
  [254] = {.lex_state = 75},
  [255] = {.lex_state = 75},
  [256] = {.lex_state = 75},
  [257] = {.lex_state = 75},
  [258] = {.lex_state = 75},
  [259] = {.lex_state = 75},
  [260] = {.lex_state = 75},
  [261] = {.lex_state = 75},
  [262] = {.lex_state = 75},
  [263] = {.lex_state = 75},
  [264] = {.lex_state = 75},
  [265] = {.lex_state = 75},
  [266] = {.lex_state = 75},
  [267] = {.lex_state = 75},
  [268] = {.lex_state = 75},
  [269] = {.lex_state = 75},
  [270] = {.lex_state = 75},
  [271] = {.lex_state = 75},
  [272] = {.lex_state = 75},
  [273] = {.lex_state = 75},
  [274] = {.lex_state = 75},
  [275] = {.lex_state = 75},
  [276] = {.lex_state = 75},
  [277] = {.lex_state = 75},
  [278] = {.lex_state = 75},
  [279] = {.lex_state = 75},
  [280] = {.lex_state = 75},
  [281] = {.lex_state = 75},
  [282] = {.lex_state = 75},
  [283] = {.lex_state = 75},
  [284] = {.lex_state = 75},
  [285] = {.lex_state = 75},
  [286] = {.lex_state = 75},
  [287] = {.lex_state = 75},
  [288] = {.lex_state = 75},
  [289] = {.lex_state = 75},
  [290] = {.lex_state = 75},
  [291] = {.lex_state = 75},
  [292] = {.lex_state = 75},
  [293] = {.lex_state = 75},
  [294] = {.lex_state = 75},
  [295] = {.lex_state = 75},
  [296] = {.lex_state = 75},
  [297] = {.lex_state = 75},
  [298] = {.lex_state = 75},
  [299] = {.lex_state = 75},
  [300] = {.lex_state = 75},
  [301] = {.lex_state = 75},
  [302] = {.lex_state = 75},
  [303] = {.lex_state = 75},
  [304] = {.lex_state = 75},
  [305] = {.lex_state = 75},
  [306] = {.lex_state = 75},
  [307] = {.lex_state = 75},
  [308] = {.lex_state = 75},
  [309] = {.lex_state = 75},
  [310] = {.lex_state = 75},
  [311] = {.lex_state = 75},
  [312] = {.lex_state = 75},
  [313] = {.lex_state = 75},
  [314] = {.lex_state = 75},
  [315] = {.lex_state = 75},
  [316] = {.lex_state = 75},
  [317] = {.lex_state = 75},
  [318] = {.lex_state = 75},
  [319] = {.lex_state = 75},
  [320] = {.lex_state = 75},
  [321] = {.lex_state = 75},
  [322] = {.lex_state = 75},
  [323] = {.lex_state = 75},
  [324] = {.lex_state = 75},
  [325] = {.lex_state = 75},
  [326] = {.lex_state = 75},
  [327] = {.lex_state = 75},
  [328] = {.lex_state = 75},
  [329] = {.lex_state = 75},
  [330] = {.lex_state = 75},
  [331] = {.lex_state = 75},
  [332] = {.lex_state = 75},
  [333] = {.lex_state = 75},
  [334] = {.lex_state = 75},
  [335] = {.lex_state = 75},
  [336] = {.lex_state = 75},
  [337] = {.lex_state = 75},
  [338] = {.lex_state = 75},
  [339] = {.lex_state = 75},
  [340] = {.lex_state = 75},
  [341] = {.lex_state = 75},
  [342] = {.lex_state = 75},
  [343] = {.lex_state = 75},
  [344] = {.lex_state = 75},
  [345] = {.lex_state = 75},
  [346] = {.lex_state = 75},
  [347] = {.lex_state = 75},
  [348] = {.lex_state = 75},
  [349] = {.lex_state = 75},
  [350] = {.lex_state = 75},
  [351] = {.lex_state = 75},
  [352] = {.lex_state = 75},
  [353] = {.lex_state = 75},
  [354] = {.lex_state = 75},
  [355] = {.lex_state = 75},
  [356] = {.lex_state = 75},
  [357] = {.lex_state = 75},
  [358] = {.lex_state = 75},
  [359] = {.lex_state = 75},
  [360] = {.lex_state = 75},
  [361] = {.lex_state = 75},
  [362] = {.lex_state = 75},
  [363] = {.lex_state = 75},
  [364] = {.lex_state = 75},
  [365] = {.lex_state = 75},
  [366] = {.lex_state = 75},
  [367] = {.lex_state = 75},
  [368] = {.lex_state = 75},
  [369] = {.lex_state = 75},
  [370] = {.lex_state = 75},
  [371] = {.lex_state = 75},
  [372] = {.lex_state = 75},
  [373] = {.lex_state = 75},
  [374] = {.lex_state = 75},
  [375] = {.lex_state = 75},
  [376] = {.lex_state = 75},
  [377] = {.lex_state = 75},
  [378] = {.lex_state = 75},
  [379] = {.lex_state = 75},
  [380] = {.lex_state = 75},
  [381] = {.lex_state = 75},
  [382] = {.lex_state = 75},
  [383] = {.lex_state = 75},
  [384] = {.lex_state = 75},
  [385] = {.lex_state = 75},
  [386] = {.lex_state = 75},
  [387] = {.lex_state = 75},
  [388] = {.lex_state = 75},
  [389] = {.lex_state = 75},
  [390] = {.lex_state = 75},
  [391] = {.lex_state = 75},
  [392] = {.lex_state = 75},
  [393] = {.lex_state = 75},
  [394] = {.lex_state = 75},
  [395] = {.lex_state = 75},
  [396] = {.lex_state = 75},
  [397] = {.lex_state = 75},
  [398] = {.lex_state = 75},
  [399] = {.lex_state = 75},
  [400] = {.lex_state = 75},
  [401] = {.lex_state = 75},
  [402] = {.lex_state = 75},
  [403] = {.lex_state = 75},
  [404] = {.lex_state = 75},
  [405] = {.lex_state = 75},
  [406] = {.lex_state = 75},
  [407] = {.lex_state = 75},
  [408] = {.lex_state = 75},
  [409] = {.lex_state = 75},
  [410] = {.lex_state = 75},
  [411] = {.lex_state = 75},
  [412] = {.lex_state = 75},
  [413] = {.lex_state = 75},
  [414] = {.lex_state = 75},
  [415] = {.lex_state = 75},
  [416] = {.lex_state = 75},
  [417] = {.lex_state = 75},
  [418] = {.lex_state = 75},
  [419] = {.lex_state = 75},
  [420] = {.lex_state = 75},
  [421] = {.lex_state = 75},
  [422] = {.lex_state = 75},
  [423] = {.lex_state = 75},
  [424] = {.lex_state = 75},
  [425] = {.lex_state = 75},
  [426] = {.lex_state = 75},
  [427] = {.lex_state = 75},
  [428] = {.lex_state = 75},
  [429] = {.lex_state = 75},
  [430] = {.lex_state = 75},
  [431] = {.lex_state = 75},
  [432] = {.lex_state = 75},
  [433] = {.lex_state = 75},
  [434] = {.lex_state = 75},
  [435] = {.lex_state = 75},
  [436] = {.lex_state = 75, .external_lex_state = 2},
  [437] = {.lex_state = 75, .external_lex_state = 2},
  [438] = {.lex_state = 75, .external_lex_state = 2},
  [439] = {.lex_state = 75, .external_lex_state = 2},
  [440] = {.lex_state = 75, .external_lex_state = 2},
  [441] = {.lex_state = 75, .external_lex_state = 2},
  [442] = {.lex_state = 75, .external_lex_state = 2},
  [443] = {.lex_state = 75, .external_lex_state = 2},
  [444] = {.lex_state = 75, .external_lex_state = 2},
  [445] = {.lex_state = 75, .external_lex_state = 2},
  [446] = {.lex_state = 75, .external_lex_state = 2},
  [447] = {.lex_state = 75, .external_lex_state = 2},
  [448] = {.lex_state = 75, .external_lex_state = 2},
  [449] = {.lex_state = 75, .external_lex_state = 2},
  [450] = {.lex_state = 75, .external_lex_state = 2},
  [451] = {.lex_state = 75, .external_lex_state = 2},
  [452] = {.lex_state = 75, .external_lex_state = 2},
  [453] = {.lex_state = 75, .external_lex_state = 2},
  [454] = {.lex_state = 75, .external_lex_state = 2},
  [455] = {.lex_state = 75, .external_lex_state = 2},
  [456] = {.lex_state = 75},
  [457] = {.lex_state = 75},
  [458] = {.lex_state = 75},
  [459] = {.lex_state = 75},
  [460] = {.lex_state = 75},
  [461] = {.lex_state = 75},
  [462] = {.lex_state = 75},
  [463] = {.lex_state = 75},
  [464] = {.lex_state = 75},
  [465] = {.lex_state = 75},
  [466] = {.lex_state = 75},
  [467] = {.lex_state = 75},
  [468] = {.lex_state = 75},
  [469] = {.lex_state = 75},
  [470] = {.lex_state = 75},
  [471] = {.lex_state = 75},
  [472] = {.lex_state = 75},
  [473] = {.lex_state = 75},
  [474] = {.lex_state = 75},
  [475] = {.lex_state = 75},
  [476] = {.lex_state = 75},
  [477] = {.lex_state = 75},
  [478] = {.lex_state = 75},
  [479] = {.lex_state = 75},
  [480] = {.lex_state = 75},
  [481] = {.lex_state = 75},
  [482] = {.lex_state = 75},
  [483] = {.lex_state = 75},
  [484] = {.lex_state = 75},
  [485] = {.lex_state = 75},
  [486] = {.lex_state = 75},
  [487] = {.lex_state = 75},
  [488] = {.lex_state = 75},
  [489] = {.lex_state = 75},
  [490] = {.lex_state = 75},
  [491] = {.lex_state = 75},
  [492] = {.lex_state = 75},
  [493] = {.lex_state = 75},
  [494] = {.lex_state = 75},
  [495] = {.lex_state = 75},
  [496] = {.lex_state = 75},
  [497] = {.lex_state = 75},
  [498] = {.lex_state = 75},
  [499] = {.lex_state = 75},
  [500] = {.lex_state = 75},
  [501] = {.lex_state = 75},
  [502] = {.lex_state = 75},
  [503] = {.lex_state = 75},
  [504] = {.lex_state = 75},
  [505] = {.lex_state = 75},
  [506] = {.lex_state = 75},
  [507] = {.lex_state = 75},
  [508] = {.lex_state = 75},
  [509] = {.lex_state = 75},
  [510] = {.lex_state = 75},
  [511] = {.lex_state = 75},
  [512] = {.lex_state = 75},
  [513] = {.lex_state = 75},
  [514] = {.lex_state = 75},
  [515] = {.lex_state = 75},
  [516] = {.lex_state = 75},
  [517] = {.lex_state = 75},
  [518] = {.lex_state = 75},
  [519] = {.lex_state = 75},
  [520] = {.lex_state = 75},
  [521] = {.lex_state = 75},
  [522] = {.lex_state = 75},
  [523] = {.lex_state = 75},
  [524] = {.lex_state = 75},
  [525] = {.lex_state = 75},
  [526] = {.lex_state = 75},
  [527] = {.lex_state = 75},
  [528] = {.lex_state = 75},
  [529] = {.lex_state = 75},
  [530] = {.lex_state = 75},
  [531] = {.lex_state = 75},
  [532] = {.lex_state = 75},
  [533] = {.lex_state = 75},
  [534] = {.lex_state = 75},
  [535] = {.lex_state = 75},
  [536] = {.lex_state = 75},
  [537] = {.lex_state = 75},
  [538] = {.lex_state = 75},
  [539] = {.lex_state = 75},
  [540] = {.lex_state = 75},
  [541] = {.lex_state = 75},
  [542] = {.lex_state = 75},
  [543] = {.lex_state = 75},
  [544] = {.lex_state = 75},
  [545] = {.lex_state = 75},
  [546] = {.lex_state = 75},
  [547] = {.lex_state = 75},
  [548] = {.lex_state = 75},
  [549] = {.lex_state = 75},
  [550] = {.lex_state = 75},
  [551] = {.lex_state = 75},
  [552] = {.lex_state = 75},
  [553] = {.lex_state = 75},
  [554] = {.lex_state = 75},
  [555] = {.lex_state = 75},
  [556] = {.lex_state = 75},
  [557] = {.lex_state = 75},
  [558] = {.lex_state = 75},
  [559] = {.lex_state = 75},
  [560] = {.lex_state = 75},
  [561] = {.lex_state = 75},
  [562] = {.lex_state = 75},
  [563] = {.lex_state = 75},
  [564] = {.lex_state = 75},
  [565] = {.lex_state = 75},
  [566] = {.lex_state = 75},
  [567] = {.lex_state = 75},
  [568] = {.lex_state = 75},
  [569] = {.lex_state = 75},
  [570] = {.lex_state = 75},
  [571] = {.lex_state = 75},
  [572] = {.lex_state = 75},
  [573] = {.lex_state = 75},
  [574] = {.lex_state = 10},
  [575] = {.lex_state = 10},
  [576] = {.lex_state = 10},
  [577] = {.lex_state = 10},
  [578] = {.lex_state = 10},
  [579] = {.lex_state = 10},
  [580] = {.lex_state = 10},
  [581] = {.lex_state = 10},
  [582] = {.lex_state = 10},
  [583] = {.lex_state = 10},
  [584] = {.lex_state = 10},
  [585] = {.lex_state = 10},
  [586] = {.lex_state = 10},
  [587] = {.lex_state = 10},
  [588] = {.lex_state = 10},
  [589] = {.lex_state = 10},
  [590] = {.lex_state = 10},
  [591] = {.lex_state = 10},
  [592] = {.lex_state = 10},
  [593] = {.lex_state = 10},
  [594] = {.lex_state = 10},
  [595] = {.lex_state = 10},
  [596] = {.lex_state = 10},
  [597] = {.lex_state = 10},
  [598] = {.lex_state = 10},
  [599] = {.lex_state = 10},
  [600] = {.lex_state = 10, .external_lex_state = 2},
  [601] = {.lex_state = 10, .external_lex_state = 2},
  [602] = {.lex_state = 10, .external_lex_state = 2},
  [603] = {.lex_state = 10, .external_lex_state = 2},
  [604] = {.lex_state = 10},
  [605] = {.lex_state = 10},
  [606] = {.lex_state = 10, .external_lex_state = 2},
  [607] = {.lex_state = 10},
  [608] = {.lex_state = 10, .external_lex_state = 2},
  [609] = {.lex_state = 10, .external_lex_state = 2},
  [610] = {.lex_state = 10, .external_lex_state = 2},
  [611] = {.lex_state = 10, .external_lex_state = 2},
  [612] = {.lex_state = 10},
  [613] = {.lex_state = 10, .external_lex_state = 2},
  [614] = {.lex_state = 10, .external_lex_state = 2},
  [615] = {.lex_state = 10, .external_lex_state = 2},
  [616] = {.lex_state = 10, .external_lex_state = 2},
  [617] = {.lex_state = 10, .external_lex_state = 2},
  [618] = {.lex_state = 10, .external_lex_state = 2},
  [619] = {.lex_state = 10},
  [620] = {.lex_state = 10, .external_lex_state = 2},
  [621] = {.lex_state = 10, .external_lex_state = 2},
  [622] = {.lex_state = 10},
  [623] = {.lex_state = 10, .external_lex_state = 2},
  [624] = {.lex_state = 10},
  [625] = {.lex_state = 10, .external_lex_state = 2},
  [626] = {.lex_state = 10, .external_lex_state = 2},
  [627] = {.lex_state = 10, .external_lex_state = 2},
  [628] = {.lex_state = 10},
  [629] = {.lex_state = 10, .external_lex_state = 2},
  [630] = {.lex_state = 10, .external_lex_state = 2},
  [631] = {.lex_state = 10, .external_lex_state = 2},
  [632] = {.lex_state = 10, .external_lex_state = 2},
  [633] = {.lex_state = 10},
  [634] = {.lex_state = 10},
  [635] = {.lex_state = 10, .external_lex_state = 2},
  [636] = {.lex_state = 10},
  [637] = {.lex_state = 10},
  [638] = {.lex_state = 10},
  [639] = {.lex_state = 10},
  [640] = {.lex_state = 10},
  [641] = {.lex_state = 10},
  [642] = {.lex_state = 9},
  [643] = {.lex_state = 76},
  [644] = {.lex_state = 76},
  [645] = {.lex_state = 12},
  [646] = {.lex_state = 11},
  [647] = {.lex_state = 11},
  [648] = {.lex_state = 12},
  [649] = {.lex_state = 11},
  [650] = {.lex_state = 12},
  [651] = {.lex_state = 11},
  [652] = {.lex_state = 11},
  [653] = {.lex_state = 12},
  [654] = {.lex_state = 11},
  [655] = {.lex_state = 11},
  [656] = {.lex_state = 20},
  [657] = {.lex_state = 20},
  [658] = {.lex_state = 12},
  [659] = {.lex_state = 11},
  [660] = {.lex_state = 20},
  [661] = {.lex_state = 11},
  [662] = {.lex_state = 16},
  [663] = {.lex_state = 11},
  [664] = {.lex_state = 16},
  [665] = {.lex_state = 11},
  [666] = {.lex_state = 11},
  [667] = {.lex_state = 11},
  [668] = {.lex_state = 20},
  [669] = {.lex_state = 20},
  [670] = {.lex_state = 11},
  [671] = {.lex_state = 12},
  [672] = {.lex_state = 11},
  [673] = {.lex_state = 11},
  [674] = {.lex_state = 11},
  [675] = {.lex_state = 11},
  [676] = {.lex_state = 11},
  [677] = {.lex_state = 11},
  [678] = {.lex_state = 11},
  [679] = {.lex_state = 11},
  [680] = {.lex_state = 11},
  [681] = {.lex_state = 12},
  [682] = {.lex_state = 11},
  [683] = {.lex_state = 20},
  [684] = {.lex_state = 12},
  [685] = {.lex_state = 12},
  [686] = {.lex_state = 12},
  [687] = {.lex_state = 17},
  [688] = {.lex_state = 17},
  [689] = {.lex_state = 12},
  [690] = {.lex_state = 12},
  [691] = {.lex_state = 12},
  [692] = {.lex_state = 12},
  [693] = {.lex_state = 20},
  [694] = {.lex_state = 12},
  [695] = {.lex_state = 12},
  [696] = {.lex_state = 12},
  [697] = {.lex_state = 12},
  [698] = {.lex_state = 12},
  [699] = {.lex_state = 12},
  [700] = {.lex_state = 12},
  [701] = {.lex_state = 12},
  [702] = {.lex_state = 11},
  [703] = {.lex_state = 12},
  [704] = {.lex_state = 12},
  [705] = {.lex_state = 17},
  [706] = {.lex_state = 12},
  [707] = {.lex_state = 12},
  [708] = {.lex_state = 12},
  [709] = {.lex_state = 12},
  [710] = {.lex_state = 12},
  [711] = {.lex_state = 12},
  [712] = {.lex_state = 12},
  [713] = {.lex_state = 12},
  [714] = {.lex_state = 12},
  [715] = {.lex_state = 12},
  [716] = {.lex_state = 17},
  [717] = {.lex_state = 12},
  [718] = {.lex_state = 12},
  [719] = {.lex_state = 12},
  [720] = {.lex_state = 17},
  [721] = {.lex_state = 11},
  [722] = {.lex_state = 12},
  [723] = {.lex_state = 12},
  [724] = {.lex_state = 12},
  [725] = {.lex_state = 12},
  [726] = {.lex_state = 12},
  [727] = {.lex_state = 12},
  [728] = {.lex_state = 12},
  [729] = {.lex_state = 12},
  [730] = {.lex_state = 12},
  [731] = {.lex_state = 12},
  [732] = {.lex_state = 12},
  [733] = {.lex_state = 12},
  [734] = {.lex_state = 12},
  [735] = {.lex_state = 12},
  [736] = {.lex_state = 12},
  [737] = {.lex_state = 12},
  [738] = {.lex_state = 12},
  [739] = {.lex_state = 12},
  [740] = {.lex_state = 12},
  [741] = {.lex_state = 17},
  [742] = {.lex_state = 12},
  [743] = {.lex_state = 12},
  [744] = {.lex_state = 12},
  [745] = {.lex_state = 12},
  [746] = {.lex_state = 12},
  [747] = {.lex_state = 12},
  [748] = {.lex_state = 12},
  [749] = {.lex_state = 12},
  [750] = {.lex_state = 12},
  [751] = {.lex_state = 12},
  [752] = {.lex_state = 12},
  [753] = {.lex_state = 12},
  [754] = {.lex_state = 12},
  [755] = {.lex_state = 12},
  [756] = {.lex_state = 12},
  [757] = {.lex_state = 12},
  [758] = {.lex_state = 12},
  [759] = {.lex_state = 12},
  [760] = {.lex_state = 12},
  [761] = {.lex_state = 12},
  [762] = {.lex_state = 12},
  [763] = {.lex_state = 12},
  [764] = {.lex_state = 12},
  [765] = {.lex_state = 12, .external_lex_state = 2},
  [766] = {.lex_state = 11, .external_lex_state = 2},
  [767] = {.lex_state = 11, .external_lex_state = 2},
  [768] = {.lex_state = 13},
  [769] = {.lex_state = 12},
  [770] = {.lex_state = 11, .external_lex_state = 2},
  [771] = {.lex_state = 11, .external_lex_state = 2},
  [772] = {.lex_state = 11, .external_lex_state = 2},
  [773] = {.lex_state = 12},
  [774] = {.lex_state = 11, .external_lex_state = 2},
  [775] = {.lex_state = 12},
  [776] = {.lex_state = 12, .external_lex_state = 2},
  [777] = {.lex_state = 7},
  [778] = {.lex_state = 12},
  [779] = {.lex_state = 12},
  [780] = {.lex_state = 11, .external_lex_state = 2},
  [781] = {.lex_state = 13},
  [782] = {.lex_state = 12, .external_lex_state = 2},
  [783] = {.lex_state = 12, .external_lex_state = 2},
  [784] = {.lex_state = 11, .external_lex_state = 2},
  [785] = {.lex_state = 11, .external_lex_state = 2},
  [786] = {.lex_state = 11, .external_lex_state = 2},
  [787] = {.lex_state = 11, .external_lex_state = 2},
  [788] = {.lex_state = 11, .external_lex_state = 2},
  [789] = {.lex_state = 11, .external_lex_state = 2},
  [790] = {.lex_state = 12, .external_lex_state = 2},
  [791] = {.lex_state = 11, .external_lex_state = 2},
  [792] = {.lex_state = 7},
  [793] = {.lex_state = 11, .external_lex_state = 2},
  [794] = {.lex_state = 12},
  [795] = {.lex_state = 11, .external_lex_state = 2},
  [796] = {.lex_state = 11, .external_lex_state = 2},
  [797] = {.lex_state = 11, .external_lex_state = 2},
  [798] = {.lex_state = 11, .external_lex_state = 2},
  [799] = {.lex_state = 11, .external_lex_state = 2},
  [800] = {.lex_state = 11, .external_lex_state = 2},
  [801] = {.lex_state = 12, .external_lex_state = 2},
  [802] = {.lex_state = 11, .external_lex_state = 2},
  [803] = {.lex_state = 11, .external_lex_state = 2},
  [804] = {.lex_state = 11, .external_lex_state = 2},
  [805] = {.lex_state = 12, .external_lex_state = 2},
  [806] = {.lex_state = 12, .external_lex_state = 2},
  [807] = {.lex_state = 17},
  [808] = {.lex_state = 12, .external_lex_state = 2},
  [809] = {.lex_state = 12, .external_lex_state = 2},
  [810] = {.lex_state = 12, .external_lex_state = 2},
  [811] = {.lex_state = 17},
  [812] = {.lex_state = 12, .external_lex_state = 2},
  [813] = {.lex_state = 17},
  [814] = {.lex_state = 17},
  [815] = {.lex_state = 12, .external_lex_state = 2},
  [816] = {.lex_state = 17},
  [817] = {.lex_state = 12, .external_lex_state = 2},
  [818] = {.lex_state = 11, .external_lex_state = 2},
  [819] = {.lex_state = 12, .external_lex_state = 2},
  [820] = {.lex_state = 12, .external_lex_state = 2},
  [821] = {.lex_state = 17},
  [822] = {.lex_state = 12, .external_lex_state = 2},
  [823] = {.lex_state = 12, .external_lex_state = 2},
  [824] = {.lex_state = 12, .external_lex_state = 2},
  [825] = {.lex_state = 17},
  [826] = {.lex_state = 12, .external_lex_state = 2},
  [827] = {.lex_state = 13},
  [828] = {.lex_state = 12, .external_lex_state = 2},
  [829] = {.lex_state = 12, .external_lex_state = 2},
  [830] = {.lex_state = 17},
  [831] = {.lex_state = 12, .external_lex_state = 2},
  [832] = {.lex_state = 12, .external_lex_state = 2},
  [833] = {.lex_state = 17},
  [834] = {.lex_state = 13},
  [835] = {.lex_state = 12, .external_lex_state = 2},
  [836] = {.lex_state = 12, .external_lex_state = 2},
  [837] = {.lex_state = 12, .external_lex_state = 2},
  [838] = {.lex_state = 12, .external_lex_state = 2},
  [839] = {.lex_state = 17},
  [840] = {.lex_state = 12, .external_lex_state = 2},
  [841] = {.lex_state = 12, .external_lex_state = 2},
  [842] = {.lex_state = 12, .external_lex_state = 2},
  [843] = {.lex_state = 12, .external_lex_state = 2},
  [844] = {.lex_state = 11, .external_lex_state = 2},
  [845] = {.lex_state = 12, .external_lex_state = 2},
  [846] = {.lex_state = 17},
  [847] = {.lex_state = 12, .external_lex_state = 2},
  [848] = {.lex_state = 17},
  [849] = {.lex_state = 12, .external_lex_state = 2},
  [850] = {.lex_state = 17},
  [851] = {.lex_state = 12, .external_lex_state = 2},
  [852] = {.lex_state = 12, .external_lex_state = 2},
  [853] = {.lex_state = 17},
  [854] = {.lex_state = 17},
  [855] = {.lex_state = 12, .external_lex_state = 2},
  [856] = {.lex_state = 12, .external_lex_state = 2},
  [857] = {.lex_state = 12, .external_lex_state = 2},
  [858] = {.lex_state = 12, .external_lex_state = 2},
  [859] = {.lex_state = 12, .external_lex_state = 2},
  [860] = {.lex_state = 12, .external_lex_state = 2},
  [861] = {.lex_state = 12, .external_lex_state = 2},
  [862] = {.lex_state = 12, .external_lex_state = 2},
  [863] = {.lex_state = 12, .external_lex_state = 2},
  [864] = {.lex_state = 12, .external_lex_state = 2},
  [865] = {.lex_state = 12, .external_lex_state = 2},
  [866] = {.lex_state = 12, .external_lex_state = 2},
  [867] = {.lex_state = 12, .external_lex_state = 2},
  [868] = {.lex_state = 12, .external_lex_state = 2},
  [869] = {.lex_state = 12, .external_lex_state = 2},
  [870] = {.lex_state = 12, .external_lex_state = 2},
  [871] = {.lex_state = 12, .external_lex_state = 2},
  [872] = {.lex_state = 12, .external_lex_state = 2},
  [873] = {.lex_state = 12, .external_lex_state = 2},
  [874] = {.lex_state = 12, .external_lex_state = 2},
  [875] = {.lex_state = 12, .external_lex_state = 2},
  [876] = {.lex_state = 12, .external_lex_state = 2},
  [877] = {.lex_state = 12, .external_lex_state = 2},
  [878] = {.lex_state = 12, .external_lex_state = 2},
  [879] = {.lex_state = 12, .external_lex_state = 2},
  [880] = {.lex_state = 12, .external_lex_state = 2},
  [881] = {.lex_state = 12, .external_lex_state = 2},
  [882] = {.lex_state = 12, .external_lex_state = 2},
  [883] = {.lex_state = 12, .external_lex_state = 2},
  [884] = {.lex_state = 12, .external_lex_state = 2},
  [885] = {.lex_state = 12, .external_lex_state = 2},
  [886] = {.lex_state = 12, .external_lex_state = 2},
  [887] = {.lex_state = 12, .external_lex_state = 2},
  [888] = {.lex_state = 12, .external_lex_state = 2},
  [889] = {.lex_state = 12, .external_lex_state = 2},
  [890] = {.lex_state = 12, .external_lex_state = 2},
  [891] = {.lex_state = 12, .external_lex_state = 2},
  [892] = {.lex_state = 12, .external_lex_state = 2},
  [893] = {.lex_state = 12, .external_lex_state = 2},
  [894] = {.lex_state = 12},
  [895] = {.lex_state = 12, .external_lex_state = 2},
  [896] = {.lex_state = 12, .external_lex_state = 2},
  [897] = {.lex_state = 12, .external_lex_state = 2},
  [898] = {.lex_state = 12, .external_lex_state = 2},
  [899] = {.lex_state = 12},
  [900] = {.lex_state = 12, .external_lex_state = 2},
  [901] = {.lex_state = 12, .external_lex_state = 2},
  [902] = {.lex_state = 12, .external_lex_state = 2},
  [903] = {.lex_state = 12, .external_lex_state = 2},
  [904] = {.lex_state = 12, .external_lex_state = 2},
  [905] = {.lex_state = 12, .external_lex_state = 2},
  [906] = {.lex_state = 13},
  [907] = {.lex_state = 13},
  [908] = {.lex_state = 13},
  [909] = {.lex_state = 13},
  [910] = {.lex_state = 13},
  [911] = {.lex_state = 13},
  [912] = {.lex_state = 13},
  [913] = {.lex_state = 13},
  [914] = {.lex_state = 13},
  [915] = {.lex_state = 13},
  [916] = {.lex_state = 13},
  [917] = {.lex_state = 13},
  [918] = {.lex_state = 13},
  [919] = {.lex_state = 13},
  [920] = {.lex_state = 13},
  [921] = {.lex_state = 13},
  [922] = {.lex_state = 13},
  [923] = {.lex_state = 13},
  [924] = {.lex_state = 13},
  [925] = {.lex_state = 13},
  [926] = {.lex_state = 13},
  [927] = {.lex_state = 13},
  [928] = {.lex_state = 13},
  [929] = {.lex_state = 13},
  [930] = {.lex_state = 13},
  [931] = {.lex_state = 13},
  [932] = {.lex_state = 13},
  [933] = {.lex_state = 13},
  [934] = {.lex_state = 13},
  [935] = {.lex_state = 13},
  [936] = {.lex_state = 13},
  [937] = {.lex_state = 13},
  [938] = {.lex_state = 13},
  [939] = {.lex_state = 13},
  [940] = {.lex_state = 13},
  [941] = {.lex_state = 13},
  [942] = {.lex_state = 13},
  [943] = {.lex_state = 13},
  [944] = {.lex_state = 13},
  [945] = {.lex_state = 13},
  [946] = {.lex_state = 13},
  [947] = {.lex_state = 13},
  [948] = {.lex_state = 13},
  [949] = {.lex_state = 13},
  [950] = {.lex_state = 13},
  [951] = {.lex_state = 13},
  [952] = {.lex_state = 13},
  [953] = {.lex_state = 13},
  [954] = {.lex_state = 13},
  [955] = {.lex_state = 13},
  [956] = {.lex_state = 14},
  [957] = {.lex_state = 13},
  [958] = {.lex_state = 13},
  [959] = {.lex_state = 13},
  [960] = {.lex_state = 13},
  [961] = {.lex_state = 13},
  [962] = {.lex_state = 13},
  [963] = {.lex_state = 13},
  [964] = {.lex_state = 13},
  [965] = {.lex_state = 13},
  [966] = {.lex_state = 13},
  [967] = {.lex_state = 13},
  [968] = {.lex_state = 13},
  [969] = {.lex_state = 13},
  [970] = {.lex_state = 13},
  [971] = {.lex_state = 13},
  [972] = {.lex_state = 13, .external_lex_state = 2},
  [973] = {.lex_state = 13, .external_lex_state = 2},
  [974] = {.lex_state = 13},
  [975] = {.lex_state = 13},
  [976] = {.lex_state = 13},
  [977] = {.lex_state = 13},
  [978] = {.lex_state = 13},
  [979] = {.lex_state = 13},
  [980] = {.lex_state = 13},
  [981] = {.lex_state = 13},
  [982] = {.lex_state = 13},
  [983] = {.lex_state = 13},
  [984] = {.lex_state = 13},
  [985] = {.lex_state = 13},
  [986] = {.lex_state = 13},
  [987] = {.lex_state = 13},
  [988] = {.lex_state = 13},
  [989] = {.lex_state = 13},
  [990] = {.lex_state = 13},
  [991] = {.lex_state = 13},
  [992] = {.lex_state = 13},
  [993] = {.lex_state = 13},
  [994] = {.lex_state = 13},
  [995] = {.lex_state = 13},
  [996] = {.lex_state = 13},
  [997] = {.lex_state = 13},
  [998] = {.lex_state = 13},
  [999] = {.lex_state = 13},
  [1000] = {.lex_state = 13},
  [1001] = {.lex_state = 13},
  [1002] = {.lex_state = 13},
  [1003] = {.lex_state = 13},
  [1004] = {.lex_state = 13},
  [1005] = {.lex_state = 13},
  [1006] = {.lex_state = 13},
  [1007] = {.lex_state = 13},
  [1008] = {.lex_state = 13},
  [1009] = {.lex_state = 13},
  [1010] = {.lex_state = 13},
  [1011] = {.lex_state = 13},
  [1012] = {.lex_state = 13},
  [1013] = {.lex_state = 13},
  [1014] = {.lex_state = 13},
  [1015] = {.lex_state = 13},
  [1016] = {.lex_state = 13},
  [1017] = {.lex_state = 13},
  [1018] = {.lex_state = 13},
  [1019] = {.lex_state = 13},
  [1020] = {.lex_state = 13},
  [1021] = {.lex_state = 76},
  [1022] = {.lex_state = 13},
  [1023] = {.lex_state = 13},
  [1024] = {.lex_state = 13},
  [1025] = {.lex_state = 13},
  [1026] = {.lex_state = 13},
  [1027] = {.lex_state = 13},
  [1028] = {.lex_state = 13},
  [1029] = {.lex_state = 13},
  [1030] = {.lex_state = 13},
  [1031] = {.lex_state = 13},
  [1032] = {.lex_state = 13},
  [1033] = {.lex_state = 13},
  [1034] = {.lex_state = 13},
  [1035] = {.lex_state = 13},
  [1036] = {.lex_state = 13},
  [1037] = {.lex_state = 13},
  [1038] = {.lex_state = 13},
  [1039] = {.lex_state = 13, .external_lex_state = 2},
  [1040] = {.lex_state = 13, .external_lex_state = 2},
  [1041] = {.lex_state = 13, .external_lex_state = 2},
  [1042] = {.lex_state = 13, .external_lex_state = 2},
  [1043] = {.lex_state = 13, .external_lex_state = 2},
  [1044] = {.lex_state = 13, .external_lex_state = 2},
  [1045] = {.lex_state = 13, .external_lex_state = 2},
  [1046] = {.lex_state = 13, .external_lex_state = 2},
  [1047] = {.lex_state = 13, .external_lex_state = 2},
  [1048] = {.lex_state = 13, .external_lex_state = 2},
  [1049] = {.lex_state = 13, .external_lex_state = 2},
  [1050] = {.lex_state = 13, .external_lex_state = 2},
  [1051] = {.lex_state = 13, .external_lex_state = 2},
  [1052] = {.lex_state = 13, .external_lex_state = 2},
  [1053] = {.lex_state = 13, .external_lex_state = 2},
  [1054] = {.lex_state = 13, .external_lex_state = 2},
  [1055] = {.lex_state = 13, .external_lex_state = 2},
  [1056] = {.lex_state = 76},
  [1057] = {.lex_state = 13, .external_lex_state = 2},
  [1058] = {.lex_state = 13, .external_lex_state = 2},
  [1059] = {.lex_state = 13, .external_lex_state = 2},
  [1060] = {.lex_state = 13, .external_lex_state = 2},
  [1061] = {.lex_state = 13, .external_lex_state = 2},
  [1062] = {.lex_state = 13, .external_lex_state = 2},
  [1063] = {.lex_state = 13, .external_lex_state = 2},
  [1064] = {.lex_state = 13, .external_lex_state = 2},
  [1065] = {.lex_state = 13, .external_lex_state = 2},
  [1066] = {.lex_state = 13, .external_lex_state = 2},
  [1067] = {.lex_state = 13, .external_lex_state = 2},
  [1068] = {.lex_state = 13, .external_lex_state = 2},
  [1069] = {.lex_state = 13, .external_lex_state = 2},
  [1070] = {.lex_state = 13, .external_lex_state = 2},
  [1071] = {.lex_state = 13, .external_lex_state = 2},
  [1072] = {.lex_state = 76},
  [1073] = {.lex_state = 13, .external_lex_state = 2},
  [1074] = {.lex_state = 13, .external_lex_state = 2},
  [1075] = {.lex_state = 13, .external_lex_state = 2},
  [1076] = {.lex_state = 13, .external_lex_state = 2},
  [1077] = {.lex_state = 13, .external_lex_state = 2},
  [1078] = {.lex_state = 13, .external_lex_state = 2},
  [1079] = {.lex_state = 13, .external_lex_state = 2},
  [1080] = {.lex_state = 13, .external_lex_state = 2},
  [1081] = {.lex_state = 13, .external_lex_state = 2},
  [1082] = {.lex_state = 13, .external_lex_state = 2},
  [1083] = {.lex_state = 13, .external_lex_state = 2},
  [1084] = {.lex_state = 13, .external_lex_state = 2},
  [1085] = {.lex_state = 13, .external_lex_state = 2},
  [1086] = {.lex_state = 13, .external_lex_state = 2},
  [1087] = {.lex_state = 13, .external_lex_state = 2},
  [1088] = {.lex_state = 13, .external_lex_state = 2},
  [1089] = {.lex_state = 13, .external_lex_state = 2},
  [1090] = {.lex_state = 13, .external_lex_state = 2},
  [1091] = {.lex_state = 13, .external_lex_state = 2},
  [1092] = {.lex_state = 13, .external_lex_state = 2},
  [1093] = {.lex_state = 13, .external_lex_state = 2},
  [1094] = {.lex_state = 76},
  [1095] = {.lex_state = 76},
  [1096] = {.lex_state = 13, .external_lex_state = 2},
  [1097] = {.lex_state = 13, .external_lex_state = 2},
  [1098] = {.lex_state = 13, .external_lex_state = 2},
  [1099] = {.lex_state = 13, .external_lex_state = 2},
  [1100] = {.lex_state = 13, .external_lex_state = 2},
  [1101] = {.lex_state = 13, .external_lex_state = 2},
  [1102] = {.lex_state = 13, .external_lex_state = 2},
  [1103] = {.lex_state = 13, .external_lex_state = 2},
  [1104] = {.lex_state = 13, .external_lex_state = 2},
  [1105] = {.lex_state = 13, .external_lex_state = 2},
  [1106] = {.lex_state = 13, .external_lex_state = 2},
  [1107] = {.lex_state = 13, .external_lex_state = 2},
  [1108] = {.lex_state = 13, .external_lex_state = 2},
  [1109] = {.lex_state = 13, .external_lex_state = 2},
  [1110] = {.lex_state = 13, .external_lex_state = 2},
  [1111] = {.lex_state = 13, .external_lex_state = 2},
  [1112] = {.lex_state = 13, .external_lex_state = 2},
  [1113] = {.lex_state = 13, .external_lex_state = 2},
  [1114] = {.lex_state = 13, .external_lex_state = 2},
  [1115] = {.lex_state = 13, .external_lex_state = 2},
  [1116] = {.lex_state = 13, .external_lex_state = 2},
  [1117] = {.lex_state = 13, .external_lex_state = 2},
  [1118] = {.lex_state = 13, .external_lex_state = 2},
  [1119] = {.lex_state = 13, .external_lex_state = 2},
  [1120] = {.lex_state = 13, .external_lex_state = 2},
  [1121] = {.lex_state = 13, .external_lex_state = 2},
  [1122] = {.lex_state = 13, .external_lex_state = 2},
  [1123] = {.lex_state = 13, .external_lex_state = 2},
  [1124] = {.lex_state = 13, .external_lex_state = 2},
  [1125] = {.lex_state = 13, .external_lex_state = 2},
  [1126] = {.lex_state = 13, .external_lex_state = 2},
  [1127] = {.lex_state = 13, .external_lex_state = 2},
  [1128] = {.lex_state = 13, .external_lex_state = 2},
  [1129] = {.lex_state = 13, .external_lex_state = 2},
  [1130] = {.lex_state = 13, .external_lex_state = 2},
  [1131] = {.lex_state = 13, .external_lex_state = 2},
  [1132] = {.lex_state = 13, .external_lex_state = 2},
  [1133] = {.lex_state = 76},
  [1134] = {.lex_state = 76},
  [1135] = {.lex_state = 13, .external_lex_state = 2},
  [1136] = {.lex_state = 13, .external_lex_state = 2},
  [1137] = {.lex_state = 13, .external_lex_state = 2},
  [1138] = {.lex_state = 13, .external_lex_state = 2},
  [1139] = {.lex_state = 13, .external_lex_state = 2},
  [1140] = {.lex_state = 13, .external_lex_state = 2},
  [1141] = {.lex_state = 13, .external_lex_state = 2},
  [1142] = {.lex_state = 13, .external_lex_state = 2},
  [1143] = {.lex_state = 13, .external_lex_state = 2},
  [1144] = {.lex_state = 13},
  [1145] = {.lex_state = 13},
  [1146] = {.lex_state = 13},
  [1147] = {.lex_state = 13},
  [1148] = {.lex_state = 13},
  [1149] = {.lex_state = 13},
  [1150] = {.lex_state = 13},
  [1151] = {.lex_state = 13},
  [1152] = {.lex_state = 13},
  [1153] = {.lex_state = 13},
  [1154] = {.lex_state = 13},
  [1155] = {.lex_state = 13},
  [1156] = {.lex_state = 13},
  [1157] = {.lex_state = 14},
  [1158] = {.lex_state = 13},
  [1159] = {.lex_state = 13},
  [1160] = {.lex_state = 13},
  [1161] = {.lex_state = 13},
  [1162] = {.lex_state = 13},
  [1163] = {.lex_state = 13},
  [1164] = {.lex_state = 13},
  [1165] = {.lex_state = 13},
  [1166] = {.lex_state = 13},
  [1167] = {.lex_state = 13},
  [1168] = {.lex_state = 13},
  [1169] = {.lex_state = 13},
  [1170] = {.lex_state = 13},
  [1171] = {.lex_state = 13},
  [1172] = {.lex_state = 13},
  [1173] = {.lex_state = 13},
  [1174] = {.lex_state = 13},
  [1175] = {.lex_state = 13},
  [1176] = {.lex_state = 13},
  [1177] = {.lex_state = 13},
  [1178] = {.lex_state = 13},
  [1179] = {.lex_state = 14},
  [1180] = {.lex_state = 13, .external_lex_state = 2},
  [1181] = {.lex_state = 13},
  [1182] = {.lex_state = 13},
  [1183] = {.lex_state = 13, .external_lex_state = 2},
  [1184] = {.lex_state = 13, .external_lex_state = 2},
  [1185] = {.lex_state = 13},
  [1186] = {.lex_state = 13},
  [1187] = {.lex_state = 13, .external_lex_state = 2},
  [1188] = {.lex_state = 13, .external_lex_state = 2},
  [1189] = {.lex_state = 13},
  [1190] = {.lex_state = 13},
  [1191] = {.lex_state = 13},
  [1192] = {.lex_state = 13},
  [1193] = {.lex_state = 21},
  [1194] = {.lex_state = 13},
  [1195] = {.lex_state = 13},
  [1196] = {.lex_state = 13, .external_lex_state = 2},
  [1197] = {.lex_state = 13, .external_lex_state = 2},
  [1198] = {.lex_state = 13},
  [1199] = {.lex_state = 13, .external_lex_state = 2},
  [1200] = {.lex_state = 13},
  [1201] = {.lex_state = 13},
  [1202] = {.lex_state = 13},
  [1203] = {.lex_state = 76},
  [1204] = {.lex_state = 13},
  [1205] = {.lex_state = 76},
  [1206] = {.lex_state = 13},
  [1207] = {.lex_state = 13},
  [1208] = {.lex_state = 21},
  [1209] = {.lex_state = 21},
  [1210] = {.lex_state = 13},
  [1211] = {.lex_state = 13},
  [1212] = {.lex_state = 13},
  [1213] = {.lex_state = 21},
  [1214] = {.lex_state = 13},
  [1215] = {.lex_state = 21},
  [1216] = {.lex_state = 13},
  [1217] = {.lex_state = 21},
  [1218] = {.lex_state = 13},
  [1219] = {.lex_state = 13},
  [1220] = {.lex_state = 13},
  [1221] = {.lex_state = 13, .external_lex_state = 2},
  [1222] = {.lex_state = 14},
  [1223] = {.lex_state = 13},
  [1224] = {.lex_state = 13},
  [1225] = {.lex_state = 13},
  [1226] = {.lex_state = 14},
  [1227] = {.lex_state = 21},
  [1228] = {.lex_state = 13},
  [1229] = {.lex_state = 21},
  [1230] = {.lex_state = 13},
  [1231] = {.lex_state = 13},
  [1232] = {.lex_state = 13, .external_lex_state = 2},
  [1233] = {.lex_state = 13},
  [1234] = {.lex_state = 13},
  [1235] = {.lex_state = 13},
  [1236] = {.lex_state = 13, .external_lex_state = 2},
  [1237] = {.lex_state = 13},
  [1238] = {.lex_state = 13, .external_lex_state = 2},
  [1239] = {.lex_state = 13},
  [1240] = {.lex_state = 21},
  [1241] = {.lex_state = 13, .external_lex_state = 2},
  [1242] = {.lex_state = 13},
  [1243] = {.lex_state = 13},
  [1244] = {.lex_state = 13},
  [1245] = {.lex_state = 13},
  [1246] = {.lex_state = 13},
  [1247] = {.lex_state = 13},
  [1248] = {.lex_state = 13},
  [1249] = {.lex_state = 13},
  [1250] = {.lex_state = 13},
  [1251] = {.lex_state = 13},
  [1252] = {.lex_state = 13},
  [1253] = {.lex_state = 13},
  [1254] = {.lex_state = 13},
  [1255] = {.lex_state = 13},
  [1256] = {.lex_state = 13},
  [1257] = {.lex_state = 13},
  [1258] = {.lex_state = 13},
  [1259] = {.lex_state = 13},
  [1260] = {.lex_state = 13},
  [1261] = {.lex_state = 13},
  [1262] = {.lex_state = 13},
  [1263] = {.lex_state = 13},
  [1264] = {.lex_state = 13},
  [1265] = {.lex_state = 13},
  [1266] = {.lex_state = 13},
  [1267] = {.lex_state = 13},
  [1268] = {.lex_state = 13},
  [1269] = {.lex_state = 13},
  [1270] = {.lex_state = 13},
  [1271] = {.lex_state = 13},
  [1272] = {.lex_state = 13},
  [1273] = {.lex_state = 13},
  [1274] = {.lex_state = 13},
  [1275] = {.lex_state = 13},
  [1276] = {.lex_state = 13},
  [1277] = {.lex_state = 13},
  [1278] = {.lex_state = 13},
  [1279] = {.lex_state = 13},
  [1280] = {.lex_state = 13},
  [1281] = {.lex_state = 13},
  [1282] = {.lex_state = 13},
  [1283] = {.lex_state = 13},
  [1284] = {.lex_state = 13},
  [1285] = {.lex_state = 76},
  [1286] = {.lex_state = 13},
  [1287] = {.lex_state = 13},
  [1288] = {.lex_state = 13},
  [1289] = {.lex_state = 13},
  [1290] = {.lex_state = 13},
  [1291] = {.lex_state = 13},
  [1292] = {.lex_state = 13},
  [1293] = {.lex_state = 13},
  [1294] = {.lex_state = 13},
  [1295] = {.lex_state = 13},
  [1296] = {.lex_state = 13},
  [1297] = {.lex_state = 13},
  [1298] = {.lex_state = 13},
  [1299] = {.lex_state = 13},
  [1300] = {.lex_state = 13},
  [1301] = {.lex_state = 13},
  [1302] = {.lex_state = 14},
  [1303] = {.lex_state = 13},
  [1304] = {.lex_state = 13},
  [1305] = {.lex_state = 13},
  [1306] = {.lex_state = 13},
  [1307] = {.lex_state = 13},
  [1308] = {.lex_state = 13},
  [1309] = {.lex_state = 14},
  [1310] = {.lex_state = 13},
  [1311] = {.lex_state = 21},
  [1312] = {.lex_state = 76},
  [1313] = {.lex_state = 76},
  [1314] = {.lex_state = 21},
  [1315] = {.lex_state = 21},
  [1316] = {.lex_state = 21},
  [1317] = {.lex_state = 76},
  [1318] = {.lex_state = 21},
  [1319] = {.lex_state = 76},
  [1320] = {.lex_state = 76},
  [1321] = {.lex_state = 76},
  [1322] = {.lex_state = 76},
  [1323] = {.lex_state = 20},
  [1324] = {.lex_state = 20},
  [1325] = {.lex_state = 14},
  [1326] = {.lex_state = 14},
  [1327] = {.lex_state = 14},
  [1328] = {.lex_state = 14},
  [1329] = {.lex_state = 20},
  [1330] = {.lex_state = 14},
  [1331] = {.lex_state = 20},
  [1332] = {.lex_state = 14},
  [1333] = {.lex_state = 20},
  [1334] = {.lex_state = 14},
  [1335] = {.lex_state = 14},
  [1336] = {.lex_state = 14},
  [1337] = {.lex_state = 14},
  [1338] = {.lex_state = 20},
  [1339] = {.lex_state = 14},
  [1340] = {.lex_state = 14},
  [1341] = {.lex_state = 14},
  [1342] = {.lex_state = 14},
  [1343] = {.lex_state = 14},
  [1344] = {.lex_state = 14},
  [1345] = {.lex_state = 14},
  [1346] = {.lex_state = 14},
  [1347] = {.lex_state = 14},
  [1348] = {.lex_state = 14},
  [1349] = {.lex_state = 14},
  [1350] = {.lex_state = 14},
  [1351] = {.lex_state = 76},
  [1352] = {.lex_state = 76},
  [1353] = {.lex_state = 3, .external_lex_state = 3},
  [1354] = {.lex_state = 3, .external_lex_state = 3},
  [1355] = {.lex_state = 3, .external_lex_state = 3},
  [1356] = {.lex_state = 3, .external_lex_state = 4},
  [1357] = {.lex_state = 3, .external_lex_state = 3},
  [1358] = {.lex_state = 76},
  [1359] = {.lex_state = 3, .external_lex_state = 3},
  [1360] = {.lex_state = 76},
  [1361] = {.lex_state = 21},
  [1362] = {.lex_state = 21},
  [1363] = {.lex_state = 76},
  [1364] = {.lex_state = 18},
  [1365] = {.lex_state = 17},
  [1366] = {.lex_state = 23, .external_lex_state = 4},
  [1367] = {.lex_state = 21},
  [1368] = {.lex_state = 21},
  [1369] = {.lex_state = 21},
  [1370] = {.lex_state = 21},
  [1371] = {.lex_state = 21},
  [1372] = {.lex_state = 21},
  [1373] = {.lex_state = 21},
  [1374] = {.lex_state = 21},
  [1375] = {.lex_state = 21},
  [1376] = {.lex_state = 21},
  [1377] = {.lex_state = 21},
  [1378] = {.lex_state = 18, .external_lex_state = 5},
  [1379] = {.lex_state = 18, .external_lex_state = 5},
  [1380] = {.lex_state = 21},
  [1381] = {.lex_state = 21},
  [1382] = {.lex_state = 21},
  [1383] = {.lex_state = 21},
  [1384] = {.lex_state = 18, .external_lex_state = 5},
  [1385] = {.lex_state = 21},
  [1386] = {.lex_state = 21},
  [1387] = {.lex_state = 21},
  [1388] = {.lex_state = 21},
  [1389] = {.lex_state = 21},
  [1390] = {.lex_state = 18, .external_lex_state = 5},
  [1391] = {.lex_state = 21},
  [1392] = {.lex_state = 18, .external_lex_state = 5},
  [1393] = {.lex_state = 21},
  [1394] = {.lex_state = 21},
  [1395] = {.lex_state = 21},
  [1396] = {.lex_state = 18, .external_lex_state = 6},
  [1397] = {.lex_state = 21},
  [1398] = {.lex_state = 21},
  [1399] = {.lex_state = 21},
  [1400] = {.lex_state = 21},
  [1401] = {.lex_state = 3, .external_lex_state = 7},
  [1402] = {.lex_state = 21},
  [1403] = {.lex_state = 76},
  [1404] = {.lex_state = 18, .external_lex_state = 6},
  [1405] = {.lex_state = 18, .external_lex_state = 6},
  [1406] = {.lex_state = 21},
  [1407] = {.lex_state = 21},
  [1408] = {.lex_state = 21},
  [1409] = {.lex_state = 21},
  [1410] = {.lex_state = 21},
  [1411] = {.lex_state = 18, .external_lex_state = 6},
  [1412] = {.lex_state = 21},
  [1413] = {.lex_state = 21},
  [1414] = {.lex_state = 21},
  [1415] = {.lex_state = 21},
  [1416] = {.lex_state = 3, .external_lex_state = 7},
  [1417] = {.lex_state = 21},
  [1418] = {.lex_state = 21},
  [1419] = {.lex_state = 21},
  [1420] = {.lex_state = 76},
  [1421] = {.lex_state = 21},
  [1422] = {.lex_state = 21},
  [1423] = {.lex_state = 76},
  [1424] = {.lex_state = 21},
  [1425] = {.lex_state = 21},
  [1426] = {.lex_state = 21},
  [1427] = {.lex_state = 21},
  [1428] = {.lex_state = 21},
  [1429] = {.lex_state = 76},
  [1430] = {.lex_state = 21},
  [1431] = {.lex_state = 18, .external_lex_state = 6},
  [1432] = {.lex_state = 76},
  [1433] = {.lex_state = 21},
  [1434] = {.lex_state = 76},
  [1435] = {.lex_state = 76},
  [1436] = {.lex_state = 76},
  [1437] = {.lex_state = 76},
  [1438] = {.lex_state = 76},
  [1439] = {.lex_state = 76},
  [1440] = {.lex_state = 25},
  [1441] = {.lex_state = 25},
  [1442] = {.lex_state = 17},
  [1443] = {.lex_state = 76},
  [1444] = {.lex_state = 25},
  [1445] = {.lex_state = 76},
  [1446] = {.lex_state = 76},
  [1447] = {.lex_state = 17},
  [1448] = {.lex_state = 76},
  [1449] = {.lex_state = 25},
  [1450] = {.lex_state = 76},
  [1451] = {.lex_state = 76},
  [1452] = {.lex_state = 76},
  [1453] = {.lex_state = 76},
  [1454] = {.lex_state = 76},
  [1455] = {.lex_state = 3, .external_lex_state = 3},
  [1456] = {.lex_state = 3, .external_lex_state = 3},
  [1457] = {.lex_state = 76},
  [1458] = {.lex_state = 18, .external_lex_state = 8},
  [1459] = {.lex_state = 3, .external_lex_state = 3},
  [1460] = {.lex_state = 3, .external_lex_state = 3},
  [1461] = {.lex_state = 17},
  [1462] = {.lex_state = 18, .external_lex_state = 8},
  [1463] = {.lex_state = 3, .external_lex_state = 3},
  [1464] = {.lex_state = 3, .external_lex_state = 3},
  [1465] = {.lex_state = 17},
  [1466] = {.lex_state = 3, .external_lex_state = 3},
  [1467] = {.lex_state = 76},
  [1468] = {.lex_state = 76},
  [1469] = {.lex_state = 76},
  [1470] = {.lex_state = 3, .external_lex_state = 3},
  [1471] = {.lex_state = 76},
  [1472] = {.lex_state = 76},
  [1473] = {.lex_state = 17},
  [1474] = {.lex_state = 3, .external_lex_state = 3},
  [1475] = {.lex_state = 3, .external_lex_state = 3},
  [1476] = {.lex_state = 25},
  [1477] = {.lex_state = 76},
  [1478] = {.lex_state = 17},
  [1479] = {.lex_state = 76},
  [1480] = {.lex_state = 17},
  [1481] = {.lex_state = 76},
  [1482] = {.lex_state = 76},
  [1483] = {.lex_state = 76},
  [1484] = {.lex_state = 3, .external_lex_state = 3},
  [1485] = {.lex_state = 76},
  [1486] = {.lex_state = 76},
  [1487] = {.lex_state = 18, .external_lex_state = 9},
  [1488] = {.lex_state = 76},
  [1489] = {.lex_state = 76},
  [1490] = {.lex_state = 76},
  [1491] = {.lex_state = 76},
  [1492] = {.lex_state = 76},
  [1493] = {.lex_state = 76},
  [1494] = {.lex_state = 76},
  [1495] = {.lex_state = 17},
  [1496] = {.lex_state = 17},
  [1497] = {.lex_state = 76},
  [1498] = {.lex_state = 76},
  [1499] = {.lex_state = 76},
  [1500] = {.lex_state = 17},
  [1501] = {.lex_state = 76},
  [1502] = {.lex_state = 76},
  [1503] = {.lex_state = 76},
  [1504] = {.lex_state = 76},
  [1505] = {.lex_state = 76},
  [1506] = {.lex_state = 76},
  [1507] = {.lex_state = 76},
  [1508] = {.lex_state = 76},
  [1509] = {.lex_state = 76},
  [1510] = {.lex_state = 76},
  [1511] = {.lex_state = 76},
  [1512] = {.lex_state = 76},
  [1513] = {.lex_state = 76},
  [1514] = {.lex_state = 17},
  [1515] = {.lex_state = 76},
  [1516] = {.lex_state = 17},
  [1517] = {.lex_state = 76},
  [1518] = {.lex_state = 17},
  [1519] = {.lex_state = 17},
  [1520] = {.lex_state = 76},
  [1521] = {.lex_state = 76},
  [1522] = {.lex_state = 76},
  [1523] = {.lex_state = 76},
  [1524] = {.lex_state = 76},
  [1525] = {.lex_state = 76},
  [1526] = {.lex_state = 76},
  [1527] = {.lex_state = 76},
  [1528] = {.lex_state = 76},
  [1529] = {.lex_state = 76},
  [1530] = {.lex_state = 76},
  [1531] = {.lex_state = 76},
  [1532] = {.lex_state = 76},
  [1533] = {.lex_state = 76},
  [1534] = {.lex_state = 76},
  [1535] = {.lex_state = 18, .external_lex_state = 9},
  [1536] = {.lex_state = 76},
  [1537] = {.lex_state = 17},
  [1538] = {.lex_state = 76},
  [1539] = {.lex_state = 76},
  [1540] = {.lex_state = 76},
  [1541] = {.lex_state = 76},
  [1542] = {.lex_state = 76},
  [1543] = {.lex_state = 17},
  [1544] = {.lex_state = 17},
  [1545] = {.lex_state = 76},
  [1546] = {.lex_state = 17},
  [1547] = {.lex_state = 17},
  [1548] = {.lex_state = 76},
  [1549] = {.lex_state = 17},
  [1550] = {.lex_state = 76},
  [1551] = {.lex_state = 76},
  [1552] = {.lex_state = 76},
  [1553] = {.lex_state = 17},
  [1554] = {.lex_state = 14},
  [1555] = {.lex_state = 14},
  [1556] = {.lex_state = 14},
  [1557] = {.lex_state = 17},
  [1558] = {.lex_state = 14},
  [1559] = {.lex_state = 25},
  [1560] = {.lex_state = 14},
  [1561] = {.lex_state = 17},
  [1562] = {.lex_state = 76, .external_lex_state = 2},
  [1563] = {.lex_state = 14},
  [1564] = {.lex_state = 14},
  [1565] = {.lex_state = 14},
  [1566] = {.lex_state = 76, .external_lex_state = 2},
  [1567] = {.lex_state = 14},
  [1568] = {.lex_state = 17},
  [1569] = {.lex_state = 17},
  [1570] = {.lex_state = 25},
  [1571] = {.lex_state = 17},
  [1572] = {.lex_state = 17},
  [1573] = {.lex_state = 18, .external_lex_state = 5},
  [1574] = {.lex_state = 14},
  [1575] = {.lex_state = 17},
  [1576] = {.lex_state = 17},
  [1577] = {.lex_state = 18, .external_lex_state = 5},
  [1578] = {.lex_state = 17},
  [1579] = {.lex_state = 76},
  [1580] = {.lex_state = 17},
  [1581] = {.lex_state = 17},
  [1582] = {.lex_state = 18, .external_lex_state = 5},
  [1583] = {.lex_state = 17},
  [1584] = {.lex_state = 17},
  [1585] = {.lex_state = 17},
  [1586] = {.lex_state = 18, .external_lex_state = 5},
  [1587] = {.lex_state = 17},
  [1588] = {.lex_state = 18, .external_lex_state = 5},
  [1589] = {.lex_state = 18, .external_lex_state = 5},
  [1590] = {.lex_state = 17},
  [1591] = {.lex_state = 17},
  [1592] = {.lex_state = 17},
  [1593] = {.lex_state = 17},
  [1594] = {.lex_state = 14},
  [1595] = {.lex_state = 76},
  [1596] = {.lex_state = 76, .external_lex_state = 2},
  [1597] = {.lex_state = 18, .external_lex_state = 5},
  [1598] = {.lex_state = 17},
  [1599] = {.lex_state = 17},
  [1600] = {.lex_state = 18, .external_lex_state = 5},
  [1601] = {.lex_state = 14, .external_lex_state = 2},
  [1602] = {.lex_state = 76},
  [1603] = {.lex_state = 76},
  [1604] = {.lex_state = 18, .external_lex_state = 5},
  [1605] = {.lex_state = 17},
  [1606] = {.lex_state = 76},
  [1607] = {.lex_state = 17},
  [1608] = {.lex_state = 18, .external_lex_state = 5},
  [1609] = {.lex_state = 18, .external_lex_state = 5},
  [1610] = {.lex_state = 17},
  [1611] = {.lex_state = 14},
  [1612] = {.lex_state = 14},
  [1613] = {.lex_state = 14},
  [1614] = {.lex_state = 14},
  [1615] = {.lex_state = 14},
  [1616] = {.lex_state = 14},
  [1617] = {.lex_state = 14},
  [1618] = {.lex_state = 18, .external_lex_state = 6},
  [1619] = {.lex_state = 76},
  [1620] = {.lex_state = 14},
  [1621] = {.lex_state = 14},
  [1622] = {.lex_state = 14},
  [1623] = {.lex_state = 76, .external_lex_state = 2},
  [1624] = {.lex_state = 18, .external_lex_state = 6},
  [1625] = {.lex_state = 14},
  [1626] = {.lex_state = 14},
  [1627] = {.lex_state = 14},
  [1628] = {.lex_state = 14},
  [1629] = {.lex_state = 14},
  [1630] = {.lex_state = 76},
  [1631] = {.lex_state = 14},
  [1632] = {.lex_state = 14},
  [1633] = {.lex_state = 76, .external_lex_state = 2},
  [1634] = {.lex_state = 14},
  [1635] = {.lex_state = 14},
  [1636] = {.lex_state = 18, .external_lex_state = 6},
  [1637] = {.lex_state = 18, .external_lex_state = 6},
  [1638] = {.lex_state = 14},
  [1639] = {.lex_state = 14},
  [1640] = {.lex_state = 14},
  [1641] = {.lex_state = 14},
  [1642] = {.lex_state = 14},
  [1643] = {.lex_state = 14},
  [1644] = {.lex_state = 14},
  [1645] = {.lex_state = 14},
  [1646] = {.lex_state = 76},
  [1647] = {.lex_state = 14},
  [1648] = {.lex_state = 14},
  [1649] = {.lex_state = 14},
  [1650] = {.lex_state = 14},
  [1651] = {.lex_state = 14},
  [1652] = {.lex_state = 77, .external_lex_state = 10},
  [1653] = {.lex_state = 14},
  [1654] = {.lex_state = 14},
  [1655] = {.lex_state = 18, .external_lex_state = 6},
  [1656] = {.lex_state = 14},
  [1657] = {.lex_state = 14},
  [1658] = {.lex_state = 14},
  [1659] = {.lex_state = 14},
  [1660] = {.lex_state = 14},
  [1661] = {.lex_state = 14},
  [1662] = {.lex_state = 76},
  [1663] = {.lex_state = 18, .external_lex_state = 6},
  [1664] = {.lex_state = 18, .external_lex_state = 6},
  [1665] = {.lex_state = 14},
  [1666] = {.lex_state = 14},
  [1667] = {.lex_state = 14},
  [1668] = {.lex_state = 14},
  [1669] = {.lex_state = 14},
  [1670] = {.lex_state = 76},
  [1671] = {.lex_state = 18, .external_lex_state = 6},
  [1672] = {.lex_state = 76},
  [1673] = {.lex_state = 76, .external_lex_state = 2},
  [1674] = {.lex_state = 76},
  [1675] = {.lex_state = 14},
  [1676] = {.lex_state = 18, .external_lex_state = 6},
  [1677] = {.lex_state = 14},
  [1678] = {.lex_state = 76},
  [1679] = {.lex_state = 14},
  [1680] = {.lex_state = 14},
  [1681] = {.lex_state = 14},
  [1682] = {.lex_state = 14},
  [1683] = {.lex_state = 18, .external_lex_state = 6},
  [1684] = {.lex_state = 76, .external_lex_state = 2},
  [1685] = {.lex_state = 76, .external_lex_state = 2},
  [1686] = {.lex_state = 76, .external_lex_state = 2},
  [1687] = {.lex_state = 76, .external_lex_state = 2},
  [1688] = {.lex_state = 17},
  [1689] = {.lex_state = 14},
  [1690] = {.lex_state = 14},
  [1691] = {.lex_state = 76},
  [1692] = {.lex_state = 14, .external_lex_state = 2},
  [1693] = {.lex_state = 17},
  [1694] = {.lex_state = 14},
  [1695] = {.lex_state = 14},
  [1696] = {.lex_state = 76, .external_lex_state = 2},
  [1697] = {.lex_state = 14},
  [1698] = {.lex_state = 14},
  [1699] = {.lex_state = 76, .external_lex_state = 2},
  [1700] = {.lex_state = 14, .external_lex_state = 2},
  [1701] = {.lex_state = 14},
  [1702] = {.lex_state = 14, .external_lex_state = 2},
  [1703] = {.lex_state = 76},
  [1704] = {.lex_state = 14},
  [1705] = {.lex_state = 17},
  [1706] = {.lex_state = 17},
  [1707] = {.lex_state = 17},
  [1708] = {.lex_state = 14},
  [1709] = {.lex_state = 14},
  [1710] = {.lex_state = 14},
  [1711] = {.lex_state = 14, .external_lex_state = 2},
  [1712] = {.lex_state = 17},
  [1713] = {.lex_state = 14, .external_lex_state = 2},
  [1714] = {.lex_state = 14, .external_lex_state = 2},
  [1715] = {.lex_state = 14, .external_lex_state = 2},
  [1716] = {.lex_state = 17},
  [1717] = {.lex_state = 17},
  [1718] = {.lex_state = 14, .external_lex_state = 2},
  [1719] = {.lex_state = 14},
  [1720] = {.lex_state = 14},
  [1721] = {.lex_state = 76},
  [1722] = {.lex_state = 14},
  [1723] = {.lex_state = 14, .external_lex_state = 2},
  [1724] = {.lex_state = 17},
  [1725] = {.lex_state = 17},
  [1726] = {.lex_state = 14, .external_lex_state = 2},
  [1727] = {.lex_state = 76},
  [1728] = {.lex_state = 76, .external_lex_state = 2},
  [1729] = {.lex_state = 76, .external_lex_state = 2},
  [1730] = {.lex_state = 76, .external_lex_state = 2},
  [1731] = {.lex_state = 14},
  [1732] = {.lex_state = 14},
  [1733] = {.lex_state = 76},
  [1734] = {.lex_state = 14, .external_lex_state = 2},
  [1735] = {.lex_state = 14},
  [1736] = {.lex_state = 14},
  [1737] = {.lex_state = 14},
  [1738] = {.lex_state = 14},
  [1739] = {.lex_state = 14, .external_lex_state = 2},
  [1740] = {.lex_state = 14},
  [1741] = {.lex_state = 14},
  [1742] = {.lex_state = 14},
  [1743] = {.lex_state = 14, .external_lex_state = 2},
  [1744] = {.lex_state = 14, .external_lex_state = 2},
  [1745] = {.lex_state = 76, .external_lex_state = 2},
  [1746] = {.lex_state = 76},
  [1747] = {.lex_state = 76},
  [1748] = {.lex_state = 76, .external_lex_state = 2},
  [1749] = {.lex_state = 14},
  [1750] = {.lex_state = 14, .external_lex_state = 2},
  [1751] = {.lex_state = 14},
  [1752] = {.lex_state = 76},
  [1753] = {.lex_state = 76},
  [1754] = {.lex_state = 76, .external_lex_state = 2},
  [1755] = {.lex_state = 76, .external_lex_state = 2},
  [1756] = {.lex_state = 76, .external_lex_state = 2},
  [1757] = {.lex_state = 76, .external_lex_state = 2},
  [1758] = {.lex_state = 76, .external_lex_state = 2},
  [1759] = {.lex_state = 14, .external_lex_state = 2},
  [1760] = {.lex_state = 76},
  [1761] = {.lex_state = 76},
  [1762] = {.lex_state = 76, .external_lex_state = 2},
  [1763] = {.lex_state = 14, .external_lex_state = 2},
  [1764] = {.lex_state = 76},
  [1765] = {.lex_state = 77},
  [1766] = {.lex_state = 17},
  [1767] = {.lex_state = 14},
  [1768] = {.lex_state = 76, .external_lex_state = 2},
  [1769] = {.lex_state = 76, .external_lex_state = 2},
  [1770] = {.lex_state = 14},
  [1771] = {.lex_state = 76, .external_lex_state = 2},
  [1772] = {.lex_state = 76, .external_lex_state = 2},
  [1773] = {.lex_state = 77, .external_lex_state = 10},
  [1774] = {.lex_state = 77, .external_lex_state = 10},
  [1775] = {.lex_state = 76},
  [1776] = {.lex_state = 76},
  [1777] = {.lex_state = 14, .external_lex_state = 2},
  [1778] = {.lex_state = 17},
  [1779] = {.lex_state = 14},
  [1780] = {.lex_state = 14, .external_lex_state = 2},
  [1781] = {.lex_state = 14},
  [1782] = {.lex_state = 14},
  [1783] = {.lex_state = 14},
  [1784] = {.lex_state = 77},
  [1785] = {.lex_state = 14},
  [1786] = {.lex_state = 14},
  [1787] = {.lex_state = 76, .external_lex_state = 2},
  [1788] = {.lex_state = 76},
  [1789] = {.lex_state = 76},
  [1790] = {.lex_state = 14},
  [1791] = {.lex_state = 76},
  [1792] = {.lex_state = 14},
  [1793] = {.lex_state = 76, .external_lex_state = 2},
  [1794] = {.lex_state = 76, .external_lex_state = 2},
  [1795] = {.lex_state = 77, .external_lex_state = 10},
  [1796] = {.lex_state = 76},
  [1797] = {.lex_state = 76},
  [1798] = {.lex_state = 76},
  [1799] = {.lex_state = 76},
  [1800] = {.lex_state = 76},
  [1801] = {.lex_state = 76, .external_lex_state = 2},
  [1802] = {.lex_state = 76, .external_lex_state = 2},
  [1803] = {.lex_state = 76, .external_lex_state = 2},
  [1804] = {.lex_state = 76, .external_lex_state = 2},
  [1805] = {.lex_state = 76, .external_lex_state = 2},
  [1806] = {.lex_state = 14},
  [1807] = {.lex_state = 76, .external_lex_state = 2},
  [1808] = {.lex_state = 76},
  [1809] = {.lex_state = 14},
  [1810] = {.lex_state = 76},
  [1811] = {.lex_state = 76},
  [1812] = {.lex_state = 76, .external_lex_state = 2},
  [1813] = {.lex_state = 14},
  [1814] = {.lex_state = 5, .external_lex_state = 11},
  [1815] = {.lex_state = 14},
  [1816] = {.lex_state = 76, .external_lex_state = 2},
  [1817] = {.lex_state = 76},
  [1818] = {.lex_state = 77},
  [1819] = {.lex_state = 14},
  [1820] = {.lex_state = 76, .external_lex_state = 2},
  [1821] = {.lex_state = 76, .external_lex_state = 2},
  [1822] = {.lex_state = 76, .external_lex_state = 2},
  [1823] = {.lex_state = 76},
  [1824] = {.lex_state = 76, .external_lex_state = 2},
  [1825] = {.lex_state = 76, .external_lex_state = 2},
  [1826] = {.lex_state = 14},
  [1827] = {.lex_state = 76, .external_lex_state = 2},
  [1828] = {.lex_state = 76, .external_lex_state = 2},
  [1829] = {.lex_state = 76},
  [1830] = {.lex_state = 76, .external_lex_state = 2},
  [1831] = {.lex_state = 76, .external_lex_state = 2},
  [1832] = {.lex_state = 14},
  [1833] = {.lex_state = 14},
  [1834] = {.lex_state = 26},
  [1835] = {.lex_state = 76},
  [1836] = {.lex_state = 76},
  [1837] = {.lex_state = 14},
  [1838] = {.lex_state = 14},
  [1839] = {.lex_state = 76},
  [1840] = {.lex_state = 14},
  [1841] = {.lex_state = 76, .external_lex_state = 2},
  [1842] = {.lex_state = 76, .external_lex_state = 2},
  [1843] = {.lex_state = 76, .external_lex_state = 2},
  [1844] = {.lex_state = 76},
  [1845] = {.lex_state = 76, .external_lex_state = 2},
  [1846] = {.lex_state = 76, .external_lex_state = 2},
  [1847] = {.lex_state = 14},
  [1848] = {.lex_state = 76, .external_lex_state = 2},
  [1849] = {.lex_state = 76, .external_lex_state = 2},
  [1850] = {.lex_state = 14},
  [1851] = {.lex_state = 14},
  [1852] = {.lex_state = 76, .external_lex_state = 2},
  [1853] = {.lex_state = 76, .external_lex_state = 2},
  [1854] = {.lex_state = 26},
  [1855] = {.lex_state = 76},
  [1856] = {.lex_state = 76, .external_lex_state = 2},
  [1857] = {.lex_state = 76, .external_lex_state = 2},
  [1858] = {.lex_state = 76},
  [1859] = {.lex_state = 76, .external_lex_state = 2},
  [1860] = {.lex_state = 76, .external_lex_state = 2},
  [1861] = {.lex_state = 76, .external_lex_state = 2},
  [1862] = {.lex_state = 76, .external_lex_state = 2},
  [1863] = {.lex_state = 76, .external_lex_state = 2},
  [1864] = {.lex_state = 5, .external_lex_state = 11},
  [1865] = {.lex_state = 76},
  [1866] = {.lex_state = 76},
  [1867] = {.lex_state = 14},
  [1868] = {.lex_state = 14},
  [1869] = {.lex_state = 14},
  [1870] = {.lex_state = 76, .external_lex_state = 2},
  [1871] = {.lex_state = 76, .external_lex_state = 2},
  [1872] = {.lex_state = 76, .external_lex_state = 2},
  [1873] = {.lex_state = 76, .external_lex_state = 2},
  [1874] = {.lex_state = 76, .external_lex_state = 2},
  [1875] = {.lex_state = 76, .external_lex_state = 2},
  [1876] = {.lex_state = 76, .external_lex_state = 2},
  [1877] = {.lex_state = 76, .external_lex_state = 2},
  [1878] = {.lex_state = 76},
  [1879] = {.lex_state = 76},
  [1880] = {.lex_state = 14},
  [1881] = {.lex_state = 76, .external_lex_state = 2},
  [1882] = {.lex_state = 76},
  [1883] = {.lex_state = 76},
  [1884] = {.lex_state = 14},
  [1885] = {.lex_state = 76},
  [1886] = {.lex_state = 14},
  [1887] = {.lex_state = 76},
  [1888] = {.lex_state = 14},
  [1889] = {.lex_state = 26},
  [1890] = {.lex_state = 14},
  [1891] = {.lex_state = 76},
  [1892] = {.lex_state = 76},
  [1893] = {.lex_state = 76},
  [1894] = {.lex_state = 14},
  [1895] = {.lex_state = 76, .external_lex_state = 2},
  [1896] = {.lex_state = 14},
  [1897] = {.lex_state = 14},
  [1898] = {.lex_state = 14},
  [1899] = {.lex_state = 76},
  [1900] = {.lex_state = 76},
  [1901] = {.lex_state = 14},
  [1902] = {.lex_state = 76},
  [1903] = {.lex_state = 76},
  [1904] = {.lex_state = 76},
  [1905] = {.lex_state = 14},
  [1906] = {.lex_state = 14},
  [1907] = {.lex_state = 26},
  [1908] = {.lex_state = 76, .external_lex_state = 2},
  [1909] = {.lex_state = 76, .external_lex_state = 2},
  [1910] = {.lex_state = 76, .external_lex_state = 2},
  [1911] = {.lex_state = 14},
  [1912] = {.lex_state = 14},
  [1913] = {.lex_state = 76, .external_lex_state = 2},
  [1914] = {.lex_state = 76},
  [1915] = {.lex_state = 76, .external_lex_state = 2},
  [1916] = {.lex_state = 76, .external_lex_state = 2},
  [1917] = {.lex_state = 76, .external_lex_state = 2},
  [1918] = {.lex_state = 14},
  [1919] = {.lex_state = 76, .external_lex_state = 2},
  [1920] = {.lex_state = 76, .external_lex_state = 2},
  [1921] = {.lex_state = 76, .external_lex_state = 2},
  [1922] = {.lex_state = 76, .external_lex_state = 2},
  [1923] = {.lex_state = 14},
  [1924] = {.lex_state = 76, .external_lex_state = 2},
  [1925] = {.lex_state = 14},
  [1926] = {.lex_state = 76, .external_lex_state = 2},
  [1927] = {.lex_state = 76, .external_lex_state = 2},
  [1928] = {.lex_state = 76, .external_lex_state = 2},
  [1929] = {.lex_state = 14},
  [1930] = {.lex_state = 76},
  [1931] = {.lex_state = 76},
  [1932] = {.lex_state = 76, .external_lex_state = 2},
  [1933] = {.lex_state = 76, .external_lex_state = 2},
  [1934] = {.lex_state = 14},
  [1935] = {.lex_state = 26},
  [1936] = {.lex_state = 76},
  [1937] = {.lex_state = 76, .external_lex_state = 2},
  [1938] = {.lex_state = 14},
  [1939] = {.lex_state = 76, .external_lex_state = 2},
  [1940] = {.lex_state = 76},
  [1941] = {.lex_state = 76},
  [1942] = {.lex_state = 76, .external_lex_state = 2},
  [1943] = {.lex_state = 76, .external_lex_state = 2},
  [1944] = {.lex_state = 76, .external_lex_state = 2},
  [1945] = {.lex_state = 14},
  [1946] = {.lex_state = 14},
  [1947] = {.lex_state = 14},
  [1948] = {.lex_state = 76, .external_lex_state = 2},
  [1949] = {.lex_state = 76, .external_lex_state = 2},
  [1950] = {.lex_state = 76},
  [1951] = {.lex_state = 14},
  [1952] = {.lex_state = 14},
  [1953] = {.lex_state = 76},
  [1954] = {.lex_state = 76},
  [1955] = {.lex_state = 14},
  [1956] = {.lex_state = 76},
  [1957] = {.lex_state = 14},
  [1958] = {.lex_state = 14},
  [1959] = {.lex_state = 14},
  [1960] = {.lex_state = 76, .external_lex_state = 12},
  [1961] = {.lex_state = 76},
  [1962] = {.lex_state = 14},
  [1963] = {.lex_state = 14},
  [1964] = {.lex_state = 14},
  [1965] = {.lex_state = 14},
  [1966] = {.lex_state = 76},
  [1967] = {.lex_state = 76},
  [1968] = {.lex_state = 14},
  [1969] = {.lex_state = 76},
  [1970] = {.lex_state = 76},
  [1971] = {.lex_state = 14},
  [1972] = {.lex_state = 14},
  [1973] = {.lex_state = 14},
  [1974] = {.lex_state = 76},
  [1975] = {.lex_state = 76},
  [1976] = {.lex_state = 14},
  [1977] = {.lex_state = 14},
  [1978] = {.lex_state = 76},
  [1979] = {.lex_state = 14},
  [1980] = {.lex_state = 14},
  [1981] = {.lex_state = 76},
  [1982] = {.lex_state = 76},
  [1983] = {.lex_state = 14},
  [1984] = {.lex_state = 14},
  [1985] = {.lex_state = 14},
  [1986] = {.lex_state = 14},
  [1987] = {.lex_state = 14},
  [1988] = {.lex_state = 14},
  [1989] = {.lex_state = 76},
  [1990] = {.lex_state = 14},
  [1991] = {.lex_state = 14},
  [1992] = {.lex_state = 14},
  [1993] = {.lex_state = 14},
  [1994] = {.lex_state = 14},
  [1995] = {.lex_state = 14},
  [1996] = {.lex_state = 76},
  [1997] = {.lex_state = 14},
  [1998] = {.lex_state = 76},
  [1999] = {.lex_state = 14},
  [2000] = {.lex_state = 76},
  [2001] = {.lex_state = 14},
  [2002] = {.lex_state = 14},
  [2003] = {.lex_state = 14},
  [2004] = {.lex_state = 76},
  [2005] = {.lex_state = 76},
  [2006] = {.lex_state = 14},
  [2007] = {.lex_state = 14},
  [2008] = {.lex_state = 5, .external_lex_state = 13},
  [2009] = {.lex_state = 5, .external_lex_state = 13},
  [2010] = {.lex_state = 14},
  [2011] = {.lex_state = 76},
  [2012] = {.lex_state = 14},
  [2013] = {.lex_state = 14},
  [2014] = {.lex_state = 14},
  [2015] = {.lex_state = 76, .external_lex_state = 2},
  [2016] = {.lex_state = 5, .external_lex_state = 13},
  [2017] = {.lex_state = 14},
  [2018] = {.lex_state = 14},
  [2019] = {.lex_state = 14},
  [2020] = {.lex_state = 76},
  [2021] = {.lex_state = 76},
  [2022] = {.lex_state = 76},
  [2023] = {.lex_state = 14},
  [2024] = {.lex_state = 76},
  [2025] = {.lex_state = 76},
  [2026] = {.lex_state = 76},
  [2027] = {.lex_state = 76},
  [2028] = {.lex_state = 14},
  [2029] = {.lex_state = 14},
  [2030] = {.lex_state = 14},
  [2031] = {.lex_state = 76},
  [2032] = {.lex_state = 26},
  [2033] = {.lex_state = 14},
  [2034] = {.lex_state = 5, .external_lex_state = 13},
  [2035] = {.lex_state = 14},
  [2036] = {.lex_state = 14},
  [2037] = {.lex_state = 14},
  [2038] = {.lex_state = 76},
  [2039] = {.lex_state = 14},
  [2040] = {.lex_state = 14},
  [2041] = {.lex_state = 76},
  [2042] = {.lex_state = 76},
  [2043] = {.lex_state = 14},
  [2044] = {.lex_state = 76},
  [2045] = {.lex_state = 14},
  [2046] = {.lex_state = 14},
  [2047] = {.lex_state = 76, .external_lex_state = 2},
  [2048] = {.lex_state = 14},
  [2049] = {.lex_state = 14},
  [2050] = {.lex_state = 14},
  [2051] = {.lex_state = 76},
  [2052] = {.lex_state = 76},
  [2053] = {.lex_state = 76},
  [2054] = {.lex_state = 76},
  [2055] = {.lex_state = 76},
  [2056] = {.lex_state = 14},
  [2057] = {.lex_state = 76},
  [2058] = {.lex_state = 76},
  [2059] = {.lex_state = 14},
  [2060] = {.lex_state = 14},
  [2061] = {.lex_state = 76},
  [2062] = {.lex_state = 14},
  [2063] = {.lex_state = 14},
  [2064] = {.lex_state = 14},
  [2065] = {.lex_state = 14},
  [2066] = {.lex_state = 14},
  [2067] = {.lex_state = 76},
  [2068] = {.lex_state = 14},
  [2069] = {.lex_state = 14},
  [2070] = {.lex_state = 76, .external_lex_state = 2},
  [2071] = {.lex_state = 76},
  [2072] = {.lex_state = 14},
  [2073] = {.lex_state = 5, .external_lex_state = 11},
  [2074] = {.lex_state = 14},
  [2075] = {.lex_state = 14},
  [2076] = {.lex_state = 14},
  [2077] = {.lex_state = 14},
  [2078] = {.lex_state = 76},
  [2079] = {.lex_state = 76},
  [2080] = {.lex_state = 14},
  [2081] = {.lex_state = 76},
  [2082] = {.lex_state = 76},
  [2083] = {.lex_state = 14},
  [2084] = {.lex_state = 76},
  [2085] = {.lex_state = 76},
  [2086] = {.lex_state = 76},
  [2087] = {.lex_state = 76},
  [2088] = {.lex_state = 14},
  [2089] = {.lex_state = 14},
  [2090] = {.lex_state = 14},
  [2091] = {.lex_state = 14},
  [2092] = {.lex_state = 14},
  [2093] = {.lex_state = 76},
  [2094] = {.lex_state = 76, .external_lex_state = 2},
  [2095] = {.lex_state = 76},
  [2096] = {.lex_state = 76},
  [2097] = {.lex_state = 76, .external_lex_state = 2},
  [2098] = {.lex_state = 76},
  [2099] = {.lex_state = 14},
  [2100] = {.lex_state = 14},
  [2101] = {.lex_state = 76},
  [2102] = {.lex_state = 14},
  [2103] = {.lex_state = 14},
  [2104] = {.lex_state = 76},
  [2105] = {.lex_state = 76},
  [2106] = {.lex_state = 14},
  [2107] = {.lex_state = 14},
  [2108] = {.lex_state = 76},
  [2109] = {.lex_state = 14},
  [2110] = {.lex_state = 76, .external_lex_state = 2},
  [2111] = {.lex_state = 14},
  [2112] = {.lex_state = 203, .external_lex_state = 14},
  [2113] = {.lex_state = 76, .external_lex_state = 2},
  [2114] = {.lex_state = 14},
  [2115] = {.lex_state = 14},
  [2116] = {.lex_state = 76},
  [2117] = {.lex_state = 76},
  [2118] = {.lex_state = 76},
  [2119] = {.lex_state = 76},
  [2120] = {.lex_state = 14},
  [2121] = {.lex_state = 14},
  [2122] = {.lex_state = 76, .external_lex_state = 2},
  [2123] = {.lex_state = 76, .external_lex_state = 2},
  [2124] = {.lex_state = 14},
  [2125] = {.lex_state = 14},
  [2126] = {.lex_state = 14},
  [2127] = {.lex_state = 76},
  [2128] = {.lex_state = 76},
  [2129] = {.lex_state = 76},
  [2130] = {.lex_state = 76},
  [2131] = {.lex_state = 76},
  [2132] = {.lex_state = 76},
  [2133] = {.lex_state = 76},
  [2134] = {.lex_state = 76},
  [2135] = {.lex_state = 76},
  [2136] = {.lex_state = 14},
  [2137] = {.lex_state = 14},
  [2138] = {.lex_state = 14},
  [2139] = {.lex_state = 76},
  [2140] = {.lex_state = 14},
  [2141] = {.lex_state = 76},
  [2142] = {.lex_state = 14},
  [2143] = {.lex_state = 76},
  [2144] = {.lex_state = 14},
  [2145] = {.lex_state = 76},
  [2146] = {.lex_state = 14},
  [2147] = {.lex_state = 76},
  [2148] = {.lex_state = 14},
  [2149] = {.lex_state = 76},
  [2150] = {.lex_state = 14},
  [2151] = {.lex_state = 14},
  [2152] = {.lex_state = 14},
  [2153] = {.lex_state = 76},
  [2154] = {.lex_state = 14},
  [2155] = {.lex_state = 14},
  [2156] = {.lex_state = 76},
  [2157] = {.lex_state = 76},
  [2158] = {.lex_state = 14},
  [2159] = {.lex_state = 76, .external_lex_state = 2},
  [2160] = {.lex_state = 14},
  [2161] = {.lex_state = 76, .external_lex_state = 2},
  [2162] = {.lex_state = 14},
  [2163] = {.lex_state = 14},
  [2164] = {.lex_state = 76},
  [2165] = {.lex_state = 14, .external_lex_state = 2},
  [2166] = {.lex_state = 76},
  [2167] = {.lex_state = 14},
  [2168] = {.lex_state = 14},
  [2169] = {.lex_state = 76},
  [2170] = {.lex_state = 14},
  [2171] = {.lex_state = 76},
  [2172] = {.lex_state = 76},
  [2173] = {.lex_state = 76},
  [2174] = {.lex_state = 14, .external_lex_state = 2},
  [2175] = {.lex_state = 76, .external_lex_state = 12},
  [2176] = {.lex_state = 14},
  [2177] = {.lex_state = 76},
  [2178] = {.lex_state = 76},
  [2179] = {.lex_state = 76},
  [2180] = {.lex_state = 76, .external_lex_state = 2},
  [2181] = {.lex_state = 76},
  [2182] = {.lex_state = 76},
  [2183] = {.lex_state = 76},
  [2184] = {.lex_state = 76},
  [2185] = {.lex_state = 76},
  [2186] = {.lex_state = 76},
  [2187] = {.lex_state = 76},
  [2188] = {.lex_state = 76},
  [2189] = {.lex_state = 76},
  [2190] = {.lex_state = 76},
  [2191] = {.lex_state = 76},
  [2192] = {.lex_state = 76},
  [2193] = {.lex_state = 76},
  [2194] = {.lex_state = 76},
  [2195] = {.lex_state = 76},
  [2196] = {.lex_state = 76},
  [2197] = {.lex_state = 76},
  [2198] = {.lex_state = 76},
  [2199] = {.lex_state = 76},
  [2200] = {.lex_state = 76},
  [2201] = {.lex_state = 76},
  [2202] = {.lex_state = 76},
  [2203] = {.lex_state = 76},
  [2204] = {.lex_state = 76},
  [2205] = {.lex_state = 14},
  [2206] = {.lex_state = 76},
  [2207] = {.lex_state = 76},
  [2208] = {.lex_state = 76},
  [2209] = {.lex_state = 76},
  [2210] = {.lex_state = 76},
  [2211] = {.lex_state = 76},
  [2212] = {.lex_state = 76, .external_lex_state = 2},
  [2213] = {.lex_state = 76},
  [2214] = {.lex_state = 76},
  [2215] = {.lex_state = 76},
  [2216] = {.lex_state = 76},
  [2217] = {.lex_state = 5, .external_lex_state = 13},
  [2218] = {.lex_state = 5, .external_lex_state = 13},
  [2219] = {.lex_state = 76},
  [2220] = {.lex_state = 76},
  [2221] = {.lex_state = 76, .external_lex_state = 2},
  [2222] = {.lex_state = 14},
  [2223] = {.lex_state = 76, .external_lex_state = 2},
  [2224] = {.lex_state = 76},
  [2225] = {.lex_state = 76},
  [2226] = {.lex_state = 76},
  [2227] = {.lex_state = 76, .external_lex_state = 2},
  [2228] = {.lex_state = 76},
  [2229] = {.lex_state = 76, .external_lex_state = 2},
  [2230] = {.lex_state = 76},
  [2231] = {.lex_state = 76},
  [2232] = {.lex_state = 76},
  [2233] = {.lex_state = 76},
  [2234] = {.lex_state = 76, .external_lex_state = 10},
  [2235] = {.lex_state = 76, .external_lex_state = 2},
  [2236] = {.lex_state = 76},
  [2237] = {.lex_state = 76},
  [2238] = {.lex_state = 76},
  [2239] = {.lex_state = 76},
  [2240] = {.lex_state = 76},
  [2241] = {.lex_state = 14},
  [2242] = {.lex_state = 76},
  [2243] = {.lex_state = 76},
  [2244] = {.lex_state = 14},
  [2245] = {.lex_state = 76},
  [2246] = {.lex_state = 14},
  [2247] = {.lex_state = 76},
  [2248] = {.lex_state = 76},
  [2249] = {.lex_state = 76},
  [2250] = {.lex_state = 76, .external_lex_state = 2},
  [2251] = {.lex_state = 76},
  [2252] = {.lex_state = 76},
  [2253] = {.lex_state = 76},
  [2254] = {.lex_state = 76},
  [2255] = {.lex_state = 76},
  [2256] = {.lex_state = 76},
  [2257] = {.lex_state = 76},
  [2258] = {.lex_state = 76},
  [2259] = {.lex_state = 76, .external_lex_state = 2},
  [2260] = {.lex_state = 14},
  [2261] = {.lex_state = 76, .external_lex_state = 2},
  [2262] = {.lex_state = 76},
  [2263] = {.lex_state = 76},
  [2264] = {.lex_state = 76},
  [2265] = {.lex_state = 76},
  [2266] = {.lex_state = 76},
  [2267] = {.lex_state = 76},
  [2268] = {.lex_state = 76},
  [2269] = {.lex_state = 76},
  [2270] = {.lex_state = 76},
  [2271] = {.lex_state = 76},
  [2272] = {.lex_state = 76},
  [2273] = {.lex_state = 76},
  [2274] = {.lex_state = 76},
  [2275] = {.lex_state = 76},
  [2276] = {.lex_state = 76},
  [2277] = {.lex_state = 76},
  [2278] = {.lex_state = 76},
  [2279] = {.lex_state = 76, .external_lex_state = 2},
  [2280] = {.lex_state = 76},
  [2281] = {.lex_state = 76},
  [2282] = {.lex_state = 76},
  [2283] = {.lex_state = 76},
  [2284] = {.lex_state = 76},
  [2285] = {.lex_state = 76, .external_lex_state = 2},
  [2286] = {.lex_state = 76, .external_lex_state = 2},
  [2287] = {.lex_state = 76},
  [2288] = {.lex_state = 5, .external_lex_state = 13},
  [2289] = {.lex_state = 76},
  [2290] = {.lex_state = 76, .external_lex_state = 2},
  [2291] = {.lex_state = 76, .external_lex_state = 2},
  [2292] = {.lex_state = 76},
  [2293] = {.lex_state = 76},
  [2294] = {.lex_state = 76, .external_lex_state = 2},
  [2295] = {.lex_state = 76},
  [2296] = {.lex_state = 14},
  [2297] = {.lex_state = 76, .external_lex_state = 2},
  [2298] = {.lex_state = 76},
  [2299] = {.lex_state = 76},
  [2300] = {.lex_state = 76},
  [2301] = {.lex_state = 76},
  [2302] = {.lex_state = 76},
  [2303] = {.lex_state = 76},
  [2304] = {.lex_state = 76},
  [2305] = {.lex_state = 76},
  [2306] = {.lex_state = 76},
  [2307] = {.lex_state = 76},
  [2308] = {.lex_state = 76},
  [2309] = {.lex_state = 14},
  [2310] = {.lex_state = 76},
  [2311] = {.lex_state = 76},
  [2312] = {.lex_state = 76, .external_lex_state = 2},
  [2313] = {.lex_state = 76, .external_lex_state = 2},
  [2314] = {.lex_state = 76},
  [2315] = {.lex_state = 76},
  [2316] = {.lex_state = 76, .external_lex_state = 2},
  [2317] = {.lex_state = 76, .external_lex_state = 2},
  [2318] = {.lex_state = 76},
  [2319] = {.lex_state = 76},
  [2320] = {.lex_state = 76, .external_lex_state = 2},
  [2321] = {.lex_state = 76, .external_lex_state = 2},
  [2322] = {.lex_state = 76, .external_lex_state = 2},
  [2323] = {.lex_state = 76, .external_lex_state = 2},
  [2324] = {.lex_state = 76},
  [2325] = {.lex_state = 76},
  [2326] = {.lex_state = 14},
  [2327] = {.lex_state = 76},
  [2328] = {.lex_state = 76, .external_lex_state = 2},
  [2329] = {.lex_state = 76},
  [2330] = {.lex_state = 76},
  [2331] = {.lex_state = 76},
  [2332] = {.lex_state = 76},
  [2333] = {.lex_state = 76, .external_lex_state = 2},
  [2334] = {.lex_state = 76, .external_lex_state = 2},
  [2335] = {.lex_state = 14},
  [2336] = {.lex_state = 76},
  [2337] = {.lex_state = 76, .external_lex_state = 2},
  [2338] = {.lex_state = 76},
  [2339] = {.lex_state = 76, .external_lex_state = 2},
  [2340] = {.lex_state = 76},
  [2341] = {.lex_state = 76},
  [2342] = {.lex_state = 76},
  [2343] = {.lex_state = 76},
  [2344] = {.lex_state = 76},
  [2345] = {.lex_state = 76},
  [2346] = {.lex_state = 76},
  [2347] = {.lex_state = 76},
  [2348] = {.lex_state = 76},
  [2349] = {.lex_state = 76},
  [2350] = {.lex_state = 76},
  [2351] = {.lex_state = 76},
  [2352] = {.lex_state = 76},
  [2353] = {.lex_state = 76},
  [2354] = {.lex_state = 76},
  [2355] = {.lex_state = 76},
  [2356] = {.lex_state = 76},
  [2357] = {.lex_state = 76, .external_lex_state = 2},
  [2358] = {.lex_state = 76},
  [2359] = {.lex_state = 76},
  [2360] = {.lex_state = 76},
  [2361] = {.lex_state = 76},
  [2362] = {.lex_state = 76, .external_lex_state = 2},
  [2363] = {.lex_state = 76, .external_lex_state = 2},
  [2364] = {.lex_state = 76},
  [2365] = {.lex_state = 76, .external_lex_state = 2},
  [2366] = {.lex_state = 76, .external_lex_state = 2},
  [2367] = {.lex_state = 76},
  [2368] = {.lex_state = 76, .external_lex_state = 2},
  [2369] = {.lex_state = 76},
  [2370] = {.lex_state = 76},
  [2371] = {.lex_state = 76},
  [2372] = {.lex_state = 76},
  [2373] = {.lex_state = 76},
  [2374] = {.lex_state = 76},
  [2375] = {.lex_state = 14},
  [2376] = {.lex_state = 76},
  [2377] = {.lex_state = 76},
  [2378] = {.lex_state = 76},
  [2379] = {.lex_state = 76},
  [2380] = {.lex_state = 76, .external_lex_state = 2},
  [2381] = {.lex_state = 76, .external_lex_state = 2},
  [2382] = {.lex_state = 76},
  [2383] = {.lex_state = 76},
  [2384] = {.lex_state = 76, .external_lex_state = 2},
  [2385] = {.lex_state = 76},
  [2386] = {.lex_state = 76},
  [2387] = {.lex_state = 76},
  [2388] = {.lex_state = 76},
  [2389] = {.lex_state = 76},
  [2390] = {.lex_state = 76},
  [2391] = {.lex_state = 76, .external_lex_state = 2},
  [2392] = {.lex_state = 76, .external_lex_state = 2},
  [2393] = {.lex_state = 76, .external_lex_state = 2},
  [2394] = {.lex_state = 76},
  [2395] = {.lex_state = 76, .external_lex_state = 2},
  [2396] = {.lex_state = 76},
  [2397] = {.lex_state = 76},
  [2398] = {.lex_state = 76},
  [2399] = {.lex_state = 76},
  [2400] = {.lex_state = 76, .external_lex_state = 2},
  [2401] = {.lex_state = 76, .external_lex_state = 2},
  [2402] = {.lex_state = 76, .external_lex_state = 2},
  [2403] = {.lex_state = 76},
  [2404] = {.lex_state = 5, .external_lex_state = 13},
  [2405] = {.lex_state = 76},
  [2406] = {.lex_state = 76},
  [2407] = {.lex_state = 76},
  [2408] = {.lex_state = 76},
  [2409] = {.lex_state = 76},
  [2410] = {.lex_state = 14},
  [2411] = {.lex_state = 76},
  [2412] = {.lex_state = 76},
  [2413] = {.lex_state = 5, .external_lex_state = 13},
  [2414] = {.lex_state = 5, .external_lex_state = 13},
  [2415] = {.lex_state = 5, .external_lex_state = 13},
  [2416] = {.lex_state = 76},
  [2417] = {.lex_state = 76},
  [2418] = {.lex_state = 76},
  [2419] = {.lex_state = 5, .external_lex_state = 13},
  [2420] = {.lex_state = 76},
  [2421] = {.lex_state = 76},
  [2422] = {.lex_state = 76},
  [2423] = {.lex_state = 76},
  [2424] = {.lex_state = 76},
  [2425] = {.lex_state = 76},
  [2426] = {.lex_state = 76},
  [2427] = {.lex_state = 76},
  [2428] = {.lex_state = 76},
  [2429] = {.lex_state = 76},
  [2430] = {.lex_state = 76},
  [2431] = {.lex_state = 76},
  [2432] = {.lex_state = 76},
  [2433] = {.lex_state = 76},
  [2434] = {.lex_state = 76},
  [2435] = {.lex_state = 76, .external_lex_state = 2},
  [2436] = {.lex_state = 76, .external_lex_state = 2},
  [2437] = {.lex_state = 76},
  [2438] = {.lex_state = 76, .external_lex_state = 2},
  [2439] = {.lex_state = 76, .external_lex_state = 2},
  [2440] = {.lex_state = 76, .external_lex_state = 2},
  [2441] = {.lex_state = 76},
  [2442] = {.lex_state = 76},
  [2443] = {.lex_state = 76},
  [2444] = {.lex_state = 76},
  [2445] = {.lex_state = 76},
  [2446] = {.lex_state = 5, .external_lex_state = 13},
  [2447] = {.lex_state = 76},
  [2448] = {.lex_state = 76},
  [2449] = {.lex_state = 76, .external_lex_state = 2},
  [2450] = {.lex_state = 76},
  [2451] = {.lex_state = 76},
  [2452] = {.lex_state = 76, .external_lex_state = 2},
  [2453] = {.lex_state = 76},
  [2454] = {.lex_state = 76},
  [2455] = {.lex_state = 76},
  [2456] = {.lex_state = 76},
  [2457] = {.lex_state = 76},
  [2458] = {.lex_state = 76},
  [2459] = {.lex_state = 76},
  [2460] = {.lex_state = 76},
  [2461] = {.lex_state = 76},
  [2462] = {.lex_state = 76},
  [2463] = {.lex_state = 76},
  [2464] = {.lex_state = 76},
  [2465] = {.lex_state = 76},
  [2466] = {.lex_state = 76},
  [2467] = {.lex_state = 76},
  [2468] = {.lex_state = 76},
  [2469] = {.lex_state = 76},
  [2470] = {.lex_state = 14},
  [2471] = {.lex_state = 76},
  [2472] = {.lex_state = 76},
  [2473] = {.lex_state = 76, .external_lex_state = 2},
  [2474] = {.lex_state = 76},
  [2475] = {.lex_state = 76},
  [2476] = {.lex_state = 76, .external_lex_state = 2},
  [2477] = {.lex_state = 76},
  [2478] = {.lex_state = 76},
  [2479] = {.lex_state = 14},
  [2480] = {.lex_state = 76},
  [2481] = {.lex_state = 76, .external_lex_state = 2},
  [2482] = {.lex_state = 76},
  [2483] = {.lex_state = 76},
  [2484] = {.lex_state = 76, .external_lex_state = 2},
  [2485] = {.lex_state = 76},
  [2486] = {.lex_state = 76},
  [2487] = {.lex_state = 76},
  [2488] = {.lex_state = 76, .external_lex_state = 2},
  [2489] = {.lex_state = 76},
  [2490] = {.lex_state = 14},
  [2491] = {.lex_state = 76},
  [2492] = {.lex_state = 76},
  [2493] = {.lex_state = 76},
  [2494] = {.lex_state = 76},
  [2495] = {.lex_state = 76},
  [2496] = {.lex_state = 76},
  [2497] = {.lex_state = 76},
  [2498] = {.lex_state = 14},
  [2499] = {.lex_state = 76},
  [2500] = {.lex_state = 76},
  [2501] = {.lex_state = 76},
  [2502] = {.lex_state = 76},
  [2503] = {.lex_state = 76},
  [2504] = {.lex_state = 76},
  [2505] = {.lex_state = 76},
  [2506] = {.lex_state = 76},
  [2507] = {.lex_state = 76},
  [2508] = {.lex_state = 76, .external_lex_state = 13},
  [2509] = {.lex_state = 76},
  [2510] = {.lex_state = 76, .external_lex_state = 13},
  [2511] = {.lex_state = 76},
  [2512] = {.lex_state = 76},
  [2513] = {.lex_state = 76},
  [2514] = {.lex_state = 14},
  [2515] = {.lex_state = 14},
  [2516] = {.lex_state = 14},
  [2517] = {.lex_state = 76},
  [2518] = {.lex_state = 14},
  [2519] = {.lex_state = 76},
  [2520] = {.lex_state = 76},
  [2521] = {.lex_state = 14},
  [2522] = {.lex_state = 14},
  [2523] = {.lex_state = 14},
  [2524] = {.lex_state = 76},
  [2525] = {.lex_state = 76},
  [2526] = {.lex_state = 76},
  [2527] = {.lex_state = 14},
  [2528] = {.lex_state = 14},
  [2529] = {.lex_state = 76},
  [2530] = {.lex_state = 76},
  [2531] = {.lex_state = 14},
  [2532] = {.lex_state = 14},
  [2533] = {.lex_state = 76},
  [2534] = {.lex_state = 14},
  [2535] = {.lex_state = 76},
  [2536] = {.lex_state = 76},
  [2537] = {.lex_state = 14},
  [2538] = {.lex_state = 14},
  [2539] = {.lex_state = 76},
  [2540] = {.lex_state = 76},
  [2541] = {.lex_state = 14},
  [2542] = {.lex_state = 14},
  [2543] = {.lex_state = 76},
  [2544] = {.lex_state = 76},
  [2545] = {.lex_state = 14},
  [2546] = {.lex_state = 14},
  [2547] = {.lex_state = 14},
  [2548] = {.lex_state = 76},
  [2549] = {.lex_state = 14},
  [2550] = {.lex_state = 76},
  [2551] = {.lex_state = 76, .external_lex_state = 12},
  [2552] = {.lex_state = 76, .external_lex_state = 12},
  [2553] = {.lex_state = 76, .external_lex_state = 13},
  [2554] = {.lex_state = 76},
  [2555] = {.lex_state = 14},
  [2556] = {.lex_state = 14},
  [2557] = {.lex_state = 76},
  [2558] = {.lex_state = 76},
  [2559] = {.lex_state = 14},
  [2560] = {.lex_state = 76},
  [2561] = {.lex_state = 14},
  [2562] = {.lex_state = 76},
  [2563] = {.lex_state = 76},
  [2564] = {.lex_state = 14},
  [2565] = {.lex_state = 76},
  [2566] = {.lex_state = 76},
  [2567] = {.lex_state = 76},
  [2568] = {.lex_state = 76},
  [2569] = {.lex_state = 76},
  [2570] = {.lex_state = 76},
  [2571] = {.lex_state = 14},
  [2572] = {.lex_state = 76},
  [2573] = {.lex_state = 14},
  [2574] = {.lex_state = 14},
  [2575] = {.lex_state = 76},
  [2576] = {.lex_state = 76},
  [2577] = {.lex_state = 76},
  [2578] = {.lex_state = 14},
  [2579] = {.lex_state = 76, .external_lex_state = 13},
  [2580] = {.lex_state = 76},
  [2581] = {.lex_state = 14},
  [2582] = {.lex_state = 76},
  [2583] = {.lex_state = 76},
  [2584] = {.lex_state = 76},
  [2585] = {.lex_state = 14},
  [2586] = {.lex_state = 14},
  [2587] = {.lex_state = 76, .external_lex_state = 13},
  [2588] = {.lex_state = 76},
  [2589] = {.lex_state = 14},
  [2590] = {.lex_state = 14},
  [2591] = {.lex_state = 14},
  [2592] = {.lex_state = 14},
  [2593] = {.lex_state = 76},
  [2594] = {.lex_state = 76},
  [2595] = {.lex_state = 76},
  [2596] = {.lex_state = 76},
  [2597] = {.lex_state = 14},
  [2598] = {.lex_state = 76},
  [2599] = {.lex_state = 76},
  [2600] = {.lex_state = 76},
  [2601] = {.lex_state = 76},
  [2602] = {.lex_state = 76},
  [2603] = {.lex_state = 14},
  [2604] = {.lex_state = 14},
  [2605] = {.lex_state = 76},
  [2606] = {.lex_state = 14},
  [2607] = {.lex_state = 76},
  [2608] = {.lex_state = 14},
  [2609] = {.lex_state = 14},
  [2610] = {.lex_state = 76},
  [2611] = {.lex_state = 14},
  [2612] = {.lex_state = 76},
  [2613] = {.lex_state = 76},
  [2614] = {.lex_state = 14},
  [2615] = {.lex_state = 76, .external_lex_state = 12},
  [2616] = {.lex_state = 76, .external_lex_state = 12},
  [2617] = {.lex_state = 14},
  [2618] = {.lex_state = 76},
  [2619] = {.lex_state = 14},
  [2620] = {.lex_state = 14},
  [2621] = {.lex_state = 76},
  [2622] = {.lex_state = 76},
  [2623] = {.lex_state = 76},
  [2624] = {.lex_state = 14},
  [2625] = {.lex_state = 76},
  [2626] = {.lex_state = 14},
  [2627] = {.lex_state = 14},
  [2628] = {.lex_state = 14},
  [2629] = {.lex_state = 14},
  [2630] = {.lex_state = 76},
  [2631] = {.lex_state = 14},
  [2632] = {.lex_state = 76},
  [2633] = {.lex_state = 76},
  [2634] = {.lex_state = 76},
  [2635] = {.lex_state = 76},
  [2636] = {.lex_state = 14},
  [2637] = {.lex_state = 76},
  [2638] = {.lex_state = 76},
  [2639] = {.lex_state = 76},
  [2640] = {.lex_state = 76},
  [2641] = {.lex_state = 76},
  [2642] = {.lex_state = 76},
  [2643] = {.lex_state = 14},
  [2644] = {.lex_state = 76},
  [2645] = {.lex_state = 76},
  [2646] = {.lex_state = 14},
  [2647] = {.lex_state = 76},
  [2648] = {.lex_state = 76},
  [2649] = {.lex_state = 76},
  [2650] = {.lex_state = 76},
  [2651] = {.lex_state = 76},
  [2652] = {.lex_state = 76},
  [2653] = {.lex_state = 76},
  [2654] = {.lex_state = 14},
  [2655] = {.lex_state = 14},
  [2656] = {.lex_state = 14},
  [2657] = {.lex_state = 76},
  [2658] = {.lex_state = 76},
  [2659] = {.lex_state = 14},
  [2660] = {.lex_state = 76},
  [2661] = {.lex_state = 14},
  [2662] = {.lex_state = 76},
  [2663] = {.lex_state = 76},
  [2664] = {.lex_state = 76},
  [2665] = {.lex_state = 76},
  [2666] = {.lex_state = 76},
  [2667] = {.lex_state = 76},
  [2668] = {.lex_state = 76},
  [2669] = {.lex_state = 76},
  [2670] = {.lex_state = 14},
  [2671] = {.lex_state = 76},
  [2672] = {.lex_state = 76},
  [2673] = {.lex_state = 76},
  [2674] = {.lex_state = 14},
  [2675] = {.lex_state = 76},
  [2676] = {.lex_state = 76},
  [2677] = {.lex_state = 76},
  [2678] = {.lex_state = 76},
  [2679] = {.lex_state = 76},
  [2680] = {.lex_state = 76},
  [2681] = {.lex_state = 76},
  [2682] = {.lex_state = 76},
  [2683] = {.lex_state = 76, .external_lex_state = 13},
  [2684] = {.lex_state = 14},
  [2685] = {.lex_state = 76},
  [2686] = {.lex_state = 76},
  [2687] = {.lex_state = 76},
  [2688] = {.lex_state = 14},
  [2689] = {.lex_state = 76},
  [2690] = {.lex_state = 14},
  [2691] = {.lex_state = 76},
  [2692] = {.lex_state = 14},
  [2693] = {.lex_state = 76},
  [2694] = {.lex_state = 76},
  [2695] = {.lex_state = 76},
  [2696] = {.lex_state = 76},
  [2697] = {.lex_state = 76},
  [2698] = {.lex_state = 76},
  [2699] = {.lex_state = 76},
  [2700] = {.lex_state = 76},
  [2701] = {.lex_state = 76},
  [2702] = {.lex_state = 76},
  [2703] = {.lex_state = 76},
  [2704] = {.lex_state = 76},
  [2705] = {.lex_state = 76},
  [2706] = {.lex_state = 76},
  [2707] = {.lex_state = 76},
  [2708] = {.lex_state = 76},
  [2709] = {.lex_state = 76},
  [2710] = {.lex_state = 14},
  [2711] = {(TSStateId)(-1)},
  [2712] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_QMARK_GT2] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2707),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2231),
    [aux_sym_text_repeat1] = STATE(1784),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(11),
    [aux_sym_text_token2] = ACTIONS(11),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(13),
    [sym_name] = ACTIONS(15),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(20),
    [aux_sym_function_static_declaration_token1] = ACTIONS(23),
    [aux_sym_global_declaration_token1] = ACTIONS(26),
    [aux_sym_namespace_definition_token1] = ACTIONS(29),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(32),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(35),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(38),
    [anon_sym_BSLASH] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(44),
    [anon_sym_RBRACE] = ACTIONS(13),
    [aux_sym_trait_declaration_token1] = ACTIONS(47),
    [aux_sym_interface_declaration_token1] = ACTIONS(50),
    [aux_sym_enum_declaration_token1] = ACTIONS(53),
    [aux_sym_enum_case_token1] = ACTIONS(56),
    [aux_sym_class_declaration_token1] = ACTIONS(58),
    [aux_sym_final_modifier_token1] = ACTIONS(61),
    [aux_sym_abstract_modifier_token1] = ACTIONS(64),
    [aux_sym_readonly_modifier_token1] = ACTIONS(67),
    [aux_sym_visibility_modifier_token1] = ACTIONS(70),
    [aux_sym_visibility_modifier_token2] = ACTIONS(70),
    [aux_sym_visibility_modifier_token3] = ACTIONS(70),
    [aux_sym__arrow_function_header_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(76),
    [aux_sym_cast_type_token1] = ACTIONS(79),
    [aux_sym_echo_statement_token1] = ACTIONS(82),
    [anon_sym_unset] = ACTIONS(85),
    [aux_sym_declare_statement_token1] = ACTIONS(88),
    [aux_sym_declare_statement_token2] = ACTIONS(56),
    [sym_float] = ACTIONS(91),
    [aux_sym_try_statement_token1] = ACTIONS(94),
    [aux_sym_goto_statement_token1] = ACTIONS(97),
    [aux_sym_continue_statement_token1] = ACTIONS(100),
    [aux_sym_break_statement_token1] = ACTIONS(103),
    [sym_integer] = ACTIONS(91),
    [aux_sym_return_statement_token1] = ACTIONS(106),
    [aux_sym_throw_expression_token1] = ACTIONS(109),
    [aux_sym_while_statement_token1] = ACTIONS(112),
    [aux_sym_while_statement_token2] = ACTIONS(56),
    [aux_sym_do_statement_token1] = ACTIONS(115),
    [aux_sym_for_statement_token1] = ACTIONS(118),
    [aux_sym_for_statement_token2] = ACTIONS(56),
    [aux_sym_foreach_statement_token1] = ACTIONS(121),
    [aux_sym_foreach_statement_token2] = ACTIONS(56),
    [aux_sym_if_statement_token1] = ACTIONS(124),
    [aux_sym_if_statement_token2] = ACTIONS(56),
    [aux_sym_match_expression_token1] = ACTIONS(127),
    [aux_sym_match_default_expression_token1] = ACTIONS(56),
    [aux_sym_switch_statement_token1] = ACTIONS(130),
    [aux_sym_switch_block_token1] = ACTIONS(56),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(136),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_AT] = ACTIONS(139),
    [aux_sym_clone_expression_token1] = ACTIONS(142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(145),
    [aux_sym_object_creation_expression_token1] = ACTIONS(148),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [aux_sym__list_destructing_token1] = ACTIONS(154),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_self] = ACTIONS(160),
    [anon_sym_parent] = ACTIONS(160),
    [aux_sym__argument_name_token1] = ACTIONS(163),
    [aux_sym__argument_name_token2] = ACTIONS(166),
    [anon_sym_POUND_LBRACK] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(172),
    [aux_sym_encapsed_string_token1] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [aux_sym_string_token1] = ACTIONS(172),
    [anon_sym_LT_LT_LT] = ACTIONS(178),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR] = ACTIONS(184),
    [aux_sym_yield_expression_token1] = ACTIONS(187),
    [aux_sym_include_expression_token1] = ACTIONS(190),
    [aux_sym_include_once_expression_token1] = ACTIONS(193),
    [aux_sym_require_expression_token1] = ACTIONS(196),
    [aux_sym_require_once_expression_token1] = ACTIONS(199),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(222),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_enum_case_token1] = ACTIONS(230),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_match_default_expression_token1] = ACTIONS(230),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [aux_sym_switch_block_token1] = ACTIONS(230),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(328),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_enum_case_token1] = ACTIONS(330),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_match_default_expression_token1] = ACTIONS(330),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [aux_sym_switch_block_token1] = ACTIONS(330),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(332),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_enum_case_token1] = ACTIONS(334),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_match_default_expression_token1] = ACTIONS(334),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [aux_sym_switch_block_token1] = ACTIONS(334),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(336),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_enum_case_token1] = ACTIONS(338),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_match_default_expression_token1] = ACTIONS(338),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [aux_sym_switch_block_token1] = ACTIONS(338),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_if_statement_token2] = ACTIONS(350),
    [aux_sym_else_if_clause_token1] = ACTIONS(350),
    [aux_sym_else_clause_token1] = ACTIONS(350),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_while_statement_token2] = ACTIONS(350),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_foreach_statement_token2] = ACTIONS(350),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_if_statement_token2] = ACTIONS(350),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(15),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(20),
    [aux_sym_function_static_declaration_token1] = ACTIONS(23),
    [aux_sym_global_declaration_token1] = ACTIONS(26),
    [aux_sym_namespace_definition_token1] = ACTIONS(29),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(32),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(35),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(38),
    [anon_sym_BSLASH] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(44),
    [aux_sym_trait_declaration_token1] = ACTIONS(47),
    [aux_sym_interface_declaration_token1] = ACTIONS(50),
    [aux_sym_enum_declaration_token1] = ACTIONS(53),
    [aux_sym_class_declaration_token1] = ACTIONS(58),
    [aux_sym_final_modifier_token1] = ACTIONS(61),
    [aux_sym_abstract_modifier_token1] = ACTIONS(64),
    [aux_sym_readonly_modifier_token1] = ACTIONS(67),
    [aux_sym_visibility_modifier_token1] = ACTIONS(70),
    [aux_sym_visibility_modifier_token2] = ACTIONS(70),
    [aux_sym_visibility_modifier_token3] = ACTIONS(70),
    [aux_sym__arrow_function_header_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(76),
    [aux_sym_cast_type_token1] = ACTIONS(79),
    [aux_sym_echo_statement_token1] = ACTIONS(82),
    [anon_sym_unset] = ACTIONS(85),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(91),
    [aux_sym_try_statement_token1] = ACTIONS(94),
    [aux_sym_goto_statement_token1] = ACTIONS(97),
    [aux_sym_continue_statement_token1] = ACTIONS(100),
    [aux_sym_break_statement_token1] = ACTIONS(103),
    [sym_integer] = ACTIONS(91),
    [aux_sym_return_statement_token1] = ACTIONS(106),
    [aux_sym_throw_expression_token1] = ACTIONS(109),
    [aux_sym_while_statement_token1] = ACTIONS(355),
    [aux_sym_do_statement_token1] = ACTIONS(115),
    [aux_sym_for_statement_token1] = ACTIONS(358),
    [aux_sym_foreach_statement_token1] = ACTIONS(361),
    [aux_sym_if_statement_token1] = ACTIONS(364),
    [aux_sym_if_statement_token2] = ACTIONS(56),
    [aux_sym_else_if_clause_token1] = ACTIONS(56),
    [aux_sym_else_clause_token1] = ACTIONS(56),
    [aux_sym_match_expression_token1] = ACTIONS(127),
    [aux_sym_switch_statement_token1] = ACTIONS(130),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(136),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_AT] = ACTIONS(139),
    [aux_sym_clone_expression_token1] = ACTIONS(142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(145),
    [aux_sym_object_creation_expression_token1] = ACTIONS(148),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [aux_sym__list_destructing_token1] = ACTIONS(154),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_self] = ACTIONS(160),
    [anon_sym_parent] = ACTIONS(160),
    [aux_sym__argument_name_token1] = ACTIONS(163),
    [aux_sym__argument_name_token2] = ACTIONS(166),
    [anon_sym_POUND_LBRACK] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(172),
    [aux_sym_encapsed_string_token1] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [aux_sym_string_token1] = ACTIONS(172),
    [anon_sym_LT_LT_LT] = ACTIONS(178),
    [anon_sym_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR] = ACTIONS(184),
    [aux_sym_yield_expression_token1] = ACTIONS(187),
    [aux_sym_include_expression_token1] = ACTIONS(190),
    [aux_sym_include_once_expression_token1] = ACTIONS(193),
    [aux_sym_require_expression_token1] = ACTIONS(196),
    [aux_sym_require_once_expression_token1] = ACTIONS(199),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_while_statement_token2] = ACTIONS(367),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_foreach_statement_token2] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_if_statement_token2] = ACTIONS(367),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_if_statement_token2] = ACTIONS(367),
    [aux_sym_else_if_clause_token1] = ACTIONS(367),
    [aux_sym_else_clause_token1] = ACTIONS(367),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_empty_statement] = STATE(568),
    [sym_function_static_declaration] = STATE(568),
    [sym_global_declaration] = STATE(568),
    [sym_namespace_definition] = STATE(568),
    [sym_namespace_use_declaration] = STATE(568),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(568),
    [sym_interface_declaration] = STATE(568),
    [sym_enum_declaration] = STATE(568),
    [sym_class_declaration] = STATE(568),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(568),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(568),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(568),
    [sym_unset_statement] = STATE(568),
    [sym_declare_statement] = STATE(568),
    [sym_try_statement] = STATE(568),
    [sym_goto_statement] = STATE(568),
    [sym_continue_statement] = STATE(568),
    [sym_break_statement] = STATE(568),
    [sym_return_statement] = STATE(568),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(568),
    [sym_do_statement] = STATE(568),
    [sym_for_statement] = STATE(568),
    [sym_foreach_statement] = STATE(568),
    [sym_if_statement] = STATE(568),
    [sym_colon_block] = STATE(2670),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(568),
    [sym_compound_statement] = STATE(568),
    [sym_named_label_statement] = STATE(568),
    [sym_expression_statement] = STATE(568),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(371),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(373),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_empty_statement] = STATE(568),
    [sym_function_static_declaration] = STATE(568),
    [sym_global_declaration] = STATE(568),
    [sym_namespace_definition] = STATE(568),
    [sym_namespace_use_declaration] = STATE(568),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(568),
    [sym_interface_declaration] = STATE(568),
    [sym_enum_declaration] = STATE(568),
    [sym_class_declaration] = STATE(568),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(568),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(568),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(568),
    [sym_unset_statement] = STATE(568),
    [sym_declare_statement] = STATE(568),
    [sym_try_statement] = STATE(568),
    [sym_goto_statement] = STATE(568),
    [sym_continue_statement] = STATE(568),
    [sym_break_statement] = STATE(568),
    [sym_return_statement] = STATE(568),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(568),
    [sym_do_statement] = STATE(568),
    [sym_for_statement] = STATE(568),
    [sym_foreach_statement] = STATE(568),
    [sym_if_statement] = STATE(568),
    [sym_colon_block] = STATE(2670),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(568),
    [sym_compound_statement] = STATE(568),
    [sym_named_label_statement] = STATE(568),
    [sym_expression_statement] = STATE(568),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(369),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(371),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(373),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_empty_statement] = STATE(1995),
    [sym_function_static_declaration] = STATE(1995),
    [sym_global_declaration] = STATE(1995),
    [sym_namespace_definition] = STATE(1995),
    [sym_namespace_use_declaration] = STATE(1995),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(1995),
    [sym_interface_declaration] = STATE(1995),
    [sym_enum_declaration] = STATE(1995),
    [sym_class_declaration] = STATE(1995),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(1995),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(1995),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(1995),
    [sym_unset_statement] = STATE(1995),
    [sym_declare_statement] = STATE(1995),
    [sym_try_statement] = STATE(1995),
    [sym_goto_statement] = STATE(1995),
    [sym_continue_statement] = STATE(1995),
    [sym_break_statement] = STATE(1995),
    [sym_return_statement] = STATE(1995),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(1995),
    [sym_do_statement] = STATE(1995),
    [sym_for_statement] = STATE(1995),
    [sym_foreach_statement] = STATE(1995),
    [sym_if_statement] = STATE(1995),
    [sym_colon_block] = STATE(2534),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(1995),
    [sym_compound_statement] = STATE(1995),
    [sym_named_label_statement] = STATE(1995),
    [sym_expression_statement] = STATE(1995),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(377),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(371),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(427),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_empty_statement] = STATE(1995),
    [sym_function_static_declaration] = STATE(1995),
    [sym_global_declaration] = STATE(1995),
    [sym_namespace_definition] = STATE(1995),
    [sym_namespace_use_declaration] = STATE(1995),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(1995),
    [sym_interface_declaration] = STATE(1995),
    [sym_enum_declaration] = STATE(1995),
    [sym_class_declaration] = STATE(1995),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(1995),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(1995),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(1995),
    [sym_unset_statement] = STATE(1995),
    [sym_declare_statement] = STATE(1995),
    [sym_try_statement] = STATE(1995),
    [sym_goto_statement] = STATE(1995),
    [sym_continue_statement] = STATE(1995),
    [sym_break_statement] = STATE(1995),
    [sym_return_statement] = STATE(1995),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(1995),
    [sym_do_statement] = STATE(1995),
    [sym_for_statement] = STATE(1995),
    [sym_foreach_statement] = STATE(1995),
    [sym_if_statement] = STATE(1995),
    [sym_colon_block] = STATE(2534),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(1995),
    [sym_compound_statement] = STATE(1995),
    [sym_named_label_statement] = STATE(1995),
    [sym_expression_statement] = STATE(1995),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(377),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(371),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(427),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_empty_statement] = STATE(466),
    [sym_function_static_declaration] = STATE(466),
    [sym_global_declaration] = STATE(466),
    [sym_namespace_definition] = STATE(466),
    [sym_namespace_use_declaration] = STATE(466),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(466),
    [sym_interface_declaration] = STATE(466),
    [sym_enum_declaration] = STATE(466),
    [sym_class_declaration] = STATE(466),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(466),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(466),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(466),
    [sym_unset_statement] = STATE(466),
    [sym_declare_statement] = STATE(466),
    [sym_try_statement] = STATE(466),
    [sym_goto_statement] = STATE(466),
    [sym_continue_statement] = STATE(466),
    [sym_break_statement] = STATE(466),
    [sym_return_statement] = STATE(466),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(466),
    [sym_do_statement] = STATE(466),
    [sym_for_statement] = STATE(466),
    [sym_foreach_statement] = STATE(466),
    [sym_if_statement] = STATE(466),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(466),
    [sym_compound_statement] = STATE(466),
    [sym_named_label_statement] = STATE(466),
    [sym_expression_statement] = STATE(466),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(441),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(443),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_empty_statement] = STATE(533),
    [sym_function_static_declaration] = STATE(533),
    [sym_global_declaration] = STATE(533),
    [sym_namespace_definition] = STATE(533),
    [sym_namespace_use_declaration] = STATE(533),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(533),
    [sym_interface_declaration] = STATE(533),
    [sym_enum_declaration] = STATE(533),
    [sym_class_declaration] = STATE(533),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(533),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(533),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(533),
    [sym_unset_statement] = STATE(533),
    [sym_declare_statement] = STATE(533),
    [sym_try_statement] = STATE(533),
    [sym_goto_statement] = STATE(533),
    [sym_continue_statement] = STATE(533),
    [sym_break_statement] = STATE(533),
    [sym_return_statement] = STATE(533),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(533),
    [sym_do_statement] = STATE(533),
    [sym_for_statement] = STATE(533),
    [sym_foreach_statement] = STATE(533),
    [sym_if_statement] = STATE(533),
    [sym_colon_block] = STATE(2498),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(533),
    [sym_compound_statement] = STATE(533),
    [sym_named_label_statement] = STATE(533),
    [sym_expression_statement] = STATE(533),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(371),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_empty_statement] = STATE(484),
    [sym_function_static_declaration] = STATE(484),
    [sym_global_declaration] = STATE(484),
    [sym_namespace_definition] = STATE(484),
    [sym_namespace_use_declaration] = STATE(484),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(484),
    [sym_interface_declaration] = STATE(484),
    [sym_enum_declaration] = STATE(484),
    [sym_class_declaration] = STATE(484),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(484),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(484),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(484),
    [sym_unset_statement] = STATE(484),
    [sym_declare_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_foreach_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(484),
    [sym_compound_statement] = STATE(484),
    [sym_named_label_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(453),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(455),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(457),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(453),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(459),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(461),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(463),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(465),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_empty_statement] = STATE(2014),
    [sym_function_static_declaration] = STATE(2014),
    [sym_global_declaration] = STATE(2014),
    [sym_namespace_definition] = STATE(2014),
    [sym_namespace_use_declaration] = STATE(2014),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2014),
    [sym_interface_declaration] = STATE(2014),
    [sym_enum_declaration] = STATE(2014),
    [sym_class_declaration] = STATE(2014),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2014),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2014),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2014),
    [sym_unset_statement] = STATE(2014),
    [sym_declare_statement] = STATE(2014),
    [sym_try_statement] = STATE(2014),
    [sym_goto_statement] = STATE(2014),
    [sym_continue_statement] = STATE(2014),
    [sym_break_statement] = STATE(2014),
    [sym_return_statement] = STATE(2014),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2014),
    [sym_do_statement] = STATE(2014),
    [sym_for_statement] = STATE(2014),
    [sym_foreach_statement] = STATE(2014),
    [sym_if_statement] = STATE(2014),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2014),
    [sym_compound_statement] = STATE(2014),
    [sym_named_label_statement] = STATE(2014),
    [sym_expression_statement] = STATE(2014),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(467),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(471),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_empty_statement] = STATE(2030),
    [sym_function_static_declaration] = STATE(2030),
    [sym_global_declaration] = STATE(2030),
    [sym_namespace_definition] = STATE(2030),
    [sym_namespace_use_declaration] = STATE(2030),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2030),
    [sym_interface_declaration] = STATE(2030),
    [sym_enum_declaration] = STATE(2030),
    [sym_class_declaration] = STATE(2030),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2030),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2030),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2030),
    [sym_unset_statement] = STATE(2030),
    [sym_declare_statement] = STATE(2030),
    [sym_try_statement] = STATE(2030),
    [sym_goto_statement] = STATE(2030),
    [sym_continue_statement] = STATE(2030),
    [sym_break_statement] = STATE(2030),
    [sym_return_statement] = STATE(2030),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2030),
    [sym_do_statement] = STATE(2030),
    [sym_for_statement] = STATE(2030),
    [sym_foreach_statement] = STATE(2030),
    [sym_if_statement] = STATE(2030),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2030),
    [sym_compound_statement] = STATE(2030),
    [sym_named_label_statement] = STATE(2030),
    [sym_expression_statement] = STATE(2030),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_empty_statement] = STATE(555),
    [sym_function_static_declaration] = STATE(555),
    [sym_global_declaration] = STATE(555),
    [sym_namespace_definition] = STATE(555),
    [sym_namespace_use_declaration] = STATE(555),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(555),
    [sym_interface_declaration] = STATE(555),
    [sym_enum_declaration] = STATE(555),
    [sym_class_declaration] = STATE(555),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(555),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(555),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(555),
    [sym_unset_statement] = STATE(555),
    [sym_declare_statement] = STATE(555),
    [sym_try_statement] = STATE(555),
    [sym_goto_statement] = STATE(555),
    [sym_continue_statement] = STATE(555),
    [sym_break_statement] = STATE(555),
    [sym_return_statement] = STATE(555),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(555),
    [sym_do_statement] = STATE(555),
    [sym_for_statement] = STATE(555),
    [sym_foreach_statement] = STATE(555),
    [sym_if_statement] = STATE(555),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(555),
    [sym_compound_statement] = STATE(555),
    [sym_named_label_statement] = STATE(555),
    [sym_expression_statement] = STATE(555),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(479),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(483),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_empty_statement] = STATE(1991),
    [sym_function_static_declaration] = STATE(1991),
    [sym_global_declaration] = STATE(1991),
    [sym_namespace_definition] = STATE(1991),
    [sym_namespace_use_declaration] = STATE(1991),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(1991),
    [sym_interface_declaration] = STATE(1991),
    [sym_enum_declaration] = STATE(1991),
    [sym_class_declaration] = STATE(1991),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(1991),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(1991),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(1991),
    [sym_unset_statement] = STATE(1991),
    [sym_declare_statement] = STATE(1991),
    [sym_try_statement] = STATE(1991),
    [sym_goto_statement] = STATE(1991),
    [sym_continue_statement] = STATE(1991),
    [sym_break_statement] = STATE(1991),
    [sym_return_statement] = STATE(1991),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(1991),
    [sym_do_statement] = STATE(1991),
    [sym_for_statement] = STATE(1991),
    [sym_foreach_statement] = STATE(1991),
    [sym_if_statement] = STATE(1991),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(1991),
    [sym_compound_statement] = STATE(1991),
    [sym_named_label_statement] = STATE(1991),
    [sym_expression_statement] = STATE(1991),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(491),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(493),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(495),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(497),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_empty_statement] = STATE(1644),
    [sym_function_static_declaration] = STATE(1644),
    [sym_global_declaration] = STATE(1644),
    [sym_namespace_definition] = STATE(1644),
    [sym_namespace_use_declaration] = STATE(1644),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(1644),
    [sym_interface_declaration] = STATE(1644),
    [sym_enum_declaration] = STATE(1644),
    [sym_class_declaration] = STATE(1644),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(1644),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(1644),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(1644),
    [sym_unset_statement] = STATE(1644),
    [sym_declare_statement] = STATE(1644),
    [sym_try_statement] = STATE(1644),
    [sym_goto_statement] = STATE(1644),
    [sym_continue_statement] = STATE(1644),
    [sym_break_statement] = STATE(1644),
    [sym_return_statement] = STATE(1644),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(1644),
    [sym_do_statement] = STATE(1644),
    [sym_for_statement] = STATE(1644),
    [sym_foreach_statement] = STATE(1644),
    [sym_if_statement] = STATE(1644),
    [sym_colon_block] = STATE(1626),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(1644),
    [sym_compound_statement] = STATE(1644),
    [sym_named_label_statement] = STATE(1644),
    [sym_expression_statement] = STATE(1644),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(501),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_empty_statement] = STATE(513),
    [sym_function_static_declaration] = STATE(513),
    [sym_global_declaration] = STATE(513),
    [sym_namespace_definition] = STATE(513),
    [sym_namespace_use_declaration] = STATE(513),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(513),
    [sym_interface_declaration] = STATE(513),
    [sym_enum_declaration] = STATE(513),
    [sym_class_declaration] = STATE(513),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(513),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(513),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(513),
    [sym_unset_statement] = STATE(513),
    [sym_declare_statement] = STATE(513),
    [sym_try_statement] = STATE(513),
    [sym_goto_statement] = STATE(513),
    [sym_continue_statement] = STATE(513),
    [sym_break_statement] = STATE(513),
    [sym_return_statement] = STATE(513),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(513),
    [sym_do_statement] = STATE(513),
    [sym_for_statement] = STATE(513),
    [sym_foreach_statement] = STATE(513),
    [sym_if_statement] = STATE(513),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(513),
    [sym_compound_statement] = STATE(513),
    [sym_named_label_statement] = STATE(513),
    [sym_expression_statement] = STATE(513),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(497),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [aux_sym_declare_statement_token2] = ACTIONS(511),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(39),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [aux_sym_declare_statement_token2] = ACTIONS(513),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(515),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(517),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_empty_statement] = STATE(2106),
    [sym_function_static_declaration] = STATE(2106),
    [sym_global_declaration] = STATE(2106),
    [sym_namespace_definition] = STATE(2106),
    [sym_namespace_use_declaration] = STATE(2106),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2106),
    [sym_interface_declaration] = STATE(2106),
    [sym_enum_declaration] = STATE(2106),
    [sym_class_declaration] = STATE(2106),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2106),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2106),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2106),
    [sym_unset_statement] = STATE(2106),
    [sym_declare_statement] = STATE(2106),
    [sym_try_statement] = STATE(2106),
    [sym_goto_statement] = STATE(2106),
    [sym_continue_statement] = STATE(2106),
    [sym_break_statement] = STATE(2106),
    [sym_return_statement] = STATE(2106),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2106),
    [sym_do_statement] = STATE(2106),
    [sym_for_statement] = STATE(2106),
    [sym_foreach_statement] = STATE(2106),
    [sym_if_statement] = STATE(2106),
    [sym_colon_block] = STATE(2597),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2106),
    [sym_compound_statement] = STATE(2106),
    [sym_named_label_statement] = STATE(2106),
    [sym_expression_statement] = STATE(2106),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(371),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_empty_statement] = STATE(1642),
    [sym_function_static_declaration] = STATE(1642),
    [sym_global_declaration] = STATE(1642),
    [sym_namespace_definition] = STATE(1642),
    [sym_namespace_use_declaration] = STATE(1642),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(1642),
    [sym_interface_declaration] = STATE(1642),
    [sym_enum_declaration] = STATE(1642),
    [sym_class_declaration] = STATE(1642),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(1642),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(1642),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(1642),
    [sym_unset_statement] = STATE(1642),
    [sym_declare_statement] = STATE(1642),
    [sym_try_statement] = STATE(1642),
    [sym_goto_statement] = STATE(1642),
    [sym_continue_statement] = STATE(1642),
    [sym_break_statement] = STATE(1642),
    [sym_return_statement] = STATE(1642),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(1642),
    [sym_do_statement] = STATE(1642),
    [sym_for_statement] = STATE(1642),
    [sym_foreach_statement] = STATE(1642),
    [sym_if_statement] = STATE(1642),
    [sym_colon_block] = STATE(1626),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(1642),
    [sym_compound_statement] = STATE(1642),
    [sym_named_label_statement] = STATE(1642),
    [sym_expression_statement] = STATE(1642),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(501),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(465),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(519),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_empty_statement] = STATE(428),
    [sym_function_static_declaration] = STATE(428),
    [sym_global_declaration] = STATE(428),
    [sym_namespace_definition] = STATE(428),
    [sym_namespace_use_declaration] = STATE(428),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(428),
    [sym_interface_declaration] = STATE(428),
    [sym_enum_declaration] = STATE(428),
    [sym_class_declaration] = STATE(428),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(428),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(428),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(428),
    [sym_unset_statement] = STATE(428),
    [sym_declare_statement] = STATE(428),
    [sym_try_statement] = STATE(428),
    [sym_goto_statement] = STATE(428),
    [sym_continue_statement] = STATE(428),
    [sym_break_statement] = STATE(428),
    [sym_return_statement] = STATE(428),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(428),
    [sym_do_statement] = STATE(428),
    [sym_for_statement] = STATE(428),
    [sym_foreach_statement] = STATE(428),
    [sym_if_statement] = STATE(428),
    [sym_colon_block] = STATE(1669),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(428),
    [sym_compound_statement] = STATE(428),
    [sym_named_label_statement] = STATE(428),
    [sym_expression_statement] = STATE(428),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(501),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(521),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(521),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(523),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_empty_statement] = STATE(533),
    [sym_function_static_declaration] = STATE(533),
    [sym_global_declaration] = STATE(533),
    [sym_namespace_definition] = STATE(533),
    [sym_namespace_use_declaration] = STATE(533),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(533),
    [sym_interface_declaration] = STATE(533),
    [sym_enum_declaration] = STATE(533),
    [sym_class_declaration] = STATE(533),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(533),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(533),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(533),
    [sym_unset_statement] = STATE(533),
    [sym_declare_statement] = STATE(533),
    [sym_try_statement] = STATE(533),
    [sym_goto_statement] = STATE(533),
    [sym_continue_statement] = STATE(533),
    [sym_break_statement] = STATE(533),
    [sym_return_statement] = STATE(533),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(533),
    [sym_do_statement] = STATE(533),
    [sym_for_statement] = STATE(533),
    [sym_foreach_statement] = STATE(533),
    [sym_if_statement] = STATE(533),
    [sym_colon_block] = STATE(2498),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(533),
    [sym_compound_statement] = STATE(533),
    [sym_named_label_statement] = STATE(533),
    [sym_expression_statement] = STATE(533),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(371),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(50),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(525),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(527),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_empty_statement] = STATE(2030),
    [sym_function_static_declaration] = STATE(2030),
    [sym_global_declaration] = STATE(2030),
    [sym_namespace_definition] = STATE(2030),
    [sym_namespace_use_declaration] = STATE(2030),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2030),
    [sym_interface_declaration] = STATE(2030),
    [sym_enum_declaration] = STATE(2030),
    [sym_class_declaration] = STATE(2030),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2030),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2030),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2030),
    [sym_unset_statement] = STATE(2030),
    [sym_declare_statement] = STATE(2030),
    [sym_try_statement] = STATE(2030),
    [sym_goto_statement] = STATE(2030),
    [sym_continue_statement] = STATE(2030),
    [sym_break_statement] = STATE(2030),
    [sym_return_statement] = STATE(2030),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2030),
    [sym_do_statement] = STATE(2030),
    [sym_for_statement] = STATE(2030),
    [sym_foreach_statement] = STATE(2030),
    [sym_if_statement] = STATE(2030),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2030),
    [sym_compound_statement] = STATE(2030),
    [sym_named_label_statement] = STATE(2030),
    [sym_expression_statement] = STATE(2030),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_empty_statement] = STATE(425),
    [sym_function_static_declaration] = STATE(425),
    [sym_global_declaration] = STATE(425),
    [sym_namespace_definition] = STATE(425),
    [sym_namespace_use_declaration] = STATE(425),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(425),
    [sym_interface_declaration] = STATE(425),
    [sym_enum_declaration] = STATE(425),
    [sym_class_declaration] = STATE(425),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(425),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(425),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(425),
    [sym_unset_statement] = STATE(425),
    [sym_declare_statement] = STATE(425),
    [sym_try_statement] = STATE(425),
    [sym_goto_statement] = STATE(425),
    [sym_continue_statement] = STATE(425),
    [sym_break_statement] = STATE(425),
    [sym_return_statement] = STATE(425),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(425),
    [sym_do_statement] = STATE(425),
    [sym_for_statement] = STATE(425),
    [sym_foreach_statement] = STATE(425),
    [sym_if_statement] = STATE(425),
    [sym_colon_block] = STATE(1669),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(425),
    [sym_compound_statement] = STATE(425),
    [sym_named_label_statement] = STATE(425),
    [sym_expression_statement] = STATE(425),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(501),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_empty_statement] = STATE(2014),
    [sym_function_static_declaration] = STATE(2014),
    [sym_global_declaration] = STATE(2014),
    [sym_namespace_definition] = STATE(2014),
    [sym_namespace_use_declaration] = STATE(2014),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2014),
    [sym_interface_declaration] = STATE(2014),
    [sym_enum_declaration] = STATE(2014),
    [sym_class_declaration] = STATE(2014),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2014),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2014),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2014),
    [sym_unset_statement] = STATE(2014),
    [sym_declare_statement] = STATE(2014),
    [sym_try_statement] = STATE(2014),
    [sym_goto_statement] = STATE(2014),
    [sym_continue_statement] = STATE(2014),
    [sym_break_statement] = STATE(2014),
    [sym_return_statement] = STATE(2014),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2014),
    [sym_do_statement] = STATE(2014),
    [sym_for_statement] = STATE(2014),
    [sym_foreach_statement] = STATE(2014),
    [sym_if_statement] = STATE(2014),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2014),
    [sym_compound_statement] = STATE(2014),
    [sym_named_label_statement] = STATE(2014),
    [sym_expression_statement] = STATE(2014),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(467),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(471),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(529),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_empty_statement] = STATE(506),
    [sym_function_static_declaration] = STATE(506),
    [sym_global_declaration] = STATE(506),
    [sym_namespace_definition] = STATE(506),
    [sym_namespace_use_declaration] = STATE(506),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(506),
    [sym_interface_declaration] = STATE(506),
    [sym_enum_declaration] = STATE(506),
    [sym_class_declaration] = STATE(506),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(506),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(506),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(506),
    [sym_unset_statement] = STATE(506),
    [sym_declare_statement] = STATE(506),
    [sym_try_statement] = STATE(506),
    [sym_goto_statement] = STATE(506),
    [sym_continue_statement] = STATE(506),
    [sym_break_statement] = STATE(506),
    [sym_return_statement] = STATE(506),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(506),
    [sym_do_statement] = STATE(506),
    [sym_for_statement] = STATE(506),
    [sym_foreach_statement] = STATE(506),
    [sym_if_statement] = STATE(506),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(506),
    [sym_compound_statement] = STATE(506),
    [sym_named_label_statement] = STATE(506),
    [sym_expression_statement] = STATE(506),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_empty_statement] = STATE(555),
    [sym_function_static_declaration] = STATE(555),
    [sym_global_declaration] = STATE(555),
    [sym_namespace_definition] = STATE(555),
    [sym_namespace_use_declaration] = STATE(555),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(555),
    [sym_interface_declaration] = STATE(555),
    [sym_enum_declaration] = STATE(555),
    [sym_class_declaration] = STATE(555),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(555),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(555),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(555),
    [sym_unset_statement] = STATE(555),
    [sym_declare_statement] = STATE(555),
    [sym_try_statement] = STATE(555),
    [sym_goto_statement] = STATE(555),
    [sym_continue_statement] = STATE(555),
    [sym_break_statement] = STATE(555),
    [sym_return_statement] = STATE(555),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(555),
    [sym_do_statement] = STATE(555),
    [sym_for_statement] = STATE(555),
    [sym_foreach_statement] = STATE(555),
    [sym_if_statement] = STATE(555),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(555),
    [sym_compound_statement] = STATE(555),
    [sym_named_label_statement] = STATE(555),
    [sym_expression_statement] = STATE(555),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(479),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(483),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_empty_statement] = STATE(1962),
    [sym_function_static_declaration] = STATE(1962),
    [sym_global_declaration] = STATE(1962),
    [sym_namespace_definition] = STATE(1962),
    [sym_namespace_use_declaration] = STATE(1962),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(1962),
    [sym_interface_declaration] = STATE(1962),
    [sym_enum_declaration] = STATE(1962),
    [sym_class_declaration] = STATE(1962),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(1962),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(1962),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(1962),
    [sym_unset_statement] = STATE(1962),
    [sym_declare_statement] = STATE(1962),
    [sym_try_statement] = STATE(1962),
    [sym_goto_statement] = STATE(1962),
    [sym_continue_statement] = STATE(1962),
    [sym_break_statement] = STATE(1962),
    [sym_return_statement] = STATE(1962),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(1962),
    [sym_do_statement] = STATE(1962),
    [sym_for_statement] = STATE(1962),
    [sym_foreach_statement] = STATE(1962),
    [sym_if_statement] = STATE(1962),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(1962),
    [sym_compound_statement] = STATE(1962),
    [sym_named_label_statement] = STATE(1962),
    [sym_expression_statement] = STATE(1962),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [aux_sym_declare_statement_token2] = ACTIONS(539),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(541),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(541),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_empty_statement] = STATE(2062),
    [sym_function_static_declaration] = STATE(2062),
    [sym_global_declaration] = STATE(2062),
    [sym_namespace_definition] = STATE(2062),
    [sym_namespace_use_declaration] = STATE(2062),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2062),
    [sym_interface_declaration] = STATE(2062),
    [sym_enum_declaration] = STATE(2062),
    [sym_class_declaration] = STATE(2062),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2062),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2062),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2062),
    [sym_unset_statement] = STATE(2062),
    [sym_declare_statement] = STATE(2062),
    [sym_try_statement] = STATE(2062),
    [sym_goto_statement] = STATE(2062),
    [sym_continue_statement] = STATE(2062),
    [sym_break_statement] = STATE(2062),
    [sym_return_statement] = STATE(2062),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2062),
    [sym_do_statement] = STATE(2062),
    [sym_for_statement] = STATE(2062),
    [sym_foreach_statement] = STATE(2062),
    [sym_if_statement] = STATE(2062),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2062),
    [sym_compound_statement] = STATE(2062),
    [sym_named_label_statement] = STATE(2062),
    [sym_expression_statement] = STATE(2062),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(543),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(545),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(547),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [anon_sym_RBRACE] = ACTIONS(549),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_empty_statement] = STATE(1962),
    [sym_function_static_declaration] = STATE(1962),
    [sym_global_declaration] = STATE(1962),
    [sym_namespace_definition] = STATE(1962),
    [sym_namespace_use_declaration] = STATE(1962),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(1962),
    [sym_interface_declaration] = STATE(1962),
    [sym_enum_declaration] = STATE(1962),
    [sym_class_declaration] = STATE(1962),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(1962),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(1962),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(1962),
    [sym_unset_statement] = STATE(1962),
    [sym_declare_statement] = STATE(1962),
    [sym_try_statement] = STATE(1962),
    [sym_goto_statement] = STATE(1962),
    [sym_continue_statement] = STATE(1962),
    [sym_break_statement] = STATE(1962),
    [sym_return_statement] = STATE(1962),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(1962),
    [sym_do_statement] = STATE(1962),
    [sym_for_statement] = STATE(1962),
    [sym_foreach_statement] = STATE(1962),
    [sym_if_statement] = STATE(1962),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(1962),
    [sym_compound_statement] = STATE(1962),
    [sym_named_label_statement] = STATE(1962),
    [sym_expression_statement] = STATE(1962),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_empty_statement] = STATE(484),
    [sym_function_static_declaration] = STATE(484),
    [sym_global_declaration] = STATE(484),
    [sym_namespace_definition] = STATE(484),
    [sym_namespace_use_declaration] = STATE(484),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(484),
    [sym_interface_declaration] = STATE(484),
    [sym_enum_declaration] = STATE(484),
    [sym_class_declaration] = STATE(484),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(484),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(484),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(484),
    [sym_unset_statement] = STATE(484),
    [sym_declare_statement] = STATE(484),
    [sym_try_statement] = STATE(484),
    [sym_goto_statement] = STATE(484),
    [sym_continue_statement] = STATE(484),
    [sym_break_statement] = STATE(484),
    [sym_return_statement] = STATE(484),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(484),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(484),
    [sym_foreach_statement] = STATE(484),
    [sym_if_statement] = STATE(484),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(484),
    [sym_compound_statement] = STATE(484),
    [sym_named_label_statement] = STATE(484),
    [sym_expression_statement] = STATE(484),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_empty_statement] = STATE(2106),
    [sym_function_static_declaration] = STATE(2106),
    [sym_global_declaration] = STATE(2106),
    [sym_namespace_definition] = STATE(2106),
    [sym_namespace_use_declaration] = STATE(2106),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2106),
    [sym_interface_declaration] = STATE(2106),
    [sym_enum_declaration] = STATE(2106),
    [sym_class_declaration] = STATE(2106),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2106),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2106),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2106),
    [sym_unset_statement] = STATE(2106),
    [sym_declare_statement] = STATE(2106),
    [sym_try_statement] = STATE(2106),
    [sym_goto_statement] = STATE(2106),
    [sym_continue_statement] = STATE(2106),
    [sym_break_statement] = STATE(2106),
    [sym_return_statement] = STATE(2106),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2106),
    [sym_do_statement] = STATE(2106),
    [sym_for_statement] = STATE(2106),
    [sym_foreach_statement] = STATE(2106),
    [sym_if_statement] = STATE(2106),
    [sym_colon_block] = STATE(2597),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2106),
    [sym_compound_statement] = STATE(2106),
    [sym_named_label_statement] = STATE(2106),
    [sym_expression_statement] = STATE(2106),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(371),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_empty_statement] = STATE(1991),
    [sym_function_static_declaration] = STATE(1991),
    [sym_global_declaration] = STATE(1991),
    [sym_namespace_definition] = STATE(1991),
    [sym_namespace_use_declaration] = STATE(1991),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(1991),
    [sym_interface_declaration] = STATE(1991),
    [sym_enum_declaration] = STATE(1991),
    [sym_class_declaration] = STATE(1991),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(1991),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(1991),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(1991),
    [sym_unset_statement] = STATE(1991),
    [sym_declare_statement] = STATE(1991),
    [sym_try_statement] = STATE(1991),
    [sym_goto_statement] = STATE(1991),
    [sym_continue_statement] = STATE(1991),
    [sym_break_statement] = STATE(1991),
    [sym_return_statement] = STATE(1991),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(1991),
    [sym_do_statement] = STATE(1991),
    [sym_for_statement] = STATE(1991),
    [sym_foreach_statement] = STATE(1991),
    [sym_if_statement] = STATE(1991),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(1991),
    [sym_compound_statement] = STATE(1991),
    [sym_named_label_statement] = STATE(1991),
    [sym_expression_statement] = STATE(1991),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(491),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(493),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(495),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_empty_statement] = STATE(2062),
    [sym_function_static_declaration] = STATE(2062),
    [sym_global_declaration] = STATE(2062),
    [sym_namespace_definition] = STATE(2062),
    [sym_namespace_use_declaration] = STATE(2062),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2062),
    [sym_interface_declaration] = STATE(2062),
    [sym_enum_declaration] = STATE(2062),
    [sym_class_declaration] = STATE(2062),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2062),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2062),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2062),
    [sym_unset_statement] = STATE(2062),
    [sym_declare_statement] = STATE(2062),
    [sym_try_statement] = STATE(2062),
    [sym_goto_statement] = STATE(2062),
    [sym_continue_statement] = STATE(2062),
    [sym_break_statement] = STATE(2062),
    [sym_return_statement] = STATE(2062),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2062),
    [sym_do_statement] = STATE(2062),
    [sym_for_statement] = STATE(2062),
    [sym_foreach_statement] = STATE(2062),
    [sym_if_statement] = STATE(2062),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2062),
    [sym_compound_statement] = STATE(2062),
    [sym_named_label_statement] = STATE(2062),
    [sym_expression_statement] = STATE(2062),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(543),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(545),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(547),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_empty_statement] = STATE(516),
    [sym_function_static_declaration] = STATE(516),
    [sym_global_declaration] = STATE(516),
    [sym_namespace_definition] = STATE(516),
    [sym_namespace_use_declaration] = STATE(516),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(516),
    [sym_interface_declaration] = STATE(516),
    [sym_enum_declaration] = STATE(516),
    [sym_class_declaration] = STATE(516),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(516),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(516),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(516),
    [sym_unset_statement] = STATE(516),
    [sym_declare_statement] = STATE(516),
    [sym_try_statement] = STATE(516),
    [sym_goto_statement] = STATE(516),
    [sym_continue_statement] = STATE(516),
    [sym_break_statement] = STATE(516),
    [sym_return_statement] = STATE(516),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(516),
    [sym_for_statement] = STATE(516),
    [sym_foreach_statement] = STATE(516),
    [sym_if_statement] = STATE(516),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(516),
    [sym_compound_statement] = STATE(516),
    [sym_named_label_statement] = STATE(516),
    [sym_expression_statement] = STATE(516),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [aux_sym_declare_statement_token2] = ACTIONS(555),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_empty_statement] = STATE(513),
    [sym_function_static_declaration] = STATE(513),
    [sym_global_declaration] = STATE(513),
    [sym_namespace_definition] = STATE(513),
    [sym_namespace_use_declaration] = STATE(513),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(513),
    [sym_interface_declaration] = STATE(513),
    [sym_enum_declaration] = STATE(513),
    [sym_class_declaration] = STATE(513),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(513),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(513),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(513),
    [sym_unset_statement] = STATE(513),
    [sym_declare_statement] = STATE(513),
    [sym_try_statement] = STATE(513),
    [sym_goto_statement] = STATE(513),
    [sym_continue_statement] = STATE(513),
    [sym_break_statement] = STATE(513),
    [sym_return_statement] = STATE(513),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(513),
    [sym_do_statement] = STATE(513),
    [sym_for_statement] = STATE(513),
    [sym_foreach_statement] = STATE(513),
    [sym_if_statement] = STATE(513),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(513),
    [sym_compound_statement] = STATE(513),
    [sym_named_label_statement] = STATE(513),
    [sym_expression_statement] = STATE(513),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_empty_statement] = STATE(466),
    [sym_function_static_declaration] = STATE(466),
    [sym_global_declaration] = STATE(466),
    [sym_namespace_definition] = STATE(466),
    [sym_namespace_use_declaration] = STATE(466),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(466),
    [sym_interface_declaration] = STATE(466),
    [sym_enum_declaration] = STATE(466),
    [sym_class_declaration] = STATE(466),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(466),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(466),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(466),
    [sym_unset_statement] = STATE(466),
    [sym_declare_statement] = STATE(466),
    [sym_try_statement] = STATE(466),
    [sym_goto_statement] = STATE(466),
    [sym_continue_statement] = STATE(466),
    [sym_break_statement] = STATE(466),
    [sym_return_statement] = STATE(466),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(466),
    [sym_do_statement] = STATE(466),
    [sym_for_statement] = STATE(466),
    [sym_foreach_statement] = STATE(466),
    [sym_if_statement] = STATE(466),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(466),
    [sym_compound_statement] = STATE(466),
    [sym_named_label_statement] = STATE(466),
    [sym_expression_statement] = STATE(466),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [anon_sym_COLON] = ACTIONS(441),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(443),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_empty_statement] = STATE(536),
    [sym_function_static_declaration] = STATE(536),
    [sym_global_declaration] = STATE(536),
    [sym_namespace_definition] = STATE(536),
    [sym_namespace_use_declaration] = STATE(536),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(536),
    [sym_interface_declaration] = STATE(536),
    [sym_enum_declaration] = STATE(536),
    [sym_class_declaration] = STATE(536),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(536),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(536),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(536),
    [sym_unset_statement] = STATE(536),
    [sym_declare_statement] = STATE(536),
    [sym_try_statement] = STATE(536),
    [sym_goto_statement] = STATE(536),
    [sym_continue_statement] = STATE(536),
    [sym_break_statement] = STATE(536),
    [sym_return_statement] = STATE(536),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(536),
    [sym_do_statement] = STATE(536),
    [sym_for_statement] = STATE(536),
    [sym_foreach_statement] = STATE(536),
    [sym_if_statement] = STATE(536),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(536),
    [sym_compound_statement] = STATE(536),
    [sym_named_label_statement] = STATE(536),
    [sym_expression_statement] = STATE(536),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_empty_statement] = STATE(536),
    [sym_function_static_declaration] = STATE(536),
    [sym_global_declaration] = STATE(536),
    [sym_namespace_definition] = STATE(536),
    [sym_namespace_use_declaration] = STATE(536),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(536),
    [sym_interface_declaration] = STATE(536),
    [sym_enum_declaration] = STATE(536),
    [sym_class_declaration] = STATE(536),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(536),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(536),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(536),
    [sym_unset_statement] = STATE(536),
    [sym_declare_statement] = STATE(536),
    [sym_try_statement] = STATE(536),
    [sym_goto_statement] = STATE(536),
    [sym_continue_statement] = STATE(536),
    [sym_break_statement] = STATE(536),
    [sym_return_statement] = STATE(536),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(536),
    [sym_do_statement] = STATE(536),
    [sym_for_statement] = STATE(536),
    [sym_foreach_statement] = STATE(536),
    [sym_if_statement] = STATE(536),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(536),
    [sym_compound_statement] = STATE(536),
    [sym_named_label_statement] = STATE(536),
    [sym_expression_statement] = STATE(536),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(252),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(268),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(272),
    [aux_sym_foreach_statement_token1] = ACTIONS(274),
    [aux_sym_if_statement_token1] = ACTIONS(276),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_empty_statement] = STATE(523),
    [sym_function_static_declaration] = STATE(523),
    [sym_global_declaration] = STATE(523),
    [sym_namespace_definition] = STATE(523),
    [sym_namespace_use_declaration] = STATE(523),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(523),
    [sym_interface_declaration] = STATE(523),
    [sym_enum_declaration] = STATE(523),
    [sym_class_declaration] = STATE(523),
    [sym_final_modifier] = STATE(1964),
    [sym_abstract_modifier] = STATE(1964),
    [sym_readonly_modifier] = STATE(2656),
    [sym_const_declaration] = STATE(523),
    [sym__const_declaration] = STATE(527),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2654),
    [sym_function_definition] = STATE(523),
    [sym__function_definition_header] = STATE(2272),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(523),
    [sym_unset_statement] = STATE(523),
    [sym_declare_statement] = STATE(523),
    [sym_try_statement] = STATE(523),
    [sym_goto_statement] = STATE(523),
    [sym_continue_statement] = STATE(523),
    [sym_break_statement] = STATE(523),
    [sym_return_statement] = STATE(523),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(523),
    [sym_do_statement] = STATE(523),
    [sym_for_statement] = STATE(523),
    [sym_foreach_statement] = STATE(523),
    [sym_if_statement] = STATE(523),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(523),
    [sym_compound_statement] = STATE(523),
    [sym_named_label_statement] = STATE(523),
    [sym_expression_statement] = STATE(523),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1403),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(206),
    [aux_sym_global_declaration_token1] = ACTIONS(208),
    [aux_sym_namespace_definition_token1] = ACTIONS(210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(216),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(220),
    [aux_sym_trait_declaration_token1] = ACTIONS(224),
    [aux_sym_interface_declaration_token1] = ACTIONS(226),
    [aux_sym_enum_declaration_token1] = ACTIONS(228),
    [aux_sym_class_declaration_token1] = ACTIONS(232),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(248),
    [anon_sym_unset] = ACTIONS(250),
    [aux_sym_declare_statement_token1] = ACTIONS(340),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(256),
    [aux_sym_goto_statement_token1] = ACTIONS(258),
    [aux_sym_continue_statement_token1] = ACTIONS(260),
    [aux_sym_break_statement_token1] = ACTIONS(262),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(264),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(270),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_empty_statement] = STATE(2050),
    [sym_function_static_declaration] = STATE(2050),
    [sym_global_declaration] = STATE(2050),
    [sym_namespace_definition] = STATE(2050),
    [sym_namespace_use_declaration] = STATE(2050),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2050),
    [sym_interface_declaration] = STATE(2050),
    [sym_enum_declaration] = STATE(2050),
    [sym_class_declaration] = STATE(2050),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2050),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2050),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2050),
    [sym_unset_statement] = STATE(2050),
    [sym_declare_statement] = STATE(2050),
    [sym_try_statement] = STATE(2050),
    [sym_goto_statement] = STATE(2050),
    [sym_continue_statement] = STATE(2050),
    [sym_break_statement] = STATE(2050),
    [sym_return_statement] = STATE(2050),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2050),
    [sym_do_statement] = STATE(2050),
    [sym_for_statement] = STATE(2050),
    [sym_foreach_statement] = STATE(2050),
    [sym_if_statement] = STATE(2050),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2050),
    [sym_compound_statement] = STATE(2050),
    [sym_named_label_statement] = STATE(2050),
    [sym_expression_statement] = STATE(2050),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_empty_statement] = STATE(2614),
    [sym_function_static_declaration] = STATE(2614),
    [sym_global_declaration] = STATE(2614),
    [sym_namespace_definition] = STATE(2614),
    [sym_namespace_use_declaration] = STATE(2614),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2614),
    [sym_interface_declaration] = STATE(2614),
    [sym_enum_declaration] = STATE(2614),
    [sym_class_declaration] = STATE(2614),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2614),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2614),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2614),
    [sym_unset_statement] = STATE(2614),
    [sym_declare_statement] = STATE(2614),
    [sym_try_statement] = STATE(2614),
    [sym_goto_statement] = STATE(2614),
    [sym_continue_statement] = STATE(2614),
    [sym_break_statement] = STATE(2614),
    [sym_return_statement] = STATE(2614),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2614),
    [sym_do_statement] = STATE(2614),
    [sym_for_statement] = STATE(2614),
    [sym_foreach_statement] = STATE(2614),
    [sym_if_statement] = STATE(2614),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2614),
    [sym_compound_statement] = STATE(2614),
    [sym_named_label_statement] = STATE(2614),
    [sym_expression_statement] = STATE(2614),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_empty_statement] = STATE(2573),
    [sym_function_static_declaration] = STATE(2573),
    [sym_global_declaration] = STATE(2573),
    [sym_namespace_definition] = STATE(2573),
    [sym_namespace_use_declaration] = STATE(2573),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2573),
    [sym_interface_declaration] = STATE(2573),
    [sym_enum_declaration] = STATE(2573),
    [sym_class_declaration] = STATE(2573),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2573),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2573),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2573),
    [sym_unset_statement] = STATE(2573),
    [sym_declare_statement] = STATE(2573),
    [sym_try_statement] = STATE(2573),
    [sym_goto_statement] = STATE(2573),
    [sym_continue_statement] = STATE(2573),
    [sym_break_statement] = STATE(2573),
    [sym_return_statement] = STATE(2573),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2573),
    [sym_do_statement] = STATE(2573),
    [sym_for_statement] = STATE(2573),
    [sym_foreach_statement] = STATE(2573),
    [sym_if_statement] = STATE(2573),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2573),
    [sym_compound_statement] = STATE(2573),
    [sym_named_label_statement] = STATE(2573),
    [sym_expression_statement] = STATE(2573),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(429),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(431),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_empty_statement] = STATE(1965),
    [sym_function_static_declaration] = STATE(1965),
    [sym_global_declaration] = STATE(1965),
    [sym_namespace_definition] = STATE(1965),
    [sym_namespace_use_declaration] = STATE(1965),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(1965),
    [sym_interface_declaration] = STATE(1965),
    [sym_enum_declaration] = STATE(1965),
    [sym_class_declaration] = STATE(1965),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(1965),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(1965),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(1965),
    [sym_unset_statement] = STATE(1965),
    [sym_declare_statement] = STATE(1965),
    [sym_try_statement] = STATE(1965),
    [sym_goto_statement] = STATE(1965),
    [sym_continue_statement] = STATE(1965),
    [sym_break_statement] = STATE(1965),
    [sym_return_statement] = STATE(1965),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(1965),
    [sym_do_statement] = STATE(1965),
    [sym_for_statement] = STATE(1965),
    [sym_foreach_statement] = STATE(1965),
    [sym_if_statement] = STATE(1965),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(1965),
    [sym_compound_statement] = STATE(1965),
    [sym_named_label_statement] = STATE(1965),
    [sym_expression_statement] = STATE(1965),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_empty_statement] = STATE(2050),
    [sym_function_static_declaration] = STATE(2050),
    [sym_global_declaration] = STATE(2050),
    [sym_namespace_definition] = STATE(2050),
    [sym_namespace_use_declaration] = STATE(2050),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_trait_declaration] = STATE(2050),
    [sym_interface_declaration] = STATE(2050),
    [sym_enum_declaration] = STATE(2050),
    [sym_class_declaration] = STATE(2050),
    [sym_final_modifier] = STATE(1990),
    [sym_abstract_modifier] = STATE(1990),
    [sym_readonly_modifier] = STATE(2608),
    [sym_const_declaration] = STATE(2050),
    [sym__const_declaration] = STATE(2107),
    [sym_static_modifier] = STATE(2655),
    [sym_visibility_modifier] = STATE(2609),
    [sym_function_definition] = STATE(2050),
    [sym__function_definition_header] = STATE(2220),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_echo_statement] = STATE(2050),
    [sym_unset_statement] = STATE(2050),
    [sym_declare_statement] = STATE(2050),
    [sym_try_statement] = STATE(2050),
    [sym_goto_statement] = STATE(2050),
    [sym_continue_statement] = STATE(2050),
    [sym_break_statement] = STATE(2050),
    [sym_return_statement] = STATE(2050),
    [sym_throw_expression] = STATE(1110),
    [sym_while_statement] = STATE(2050),
    [sym_do_statement] = STATE(2050),
    [sym_for_statement] = STATE(2050),
    [sym_foreach_statement] = STATE(2050),
    [sym_if_statement] = STATE(2050),
    [sym_match_expression] = STATE(1109),
    [sym_switch_statement] = STATE(2050),
    [sym_compound_statement] = STATE(2050),
    [sym_named_label_statement] = STATE(2050),
    [sym_expression_statement] = STATE(2050),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1432),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(375),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(397),
    [aux_sym_final_modifier_token1] = ACTIONS(234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [aux_sym_echo_statement_token1] = ACTIONS(399),
    [anon_sym_unset] = ACTIONS(401),
    [aux_sym_declare_statement_token1] = ACTIONS(403),
    [sym_float] = ACTIONS(254),
    [aux_sym_try_statement_token1] = ACTIONS(405),
    [aux_sym_goto_statement_token1] = ACTIONS(407),
    [aux_sym_continue_statement_token1] = ACTIONS(409),
    [aux_sym_break_statement_token1] = ACTIONS(411),
    [sym_integer] = ACTIONS(254),
    [aux_sym_return_statement_token1] = ACTIONS(413),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_while_statement_token1] = ACTIONS(415),
    [aux_sym_do_statement_token1] = ACTIONS(417),
    [aux_sym_for_statement_token1] = ACTIONS(419),
    [aux_sym_foreach_statement_token1] = ACTIONS(421),
    [aux_sym_if_statement_token1] = ACTIONS(423),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(983),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(917),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(561),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(569),
    [anon_sym_RBRACE] = ACTIONS(559),
    [anon_sym_COLON] = ACTIONS(559),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_EQ_GT] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(573),
    [anon_sym_QMARK] = ACTIONS(569),
    [anon_sym_PIPE] = ACTIONS(569),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(583),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_yield_expression_token2] = ACTIONS(615),
    [aux_sym_binary_expression_token1] = ACTIONS(569),
    [anon_sym_QMARK_QMARK] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [aux_sym_binary_expression_token2] = ACTIONS(569),
    [aux_sym_binary_expression_token3] = ACTIONS(569),
    [aux_sym_binary_expression_token4] = ACTIONS(569),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(569),
    [anon_sym_LT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(559),
    [anon_sym_LT_EQ_GT] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_STAR] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1025),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(917),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(561),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(559),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_RBRACE] = ACTIONS(559),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_EQ_GT] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [anon_sym_QMARK] = ACTIONS(569),
    [anon_sym_PIPE] = ACTIONS(569),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(631),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(559),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_yield_expression_token2] = ACTIONS(645),
    [aux_sym_binary_expression_token1] = ACTIONS(569),
    [anon_sym_QMARK_QMARK] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [aux_sym_binary_expression_token2] = ACTIONS(569),
    [aux_sym_binary_expression_token3] = ACTIONS(569),
    [aux_sym_binary_expression_token4] = ACTIONS(569),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(569),
    [anon_sym_LT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(559),
    [anon_sym_LT_EQ_GT] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_STAR] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1082),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1046),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1046),
    [sym_yield_expression] = STATE(1109),
    [sym_array_element_initializer] = STATE(1083),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(559),
    [anon_sym_AMP] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [anon_sym_COMMA] = ACTIONS(559),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_EQ_GT] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(569),
    [anon_sym_PIPE] = ACTIONS(569),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(282),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_yield_expression_token2] = ACTIONS(665),
    [aux_sym_binary_expression_token1] = ACTIONS(569),
    [anon_sym_QMARK_QMARK] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [aux_sym_binary_expression_token2] = ACTIONS(569),
    [aux_sym_binary_expression_token3] = ACTIONS(569),
    [aux_sym_binary_expression_token4] = ACTIONS(569),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(569),
    [anon_sym_LT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(559),
    [anon_sym_LT_EQ_GT] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_STAR] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(559),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(917),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(561),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(559),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_EQ_GT] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(569),
    [anon_sym_PIPE] = ACTIONS(569),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_yield_expression_token2] = ACTIONS(687),
    [aux_sym_binary_expression_token1] = ACTIONS(569),
    [anon_sym_QMARK_QMARK] = ACTIONS(559),
    [anon_sym_STAR_STAR] = ACTIONS(559),
    [aux_sym_binary_expression_token2] = ACTIONS(569),
    [aux_sym_binary_expression_token3] = ACTIONS(569),
    [aux_sym_binary_expression_token4] = ACTIONS(569),
    [anon_sym_PIPE_PIPE] = ACTIONS(559),
    [anon_sym_AMP_AMP] = ACTIONS(559),
    [anon_sym_CARET] = ACTIONS(559),
    [anon_sym_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ] = ACTIONS(569),
    [anon_sym_LT_GT] = ACTIONS(559),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(559),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(569),
    [anon_sym_GT_EQ] = ACTIONS(559),
    [anon_sym_LT_EQ_GT] = ACTIONS(559),
    [anon_sym_LT_LT] = ACTIONS(569),
    [anon_sym_GT_GT] = ACTIONS(559),
    [anon_sym_DOT] = ACTIONS(569),
    [anon_sym_STAR] = ACTIONS(569),
    [anon_sym_SLASH] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(559),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2568),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2513),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2511),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2500),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2575),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2582),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1258),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2583),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2511),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1258),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2600),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2594),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_cast_type] = STATE(2544),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(697),
    [aux_sym_cast_type_token2] = ACTIONS(699),
    [aux_sym_cast_type_token3] = ACTIONS(699),
    [aux_sym_cast_type_token4] = ACTIONS(699),
    [aux_sym_cast_type_token5] = ACTIONS(699),
    [aux_sym_cast_type_token6] = ACTIONS(699),
    [aux_sym_cast_type_token7] = ACTIONS(699),
    [aux_sym_cast_type_token8] = ACTIONS(699),
    [aux_sym_cast_type_token9] = ACTIONS(699),
    [aux_sym_cast_type_token10] = ACTIONS(699),
    [aux_sym_cast_type_token11] = ACTIONS(699),
    [aux_sym_cast_type_token12] = ACTIONS(699),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1186),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(639),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(639),
    [sym_nullsafe_member_access_expression] = STATE(639),
    [sym_scoped_property_access_expression] = STATE(639),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2024),
    [sym__array_destructing_element] = STATE(2025),
    [sym_function_call_expression] = STATE(612),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(612),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2376),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2021),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym__array_destructing_repeat1] = STATE(2027),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(703),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_RBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1186),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(639),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(639),
    [sym_nullsafe_member_access_expression] = STATE(639),
    [sym_scoped_property_access_expression] = STATE(639),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2024),
    [sym__array_destructing_element] = STATE(2025),
    [sym_function_call_expression] = STATE(612),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(612),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2376),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2021),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym__array_destructing_repeat1] = STATE(2027),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(703),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_RBRACK] = ACTIONS(707),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1186),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(639),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(639),
    [sym_nullsafe_member_access_expression] = STATE(639),
    [sym_scoped_property_access_expression] = STATE(639),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2024),
    [sym__array_destructing_element] = STATE(2025),
    [sym_function_call_expression] = STATE(612),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(612),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2376),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2021),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym__array_destructing_repeat1] = STATE(2027),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(703),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_RBRACK] = ACTIONS(709),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_variadic_placeholder] = STATE(2693),
    [sym_argument] = STATE(2216),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(717),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1186),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(639),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(639),
    [sym_nullsafe_member_access_expression] = STATE(639),
    [sym_scoped_property_access_expression] = STATE(639),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2024),
    [sym__array_destructing_element] = STATE(2025),
    [sym_function_call_expression] = STATE(612),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(612),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2376),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2026),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym__array_destructing_repeat1] = STATE(2027),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(739),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_RBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1186),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(639),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(639),
    [sym_nullsafe_member_access_expression] = STATE(639),
    [sym_scoped_property_access_expression] = STATE(639),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2024),
    [sym__array_destructing_element] = STATE(2025),
    [sym_function_call_expression] = STATE(612),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(612),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2376),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2021),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym__array_destructing_repeat1] = STATE(2027),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(703),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_variadic_placeholder] = STATE(2517),
    [sym_argument] = STATE(2096),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(745),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_variadic_placeholder] = STATE(2635),
    [sym_argument] = STATE(1974),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(749),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_variadic_placeholder] = STATE(2664),
    [sym_argument] = STATE(2192),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(753),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_variadic_placeholder] = STATE(2653),
    [sym_argument] = STATE(2186),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(757),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_variadic_placeholder] = STATE(2577),
    [sym_argument] = STATE(2147),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(761),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_variadic_placeholder] = STATE(2682),
    [sym_argument] = STATE(2210),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_variadic_placeholder] = STATE(2668),
    [sym_argument] = STATE(2203),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(769),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2026),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(773),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(775),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2071),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(789),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(1961),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(807),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2021),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(813),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym_match_condition_list] = STATE(2638),
    [sym_match_conditional_expression] = STATE(2179),
    [sym_match_default_expression] = STATE(2179),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(825),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_RBRACE] = ACTIONS(827),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(831),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(835),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym_match_condition_list] = STATE(2638),
    [sym_match_conditional_expression] = STATE(1996),
    [sym_match_default_expression] = STATE(1996),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(841),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_RBRACE] = ACTIONS(843),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_reference_modifier] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2434),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1495),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(711),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(719),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(721),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(729),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(733),
    [anon_sym_parent] = ACTIONS(733),
    [aux_sym__argument_name_token1] = ACTIONS(735),
    [aux_sym__argument_name_token2] = ACTIONS(737),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(845),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym_match_condition_list] = STATE(2638),
    [sym_match_conditional_expression] = STATE(2409),
    [sym_match_default_expression] = STATE(2409),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_RBRACE] = ACTIONS(847),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2024),
    [sym__array_destructing_element] = STATE(2456),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(2426),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(849),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(851),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym_match_condition_list] = STATE(2638),
    [sym_match_conditional_expression] = STATE(2409),
    [sym_match_default_expression] = STATE(2409),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_RBRACE] = ACTIONS(858),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2024),
    [sym__array_destructing_element] = STATE(2456),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(2426),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(849),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(851),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(627),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym_match_condition_list] = STATE(2638),
    [sym_match_conditional_expression] = STATE(2409),
    [sym_match_default_expression] = STATE(2409),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_RBRACE] = ACTIONS(860),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(958),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(958),
    [sym_yield_expression] = STATE(955),
    [sym_array_element_initializer] = STATE(2204),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym_match_condition_list] = STATE(2638),
    [sym_match_conditional_expression] = STATE(2409),
    [sym_match_default_expression] = STATE(2409),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_RBRACE] = ACTIONS(862),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1293),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(636),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(1839),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(605),
    [sym_scoped_call_expression] = STATE(605),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(605),
    [sym_nullsafe_member_call_expression] = STATE(605),
    [sym_subscript_expression] = STATE(605),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(605),
    [sym_variable_name] = STATE(605),
    [sym_by_ref] = STATE(2081),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym__list_destructing_repeat1] = STATE(2082),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(864),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(851),
    [anon_sym_RPAREN] = ACTIONS(866),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(640),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2024),
    [sym__array_destructing_element] = STATE(2456),
    [sym_function_call_expression] = STATE(622),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(622),
    [sym_variable_name] = STATE(622),
    [sym_by_ref] = STATE(2426),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(849),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(851),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_RBRACK] = ACTIONS(868),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(203),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1207),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2238),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(713),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1255),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(637),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(637),
    [sym_nullsafe_member_access_expression] = STATE(637),
    [sym_scoped_property_access_expression] = STATE(637),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2187),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(628),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(628),
    [sym_variable_name] = STATE(628),
    [sym_by_ref] = STATE(2269),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [anon_sym_COMMA] = ACTIONS(871),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(851),
    [anon_sym_RPAREN] = ACTIONS(871),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym_match_condition_list] = STATE(2638),
    [sym_match_conditional_expression] = STATE(2409),
    [sym_match_default_expression] = STATE(2409),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2570),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(873),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2612),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(875),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2601),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(877),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2641),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2639),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(881),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2647),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(883),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2535),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(885),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2697),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(887),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_foreach_pair] = STATE(2642),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1211),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2287),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2642),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2704),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2502),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(891),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2698),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(893),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_foreach_pair] = STATE(2499),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1201),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2474),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2499),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2507),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2497),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(897),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2667),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(899),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2558),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(901),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2694),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2634),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(905),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2663),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2539),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(909),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_foreach_pair] = STATE(2569),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2377),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2569),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_foreach_pair] = STATE(2557),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2386),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2557),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2689),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(911),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2576),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(913),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2691),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(915),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2645),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(917),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__expressions] = STATE(2560),
    [sym_sequence_expression] = STATE(2350),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(919),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1238),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(921),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1236),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(923),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1241),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(925),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(925),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1196),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(927),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1197),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(929),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1008),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(641),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(641),
    [sym_nullsafe_member_access_expression] = STATE(641),
    [sym_scoped_property_access_expression] = STATE(641),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2202),
    [sym_function_call_expression] = STATE(634),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(634),
    [sym_variable_name] = STATE(634),
    [sym_by_ref] = STATE(2257),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1173),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(971),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(976),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(971),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1199),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(933),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1008),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(971),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym__expressions] = STATE(2476),
    [sym_sequence_expression] = STATE(2363),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1188),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym__expressions] = STATE(2362),
    [sym_sequence_expression] = STATE(2363),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1188),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1269),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2256),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2662),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1206),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2240),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1519),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1173),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(971),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(701),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1008),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_by_ref] = STATE(971),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1142),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1053),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1191),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(2418),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1543),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1282),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_COLON] = ACTIONS(937),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_COLON] = ACTIONS(939),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1263),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_COLON] = ACTIONS(941),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1247),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1308),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [anon_sym_COLON] = ACTIONS(945),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_sequence_expression] = STATE(2322),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1183),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_sequence_expression] = STATE(2424),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1192),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1155),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1239),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_EQ_GT] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1286),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(951),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1249),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1260),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(955),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1127),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(957),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_sequence_expression] = STATE(2424),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1225),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(986),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(959),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1294),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(961),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_RBRACK] = ACTIONS(963),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1166),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(965),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1239),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_EQ_GT] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1014),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(969),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1257),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1017),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1287),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1295),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1015),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1304),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1039),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1013),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1189),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1281),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1266),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1047),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1073),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1204),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1078),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1279),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1041),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1044),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1210),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(990),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1254),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1283),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1009),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1010),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1088),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1089),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1061),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1090),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1060),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1058),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1057),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1052),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1051),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1049),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1043),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1103),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1116),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1126),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1131),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1140),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1137),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1139),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1135),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1143),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1092),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(975),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1244),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1101),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1011),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1300),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1012),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1153),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1016),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1077),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(978),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(991),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1307),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1298),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1154),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1258),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1275),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1037),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1001),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1158),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1231),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1159),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1160),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1234),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1162),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1163),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1167),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(974),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1168),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1267),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1144),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1169),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1170),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1171),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1172),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1161),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1018),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1175),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1174),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1164),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1165),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(985),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1284),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1145),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1261),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1177),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1146),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(989),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1152),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1176),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(935),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1149),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1289),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(934),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(934),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1239),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(935),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1156),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1148),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(993),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(994),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(995),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(998),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(999),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1000),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1268),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(982),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1223),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1030),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1004),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1264),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1242),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1005),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1270),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(981),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1003),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1271),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1288),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1024),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1256),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1291),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1020),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1259),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1292),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1147),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1166),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1002),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1303),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(997),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(980),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1301),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(996),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(979),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(992),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1031),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(988),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1064),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1250),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(977),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1022),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(935),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(934),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1007),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(987),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1026),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1027),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(984),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1006),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1028),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1184),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1034),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1032),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1273),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1036),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1220),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1023),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1038),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1218),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1019),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1216),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1029),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1033),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1290),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1035),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(619),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(619),
    [sym_scoped_property_access_expression] = STATE(619),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(599),
    [sym_scoped_call_expression] = STATE(599),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(599),
    [sym_nullsafe_member_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(599),
    [sym_variable_name] = STATE(599),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [anon_sym_AT] = ACTIONS(635),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(641),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(643),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [aux_sym_require_expression_token1] = ACTIONS(651),
    [aux_sym_require_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1296),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1265),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1277),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1310),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1306),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym_match_expression] = STATE(1109),
    [sym__expression] = STATE(1065),
    [sym__unary_expression] = STATE(1084),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1109),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(1109),
    [sym_reference_assignment_expression] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_augmented_assignment_expression] = STATE(1109),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2651),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(1109),
    [sym_binary_expression] = STATE(1109),
    [sym_include_expression] = STATE(1109),
    [sym_include_once_expression] = STATE(1109),
    [sym_require_expression] = STATE(1109),
    [sym_require_once_expression] = STATE(1109),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_match_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(286),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(298),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_yield_expression_token1] = ACTIONS(318),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(326),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1200),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1198),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(604),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(604),
    [sym_nullsafe_member_access_expression] = STATE(604),
    [sym_scoped_property_access_expression] = STATE(604),
    [sym_list_literal] = STATE(2540),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(587),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(597),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(613),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [aux_sym_require_expression_token1] = ACTIONS(621),
    [aux_sym_require_once_expression_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1235),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym_match_expression] = STATE(955),
    [sym__expression] = STATE(1233),
    [sym__unary_expression] = STATE(954),
    [sym_unary_op_expression] = STATE(953),
    [sym_error_suppression_expression] = STATE(955),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(638),
    [sym_assignment_expression] = STATE(955),
    [sym_reference_assignment_expression] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_augmented_assignment_expression] = STATE(955),
    [sym_member_access_expression] = STATE(638),
    [sym_nullsafe_member_access_expression] = STATE(638),
    [sym_scoped_property_access_expression] = STATE(638),
    [sym_list_literal] = STATE(2566),
    [sym__list_destructing] = STATE(2281),
    [sym__array_destructing] = STATE(2281),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_yield_expression] = STATE(955),
    [sym_binary_expression] = STATE(955),
    [sym_include_expression] = STATE(955),
    [sym_include_once_expression] = STATE(955),
    [sym_require_expression] = STATE(955),
    [sym_require_once_expression] = STATE(955),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [aux_sym__list_destructing_token1] = ACTIONS(296),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_catch_clause] = STATE(431),
    [sym_finally_clause] = STATE(431),
    [aux_sym_try_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(971),
    [sym_name] = ACTIONS(973),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(973),
    [aux_sym_global_declaration_token1] = ACTIONS(973),
    [aux_sym_namespace_definition_token1] = ACTIONS(973),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(973),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(973),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(973),
    [anon_sym_BSLASH] = ACTIONS(971),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [aux_sym_trait_declaration_token1] = ACTIONS(973),
    [aux_sym_interface_declaration_token1] = ACTIONS(973),
    [aux_sym_enum_declaration_token1] = ACTIONS(973),
    [aux_sym_enum_case_token1] = ACTIONS(973),
    [aux_sym_class_declaration_token1] = ACTIONS(973),
    [aux_sym_final_modifier_token1] = ACTIONS(973),
    [aux_sym_abstract_modifier_token1] = ACTIONS(973),
    [aux_sym_readonly_modifier_token1] = ACTIONS(973),
    [aux_sym_visibility_modifier_token1] = ACTIONS(973),
    [aux_sym_visibility_modifier_token2] = ACTIONS(973),
    [aux_sym_visibility_modifier_token3] = ACTIONS(973),
    [aux_sym__arrow_function_header_token1] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(971),
    [aux_sym_cast_type_token1] = ACTIONS(973),
    [aux_sym_echo_statement_token1] = ACTIONS(973),
    [anon_sym_unset] = ACTIONS(973),
    [aux_sym_declare_statement_token1] = ACTIONS(973),
    [aux_sym_declare_statement_token2] = ACTIONS(973),
    [sym_float] = ACTIONS(973),
    [aux_sym_try_statement_token1] = ACTIONS(973),
    [aux_sym_catch_clause_token1] = ACTIONS(975),
    [aux_sym_finally_clause_token1] = ACTIONS(977),
    [aux_sym_goto_statement_token1] = ACTIONS(973),
    [aux_sym_continue_statement_token1] = ACTIONS(973),
    [aux_sym_break_statement_token1] = ACTIONS(973),
    [sym_integer] = ACTIONS(973),
    [aux_sym_return_statement_token1] = ACTIONS(973),
    [aux_sym_throw_expression_token1] = ACTIONS(973),
    [aux_sym_while_statement_token1] = ACTIONS(973),
    [aux_sym_while_statement_token2] = ACTIONS(973),
    [aux_sym_do_statement_token1] = ACTIONS(973),
    [aux_sym_for_statement_token1] = ACTIONS(973),
    [aux_sym_for_statement_token2] = ACTIONS(973),
    [aux_sym_foreach_statement_token1] = ACTIONS(973),
    [aux_sym_foreach_statement_token2] = ACTIONS(973),
    [aux_sym_if_statement_token1] = ACTIONS(973),
    [aux_sym_if_statement_token2] = ACTIONS(973),
    [aux_sym_else_if_clause_token1] = ACTIONS(973),
    [aux_sym_else_clause_token1] = ACTIONS(973),
    [aux_sym_match_expression_token1] = ACTIONS(973),
    [aux_sym_match_default_expression_token1] = ACTIONS(973),
    [aux_sym_switch_statement_token1] = ACTIONS(973),
    [aux_sym_switch_block_token1] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(971),
    [aux_sym_clone_expression_token1] = ACTIONS(973),
    [aux_sym_print_intrinsic_token1] = ACTIONS(973),
    [aux_sym_object_creation_expression_token1] = ACTIONS(973),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [aux_sym__list_destructing_token1] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_self] = ACTIONS(973),
    [anon_sym_parent] = ACTIONS(973),
    [aux_sym__argument_name_token1] = ACTIONS(973),
    [aux_sym__argument_name_token2] = ACTIONS(973),
    [anon_sym_POUND_LBRACK] = ACTIONS(971),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [aux_sym_encapsed_string_token1] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [aux_sym_string_token1] = ACTIONS(971),
    [anon_sym_LT_LT_LT] = ACTIONS(971),
    [anon_sym_BQUOTE] = ACTIONS(971),
    [anon_sym_DOLLAR] = ACTIONS(971),
    [aux_sym_yield_expression_token1] = ACTIONS(973),
    [aux_sym_include_expression_token1] = ACTIONS(973),
    [aux_sym_include_once_expression_token1] = ACTIONS(973),
    [aux_sym_require_expression_token1] = ACTIONS(973),
    [aux_sym_require_once_expression_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_catch_clause] = STATE(431),
    [sym_finally_clause] = STATE(431),
    [aux_sym_try_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(979),
    [sym_name] = ACTIONS(981),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(981),
    [aux_sym_global_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_definition_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(981),
    [anon_sym_BSLASH] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [aux_sym_trait_declaration_token1] = ACTIONS(981),
    [aux_sym_interface_declaration_token1] = ACTIONS(981),
    [aux_sym_enum_declaration_token1] = ACTIONS(981),
    [aux_sym_enum_case_token1] = ACTIONS(981),
    [aux_sym_class_declaration_token1] = ACTIONS(981),
    [aux_sym_final_modifier_token1] = ACTIONS(981),
    [aux_sym_abstract_modifier_token1] = ACTIONS(981),
    [aux_sym_readonly_modifier_token1] = ACTIONS(981),
    [aux_sym_visibility_modifier_token1] = ACTIONS(981),
    [aux_sym_visibility_modifier_token2] = ACTIONS(981),
    [aux_sym_visibility_modifier_token3] = ACTIONS(981),
    [aux_sym__arrow_function_header_token1] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(979),
    [aux_sym_cast_type_token1] = ACTIONS(981),
    [aux_sym_echo_statement_token1] = ACTIONS(981),
    [anon_sym_unset] = ACTIONS(981),
    [aux_sym_declare_statement_token1] = ACTIONS(981),
    [aux_sym_declare_statement_token2] = ACTIONS(981),
    [sym_float] = ACTIONS(981),
    [aux_sym_try_statement_token1] = ACTIONS(981),
    [aux_sym_catch_clause_token1] = ACTIONS(983),
    [aux_sym_finally_clause_token1] = ACTIONS(986),
    [aux_sym_goto_statement_token1] = ACTIONS(981),
    [aux_sym_continue_statement_token1] = ACTIONS(981),
    [aux_sym_break_statement_token1] = ACTIONS(981),
    [sym_integer] = ACTIONS(981),
    [aux_sym_return_statement_token1] = ACTIONS(981),
    [aux_sym_throw_expression_token1] = ACTIONS(981),
    [aux_sym_while_statement_token1] = ACTIONS(981),
    [aux_sym_while_statement_token2] = ACTIONS(981),
    [aux_sym_do_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token2] = ACTIONS(981),
    [aux_sym_foreach_statement_token1] = ACTIONS(981),
    [aux_sym_foreach_statement_token2] = ACTIONS(981),
    [aux_sym_if_statement_token1] = ACTIONS(981),
    [aux_sym_if_statement_token2] = ACTIONS(981),
    [aux_sym_else_if_clause_token1] = ACTIONS(981),
    [aux_sym_else_clause_token1] = ACTIONS(981),
    [aux_sym_match_expression_token1] = ACTIONS(981),
    [aux_sym_match_default_expression_token1] = ACTIONS(981),
    [aux_sym_switch_statement_token1] = ACTIONS(981),
    [aux_sym_switch_block_token1] = ACTIONS(981),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(979),
    [aux_sym_clone_expression_token1] = ACTIONS(981),
    [aux_sym_print_intrinsic_token1] = ACTIONS(981),
    [aux_sym_object_creation_expression_token1] = ACTIONS(981),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [aux_sym__list_destructing_token1] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_self] = ACTIONS(981),
    [anon_sym_parent] = ACTIONS(981),
    [aux_sym__argument_name_token1] = ACTIONS(981),
    [aux_sym__argument_name_token2] = ACTIONS(981),
    [anon_sym_POUND_LBRACK] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [aux_sym_encapsed_string_token1] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [aux_sym_string_token1] = ACTIONS(979),
    [anon_sym_LT_LT_LT] = ACTIONS(979),
    [anon_sym_BQUOTE] = ACTIONS(979),
    [anon_sym_DOLLAR] = ACTIONS(979),
    [aux_sym_yield_expression_token1] = ACTIONS(981),
    [aux_sym_include_expression_token1] = ACTIONS(981),
    [aux_sym_include_once_expression_token1] = ACTIONS(981),
    [aux_sym_require_expression_token1] = ACTIONS(981),
    [aux_sym_require_once_expression_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_else_if_clause] = STATE(509),
    [sym_else_clause] = STATE(508),
    [aux_sym_if_statement_repeat1] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_name] = ACTIONS(991),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(989),
    [aux_sym_function_static_declaration_token1] = ACTIONS(991),
    [aux_sym_global_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_definition_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(991),
    [anon_sym_BSLASH] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(989),
    [aux_sym_trait_declaration_token1] = ACTIONS(991),
    [aux_sym_interface_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_case_token1] = ACTIONS(991),
    [aux_sym_class_declaration_token1] = ACTIONS(991),
    [aux_sym_final_modifier_token1] = ACTIONS(991),
    [aux_sym_abstract_modifier_token1] = ACTIONS(991),
    [aux_sym_readonly_modifier_token1] = ACTIONS(991),
    [aux_sym_visibility_modifier_token1] = ACTIONS(991),
    [aux_sym_visibility_modifier_token2] = ACTIONS(991),
    [aux_sym_visibility_modifier_token3] = ACTIONS(991),
    [aux_sym__arrow_function_header_token1] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(991),
    [aux_sym_echo_statement_token1] = ACTIONS(991),
    [anon_sym_unset] = ACTIONS(991),
    [aux_sym_declare_statement_token1] = ACTIONS(991),
    [aux_sym_declare_statement_token2] = ACTIONS(991),
    [sym_float] = ACTIONS(991),
    [aux_sym_try_statement_token1] = ACTIONS(991),
    [aux_sym_goto_statement_token1] = ACTIONS(991),
    [aux_sym_continue_statement_token1] = ACTIONS(991),
    [aux_sym_break_statement_token1] = ACTIONS(991),
    [sym_integer] = ACTIONS(991),
    [aux_sym_return_statement_token1] = ACTIONS(991),
    [aux_sym_throw_expression_token1] = ACTIONS(991),
    [aux_sym_while_statement_token1] = ACTIONS(991),
    [aux_sym_while_statement_token2] = ACTIONS(991),
    [aux_sym_do_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token2] = ACTIONS(991),
    [aux_sym_foreach_statement_token1] = ACTIONS(991),
    [aux_sym_foreach_statement_token2] = ACTIONS(991),
    [aux_sym_if_statement_token1] = ACTIONS(991),
    [aux_sym_if_statement_token2] = ACTIONS(991),
    [aux_sym_else_if_clause_token1] = ACTIONS(993),
    [aux_sym_else_clause_token1] = ACTIONS(996),
    [aux_sym_match_expression_token1] = ACTIONS(991),
    [aux_sym_match_default_expression_token1] = ACTIONS(991),
    [aux_sym_switch_statement_token1] = ACTIONS(991),
    [aux_sym_switch_block_token1] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(989),
    [aux_sym_clone_expression_token1] = ACTIONS(991),
    [aux_sym_print_intrinsic_token1] = ACTIONS(991),
    [aux_sym_object_creation_expression_token1] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [aux_sym__list_destructing_token1] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_self] = ACTIONS(991),
    [anon_sym_parent] = ACTIONS(991),
    [aux_sym__argument_name_token1] = ACTIONS(991),
    [aux_sym__argument_name_token2] = ACTIONS(991),
    [anon_sym_POUND_LBRACK] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [aux_sym_encapsed_string_token1] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [aux_sym_string_token1] = ACTIONS(989),
    [anon_sym_LT_LT_LT] = ACTIONS(989),
    [anon_sym_BQUOTE] = ACTIONS(989),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [aux_sym_yield_expression_token1] = ACTIONS(991),
    [aux_sym_include_expression_token1] = ACTIONS(991),
    [aux_sym_include_once_expression_token1] = ACTIONS(991),
    [aux_sym_require_expression_token1] = ACTIONS(991),
    [aux_sym_require_once_expression_token1] = ACTIONS(991),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_else_if_clause] = STATE(509),
    [sym_else_clause] = STATE(544),
    [aux_sym_if_statement_repeat1] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_name] = ACTIONS(1001),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1001),
    [aux_sym_global_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_definition_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1001),
    [anon_sym_BSLASH] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [aux_sym_trait_declaration_token1] = ACTIONS(1001),
    [aux_sym_interface_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_case_token1] = ACTIONS(1001),
    [aux_sym_class_declaration_token1] = ACTIONS(1001),
    [aux_sym_final_modifier_token1] = ACTIONS(1001),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1001),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1001),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [aux_sym_cast_type_token1] = ACTIONS(1001),
    [aux_sym_echo_statement_token1] = ACTIONS(1001),
    [anon_sym_unset] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [aux_sym_declare_statement_token2] = ACTIONS(1001),
    [sym_float] = ACTIONS(1001),
    [aux_sym_try_statement_token1] = ACTIONS(1001),
    [aux_sym_goto_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1001),
    [aux_sym_return_statement_token1] = ACTIONS(1001),
    [aux_sym_throw_expression_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token2] = ACTIONS(1001),
    [aux_sym_do_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token2] = ACTIONS(1001),
    [aux_sym_foreach_statement_token1] = ACTIONS(1001),
    [aux_sym_foreach_statement_token2] = ACTIONS(1001),
    [aux_sym_if_statement_token1] = ACTIONS(1001),
    [aux_sym_if_statement_token2] = ACTIONS(1001),
    [aux_sym_else_if_clause_token1] = ACTIONS(1003),
    [aux_sym_else_clause_token1] = ACTIONS(1006),
    [aux_sym_match_expression_token1] = ACTIONS(1001),
    [aux_sym_match_default_expression_token1] = ACTIONS(1001),
    [aux_sym_switch_statement_token1] = ACTIONS(1001),
    [aux_sym_switch_block_token1] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(999),
    [aux_sym_clone_expression_token1] = ACTIONS(1001),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1001),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [aux_sym__list_destructing_token1] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_self] = ACTIONS(1001),
    [anon_sym_parent] = ACTIONS(1001),
    [aux_sym__argument_name_token1] = ACTIONS(1001),
    [aux_sym__argument_name_token2] = ACTIONS(1001),
    [anon_sym_POUND_LBRACK] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(999),
    [aux_sym_encapsed_string_token1] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_string_token1] = ACTIONS(999),
    [anon_sym_LT_LT_LT] = ACTIONS(999),
    [anon_sym_BQUOTE] = ACTIONS(999),
    [anon_sym_DOLLAR] = ACTIONS(999),
    [aux_sym_yield_expression_token1] = ACTIONS(1001),
    [aux_sym_include_expression_token1] = ACTIONS(1001),
    [aux_sym_include_once_expression_token1] = ACTIONS(1001),
    [aux_sym_require_expression_token1] = ACTIONS(1001),
    [aux_sym_require_once_expression_token1] = ACTIONS(1001),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_else_if_clause] = STATE(509),
    [sym_else_clause] = STATE(544),
    [aux_sym_if_statement_repeat1] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_name] = ACTIONS(1001),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1001),
    [aux_sym_global_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_definition_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1001),
    [anon_sym_BSLASH] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [aux_sym_trait_declaration_token1] = ACTIONS(1001),
    [aux_sym_interface_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_case_token1] = ACTIONS(1001),
    [aux_sym_class_declaration_token1] = ACTIONS(1001),
    [aux_sym_final_modifier_token1] = ACTIONS(1001),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1001),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1001),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [aux_sym_cast_type_token1] = ACTIONS(1001),
    [aux_sym_echo_statement_token1] = ACTIONS(1001),
    [anon_sym_unset] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [aux_sym_declare_statement_token2] = ACTIONS(1001),
    [sym_float] = ACTIONS(1001),
    [aux_sym_try_statement_token1] = ACTIONS(1001),
    [aux_sym_goto_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1001),
    [aux_sym_return_statement_token1] = ACTIONS(1001),
    [aux_sym_throw_expression_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token2] = ACTIONS(1001),
    [aux_sym_do_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token2] = ACTIONS(1001),
    [aux_sym_foreach_statement_token1] = ACTIONS(1001),
    [aux_sym_foreach_statement_token2] = ACTIONS(1001),
    [aux_sym_if_statement_token1] = ACTIONS(1001),
    [aux_sym_if_statement_token2] = ACTIONS(1001),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1011),
    [aux_sym_match_expression_token1] = ACTIONS(1001),
    [aux_sym_match_default_expression_token1] = ACTIONS(1001),
    [aux_sym_switch_statement_token1] = ACTIONS(1001),
    [aux_sym_switch_block_token1] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(999),
    [aux_sym_clone_expression_token1] = ACTIONS(1001),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1001),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [aux_sym__list_destructing_token1] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_self] = ACTIONS(1001),
    [anon_sym_parent] = ACTIONS(1001),
    [aux_sym__argument_name_token1] = ACTIONS(1001),
    [aux_sym__argument_name_token2] = ACTIONS(1001),
    [anon_sym_POUND_LBRACK] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(999),
    [aux_sym_encapsed_string_token1] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_string_token1] = ACTIONS(999),
    [anon_sym_LT_LT_LT] = ACTIONS(999),
    [anon_sym_BQUOTE] = ACTIONS(999),
    [anon_sym_DOLLAR] = ACTIONS(999),
    [aux_sym_yield_expression_token1] = ACTIONS(1001),
    [aux_sym_include_expression_token1] = ACTIONS(1001),
    [aux_sym_include_once_expression_token1] = ACTIONS(1001),
    [aux_sym_require_expression_token1] = ACTIONS(1001),
    [aux_sym_require_once_expression_token1] = ACTIONS(1001),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_else_if_clause] = STATE(509),
    [sym_else_clause] = STATE(508),
    [aux_sym_if_statement_repeat1] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_name] = ACTIONS(991),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(989),
    [aux_sym_function_static_declaration_token1] = ACTIONS(991),
    [aux_sym_global_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_definition_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(991),
    [anon_sym_BSLASH] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(989),
    [aux_sym_trait_declaration_token1] = ACTIONS(991),
    [aux_sym_interface_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_case_token1] = ACTIONS(991),
    [aux_sym_class_declaration_token1] = ACTIONS(991),
    [aux_sym_final_modifier_token1] = ACTIONS(991),
    [aux_sym_abstract_modifier_token1] = ACTIONS(991),
    [aux_sym_readonly_modifier_token1] = ACTIONS(991),
    [aux_sym_visibility_modifier_token1] = ACTIONS(991),
    [aux_sym_visibility_modifier_token2] = ACTIONS(991),
    [aux_sym_visibility_modifier_token3] = ACTIONS(991),
    [aux_sym__arrow_function_header_token1] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(991),
    [aux_sym_echo_statement_token1] = ACTIONS(991),
    [anon_sym_unset] = ACTIONS(991),
    [aux_sym_declare_statement_token1] = ACTIONS(991),
    [aux_sym_declare_statement_token2] = ACTIONS(991),
    [sym_float] = ACTIONS(991),
    [aux_sym_try_statement_token1] = ACTIONS(991),
    [aux_sym_goto_statement_token1] = ACTIONS(991),
    [aux_sym_continue_statement_token1] = ACTIONS(991),
    [aux_sym_break_statement_token1] = ACTIONS(991),
    [sym_integer] = ACTIONS(991),
    [aux_sym_return_statement_token1] = ACTIONS(991),
    [aux_sym_throw_expression_token1] = ACTIONS(991),
    [aux_sym_while_statement_token1] = ACTIONS(991),
    [aux_sym_while_statement_token2] = ACTIONS(991),
    [aux_sym_do_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token2] = ACTIONS(991),
    [aux_sym_foreach_statement_token1] = ACTIONS(991),
    [aux_sym_foreach_statement_token2] = ACTIONS(991),
    [aux_sym_if_statement_token1] = ACTIONS(991),
    [aux_sym_if_statement_token2] = ACTIONS(991),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1011),
    [aux_sym_match_expression_token1] = ACTIONS(991),
    [aux_sym_match_default_expression_token1] = ACTIONS(991),
    [aux_sym_switch_statement_token1] = ACTIONS(991),
    [aux_sym_switch_block_token1] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(989),
    [aux_sym_clone_expression_token1] = ACTIONS(991),
    [aux_sym_print_intrinsic_token1] = ACTIONS(991),
    [aux_sym_object_creation_expression_token1] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [aux_sym__list_destructing_token1] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_self] = ACTIONS(991),
    [anon_sym_parent] = ACTIONS(991),
    [aux_sym__argument_name_token1] = ACTIONS(991),
    [aux_sym__argument_name_token2] = ACTIONS(991),
    [anon_sym_POUND_LBRACK] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [aux_sym_encapsed_string_token1] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [aux_sym_string_token1] = ACTIONS(989),
    [anon_sym_LT_LT_LT] = ACTIONS(989),
    [anon_sym_BQUOTE] = ACTIONS(989),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [aux_sym_yield_expression_token1] = ACTIONS(991),
    [aux_sym_include_expression_token1] = ACTIONS(991),
    [aux_sym_include_once_expression_token1] = ACTIONS(991),
    [aux_sym_require_expression_token1] = ACTIONS(991),
    [aux_sym_require_once_expression_token1] = ACTIONS(991),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_else_if_clause] = STATE(509),
    [aux_sym_if_statement_repeat1] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_name] = ACTIONS(1015),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1015),
    [aux_sym_global_declaration_token1] = ACTIONS(1015),
    [aux_sym_namespace_definition_token1] = ACTIONS(1015),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1015),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1015),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [aux_sym_trait_declaration_token1] = ACTIONS(1015),
    [aux_sym_interface_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_case_token1] = ACTIONS(1015),
    [aux_sym_class_declaration_token1] = ACTIONS(1015),
    [aux_sym_final_modifier_token1] = ACTIONS(1015),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1015),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1015),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1015),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [aux_sym_cast_type_token1] = ACTIONS(1015),
    [aux_sym_echo_statement_token1] = ACTIONS(1015),
    [anon_sym_unset] = ACTIONS(1015),
    [aux_sym_declare_statement_token1] = ACTIONS(1015),
    [aux_sym_declare_statement_token2] = ACTIONS(1015),
    [sym_float] = ACTIONS(1015),
    [aux_sym_try_statement_token1] = ACTIONS(1015),
    [aux_sym_goto_statement_token1] = ACTIONS(1015),
    [aux_sym_continue_statement_token1] = ACTIONS(1015),
    [aux_sym_break_statement_token1] = ACTIONS(1015),
    [sym_integer] = ACTIONS(1015),
    [aux_sym_return_statement_token1] = ACTIONS(1015),
    [aux_sym_throw_expression_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token2] = ACTIONS(1015),
    [aux_sym_do_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token2] = ACTIONS(1015),
    [aux_sym_foreach_statement_token1] = ACTIONS(1015),
    [aux_sym_foreach_statement_token2] = ACTIONS(1015),
    [aux_sym_if_statement_token1] = ACTIONS(1015),
    [aux_sym_if_statement_token2] = ACTIONS(1015),
    [aux_sym_else_if_clause_token1] = ACTIONS(1017),
    [aux_sym_else_clause_token1] = ACTIONS(1015),
    [aux_sym_match_expression_token1] = ACTIONS(1015),
    [aux_sym_match_default_expression_token1] = ACTIONS(1015),
    [aux_sym_switch_statement_token1] = ACTIONS(1015),
    [aux_sym_switch_block_token1] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1013),
    [aux_sym_clone_expression_token1] = ACTIONS(1015),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1015),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1013),
    [aux_sym__list_destructing_token1] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_self] = ACTIONS(1015),
    [anon_sym_parent] = ACTIONS(1015),
    [aux_sym__argument_name_token1] = ACTIONS(1015),
    [aux_sym__argument_name_token2] = ACTIONS(1015),
    [anon_sym_POUND_LBRACK] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [aux_sym_encapsed_string_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_string_token1] = ACTIONS(1013),
    [anon_sym_LT_LT_LT] = ACTIONS(1013),
    [anon_sym_BQUOTE] = ACTIONS(1013),
    [anon_sym_DOLLAR] = ACTIONS(1013),
    [aux_sym_yield_expression_token1] = ACTIONS(1015),
    [aux_sym_include_expression_token1] = ACTIONS(1015),
    [aux_sym_include_once_expression_token1] = ACTIONS(1015),
    [aux_sym_require_expression_token1] = ACTIONS(1015),
    [aux_sym_require_once_expression_token1] = ACTIONS(1015),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym_name] = ACTIONS(1022),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1020),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1022),
    [aux_sym_global_declaration_token1] = ACTIONS(1022),
    [aux_sym_namespace_definition_token1] = ACTIONS(1022),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1022),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1022),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1022),
    [anon_sym_BSLASH] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [aux_sym_trait_declaration_token1] = ACTIONS(1022),
    [aux_sym_interface_declaration_token1] = ACTIONS(1022),
    [aux_sym_enum_declaration_token1] = ACTIONS(1022),
    [aux_sym_enum_case_token1] = ACTIONS(1022),
    [aux_sym_class_declaration_token1] = ACTIONS(1022),
    [aux_sym_final_modifier_token1] = ACTIONS(1022),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1022),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1022),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1022),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1022),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1022),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [aux_sym_cast_type_token1] = ACTIONS(1022),
    [aux_sym_echo_statement_token1] = ACTIONS(1022),
    [anon_sym_unset] = ACTIONS(1022),
    [aux_sym_declare_statement_token1] = ACTIONS(1022),
    [aux_sym_declare_statement_token2] = ACTIONS(1022),
    [sym_float] = ACTIONS(1022),
    [aux_sym_try_statement_token1] = ACTIONS(1022),
    [aux_sym_catch_clause_token1] = ACTIONS(1022),
    [aux_sym_finally_clause_token1] = ACTIONS(1022),
    [aux_sym_goto_statement_token1] = ACTIONS(1022),
    [aux_sym_continue_statement_token1] = ACTIONS(1022),
    [aux_sym_break_statement_token1] = ACTIONS(1022),
    [sym_integer] = ACTIONS(1022),
    [aux_sym_return_statement_token1] = ACTIONS(1022),
    [aux_sym_throw_expression_token1] = ACTIONS(1022),
    [aux_sym_while_statement_token1] = ACTIONS(1022),
    [aux_sym_while_statement_token2] = ACTIONS(1022),
    [aux_sym_do_statement_token1] = ACTIONS(1022),
    [aux_sym_for_statement_token1] = ACTIONS(1022),
    [aux_sym_for_statement_token2] = ACTIONS(1022),
    [aux_sym_foreach_statement_token1] = ACTIONS(1022),
    [aux_sym_foreach_statement_token2] = ACTIONS(1022),
    [aux_sym_if_statement_token1] = ACTIONS(1022),
    [aux_sym_if_statement_token2] = ACTIONS(1022),
    [aux_sym_else_if_clause_token1] = ACTIONS(1022),
    [aux_sym_else_clause_token1] = ACTIONS(1022),
    [aux_sym_match_expression_token1] = ACTIONS(1022),
    [aux_sym_match_default_expression_token1] = ACTIONS(1022),
    [aux_sym_switch_statement_token1] = ACTIONS(1022),
    [aux_sym_switch_block_token1] = ACTIONS(1022),
    [anon_sym_PLUS] = ACTIONS(1022),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1020),
    [aux_sym_clone_expression_token1] = ACTIONS(1022),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1022),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1022),
    [anon_sym_DASH_DASH] = ACTIONS(1020),
    [anon_sym_PLUS_PLUS] = ACTIONS(1020),
    [aux_sym__list_destructing_token1] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_self] = ACTIONS(1022),
    [anon_sym_parent] = ACTIONS(1022),
    [aux_sym__argument_name_token1] = ACTIONS(1022),
    [aux_sym__argument_name_token2] = ACTIONS(1022),
    [anon_sym_POUND_LBRACK] = ACTIONS(1020),
    [anon_sym_SQUOTE] = ACTIONS(1020),
    [aux_sym_encapsed_string_token1] = ACTIONS(1020),
    [anon_sym_DQUOTE] = ACTIONS(1020),
    [aux_sym_string_token1] = ACTIONS(1020),
    [anon_sym_LT_LT_LT] = ACTIONS(1020),
    [anon_sym_BQUOTE] = ACTIONS(1020),
    [anon_sym_DOLLAR] = ACTIONS(1020),
    [aux_sym_yield_expression_token1] = ACTIONS(1022),
    [aux_sym_include_expression_token1] = ACTIONS(1022),
    [aux_sym_include_once_expression_token1] = ACTIONS(1022),
    [aux_sym_require_expression_token1] = ACTIONS(1022),
    [aux_sym_require_once_expression_token1] = ACTIONS(1022),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(1024),
    [sym_name] = ACTIONS(1026),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1024),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1026),
    [aux_sym_global_declaration_token1] = ACTIONS(1026),
    [aux_sym_namespace_definition_token1] = ACTIONS(1026),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1026),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1026),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1026),
    [anon_sym_BSLASH] = ACTIONS(1024),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [aux_sym_trait_declaration_token1] = ACTIONS(1026),
    [aux_sym_interface_declaration_token1] = ACTIONS(1026),
    [aux_sym_enum_declaration_token1] = ACTIONS(1026),
    [aux_sym_enum_case_token1] = ACTIONS(1026),
    [aux_sym_class_declaration_token1] = ACTIONS(1026),
    [aux_sym_final_modifier_token1] = ACTIONS(1026),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1026),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1026),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1026),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1026),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1026),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1026),
    [anon_sym_LPAREN] = ACTIONS(1024),
    [aux_sym_cast_type_token1] = ACTIONS(1026),
    [aux_sym_echo_statement_token1] = ACTIONS(1026),
    [anon_sym_unset] = ACTIONS(1026),
    [aux_sym_declare_statement_token1] = ACTIONS(1026),
    [aux_sym_declare_statement_token2] = ACTIONS(1026),
    [sym_float] = ACTIONS(1026),
    [aux_sym_try_statement_token1] = ACTIONS(1026),
    [aux_sym_catch_clause_token1] = ACTIONS(1026),
    [aux_sym_finally_clause_token1] = ACTIONS(1026),
    [aux_sym_goto_statement_token1] = ACTIONS(1026),
    [aux_sym_continue_statement_token1] = ACTIONS(1026),
    [aux_sym_break_statement_token1] = ACTIONS(1026),
    [sym_integer] = ACTIONS(1026),
    [aux_sym_return_statement_token1] = ACTIONS(1026),
    [aux_sym_throw_expression_token1] = ACTIONS(1026),
    [aux_sym_while_statement_token1] = ACTIONS(1026),
    [aux_sym_while_statement_token2] = ACTIONS(1026),
    [aux_sym_do_statement_token1] = ACTIONS(1026),
    [aux_sym_for_statement_token1] = ACTIONS(1026),
    [aux_sym_for_statement_token2] = ACTIONS(1026),
    [aux_sym_foreach_statement_token1] = ACTIONS(1026),
    [aux_sym_foreach_statement_token2] = ACTIONS(1026),
    [aux_sym_if_statement_token1] = ACTIONS(1026),
    [aux_sym_if_statement_token2] = ACTIONS(1026),
    [aux_sym_else_if_clause_token1] = ACTIONS(1026),
    [aux_sym_else_clause_token1] = ACTIONS(1026),
    [aux_sym_match_expression_token1] = ACTIONS(1026),
    [aux_sym_match_default_expression_token1] = ACTIONS(1026),
    [aux_sym_switch_statement_token1] = ACTIONS(1026),
    [aux_sym_switch_block_token1] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1026),
    [anon_sym_DASH] = ACTIONS(1026),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_AT] = ACTIONS(1024),
    [aux_sym_clone_expression_token1] = ACTIONS(1026),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1026),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1026),
    [anon_sym_DASH_DASH] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1024),
    [aux_sym__list_destructing_token1] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(1024),
    [anon_sym_self] = ACTIONS(1026),
    [anon_sym_parent] = ACTIONS(1026),
    [aux_sym__argument_name_token1] = ACTIONS(1026),
    [aux_sym__argument_name_token2] = ACTIONS(1026),
    [anon_sym_POUND_LBRACK] = ACTIONS(1024),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [aux_sym_encapsed_string_token1] = ACTIONS(1024),
    [anon_sym_DQUOTE] = ACTIONS(1024),
    [aux_sym_string_token1] = ACTIONS(1024),
    [anon_sym_LT_LT_LT] = ACTIONS(1024),
    [anon_sym_BQUOTE] = ACTIONS(1024),
    [anon_sym_DOLLAR] = ACTIONS(1024),
    [aux_sym_yield_expression_token1] = ACTIONS(1026),
    [aux_sym_include_expression_token1] = ACTIONS(1026),
    [aux_sym_include_once_expression_token1] = ACTIONS(1026),
    [aux_sym_require_expression_token1] = ACTIONS(1026),
    [aux_sym_require_once_expression_token1] = ACTIONS(1026),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(1028),
    [sym_name] = ACTIONS(1030),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1028),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1030),
    [aux_sym_global_declaration_token1] = ACTIONS(1030),
    [aux_sym_namespace_definition_token1] = ACTIONS(1030),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1030),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1030),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1030),
    [anon_sym_BSLASH] = ACTIONS(1028),
    [anon_sym_LBRACE] = ACTIONS(1028),
    [anon_sym_RBRACE] = ACTIONS(1028),
    [aux_sym_trait_declaration_token1] = ACTIONS(1030),
    [aux_sym_interface_declaration_token1] = ACTIONS(1030),
    [aux_sym_enum_declaration_token1] = ACTIONS(1030),
    [aux_sym_enum_case_token1] = ACTIONS(1030),
    [aux_sym_class_declaration_token1] = ACTIONS(1030),
    [aux_sym_final_modifier_token1] = ACTIONS(1030),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1030),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1030),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1030),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1030),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1030),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1028),
    [aux_sym_cast_type_token1] = ACTIONS(1030),
    [aux_sym_echo_statement_token1] = ACTIONS(1030),
    [anon_sym_unset] = ACTIONS(1030),
    [aux_sym_declare_statement_token1] = ACTIONS(1030),
    [aux_sym_declare_statement_token2] = ACTIONS(1030),
    [sym_float] = ACTIONS(1030),
    [aux_sym_try_statement_token1] = ACTIONS(1030),
    [aux_sym_catch_clause_token1] = ACTIONS(1030),
    [aux_sym_finally_clause_token1] = ACTIONS(1030),
    [aux_sym_goto_statement_token1] = ACTIONS(1030),
    [aux_sym_continue_statement_token1] = ACTIONS(1030),
    [aux_sym_break_statement_token1] = ACTIONS(1030),
    [sym_integer] = ACTIONS(1030),
    [aux_sym_return_statement_token1] = ACTIONS(1030),
    [aux_sym_throw_expression_token1] = ACTIONS(1030),
    [aux_sym_while_statement_token1] = ACTIONS(1030),
    [aux_sym_while_statement_token2] = ACTIONS(1030),
    [aux_sym_do_statement_token1] = ACTIONS(1030),
    [aux_sym_for_statement_token1] = ACTIONS(1030),
    [aux_sym_for_statement_token2] = ACTIONS(1030),
    [aux_sym_foreach_statement_token1] = ACTIONS(1030),
    [aux_sym_foreach_statement_token2] = ACTIONS(1030),
    [aux_sym_if_statement_token1] = ACTIONS(1030),
    [aux_sym_if_statement_token2] = ACTIONS(1030),
    [aux_sym_else_if_clause_token1] = ACTIONS(1030),
    [aux_sym_else_clause_token1] = ACTIONS(1030),
    [aux_sym_match_expression_token1] = ACTIONS(1030),
    [aux_sym_match_default_expression_token1] = ACTIONS(1030),
    [aux_sym_switch_statement_token1] = ACTIONS(1030),
    [aux_sym_switch_block_token1] = ACTIONS(1030),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_AT] = ACTIONS(1028),
    [aux_sym_clone_expression_token1] = ACTIONS(1030),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1030),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1030),
    [anon_sym_DASH_DASH] = ACTIONS(1028),
    [anon_sym_PLUS_PLUS] = ACTIONS(1028),
    [aux_sym__list_destructing_token1] = ACTIONS(1030),
    [anon_sym_LBRACK] = ACTIONS(1028),
    [anon_sym_self] = ACTIONS(1030),
    [anon_sym_parent] = ACTIONS(1030),
    [aux_sym__argument_name_token1] = ACTIONS(1030),
    [aux_sym__argument_name_token2] = ACTIONS(1030),
    [anon_sym_POUND_LBRACK] = ACTIONS(1028),
    [anon_sym_SQUOTE] = ACTIONS(1028),
    [aux_sym_encapsed_string_token1] = ACTIONS(1028),
    [anon_sym_DQUOTE] = ACTIONS(1028),
    [aux_sym_string_token1] = ACTIONS(1028),
    [anon_sym_LT_LT_LT] = ACTIONS(1028),
    [anon_sym_BQUOTE] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1028),
    [aux_sym_yield_expression_token1] = ACTIONS(1030),
    [aux_sym_include_expression_token1] = ACTIONS(1030),
    [aux_sym_include_once_expression_token1] = ACTIONS(1030),
    [aux_sym_require_expression_token1] = ACTIONS(1030),
    [aux_sym_require_once_expression_token1] = ACTIONS(1030),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym_name] = ACTIONS(1034),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1032),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1034),
    [aux_sym_global_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_definition_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1034),
    [anon_sym_BSLASH] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1032),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [aux_sym_trait_declaration_token1] = ACTIONS(1034),
    [aux_sym_interface_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_case_token1] = ACTIONS(1034),
    [aux_sym_class_declaration_token1] = ACTIONS(1034),
    [aux_sym_final_modifier_token1] = ACTIONS(1034),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1034),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1034),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1032),
    [aux_sym_cast_type_token1] = ACTIONS(1034),
    [aux_sym_echo_statement_token1] = ACTIONS(1034),
    [anon_sym_unset] = ACTIONS(1034),
    [aux_sym_declare_statement_token1] = ACTIONS(1034),
    [aux_sym_declare_statement_token2] = ACTIONS(1034),
    [sym_float] = ACTIONS(1034),
    [aux_sym_try_statement_token1] = ACTIONS(1034),
    [aux_sym_catch_clause_token1] = ACTIONS(1034),
    [aux_sym_finally_clause_token1] = ACTIONS(1034),
    [aux_sym_goto_statement_token1] = ACTIONS(1034),
    [aux_sym_continue_statement_token1] = ACTIONS(1034),
    [aux_sym_break_statement_token1] = ACTIONS(1034),
    [sym_integer] = ACTIONS(1034),
    [aux_sym_return_statement_token1] = ACTIONS(1034),
    [aux_sym_throw_expression_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token2] = ACTIONS(1034),
    [aux_sym_do_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token2] = ACTIONS(1034),
    [aux_sym_foreach_statement_token1] = ACTIONS(1034),
    [aux_sym_foreach_statement_token2] = ACTIONS(1034),
    [aux_sym_if_statement_token1] = ACTIONS(1034),
    [aux_sym_if_statement_token2] = ACTIONS(1034),
    [aux_sym_else_if_clause_token1] = ACTIONS(1034),
    [aux_sym_else_clause_token1] = ACTIONS(1034),
    [aux_sym_match_expression_token1] = ACTIONS(1034),
    [aux_sym_match_default_expression_token1] = ACTIONS(1034),
    [aux_sym_switch_statement_token1] = ACTIONS(1034),
    [aux_sym_switch_block_token1] = ACTIONS(1034),
    [anon_sym_PLUS] = ACTIONS(1034),
    [anon_sym_DASH] = ACTIONS(1034),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1032),
    [aux_sym_clone_expression_token1] = ACTIONS(1034),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1034),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [aux_sym__list_destructing_token1] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(1032),
    [anon_sym_self] = ACTIONS(1034),
    [anon_sym_parent] = ACTIONS(1034),
    [aux_sym__argument_name_token1] = ACTIONS(1034),
    [aux_sym__argument_name_token2] = ACTIONS(1034),
    [anon_sym_POUND_LBRACK] = ACTIONS(1032),
    [anon_sym_SQUOTE] = ACTIONS(1032),
    [aux_sym_encapsed_string_token1] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(1032),
    [aux_sym_string_token1] = ACTIONS(1032),
    [anon_sym_LT_LT_LT] = ACTIONS(1032),
    [anon_sym_BQUOTE] = ACTIONS(1032),
    [anon_sym_DOLLAR] = ACTIONS(1032),
    [aux_sym_yield_expression_token1] = ACTIONS(1034),
    [aux_sym_include_expression_token1] = ACTIONS(1034),
    [aux_sym_include_once_expression_token1] = ACTIONS(1034),
    [aux_sym_require_expression_token1] = ACTIONS(1034),
    [aux_sym_require_once_expression_token1] = ACTIONS(1034),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym_name] = ACTIONS(1038),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1036),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1038),
    [aux_sym_global_declaration_token1] = ACTIONS(1038),
    [aux_sym_namespace_definition_token1] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1038),
    [anon_sym_BSLASH] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1036),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [aux_sym_trait_declaration_token1] = ACTIONS(1038),
    [aux_sym_interface_declaration_token1] = ACTIONS(1038),
    [aux_sym_enum_declaration_token1] = ACTIONS(1038),
    [aux_sym_enum_case_token1] = ACTIONS(1038),
    [aux_sym_class_declaration_token1] = ACTIONS(1038),
    [aux_sym_final_modifier_token1] = ACTIONS(1038),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1038),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1038),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [aux_sym_cast_type_token1] = ACTIONS(1038),
    [aux_sym_echo_statement_token1] = ACTIONS(1038),
    [anon_sym_unset] = ACTIONS(1038),
    [aux_sym_declare_statement_token1] = ACTIONS(1038),
    [aux_sym_declare_statement_token2] = ACTIONS(1038),
    [sym_float] = ACTIONS(1038),
    [aux_sym_try_statement_token1] = ACTIONS(1038),
    [aux_sym_catch_clause_token1] = ACTIONS(1038),
    [aux_sym_finally_clause_token1] = ACTIONS(1038),
    [aux_sym_goto_statement_token1] = ACTIONS(1038),
    [aux_sym_continue_statement_token1] = ACTIONS(1038),
    [aux_sym_break_statement_token1] = ACTIONS(1038),
    [sym_integer] = ACTIONS(1038),
    [aux_sym_return_statement_token1] = ACTIONS(1038),
    [aux_sym_throw_expression_token1] = ACTIONS(1038),
    [aux_sym_while_statement_token1] = ACTIONS(1038),
    [aux_sym_while_statement_token2] = ACTIONS(1038),
    [aux_sym_do_statement_token1] = ACTIONS(1038),
    [aux_sym_for_statement_token1] = ACTIONS(1038),
    [aux_sym_for_statement_token2] = ACTIONS(1038),
    [aux_sym_foreach_statement_token1] = ACTIONS(1038),
    [aux_sym_foreach_statement_token2] = ACTIONS(1038),
    [aux_sym_if_statement_token1] = ACTIONS(1038),
    [aux_sym_if_statement_token2] = ACTIONS(1038),
    [aux_sym_else_if_clause_token1] = ACTIONS(1038),
    [aux_sym_else_clause_token1] = ACTIONS(1038),
    [aux_sym_match_expression_token1] = ACTIONS(1038),
    [aux_sym_match_default_expression_token1] = ACTIONS(1038),
    [aux_sym_switch_statement_token1] = ACTIONS(1038),
    [aux_sym_switch_block_token1] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(1036),
    [aux_sym_clone_expression_token1] = ACTIONS(1038),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1038),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1036),
    [anon_sym_PLUS_PLUS] = ACTIONS(1036),
    [aux_sym__list_destructing_token1] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1036),
    [anon_sym_self] = ACTIONS(1038),
    [anon_sym_parent] = ACTIONS(1038),
    [aux_sym__argument_name_token1] = ACTIONS(1038),
    [aux_sym__argument_name_token2] = ACTIONS(1038),
    [anon_sym_POUND_LBRACK] = ACTIONS(1036),
    [anon_sym_SQUOTE] = ACTIONS(1036),
    [aux_sym_encapsed_string_token1] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [aux_sym_string_token1] = ACTIONS(1036),
    [anon_sym_LT_LT_LT] = ACTIONS(1036),
    [anon_sym_BQUOTE] = ACTIONS(1036),
    [anon_sym_DOLLAR] = ACTIONS(1036),
    [aux_sym_yield_expression_token1] = ACTIONS(1038),
    [aux_sym_include_expression_token1] = ACTIONS(1038),
    [aux_sym_include_once_expression_token1] = ACTIONS(1038),
    [aux_sym_require_expression_token1] = ACTIONS(1038),
    [aux_sym_require_once_expression_token1] = ACTIONS(1038),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_name] = ACTIONS(1042),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1042),
    [aux_sym_global_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_definition_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1042),
    [anon_sym_BSLASH] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym_trait_declaration_token1] = ACTIONS(1042),
    [aux_sym_interface_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_case_token1] = ACTIONS(1042),
    [aux_sym_class_declaration_token1] = ACTIONS(1042),
    [aux_sym_final_modifier_token1] = ACTIONS(1042),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1042),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1042),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [aux_sym_cast_type_token1] = ACTIONS(1042),
    [aux_sym_echo_statement_token1] = ACTIONS(1042),
    [anon_sym_unset] = ACTIONS(1042),
    [aux_sym_declare_statement_token1] = ACTIONS(1042),
    [aux_sym_declare_statement_token2] = ACTIONS(1042),
    [sym_float] = ACTIONS(1042),
    [aux_sym_try_statement_token1] = ACTIONS(1042),
    [aux_sym_catch_clause_token1] = ACTIONS(1042),
    [aux_sym_finally_clause_token1] = ACTIONS(1042),
    [aux_sym_goto_statement_token1] = ACTIONS(1042),
    [aux_sym_continue_statement_token1] = ACTIONS(1042),
    [aux_sym_break_statement_token1] = ACTIONS(1042),
    [sym_integer] = ACTIONS(1042),
    [aux_sym_return_statement_token1] = ACTIONS(1042),
    [aux_sym_throw_expression_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token2] = ACTIONS(1042),
    [aux_sym_do_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token2] = ACTIONS(1042),
    [aux_sym_foreach_statement_token1] = ACTIONS(1042),
    [aux_sym_foreach_statement_token2] = ACTIONS(1042),
    [aux_sym_if_statement_token1] = ACTIONS(1042),
    [aux_sym_if_statement_token2] = ACTIONS(1042),
    [aux_sym_else_if_clause_token1] = ACTIONS(1042),
    [aux_sym_else_clause_token1] = ACTIONS(1042),
    [aux_sym_match_expression_token1] = ACTIONS(1042),
    [aux_sym_match_default_expression_token1] = ACTIONS(1042),
    [aux_sym_switch_statement_token1] = ACTIONS(1042),
    [aux_sym_switch_block_token1] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [aux_sym_clone_expression_token1] = ACTIONS(1042),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1042),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [aux_sym__list_destructing_token1] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_self] = ACTIONS(1042),
    [anon_sym_parent] = ACTIONS(1042),
    [aux_sym__argument_name_token1] = ACTIONS(1042),
    [aux_sym__argument_name_token2] = ACTIONS(1042),
    [anon_sym_POUND_LBRACK] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [aux_sym_encapsed_string_token1] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_string_token1] = ACTIONS(1040),
    [anon_sym_LT_LT_LT] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(1040),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [aux_sym_yield_expression_token1] = ACTIONS(1042),
    [aux_sym_include_expression_token1] = ACTIONS(1042),
    [aux_sym_include_once_expression_token1] = ACTIONS(1042),
    [aux_sym_require_expression_token1] = ACTIONS(1042),
    [aux_sym_require_once_expression_token1] = ACTIONS(1042),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_name] = ACTIONS(1046),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1048),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1046),
    [aux_sym_global_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_definition_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1046),
    [anon_sym_BSLASH] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [aux_sym_trait_declaration_token1] = ACTIONS(1046),
    [aux_sym_interface_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_case_token1] = ACTIONS(1046),
    [aux_sym_class_declaration_token1] = ACTIONS(1046),
    [aux_sym_final_modifier_token1] = ACTIONS(1046),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1046),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1046),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [aux_sym_cast_type_token1] = ACTIONS(1046),
    [aux_sym_echo_statement_token1] = ACTIONS(1046),
    [anon_sym_unset] = ACTIONS(1046),
    [aux_sym_declare_statement_token1] = ACTIONS(1046),
    [aux_sym_declare_statement_token2] = ACTIONS(1046),
    [sym_float] = ACTIONS(1046),
    [aux_sym_try_statement_token1] = ACTIONS(1046),
    [aux_sym_goto_statement_token1] = ACTIONS(1046),
    [aux_sym_continue_statement_token1] = ACTIONS(1046),
    [aux_sym_break_statement_token1] = ACTIONS(1046),
    [sym_integer] = ACTIONS(1046),
    [aux_sym_return_statement_token1] = ACTIONS(1046),
    [aux_sym_throw_expression_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token2] = ACTIONS(1046),
    [aux_sym_do_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token2] = ACTIONS(1046),
    [aux_sym_foreach_statement_token1] = ACTIONS(1046),
    [aux_sym_foreach_statement_token2] = ACTIONS(1046),
    [aux_sym_if_statement_token1] = ACTIONS(1046),
    [aux_sym_if_statement_token2] = ACTIONS(1046),
    [aux_sym_else_if_clause_token1] = ACTIONS(1046),
    [aux_sym_else_clause_token1] = ACTIONS(1046),
    [aux_sym_match_expression_token1] = ACTIONS(1046),
    [aux_sym_match_default_expression_token1] = ACTIONS(1046),
    [aux_sym_switch_statement_token1] = ACTIONS(1046),
    [aux_sym_switch_block_token1] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [aux_sym_clone_expression_token1] = ACTIONS(1046),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1046),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1044),
    [anon_sym_PLUS_PLUS] = ACTIONS(1044),
    [aux_sym__list_destructing_token1] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_self] = ACTIONS(1046),
    [anon_sym_parent] = ACTIONS(1046),
    [aux_sym__argument_name_token1] = ACTIONS(1046),
    [aux_sym__argument_name_token2] = ACTIONS(1046),
    [anon_sym_POUND_LBRACK] = ACTIONS(1044),
    [anon_sym_SQUOTE] = ACTIONS(1044),
    [aux_sym_encapsed_string_token1] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1044),
    [aux_sym_string_token1] = ACTIONS(1044),
    [anon_sym_LT_LT_LT] = ACTIONS(1044),
    [anon_sym_BQUOTE] = ACTIONS(1044),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [aux_sym_yield_expression_token1] = ACTIONS(1046),
    [aux_sym_include_expression_token1] = ACTIONS(1046),
    [aux_sym_include_once_expression_token1] = ACTIONS(1046),
    [aux_sym_require_expression_token1] = ACTIONS(1046),
    [aux_sym_require_once_expression_token1] = ACTIONS(1046),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1048),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [ts_builtin_sym_end] = ACTIONS(1050),
    [sym_name] = ACTIONS(1052),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1054),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1052),
    [aux_sym_global_declaration_token1] = ACTIONS(1052),
    [aux_sym_namespace_definition_token1] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1052),
    [anon_sym_BSLASH] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [aux_sym_trait_declaration_token1] = ACTIONS(1052),
    [aux_sym_interface_declaration_token1] = ACTIONS(1052),
    [aux_sym_enum_declaration_token1] = ACTIONS(1052),
    [aux_sym_enum_case_token1] = ACTIONS(1052),
    [aux_sym_class_declaration_token1] = ACTIONS(1052),
    [aux_sym_final_modifier_token1] = ACTIONS(1052),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1052),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1052),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1052),
    [anon_sym_LPAREN] = ACTIONS(1050),
    [aux_sym_cast_type_token1] = ACTIONS(1052),
    [aux_sym_echo_statement_token1] = ACTIONS(1052),
    [anon_sym_unset] = ACTIONS(1052),
    [aux_sym_declare_statement_token1] = ACTIONS(1052),
    [aux_sym_declare_statement_token2] = ACTIONS(1052),
    [sym_float] = ACTIONS(1052),
    [aux_sym_try_statement_token1] = ACTIONS(1052),
    [aux_sym_goto_statement_token1] = ACTIONS(1052),
    [aux_sym_continue_statement_token1] = ACTIONS(1052),
    [aux_sym_break_statement_token1] = ACTIONS(1052),
    [sym_integer] = ACTIONS(1052),
    [aux_sym_return_statement_token1] = ACTIONS(1052),
    [aux_sym_throw_expression_token1] = ACTIONS(1052),
    [aux_sym_while_statement_token1] = ACTIONS(1052),
    [aux_sym_while_statement_token2] = ACTIONS(1052),
    [aux_sym_do_statement_token1] = ACTIONS(1052),
    [aux_sym_for_statement_token1] = ACTIONS(1052),
    [aux_sym_for_statement_token2] = ACTIONS(1052),
    [aux_sym_foreach_statement_token1] = ACTIONS(1052),
    [aux_sym_foreach_statement_token2] = ACTIONS(1052),
    [aux_sym_if_statement_token1] = ACTIONS(1052),
    [aux_sym_if_statement_token2] = ACTIONS(1052),
    [aux_sym_else_if_clause_token1] = ACTIONS(1052),
    [aux_sym_else_clause_token1] = ACTIONS(1052),
    [aux_sym_match_expression_token1] = ACTIONS(1052),
    [aux_sym_match_default_expression_token1] = ACTIONS(1052),
    [aux_sym_switch_statement_token1] = ACTIONS(1052),
    [aux_sym_switch_block_token1] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(1050),
    [anon_sym_AT] = ACTIONS(1050),
    [aux_sym_clone_expression_token1] = ACTIONS(1052),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1052),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1052),
    [anon_sym_DASH_DASH] = ACTIONS(1050),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [aux_sym__list_destructing_token1] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(1052),
    [anon_sym_parent] = ACTIONS(1052),
    [aux_sym__argument_name_token1] = ACTIONS(1052),
    [aux_sym__argument_name_token2] = ACTIONS(1052),
    [anon_sym_POUND_LBRACK] = ACTIONS(1050),
    [anon_sym_SQUOTE] = ACTIONS(1050),
    [aux_sym_encapsed_string_token1] = ACTIONS(1050),
    [anon_sym_DQUOTE] = ACTIONS(1050),
    [aux_sym_string_token1] = ACTIONS(1050),
    [anon_sym_LT_LT_LT] = ACTIONS(1050),
    [anon_sym_BQUOTE] = ACTIONS(1050),
    [anon_sym_DOLLAR] = ACTIONS(1050),
    [aux_sym_yield_expression_token1] = ACTIONS(1052),
    [aux_sym_include_expression_token1] = ACTIONS(1052),
    [aux_sym_include_once_expression_token1] = ACTIONS(1052),
    [aux_sym_require_expression_token1] = ACTIONS(1052),
    [aux_sym_require_once_expression_token1] = ACTIONS(1052),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1054),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_name] = ACTIONS(1058),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1058),
    [aux_sym_global_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_definition_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1058),
    [anon_sym_BSLASH] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym_trait_declaration_token1] = ACTIONS(1058),
    [aux_sym_interface_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_case_token1] = ACTIONS(1058),
    [aux_sym_class_declaration_token1] = ACTIONS(1058),
    [aux_sym_final_modifier_token1] = ACTIONS(1058),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1058),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1058),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [aux_sym_cast_type_token1] = ACTIONS(1058),
    [aux_sym_echo_statement_token1] = ACTIONS(1058),
    [anon_sym_unset] = ACTIONS(1058),
    [aux_sym_declare_statement_token1] = ACTIONS(1058),
    [aux_sym_declare_statement_token2] = ACTIONS(1058),
    [sym_float] = ACTIONS(1058),
    [aux_sym_try_statement_token1] = ACTIONS(1058),
    [aux_sym_goto_statement_token1] = ACTIONS(1058),
    [aux_sym_continue_statement_token1] = ACTIONS(1058),
    [aux_sym_break_statement_token1] = ACTIONS(1058),
    [sym_integer] = ACTIONS(1058),
    [aux_sym_return_statement_token1] = ACTIONS(1058),
    [aux_sym_throw_expression_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token2] = ACTIONS(1058),
    [aux_sym_do_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token2] = ACTIONS(1058),
    [aux_sym_foreach_statement_token1] = ACTIONS(1058),
    [aux_sym_foreach_statement_token2] = ACTIONS(1058),
    [aux_sym_if_statement_token1] = ACTIONS(1058),
    [aux_sym_if_statement_token2] = ACTIONS(1058),
    [aux_sym_else_if_clause_token1] = ACTIONS(1058),
    [aux_sym_else_clause_token1] = ACTIONS(1058),
    [aux_sym_match_expression_token1] = ACTIONS(1058),
    [aux_sym_match_default_expression_token1] = ACTIONS(1058),
    [aux_sym_switch_statement_token1] = ACTIONS(1058),
    [aux_sym_switch_block_token1] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1056),
    [aux_sym_clone_expression_token1] = ACTIONS(1058),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1058),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [aux_sym__list_destructing_token1] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(1058),
    [anon_sym_parent] = ACTIONS(1058),
    [aux_sym__argument_name_token1] = ACTIONS(1058),
    [aux_sym__argument_name_token2] = ACTIONS(1058),
    [anon_sym_POUND_LBRACK] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [aux_sym_encapsed_string_token1] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_string_token1] = ACTIONS(1056),
    [anon_sym_LT_LT_LT] = ACTIONS(1056),
    [anon_sym_BQUOTE] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1056),
    [aux_sym_yield_expression_token1] = ACTIONS(1058),
    [aux_sym_include_expression_token1] = ACTIONS(1058),
    [aux_sym_include_once_expression_token1] = ACTIONS(1058),
    [aux_sym_require_expression_token1] = ACTIONS(1058),
    [aux_sym_require_once_expression_token1] = ACTIONS(1058),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1060),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(1062),
    [sym_name] = ACTIONS(1064),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1066),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1064),
    [aux_sym_global_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_definition_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1064),
    [anon_sym_BSLASH] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [aux_sym_trait_declaration_token1] = ACTIONS(1064),
    [aux_sym_interface_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_case_token1] = ACTIONS(1064),
    [aux_sym_class_declaration_token1] = ACTIONS(1064),
    [aux_sym_final_modifier_token1] = ACTIONS(1064),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1064),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1064),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1064),
    [aux_sym_echo_statement_token1] = ACTIONS(1064),
    [anon_sym_unset] = ACTIONS(1064),
    [aux_sym_declare_statement_token1] = ACTIONS(1064),
    [aux_sym_declare_statement_token2] = ACTIONS(1064),
    [sym_float] = ACTIONS(1064),
    [aux_sym_try_statement_token1] = ACTIONS(1064),
    [aux_sym_goto_statement_token1] = ACTIONS(1064),
    [aux_sym_continue_statement_token1] = ACTIONS(1064),
    [aux_sym_break_statement_token1] = ACTIONS(1064),
    [sym_integer] = ACTIONS(1064),
    [aux_sym_return_statement_token1] = ACTIONS(1064),
    [aux_sym_throw_expression_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token2] = ACTIONS(1064),
    [aux_sym_do_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token2] = ACTIONS(1064),
    [aux_sym_foreach_statement_token1] = ACTIONS(1064),
    [aux_sym_foreach_statement_token2] = ACTIONS(1064),
    [aux_sym_if_statement_token1] = ACTIONS(1064),
    [aux_sym_if_statement_token2] = ACTIONS(1064),
    [aux_sym_else_if_clause_token1] = ACTIONS(1064),
    [aux_sym_else_clause_token1] = ACTIONS(1064),
    [aux_sym_match_expression_token1] = ACTIONS(1064),
    [aux_sym_match_default_expression_token1] = ACTIONS(1064),
    [aux_sym_switch_statement_token1] = ACTIONS(1064),
    [aux_sym_switch_block_token1] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [aux_sym_clone_expression_token1] = ACTIONS(1064),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1064),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1062),
    [aux_sym__list_destructing_token1] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(1064),
    [anon_sym_parent] = ACTIONS(1064),
    [aux_sym__argument_name_token1] = ACTIONS(1064),
    [aux_sym__argument_name_token2] = ACTIONS(1064),
    [anon_sym_POUND_LBRACK] = ACTIONS(1062),
    [anon_sym_SQUOTE] = ACTIONS(1062),
    [aux_sym_encapsed_string_token1] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1062),
    [aux_sym_string_token1] = ACTIONS(1062),
    [anon_sym_LT_LT_LT] = ACTIONS(1062),
    [anon_sym_BQUOTE] = ACTIONS(1062),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [aux_sym_yield_expression_token1] = ACTIONS(1064),
    [aux_sym_include_expression_token1] = ACTIONS(1064),
    [aux_sym_include_once_expression_token1] = ACTIONS(1064),
    [aux_sym_require_expression_token1] = ACTIONS(1064),
    [aux_sym_require_once_expression_token1] = ACTIONS(1064),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1066),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_name] = ACTIONS(1070),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1072),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1070),
    [aux_sym_global_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_definition_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1070),
    [anon_sym_BSLASH] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [aux_sym_trait_declaration_token1] = ACTIONS(1070),
    [aux_sym_interface_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_case_token1] = ACTIONS(1070),
    [aux_sym_class_declaration_token1] = ACTIONS(1070),
    [aux_sym_final_modifier_token1] = ACTIONS(1070),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1070),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1070),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1070),
    [anon_sym_LPAREN] = ACTIONS(1068),
    [aux_sym_cast_type_token1] = ACTIONS(1070),
    [aux_sym_echo_statement_token1] = ACTIONS(1070),
    [anon_sym_unset] = ACTIONS(1070),
    [aux_sym_declare_statement_token1] = ACTIONS(1070),
    [aux_sym_declare_statement_token2] = ACTIONS(1070),
    [sym_float] = ACTIONS(1070),
    [aux_sym_try_statement_token1] = ACTIONS(1070),
    [aux_sym_goto_statement_token1] = ACTIONS(1070),
    [aux_sym_continue_statement_token1] = ACTIONS(1070),
    [aux_sym_break_statement_token1] = ACTIONS(1070),
    [sym_integer] = ACTIONS(1070),
    [aux_sym_return_statement_token1] = ACTIONS(1070),
    [aux_sym_throw_expression_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token2] = ACTIONS(1070),
    [aux_sym_do_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token2] = ACTIONS(1070),
    [aux_sym_foreach_statement_token1] = ACTIONS(1070),
    [aux_sym_foreach_statement_token2] = ACTIONS(1070),
    [aux_sym_if_statement_token1] = ACTIONS(1070),
    [aux_sym_if_statement_token2] = ACTIONS(1070),
    [aux_sym_else_if_clause_token1] = ACTIONS(1070),
    [aux_sym_else_clause_token1] = ACTIONS(1070),
    [aux_sym_match_expression_token1] = ACTIONS(1070),
    [aux_sym_match_default_expression_token1] = ACTIONS(1070),
    [aux_sym_switch_statement_token1] = ACTIONS(1070),
    [aux_sym_switch_block_token1] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1068),
    [aux_sym_clone_expression_token1] = ACTIONS(1070),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1070),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [aux_sym__list_destructing_token1] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_self] = ACTIONS(1070),
    [anon_sym_parent] = ACTIONS(1070),
    [aux_sym__argument_name_token1] = ACTIONS(1070),
    [aux_sym__argument_name_token2] = ACTIONS(1070),
    [anon_sym_POUND_LBRACK] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [aux_sym_encapsed_string_token1] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_string_token1] = ACTIONS(1068),
    [anon_sym_LT_LT_LT] = ACTIONS(1068),
    [anon_sym_BQUOTE] = ACTIONS(1068),
    [anon_sym_DOLLAR] = ACTIONS(1068),
    [aux_sym_yield_expression_token1] = ACTIONS(1070),
    [aux_sym_include_expression_token1] = ACTIONS(1070),
    [aux_sym_include_once_expression_token1] = ACTIONS(1070),
    [aux_sym_require_expression_token1] = ACTIONS(1070),
    [aux_sym_require_once_expression_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1072),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(1074),
    [sym_name] = ACTIONS(1076),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1078),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1076),
    [aux_sym_global_declaration_token1] = ACTIONS(1076),
    [aux_sym_namespace_definition_token1] = ACTIONS(1076),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1076),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1076),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1076),
    [anon_sym_BSLASH] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1074),
    [anon_sym_RBRACE] = ACTIONS(1074),
    [aux_sym_trait_declaration_token1] = ACTIONS(1076),
    [aux_sym_interface_declaration_token1] = ACTIONS(1076),
    [aux_sym_enum_declaration_token1] = ACTIONS(1076),
    [aux_sym_enum_case_token1] = ACTIONS(1076),
    [aux_sym_class_declaration_token1] = ACTIONS(1076),
    [aux_sym_final_modifier_token1] = ACTIONS(1076),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1076),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1076),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1076),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1076),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1076),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1074),
    [aux_sym_cast_type_token1] = ACTIONS(1076),
    [aux_sym_echo_statement_token1] = ACTIONS(1076),
    [anon_sym_unset] = ACTIONS(1076),
    [aux_sym_declare_statement_token1] = ACTIONS(1076),
    [aux_sym_declare_statement_token2] = ACTIONS(1076),
    [sym_float] = ACTIONS(1076),
    [aux_sym_try_statement_token1] = ACTIONS(1076),
    [aux_sym_goto_statement_token1] = ACTIONS(1076),
    [aux_sym_continue_statement_token1] = ACTIONS(1076),
    [aux_sym_break_statement_token1] = ACTIONS(1076),
    [sym_integer] = ACTIONS(1076),
    [aux_sym_return_statement_token1] = ACTIONS(1076),
    [aux_sym_throw_expression_token1] = ACTIONS(1076),
    [aux_sym_while_statement_token1] = ACTIONS(1076),
    [aux_sym_while_statement_token2] = ACTIONS(1076),
    [aux_sym_do_statement_token1] = ACTIONS(1076),
    [aux_sym_for_statement_token1] = ACTIONS(1076),
    [aux_sym_for_statement_token2] = ACTIONS(1076),
    [aux_sym_foreach_statement_token1] = ACTIONS(1076),
    [aux_sym_foreach_statement_token2] = ACTIONS(1076),
    [aux_sym_if_statement_token1] = ACTIONS(1076),
    [aux_sym_if_statement_token2] = ACTIONS(1076),
    [aux_sym_else_if_clause_token1] = ACTIONS(1076),
    [aux_sym_else_clause_token1] = ACTIONS(1076),
    [aux_sym_match_expression_token1] = ACTIONS(1076),
    [aux_sym_match_default_expression_token1] = ACTIONS(1076),
    [aux_sym_switch_statement_token1] = ACTIONS(1076),
    [aux_sym_switch_block_token1] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1076),
    [anon_sym_DASH] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(1074),
    [aux_sym_clone_expression_token1] = ACTIONS(1076),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1076),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1076),
    [anon_sym_DASH_DASH] = ACTIONS(1074),
    [anon_sym_PLUS_PLUS] = ACTIONS(1074),
    [aux_sym__list_destructing_token1] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_self] = ACTIONS(1076),
    [anon_sym_parent] = ACTIONS(1076),
    [aux_sym__argument_name_token1] = ACTIONS(1076),
    [aux_sym__argument_name_token2] = ACTIONS(1076),
    [anon_sym_POUND_LBRACK] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1074),
    [aux_sym_encapsed_string_token1] = ACTIONS(1074),
    [anon_sym_DQUOTE] = ACTIONS(1074),
    [aux_sym_string_token1] = ACTIONS(1074),
    [anon_sym_LT_LT_LT] = ACTIONS(1074),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [aux_sym_yield_expression_token1] = ACTIONS(1076),
    [aux_sym_include_expression_token1] = ACTIONS(1076),
    [aux_sym_include_once_expression_token1] = ACTIONS(1076),
    [aux_sym_require_expression_token1] = ACTIONS(1076),
    [aux_sym_require_once_expression_token1] = ACTIONS(1076),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1078),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym_name] = ACTIONS(1082),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1084),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1082),
    [aux_sym_global_declaration_token1] = ACTIONS(1082),
    [aux_sym_namespace_definition_token1] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1082),
    [anon_sym_BSLASH] = ACTIONS(1080),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [aux_sym_trait_declaration_token1] = ACTIONS(1082),
    [aux_sym_interface_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_case_token1] = ACTIONS(1082),
    [aux_sym_class_declaration_token1] = ACTIONS(1082),
    [aux_sym_final_modifier_token1] = ACTIONS(1082),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1082),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1082),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1082),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [aux_sym_cast_type_token1] = ACTIONS(1082),
    [aux_sym_echo_statement_token1] = ACTIONS(1082),
    [anon_sym_unset] = ACTIONS(1082),
    [aux_sym_declare_statement_token1] = ACTIONS(1082),
    [aux_sym_declare_statement_token2] = ACTIONS(1082),
    [sym_float] = ACTIONS(1082),
    [aux_sym_try_statement_token1] = ACTIONS(1082),
    [aux_sym_goto_statement_token1] = ACTIONS(1082),
    [aux_sym_continue_statement_token1] = ACTIONS(1082),
    [aux_sym_break_statement_token1] = ACTIONS(1082),
    [sym_integer] = ACTIONS(1082),
    [aux_sym_return_statement_token1] = ACTIONS(1082),
    [aux_sym_throw_expression_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token2] = ACTIONS(1082),
    [aux_sym_do_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token2] = ACTIONS(1082),
    [aux_sym_foreach_statement_token1] = ACTIONS(1082),
    [aux_sym_foreach_statement_token2] = ACTIONS(1082),
    [aux_sym_if_statement_token1] = ACTIONS(1082),
    [aux_sym_if_statement_token2] = ACTIONS(1082),
    [aux_sym_else_if_clause_token1] = ACTIONS(1082),
    [aux_sym_else_clause_token1] = ACTIONS(1082),
    [aux_sym_match_expression_token1] = ACTIONS(1082),
    [aux_sym_match_default_expression_token1] = ACTIONS(1082),
    [aux_sym_switch_statement_token1] = ACTIONS(1082),
    [aux_sym_switch_block_token1] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1082),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1080),
    [aux_sym_clone_expression_token1] = ACTIONS(1082),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1082),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [aux_sym__list_destructing_token1] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_self] = ACTIONS(1082),
    [anon_sym_parent] = ACTIONS(1082),
    [aux_sym__argument_name_token1] = ACTIONS(1082),
    [aux_sym__argument_name_token2] = ACTIONS(1082),
    [anon_sym_POUND_LBRACK] = ACTIONS(1080),
    [anon_sym_SQUOTE] = ACTIONS(1080),
    [aux_sym_encapsed_string_token1] = ACTIONS(1080),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [aux_sym_string_token1] = ACTIONS(1080),
    [anon_sym_LT_LT_LT] = ACTIONS(1080),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [anon_sym_DOLLAR] = ACTIONS(1080),
    [aux_sym_yield_expression_token1] = ACTIONS(1082),
    [aux_sym_include_expression_token1] = ACTIONS(1082),
    [aux_sym_include_once_expression_token1] = ACTIONS(1082),
    [aux_sym_require_expression_token1] = ACTIONS(1082),
    [aux_sym_require_once_expression_token1] = ACTIONS(1082),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1084),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1086),
    [sym_name] = ACTIONS(1088),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1088),
    [aux_sym_global_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_definition_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1088),
    [anon_sym_BSLASH] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym_trait_declaration_token1] = ACTIONS(1088),
    [aux_sym_interface_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_case_token1] = ACTIONS(1088),
    [aux_sym_class_declaration_token1] = ACTIONS(1088),
    [aux_sym_final_modifier_token1] = ACTIONS(1088),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1088),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1088),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1088),
    [anon_sym_LPAREN] = ACTIONS(1086),
    [aux_sym_cast_type_token1] = ACTIONS(1088),
    [aux_sym_echo_statement_token1] = ACTIONS(1088),
    [anon_sym_unset] = ACTIONS(1088),
    [aux_sym_declare_statement_token1] = ACTIONS(1088),
    [aux_sym_declare_statement_token2] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [aux_sym_try_statement_token1] = ACTIONS(1088),
    [aux_sym_goto_statement_token1] = ACTIONS(1088),
    [aux_sym_continue_statement_token1] = ACTIONS(1088),
    [aux_sym_break_statement_token1] = ACTIONS(1088),
    [sym_integer] = ACTIONS(1088),
    [aux_sym_return_statement_token1] = ACTIONS(1088),
    [aux_sym_throw_expression_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token2] = ACTIONS(1088),
    [aux_sym_do_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token2] = ACTIONS(1088),
    [aux_sym_foreach_statement_token1] = ACTIONS(1088),
    [aux_sym_foreach_statement_token2] = ACTIONS(1088),
    [aux_sym_if_statement_token1] = ACTIONS(1088),
    [aux_sym_if_statement_token2] = ACTIONS(1088),
    [aux_sym_else_if_clause_token1] = ACTIONS(1088),
    [aux_sym_else_clause_token1] = ACTIONS(1088),
    [aux_sym_match_expression_token1] = ACTIONS(1088),
    [aux_sym_match_default_expression_token1] = ACTIONS(1088),
    [aux_sym_switch_statement_token1] = ACTIONS(1088),
    [aux_sym_switch_block_token1] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(1086),
    [aux_sym_clone_expression_token1] = ACTIONS(1088),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1088),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [aux_sym__list_destructing_token1] = ACTIONS(1088),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_self] = ACTIONS(1088),
    [anon_sym_parent] = ACTIONS(1088),
    [aux_sym__argument_name_token1] = ACTIONS(1088),
    [aux_sym__argument_name_token2] = ACTIONS(1088),
    [anon_sym_POUND_LBRACK] = ACTIONS(1086),
    [anon_sym_SQUOTE] = ACTIONS(1086),
    [aux_sym_encapsed_string_token1] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [aux_sym_string_token1] = ACTIONS(1086),
    [anon_sym_LT_LT_LT] = ACTIONS(1086),
    [anon_sym_BQUOTE] = ACTIONS(1086),
    [anon_sym_DOLLAR] = ACTIONS(1086),
    [aux_sym_yield_expression_token1] = ACTIONS(1088),
    [aux_sym_include_expression_token1] = ACTIONS(1088),
    [aux_sym_include_once_expression_token1] = ACTIONS(1088),
    [aux_sym_require_expression_token1] = ACTIONS(1088),
    [aux_sym_require_once_expression_token1] = ACTIONS(1088),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1090),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1096),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [aux_sym__argument_name_token1] = ACTIONS(1094),
    [aux_sym__argument_name_token2] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1096),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_name] = ACTIONS(1100),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1102),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1100),
    [aux_sym_global_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_definition_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1100),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [aux_sym_trait_declaration_token1] = ACTIONS(1100),
    [aux_sym_interface_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_case_token1] = ACTIONS(1100),
    [aux_sym_class_declaration_token1] = ACTIONS(1100),
    [aux_sym_final_modifier_token1] = ACTIONS(1100),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1100),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1100),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(1098),
    [aux_sym_cast_type_token1] = ACTIONS(1100),
    [aux_sym_echo_statement_token1] = ACTIONS(1100),
    [anon_sym_unset] = ACTIONS(1100),
    [aux_sym_declare_statement_token1] = ACTIONS(1100),
    [aux_sym_declare_statement_token2] = ACTIONS(1100),
    [sym_float] = ACTIONS(1100),
    [aux_sym_try_statement_token1] = ACTIONS(1100),
    [aux_sym_goto_statement_token1] = ACTIONS(1100),
    [aux_sym_continue_statement_token1] = ACTIONS(1100),
    [aux_sym_break_statement_token1] = ACTIONS(1100),
    [sym_integer] = ACTIONS(1100),
    [aux_sym_return_statement_token1] = ACTIONS(1100),
    [aux_sym_throw_expression_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token2] = ACTIONS(1100),
    [aux_sym_do_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token2] = ACTIONS(1100),
    [aux_sym_foreach_statement_token1] = ACTIONS(1100),
    [aux_sym_foreach_statement_token2] = ACTIONS(1100),
    [aux_sym_if_statement_token1] = ACTIONS(1100),
    [aux_sym_if_statement_token2] = ACTIONS(1100),
    [aux_sym_else_if_clause_token1] = ACTIONS(1100),
    [aux_sym_else_clause_token1] = ACTIONS(1100),
    [aux_sym_match_expression_token1] = ACTIONS(1100),
    [aux_sym_match_default_expression_token1] = ACTIONS(1100),
    [aux_sym_switch_statement_token1] = ACTIONS(1100),
    [aux_sym_switch_block_token1] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [aux_sym_clone_expression_token1] = ACTIONS(1100),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1100),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [aux_sym__list_destructing_token1] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_self] = ACTIONS(1100),
    [anon_sym_parent] = ACTIONS(1100),
    [aux_sym__argument_name_token1] = ACTIONS(1100),
    [aux_sym__argument_name_token2] = ACTIONS(1100),
    [anon_sym_POUND_LBRACK] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [aux_sym_encapsed_string_token1] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [aux_sym_string_token1] = ACTIONS(1098),
    [anon_sym_LT_LT_LT] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [aux_sym_yield_expression_token1] = ACTIONS(1100),
    [aux_sym_include_expression_token1] = ACTIONS(1100),
    [aux_sym_include_once_expression_token1] = ACTIONS(1100),
    [aux_sym_require_expression_token1] = ACTIONS(1100),
    [aux_sym_require_once_expression_token1] = ACTIONS(1100),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1102),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_name] = ACTIONS(1106),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1108),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1106),
    [aux_sym_global_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_definition_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1106),
    [anon_sym_BSLASH] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym_trait_declaration_token1] = ACTIONS(1106),
    [aux_sym_interface_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_case_token1] = ACTIONS(1106),
    [aux_sym_class_declaration_token1] = ACTIONS(1106),
    [aux_sym_final_modifier_token1] = ACTIONS(1106),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1106),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1106),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1106),
    [anon_sym_LPAREN] = ACTIONS(1104),
    [aux_sym_cast_type_token1] = ACTIONS(1106),
    [aux_sym_echo_statement_token1] = ACTIONS(1106),
    [anon_sym_unset] = ACTIONS(1106),
    [aux_sym_declare_statement_token1] = ACTIONS(1106),
    [aux_sym_declare_statement_token2] = ACTIONS(1106),
    [sym_float] = ACTIONS(1106),
    [aux_sym_try_statement_token1] = ACTIONS(1106),
    [aux_sym_goto_statement_token1] = ACTIONS(1106),
    [aux_sym_continue_statement_token1] = ACTIONS(1106),
    [aux_sym_break_statement_token1] = ACTIONS(1106),
    [sym_integer] = ACTIONS(1106),
    [aux_sym_return_statement_token1] = ACTIONS(1106),
    [aux_sym_throw_expression_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token2] = ACTIONS(1106),
    [aux_sym_do_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token2] = ACTIONS(1106),
    [aux_sym_foreach_statement_token1] = ACTIONS(1106),
    [aux_sym_foreach_statement_token2] = ACTIONS(1106),
    [aux_sym_if_statement_token1] = ACTIONS(1106),
    [aux_sym_if_statement_token2] = ACTIONS(1106),
    [aux_sym_else_if_clause_token1] = ACTIONS(1106),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1106),
    [aux_sym_match_default_expression_token1] = ACTIONS(1106),
    [aux_sym_switch_statement_token1] = ACTIONS(1106),
    [aux_sym_switch_block_token1] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [aux_sym_clone_expression_token1] = ACTIONS(1106),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1106),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [aux_sym__list_destructing_token1] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_self] = ACTIONS(1106),
    [anon_sym_parent] = ACTIONS(1106),
    [aux_sym__argument_name_token1] = ACTIONS(1106),
    [aux_sym__argument_name_token2] = ACTIONS(1106),
    [anon_sym_POUND_LBRACK] = ACTIONS(1104),
    [anon_sym_SQUOTE] = ACTIONS(1104),
    [aux_sym_encapsed_string_token1] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [aux_sym_string_token1] = ACTIONS(1104),
    [anon_sym_LT_LT_LT] = ACTIONS(1104),
    [anon_sym_BQUOTE] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [aux_sym_yield_expression_token1] = ACTIONS(1106),
    [aux_sym_include_expression_token1] = ACTIONS(1106),
    [aux_sym_include_once_expression_token1] = ACTIONS(1106),
    [aux_sym_require_expression_token1] = ACTIONS(1106),
    [aux_sym_require_once_expression_token1] = ACTIONS(1106),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1108),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1114),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [aux_sym__argument_name_token1] = ACTIONS(1112),
    [aux_sym__argument_name_token2] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1114),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_name] = ACTIONS(1118),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1120),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1118),
    [aux_sym_global_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_definition_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1118),
    [anon_sym_BSLASH] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym_trait_declaration_token1] = ACTIONS(1118),
    [aux_sym_interface_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_case_token1] = ACTIONS(1118),
    [aux_sym_class_declaration_token1] = ACTIONS(1118),
    [aux_sym_final_modifier_token1] = ACTIONS(1118),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1118),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1118),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1118),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [aux_sym_cast_type_token1] = ACTIONS(1118),
    [aux_sym_echo_statement_token1] = ACTIONS(1118),
    [anon_sym_unset] = ACTIONS(1118),
    [aux_sym_declare_statement_token1] = ACTIONS(1118),
    [aux_sym_declare_statement_token2] = ACTIONS(1118),
    [sym_float] = ACTIONS(1118),
    [aux_sym_try_statement_token1] = ACTIONS(1118),
    [aux_sym_goto_statement_token1] = ACTIONS(1118),
    [aux_sym_continue_statement_token1] = ACTIONS(1118),
    [aux_sym_break_statement_token1] = ACTIONS(1118),
    [sym_integer] = ACTIONS(1118),
    [aux_sym_return_statement_token1] = ACTIONS(1118),
    [aux_sym_throw_expression_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token2] = ACTIONS(1118),
    [aux_sym_do_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token2] = ACTIONS(1118),
    [aux_sym_foreach_statement_token1] = ACTIONS(1118),
    [aux_sym_foreach_statement_token2] = ACTIONS(1118),
    [aux_sym_if_statement_token1] = ACTIONS(1118),
    [aux_sym_if_statement_token2] = ACTIONS(1118),
    [aux_sym_else_if_clause_token1] = ACTIONS(1118),
    [aux_sym_else_clause_token1] = ACTIONS(1118),
    [aux_sym_match_expression_token1] = ACTIONS(1118),
    [aux_sym_match_default_expression_token1] = ACTIONS(1118),
    [aux_sym_switch_statement_token1] = ACTIONS(1118),
    [aux_sym_switch_block_token1] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1116),
    [aux_sym_clone_expression_token1] = ACTIONS(1118),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1118),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [aux_sym__list_destructing_token1] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_self] = ACTIONS(1118),
    [anon_sym_parent] = ACTIONS(1118),
    [aux_sym__argument_name_token1] = ACTIONS(1118),
    [aux_sym__argument_name_token2] = ACTIONS(1118),
    [anon_sym_POUND_LBRACK] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1116),
    [aux_sym_encapsed_string_token1] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [aux_sym_string_token1] = ACTIONS(1116),
    [anon_sym_LT_LT_LT] = ACTIONS(1116),
    [anon_sym_BQUOTE] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1116),
    [aux_sym_yield_expression_token1] = ACTIONS(1118),
    [aux_sym_include_expression_token1] = ACTIONS(1118),
    [aux_sym_include_once_expression_token1] = ACTIONS(1118),
    [aux_sym_require_expression_token1] = ACTIONS(1118),
    [aux_sym_require_once_expression_token1] = ACTIONS(1118),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1120),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [aux_sym__argument_name_token1] = ACTIONS(1124),
    [aux_sym__argument_name_token2] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1122),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_name] = ACTIONS(1128),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1128),
    [aux_sym_global_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_definition_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1128),
    [anon_sym_BSLASH] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [aux_sym_trait_declaration_token1] = ACTIONS(1128),
    [aux_sym_interface_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_case_token1] = ACTIONS(1128),
    [aux_sym_class_declaration_token1] = ACTIONS(1128),
    [aux_sym_final_modifier_token1] = ACTIONS(1128),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1128),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1128),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(1126),
    [aux_sym_cast_type_token1] = ACTIONS(1128),
    [aux_sym_echo_statement_token1] = ACTIONS(1128),
    [anon_sym_unset] = ACTIONS(1128),
    [aux_sym_declare_statement_token1] = ACTIONS(1128),
    [aux_sym_declare_statement_token2] = ACTIONS(1128),
    [sym_float] = ACTIONS(1128),
    [aux_sym_try_statement_token1] = ACTIONS(1128),
    [aux_sym_goto_statement_token1] = ACTIONS(1128),
    [aux_sym_continue_statement_token1] = ACTIONS(1128),
    [aux_sym_break_statement_token1] = ACTIONS(1128),
    [sym_integer] = ACTIONS(1128),
    [aux_sym_return_statement_token1] = ACTIONS(1128),
    [aux_sym_throw_expression_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token2] = ACTIONS(1128),
    [aux_sym_do_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token2] = ACTIONS(1128),
    [aux_sym_foreach_statement_token1] = ACTIONS(1128),
    [aux_sym_foreach_statement_token2] = ACTIONS(1128),
    [aux_sym_if_statement_token1] = ACTIONS(1128),
    [aux_sym_if_statement_token2] = ACTIONS(1128),
    [aux_sym_else_if_clause_token1] = ACTIONS(1128),
    [aux_sym_else_clause_token1] = ACTIONS(1128),
    [aux_sym_match_expression_token1] = ACTIONS(1128),
    [aux_sym_match_default_expression_token1] = ACTIONS(1128),
    [aux_sym_switch_statement_token1] = ACTIONS(1128),
    [aux_sym_switch_block_token1] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(1126),
    [aux_sym_clone_expression_token1] = ACTIONS(1128),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1128),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [aux_sym__list_destructing_token1] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_self] = ACTIONS(1128),
    [anon_sym_parent] = ACTIONS(1128),
    [aux_sym__argument_name_token1] = ACTIONS(1128),
    [aux_sym__argument_name_token2] = ACTIONS(1128),
    [anon_sym_POUND_LBRACK] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [aux_sym_encapsed_string_token1] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [aux_sym_string_token1] = ACTIONS(1126),
    [anon_sym_LT_LT_LT] = ACTIONS(1126),
    [anon_sym_BQUOTE] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1126),
    [aux_sym_yield_expression_token1] = ACTIONS(1128),
    [aux_sym_include_expression_token1] = ACTIONS(1128),
    [aux_sym_include_once_expression_token1] = ACTIONS(1128),
    [aux_sym_require_expression_token1] = ACTIONS(1128),
    [aux_sym_require_once_expression_token1] = ACTIONS(1128),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1130),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [aux_sym__argument_name_token1] = ACTIONS(1134),
    [aux_sym__argument_name_token2] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1136),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_name] = ACTIONS(1140),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1140),
    [aux_sym_global_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_definition_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1140),
    [anon_sym_BSLASH] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [aux_sym_trait_declaration_token1] = ACTIONS(1140),
    [aux_sym_interface_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_case_token1] = ACTIONS(1140),
    [aux_sym_class_declaration_token1] = ACTIONS(1140),
    [aux_sym_final_modifier_token1] = ACTIONS(1140),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1140),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1140),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [aux_sym_cast_type_token1] = ACTIONS(1140),
    [aux_sym_echo_statement_token1] = ACTIONS(1140),
    [anon_sym_unset] = ACTIONS(1140),
    [aux_sym_declare_statement_token1] = ACTIONS(1140),
    [aux_sym_declare_statement_token2] = ACTIONS(1140),
    [sym_float] = ACTIONS(1140),
    [aux_sym_try_statement_token1] = ACTIONS(1140),
    [aux_sym_goto_statement_token1] = ACTIONS(1140),
    [aux_sym_continue_statement_token1] = ACTIONS(1140),
    [aux_sym_break_statement_token1] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1140),
    [aux_sym_return_statement_token1] = ACTIONS(1140),
    [aux_sym_throw_expression_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token2] = ACTIONS(1140),
    [aux_sym_do_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token2] = ACTIONS(1140),
    [aux_sym_foreach_statement_token1] = ACTIONS(1140),
    [aux_sym_foreach_statement_token2] = ACTIONS(1140),
    [aux_sym_if_statement_token1] = ACTIONS(1140),
    [aux_sym_if_statement_token2] = ACTIONS(1140),
    [aux_sym_else_if_clause_token1] = ACTIONS(1140),
    [aux_sym_else_clause_token1] = ACTIONS(1140),
    [aux_sym_match_expression_token1] = ACTIONS(1140),
    [aux_sym_match_default_expression_token1] = ACTIONS(1140),
    [aux_sym_switch_statement_token1] = ACTIONS(1140),
    [aux_sym_switch_block_token1] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [aux_sym_clone_expression_token1] = ACTIONS(1140),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1140),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [aux_sym__list_destructing_token1] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_self] = ACTIONS(1140),
    [anon_sym_parent] = ACTIONS(1140),
    [aux_sym__argument_name_token1] = ACTIONS(1140),
    [aux_sym__argument_name_token2] = ACTIONS(1140),
    [anon_sym_POUND_LBRACK] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [aux_sym_encapsed_string_token1] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
    [anon_sym_LT_LT_LT] = ACTIONS(1138),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1138),
    [aux_sym_yield_expression_token1] = ACTIONS(1140),
    [aux_sym_include_expression_token1] = ACTIONS(1140),
    [aux_sym_include_once_expression_token1] = ACTIONS(1140),
    [aux_sym_require_expression_token1] = ACTIONS(1140),
    [aux_sym_require_once_expression_token1] = ACTIONS(1140),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1142),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1144),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1152),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_name] = ACTIONS(1156),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1158),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1156),
    [aux_sym_global_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_definition_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1156),
    [anon_sym_BSLASH] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [aux_sym_trait_declaration_token1] = ACTIONS(1156),
    [aux_sym_interface_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_case_token1] = ACTIONS(1156),
    [aux_sym_class_declaration_token1] = ACTIONS(1156),
    [aux_sym_final_modifier_token1] = ACTIONS(1156),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1156),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1156),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1156),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [aux_sym_cast_type_token1] = ACTIONS(1156),
    [aux_sym_echo_statement_token1] = ACTIONS(1156),
    [anon_sym_unset] = ACTIONS(1156),
    [aux_sym_declare_statement_token1] = ACTIONS(1156),
    [aux_sym_declare_statement_token2] = ACTIONS(1156),
    [sym_float] = ACTIONS(1156),
    [aux_sym_try_statement_token1] = ACTIONS(1156),
    [aux_sym_goto_statement_token1] = ACTIONS(1156),
    [aux_sym_continue_statement_token1] = ACTIONS(1156),
    [aux_sym_break_statement_token1] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1156),
    [aux_sym_return_statement_token1] = ACTIONS(1156),
    [aux_sym_throw_expression_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token2] = ACTIONS(1156),
    [aux_sym_do_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token2] = ACTIONS(1156),
    [aux_sym_foreach_statement_token1] = ACTIONS(1156),
    [aux_sym_foreach_statement_token2] = ACTIONS(1156),
    [aux_sym_if_statement_token1] = ACTIONS(1156),
    [aux_sym_if_statement_token2] = ACTIONS(1156),
    [aux_sym_else_if_clause_token1] = ACTIONS(1156),
    [aux_sym_else_clause_token1] = ACTIONS(1156),
    [aux_sym_match_expression_token1] = ACTIONS(1156),
    [aux_sym_match_default_expression_token1] = ACTIONS(1156),
    [aux_sym_switch_statement_token1] = ACTIONS(1156),
    [aux_sym_switch_block_token1] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1154),
    [aux_sym_clone_expression_token1] = ACTIONS(1156),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1156),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [aux_sym__list_destructing_token1] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_self] = ACTIONS(1156),
    [anon_sym_parent] = ACTIONS(1156),
    [aux_sym__argument_name_token1] = ACTIONS(1156),
    [aux_sym__argument_name_token2] = ACTIONS(1156),
    [anon_sym_POUND_LBRACK] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [aux_sym_encapsed_string_token1] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [aux_sym_string_token1] = ACTIONS(1154),
    [anon_sym_LT_LT_LT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [aux_sym_yield_expression_token1] = ACTIONS(1156),
    [aux_sym_include_expression_token1] = ACTIONS(1156),
    [aux_sym_include_once_expression_token1] = ACTIONS(1156),
    [aux_sym_require_expression_token1] = ACTIONS(1156),
    [aux_sym_require_once_expression_token1] = ACTIONS(1156),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1158),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__unary_expression] = STATE(906),
    [sym_unary_op_expression] = STATE(953),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(597),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_function_call_expression] = STATE(581),
    [sym_scoped_call_expression] = STATE(581),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(581),
    [sym_nullsafe_member_call_expression] = STATE(581),
    [sym_subscript_expression] = STATE(581),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(581),
    [sym_variable_name] = STATE(581),
    [sym_include_expression] = STATE(906),
    [sym_include_once_expression] = STATE(906),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(625),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(633),
    [anon_sym_BANG] = ACTIONS(633),
    [aux_sym_clone_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_include_expression_token1] = ACTIONS(647),
    [aux_sym_include_once_expression_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_name] = ACTIONS(1176),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1176),
    [aux_sym_global_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_definition_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1176),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [aux_sym_trait_declaration_token1] = ACTIONS(1176),
    [aux_sym_interface_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_case_token1] = ACTIONS(1176),
    [aux_sym_class_declaration_token1] = ACTIONS(1176),
    [aux_sym_final_modifier_token1] = ACTIONS(1176),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1176),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1176),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1176),
    [anon_sym_LPAREN] = ACTIONS(1174),
    [aux_sym_cast_type_token1] = ACTIONS(1176),
    [aux_sym_echo_statement_token1] = ACTIONS(1176),
    [anon_sym_unset] = ACTIONS(1176),
    [aux_sym_declare_statement_token1] = ACTIONS(1176),
    [aux_sym_declare_statement_token2] = ACTIONS(1176),
    [sym_float] = ACTIONS(1176),
    [aux_sym_try_statement_token1] = ACTIONS(1176),
    [aux_sym_goto_statement_token1] = ACTIONS(1176),
    [aux_sym_continue_statement_token1] = ACTIONS(1176),
    [aux_sym_break_statement_token1] = ACTIONS(1176),
    [sym_integer] = ACTIONS(1176),
    [aux_sym_return_statement_token1] = ACTIONS(1176),
    [aux_sym_throw_expression_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token2] = ACTIONS(1176),
    [aux_sym_do_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token2] = ACTIONS(1176),
    [aux_sym_foreach_statement_token1] = ACTIONS(1176),
    [aux_sym_foreach_statement_token2] = ACTIONS(1176),
    [aux_sym_if_statement_token1] = ACTIONS(1176),
    [aux_sym_if_statement_token2] = ACTIONS(1176),
    [aux_sym_else_if_clause_token1] = ACTIONS(1176),
    [aux_sym_else_clause_token1] = ACTIONS(1176),
    [aux_sym_match_expression_token1] = ACTIONS(1176),
    [aux_sym_match_default_expression_token1] = ACTIONS(1176),
    [aux_sym_switch_statement_token1] = ACTIONS(1176),
    [aux_sym_switch_block_token1] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [aux_sym_clone_expression_token1] = ACTIONS(1176),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1176),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [aux_sym__list_destructing_token1] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(1176),
    [anon_sym_parent] = ACTIONS(1176),
    [aux_sym__argument_name_token1] = ACTIONS(1176),
    [aux_sym__argument_name_token2] = ACTIONS(1176),
    [anon_sym_POUND_LBRACK] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [aux_sym_encapsed_string_token1] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [aux_sym_string_token1] = ACTIONS(1174),
    [anon_sym_LT_LT_LT] = ACTIONS(1174),
    [anon_sym_BQUOTE] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [aux_sym_yield_expression_token1] = ACTIONS(1176),
    [aux_sym_include_expression_token1] = ACTIONS(1176),
    [aux_sym_include_once_expression_token1] = ACTIONS(1176),
    [aux_sym_require_expression_token1] = ACTIONS(1176),
    [aux_sym_require_once_expression_token1] = ACTIONS(1176),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_name] = ACTIONS(1180),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1180),
    [aux_sym_global_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_definition_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [aux_sym_trait_declaration_token1] = ACTIONS(1180),
    [aux_sym_interface_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_case_token1] = ACTIONS(1180),
    [aux_sym_class_declaration_token1] = ACTIONS(1180),
    [aux_sym_final_modifier_token1] = ACTIONS(1180),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1180),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1180),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [aux_sym_cast_type_token1] = ACTIONS(1180),
    [aux_sym_echo_statement_token1] = ACTIONS(1180),
    [anon_sym_unset] = ACTIONS(1180),
    [aux_sym_declare_statement_token1] = ACTIONS(1180),
    [aux_sym_declare_statement_token2] = ACTIONS(1180),
    [sym_float] = ACTIONS(1180),
    [aux_sym_try_statement_token1] = ACTIONS(1180),
    [aux_sym_goto_statement_token1] = ACTIONS(1180),
    [aux_sym_continue_statement_token1] = ACTIONS(1180),
    [aux_sym_break_statement_token1] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1180),
    [aux_sym_return_statement_token1] = ACTIONS(1180),
    [aux_sym_throw_expression_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token2] = ACTIONS(1180),
    [aux_sym_do_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token2] = ACTIONS(1180),
    [aux_sym_foreach_statement_token1] = ACTIONS(1180),
    [aux_sym_foreach_statement_token2] = ACTIONS(1180),
    [aux_sym_if_statement_token1] = ACTIONS(1180),
    [aux_sym_if_statement_token2] = ACTIONS(1180),
    [aux_sym_else_if_clause_token1] = ACTIONS(1180),
    [aux_sym_else_clause_token1] = ACTIONS(1180),
    [aux_sym_match_expression_token1] = ACTIONS(1180),
    [aux_sym_match_default_expression_token1] = ACTIONS(1180),
    [aux_sym_switch_statement_token1] = ACTIONS(1180),
    [aux_sym_switch_block_token1] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1178),
    [aux_sym_clone_expression_token1] = ACTIONS(1180),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1180),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [aux_sym__list_destructing_token1] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_self] = ACTIONS(1180),
    [anon_sym_parent] = ACTIONS(1180),
    [aux_sym__argument_name_token1] = ACTIONS(1180),
    [aux_sym__argument_name_token2] = ACTIONS(1180),
    [anon_sym_POUND_LBRACK] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [aux_sym_encapsed_string_token1] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_string_token1] = ACTIONS(1178),
    [anon_sym_LT_LT_LT] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1178),
    [aux_sym_yield_expression_token1] = ACTIONS(1180),
    [aux_sym_include_expression_token1] = ACTIONS(1180),
    [aux_sym_include_once_expression_token1] = ACTIONS(1180),
    [aux_sym_require_expression_token1] = ACTIONS(1180),
    [aux_sym_require_once_expression_token1] = ACTIONS(1180),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_name] = ACTIONS(1184),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1182),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1184),
    [aux_sym_global_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_definition_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1184),
    [anon_sym_BSLASH] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [aux_sym_trait_declaration_token1] = ACTIONS(1184),
    [aux_sym_interface_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_case_token1] = ACTIONS(1184),
    [aux_sym_class_declaration_token1] = ACTIONS(1184),
    [aux_sym_final_modifier_token1] = ACTIONS(1184),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1184),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1184),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [aux_sym_cast_type_token1] = ACTIONS(1184),
    [aux_sym_echo_statement_token1] = ACTIONS(1184),
    [anon_sym_unset] = ACTIONS(1184),
    [aux_sym_declare_statement_token1] = ACTIONS(1184),
    [aux_sym_declare_statement_token2] = ACTIONS(1184),
    [sym_float] = ACTIONS(1184),
    [aux_sym_try_statement_token1] = ACTIONS(1184),
    [aux_sym_goto_statement_token1] = ACTIONS(1184),
    [aux_sym_continue_statement_token1] = ACTIONS(1184),
    [aux_sym_break_statement_token1] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1184),
    [aux_sym_return_statement_token1] = ACTIONS(1184),
    [aux_sym_throw_expression_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token2] = ACTIONS(1184),
    [aux_sym_do_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token2] = ACTIONS(1184),
    [aux_sym_foreach_statement_token1] = ACTIONS(1184),
    [aux_sym_foreach_statement_token2] = ACTIONS(1184),
    [aux_sym_if_statement_token1] = ACTIONS(1184),
    [aux_sym_if_statement_token2] = ACTIONS(1184),
    [aux_sym_else_if_clause_token1] = ACTIONS(1184),
    [aux_sym_else_clause_token1] = ACTIONS(1184),
    [aux_sym_match_expression_token1] = ACTIONS(1184),
    [aux_sym_match_default_expression_token1] = ACTIONS(1184),
    [aux_sym_switch_statement_token1] = ACTIONS(1184),
    [aux_sym_switch_block_token1] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [aux_sym_clone_expression_token1] = ACTIONS(1184),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1184),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [aux_sym__list_destructing_token1] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_self] = ACTIONS(1184),
    [anon_sym_parent] = ACTIONS(1184),
    [aux_sym__argument_name_token1] = ACTIONS(1184),
    [aux_sym__argument_name_token2] = ACTIONS(1184),
    [anon_sym_POUND_LBRACK] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [aux_sym_encapsed_string_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [aux_sym_string_token1] = ACTIONS(1182),
    [anon_sym_LT_LT_LT] = ACTIONS(1182),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [aux_sym_yield_expression_token1] = ACTIONS(1184),
    [aux_sym_include_expression_token1] = ACTIONS(1184),
    [aux_sym_include_once_expression_token1] = ACTIONS(1184),
    [aux_sym_require_expression_token1] = ACTIONS(1184),
    [aux_sym_require_once_expression_token1] = ACTIONS(1184),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_name] = ACTIONS(1188),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1186),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1188),
    [aux_sym_global_declaration_token1] = ACTIONS(1188),
    [aux_sym_namespace_definition_token1] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1188),
    [anon_sym_BSLASH] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [aux_sym_trait_declaration_token1] = ACTIONS(1188),
    [aux_sym_interface_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_case_token1] = ACTIONS(1188),
    [aux_sym_class_declaration_token1] = ACTIONS(1188),
    [aux_sym_final_modifier_token1] = ACTIONS(1188),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1188),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1188),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1188),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [aux_sym_cast_type_token1] = ACTIONS(1188),
    [aux_sym_echo_statement_token1] = ACTIONS(1188),
    [anon_sym_unset] = ACTIONS(1188),
    [aux_sym_declare_statement_token1] = ACTIONS(1188),
    [aux_sym_declare_statement_token2] = ACTIONS(1188),
    [sym_float] = ACTIONS(1188),
    [aux_sym_try_statement_token1] = ACTIONS(1188),
    [aux_sym_goto_statement_token1] = ACTIONS(1188),
    [aux_sym_continue_statement_token1] = ACTIONS(1188),
    [aux_sym_break_statement_token1] = ACTIONS(1188),
    [sym_integer] = ACTIONS(1188),
    [aux_sym_return_statement_token1] = ACTIONS(1188),
    [aux_sym_throw_expression_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token2] = ACTIONS(1188),
    [aux_sym_do_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token2] = ACTIONS(1188),
    [aux_sym_foreach_statement_token1] = ACTIONS(1188),
    [aux_sym_foreach_statement_token2] = ACTIONS(1188),
    [aux_sym_if_statement_token1] = ACTIONS(1188),
    [aux_sym_if_statement_token2] = ACTIONS(1188),
    [aux_sym_else_if_clause_token1] = ACTIONS(1188),
    [aux_sym_else_clause_token1] = ACTIONS(1188),
    [aux_sym_match_expression_token1] = ACTIONS(1188),
    [aux_sym_match_default_expression_token1] = ACTIONS(1188),
    [aux_sym_switch_statement_token1] = ACTIONS(1188),
    [aux_sym_switch_block_token1] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [aux_sym_clone_expression_token1] = ACTIONS(1188),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1188),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [aux_sym__list_destructing_token1] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_self] = ACTIONS(1188),
    [anon_sym_parent] = ACTIONS(1188),
    [aux_sym__argument_name_token1] = ACTIONS(1188),
    [aux_sym__argument_name_token2] = ACTIONS(1188),
    [anon_sym_POUND_LBRACK] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [aux_sym_encapsed_string_token1] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [aux_sym_string_token1] = ACTIONS(1186),
    [anon_sym_LT_LT_LT] = ACTIONS(1186),
    [anon_sym_BQUOTE] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [aux_sym_yield_expression_token1] = ACTIONS(1188),
    [aux_sym_include_expression_token1] = ACTIONS(1188),
    [aux_sym_include_once_expression_token1] = ACTIONS(1188),
    [aux_sym_require_expression_token1] = ACTIONS(1188),
    [aux_sym_require_once_expression_token1] = ACTIONS(1188),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1190),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [aux_sym__argument_name_token1] = ACTIONS(1192),
    [aux_sym__argument_name_token2] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [aux_sym__argument_name_token1] = ACTIONS(1196),
    [aux_sym__argument_name_token2] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1190),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [aux_sym__argument_name_token1] = ACTIONS(1192),
    [aux_sym__argument_name_token2] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_name] = ACTIONS(1200),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1200),
    [aux_sym_global_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_definition_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1200),
    [anon_sym_BSLASH] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [aux_sym_trait_declaration_token1] = ACTIONS(1200),
    [aux_sym_interface_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_case_token1] = ACTIONS(1200),
    [aux_sym_class_declaration_token1] = ACTIONS(1200),
    [aux_sym_final_modifier_token1] = ACTIONS(1200),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1200),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1200),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [aux_sym_cast_type_token1] = ACTIONS(1200),
    [aux_sym_echo_statement_token1] = ACTIONS(1200),
    [anon_sym_unset] = ACTIONS(1200),
    [aux_sym_declare_statement_token1] = ACTIONS(1200),
    [aux_sym_declare_statement_token2] = ACTIONS(1200),
    [sym_float] = ACTIONS(1200),
    [aux_sym_try_statement_token1] = ACTIONS(1200),
    [aux_sym_goto_statement_token1] = ACTIONS(1200),
    [aux_sym_continue_statement_token1] = ACTIONS(1200),
    [aux_sym_break_statement_token1] = ACTIONS(1200),
    [sym_integer] = ACTIONS(1200),
    [aux_sym_return_statement_token1] = ACTIONS(1200),
    [aux_sym_throw_expression_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token2] = ACTIONS(1200),
    [aux_sym_do_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token2] = ACTIONS(1200),
    [aux_sym_foreach_statement_token1] = ACTIONS(1200),
    [aux_sym_foreach_statement_token2] = ACTIONS(1200),
    [aux_sym_if_statement_token1] = ACTIONS(1200),
    [aux_sym_if_statement_token2] = ACTIONS(1200),
    [aux_sym_else_if_clause_token1] = ACTIONS(1200),
    [aux_sym_else_clause_token1] = ACTIONS(1200),
    [aux_sym_match_expression_token1] = ACTIONS(1200),
    [aux_sym_match_default_expression_token1] = ACTIONS(1200),
    [aux_sym_switch_statement_token1] = ACTIONS(1200),
    [aux_sym_switch_block_token1] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [aux_sym_clone_expression_token1] = ACTIONS(1200),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1200),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [aux_sym__list_destructing_token1] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_self] = ACTIONS(1200),
    [anon_sym_parent] = ACTIONS(1200),
    [aux_sym__argument_name_token1] = ACTIONS(1200),
    [aux_sym__argument_name_token2] = ACTIONS(1200),
    [anon_sym_POUND_LBRACK] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [aux_sym_encapsed_string_token1] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [aux_sym_string_token1] = ACTIONS(1198),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [aux_sym_yield_expression_token1] = ACTIONS(1200),
    [aux_sym_include_expression_token1] = ACTIONS(1200),
    [aux_sym_include_once_expression_token1] = ACTIONS(1200),
    [aux_sym_require_expression_token1] = ACTIONS(1200),
    [aux_sym_require_once_expression_token1] = ACTIONS(1200),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [aux_sym__argument_name_token1] = ACTIONS(1204),
    [aux_sym__argument_name_token2] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_name] = ACTIONS(1208),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1208),
    [aux_sym_global_declaration_token1] = ACTIONS(1208),
    [aux_sym_namespace_definition_token1] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1208),
    [anon_sym_BSLASH] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [aux_sym_trait_declaration_token1] = ACTIONS(1208),
    [aux_sym_interface_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_case_token1] = ACTIONS(1208),
    [aux_sym_class_declaration_token1] = ACTIONS(1208),
    [aux_sym_final_modifier_token1] = ACTIONS(1208),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1208),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1208),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [aux_sym_cast_type_token1] = ACTIONS(1208),
    [aux_sym_echo_statement_token1] = ACTIONS(1208),
    [anon_sym_unset] = ACTIONS(1208),
    [aux_sym_declare_statement_token1] = ACTIONS(1208),
    [aux_sym_declare_statement_token2] = ACTIONS(1208),
    [sym_float] = ACTIONS(1208),
    [aux_sym_try_statement_token1] = ACTIONS(1208),
    [aux_sym_goto_statement_token1] = ACTIONS(1208),
    [aux_sym_continue_statement_token1] = ACTIONS(1208),
    [aux_sym_break_statement_token1] = ACTIONS(1208),
    [sym_integer] = ACTIONS(1208),
    [aux_sym_return_statement_token1] = ACTIONS(1208),
    [aux_sym_throw_expression_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token2] = ACTIONS(1208),
    [aux_sym_do_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token2] = ACTIONS(1208),
    [aux_sym_foreach_statement_token1] = ACTIONS(1208),
    [aux_sym_foreach_statement_token2] = ACTIONS(1208),
    [aux_sym_if_statement_token1] = ACTIONS(1208),
    [aux_sym_if_statement_token2] = ACTIONS(1208),
    [aux_sym_else_if_clause_token1] = ACTIONS(1208),
    [aux_sym_else_clause_token1] = ACTIONS(1208),
    [aux_sym_match_expression_token1] = ACTIONS(1208),
    [aux_sym_match_default_expression_token1] = ACTIONS(1208),
    [aux_sym_switch_statement_token1] = ACTIONS(1208),
    [aux_sym_switch_block_token1] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [aux_sym_clone_expression_token1] = ACTIONS(1208),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1208),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [aux_sym__list_destructing_token1] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_self] = ACTIONS(1208),
    [anon_sym_parent] = ACTIONS(1208),
    [aux_sym__argument_name_token1] = ACTIONS(1208),
    [aux_sym__argument_name_token2] = ACTIONS(1208),
    [anon_sym_POUND_LBRACK] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [aux_sym_encapsed_string_token1] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [aux_sym_string_token1] = ACTIONS(1206),
    [anon_sym_LT_LT_LT] = ACTIONS(1206),
    [anon_sym_BQUOTE] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [aux_sym_yield_expression_token1] = ACTIONS(1208),
    [aux_sym_include_expression_token1] = ACTIONS(1208),
    [aux_sym_include_once_expression_token1] = ACTIONS(1208),
    [aux_sym_require_expression_token1] = ACTIONS(1208),
    [aux_sym_require_once_expression_token1] = ACTIONS(1208),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_name] = ACTIONS(1212),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1210),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1212),
    [aux_sym_global_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_definition_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [aux_sym_trait_declaration_token1] = ACTIONS(1212),
    [aux_sym_interface_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_case_token1] = ACTIONS(1212),
    [aux_sym_class_declaration_token1] = ACTIONS(1212),
    [aux_sym_final_modifier_token1] = ACTIONS(1212),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1212),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1210),
    [aux_sym_cast_type_token1] = ACTIONS(1212),
    [aux_sym_echo_statement_token1] = ACTIONS(1212),
    [anon_sym_unset] = ACTIONS(1212),
    [aux_sym_declare_statement_token1] = ACTIONS(1212),
    [aux_sym_declare_statement_token2] = ACTIONS(1212),
    [sym_float] = ACTIONS(1212),
    [aux_sym_try_statement_token1] = ACTIONS(1212),
    [aux_sym_goto_statement_token1] = ACTIONS(1212),
    [aux_sym_continue_statement_token1] = ACTIONS(1212),
    [aux_sym_break_statement_token1] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1212),
    [aux_sym_return_statement_token1] = ACTIONS(1212),
    [aux_sym_throw_expression_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token2] = ACTIONS(1212),
    [aux_sym_do_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token2] = ACTIONS(1212),
    [aux_sym_foreach_statement_token1] = ACTIONS(1212),
    [aux_sym_foreach_statement_token2] = ACTIONS(1212),
    [aux_sym_if_statement_token1] = ACTIONS(1212),
    [aux_sym_if_statement_token2] = ACTIONS(1212),
    [aux_sym_else_if_clause_token1] = ACTIONS(1212),
    [aux_sym_else_clause_token1] = ACTIONS(1212),
    [aux_sym_match_expression_token1] = ACTIONS(1212),
    [aux_sym_match_default_expression_token1] = ACTIONS(1212),
    [aux_sym_switch_statement_token1] = ACTIONS(1212),
    [aux_sym_switch_block_token1] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [aux_sym_clone_expression_token1] = ACTIONS(1212),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1212),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [aux_sym__list_destructing_token1] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_self] = ACTIONS(1212),
    [anon_sym_parent] = ACTIONS(1212),
    [aux_sym__argument_name_token1] = ACTIONS(1212),
    [aux_sym__argument_name_token2] = ACTIONS(1212),
    [anon_sym_POUND_LBRACK] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [aux_sym_encapsed_string_token1] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_string_token1] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [aux_sym_yield_expression_token1] = ACTIONS(1212),
    [aux_sym_include_expression_token1] = ACTIONS(1212),
    [aux_sym_include_once_expression_token1] = ACTIONS(1212),
    [aux_sym_require_expression_token1] = ACTIONS(1212),
    [aux_sym_require_once_expression_token1] = ACTIONS(1212),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_name] = ACTIONS(1212),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1210),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1212),
    [aux_sym_global_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_definition_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [aux_sym_trait_declaration_token1] = ACTIONS(1212),
    [aux_sym_interface_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_case_token1] = ACTIONS(1212),
    [aux_sym_class_declaration_token1] = ACTIONS(1212),
    [aux_sym_final_modifier_token1] = ACTIONS(1212),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1212),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1210),
    [aux_sym_cast_type_token1] = ACTIONS(1212),
    [aux_sym_echo_statement_token1] = ACTIONS(1212),
    [anon_sym_unset] = ACTIONS(1212),
    [aux_sym_declare_statement_token1] = ACTIONS(1212),
    [aux_sym_declare_statement_token2] = ACTIONS(1212),
    [sym_float] = ACTIONS(1212),
    [aux_sym_try_statement_token1] = ACTIONS(1212),
    [aux_sym_goto_statement_token1] = ACTIONS(1212),
    [aux_sym_continue_statement_token1] = ACTIONS(1212),
    [aux_sym_break_statement_token1] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1212),
    [aux_sym_return_statement_token1] = ACTIONS(1212),
    [aux_sym_throw_expression_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token2] = ACTIONS(1212),
    [aux_sym_do_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token2] = ACTIONS(1212),
    [aux_sym_foreach_statement_token1] = ACTIONS(1212),
    [aux_sym_foreach_statement_token2] = ACTIONS(1212),
    [aux_sym_if_statement_token1] = ACTIONS(1212),
    [aux_sym_if_statement_token2] = ACTIONS(1212),
    [aux_sym_else_if_clause_token1] = ACTIONS(1212),
    [aux_sym_else_clause_token1] = ACTIONS(1212),
    [aux_sym_match_expression_token1] = ACTIONS(1212),
    [aux_sym_match_default_expression_token1] = ACTIONS(1212),
    [aux_sym_switch_statement_token1] = ACTIONS(1212),
    [aux_sym_switch_block_token1] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [aux_sym_clone_expression_token1] = ACTIONS(1212),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1212),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [aux_sym__list_destructing_token1] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_self] = ACTIONS(1212),
    [anon_sym_parent] = ACTIONS(1212),
    [aux_sym__argument_name_token1] = ACTIONS(1212),
    [aux_sym__argument_name_token2] = ACTIONS(1212),
    [anon_sym_POUND_LBRACK] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [aux_sym_encapsed_string_token1] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_string_token1] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [aux_sym_yield_expression_token1] = ACTIONS(1212),
    [aux_sym_include_expression_token1] = ACTIONS(1212),
    [aux_sym_include_once_expression_token1] = ACTIONS(1212),
    [aux_sym_require_expression_token1] = ACTIONS(1212),
    [aux_sym_require_once_expression_token1] = ACTIONS(1212),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_name] = ACTIONS(1216),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1214),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1216),
    [aux_sym_global_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_definition_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1216),
    [anon_sym_BSLASH] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [aux_sym_trait_declaration_token1] = ACTIONS(1216),
    [aux_sym_interface_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_case_token1] = ACTIONS(1216),
    [aux_sym_class_declaration_token1] = ACTIONS(1216),
    [aux_sym_final_modifier_token1] = ACTIONS(1216),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1216),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1216),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [aux_sym_cast_type_token1] = ACTIONS(1216),
    [aux_sym_echo_statement_token1] = ACTIONS(1216),
    [anon_sym_unset] = ACTIONS(1216),
    [aux_sym_declare_statement_token1] = ACTIONS(1216),
    [aux_sym_declare_statement_token2] = ACTIONS(1216),
    [sym_float] = ACTIONS(1216),
    [aux_sym_try_statement_token1] = ACTIONS(1216),
    [aux_sym_goto_statement_token1] = ACTIONS(1216),
    [aux_sym_continue_statement_token1] = ACTIONS(1216),
    [aux_sym_break_statement_token1] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1216),
    [aux_sym_return_statement_token1] = ACTIONS(1216),
    [aux_sym_throw_expression_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token2] = ACTIONS(1216),
    [aux_sym_do_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token2] = ACTIONS(1216),
    [aux_sym_foreach_statement_token1] = ACTIONS(1216),
    [aux_sym_foreach_statement_token2] = ACTIONS(1216),
    [aux_sym_if_statement_token1] = ACTIONS(1216),
    [aux_sym_if_statement_token2] = ACTIONS(1216),
    [aux_sym_else_if_clause_token1] = ACTIONS(1216),
    [aux_sym_else_clause_token1] = ACTIONS(1216),
    [aux_sym_match_expression_token1] = ACTIONS(1216),
    [aux_sym_match_default_expression_token1] = ACTIONS(1216),
    [aux_sym_switch_statement_token1] = ACTIONS(1216),
    [aux_sym_switch_block_token1] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [aux_sym_clone_expression_token1] = ACTIONS(1216),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1216),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [aux_sym__list_destructing_token1] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_self] = ACTIONS(1216),
    [anon_sym_parent] = ACTIONS(1216),
    [aux_sym__argument_name_token1] = ACTIONS(1216),
    [aux_sym__argument_name_token2] = ACTIONS(1216),
    [anon_sym_POUND_LBRACK] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [aux_sym_encapsed_string_token1] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [aux_sym_string_token1] = ACTIONS(1214),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [aux_sym_yield_expression_token1] = ACTIONS(1216),
    [aux_sym_include_expression_token1] = ACTIONS(1216),
    [aux_sym_include_once_expression_token1] = ACTIONS(1216),
    [aux_sym_require_expression_token1] = ACTIONS(1216),
    [aux_sym_require_once_expression_token1] = ACTIONS(1216),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_name] = ACTIONS(1220),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1218),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1220),
    [aux_sym_global_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_definition_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1220),
    [anon_sym_BSLASH] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [aux_sym_trait_declaration_token1] = ACTIONS(1220),
    [aux_sym_interface_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_case_token1] = ACTIONS(1220),
    [aux_sym_class_declaration_token1] = ACTIONS(1220),
    [aux_sym_final_modifier_token1] = ACTIONS(1220),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1220),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1220),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1218),
    [aux_sym_cast_type_token1] = ACTIONS(1220),
    [aux_sym_echo_statement_token1] = ACTIONS(1220),
    [anon_sym_unset] = ACTIONS(1220),
    [aux_sym_declare_statement_token1] = ACTIONS(1220),
    [aux_sym_declare_statement_token2] = ACTIONS(1220),
    [sym_float] = ACTIONS(1220),
    [aux_sym_try_statement_token1] = ACTIONS(1220),
    [aux_sym_goto_statement_token1] = ACTIONS(1220),
    [aux_sym_continue_statement_token1] = ACTIONS(1220),
    [aux_sym_break_statement_token1] = ACTIONS(1220),
    [sym_integer] = ACTIONS(1220),
    [aux_sym_return_statement_token1] = ACTIONS(1220),
    [aux_sym_throw_expression_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token2] = ACTIONS(1220),
    [aux_sym_do_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token2] = ACTIONS(1220),
    [aux_sym_foreach_statement_token1] = ACTIONS(1220),
    [aux_sym_foreach_statement_token2] = ACTIONS(1220),
    [aux_sym_if_statement_token1] = ACTIONS(1220),
    [aux_sym_if_statement_token2] = ACTIONS(1220),
    [aux_sym_else_if_clause_token1] = ACTIONS(1220),
    [aux_sym_else_clause_token1] = ACTIONS(1220),
    [aux_sym_match_expression_token1] = ACTIONS(1220),
    [aux_sym_match_default_expression_token1] = ACTIONS(1220),
    [aux_sym_switch_statement_token1] = ACTIONS(1220),
    [aux_sym_switch_block_token1] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [aux_sym_clone_expression_token1] = ACTIONS(1220),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1220),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [aux_sym__list_destructing_token1] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_self] = ACTIONS(1220),
    [anon_sym_parent] = ACTIONS(1220),
    [aux_sym__argument_name_token1] = ACTIONS(1220),
    [aux_sym__argument_name_token2] = ACTIONS(1220),
    [anon_sym_POUND_LBRACK] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [aux_sym_encapsed_string_token1] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [aux_sym_string_token1] = ACTIONS(1218),
    [anon_sym_LT_LT_LT] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [aux_sym_yield_expression_token1] = ACTIONS(1220),
    [aux_sym_include_expression_token1] = ACTIONS(1220),
    [aux_sym_include_once_expression_token1] = ACTIONS(1220),
    [aux_sym_require_expression_token1] = ACTIONS(1220),
    [aux_sym_require_once_expression_token1] = ACTIONS(1220),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_name] = ACTIONS(1224),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1222),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1224),
    [aux_sym_global_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_definition_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1224),
    [anon_sym_BSLASH] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [aux_sym_trait_declaration_token1] = ACTIONS(1224),
    [aux_sym_interface_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_case_token1] = ACTIONS(1224),
    [aux_sym_class_declaration_token1] = ACTIONS(1224),
    [aux_sym_final_modifier_token1] = ACTIONS(1224),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1224),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1224),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [aux_sym_cast_type_token1] = ACTIONS(1224),
    [aux_sym_echo_statement_token1] = ACTIONS(1224),
    [anon_sym_unset] = ACTIONS(1224),
    [aux_sym_declare_statement_token1] = ACTIONS(1224),
    [aux_sym_declare_statement_token2] = ACTIONS(1224),
    [sym_float] = ACTIONS(1224),
    [aux_sym_try_statement_token1] = ACTIONS(1224),
    [aux_sym_goto_statement_token1] = ACTIONS(1224),
    [aux_sym_continue_statement_token1] = ACTIONS(1224),
    [aux_sym_break_statement_token1] = ACTIONS(1224),
    [sym_integer] = ACTIONS(1224),
    [aux_sym_return_statement_token1] = ACTIONS(1224),
    [aux_sym_throw_expression_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token2] = ACTIONS(1224),
    [aux_sym_do_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token2] = ACTIONS(1224),
    [aux_sym_foreach_statement_token1] = ACTIONS(1224),
    [aux_sym_foreach_statement_token2] = ACTIONS(1224),
    [aux_sym_if_statement_token1] = ACTIONS(1224),
    [aux_sym_if_statement_token2] = ACTIONS(1224),
    [aux_sym_else_if_clause_token1] = ACTIONS(1224),
    [aux_sym_else_clause_token1] = ACTIONS(1224),
    [aux_sym_match_expression_token1] = ACTIONS(1224),
    [aux_sym_match_default_expression_token1] = ACTIONS(1224),
    [aux_sym_switch_statement_token1] = ACTIONS(1224),
    [aux_sym_switch_block_token1] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1222),
    [aux_sym_clone_expression_token1] = ACTIONS(1224),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1224),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [aux_sym__list_destructing_token1] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_self] = ACTIONS(1224),
    [anon_sym_parent] = ACTIONS(1224),
    [aux_sym__argument_name_token1] = ACTIONS(1224),
    [aux_sym__argument_name_token2] = ACTIONS(1224),
    [anon_sym_POUND_LBRACK] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [aux_sym_encapsed_string_token1] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [aux_sym_string_token1] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1222),
    [aux_sym_yield_expression_token1] = ACTIONS(1224),
    [aux_sym_include_expression_token1] = ACTIONS(1224),
    [aux_sym_include_once_expression_token1] = ACTIONS(1224),
    [aux_sym_require_expression_token1] = ACTIONS(1224),
    [aux_sym_require_once_expression_token1] = ACTIONS(1224),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_name] = ACTIONS(1228),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1226),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1228),
    [aux_sym_global_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_definition_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1228),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [aux_sym_trait_declaration_token1] = ACTIONS(1228),
    [aux_sym_interface_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_case_token1] = ACTIONS(1228),
    [aux_sym_class_declaration_token1] = ACTIONS(1228),
    [aux_sym_final_modifier_token1] = ACTIONS(1228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1228),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [aux_sym_cast_type_token1] = ACTIONS(1228),
    [aux_sym_echo_statement_token1] = ACTIONS(1228),
    [anon_sym_unset] = ACTIONS(1228),
    [aux_sym_declare_statement_token1] = ACTIONS(1228),
    [aux_sym_declare_statement_token2] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [aux_sym_try_statement_token1] = ACTIONS(1228),
    [aux_sym_goto_statement_token1] = ACTIONS(1228),
    [aux_sym_continue_statement_token1] = ACTIONS(1228),
    [aux_sym_break_statement_token1] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1228),
    [aux_sym_return_statement_token1] = ACTIONS(1228),
    [aux_sym_throw_expression_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token2] = ACTIONS(1228),
    [aux_sym_do_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token2] = ACTIONS(1228),
    [aux_sym_foreach_statement_token1] = ACTIONS(1228),
    [aux_sym_foreach_statement_token2] = ACTIONS(1228),
    [aux_sym_if_statement_token1] = ACTIONS(1228),
    [aux_sym_if_statement_token2] = ACTIONS(1228),
    [aux_sym_else_if_clause_token1] = ACTIONS(1228),
    [aux_sym_else_clause_token1] = ACTIONS(1228),
    [aux_sym_match_expression_token1] = ACTIONS(1228),
    [aux_sym_match_default_expression_token1] = ACTIONS(1228),
    [aux_sym_switch_statement_token1] = ACTIONS(1228),
    [aux_sym_switch_block_token1] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [aux_sym_clone_expression_token1] = ACTIONS(1228),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1228),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [aux_sym__list_destructing_token1] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_self] = ACTIONS(1228),
    [anon_sym_parent] = ACTIONS(1228),
    [aux_sym__argument_name_token1] = ACTIONS(1228),
    [aux_sym__argument_name_token2] = ACTIONS(1228),
    [anon_sym_POUND_LBRACK] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [aux_sym_encapsed_string_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [aux_sym_string_token1] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [aux_sym_yield_expression_token1] = ACTIONS(1228),
    [aux_sym_include_expression_token1] = ACTIONS(1228),
    [aux_sym_include_once_expression_token1] = ACTIONS(1228),
    [aux_sym_require_expression_token1] = ACTIONS(1228),
    [aux_sym_require_once_expression_token1] = ACTIONS(1228),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_name] = ACTIONS(1232),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1232),
    [aux_sym_global_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_definition_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1232),
    [anon_sym_BSLASH] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [aux_sym_trait_declaration_token1] = ACTIONS(1232),
    [aux_sym_interface_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_case_token1] = ACTIONS(1232),
    [aux_sym_class_declaration_token1] = ACTIONS(1232),
    [aux_sym_final_modifier_token1] = ACTIONS(1232),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1232),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1232),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [aux_sym_cast_type_token1] = ACTIONS(1232),
    [aux_sym_echo_statement_token1] = ACTIONS(1232),
    [anon_sym_unset] = ACTIONS(1232),
    [aux_sym_declare_statement_token1] = ACTIONS(1232),
    [aux_sym_declare_statement_token2] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [aux_sym_try_statement_token1] = ACTIONS(1232),
    [aux_sym_goto_statement_token1] = ACTIONS(1232),
    [aux_sym_continue_statement_token1] = ACTIONS(1232),
    [aux_sym_break_statement_token1] = ACTIONS(1232),
    [sym_integer] = ACTIONS(1232),
    [aux_sym_return_statement_token1] = ACTIONS(1232),
    [aux_sym_throw_expression_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token2] = ACTIONS(1232),
    [aux_sym_do_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token2] = ACTIONS(1232),
    [aux_sym_foreach_statement_token1] = ACTIONS(1232),
    [aux_sym_foreach_statement_token2] = ACTIONS(1232),
    [aux_sym_if_statement_token1] = ACTIONS(1232),
    [aux_sym_if_statement_token2] = ACTIONS(1232),
    [aux_sym_else_if_clause_token1] = ACTIONS(1232),
    [aux_sym_else_clause_token1] = ACTIONS(1232),
    [aux_sym_match_expression_token1] = ACTIONS(1232),
    [aux_sym_match_default_expression_token1] = ACTIONS(1232),
    [aux_sym_switch_statement_token1] = ACTIONS(1232),
    [aux_sym_switch_block_token1] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1230),
    [aux_sym_clone_expression_token1] = ACTIONS(1232),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1232),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [aux_sym__list_destructing_token1] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_self] = ACTIONS(1232),
    [anon_sym_parent] = ACTIONS(1232),
    [aux_sym__argument_name_token1] = ACTIONS(1232),
    [aux_sym__argument_name_token2] = ACTIONS(1232),
    [anon_sym_POUND_LBRACK] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [aux_sym_encapsed_string_token1] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [aux_sym_string_token1] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_BQUOTE] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1230),
    [aux_sym_yield_expression_token1] = ACTIONS(1232),
    [aux_sym_include_expression_token1] = ACTIONS(1232),
    [aux_sym_include_once_expression_token1] = ACTIONS(1232),
    [aux_sym_require_expression_token1] = ACTIONS(1232),
    [aux_sym_require_once_expression_token1] = ACTIONS(1232),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_name] = ACTIONS(1236),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1234),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1236),
    [aux_sym_global_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_definition_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [aux_sym_trait_declaration_token1] = ACTIONS(1236),
    [aux_sym_interface_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_case_token1] = ACTIONS(1236),
    [aux_sym_class_declaration_token1] = ACTIONS(1236),
    [aux_sym_final_modifier_token1] = ACTIONS(1236),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1236),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1234),
    [aux_sym_cast_type_token1] = ACTIONS(1236),
    [aux_sym_echo_statement_token1] = ACTIONS(1236),
    [anon_sym_unset] = ACTIONS(1236),
    [aux_sym_declare_statement_token1] = ACTIONS(1236),
    [aux_sym_declare_statement_token2] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [aux_sym_try_statement_token1] = ACTIONS(1236),
    [aux_sym_goto_statement_token1] = ACTIONS(1236),
    [aux_sym_continue_statement_token1] = ACTIONS(1236),
    [aux_sym_break_statement_token1] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1236),
    [aux_sym_return_statement_token1] = ACTIONS(1236),
    [aux_sym_throw_expression_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token2] = ACTIONS(1236),
    [aux_sym_do_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token2] = ACTIONS(1236),
    [aux_sym_foreach_statement_token1] = ACTIONS(1236),
    [aux_sym_foreach_statement_token2] = ACTIONS(1236),
    [aux_sym_if_statement_token1] = ACTIONS(1236),
    [aux_sym_if_statement_token2] = ACTIONS(1236),
    [aux_sym_else_if_clause_token1] = ACTIONS(1236),
    [aux_sym_else_clause_token1] = ACTIONS(1236),
    [aux_sym_match_expression_token1] = ACTIONS(1236),
    [aux_sym_match_default_expression_token1] = ACTIONS(1236),
    [aux_sym_switch_statement_token1] = ACTIONS(1236),
    [aux_sym_switch_block_token1] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1234),
    [aux_sym_clone_expression_token1] = ACTIONS(1236),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1236),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [aux_sym__list_destructing_token1] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_self] = ACTIONS(1236),
    [anon_sym_parent] = ACTIONS(1236),
    [aux_sym__argument_name_token1] = ACTIONS(1236),
    [aux_sym__argument_name_token2] = ACTIONS(1236),
    [anon_sym_POUND_LBRACK] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [aux_sym_encapsed_string_token1] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [aux_sym_string_token1] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1234),
    [aux_sym_yield_expression_token1] = ACTIONS(1236),
    [aux_sym_include_expression_token1] = ACTIONS(1236),
    [aux_sym_include_once_expression_token1] = ACTIONS(1236),
    [aux_sym_require_expression_token1] = ACTIONS(1236),
    [aux_sym_require_once_expression_token1] = ACTIONS(1236),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [aux_sym__argument_name_token1] = ACTIONS(1240),
    [aux_sym__argument_name_token2] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_name] = ACTIONS(1244),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1244),
    [aux_sym_global_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_definition_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [aux_sym_trait_declaration_token1] = ACTIONS(1244),
    [aux_sym_interface_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_case_token1] = ACTIONS(1244),
    [aux_sym_class_declaration_token1] = ACTIONS(1244),
    [aux_sym_final_modifier_token1] = ACTIONS(1244),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1244),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [aux_sym_cast_type_token1] = ACTIONS(1244),
    [aux_sym_echo_statement_token1] = ACTIONS(1244),
    [anon_sym_unset] = ACTIONS(1244),
    [aux_sym_declare_statement_token1] = ACTIONS(1244),
    [aux_sym_declare_statement_token2] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [aux_sym_try_statement_token1] = ACTIONS(1244),
    [aux_sym_goto_statement_token1] = ACTIONS(1244),
    [aux_sym_continue_statement_token1] = ACTIONS(1244),
    [aux_sym_break_statement_token1] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1244),
    [aux_sym_return_statement_token1] = ACTIONS(1244),
    [aux_sym_throw_expression_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token2] = ACTIONS(1244),
    [aux_sym_do_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token2] = ACTIONS(1244),
    [aux_sym_foreach_statement_token1] = ACTIONS(1244),
    [aux_sym_foreach_statement_token2] = ACTIONS(1244),
    [aux_sym_if_statement_token1] = ACTIONS(1244),
    [aux_sym_if_statement_token2] = ACTIONS(1244),
    [aux_sym_else_if_clause_token1] = ACTIONS(1244),
    [aux_sym_else_clause_token1] = ACTIONS(1244),
    [aux_sym_match_expression_token1] = ACTIONS(1244),
    [aux_sym_match_default_expression_token1] = ACTIONS(1244),
    [aux_sym_switch_statement_token1] = ACTIONS(1244),
    [aux_sym_switch_block_token1] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1242),
    [aux_sym_clone_expression_token1] = ACTIONS(1244),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1244),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [aux_sym__list_destructing_token1] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_self] = ACTIONS(1244),
    [anon_sym_parent] = ACTIONS(1244),
    [aux_sym__argument_name_token1] = ACTIONS(1244),
    [aux_sym__argument_name_token2] = ACTIONS(1244),
    [anon_sym_POUND_LBRACK] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [aux_sym_encapsed_string_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [aux_sym_string_token1] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1242),
    [aux_sym_yield_expression_token1] = ACTIONS(1244),
    [aux_sym_include_expression_token1] = ACTIONS(1244),
    [aux_sym_include_once_expression_token1] = ACTIONS(1244),
    [aux_sym_require_expression_token1] = ACTIONS(1244),
    [aux_sym_require_once_expression_token1] = ACTIONS(1244),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_name] = ACTIONS(1248),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1246),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1248),
    [aux_sym_global_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_definition_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1248),
    [anon_sym_BSLASH] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [aux_sym_trait_declaration_token1] = ACTIONS(1248),
    [aux_sym_interface_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_case_token1] = ACTIONS(1248),
    [aux_sym_class_declaration_token1] = ACTIONS(1248),
    [aux_sym_final_modifier_token1] = ACTIONS(1248),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1248),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1248),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1246),
    [aux_sym_cast_type_token1] = ACTIONS(1248),
    [aux_sym_echo_statement_token1] = ACTIONS(1248),
    [anon_sym_unset] = ACTIONS(1248),
    [aux_sym_declare_statement_token1] = ACTIONS(1248),
    [aux_sym_declare_statement_token2] = ACTIONS(1248),
    [sym_float] = ACTIONS(1248),
    [aux_sym_try_statement_token1] = ACTIONS(1248),
    [aux_sym_goto_statement_token1] = ACTIONS(1248),
    [aux_sym_continue_statement_token1] = ACTIONS(1248),
    [aux_sym_break_statement_token1] = ACTIONS(1248),
    [sym_integer] = ACTIONS(1248),
    [aux_sym_return_statement_token1] = ACTIONS(1248),
    [aux_sym_throw_expression_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token2] = ACTIONS(1248),
    [aux_sym_do_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token2] = ACTIONS(1248),
    [aux_sym_foreach_statement_token1] = ACTIONS(1248),
    [aux_sym_foreach_statement_token2] = ACTIONS(1248),
    [aux_sym_if_statement_token1] = ACTIONS(1248),
    [aux_sym_if_statement_token2] = ACTIONS(1248),
    [aux_sym_else_if_clause_token1] = ACTIONS(1248),
    [aux_sym_else_clause_token1] = ACTIONS(1248),
    [aux_sym_match_expression_token1] = ACTIONS(1248),
    [aux_sym_match_default_expression_token1] = ACTIONS(1248),
    [aux_sym_switch_statement_token1] = ACTIONS(1248),
    [aux_sym_switch_block_token1] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1246),
    [aux_sym_clone_expression_token1] = ACTIONS(1248),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1248),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [aux_sym__list_destructing_token1] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(1248),
    [anon_sym_parent] = ACTIONS(1248),
    [aux_sym__argument_name_token1] = ACTIONS(1248),
    [aux_sym__argument_name_token2] = ACTIONS(1248),
    [anon_sym_POUND_LBRACK] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [aux_sym_encapsed_string_token1] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [aux_sym_string_token1] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [aux_sym_yield_expression_token1] = ACTIONS(1248),
    [aux_sym_include_expression_token1] = ACTIONS(1248),
    [aux_sym_include_once_expression_token1] = ACTIONS(1248),
    [aux_sym_require_expression_token1] = ACTIONS(1248),
    [aux_sym_require_once_expression_token1] = ACTIONS(1248),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_name] = ACTIONS(1252),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1250),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1252),
    [aux_sym_global_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_definition_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1252),
    [anon_sym_BSLASH] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [aux_sym_trait_declaration_token1] = ACTIONS(1252),
    [aux_sym_interface_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_case_token1] = ACTIONS(1252),
    [aux_sym_class_declaration_token1] = ACTIONS(1252),
    [aux_sym_final_modifier_token1] = ACTIONS(1252),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1252),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [aux_sym_cast_type_token1] = ACTIONS(1252),
    [aux_sym_echo_statement_token1] = ACTIONS(1252),
    [anon_sym_unset] = ACTIONS(1252),
    [aux_sym_declare_statement_token1] = ACTIONS(1252),
    [aux_sym_declare_statement_token2] = ACTIONS(1252),
    [sym_float] = ACTIONS(1252),
    [aux_sym_try_statement_token1] = ACTIONS(1252),
    [aux_sym_goto_statement_token1] = ACTIONS(1252),
    [aux_sym_continue_statement_token1] = ACTIONS(1252),
    [aux_sym_break_statement_token1] = ACTIONS(1252),
    [sym_integer] = ACTIONS(1252),
    [aux_sym_return_statement_token1] = ACTIONS(1252),
    [aux_sym_throw_expression_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token2] = ACTIONS(1252),
    [aux_sym_do_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token2] = ACTIONS(1252),
    [aux_sym_foreach_statement_token1] = ACTIONS(1252),
    [aux_sym_foreach_statement_token2] = ACTIONS(1252),
    [aux_sym_if_statement_token1] = ACTIONS(1252),
    [aux_sym_if_statement_token2] = ACTIONS(1252),
    [aux_sym_else_if_clause_token1] = ACTIONS(1252),
    [aux_sym_else_clause_token1] = ACTIONS(1252),
    [aux_sym_match_expression_token1] = ACTIONS(1252),
    [aux_sym_match_default_expression_token1] = ACTIONS(1252),
    [aux_sym_switch_statement_token1] = ACTIONS(1252),
    [aux_sym_switch_block_token1] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [aux_sym_clone_expression_token1] = ACTIONS(1252),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1252),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [aux_sym__list_destructing_token1] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_self] = ACTIONS(1252),
    [anon_sym_parent] = ACTIONS(1252),
    [aux_sym__argument_name_token1] = ACTIONS(1252),
    [aux_sym__argument_name_token2] = ACTIONS(1252),
    [anon_sym_POUND_LBRACK] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [aux_sym_encapsed_string_token1] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_string_token1] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_BQUOTE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [aux_sym_yield_expression_token1] = ACTIONS(1252),
    [aux_sym_include_expression_token1] = ACTIONS(1252),
    [aux_sym_include_once_expression_token1] = ACTIONS(1252),
    [aux_sym_require_expression_token1] = ACTIONS(1252),
    [aux_sym_require_once_expression_token1] = ACTIONS(1252),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_name] = ACTIONS(1256),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1256),
    [aux_sym_global_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_definition_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1256),
    [anon_sym_BSLASH] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [aux_sym_trait_declaration_token1] = ACTIONS(1256),
    [aux_sym_interface_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_case_token1] = ACTIONS(1256),
    [aux_sym_class_declaration_token1] = ACTIONS(1256),
    [aux_sym_final_modifier_token1] = ACTIONS(1256),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1256),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1256),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [aux_sym_cast_type_token1] = ACTIONS(1256),
    [aux_sym_echo_statement_token1] = ACTIONS(1256),
    [anon_sym_unset] = ACTIONS(1256),
    [aux_sym_declare_statement_token1] = ACTIONS(1256),
    [aux_sym_declare_statement_token2] = ACTIONS(1256),
    [sym_float] = ACTIONS(1256),
    [aux_sym_try_statement_token1] = ACTIONS(1256),
    [aux_sym_goto_statement_token1] = ACTIONS(1256),
    [aux_sym_continue_statement_token1] = ACTIONS(1256),
    [aux_sym_break_statement_token1] = ACTIONS(1256),
    [sym_integer] = ACTIONS(1256),
    [aux_sym_return_statement_token1] = ACTIONS(1256),
    [aux_sym_throw_expression_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token2] = ACTIONS(1256),
    [aux_sym_do_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token2] = ACTIONS(1256),
    [aux_sym_foreach_statement_token1] = ACTIONS(1256),
    [aux_sym_foreach_statement_token2] = ACTIONS(1256),
    [aux_sym_if_statement_token1] = ACTIONS(1256),
    [aux_sym_if_statement_token2] = ACTIONS(1256),
    [aux_sym_else_if_clause_token1] = ACTIONS(1256),
    [aux_sym_else_clause_token1] = ACTIONS(1256),
    [aux_sym_match_expression_token1] = ACTIONS(1256),
    [aux_sym_match_default_expression_token1] = ACTIONS(1256),
    [aux_sym_switch_statement_token1] = ACTIONS(1256),
    [aux_sym_switch_block_token1] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [aux_sym_clone_expression_token1] = ACTIONS(1256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1256),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [aux_sym__list_destructing_token1] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_self] = ACTIONS(1256),
    [anon_sym_parent] = ACTIONS(1256),
    [aux_sym__argument_name_token1] = ACTIONS(1256),
    [aux_sym__argument_name_token2] = ACTIONS(1256),
    [anon_sym_POUND_LBRACK] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [aux_sym_encapsed_string_token1] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_string_token1] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [aux_sym_yield_expression_token1] = ACTIONS(1256),
    [aux_sym_include_expression_token1] = ACTIONS(1256),
    [aux_sym_include_once_expression_token1] = ACTIONS(1256),
    [aux_sym_require_expression_token1] = ACTIONS(1256),
    [aux_sym_require_once_expression_token1] = ACTIONS(1256),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_name] = ACTIONS(1260),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1258),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1260),
    [aux_sym_global_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_definition_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1260),
    [anon_sym_BSLASH] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [aux_sym_trait_declaration_token1] = ACTIONS(1260),
    [aux_sym_interface_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_case_token1] = ACTIONS(1260),
    [aux_sym_class_declaration_token1] = ACTIONS(1260),
    [aux_sym_final_modifier_token1] = ACTIONS(1260),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1260),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1260),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [aux_sym_cast_type_token1] = ACTIONS(1260),
    [aux_sym_echo_statement_token1] = ACTIONS(1260),
    [anon_sym_unset] = ACTIONS(1260),
    [aux_sym_declare_statement_token1] = ACTIONS(1260),
    [aux_sym_declare_statement_token2] = ACTIONS(1260),
    [sym_float] = ACTIONS(1260),
    [aux_sym_try_statement_token1] = ACTIONS(1260),
    [aux_sym_goto_statement_token1] = ACTIONS(1260),
    [aux_sym_continue_statement_token1] = ACTIONS(1260),
    [aux_sym_break_statement_token1] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1260),
    [aux_sym_return_statement_token1] = ACTIONS(1260),
    [aux_sym_throw_expression_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token2] = ACTIONS(1260),
    [aux_sym_do_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token2] = ACTIONS(1260),
    [aux_sym_foreach_statement_token1] = ACTIONS(1260),
    [aux_sym_foreach_statement_token2] = ACTIONS(1260),
    [aux_sym_if_statement_token1] = ACTIONS(1260),
    [aux_sym_if_statement_token2] = ACTIONS(1260),
    [aux_sym_else_if_clause_token1] = ACTIONS(1260),
    [aux_sym_else_clause_token1] = ACTIONS(1260),
    [aux_sym_match_expression_token1] = ACTIONS(1260),
    [aux_sym_match_default_expression_token1] = ACTIONS(1260),
    [aux_sym_switch_statement_token1] = ACTIONS(1260),
    [aux_sym_switch_block_token1] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1258),
    [aux_sym_clone_expression_token1] = ACTIONS(1260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1260),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [aux_sym__list_destructing_token1] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_self] = ACTIONS(1260),
    [anon_sym_parent] = ACTIONS(1260),
    [aux_sym__argument_name_token1] = ACTIONS(1260),
    [aux_sym__argument_name_token2] = ACTIONS(1260),
    [anon_sym_POUND_LBRACK] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [aux_sym_encapsed_string_token1] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_string_token1] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1258),
    [aux_sym_yield_expression_token1] = ACTIONS(1260),
    [aux_sym_include_expression_token1] = ACTIONS(1260),
    [aux_sym_include_once_expression_token1] = ACTIONS(1260),
    [aux_sym_require_expression_token1] = ACTIONS(1260),
    [aux_sym_require_once_expression_token1] = ACTIONS(1260),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_name] = ACTIONS(1260),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1258),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1260),
    [aux_sym_global_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_definition_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1260),
    [anon_sym_BSLASH] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [aux_sym_trait_declaration_token1] = ACTIONS(1260),
    [aux_sym_interface_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_case_token1] = ACTIONS(1260),
    [aux_sym_class_declaration_token1] = ACTIONS(1260),
    [aux_sym_final_modifier_token1] = ACTIONS(1260),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1260),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1260),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [aux_sym_cast_type_token1] = ACTIONS(1260),
    [aux_sym_echo_statement_token1] = ACTIONS(1260),
    [anon_sym_unset] = ACTIONS(1260),
    [aux_sym_declare_statement_token1] = ACTIONS(1260),
    [aux_sym_declare_statement_token2] = ACTIONS(1260),
    [sym_float] = ACTIONS(1260),
    [aux_sym_try_statement_token1] = ACTIONS(1260),
    [aux_sym_goto_statement_token1] = ACTIONS(1260),
    [aux_sym_continue_statement_token1] = ACTIONS(1260),
    [aux_sym_break_statement_token1] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1260),
    [aux_sym_return_statement_token1] = ACTIONS(1260),
    [aux_sym_throw_expression_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token2] = ACTIONS(1260),
    [aux_sym_do_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token2] = ACTIONS(1260),
    [aux_sym_foreach_statement_token1] = ACTIONS(1260),
    [aux_sym_foreach_statement_token2] = ACTIONS(1260),
    [aux_sym_if_statement_token1] = ACTIONS(1260),
    [aux_sym_if_statement_token2] = ACTIONS(1260),
    [aux_sym_else_if_clause_token1] = ACTIONS(1260),
    [aux_sym_else_clause_token1] = ACTIONS(1260),
    [aux_sym_match_expression_token1] = ACTIONS(1260),
    [aux_sym_match_default_expression_token1] = ACTIONS(1260),
    [aux_sym_switch_statement_token1] = ACTIONS(1260),
    [aux_sym_switch_block_token1] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1258),
    [aux_sym_clone_expression_token1] = ACTIONS(1260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1260),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [aux_sym__list_destructing_token1] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_self] = ACTIONS(1260),
    [anon_sym_parent] = ACTIONS(1260),
    [aux_sym__argument_name_token1] = ACTIONS(1260),
    [aux_sym__argument_name_token2] = ACTIONS(1260),
    [anon_sym_POUND_LBRACK] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [aux_sym_encapsed_string_token1] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_string_token1] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1258),
    [aux_sym_yield_expression_token1] = ACTIONS(1260),
    [aux_sym_include_expression_token1] = ACTIONS(1260),
    [aux_sym_include_once_expression_token1] = ACTIONS(1260),
    [aux_sym_require_expression_token1] = ACTIONS(1260),
    [aux_sym_require_once_expression_token1] = ACTIONS(1260),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_name] = ACTIONS(1264),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1262),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1264),
    [aux_sym_global_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_definition_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1264),
    [anon_sym_BSLASH] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [aux_sym_trait_declaration_token1] = ACTIONS(1264),
    [aux_sym_interface_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_case_token1] = ACTIONS(1264),
    [aux_sym_class_declaration_token1] = ACTIONS(1264),
    [aux_sym_final_modifier_token1] = ACTIONS(1264),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1264),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1264),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [aux_sym_cast_type_token1] = ACTIONS(1264),
    [aux_sym_echo_statement_token1] = ACTIONS(1264),
    [anon_sym_unset] = ACTIONS(1264),
    [aux_sym_declare_statement_token1] = ACTIONS(1264),
    [aux_sym_declare_statement_token2] = ACTIONS(1264),
    [sym_float] = ACTIONS(1264),
    [aux_sym_try_statement_token1] = ACTIONS(1264),
    [aux_sym_goto_statement_token1] = ACTIONS(1264),
    [aux_sym_continue_statement_token1] = ACTIONS(1264),
    [aux_sym_break_statement_token1] = ACTIONS(1264),
    [sym_integer] = ACTIONS(1264),
    [aux_sym_return_statement_token1] = ACTIONS(1264),
    [aux_sym_throw_expression_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token2] = ACTIONS(1264),
    [aux_sym_do_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token2] = ACTIONS(1264),
    [aux_sym_foreach_statement_token1] = ACTIONS(1264),
    [aux_sym_foreach_statement_token2] = ACTIONS(1264),
    [aux_sym_if_statement_token1] = ACTIONS(1264),
    [aux_sym_if_statement_token2] = ACTIONS(1264),
    [aux_sym_else_if_clause_token1] = ACTIONS(1264),
    [aux_sym_else_clause_token1] = ACTIONS(1264),
    [aux_sym_match_expression_token1] = ACTIONS(1264),
    [aux_sym_match_default_expression_token1] = ACTIONS(1264),
    [aux_sym_switch_statement_token1] = ACTIONS(1264),
    [aux_sym_switch_block_token1] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1262),
    [aux_sym_clone_expression_token1] = ACTIONS(1264),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1264),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [aux_sym__list_destructing_token1] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_self] = ACTIONS(1264),
    [anon_sym_parent] = ACTIONS(1264),
    [aux_sym__argument_name_token1] = ACTIONS(1264),
    [aux_sym__argument_name_token2] = ACTIONS(1264),
    [anon_sym_POUND_LBRACK] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [aux_sym_encapsed_string_token1] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [aux_sym_string_token1] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1262),
    [aux_sym_yield_expression_token1] = ACTIONS(1264),
    [aux_sym_include_expression_token1] = ACTIONS(1264),
    [aux_sym_include_once_expression_token1] = ACTIONS(1264),
    [aux_sym_require_expression_token1] = ACTIONS(1264),
    [aux_sym_require_once_expression_token1] = ACTIONS(1264),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_name] = ACTIONS(1268),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1266),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1268),
    [aux_sym_global_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_definition_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1268),
    [anon_sym_BSLASH] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [aux_sym_trait_declaration_token1] = ACTIONS(1268),
    [aux_sym_interface_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_case_token1] = ACTIONS(1268),
    [aux_sym_class_declaration_token1] = ACTIONS(1268),
    [aux_sym_final_modifier_token1] = ACTIONS(1268),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1268),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1268),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1266),
    [aux_sym_cast_type_token1] = ACTIONS(1268),
    [aux_sym_echo_statement_token1] = ACTIONS(1268),
    [anon_sym_unset] = ACTIONS(1268),
    [aux_sym_declare_statement_token1] = ACTIONS(1268),
    [aux_sym_declare_statement_token2] = ACTIONS(1268),
    [sym_float] = ACTIONS(1268),
    [aux_sym_try_statement_token1] = ACTIONS(1268),
    [aux_sym_goto_statement_token1] = ACTIONS(1268),
    [aux_sym_continue_statement_token1] = ACTIONS(1268),
    [aux_sym_break_statement_token1] = ACTIONS(1268),
    [sym_integer] = ACTIONS(1268),
    [aux_sym_return_statement_token1] = ACTIONS(1268),
    [aux_sym_throw_expression_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token2] = ACTIONS(1268),
    [aux_sym_do_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token2] = ACTIONS(1268),
    [aux_sym_foreach_statement_token1] = ACTIONS(1268),
    [aux_sym_foreach_statement_token2] = ACTIONS(1268),
    [aux_sym_if_statement_token1] = ACTIONS(1268),
    [aux_sym_if_statement_token2] = ACTIONS(1268),
    [aux_sym_else_if_clause_token1] = ACTIONS(1268),
    [aux_sym_else_clause_token1] = ACTIONS(1268),
    [aux_sym_match_expression_token1] = ACTIONS(1268),
    [aux_sym_match_default_expression_token1] = ACTIONS(1268),
    [aux_sym_switch_statement_token1] = ACTIONS(1268),
    [aux_sym_switch_block_token1] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1266),
    [aux_sym_clone_expression_token1] = ACTIONS(1268),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1268),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [aux_sym__list_destructing_token1] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_self] = ACTIONS(1268),
    [anon_sym_parent] = ACTIONS(1268),
    [aux_sym__argument_name_token1] = ACTIONS(1268),
    [aux_sym__argument_name_token2] = ACTIONS(1268),
    [anon_sym_POUND_LBRACK] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [aux_sym_encapsed_string_token1] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [aux_sym_string_token1] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1266),
    [aux_sym_yield_expression_token1] = ACTIONS(1268),
    [aux_sym_include_expression_token1] = ACTIONS(1268),
    [aux_sym_include_once_expression_token1] = ACTIONS(1268),
    [aux_sym_require_expression_token1] = ACTIONS(1268),
    [aux_sym_require_once_expression_token1] = ACTIONS(1268),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_name] = ACTIONS(1272),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1270),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1272),
    [aux_sym_global_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_definition_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1272),
    [anon_sym_BSLASH] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [aux_sym_trait_declaration_token1] = ACTIONS(1272),
    [aux_sym_interface_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_case_token1] = ACTIONS(1272),
    [aux_sym_class_declaration_token1] = ACTIONS(1272),
    [aux_sym_final_modifier_token1] = ACTIONS(1272),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1272),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1272),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [aux_sym_cast_type_token1] = ACTIONS(1272),
    [aux_sym_echo_statement_token1] = ACTIONS(1272),
    [anon_sym_unset] = ACTIONS(1272),
    [aux_sym_declare_statement_token1] = ACTIONS(1272),
    [aux_sym_declare_statement_token2] = ACTIONS(1272),
    [sym_float] = ACTIONS(1272),
    [aux_sym_try_statement_token1] = ACTIONS(1272),
    [aux_sym_goto_statement_token1] = ACTIONS(1272),
    [aux_sym_continue_statement_token1] = ACTIONS(1272),
    [aux_sym_break_statement_token1] = ACTIONS(1272),
    [sym_integer] = ACTIONS(1272),
    [aux_sym_return_statement_token1] = ACTIONS(1272),
    [aux_sym_throw_expression_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token2] = ACTIONS(1272),
    [aux_sym_do_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token2] = ACTIONS(1272),
    [aux_sym_foreach_statement_token1] = ACTIONS(1272),
    [aux_sym_foreach_statement_token2] = ACTIONS(1272),
    [aux_sym_if_statement_token1] = ACTIONS(1272),
    [aux_sym_if_statement_token2] = ACTIONS(1272),
    [aux_sym_else_if_clause_token1] = ACTIONS(1272),
    [aux_sym_else_clause_token1] = ACTIONS(1272),
    [aux_sym_match_expression_token1] = ACTIONS(1272),
    [aux_sym_match_default_expression_token1] = ACTIONS(1272),
    [aux_sym_switch_statement_token1] = ACTIONS(1272),
    [aux_sym_switch_block_token1] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1270),
    [aux_sym_clone_expression_token1] = ACTIONS(1272),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1272),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [aux_sym__list_destructing_token1] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_self] = ACTIONS(1272),
    [anon_sym_parent] = ACTIONS(1272),
    [aux_sym__argument_name_token1] = ACTIONS(1272),
    [aux_sym__argument_name_token2] = ACTIONS(1272),
    [anon_sym_POUND_LBRACK] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [aux_sym_encapsed_string_token1] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [aux_sym_string_token1] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_BQUOTE] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1270),
    [aux_sym_yield_expression_token1] = ACTIONS(1272),
    [aux_sym_include_expression_token1] = ACTIONS(1272),
    [aux_sym_include_once_expression_token1] = ACTIONS(1272),
    [aux_sym_require_expression_token1] = ACTIONS(1272),
    [aux_sym_require_once_expression_token1] = ACTIONS(1272),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_name] = ACTIONS(1276),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1274),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1276),
    [aux_sym_global_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_definition_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1276),
    [anon_sym_BSLASH] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [aux_sym_trait_declaration_token1] = ACTIONS(1276),
    [aux_sym_interface_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_case_token1] = ACTIONS(1276),
    [aux_sym_class_declaration_token1] = ACTIONS(1276),
    [aux_sym_final_modifier_token1] = ACTIONS(1276),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1276),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1276),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_cast_type_token1] = ACTIONS(1276),
    [aux_sym_echo_statement_token1] = ACTIONS(1276),
    [anon_sym_unset] = ACTIONS(1276),
    [aux_sym_declare_statement_token1] = ACTIONS(1276),
    [aux_sym_declare_statement_token2] = ACTIONS(1276),
    [sym_float] = ACTIONS(1276),
    [aux_sym_try_statement_token1] = ACTIONS(1276),
    [aux_sym_goto_statement_token1] = ACTIONS(1276),
    [aux_sym_continue_statement_token1] = ACTIONS(1276),
    [aux_sym_break_statement_token1] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1276),
    [aux_sym_return_statement_token1] = ACTIONS(1276),
    [aux_sym_throw_expression_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token2] = ACTIONS(1276),
    [aux_sym_do_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token2] = ACTIONS(1276),
    [aux_sym_foreach_statement_token1] = ACTIONS(1276),
    [aux_sym_foreach_statement_token2] = ACTIONS(1276),
    [aux_sym_if_statement_token1] = ACTIONS(1276),
    [aux_sym_if_statement_token2] = ACTIONS(1276),
    [aux_sym_else_if_clause_token1] = ACTIONS(1276),
    [aux_sym_else_clause_token1] = ACTIONS(1276),
    [aux_sym_match_expression_token1] = ACTIONS(1276),
    [aux_sym_match_default_expression_token1] = ACTIONS(1276),
    [aux_sym_switch_statement_token1] = ACTIONS(1276),
    [aux_sym_switch_block_token1] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [aux_sym_clone_expression_token1] = ACTIONS(1276),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1276),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [aux_sym__list_destructing_token1] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_self] = ACTIONS(1276),
    [anon_sym_parent] = ACTIONS(1276),
    [aux_sym__argument_name_token1] = ACTIONS(1276),
    [aux_sym__argument_name_token2] = ACTIONS(1276),
    [anon_sym_POUND_LBRACK] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [aux_sym_encapsed_string_token1] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [aux_sym_string_token1] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_BQUOTE] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [aux_sym_yield_expression_token1] = ACTIONS(1276),
    [aux_sym_include_expression_token1] = ACTIONS(1276),
    [aux_sym_include_once_expression_token1] = ACTIONS(1276),
    [aux_sym_require_expression_token1] = ACTIONS(1276),
    [aux_sym_require_once_expression_token1] = ACTIONS(1276),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [aux_sym__argument_name_token1] = ACTIONS(1280),
    [aux_sym__argument_name_token2] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_name] = ACTIONS(1284),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1282),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1284),
    [aux_sym_global_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_definition_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1284),
    [anon_sym_BSLASH] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [aux_sym_trait_declaration_token1] = ACTIONS(1284),
    [aux_sym_interface_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_case_token1] = ACTIONS(1284),
    [aux_sym_class_declaration_token1] = ACTIONS(1284),
    [aux_sym_final_modifier_token1] = ACTIONS(1284),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1284),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1284),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1284),
    [aux_sym_echo_statement_token1] = ACTIONS(1284),
    [anon_sym_unset] = ACTIONS(1284),
    [aux_sym_declare_statement_token1] = ACTIONS(1284),
    [aux_sym_declare_statement_token2] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [aux_sym_try_statement_token1] = ACTIONS(1284),
    [aux_sym_goto_statement_token1] = ACTIONS(1284),
    [aux_sym_continue_statement_token1] = ACTIONS(1284),
    [aux_sym_break_statement_token1] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1284),
    [aux_sym_return_statement_token1] = ACTIONS(1284),
    [aux_sym_throw_expression_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token2] = ACTIONS(1284),
    [aux_sym_do_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token2] = ACTIONS(1284),
    [aux_sym_foreach_statement_token1] = ACTIONS(1284),
    [aux_sym_foreach_statement_token2] = ACTIONS(1284),
    [aux_sym_if_statement_token1] = ACTIONS(1284),
    [aux_sym_if_statement_token2] = ACTIONS(1284),
    [aux_sym_else_if_clause_token1] = ACTIONS(1284),
    [aux_sym_else_clause_token1] = ACTIONS(1284),
    [aux_sym_match_expression_token1] = ACTIONS(1284),
    [aux_sym_match_default_expression_token1] = ACTIONS(1284),
    [aux_sym_switch_statement_token1] = ACTIONS(1284),
    [aux_sym_switch_block_token1] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1282),
    [aux_sym_clone_expression_token1] = ACTIONS(1284),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [aux_sym__list_destructing_token1] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_self] = ACTIONS(1284),
    [anon_sym_parent] = ACTIONS(1284),
    [aux_sym__argument_name_token1] = ACTIONS(1284),
    [aux_sym__argument_name_token2] = ACTIONS(1284),
    [anon_sym_POUND_LBRACK] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [aux_sym_encapsed_string_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [aux_sym_string_token1] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_BQUOTE] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [aux_sym_yield_expression_token1] = ACTIONS(1284),
    [aux_sym_include_expression_token1] = ACTIONS(1284),
    [aux_sym_include_once_expression_token1] = ACTIONS(1284),
    [aux_sym_require_expression_token1] = ACTIONS(1284),
    [aux_sym_require_once_expression_token1] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [aux_sym__argument_name_token1] = ACTIONS(1288),
    [aux_sym__argument_name_token2] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [aux_sym__argument_name_token1] = ACTIONS(1292),
    [aux_sym__argument_name_token2] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_name] = ACTIONS(1296),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1296),
    [aux_sym_global_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_definition_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [aux_sym_trait_declaration_token1] = ACTIONS(1296),
    [aux_sym_interface_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_case_token1] = ACTIONS(1296),
    [aux_sym_class_declaration_token1] = ACTIONS(1296),
    [aux_sym_final_modifier_token1] = ACTIONS(1296),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1296),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1296),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [aux_sym_cast_type_token1] = ACTIONS(1296),
    [aux_sym_echo_statement_token1] = ACTIONS(1296),
    [anon_sym_unset] = ACTIONS(1296),
    [aux_sym_declare_statement_token1] = ACTIONS(1296),
    [aux_sym_declare_statement_token2] = ACTIONS(1296),
    [sym_float] = ACTIONS(1296),
    [aux_sym_try_statement_token1] = ACTIONS(1296),
    [aux_sym_goto_statement_token1] = ACTIONS(1296),
    [aux_sym_continue_statement_token1] = ACTIONS(1296),
    [aux_sym_break_statement_token1] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1296),
    [aux_sym_return_statement_token1] = ACTIONS(1296),
    [aux_sym_throw_expression_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token2] = ACTIONS(1296),
    [aux_sym_do_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token2] = ACTIONS(1296),
    [aux_sym_foreach_statement_token1] = ACTIONS(1296),
    [aux_sym_foreach_statement_token2] = ACTIONS(1296),
    [aux_sym_if_statement_token1] = ACTIONS(1296),
    [aux_sym_if_statement_token2] = ACTIONS(1296),
    [aux_sym_else_if_clause_token1] = ACTIONS(1296),
    [aux_sym_else_clause_token1] = ACTIONS(1296),
    [aux_sym_match_expression_token1] = ACTIONS(1296),
    [aux_sym_match_default_expression_token1] = ACTIONS(1296),
    [aux_sym_switch_statement_token1] = ACTIONS(1296),
    [aux_sym_switch_block_token1] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1294),
    [aux_sym_clone_expression_token1] = ACTIONS(1296),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1296),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [aux_sym__list_destructing_token1] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_self] = ACTIONS(1296),
    [anon_sym_parent] = ACTIONS(1296),
    [aux_sym__argument_name_token1] = ACTIONS(1296),
    [aux_sym__argument_name_token2] = ACTIONS(1296),
    [anon_sym_POUND_LBRACK] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [aux_sym_encapsed_string_token1] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [aux_sym_string_token1] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [aux_sym_yield_expression_token1] = ACTIONS(1296),
    [aux_sym_include_expression_token1] = ACTIONS(1296),
    [aux_sym_include_once_expression_token1] = ACTIONS(1296),
    [aux_sym_require_expression_token1] = ACTIONS(1296),
    [aux_sym_require_once_expression_token1] = ACTIONS(1296),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_name] = ACTIONS(1300),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1300),
    [aux_sym_global_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_definition_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1300),
    [anon_sym_BSLASH] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [aux_sym_trait_declaration_token1] = ACTIONS(1300),
    [aux_sym_interface_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_case_token1] = ACTIONS(1300),
    [aux_sym_class_declaration_token1] = ACTIONS(1300),
    [aux_sym_final_modifier_token1] = ACTIONS(1300),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1300),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1300),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [aux_sym_cast_type_token1] = ACTIONS(1300),
    [aux_sym_echo_statement_token1] = ACTIONS(1300),
    [anon_sym_unset] = ACTIONS(1300),
    [aux_sym_declare_statement_token1] = ACTIONS(1300),
    [aux_sym_declare_statement_token2] = ACTIONS(1300),
    [sym_float] = ACTIONS(1300),
    [aux_sym_try_statement_token1] = ACTIONS(1300),
    [aux_sym_goto_statement_token1] = ACTIONS(1300),
    [aux_sym_continue_statement_token1] = ACTIONS(1300),
    [aux_sym_break_statement_token1] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1300),
    [aux_sym_return_statement_token1] = ACTIONS(1300),
    [aux_sym_throw_expression_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token2] = ACTIONS(1300),
    [aux_sym_do_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token2] = ACTIONS(1300),
    [aux_sym_foreach_statement_token1] = ACTIONS(1300),
    [aux_sym_foreach_statement_token2] = ACTIONS(1300),
    [aux_sym_if_statement_token1] = ACTIONS(1300),
    [aux_sym_if_statement_token2] = ACTIONS(1300),
    [aux_sym_else_if_clause_token1] = ACTIONS(1300),
    [aux_sym_else_clause_token1] = ACTIONS(1300),
    [aux_sym_match_expression_token1] = ACTIONS(1300),
    [aux_sym_match_default_expression_token1] = ACTIONS(1300),
    [aux_sym_switch_statement_token1] = ACTIONS(1300),
    [aux_sym_switch_block_token1] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1298),
    [aux_sym_clone_expression_token1] = ACTIONS(1300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1300),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [aux_sym__list_destructing_token1] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_self] = ACTIONS(1300),
    [anon_sym_parent] = ACTIONS(1300),
    [aux_sym__argument_name_token1] = ACTIONS(1300),
    [aux_sym__argument_name_token2] = ACTIONS(1300),
    [anon_sym_POUND_LBRACK] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [aux_sym_encapsed_string_token1] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_string_token1] = ACTIONS(1298),
    [anon_sym_LT_LT_LT] = ACTIONS(1298),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1298),
    [aux_sym_yield_expression_token1] = ACTIONS(1300),
    [aux_sym_include_expression_token1] = ACTIONS(1300),
    [aux_sym_include_once_expression_token1] = ACTIONS(1300),
    [aux_sym_require_expression_token1] = ACTIONS(1300),
    [aux_sym_require_once_expression_token1] = ACTIONS(1300),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_name] = ACTIONS(1304),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1304),
    [aux_sym_global_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_definition_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1304),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [aux_sym_trait_declaration_token1] = ACTIONS(1304),
    [aux_sym_interface_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_case_token1] = ACTIONS(1304),
    [aux_sym_class_declaration_token1] = ACTIONS(1304),
    [aux_sym_final_modifier_token1] = ACTIONS(1304),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1304),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1304),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [aux_sym_cast_type_token1] = ACTIONS(1304),
    [aux_sym_echo_statement_token1] = ACTIONS(1304),
    [anon_sym_unset] = ACTIONS(1304),
    [aux_sym_declare_statement_token1] = ACTIONS(1304),
    [aux_sym_declare_statement_token2] = ACTIONS(1304),
    [sym_float] = ACTIONS(1304),
    [aux_sym_try_statement_token1] = ACTIONS(1304),
    [aux_sym_goto_statement_token1] = ACTIONS(1304),
    [aux_sym_continue_statement_token1] = ACTIONS(1304),
    [aux_sym_break_statement_token1] = ACTIONS(1304),
    [sym_integer] = ACTIONS(1304),
    [aux_sym_return_statement_token1] = ACTIONS(1304),
    [aux_sym_throw_expression_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token2] = ACTIONS(1304),
    [aux_sym_do_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token2] = ACTIONS(1304),
    [aux_sym_foreach_statement_token1] = ACTIONS(1304),
    [aux_sym_foreach_statement_token2] = ACTIONS(1304),
    [aux_sym_if_statement_token1] = ACTIONS(1304),
    [aux_sym_if_statement_token2] = ACTIONS(1304),
    [aux_sym_else_if_clause_token1] = ACTIONS(1304),
    [aux_sym_else_clause_token1] = ACTIONS(1304),
    [aux_sym_match_expression_token1] = ACTIONS(1304),
    [aux_sym_match_default_expression_token1] = ACTIONS(1304),
    [aux_sym_switch_statement_token1] = ACTIONS(1304),
    [aux_sym_switch_block_token1] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [aux_sym_clone_expression_token1] = ACTIONS(1304),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1304),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [aux_sym__list_destructing_token1] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_self] = ACTIONS(1304),
    [anon_sym_parent] = ACTIONS(1304),
    [aux_sym__argument_name_token1] = ACTIONS(1304),
    [aux_sym__argument_name_token2] = ACTIONS(1304),
    [anon_sym_POUND_LBRACK] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [aux_sym_encapsed_string_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [aux_sym_string_token1] = ACTIONS(1302),
    [anon_sym_LT_LT_LT] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [aux_sym_yield_expression_token1] = ACTIONS(1304),
    [aux_sym_include_expression_token1] = ACTIONS(1304),
    [aux_sym_include_once_expression_token1] = ACTIONS(1304),
    [aux_sym_require_expression_token1] = ACTIONS(1304),
    [aux_sym_require_once_expression_token1] = ACTIONS(1304),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_name] = ACTIONS(1308),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1306),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1308),
    [aux_sym_global_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_definition_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1308),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [aux_sym_trait_declaration_token1] = ACTIONS(1308),
    [aux_sym_interface_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_case_token1] = ACTIONS(1308),
    [aux_sym_class_declaration_token1] = ACTIONS(1308),
    [aux_sym_final_modifier_token1] = ACTIONS(1308),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1308),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1308),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1308),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [aux_sym_cast_type_token1] = ACTIONS(1308),
    [aux_sym_echo_statement_token1] = ACTIONS(1308),
    [anon_sym_unset] = ACTIONS(1308),
    [aux_sym_declare_statement_token1] = ACTIONS(1308),
    [aux_sym_declare_statement_token2] = ACTIONS(1308),
    [sym_float] = ACTIONS(1308),
    [aux_sym_try_statement_token1] = ACTIONS(1308),
    [aux_sym_goto_statement_token1] = ACTIONS(1308),
    [aux_sym_continue_statement_token1] = ACTIONS(1308),
    [aux_sym_break_statement_token1] = ACTIONS(1308),
    [sym_integer] = ACTIONS(1308),
    [aux_sym_return_statement_token1] = ACTIONS(1308),
    [aux_sym_throw_expression_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token2] = ACTIONS(1308),
    [aux_sym_do_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token2] = ACTIONS(1308),
    [aux_sym_foreach_statement_token1] = ACTIONS(1308),
    [aux_sym_foreach_statement_token2] = ACTIONS(1308),
    [aux_sym_if_statement_token1] = ACTIONS(1308),
    [aux_sym_if_statement_token2] = ACTIONS(1308),
    [aux_sym_else_if_clause_token1] = ACTIONS(1308),
    [aux_sym_else_clause_token1] = ACTIONS(1308),
    [aux_sym_match_expression_token1] = ACTIONS(1308),
    [aux_sym_match_default_expression_token1] = ACTIONS(1308),
    [aux_sym_switch_statement_token1] = ACTIONS(1308),
    [aux_sym_switch_block_token1] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [aux_sym_clone_expression_token1] = ACTIONS(1308),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1308),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [aux_sym__list_destructing_token1] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_self] = ACTIONS(1308),
    [anon_sym_parent] = ACTIONS(1308),
    [aux_sym__argument_name_token1] = ACTIONS(1308),
    [aux_sym__argument_name_token2] = ACTIONS(1308),
    [anon_sym_POUND_LBRACK] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [aux_sym_encapsed_string_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [aux_sym_string_token1] = ACTIONS(1306),
    [anon_sym_LT_LT_LT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [aux_sym_yield_expression_token1] = ACTIONS(1308),
    [aux_sym_include_expression_token1] = ACTIONS(1308),
    [aux_sym_include_once_expression_token1] = ACTIONS(1308),
    [aux_sym_require_expression_token1] = ACTIONS(1308),
    [aux_sym_require_once_expression_token1] = ACTIONS(1308),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_name] = ACTIONS(1312),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1312),
    [aux_sym_global_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_definition_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1312),
    [anon_sym_BSLASH] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [aux_sym_trait_declaration_token1] = ACTIONS(1312),
    [aux_sym_interface_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_case_token1] = ACTIONS(1312),
    [aux_sym_class_declaration_token1] = ACTIONS(1312),
    [aux_sym_final_modifier_token1] = ACTIONS(1312),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1312),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1312),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [aux_sym_cast_type_token1] = ACTIONS(1312),
    [aux_sym_echo_statement_token1] = ACTIONS(1312),
    [anon_sym_unset] = ACTIONS(1312),
    [aux_sym_declare_statement_token1] = ACTIONS(1312),
    [aux_sym_declare_statement_token2] = ACTIONS(1312),
    [sym_float] = ACTIONS(1312),
    [aux_sym_try_statement_token1] = ACTIONS(1312),
    [aux_sym_goto_statement_token1] = ACTIONS(1312),
    [aux_sym_continue_statement_token1] = ACTIONS(1312),
    [aux_sym_break_statement_token1] = ACTIONS(1312),
    [sym_integer] = ACTIONS(1312),
    [aux_sym_return_statement_token1] = ACTIONS(1312),
    [aux_sym_throw_expression_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token2] = ACTIONS(1312),
    [aux_sym_do_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token2] = ACTIONS(1312),
    [aux_sym_foreach_statement_token1] = ACTIONS(1312),
    [aux_sym_foreach_statement_token2] = ACTIONS(1312),
    [aux_sym_if_statement_token1] = ACTIONS(1312),
    [aux_sym_if_statement_token2] = ACTIONS(1312),
    [aux_sym_else_if_clause_token1] = ACTIONS(1312),
    [aux_sym_else_clause_token1] = ACTIONS(1312),
    [aux_sym_match_expression_token1] = ACTIONS(1312),
    [aux_sym_match_default_expression_token1] = ACTIONS(1312),
    [aux_sym_switch_statement_token1] = ACTIONS(1312),
    [aux_sym_switch_block_token1] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1310),
    [aux_sym_clone_expression_token1] = ACTIONS(1312),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1312),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [aux_sym__list_destructing_token1] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_self] = ACTIONS(1312),
    [anon_sym_parent] = ACTIONS(1312),
    [aux_sym__argument_name_token1] = ACTIONS(1312),
    [aux_sym__argument_name_token2] = ACTIONS(1312),
    [anon_sym_POUND_LBRACK] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_encapsed_string_token1] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_string_token1] = ACTIONS(1310),
    [anon_sym_LT_LT_LT] = ACTIONS(1310),
    [anon_sym_BQUOTE] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1310),
    [aux_sym_yield_expression_token1] = ACTIONS(1312),
    [aux_sym_include_expression_token1] = ACTIONS(1312),
    [aux_sym_include_once_expression_token1] = ACTIONS(1312),
    [aux_sym_require_expression_token1] = ACTIONS(1312),
    [aux_sym_require_once_expression_token1] = ACTIONS(1312),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [aux_sym__argument_name_token1] = ACTIONS(1124),
    [aux_sym__argument_name_token2] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_name] = ACTIONS(1316),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1314),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1316),
    [aux_sym_global_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_definition_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1316),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [aux_sym_trait_declaration_token1] = ACTIONS(1316),
    [aux_sym_interface_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_case_token1] = ACTIONS(1316),
    [aux_sym_class_declaration_token1] = ACTIONS(1316),
    [aux_sym_final_modifier_token1] = ACTIONS(1316),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1316),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1316),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1316),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [aux_sym_cast_type_token1] = ACTIONS(1316),
    [aux_sym_echo_statement_token1] = ACTIONS(1316),
    [anon_sym_unset] = ACTIONS(1316),
    [aux_sym_declare_statement_token1] = ACTIONS(1316),
    [aux_sym_declare_statement_token2] = ACTIONS(1316),
    [sym_float] = ACTIONS(1316),
    [aux_sym_try_statement_token1] = ACTIONS(1316),
    [aux_sym_goto_statement_token1] = ACTIONS(1316),
    [aux_sym_continue_statement_token1] = ACTIONS(1316),
    [aux_sym_break_statement_token1] = ACTIONS(1316),
    [sym_integer] = ACTIONS(1316),
    [aux_sym_return_statement_token1] = ACTIONS(1316),
    [aux_sym_throw_expression_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token2] = ACTIONS(1316),
    [aux_sym_do_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token2] = ACTIONS(1316),
    [aux_sym_foreach_statement_token1] = ACTIONS(1316),
    [aux_sym_foreach_statement_token2] = ACTIONS(1316),
    [aux_sym_if_statement_token1] = ACTIONS(1316),
    [aux_sym_if_statement_token2] = ACTIONS(1316),
    [aux_sym_else_if_clause_token1] = ACTIONS(1316),
    [aux_sym_else_clause_token1] = ACTIONS(1316),
    [aux_sym_match_expression_token1] = ACTIONS(1316),
    [aux_sym_match_default_expression_token1] = ACTIONS(1316),
    [aux_sym_switch_statement_token1] = ACTIONS(1316),
    [aux_sym_switch_block_token1] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [aux_sym_clone_expression_token1] = ACTIONS(1316),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1316),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [aux_sym__list_destructing_token1] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_self] = ACTIONS(1316),
    [anon_sym_parent] = ACTIONS(1316),
    [aux_sym__argument_name_token1] = ACTIONS(1316),
    [aux_sym__argument_name_token2] = ACTIONS(1316),
    [anon_sym_POUND_LBRACK] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [aux_sym_encapsed_string_token1] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [aux_sym_string_token1] = ACTIONS(1314),
    [anon_sym_LT_LT_LT] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [aux_sym_yield_expression_token1] = ACTIONS(1316),
    [aux_sym_include_expression_token1] = ACTIONS(1316),
    [aux_sym_include_once_expression_token1] = ACTIONS(1316),
    [aux_sym_require_expression_token1] = ACTIONS(1316),
    [aux_sym_require_once_expression_token1] = ACTIONS(1316),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_name] = ACTIONS(1320),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1320),
    [aux_sym_global_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_definition_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [aux_sym_trait_declaration_token1] = ACTIONS(1320),
    [aux_sym_interface_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_case_token1] = ACTIONS(1320),
    [aux_sym_class_declaration_token1] = ACTIONS(1320),
    [aux_sym_final_modifier_token1] = ACTIONS(1320),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1320),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1320),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1318),
    [aux_sym_cast_type_token1] = ACTIONS(1320),
    [aux_sym_echo_statement_token1] = ACTIONS(1320),
    [anon_sym_unset] = ACTIONS(1320),
    [aux_sym_declare_statement_token1] = ACTIONS(1320),
    [aux_sym_declare_statement_token2] = ACTIONS(1320),
    [sym_float] = ACTIONS(1320),
    [aux_sym_try_statement_token1] = ACTIONS(1320),
    [aux_sym_goto_statement_token1] = ACTIONS(1320),
    [aux_sym_continue_statement_token1] = ACTIONS(1320),
    [aux_sym_break_statement_token1] = ACTIONS(1320),
    [sym_integer] = ACTIONS(1320),
    [aux_sym_return_statement_token1] = ACTIONS(1320),
    [aux_sym_throw_expression_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token2] = ACTIONS(1320),
    [aux_sym_do_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token2] = ACTIONS(1320),
    [aux_sym_foreach_statement_token1] = ACTIONS(1320),
    [aux_sym_foreach_statement_token2] = ACTIONS(1320),
    [aux_sym_if_statement_token1] = ACTIONS(1320),
    [aux_sym_if_statement_token2] = ACTIONS(1320),
    [aux_sym_else_if_clause_token1] = ACTIONS(1320),
    [aux_sym_else_clause_token1] = ACTIONS(1320),
    [aux_sym_match_expression_token1] = ACTIONS(1320),
    [aux_sym_match_default_expression_token1] = ACTIONS(1320),
    [aux_sym_switch_statement_token1] = ACTIONS(1320),
    [aux_sym_switch_block_token1] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [aux_sym_clone_expression_token1] = ACTIONS(1320),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1320),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [aux_sym__list_destructing_token1] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_self] = ACTIONS(1320),
    [anon_sym_parent] = ACTIONS(1320),
    [aux_sym__argument_name_token1] = ACTIONS(1320),
    [aux_sym__argument_name_token2] = ACTIONS(1320),
    [anon_sym_POUND_LBRACK] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [aux_sym_encapsed_string_token1] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_string_token1] = ACTIONS(1318),
    [anon_sym_LT_LT_LT] = ACTIONS(1318),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [aux_sym_yield_expression_token1] = ACTIONS(1320),
    [aux_sym_include_expression_token1] = ACTIONS(1320),
    [aux_sym_include_once_expression_token1] = ACTIONS(1320),
    [aux_sym_require_expression_token1] = ACTIONS(1320),
    [aux_sym_require_once_expression_token1] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [aux_sym__argument_name_token1] = ACTIONS(1324),
    [aux_sym__argument_name_token2] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym_name] = ACTIONS(1034),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1032),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1034),
    [aux_sym_global_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_definition_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1034),
    [anon_sym_BSLASH] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1032),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [aux_sym_trait_declaration_token1] = ACTIONS(1034),
    [aux_sym_interface_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_case_token1] = ACTIONS(1034),
    [aux_sym_class_declaration_token1] = ACTIONS(1034),
    [aux_sym_final_modifier_token1] = ACTIONS(1034),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1034),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1034),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1032),
    [aux_sym_cast_type_token1] = ACTIONS(1034),
    [aux_sym_echo_statement_token1] = ACTIONS(1034),
    [anon_sym_unset] = ACTIONS(1034),
    [aux_sym_declare_statement_token1] = ACTIONS(1034),
    [aux_sym_declare_statement_token2] = ACTIONS(1034),
    [sym_float] = ACTIONS(1034),
    [aux_sym_try_statement_token1] = ACTIONS(1034),
    [aux_sym_goto_statement_token1] = ACTIONS(1034),
    [aux_sym_continue_statement_token1] = ACTIONS(1034),
    [aux_sym_break_statement_token1] = ACTIONS(1034),
    [sym_integer] = ACTIONS(1034),
    [aux_sym_return_statement_token1] = ACTIONS(1034),
    [aux_sym_throw_expression_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token2] = ACTIONS(1034),
    [aux_sym_do_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token2] = ACTIONS(1034),
    [aux_sym_foreach_statement_token1] = ACTIONS(1034),
    [aux_sym_foreach_statement_token2] = ACTIONS(1034),
    [aux_sym_if_statement_token1] = ACTIONS(1034),
    [aux_sym_if_statement_token2] = ACTIONS(1034),
    [aux_sym_else_if_clause_token1] = ACTIONS(1034),
    [aux_sym_else_clause_token1] = ACTIONS(1034),
    [aux_sym_match_expression_token1] = ACTIONS(1034),
    [aux_sym_match_default_expression_token1] = ACTIONS(1034),
    [aux_sym_switch_statement_token1] = ACTIONS(1034),
    [aux_sym_switch_block_token1] = ACTIONS(1034),
    [anon_sym_PLUS] = ACTIONS(1034),
    [anon_sym_DASH] = ACTIONS(1034),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1032),
    [aux_sym_clone_expression_token1] = ACTIONS(1034),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1034),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [aux_sym__list_destructing_token1] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(1032),
    [anon_sym_self] = ACTIONS(1034),
    [anon_sym_parent] = ACTIONS(1034),
    [aux_sym__argument_name_token1] = ACTIONS(1034),
    [aux_sym__argument_name_token2] = ACTIONS(1034),
    [anon_sym_POUND_LBRACK] = ACTIONS(1032),
    [anon_sym_SQUOTE] = ACTIONS(1032),
    [aux_sym_encapsed_string_token1] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(1032),
    [aux_sym_string_token1] = ACTIONS(1032),
    [anon_sym_LT_LT_LT] = ACTIONS(1032),
    [anon_sym_BQUOTE] = ACTIONS(1032),
    [anon_sym_DOLLAR] = ACTIONS(1032),
    [aux_sym_yield_expression_token1] = ACTIONS(1034),
    [aux_sym_include_expression_token1] = ACTIONS(1034),
    [aux_sym_include_once_expression_token1] = ACTIONS(1034),
    [aux_sym_require_expression_token1] = ACTIONS(1034),
    [aux_sym_require_once_expression_token1] = ACTIONS(1034),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_name] = ACTIONS(1328),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1328),
    [aux_sym_global_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_definition_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1328),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_trait_declaration_token1] = ACTIONS(1328),
    [aux_sym_interface_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_case_token1] = ACTIONS(1328),
    [aux_sym_class_declaration_token1] = ACTIONS(1328),
    [aux_sym_final_modifier_token1] = ACTIONS(1328),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1328),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1328),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [aux_sym_cast_type_token1] = ACTIONS(1328),
    [aux_sym_echo_statement_token1] = ACTIONS(1328),
    [anon_sym_unset] = ACTIONS(1328),
    [aux_sym_declare_statement_token1] = ACTIONS(1328),
    [aux_sym_declare_statement_token2] = ACTIONS(1328),
    [sym_float] = ACTIONS(1328),
    [aux_sym_try_statement_token1] = ACTIONS(1328),
    [aux_sym_goto_statement_token1] = ACTIONS(1328),
    [aux_sym_continue_statement_token1] = ACTIONS(1328),
    [aux_sym_break_statement_token1] = ACTIONS(1328),
    [sym_integer] = ACTIONS(1328),
    [aux_sym_return_statement_token1] = ACTIONS(1328),
    [aux_sym_throw_expression_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token2] = ACTIONS(1328),
    [aux_sym_do_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token2] = ACTIONS(1328),
    [aux_sym_foreach_statement_token1] = ACTIONS(1328),
    [aux_sym_foreach_statement_token2] = ACTIONS(1328),
    [aux_sym_if_statement_token1] = ACTIONS(1328),
    [aux_sym_if_statement_token2] = ACTIONS(1328),
    [aux_sym_else_if_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1328),
    [aux_sym_match_expression_token1] = ACTIONS(1328),
    [aux_sym_match_default_expression_token1] = ACTIONS(1328),
    [aux_sym_switch_statement_token1] = ACTIONS(1328),
    [aux_sym_switch_block_token1] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [aux_sym_clone_expression_token1] = ACTIONS(1328),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1328),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [aux_sym__list_destructing_token1] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_self] = ACTIONS(1328),
    [anon_sym_parent] = ACTIONS(1328),
    [aux_sym__argument_name_token1] = ACTIONS(1328),
    [aux_sym__argument_name_token2] = ACTIONS(1328),
    [anon_sym_POUND_LBRACK] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [aux_sym_encapsed_string_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [aux_sym_string_token1] = ACTIONS(1326),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [aux_sym_yield_expression_token1] = ACTIONS(1328),
    [aux_sym_include_expression_token1] = ACTIONS(1328),
    [aux_sym_include_once_expression_token1] = ACTIONS(1328),
    [aux_sym_require_expression_token1] = ACTIONS(1328),
    [aux_sym_require_once_expression_token1] = ACTIONS(1328),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_name] = ACTIONS(1332),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1330),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1332),
    [aux_sym_global_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_definition_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1332),
    [anon_sym_BSLASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [aux_sym_trait_declaration_token1] = ACTIONS(1332),
    [aux_sym_interface_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_case_token1] = ACTIONS(1332),
    [aux_sym_class_declaration_token1] = ACTIONS(1332),
    [aux_sym_final_modifier_token1] = ACTIONS(1332),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1332),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1332),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [aux_sym_cast_type_token1] = ACTIONS(1332),
    [aux_sym_echo_statement_token1] = ACTIONS(1332),
    [anon_sym_unset] = ACTIONS(1332),
    [aux_sym_declare_statement_token1] = ACTIONS(1332),
    [aux_sym_declare_statement_token2] = ACTIONS(1332),
    [sym_float] = ACTIONS(1332),
    [aux_sym_try_statement_token1] = ACTIONS(1332),
    [aux_sym_goto_statement_token1] = ACTIONS(1332),
    [aux_sym_continue_statement_token1] = ACTIONS(1332),
    [aux_sym_break_statement_token1] = ACTIONS(1332),
    [sym_integer] = ACTIONS(1332),
    [aux_sym_return_statement_token1] = ACTIONS(1332),
    [aux_sym_throw_expression_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token2] = ACTIONS(1332),
    [aux_sym_do_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token2] = ACTIONS(1332),
    [aux_sym_foreach_statement_token1] = ACTIONS(1332),
    [aux_sym_foreach_statement_token2] = ACTIONS(1332),
    [aux_sym_if_statement_token1] = ACTIONS(1332),
    [aux_sym_if_statement_token2] = ACTIONS(1332),
    [aux_sym_else_if_clause_token1] = ACTIONS(1332),
    [aux_sym_else_clause_token1] = ACTIONS(1332),
    [aux_sym_match_expression_token1] = ACTIONS(1332),
    [aux_sym_match_default_expression_token1] = ACTIONS(1332),
    [aux_sym_switch_statement_token1] = ACTIONS(1332),
    [aux_sym_switch_block_token1] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1330),
    [aux_sym_clone_expression_token1] = ACTIONS(1332),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1332),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [aux_sym__list_destructing_token1] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_self] = ACTIONS(1332),
    [anon_sym_parent] = ACTIONS(1332),
    [aux_sym__argument_name_token1] = ACTIONS(1332),
    [aux_sym__argument_name_token2] = ACTIONS(1332),
    [anon_sym_POUND_LBRACK] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [aux_sym_encapsed_string_token1] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_string_token1] = ACTIONS(1330),
    [anon_sym_LT_LT_LT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1330),
    [aux_sym_yield_expression_token1] = ACTIONS(1332),
    [aux_sym_include_expression_token1] = ACTIONS(1332),
    [aux_sym_include_once_expression_token1] = ACTIONS(1332),
    [aux_sym_require_expression_token1] = ACTIONS(1332),
    [aux_sym_require_once_expression_token1] = ACTIONS(1332),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [aux_sym__argument_name_token1] = ACTIONS(1324),
    [aux_sym__argument_name_token2] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_name] = ACTIONS(1336),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1334),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1336),
    [aux_sym_global_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_definition_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1336),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_trait_declaration_token1] = ACTIONS(1336),
    [aux_sym_interface_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_case_token1] = ACTIONS(1336),
    [aux_sym_class_declaration_token1] = ACTIONS(1336),
    [aux_sym_final_modifier_token1] = ACTIONS(1336),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1336),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1336),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [aux_sym_cast_type_token1] = ACTIONS(1336),
    [aux_sym_echo_statement_token1] = ACTIONS(1336),
    [anon_sym_unset] = ACTIONS(1336),
    [aux_sym_declare_statement_token1] = ACTIONS(1336),
    [aux_sym_declare_statement_token2] = ACTIONS(1336),
    [sym_float] = ACTIONS(1336),
    [aux_sym_try_statement_token1] = ACTIONS(1336),
    [aux_sym_goto_statement_token1] = ACTIONS(1336),
    [aux_sym_continue_statement_token1] = ACTIONS(1336),
    [aux_sym_break_statement_token1] = ACTIONS(1336),
    [sym_integer] = ACTIONS(1336),
    [aux_sym_return_statement_token1] = ACTIONS(1336),
    [aux_sym_throw_expression_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token2] = ACTIONS(1336),
    [aux_sym_do_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token2] = ACTIONS(1336),
    [aux_sym_foreach_statement_token1] = ACTIONS(1336),
    [aux_sym_foreach_statement_token2] = ACTIONS(1336),
    [aux_sym_if_statement_token1] = ACTIONS(1336),
    [aux_sym_if_statement_token2] = ACTIONS(1336),
    [aux_sym_else_if_clause_token1] = ACTIONS(1336),
    [aux_sym_else_clause_token1] = ACTIONS(1336),
    [aux_sym_match_expression_token1] = ACTIONS(1336),
    [aux_sym_match_default_expression_token1] = ACTIONS(1336),
    [aux_sym_switch_statement_token1] = ACTIONS(1336),
    [aux_sym_switch_block_token1] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [aux_sym_clone_expression_token1] = ACTIONS(1336),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1336),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [aux_sym__list_destructing_token1] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_self] = ACTIONS(1336),
    [anon_sym_parent] = ACTIONS(1336),
    [aux_sym__argument_name_token1] = ACTIONS(1336),
    [aux_sym__argument_name_token2] = ACTIONS(1336),
    [anon_sym_POUND_LBRACK] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [aux_sym_encapsed_string_token1] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [aux_sym_string_token1] = ACTIONS(1334),
    [anon_sym_LT_LT_LT] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [aux_sym_yield_expression_token1] = ACTIONS(1336),
    [aux_sym_include_expression_token1] = ACTIONS(1336),
    [aux_sym_include_once_expression_token1] = ACTIONS(1336),
    [aux_sym_require_expression_token1] = ACTIONS(1336),
    [aux_sym_require_once_expression_token1] = ACTIONS(1336),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [aux_sym__argument_name_token1] = ACTIONS(1340),
    [aux_sym__argument_name_token2] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_name] = ACTIONS(1344),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1344),
    [aux_sym_global_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_definition_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [aux_sym_trait_declaration_token1] = ACTIONS(1344),
    [aux_sym_interface_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_case_token1] = ACTIONS(1344),
    [aux_sym_class_declaration_token1] = ACTIONS(1344),
    [aux_sym_final_modifier_token1] = ACTIONS(1344),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1344),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1344),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1342),
    [aux_sym_cast_type_token1] = ACTIONS(1344),
    [aux_sym_echo_statement_token1] = ACTIONS(1344),
    [anon_sym_unset] = ACTIONS(1344),
    [aux_sym_declare_statement_token1] = ACTIONS(1344),
    [aux_sym_declare_statement_token2] = ACTIONS(1344),
    [sym_float] = ACTIONS(1344),
    [aux_sym_try_statement_token1] = ACTIONS(1344),
    [aux_sym_goto_statement_token1] = ACTIONS(1344),
    [aux_sym_continue_statement_token1] = ACTIONS(1344),
    [aux_sym_break_statement_token1] = ACTIONS(1344),
    [sym_integer] = ACTIONS(1344),
    [aux_sym_return_statement_token1] = ACTIONS(1344),
    [aux_sym_throw_expression_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token2] = ACTIONS(1344),
    [aux_sym_do_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token2] = ACTIONS(1344),
    [aux_sym_foreach_statement_token1] = ACTIONS(1344),
    [aux_sym_foreach_statement_token2] = ACTIONS(1344),
    [aux_sym_if_statement_token1] = ACTIONS(1344),
    [aux_sym_if_statement_token2] = ACTIONS(1344),
    [aux_sym_else_if_clause_token1] = ACTIONS(1344),
    [aux_sym_else_clause_token1] = ACTIONS(1344),
    [aux_sym_match_expression_token1] = ACTIONS(1344),
    [aux_sym_match_default_expression_token1] = ACTIONS(1344),
    [aux_sym_switch_statement_token1] = ACTIONS(1344),
    [aux_sym_switch_block_token1] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [aux_sym_clone_expression_token1] = ACTIONS(1344),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1344),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [aux_sym__list_destructing_token1] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_self] = ACTIONS(1344),
    [anon_sym_parent] = ACTIONS(1344),
    [aux_sym__argument_name_token1] = ACTIONS(1344),
    [aux_sym__argument_name_token2] = ACTIONS(1344),
    [anon_sym_POUND_LBRACK] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [aux_sym_encapsed_string_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [aux_sym_string_token1] = ACTIONS(1342),
    [anon_sym_LT_LT_LT] = ACTIONS(1342),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [aux_sym_yield_expression_token1] = ACTIONS(1344),
    [aux_sym_include_expression_token1] = ACTIONS(1344),
    [aux_sym_include_once_expression_token1] = ACTIONS(1344),
    [aux_sym_require_expression_token1] = ACTIONS(1344),
    [aux_sym_require_once_expression_token1] = ACTIONS(1344),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [aux_sym__argument_name_token1] = ACTIONS(1348),
    [aux_sym__argument_name_token2] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [aux_sym__argument_name_token1] = ACTIONS(1352),
    [aux_sym__argument_name_token2] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_name] = ACTIONS(1356),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1356),
    [aux_sym_global_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_definition_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1356),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [aux_sym_trait_declaration_token1] = ACTIONS(1356),
    [aux_sym_interface_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_case_token1] = ACTIONS(1356),
    [aux_sym_class_declaration_token1] = ACTIONS(1356),
    [aux_sym_final_modifier_token1] = ACTIONS(1356),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1356),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1356),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_cast_type_token1] = ACTIONS(1356),
    [aux_sym_echo_statement_token1] = ACTIONS(1356),
    [anon_sym_unset] = ACTIONS(1356),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [aux_sym_declare_statement_token2] = ACTIONS(1356),
    [sym_float] = ACTIONS(1356),
    [aux_sym_try_statement_token1] = ACTIONS(1356),
    [aux_sym_goto_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [sym_integer] = ACTIONS(1356),
    [aux_sym_return_statement_token1] = ACTIONS(1356),
    [aux_sym_throw_expression_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token2] = ACTIONS(1356),
    [aux_sym_do_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token2] = ACTIONS(1356),
    [aux_sym_foreach_statement_token1] = ACTIONS(1356),
    [aux_sym_foreach_statement_token2] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token2] = ACTIONS(1356),
    [aux_sym_else_if_clause_token1] = ACTIONS(1356),
    [aux_sym_else_clause_token1] = ACTIONS(1356),
    [aux_sym_match_expression_token1] = ACTIONS(1356),
    [aux_sym_match_default_expression_token1] = ACTIONS(1356),
    [aux_sym_switch_statement_token1] = ACTIONS(1356),
    [aux_sym_switch_block_token1] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [aux_sym_clone_expression_token1] = ACTIONS(1356),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1356),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [aux_sym__list_destructing_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_self] = ACTIONS(1356),
    [anon_sym_parent] = ACTIONS(1356),
    [aux_sym__argument_name_token1] = ACTIONS(1356),
    [aux_sym__argument_name_token2] = ACTIONS(1356),
    [anon_sym_POUND_LBRACK] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [aux_sym_encapsed_string_token1] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [aux_sym_string_token1] = ACTIONS(1354),
    [anon_sym_LT_LT_LT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [aux_sym_yield_expression_token1] = ACTIONS(1356),
    [aux_sym_include_expression_token1] = ACTIONS(1356),
    [aux_sym_include_once_expression_token1] = ACTIONS(1356),
    [aux_sym_require_expression_token1] = ACTIONS(1356),
    [aux_sym_require_once_expression_token1] = ACTIONS(1356),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [aux_sym__argument_name_token1] = ACTIONS(1364),
    [aux_sym__argument_name_token2] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [aux_sym__argument_name_token1] = ACTIONS(1368),
    [aux_sym__argument_name_token2] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [aux_sym__argument_name_token1] = ACTIONS(1372),
    [aux_sym__argument_name_token2] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [aux_sym__argument_name_token1] = ACTIONS(1376),
    [aux_sym__argument_name_token2] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__unary_expression] = STATE(906),
    [sym_unary_op_expression] = STATE(953),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(633),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_include_expression] = STATE(906),
    [sym_include_once_expression] = STATE(906),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(851),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [aux_sym__argument_name_token1] = ACTIONS(1384),
    [aux_sym__argument_name_token2] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [aux_sym__argument_name_token1] = ACTIONS(1388),
    [aux_sym__argument_name_token2] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [aux_sym__argument_name_token1] = ACTIONS(1392),
    [aux_sym__argument_name_token2] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [aux_sym__argument_name_token1] = ACTIONS(1400),
    [aux_sym__argument_name_token2] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [aux_sym__argument_name_token1] = ACTIONS(1404),
    [aux_sym__argument_name_token2] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [aux_sym__argument_name_token1] = ACTIONS(1408),
    [aux_sym__argument_name_token2] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__unary_expression] = STATE(906),
    [sym_unary_op_expression] = STATE(953),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(597),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_function_call_expression] = STATE(581),
    [sym_scoped_call_expression] = STATE(581),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(581),
    [sym_nullsafe_member_call_expression] = STATE(581),
    [sym_subscript_expression] = STATE(581),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(581),
    [sym_variable_name] = STATE(581),
    [sym_include_expression] = STATE(906),
    [sym_include_once_expression] = STATE(906),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [aux_sym__argument_name_token1] = ACTIONS(1412),
    [aux_sym__argument_name_token2] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [aux_sym__argument_name_token1] = ACTIONS(1416),
    [aux_sym__argument_name_token2] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [aux_sym__argument_name_token1] = ACTIONS(1424),
    [aux_sym__argument_name_token2] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [aux_sym__argument_name_token1] = ACTIONS(1428),
    [aux_sym__argument_name_token2] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [aux_sym__argument_name_token1] = ACTIONS(1436),
    [aux_sym__argument_name_token2] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [aux_sym__argument_name_token1] = ACTIONS(1440),
    [aux_sym__argument_name_token2] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [aux_sym__argument_name_token1] = ACTIONS(1448),
    [aux_sym__argument_name_token2] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [aux_sym__argument_name_token1] = ACTIONS(1452),
    [aux_sym__argument_name_token2] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [aux_sym__argument_name_token1] = ACTIONS(1460),
    [aux_sym__argument_name_token2] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [aux_sym__argument_name_token1] = ACTIONS(1464),
    [aux_sym__argument_name_token2] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [aux_sym__argument_name_token1] = ACTIONS(1472),
    [aux_sym__argument_name_token2] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [aux_sym__argument_name_token1] = ACTIONS(1476),
    [aux_sym__argument_name_token2] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [aux_sym__argument_name_token1] = ACTIONS(1480),
    [aux_sym__argument_name_token2] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [aux_sym__argument_name_token1] = ACTIONS(1484),
    [aux_sym__argument_name_token2] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [aux_sym__argument_name_token1] = ACTIONS(1492),
    [aux_sym__argument_name_token2] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [aux_sym__argument_name_token1] = ACTIONS(1500),
    [aux_sym__argument_name_token2] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1074),
    [sym_unary_op_expression] = STATE(1081),
    [sym_clone_expression] = STATE(1081),
    [sym__primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(806),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(632),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2649),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1766),
    [sym_array_creation_expression] = STATE(806),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(806),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_include_expression] = STATE(1074),
    [sym_include_once_expression] = STATE(1074),
    [sym__reserved_identifier] = STATE(1599),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(655),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(244),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(284),
    [aux_sym_clone_expression_token1] = ACTIONS(288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(316),
    [aux_sym_include_expression_token1] = ACTIONS(320),
    [aux_sym_include_once_expression_token1] = ACTIONS(322),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_name] = ACTIONS(1522),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1522),
    [aux_sym_global_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_definition_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1522),
    [anon_sym_BSLASH] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [aux_sym_trait_declaration_token1] = ACTIONS(1522),
    [aux_sym_interface_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_case_token1] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1522),
    [aux_sym_final_modifier_token1] = ACTIONS(1522),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1522),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1522),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1520),
    [aux_sym_cast_type_token1] = ACTIONS(1522),
    [aux_sym_echo_statement_token1] = ACTIONS(1522),
    [anon_sym_unset] = ACTIONS(1522),
    [aux_sym_declare_statement_token1] = ACTIONS(1522),
    [aux_sym_declare_statement_token2] = ACTIONS(1522),
    [sym_float] = ACTIONS(1522),
    [aux_sym_try_statement_token1] = ACTIONS(1522),
    [aux_sym_goto_statement_token1] = ACTIONS(1522),
    [aux_sym_continue_statement_token1] = ACTIONS(1522),
    [aux_sym_break_statement_token1] = ACTIONS(1522),
    [sym_integer] = ACTIONS(1522),
    [aux_sym_return_statement_token1] = ACTIONS(1522),
    [aux_sym_throw_expression_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token2] = ACTIONS(1522),
    [aux_sym_do_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token2] = ACTIONS(1522),
    [aux_sym_foreach_statement_token1] = ACTIONS(1522),
    [aux_sym_foreach_statement_token2] = ACTIONS(1522),
    [aux_sym_if_statement_token1] = ACTIONS(1522),
    [aux_sym_if_statement_token2] = ACTIONS(1522),
    [aux_sym_else_if_clause_token1] = ACTIONS(1522),
    [aux_sym_else_clause_token1] = ACTIONS(1522),
    [aux_sym_match_expression_token1] = ACTIONS(1522),
    [aux_sym_match_default_expression_token1] = ACTIONS(1522),
    [aux_sym_switch_statement_token1] = ACTIONS(1522),
    [aux_sym_switch_block_token1] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [aux_sym_clone_expression_token1] = ACTIONS(1522),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1522),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [aux_sym__list_destructing_token1] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_self] = ACTIONS(1522),
    [anon_sym_parent] = ACTIONS(1522),
    [aux_sym__argument_name_token1] = ACTIONS(1522),
    [aux_sym__argument_name_token2] = ACTIONS(1522),
    [anon_sym_POUND_LBRACK] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [aux_sym_encapsed_string_token1] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1520),
    [anon_sym_LT_LT_LT] = ACTIONS(1520),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [aux_sym_yield_expression_token1] = ACTIONS(1522),
    [aux_sym_include_expression_token1] = ACTIONS(1522),
    [aux_sym_include_once_expression_token1] = ACTIONS(1522),
    [aux_sym_require_expression_token1] = ACTIONS(1522),
    [aux_sym_require_once_expression_token1] = ACTIONS(1522),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [sym_qualified_name] = STATE(695),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__unary_expression] = STATE(906),
    [sym_unary_op_expression] = STATE(953),
    [sym_clone_expression] = STATE(953),
    [sym__primary_expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(689),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(597),
    [sym_member_access_expression] = STATE(597),
    [sym_nullsafe_member_access_expression] = STATE(597),
    [sym_scoped_property_access_expression] = STATE(597),
    [sym_function_call_expression] = STATE(581),
    [sym_scoped_call_expression] = STATE(581),
    [sym__scope_resolution_qualifier] = STATE(2536),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(581),
    [sym_nullsafe_member_call_expression] = STATE(581),
    [sym_subscript_expression] = STATE(581),
    [sym__dereferencable_expression] = STATE(1778),
    [sym_array_creation_expression] = STATE(689),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(689),
    [sym_dynamic_variable_name] = STATE(581),
    [sym_variable_name] = STATE(581),
    [sym_include_expression] = STATE(906),
    [sym_include_once_expression] = STATE(906),
    [sym__reserved_identifier] = STATE(1590),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(557),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(571),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(585),
    [aux_sym_clone_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(611),
    [aux_sym_include_expression_token1] = ACTIONS(617),
    [aux_sym_include_once_expression_token1] = ACTIONS(619),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1526),
    [aux_sym_global_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_definition_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1526),
    [anon_sym_BSLASH] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [aux_sym_trait_declaration_token1] = ACTIONS(1526),
    [aux_sym_interface_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_case_token1] = ACTIONS(1526),
    [aux_sym_class_declaration_token1] = ACTIONS(1526),
    [aux_sym_final_modifier_token1] = ACTIONS(1526),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1526),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1526),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_cast_type_token1] = ACTIONS(1526),
    [aux_sym_echo_statement_token1] = ACTIONS(1526),
    [anon_sym_unset] = ACTIONS(1526),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [aux_sym_declare_statement_token2] = ACTIONS(1526),
    [sym_float] = ACTIONS(1526),
    [aux_sym_try_statement_token1] = ACTIONS(1526),
    [aux_sym_goto_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [sym_integer] = ACTIONS(1526),
    [aux_sym_return_statement_token1] = ACTIONS(1526),
    [aux_sym_throw_expression_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token2] = ACTIONS(1526),
    [aux_sym_do_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token2] = ACTIONS(1526),
    [aux_sym_foreach_statement_token1] = ACTIONS(1526),
    [aux_sym_foreach_statement_token2] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token2] = ACTIONS(1526),
    [aux_sym_else_if_clause_token1] = ACTIONS(1526),
    [aux_sym_else_clause_token1] = ACTIONS(1526),
    [aux_sym_match_expression_token1] = ACTIONS(1526),
    [aux_sym_match_default_expression_token1] = ACTIONS(1526),
    [aux_sym_switch_statement_token1] = ACTIONS(1526),
    [aux_sym_switch_block_token1] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [aux_sym_clone_expression_token1] = ACTIONS(1526),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1526),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [aux_sym__list_destructing_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_self] = ACTIONS(1526),
    [anon_sym_parent] = ACTIONS(1526),
    [aux_sym__argument_name_token1] = ACTIONS(1526),
    [aux_sym__argument_name_token2] = ACTIONS(1526),
    [anon_sym_POUND_LBRACK] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [aux_sym_encapsed_string_token1] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1524),
    [anon_sym_LT_LT_LT] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [aux_sym_yield_expression_token1] = ACTIONS(1526),
    [aux_sym_include_expression_token1] = ACTIONS(1526),
    [aux_sym_include_once_expression_token1] = ACTIONS(1526),
    [aux_sym_require_expression_token1] = ACTIONS(1526),
    [aux_sym_require_once_expression_token1] = ACTIONS(1526),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1528),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1530),
    [aux_sym_global_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_definition_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1530),
    [anon_sym_BSLASH] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [aux_sym_trait_declaration_token1] = ACTIONS(1530),
    [aux_sym_interface_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_case_token1] = ACTIONS(1530),
    [aux_sym_class_declaration_token1] = ACTIONS(1530),
    [aux_sym_final_modifier_token1] = ACTIONS(1530),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1530),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1530),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(1530),
    [aux_sym_echo_statement_token1] = ACTIONS(1530),
    [anon_sym_unset] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_declare_statement_token2] = ACTIONS(1530),
    [sym_float] = ACTIONS(1530),
    [aux_sym_try_statement_token1] = ACTIONS(1530),
    [aux_sym_goto_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [sym_integer] = ACTIONS(1530),
    [aux_sym_return_statement_token1] = ACTIONS(1530),
    [aux_sym_throw_expression_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token2] = ACTIONS(1530),
    [aux_sym_do_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token2] = ACTIONS(1530),
    [aux_sym_foreach_statement_token1] = ACTIONS(1530),
    [aux_sym_foreach_statement_token2] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token2] = ACTIONS(1530),
    [aux_sym_else_if_clause_token1] = ACTIONS(1530),
    [aux_sym_else_clause_token1] = ACTIONS(1530),
    [aux_sym_match_expression_token1] = ACTIONS(1530),
    [aux_sym_match_default_expression_token1] = ACTIONS(1530),
    [aux_sym_switch_statement_token1] = ACTIONS(1530),
    [aux_sym_switch_block_token1] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [aux_sym_clone_expression_token1] = ACTIONS(1530),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1530),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [aux_sym__list_destructing_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_self] = ACTIONS(1530),
    [anon_sym_parent] = ACTIONS(1530),
    [aux_sym__argument_name_token1] = ACTIONS(1530),
    [aux_sym__argument_name_token2] = ACTIONS(1530),
    [anon_sym_POUND_LBRACK] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [aux_sym_encapsed_string_token1] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1528),
    [anon_sym_LT_LT_LT] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [aux_sym_yield_expression_token1] = ACTIONS(1530),
    [aux_sym_include_expression_token1] = ACTIONS(1530),
    [aux_sym_include_once_expression_token1] = ACTIONS(1530),
    [aux_sym_require_expression_token1] = ACTIONS(1530),
    [aux_sym_require_once_expression_token1] = ACTIONS(1530),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_name] = ACTIONS(1042),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1042),
    [aux_sym_global_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_definition_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1042),
    [anon_sym_BSLASH] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym_trait_declaration_token1] = ACTIONS(1042),
    [aux_sym_interface_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_case_token1] = ACTIONS(1042),
    [aux_sym_class_declaration_token1] = ACTIONS(1042),
    [aux_sym_final_modifier_token1] = ACTIONS(1042),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1042),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1042),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [aux_sym_cast_type_token1] = ACTIONS(1042),
    [aux_sym_echo_statement_token1] = ACTIONS(1042),
    [anon_sym_unset] = ACTIONS(1042),
    [aux_sym_declare_statement_token1] = ACTIONS(1042),
    [aux_sym_declare_statement_token2] = ACTIONS(1042),
    [sym_float] = ACTIONS(1042),
    [aux_sym_try_statement_token1] = ACTIONS(1042),
    [aux_sym_goto_statement_token1] = ACTIONS(1042),
    [aux_sym_continue_statement_token1] = ACTIONS(1042),
    [aux_sym_break_statement_token1] = ACTIONS(1042),
    [sym_integer] = ACTIONS(1042),
    [aux_sym_return_statement_token1] = ACTIONS(1042),
    [aux_sym_throw_expression_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token2] = ACTIONS(1042),
    [aux_sym_do_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token2] = ACTIONS(1042),
    [aux_sym_foreach_statement_token1] = ACTIONS(1042),
    [aux_sym_foreach_statement_token2] = ACTIONS(1042),
    [aux_sym_if_statement_token1] = ACTIONS(1042),
    [aux_sym_if_statement_token2] = ACTIONS(1042),
    [aux_sym_else_if_clause_token1] = ACTIONS(1042),
    [aux_sym_else_clause_token1] = ACTIONS(1042),
    [aux_sym_match_expression_token1] = ACTIONS(1042),
    [aux_sym_match_default_expression_token1] = ACTIONS(1042),
    [aux_sym_switch_statement_token1] = ACTIONS(1042),
    [aux_sym_switch_block_token1] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [aux_sym_clone_expression_token1] = ACTIONS(1042),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1042),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [aux_sym__list_destructing_token1] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_self] = ACTIONS(1042),
    [anon_sym_parent] = ACTIONS(1042),
    [aux_sym__argument_name_token1] = ACTIONS(1042),
    [aux_sym__argument_name_token2] = ACTIONS(1042),
    [anon_sym_POUND_LBRACK] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [aux_sym_encapsed_string_token1] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_string_token1] = ACTIONS(1040),
    [anon_sym_LT_LT_LT] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(1040),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [aux_sym_yield_expression_token1] = ACTIONS(1042),
    [aux_sym_include_expression_token1] = ACTIONS(1042),
    [aux_sym_include_once_expression_token1] = ACTIONS(1042),
    [aux_sym_require_expression_token1] = ACTIONS(1042),
    [aux_sym_require_once_expression_token1] = ACTIONS(1042),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_name] = ACTIONS(1542),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1542),
    [aux_sym_global_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_definition_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1542),
    [anon_sym_BSLASH] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_trait_declaration_token1] = ACTIONS(1542),
    [aux_sym_interface_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_case_token1] = ACTIONS(1542),
    [aux_sym_class_declaration_token1] = ACTIONS(1542),
    [aux_sym_final_modifier_token1] = ACTIONS(1542),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1542),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1542),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_cast_type_token1] = ACTIONS(1542),
    [aux_sym_echo_statement_token1] = ACTIONS(1542),
    [anon_sym_unset] = ACTIONS(1542),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [aux_sym_declare_statement_token2] = ACTIONS(1542),
    [sym_float] = ACTIONS(1542),
    [aux_sym_try_statement_token1] = ACTIONS(1542),
    [aux_sym_goto_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [sym_integer] = ACTIONS(1542),
    [aux_sym_return_statement_token1] = ACTIONS(1542),
    [aux_sym_throw_expression_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token2] = ACTIONS(1542),
    [aux_sym_do_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token2] = ACTIONS(1542),
    [aux_sym_foreach_statement_token1] = ACTIONS(1542),
    [aux_sym_foreach_statement_token2] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token2] = ACTIONS(1542),
    [aux_sym_else_if_clause_token1] = ACTIONS(1542),
    [aux_sym_else_clause_token1] = ACTIONS(1542),
    [aux_sym_match_expression_token1] = ACTIONS(1542),
    [aux_sym_match_default_expression_token1] = ACTIONS(1542),
    [aux_sym_switch_statement_token1] = ACTIONS(1542),
    [aux_sym_switch_block_token1] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1540),
    [aux_sym_clone_expression_token1] = ACTIONS(1542),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1542),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [aux_sym__list_destructing_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_self] = ACTIONS(1542),
    [anon_sym_parent] = ACTIONS(1542),
    [aux_sym__argument_name_token1] = ACTIONS(1542),
    [aux_sym__argument_name_token2] = ACTIONS(1542),
    [anon_sym_POUND_LBRACK] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [aux_sym_encapsed_string_token1] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1540),
    [anon_sym_LT_LT_LT] = ACTIONS(1540),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1540),
    [aux_sym_yield_expression_token1] = ACTIONS(1542),
    [aux_sym_include_expression_token1] = ACTIONS(1542),
    [aux_sym_include_once_expression_token1] = ACTIONS(1542),
    [aux_sym_require_expression_token1] = ACTIONS(1542),
    [aux_sym_require_once_expression_token1] = ACTIONS(1542),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [sym_name] = ACTIONS(1548),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1550),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1548),
    [aux_sym_global_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_definition_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [aux_sym_trait_declaration_token1] = ACTIONS(1548),
    [aux_sym_interface_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_declaration_token1] = ACTIONS(1548),
    [anon_sym_COLON] = ACTIONS(1550),
    [aux_sym_class_declaration_token1] = ACTIONS(1548),
    [aux_sym_final_modifier_token1] = ACTIONS(1548),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1548),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1548),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [aux_sym_cast_type_token1] = ACTIONS(1548),
    [aux_sym_echo_statement_token1] = ACTIONS(1548),
    [anon_sym_unset] = ACTIONS(1548),
    [aux_sym_declare_statement_token1] = ACTIONS(1548),
    [sym_float] = ACTIONS(1548),
    [aux_sym_try_statement_token1] = ACTIONS(1548),
    [aux_sym_goto_statement_token1] = ACTIONS(1548),
    [aux_sym_continue_statement_token1] = ACTIONS(1548),
    [aux_sym_break_statement_token1] = ACTIONS(1548),
    [sym_integer] = ACTIONS(1548),
    [aux_sym_return_statement_token1] = ACTIONS(1548),
    [aux_sym_throw_expression_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token1] = ACTIONS(1548),
    [aux_sym_do_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token1] = ACTIONS(1548),
    [aux_sym_foreach_statement_token1] = ACTIONS(1548),
    [aux_sym_if_statement_token1] = ACTIONS(1548),
    [aux_sym_match_expression_token1] = ACTIONS(1548),
    [aux_sym_switch_statement_token1] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [aux_sym_clone_expression_token1] = ACTIONS(1548),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1548),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [aux_sym__list_destructing_token1] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_self] = ACTIONS(1548),
    [anon_sym_parent] = ACTIONS(1548),
    [aux_sym__argument_name_token1] = ACTIONS(1548),
    [aux_sym__argument_name_token2] = ACTIONS(1548),
    [anon_sym_POUND_LBRACK] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [aux_sym_encapsed_string_token1] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [aux_sym_string_token1] = ACTIONS(1550),
    [anon_sym_LT_LT_LT] = ACTIONS(1550),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [aux_sym_yield_expression_token1] = ACTIONS(1548),
    [aux_sym_include_expression_token1] = ACTIONS(1548),
    [aux_sym_include_once_expression_token1] = ACTIONS(1548),
    [aux_sym_require_expression_token1] = ACTIONS(1548),
    [aux_sym_require_once_expression_token1] = ACTIONS(1548),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [sym_qualified_name] = STATE(711),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2506),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__primary_expression] = STATE(933),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_variable] = STATE(721),
    [sym_member_access_expression] = STATE(721),
    [sym_nullsafe_member_access_expression] = STATE(721),
    [sym_scoped_property_access_expression] = STATE(721),
    [sym_function_call_expression] = STATE(646),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2685),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1706),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(646),
    [sym_variable_name] = STATE(646),
    [sym__reserved_identifier] = STATE(1591),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(629),
    [aux_sym_print_intrinsic_token1] = ACTIONS(639),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [sym_qualified_name] = STATE(822),
    [sym_namespace_name_as_prefix] = STATE(2661),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2652),
    [sym_arrow_function] = STATE(1110),
    [sym_throw_expression] = STATE(1110),
    [sym__primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(903),
    [sym_print_intrinsic] = STATE(1110),
    [sym_anonymous_function_creation_expression] = STATE(1110),
    [sym_object_creation_expression] = STATE(1110),
    [sym_update_expression] = STATE(1110),
    [sym_cast_variable] = STATE(844),
    [sym_member_access_expression] = STATE(844),
    [sym_nullsafe_member_access_expression] = STATE(844),
    [sym_scoped_property_access_expression] = STATE(844),
    [sym_function_call_expression] = STATE(780),
    [sym_scoped_call_expression] = STATE(780),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(780),
    [sym_nullsafe_member_call_expression] = STATE(780),
    [sym_subscript_expression] = STATE(780),
    [sym__dereferencable_expression] = STATE(1707),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1914),
    [sym_encapsed_string] = STATE(883),
    [sym_string] = STATE(883),
    [sym_heredoc] = STATE(883),
    [sym_nowdoc] = STATE(883),
    [sym_shell_command_expression] = STATE(1110),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(828),
    [sym_dynamic_variable_name] = STATE(780),
    [sym_variable_name] = STATE(780),
    [sym__reserved_identifier] = STATE(1593),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(1558),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [aux_sym_cast_type_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(254),
    [sym_integer] = ACTIONS(254),
    [aux_sym_throw_expression_token1] = ACTIONS(266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(292),
    [anon_sym_DASH_DASH] = ACTIONS(294),
    [anon_sym_PLUS_PLUS] = ACTIONS(294),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(302),
    [aux_sym__argument_name_token2] = ACTIONS(304),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [aux_sym_encapsed_string_token1] = ACTIONS(310),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [aux_sym_string_token1] = ACTIONS(308),
    [anon_sym_LT_LT_LT] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(314),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [sym_qualified_name] = STATE(711),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2562),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__primary_expression] = STATE(933),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_variable] = STATE(721),
    [sym_member_access_expression] = STATE(721),
    [sym_nullsafe_member_access_expression] = STATE(721),
    [sym_scoped_property_access_expression] = STATE(721),
    [sym_function_call_expression] = STATE(646),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2685),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1706),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(646),
    [sym_variable_name] = STATE(646),
    [sym__reserved_identifier] = STATE(1591),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(591),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [sym_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [sym_qualified_name] = STATE(711),
    [sym_namespace_name_as_prefix] = STATE(2578),
    [sym_namespace_name] = STATE(2658),
    [sym_static_modifier] = STATE(2655),
    [sym__arrow_function_header] = STATE(2565),
    [sym_arrow_function] = STATE(963),
    [sym_throw_expression] = STATE(963),
    [sym__primary_expression] = STATE(933),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(778),
    [sym_print_intrinsic] = STATE(963),
    [sym_anonymous_function_creation_expression] = STATE(963),
    [sym_object_creation_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_cast_variable] = STATE(721),
    [sym_member_access_expression] = STATE(721),
    [sym_nullsafe_member_access_expression] = STATE(721),
    [sym_scoped_property_access_expression] = STATE(721),
    [sym_function_call_expression] = STATE(646),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2685),
    [sym_relative_scope] = STATE(2648),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1706),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1367),
    [sym_attribute_list] = STATE(1900),
    [sym_encapsed_string] = STATE(763),
    [sym_string] = STATE(763),
    [sym_heredoc] = STATE(763),
    [sym_nowdoc] = STATE(763),
    [sym_shell_command_expression] = STATE(963),
    [sym_boolean] = STATE(963),
    [sym_null] = STATE(963),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(646),
    [sym_variable_name] = STATE(646),
    [sym__reserved_identifier] = STATE(1591),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(563),
    [aux_sym_namespace_definition_token1] = ACTIONS(565),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(567),
    [anon_sym_BSLASH] = ACTIONS(218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(1554),
    [aux_sym_cast_type_token1] = ACTIONS(575),
    [sym_float] = ACTIONS(577),
    [sym_integer] = ACTIONS(577),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym_object_creation_expression_token1] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(300),
    [anon_sym_parent] = ACTIONS(300),
    [aux_sym__argument_name_token1] = ACTIONS(599),
    [aux_sym__argument_name_token2] = ACTIONS(601),
    [anon_sym_POUND_LBRACK] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(603),
    [aux_sym_encapsed_string_token1] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(605),
    [aux_sym_string_token1] = ACTIONS(603),
    [anon_sym_LT_LT_LT] = ACTIONS(607),
    [anon_sym_BQUOTE] = ACTIONS(609),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [sym_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1566),
    [anon_sym_COMMA] = ACTIONS(1564),
    [anon_sym_EQ] = ACTIONS(1566),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [aux_sym_base_clause_token1] = ACTIONS(1564),
    [anon_sym_COLON] = ACTIONS(1566),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1564),
    [anon_sym_EQ_GT] = ACTIONS(1564),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [anon_sym_RPAREN] = ACTIONS(1564),
    [anon_sym_QMARK] = ACTIONS(1566),
    [anon_sym_PIPE] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_COLON_COLON] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1564),
    [anon_sym_STAR_EQ] = ACTIONS(1564),
    [anon_sym_SLASH_EQ] = ACTIONS(1564),
    [anon_sym_PERCENT_EQ] = ACTIONS(1564),
    [anon_sym_PLUS_EQ] = ACTIONS(1564),
    [anon_sym_DASH_EQ] = ACTIONS(1564),
    [anon_sym_DOT_EQ] = ACTIONS(1564),
    [anon_sym_LT_LT_EQ] = ACTIONS(1564),
    [anon_sym_GT_GT_EQ] = ACTIONS(1564),
    [anon_sym_AMP_EQ] = ACTIONS(1564),
    [anon_sym_CARET_EQ] = ACTIONS(1564),
    [anon_sym_PIPE_EQ] = ACTIONS(1564),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1564),
    [anon_sym_DASH_GT] = ACTIONS(1564),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_RBRACK] = ACTIONS(1564),
    [aux_sym_binary_expression_token1] = ACTIONS(1564),
    [anon_sym_QMARK_QMARK] = ACTIONS(1566),
    [anon_sym_STAR_STAR] = ACTIONS(1566),
    [aux_sym_binary_expression_token2] = ACTIONS(1564),
    [aux_sym_binary_expression_token3] = ACTIONS(1564),
    [aux_sym_binary_expression_token4] = ACTIONS(1564),
    [anon_sym_PIPE_PIPE] = ACTIONS(1564),
    [anon_sym_AMP_AMP] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1566),
    [anon_sym_EQ_EQ] = ACTIONS(1566),
    [anon_sym_BANG_EQ] = ACTIONS(1566),
    [anon_sym_LT_GT] = ACTIONS(1564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1564),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1564),
    [anon_sym_LT] = ACTIONS(1566),
    [anon_sym_GT] = ACTIONS(1566),
    [anon_sym_LT_EQ] = ACTIONS(1566),
    [anon_sym_GT_EQ] = ACTIONS(1564),
    [anon_sym_LT_EQ_GT] = ACTIONS(1564),
    [anon_sym_LT_LT] = ACTIONS(1566),
    [anon_sym_GT_GT] = ACTIONS(1566),
    [anon_sym_DOT] = ACTIONS(1566),
    [anon_sym_STAR] = ACTIONS(1566),
    [anon_sym_SLASH] = ACTIONS(1566),
    [anon_sym_PERCENT] = ACTIONS(1566),
    [sym_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_text_interpolation] = STATE(575),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1570),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [aux_sym_base_clause_token1] = ACTIONS(1568),
    [anon_sym_COLON] = ACTIONS(1570),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1568),
    [anon_sym_EQ_GT] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_RPAREN] = ACTIONS(1568),
    [anon_sym_QMARK] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_COLON_COLON] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1568),
    [anon_sym_STAR_EQ] = ACTIONS(1568),
    [anon_sym_SLASH_EQ] = ACTIONS(1568),
    [anon_sym_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_EQ] = ACTIONS(1568),
    [anon_sym_DASH_EQ] = ACTIONS(1568),
    [anon_sym_DOT_EQ] = ACTIONS(1568),
    [anon_sym_LT_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_AMP_EQ] = ACTIONS(1568),
    [anon_sym_CARET_EQ] = ACTIONS(1568),
    [anon_sym_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1568),
    [anon_sym_DASH_GT] = ACTIONS(1568),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [aux_sym_binary_expression_token1] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK] = ACTIONS(1570),
    [anon_sym_STAR_STAR] = ACTIONS(1570),
    [aux_sym_binary_expression_token2] = ACTIONS(1568),
    [aux_sym_binary_expression_token3] = ACTIONS(1568),
    [aux_sym_binary_expression_token4] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_LT_GT] = ACTIONS(1568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_LT_EQ_GT] = ACTIONS(1568),
    [anon_sym_LT_LT] = ACTIONS(1570),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [sym_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_text_interpolation] = STATE(576),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_EQ] = ACTIONS(1574),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1572),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [aux_sym_base_clause_token1] = ACTIONS(1572),
    [anon_sym_COLON] = ACTIONS(1574),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1572),
    [anon_sym_EQ_GT] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_RPAREN] = ACTIONS(1572),
    [anon_sym_QMARK] = ACTIONS(1574),
    [anon_sym_PIPE] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1572),
    [anon_sym_STAR_EQ] = ACTIONS(1572),
    [anon_sym_SLASH_EQ] = ACTIONS(1572),
    [anon_sym_PERCENT_EQ] = ACTIONS(1572),
    [anon_sym_PLUS_EQ] = ACTIONS(1572),
    [anon_sym_DASH_EQ] = ACTIONS(1572),
    [anon_sym_DOT_EQ] = ACTIONS(1572),
    [anon_sym_LT_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT_GT_EQ] = ACTIONS(1572),
    [anon_sym_AMP_EQ] = ACTIONS(1572),
    [anon_sym_CARET_EQ] = ACTIONS(1572),
    [anon_sym_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1572),
    [anon_sym_DASH_GT] = ACTIONS(1572),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [aux_sym_binary_expression_token1] = ACTIONS(1572),
    [anon_sym_QMARK_QMARK] = ACTIONS(1574),
    [anon_sym_STAR_STAR] = ACTIONS(1574),
    [aux_sym_binary_expression_token2] = ACTIONS(1572),
    [aux_sym_binary_expression_token3] = ACTIONS(1572),
    [aux_sym_binary_expression_token4] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1574),
    [anon_sym_EQ_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ] = ACTIONS(1574),
    [anon_sym_LT_GT] = ACTIONS(1572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1574),
    [anon_sym_GT] = ACTIONS(1574),
    [anon_sym_LT_EQ] = ACTIONS(1574),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_LT_EQ_GT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1574),
    [anon_sym_GT_GT] = ACTIONS(1574),
    [anon_sym_DOT] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_SLASH] = ACTIONS(1574),
    [anon_sym_PERCENT] = ACTIONS(1574),
    [sym_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_text_interpolation] = STATE(577),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_AMP] = ACTIONS(1578),
    [anon_sym_COMMA] = ACTIONS(1576),
    [anon_sym_EQ] = ACTIONS(1578),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [aux_sym_base_clause_token1] = ACTIONS(1576),
    [anon_sym_COLON] = ACTIONS(1578),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1576),
    [anon_sym_EQ_GT] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_RPAREN] = ACTIONS(1576),
    [anon_sym_QMARK] = ACTIONS(1578),
    [anon_sym_PIPE] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_COLON_COLON] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1576),
    [anon_sym_STAR_EQ] = ACTIONS(1576),
    [anon_sym_SLASH_EQ] = ACTIONS(1576),
    [anon_sym_PERCENT_EQ] = ACTIONS(1576),
    [anon_sym_PLUS_EQ] = ACTIONS(1576),
    [anon_sym_DASH_EQ] = ACTIONS(1576),
    [anon_sym_DOT_EQ] = ACTIONS(1576),
    [anon_sym_LT_LT_EQ] = ACTIONS(1576),
    [anon_sym_GT_GT_EQ] = ACTIONS(1576),
    [anon_sym_AMP_EQ] = ACTIONS(1576),
    [anon_sym_CARET_EQ] = ACTIONS(1576),
    [anon_sym_PIPE_EQ] = ACTIONS(1576),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1576),
    [anon_sym_DASH_GT] = ACTIONS(1576),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_RBRACK] = ACTIONS(1576),
    [aux_sym_binary_expression_token1] = ACTIONS(1576),
    [anon_sym_QMARK_QMARK] = ACTIONS(1578),
    [anon_sym_STAR_STAR] = ACTIONS(1578),
    [aux_sym_binary_expression_token2] = ACTIONS(1576),
    [aux_sym_binary_expression_token3] = ACTIONS(1576),
    [aux_sym_binary_expression_token4] = ACTIONS(1576),
    [anon_sym_PIPE_PIPE] = ACTIONS(1576),
    [anon_sym_AMP_AMP] = ACTIONS(1576),
    [anon_sym_CARET] = ACTIONS(1578),
    [anon_sym_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ] = ACTIONS(1578),
    [anon_sym_LT_GT] = ACTIONS(1576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1576),
    [anon_sym_LT] = ACTIONS(1578),
    [anon_sym_GT] = ACTIONS(1578),
    [anon_sym_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT_EQ] = ACTIONS(1576),
    [anon_sym_LT_EQ_GT] = ACTIONS(1576),
    [anon_sym_LT_LT] = ACTIONS(1578),
    [anon_sym_GT_GT] = ACTIONS(1578),
    [anon_sym_DOT] = ACTIONS(1578),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1578),
    [anon_sym_PERCENT] = ACTIONS(1578),
    [sym_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_text_interpolation,
    STATE(589), 1,
      sym_arguments,
    ACTIONS(1582), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_text_interpolation,
    STATE(593), 1,
      sym_arguments,
    ACTIONS(1588), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      sym_text_interpolation,
    STATE(595), 1,
      sym_arguments,
    ACTIONS(1592), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [237] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1598), 1,
      anon_sym_EQ,
    STATE(581), 1,
      sym_text_interpolation,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1604), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [324] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_text_interpolation,
    STATE(592), 1,
      sym_arguments,
    ACTIONS(1608), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1606), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [403] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(583), 1,
      sym_text_interpolation,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1612), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [482] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(584), 1,
      sym_text_interpolation,
    ACTIONS(1616), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [556] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(585), 1,
      sym_text_interpolation,
    ACTIONS(1620), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(586), 1,
      sym_text_interpolation,
    ACTIONS(1624), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [704] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(587), 1,
      sym_text_interpolation,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [778] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(588), 1,
      sym_text_interpolation,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [852] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(589), 1,
      sym_text_interpolation,
    ACTIONS(1636), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [926] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(590), 1,
      sym_text_interpolation,
    ACTIONS(1640), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1000] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(591), 1,
      sym_text_interpolation,
    ACTIONS(1644), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1074] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(592), 1,
      sym_text_interpolation,
    ACTIONS(1648), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1148] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1652), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1222] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(594), 1,
      sym_text_interpolation,
    ACTIONS(1656), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1654), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1296] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1660), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1658), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1370] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1664), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1662), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1444] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1598), 1,
      anon_sym_EQ,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1604), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1525] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_arguments,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1610] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_arguments,
    STATE(599), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1672), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1694] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1674), 1,
      anon_sym_EQ,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(600), 1,
      sym_text_interpolation,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1678), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1777] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(601), 1,
      sym_text_interpolation,
    STATE(616), 1,
      sym_arguments,
    ACTIONS(1612), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1852] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(602), 1,
      sym_text_interpolation,
    STATE(617), 1,
      sym_arguments,
    ACTIONS(1588), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1927] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_text_interpolation,
    STATE(611), 1,
      sym_arguments,
    ACTIONS(1592), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2002] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2081] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1682), 1,
      anon_sym_RPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(605), 1,
      sym_text_interpolation,
    STATE(2190), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2170] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1598), 1,
      anon_sym_EQ,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_text_interpolation,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1678), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1604), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2253] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1598), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_arguments,
    STATE(607), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1604), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2336] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(608), 1,
      sym_text_interpolation,
    STATE(625), 1,
      sym_arguments,
    ACTIONS(1582), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2411] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(609), 1,
      sym_text_interpolation,
    STATE(626), 1,
      sym_arguments,
    ACTIONS(1608), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1606), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2486] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2556] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1660), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1658), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2626] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_arguments,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1672), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2710] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2780] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1640), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2850] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1664), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1662), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2920] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2990] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1652), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3060] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1578), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1576), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3130] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1672), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3208] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1574), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1572), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3278] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1616), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3348] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_arguments,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3432] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1566), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1564), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3502] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1689), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_arguments,
    STATE(624), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1691), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3584] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(625), 1,
      sym_text_interpolation,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3654] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1648), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3724] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1656), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1654), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3794] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_arguments,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1693), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3878] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(629), 1,
      sym_text_interpolation,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3948] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1644), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4018] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(631), 1,
      sym_text_interpolation,
    ACTIONS(1624), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4088] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1598), 1,
      anon_sym_EQ,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1678), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1604), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4165] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1598), 1,
      anon_sym_EQ,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1604), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4242] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_arguments,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1672), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4325] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1674), 1,
      anon_sym_EQ,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1678), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4402] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1682), 1,
      anon_sym_RPAREN,
    STATE(636), 1,
      sym_text_interpolation,
    STATE(2190), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4485] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1693), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4563] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1689), 1,
      anon_sym_EQ,
    STATE(638), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1691), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1594), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4639] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1672), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4717] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4795] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(641), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1594), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1672), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1596), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4872] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1698), 21,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      sym_name,
    ACTIONS(1700), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4936] = 30,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(234), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(236), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1704), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1706), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1710), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1712), 1,
      sym_var_modifier,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1720), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(643), 1,
      sym_text_interpolation,
    STATE(1021), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1320), 1,
      sym__modifier,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1699), 1,
      sym_variable_name,
    STATE(1846), 1,
      sym_property_element,
    STATE(1848), 1,
      sym__function_definition_header,
    STATE(2166), 1,
      sym__type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(1714), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1321), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5049] = 30,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(234), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(236), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1704), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1706), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1710), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1712), 1,
      sym_var_modifier,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1720), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(644), 1,
      sym_text_interpolation,
    STATE(1021), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1320), 1,
      sym__modifier,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1699), 1,
      sym_variable_name,
    STATE(1915), 1,
      sym__function_definition_header,
    STATE(1926), 1,
      sym_property_element,
    STATE(1956), 1,
      sym__type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(1714), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1321), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5162] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_text_interpolation,
    STATE(659), 1,
      sym_arguments,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5233] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_text_interpolation,
    STATE(659), 1,
      sym_arguments,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5302] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_text_interpolation,
    STATE(661), 1,
      sym_arguments,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5367] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5428] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_text_interpolation,
    STATE(659), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5495] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_text_interpolation,
    STATE(735), 1,
      sym_arguments,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1731), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1729), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5566] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_text_interpolation,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5631] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_text_interpolation,
    STATE(673), 1,
      sym_arguments,
    ACTIONS(1608), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5696] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(584), 1,
      sym_arguments,
    STATE(653), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5767] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_text_interpolation,
    STATE(678), 1,
      sym_arguments,
    ACTIONS(1592), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5832] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym_text_interpolation,
    STATE(677), 1,
      sym_arguments,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5897] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1737), 1,
      anon_sym_COMMA,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    ACTIONS(1743), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(1747), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(656), 1,
      sym_text_interpolation,
    STATE(956), 1,
      sym_attribute_list,
    STATE(1179), 1,
      sym_visibility_modifier,
    STATE(1324), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1333), 1,
      sym_attribute_group,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym__types,
    STATE(1691), 1,
      sym__type,
    STATE(2052), 1,
      sym_reference_modifier,
    STATE(2057), 1,
      sym_variable_name,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2141), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6008] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(1747), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_COMMA,
    ACTIONS(1753), 1,
      anon_sym_RPAREN,
    STATE(657), 1,
      sym_text_interpolation,
    STATE(956), 1,
      sym_attribute_list,
    STATE(1179), 1,
      sym_visibility_modifier,
    STATE(1324), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1333), 1,
      sym_attribute_group,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym__types,
    STATE(1691), 1,
      sym__type,
    STATE(2052), 1,
      sym_reference_modifier,
    STATE(2057), 1,
      sym_variable_name,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2053), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6119] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(584), 1,
      sym_arguments,
    STATE(658), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1757), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6190] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(659), 1,
      sym_text_interpolation,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1614), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6250] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(1747), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1759), 1,
      anon_sym_RPAREN,
    STATE(660), 1,
      sym_text_interpolation,
    STATE(956), 1,
      sym_attribute_list,
    STATE(1179), 1,
      sym_visibility_modifier,
    STATE(1324), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1333), 1,
      sym_attribute_group,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym__types,
    STATE(1691), 1,
      sym__type,
    STATE(2052), 1,
      sym_reference_modifier,
    STATE(2057), 1,
      sym_variable_name,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2264), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6358] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1634), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6418] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      sym_name,
    ACTIONS(1763), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    STATE(662), 1,
      sym_text_interpolation,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1712), 1,
      sym__dereferencable_expression,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2611), 1,
      sym_attribute_list,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2701), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(691), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1705), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(698), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(700), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1592), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [6528] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1640), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1638), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6588] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1769), 1,
      sym_name,
    ACTIONS(1773), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    STATE(664), 1,
      sym_text_interpolation,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1688), 1,
      sym__dereferencable_expression,
    STATE(2533), 1,
      sym__scope_resolution_qualifier,
    STATE(2564), 1,
      sym_attribute_list,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(841), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1705), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1771), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(837), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(838), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1592), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [6698] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(665), 1,
      sym_text_interpolation,
    ACTIONS(1656), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1654), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6758] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1618), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6818] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1564), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6878] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(1747), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    STATE(668), 1,
      sym_text_interpolation,
    STATE(956), 1,
      sym_attribute_list,
    STATE(1179), 1,
      sym_visibility_modifier,
    STATE(1324), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1333), 1,
      sym_attribute_group,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym__types,
    STATE(1691), 1,
      sym__type,
    STATE(2052), 1,
      sym_reference_modifier,
    STATE(2057), 1,
      sym_variable_name,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2264), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6986] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(1747), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1779), 1,
      anon_sym_RPAREN,
    STATE(669), 1,
      sym_text_interpolation,
    STATE(956), 1,
      sym_attribute_list,
    STATE(1179), 1,
      sym_visibility_modifier,
    STATE(1324), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1333), 1,
      sym_attribute_group,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym__types,
    STATE(1691), 1,
      sym__type,
    STATE(2052), 1,
      sym_reference_modifier,
    STATE(2057), 1,
      sym_variable_name,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2264), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7094] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1644), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1642), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7154] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(596), 1,
      sym_arguments,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1783), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1781), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7218] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1622), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7278] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1646), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7338] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1662), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7398] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1574), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7458] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7518] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1650), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7578] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1658), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7638] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1578), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7698] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1626), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7758] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(589), 1,
      sym_arguments,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1787), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1785), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7822] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7882] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(1747), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    STATE(683), 1,
      sym_text_interpolation,
    STATE(956), 1,
      sym_attribute_list,
    STATE(1179), 1,
      sym_visibility_modifier,
    STATE(1324), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1333), 1,
      sym_attribute_group,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym__types,
    STATE(1691), 1,
      sym__type,
    STATE(2052), 1,
      sym_reference_modifier,
    STATE(2057), 1,
      sym_variable_name,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2264), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7990] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(684), 1,
      sym_text_interpolation,
    STATE(729), 1,
      sym_arguments,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8053] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(661), 1,
      sym_arguments,
    STATE(685), 1,
      sym_text_interpolation,
    ACTIONS(1787), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1785), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8116] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(686), 1,
      sym_text_interpolation,
    STATE(754), 1,
      sym_arguments,
    ACTIONS(1592), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8179] = 27,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1791), 1,
      sym_name,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
    STATE(687), 1,
      sym_text_interpolation,
    STATE(720), 1,
      aux_sym_use_list_repeat1,
    STATE(1570), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2223), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1705), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1592), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8282] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(296), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(701), 1,
      anon_sym_AMP,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      sym_name,
    STATE(688), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2118), 1,
      sym_by_ref,
    STATE(2119), 1,
      sym__list_destructing,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1592), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1557), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1465), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8389] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8454] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(690), 1,
      sym_text_interpolation,
    STATE(746), 1,
      sym_arguments,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8517] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(691), 1,
      sym_text_interpolation,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1731), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1729), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8582] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1757), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8647] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(1747), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(693), 1,
      sym_text_interpolation,
    STATE(956), 1,
      sym_attribute_list,
    STATE(1179), 1,
      sym_visibility_modifier,
    STATE(1324), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1333), 1,
      sym_attribute_group,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym__types,
    STATE(1691), 1,
      sym__type,
    STATE(2052), 1,
      sym_reference_modifier,
    STATE(2057), 1,
      sym_variable_name,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2264), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8752] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(694), 1,
      sym_text_interpolation,
    STATE(761), 1,
      sym_arguments,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8815] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(695), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8880] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_arguments,
    STATE(696), 1,
      sym_text_interpolation,
    ACTIONS(1783), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1781), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8943] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(697), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1757), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9008] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1797), 1,
      anon_sym_LPAREN,
    STATE(698), 1,
      sym_text_interpolation,
    STATE(919), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1731), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1729), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9073] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(587), 1,
      sym_arguments,
    STATE(699), 1,
      sym_text_interpolation,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9134] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(700), 1,
      sym_text_interpolation,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1731), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1729), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9199] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(592), 1,
      sym_arguments,
    STATE(701), 1,
      sym_text_interpolation,
    ACTIONS(1608), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9260] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(702), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9321] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(703), 1,
      sym_text_interpolation,
    STATE(760), 1,
      sym_arguments,
    ACTIONS(1608), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9384] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(704), 1,
      sym_text_interpolation,
    STATE(725), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1801), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1799), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9449] = 27,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1791), 1,
      sym_name,
    ACTIONS(1803), 1,
      anon_sym_RBRACE,
    STATE(687), 1,
      aux_sym_use_list_repeat1,
    STATE(705), 1,
      sym_text_interpolation,
    STATE(1570), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2223), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1705), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1592), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9552] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    STATE(706), 1,
      sym_text_interpolation,
    ACTIONS(1809), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1807), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1805), 31,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9615] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(707), 1,
      sym_text_interpolation,
    STATE(725), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1816), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1814), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9680] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(595), 1,
      sym_arguments,
    STATE(708), 1,
      sym_text_interpolation,
    ACTIONS(1592), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9741] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(593), 1,
      sym_arguments,
    STATE(709), 1,
      sym_text_interpolation,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9802] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(589), 1,
      sym_arguments,
    STATE(710), 1,
      sym_text_interpolation,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9863] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(659), 1,
      sym_arguments,
    STATE(711), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9928] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(712), 1,
      sym_text_interpolation,
    STATE(725), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9993] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(659), 1,
      sym_arguments,
    STATE(713), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10058] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10121] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(715), 1,
      sym_text_interpolation,
    ACTIONS(1608), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10184] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(296), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(701), 1,
      anon_sym_AMP,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      sym_name,
    STATE(716), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2464), 1,
      sym__list_destructing,
    STATE(2469), 1,
      sym_by_ref,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1592), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1571), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1547), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10291] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(595), 1,
      sym_arguments,
    STATE(717), 1,
      sym_text_interpolation,
    ACTIONS(1592), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10354] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(593), 1,
      sym_arguments,
    STATE(718), 1,
      sym_text_interpolation,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10417] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(589), 1,
      sym_arguments,
    STATE(719), 1,
      sym_text_interpolation,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10480] = 26,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1824), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    ACTIONS(1830), 1,
      anon_sym_RBRACE,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    ACTIONS(1835), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1838), 1,
      anon_sym_LBRACK,
    ACTIONS(1847), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1850), 1,
      anon_sym_DOLLAR,
    STATE(1570), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(1841), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(1844), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(720), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2223), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1821), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1705), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1592), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10581] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1602), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10644] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1662), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10702] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1855), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1853), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10760] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1859), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1857), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10818] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1614), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10876] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1863), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1861), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10934] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1865), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10992] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1640), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1638), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11050] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1634), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11108] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1548), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1550), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11166] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1871), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1869), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11224] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1875), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1873), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11282] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1879), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1877), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11340] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1807), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1805), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11398] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1614), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1883), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1881), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11458] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1887), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1885), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11516] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1891), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1889), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11574] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1895), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1893), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11632] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1899), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1897), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11690] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1901), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11748] = 28,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(701), 1,
      anon_sym_AMP,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      sym_name,
    STATE(741), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2411), 1,
      sym__array_destructing,
    STATE(2412), 1,
      sym_by_ref,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1592), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1578), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1518), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [11852] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1907), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1905), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11910] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1911), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1909), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11968] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1644), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1642), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12026] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1622), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12084] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1652), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1650), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12142] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1915), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1913), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12200] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1618), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12258] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1656), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1654), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12316] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1578), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12374] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1574), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12432] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12490] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1919), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1917), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12548] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1658), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12606] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_COLON_COLON,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12666] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1925), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1923), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12724] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1929), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1927), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12782] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(758), 1,
      sym_text_interpolation,
    ACTIONS(1933), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1931), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12840] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1937), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1935), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12898] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1648), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1646), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12956] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1626), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13014] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1564), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13072] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1941), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1939), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13130] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1807), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1805), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13191] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(621), 1,
      sym_arguments,
    STATE(765), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13258] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(766), 1,
      sym_text_interpolation,
    STATE(788), 1,
      sym_arguments,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13319] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(767), 1,
      sym_text_interpolation,
    STATE(787), 1,
      sym_arguments,
    ACTIONS(1608), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13380] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1042), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1040), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13437] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13496] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(770), 1,
      sym_text_interpolation,
    STATE(797), 1,
      sym_arguments,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13557] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(771), 1,
      sym_text_interpolation,
    STATE(799), 1,
      sym_arguments,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13618] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(772), 1,
      sym_text_interpolation,
    STATE(800), 1,
      sym_arguments,
    ACTIONS(1592), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13679] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(773), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1816), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1814), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13738] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(774), 1,
      sym_text_interpolation,
    STATE(804), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13801] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1757), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13860] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(776), 1,
      sym_text_interpolation,
    STATE(804), 1,
      sym_arguments,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13927] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1947), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1945), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [13984] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(778), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14043] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1801), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1799), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14102] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(780), 1,
      sym_text_interpolation,
    STATE(804), 1,
      sym_arguments,
    ACTIONS(1678), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14167] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(781), 1,
      sym_text_interpolation,
    ACTIONS(1034), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1032), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14224] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(584), 1,
      sym_arguments,
    STATE(782), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1757), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14291] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(783), 1,
      sym_text_interpolation,
    STATE(866), 1,
      sym_arguments,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1731), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1729), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14358] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(784), 1,
      sym_text_interpolation,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1662), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14414] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1656), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1654), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14470] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1618), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14526] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1648), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1646), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14582] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1626), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14638] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14694] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1951), 1,
      anon_sym_COLON,
    STATE(621), 1,
      sym_arguments,
    STATE(790), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14762] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1622), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14818] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1955), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1953), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [14874] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1574), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14930] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1957), 1,
      anon_sym_COLON,
    STATE(584), 1,
      sym_arguments,
    STATE(794), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14998] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15054] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1640), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1638), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15110] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1634), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15166] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1644), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1642), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15222] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1652), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1650), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15278] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1658), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15334] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1959), 1,
      anon_sym_COLON,
    STATE(621), 1,
      sym_arguments,
    STATE(801), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15402] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1564), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15458] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1578), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15514] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1614), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15570] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(784), 1,
      sym_arguments,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(1783), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1781), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15629] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15690] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      sym_name,
    STATE(807), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1592), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1553), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1473), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [15785] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(808), 1,
      sym_text_interpolation,
    STATE(879), 1,
      sym_arguments,
    ACTIONS(1582), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15844] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(809), 1,
      sym_text_interpolation,
    STATE(887), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1598), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15905] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1612), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15964] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1554), 1,
      anon_sym_LPAREN,
    ACTIONS(1556), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1961), 1,
      sym_name,
    STATE(811), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1706), 1,
      sym__dereferencable_expression,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1591), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1569), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(702), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(649), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16059] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1632), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16114] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1963), 1,
      sym_name,
    STATE(813), 1,
      sym_text_interpolation,
    STATE(1725), 1,
      sym__dereferencable_expression,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(697), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1705), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(692), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(775), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1592), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [16209] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1965), 1,
      sym_name,
    STATE(814), 1,
      sym_text_interpolation,
    STATE(1716), 1,
      sym__dereferencable_expression,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2657), 1,
      sym__scope_resolution_qualifier,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(843), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1705), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1771), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(836), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(902), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1592), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [16304] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1608), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16363] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1967), 1,
      sym_name,
    ACTIONS(1969), 1,
      anon_sym_LPAREN,
    STATE(816), 1,
      sym_text_interpolation,
    STATE(1693), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2632), 1,
      sym__scope_resolution_qualifier,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1598), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1580), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(901), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(826), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16458] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(595), 1,
      sym_arguments,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(1592), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16517] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16574] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(587), 1,
      sym_arguments,
    STATE(819), 1,
      sym_text_interpolation,
    ACTIONS(1612), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16631] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(592), 1,
      sym_arguments,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(1608), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16688] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1971), 1,
      sym_name,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
    STATE(821), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1707), 1,
      sym__dereferencable_expression,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2644), 1,
      sym__scope_resolution_qualifier,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1593), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1587), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(818), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(774), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16783] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(804), 1,
      sym_arguments,
    STATE(822), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16844] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(1807), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1805), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16901] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16962] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      sym_name,
    STATE(825), 1,
      sym_text_interpolation,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(773), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1592), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1705), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1480), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17057] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(826), 1,
      sym_text_interpolation,
    STATE(887), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1801), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1799), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17118] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(1146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1144), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17173] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(804), 1,
      sym_arguments,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17234] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(625), 1,
      sym_arguments,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(1787), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1785), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17293] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      sym_name,
    STATE(830), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1592), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(702), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1461), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17388] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(831), 1,
      sym_text_interpolation,
    STATE(898), 1,
      sym_arguments,
    ACTIONS(1612), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17447] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    STATE(615), 1,
      sym_arguments,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(1783), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1781), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17506] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1975), 1,
      sym_name,
    STATE(833), 1,
      sym_text_interpolation,
    STATE(1717), 1,
      sym__dereferencable_expression,
    STATE(2567), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(773), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1585), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1568), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1705), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(707), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17601] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(1124), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1122), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17656] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(835), 1,
      sym_text_interpolation,
    STATE(897), 1,
      sym_arguments,
    ACTIONS(1608), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17715] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1757), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17776] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(837), 1,
      sym_text_interpolation,
    STATE(866), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1731), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1729), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17837] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1977), 1,
      anon_sym_LPAREN,
    STATE(838), 1,
      sym_text_interpolation,
    STATE(1132), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1731), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1729), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17898] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1975), 1,
      sym_name,
    ACTIONS(1979), 1,
      anon_sym_LPAREN,
    STATE(839), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1717), 1,
      sym__dereferencable_expression,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2669), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1585), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1568), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(769), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(712), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17993] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(595), 1,
      sym_arguments,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(1592), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18050] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(841), 1,
      sym_text_interpolation,
    STATE(866), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1731), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1729), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18111] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(593), 1,
      sym_arguments,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1588), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18168] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(843), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1757), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18229] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(1678), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18288] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(797), 1,
      sym_arguments,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(1787), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1785), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18347] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1967), 1,
      sym_name,
    ACTIONS(1969), 1,
      anon_sym_LPAREN,
    STATE(846), 1,
      sym_text_interpolation,
    STATE(1693), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2632), 1,
      sym__scope_resolution_qualifier,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1598), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1580), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(904), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(809), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18442] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(593), 1,
      sym_arguments,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1588), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18501] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      sym_name,
    STATE(848), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1592), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1581), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1516), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18596] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(849), 1,
      sym_text_interpolation,
    STATE(887), 1,
      sym_arguments,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1816), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1814), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18657] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1967), 1,
      sym_name,
    STATE(850), 1,
      sym_text_interpolation,
    STATE(1693), 1,
      sym__dereferencable_expression,
    STATE(2501), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(905), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1598), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1580), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1705), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(849), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18752] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_text_interpolation,
    STATE(885), 1,
      sym_arguments,
    ACTIONS(1592), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18811] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    STATE(589), 1,
      sym_arguments,
    STATE(852), 1,
      sym_text_interpolation,
    ACTIONS(1582), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18870] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(1975), 1,
      sym_name,
    ACTIONS(1979), 1,
      anon_sym_LPAREN,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1717), 1,
      sym__dereferencable_expression,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2669), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1585), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1568), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(779), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(704), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18965] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(575), 1,
      aux_sym_cast_type_token1,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1172), 1,
      anon_sym_LBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      sym_name,
    STATE(854), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(1724), 1,
      sym__dereferencable_expression,
    STATE(2536), 1,
      sym__scope_resolution_qualifier,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym_relative_scope,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1590), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(300), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1592), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1561), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1478), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19060] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(855), 1,
      sym_text_interpolation,
    STATE(858), 1,
      sym_arguments,
    ACTIONS(1588), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19119] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(589), 1,
      sym_arguments,
    STATE(856), 1,
      sym_text_interpolation,
    ACTIONS(1582), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19176] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1698), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1700), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19231] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(858), 1,
      sym_text_interpolation,
    ACTIONS(1652), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1650), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19285] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(859), 1,
      sym_text_interpolation,
    ACTIONS(1807), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1805), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19339] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(860), 1,
      sym_text_interpolation,
    ACTIONS(1887), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1885), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19393] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(1929), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1927), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19447] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(862), 1,
      sym_text_interpolation,
    ACTIONS(1855), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1853), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19501] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(1925), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1923), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19555] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1911), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1909), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19609] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1903), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1901), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19663] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1614), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1883), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1881), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19719] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1566), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1564), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19773] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1879), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1877), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19827] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1899), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1897), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19881] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1871), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1869), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19935] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1867), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1865), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19989] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1937), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1935), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20043] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1907), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1905), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20097] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1640), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1638), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20151] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1548), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1550), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20205] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1624), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1622), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20259] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1570), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20313] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1875), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1873), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20367] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1636), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1634), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20421] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1933), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1931), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20475] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1644), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1642), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20529] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1891), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1889), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20583] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1941), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1939), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20637] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1919), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1917), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20691] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1660), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1658), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20745] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1863), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1861), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20799] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1616), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1614), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20853] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1915), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1913), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20907] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1574), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20961] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1620), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1618), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21015] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1656), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1654), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21069] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1578), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21123] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1664), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1662), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21177] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1807), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1805), 29,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21233] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1895), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1893), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21287] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1859), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1857), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21341] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1648), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1646), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21395] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1628), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1626), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21449] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1812), 1,
      anon_sym_EQ,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1981), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1807), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1805), 27,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21507] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_COLON_COLON,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1632), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21563] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1801), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1799), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21618] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1757), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21673] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21728] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1598), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21783] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1816), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1814), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21838] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1985), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1983), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21890] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1989), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1987), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21942] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1993), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1991), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21994] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1997), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1995), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22046] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(2001), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1999), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22098] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(2005), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2003), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22150] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(2009), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2007), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22202] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(2013), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2011), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22254] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(2017), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2015), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22306] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(2021), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2019), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22358] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(2025), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2023), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22410] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(2029), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2027), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22462] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(2033), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2031), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22514] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1883), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1881), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22566] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(2037), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2035), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22618] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(2041), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2039), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22670] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(2045), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2043), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22722] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(2049), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2047), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22774] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(2053), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2051), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22826] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(2057), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2055), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22878] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(2061), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2059), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22930] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22982] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(2069), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2067), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23034] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(2073), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2071), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23086] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23138] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(1578), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23190] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(2081), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2079), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23242] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2085), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2083), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23294] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(2089), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2087), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23346] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(2093), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2091), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23398] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(1574), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23450] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(1570), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23502] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(2097), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2095), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23554] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(2101), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2099), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23606] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(1566), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1564), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23658] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(2105), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2103), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23710] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(2109), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2107), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23762] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(2113), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2111), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23814] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(2117), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2115), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23866] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(2121), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2119), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23918] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2125), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2123), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23970] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(2129), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2127), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24022] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(2133), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2131), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24074] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(2137), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2135), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24126] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(2141), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2139), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24178] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(2145), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2143), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24230] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(2149), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2147), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24282] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(2153), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2151), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24334] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2159), 1,
      aux_sym_binary_expression_token1,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(2157), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2155), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24388] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(2157), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2155), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24440] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1739), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(2161), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(956), 1,
      sym_text_interpolation,
    STATE(1157), 1,
      sym_visibility_modifier,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym__types,
    STATE(1752), 1,
      sym__type,
    STATE(2134), 1,
      sym_reference_modifier,
    STATE(2139), 1,
      sym_variable_name,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [24528] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(2165), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2163), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24580] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(2169), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2167), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24632] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(2173), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2171), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24684] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(2177), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2175), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24736] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(2181), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2179), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24788] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(2185), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2183), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24840] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(1596), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24892] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(2189), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2187), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24944] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(2193), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2191), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24996] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(2197), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2195), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25048] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(2201), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2199), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25100] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(2205), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2203), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25152] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2209), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2207), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25204] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(2213), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2211), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25256] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(2217), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2215), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25308] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1144), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25359] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(1124), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1122), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25410] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2223), 1,
      anon_sym_QMARK,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25492] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2255), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25580] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25668] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25738] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2265), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25826] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2267), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25914] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2269), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26002] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2271), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26090] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2273), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26178] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_EQ_GT,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 6,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26268] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2277), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26356] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2279), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26438] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2281), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26520] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2283), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26608] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(1757), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26682] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 26,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [26734] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2287), 1,
      anon_sym_QMARK,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2285), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26816] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2289), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26898] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 24,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26954] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [27014] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27072] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [27134] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27216] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 26,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [27268] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1757), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1755), 18,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27334] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(1757), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27406] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27482] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2291), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27570] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27652] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [27738] = 19,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 12,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [27816] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27900] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2287), 1,
      anon_sym_QMARK,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2285), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27981] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2255), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28068] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28155] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28212] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [28273] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1757), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1755), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28338] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(1757), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28409] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28460] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2281), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28541] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2279), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28622] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28697] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28766] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2223), 1,
      anon_sym_QMARK,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28847] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2289), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28928] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29009] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2335), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2340), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2343), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2346), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2349), 1,
      sym_var_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1021), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(2338), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2352), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2333), 17,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [29074] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2291), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29161] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [29220] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [29305] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 1,
      anon_sym_EQ_GT,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29394] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2273), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29481] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2271), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29568] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2269), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29655] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29710] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29793] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2265), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29880] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2277), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29967] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30048] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2267), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30135] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30186] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2283), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30273] = 19,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [30350] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(1757), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30423] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2287), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2285), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30503] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2025), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2023), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30551] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(2089), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2087), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30599] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(2085), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2083), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30647] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [30731] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2255), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30817] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(1566), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1564), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30865] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2169), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2167), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30913] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2291), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30999] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(1570), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31047] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31127] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2125), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2123), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31175] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31225] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31305] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2217), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2215), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31353] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(1574), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31401] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(2129), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2127), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31449] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2397), 1,
      sym_name,
    STATE(1056), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1662), 1,
      sym__type,
    STATE(1910), 1,
      sym_const_element,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2596), 1,
      sym__reserved_identifier,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [31525] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [31579] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(1757), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31651] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(1578), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31699] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31767] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2283), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31853] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(2113), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2111), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31901] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(2193), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2191), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31949] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2223), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32029] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2289), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32109] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(2189), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2187), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32157] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2109), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2107), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32205] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2133), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2131), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32253] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2105), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2103), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32301] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(1989), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1987), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32349] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(2185), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2183), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32397] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2397), 1,
      sym_name,
    STATE(1072), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1630), 1,
      sym__type,
    STATE(1944), 1,
      sym_const_element,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2596), 1,
      sym__reserved_identifier,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [32473] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2277), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32559] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(1985), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1983), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32607] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(2181), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2179), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32655] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2041), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2039), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32703] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2265), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32789] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2093), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2091), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32837] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2053), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2051), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32885] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2037), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2035), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32933] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2153), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2151), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32981] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2401), 1,
      anon_sym_EQ_GT,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2167), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_binary_expression_token1,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33069] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2029), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2027), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33117] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2403), 1,
      aux_sym_binary_expression_token1,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2157), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2155), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33167] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2149), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2147), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33215] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2197), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2195), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33263] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2117), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2115), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33311] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2273), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33397] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2271), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33483] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2269), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33569] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(1034), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1032), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33617] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2267), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33703] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2121), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2119), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33751] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2397), 1,
      sym_name,
    STATE(1094), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1619), 1,
      sym__type,
    STATE(1877), 1,
      sym_const_element,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2596), 1,
      sym__reserved_identifier,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [33827] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2397), 1,
      sym_name,
    STATE(1095), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1646), 1,
      sym__type,
    STATE(1816), 1,
      sym_const_element,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2596), 1,
      sym__reserved_identifier,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [33903] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2205), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2203), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33951] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2073), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2071), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33999] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(1042), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1040), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34047] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2005), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2003), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34095] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2045), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2043), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34143] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2279), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34223] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2033), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2031), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34271] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34353] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(2021), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2019), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34401] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2017), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2015), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34449] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2069), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2067), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34497] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2013), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2011), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34545] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2001), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1999), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34593] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2157), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2155), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34641] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(1596), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34689] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2101), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2099), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34737] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2201), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2199), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34785] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2165), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2163), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34833] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(2061), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2059), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34881] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2081), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2079), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34929] = 19,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 10,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35005] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2097), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2095), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35053] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2049), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2047), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35101] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35149] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35197] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(1993), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1991), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35245] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2009), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2007), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35293] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2209), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2207), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35341] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(1997), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1995), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35389] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2137), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2135), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35437] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35511] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2281), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35591] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2141), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2139), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35639] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2145), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2143), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35687] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(2213), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2211), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35735] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(1757), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35805] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(1883), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1881), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35853] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2397), 1,
      sym_name,
    STATE(1133), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1674), 1,
      sym__type,
    STATE(1859), 1,
      sym_const_element,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2596), 1,
      sym__reserved_identifier,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35929] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2397), 1,
      sym_name,
    STATE(1134), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1670), 1,
      sym__type,
    STATE(1863), 1,
      sym_const_element,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2596), 1,
      sym__reserved_identifier,
    STATE(2658), 1,
      sym_namespace_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36005] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [36063] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(2057), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2055), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36111] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [36171] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(2177), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2175), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36219] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [36275] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1757), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1755), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36339] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(2173), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2171), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36387] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36473] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36523] = 19,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 9,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [36598] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2277), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36683] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2269), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36768] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2287), 1,
      anon_sym_QMARK,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2285), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36847] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2289), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36926] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2255), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37011] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2445), 1,
      anon_sym_COLON,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2173), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2171), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [37060] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2445), 1,
      anon_sym_COLON,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2177), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2175), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [37109] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2271), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37194] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2223), 1,
      anon_sym_QMARK,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37273] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2279), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37352] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2281), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37431] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2291), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37516] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(238), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(1157), 1,
      sym_text_interpolation,
    STATE(1222), 1,
      sym_readonly_modifier,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2183), 1,
      sym_variable_name,
    STATE(2275), 1,
      sym__type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37593] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 23,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [37642] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [37699] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 19,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [37754] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37833] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [37892] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1757), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1755), 15,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37955] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38022] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2283), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38107] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38192] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(1757), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38261] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [38334] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38415] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [38498] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38577] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1755), 23,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [38626] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2215), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38711] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(1757), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1755), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [38782] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1757), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1755), 21,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38835] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2273), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38920] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2267), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39005] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2447), 1,
      anon_sym_EQ_GT,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2167), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39092] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(238), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(1179), 1,
      sym_text_interpolation,
    STATE(1226), 1,
      sym_readonly_modifier,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2128), 1,
      sym_variable_name,
    STATE(2394), 1,
      sym__type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39169] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2449), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39253] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2451), 1,
      anon_sym_EQ_GT,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39339] = 26,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2453), 1,
      anon_sym_COMMA,
    ACTIONS(2455), 1,
      anon_sym_EQ_GT,
    STATE(1182), 1,
      sym_text_interpolation,
    STATE(2130), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39427] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2459), 1,
      anon_sym_COMMA,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39513] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2461), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39597] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2463), 1,
      anon_sym_EQ_GT,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2167), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39683] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2465), 1,
      anon_sym_EQ_GT,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39769] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2467), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39853] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2459), 1,
      anon_sym_COMMA,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2469), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39939] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2471), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40022] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2473), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40105] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2475), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40188] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 1,
      anon_sym_RPAREN,
    ACTIONS(2477), 1,
      anon_sym_COMMA,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40273] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2479), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2485), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2493), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2495), 1,
      sym_var_modifier,
    STATE(643), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1193), 1,
      sym_text_interpolation,
    STATE(1203), 1,
      sym_final_modifier,
    STATE(1209), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_attribute_list,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1419), 1,
      sym__member_declaration,
    STATE(1422), 1,
      sym__class_const_declaration,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2497), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1402), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40364] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2499), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40447] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2501), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40530] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2503), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40613] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40696] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2507), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40779] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40862] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2511), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40945] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2513), 1,
      anon_sym_EQ_GT,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41030] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2469), 1,
      anon_sym_SEMI,
    ACTIONS(2517), 1,
      anon_sym_COMMA,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41115] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2521), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1203), 1,
      sym_text_interpolation,
    STATE(1418), 1,
      sym__const_declaration,
    STATE(2659), 1,
      sym_visibility_modifier,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2523), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2519), 22,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [41168] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41251] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2521), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1205), 1,
      sym_text_interpolation,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(2659), 1,
      sym_visibility_modifier,
    ACTIONS(240), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2523), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2519), 22,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [41304] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41387] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41470] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2479), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2485), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2493), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2495), 1,
      sym_var_modifier,
    ACTIONS(2531), 1,
      anon_sym_RBRACE,
    STATE(643), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1203), 1,
      sym_final_modifier,
    STATE(1208), 1,
      sym_text_interpolation,
    STATE(1227), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_attribute_list,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1419), 1,
      sym__member_declaration,
    STATE(1422), 1,
      sym__class_const_declaration,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2497), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1402), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [41561] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2479), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2485), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2493), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2495), 1,
      sym_var_modifier,
    ACTIONS(2533), 1,
      anon_sym_RBRACE,
    STATE(643), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1203), 1,
      sym_final_modifier,
    STATE(1209), 1,
      sym_text_interpolation,
    STATE(1213), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_attribute_list,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1419), 1,
      sym__member_declaration,
    STATE(1422), 1,
      sym__class_const_declaration,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2497), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1402), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [41652] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2535), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41735] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2513), 1,
      anon_sym_EQ_GT,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41820] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2469), 1,
      anon_sym_RPAREN,
    ACTIONS(2477), 1,
      anon_sym_COMMA,
    STATE(1212), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41905] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2539), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2545), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2548), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(2553), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2556), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2559), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2562), 1,
      sym_var_modifier,
    ACTIONS(2568), 1,
      anon_sym_POUND_LBRACK,
    STATE(643), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1203), 1,
      sym_final_modifier,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_attribute_list,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1419), 1,
      sym__member_declaration,
    STATE(1422), 1,
      sym__class_const_declaration,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(1804), 1,
      sym__function_definition_header,
    STATE(1213), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2565), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1402), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [41994] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2571), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42077] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2479), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2485), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2493), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2495), 1,
      sym_var_modifier,
    ACTIONS(2573), 1,
      anon_sym_RBRACE,
    STATE(643), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1203), 1,
      sym_final_modifier,
    STATE(1213), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1215), 1,
      sym_text_interpolation,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_attribute_list,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1419), 1,
      sym__member_declaration,
    STATE(1422), 1,
      sym__class_const_declaration,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2497), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1402), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [42168] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2575), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42251] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2479), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2485), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2493), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2495), 1,
      sym_var_modifier,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    STATE(643), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1203), 1,
      sym_final_modifier,
    STATE(1215), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1217), 1,
      sym_text_interpolation,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_attribute_list,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1419), 1,
      sym__member_declaration,
    STATE(1422), 1,
      sym__class_const_declaration,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2497), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1402), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [42342] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2579), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42425] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2581), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42508] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2583), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42591] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2585), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42674] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(1222), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1981), 1,
      sym_variable_name,
    STATE(2301), 1,
      sym__type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [42745] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2587), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42828] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2513), 1,
      anon_sym_EQ_GT,
    ACTIONS(2589), 1,
      anon_sym_RPAREN,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42913] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2457), 1,
      anon_sym_SEMI,
    ACTIONS(2517), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42998] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(1226), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2197), 1,
      sym_variable_name,
    STATE(2407), 1,
      sym__type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43069] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2479), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2485), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2493), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2495), 1,
      sym_var_modifier,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    STATE(643), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1203), 1,
      sym_final_modifier,
    STATE(1213), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1227), 1,
      sym_text_interpolation,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_attribute_list,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1419), 1,
      sym__member_declaration,
    STATE(1422), 1,
      sym__class_const_declaration,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2497), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1402), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [43160] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2513), 1,
      anon_sym_EQ_GT,
    ACTIONS(2593), 1,
      anon_sym_RPAREN,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43245] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2479), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2485), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2493), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2495), 1,
      sym_var_modifier,
    ACTIONS(2595), 1,
      anon_sym_RBRACE,
    STATE(643), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1203), 1,
      sym_final_modifier,
    STATE(1229), 1,
      sym_text_interpolation,
    STATE(1240), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_attribute_list,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1419), 1,
      sym__member_declaration,
    STATE(1422), 1,
      sym__class_const_declaration,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2497), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1402), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [43336] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1230), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2597), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43419] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2599), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43502] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2601), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43585] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2603), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43668] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2605), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43751] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2607), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43834] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2609), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43917] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_PIPE,
    ACTIONS(2411), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2415), 1,
      anon_sym_CARET,
    ACTIONS(2423), 1,
      anon_sym_GT_EQ,
    ACTIONS(2427), 1,
      anon_sym_DOT,
    ACTIONS(2429), 1,
      anon_sym_STAR,
    ACTIONS(2433), 1,
      anon_sym_QMARK,
    ACTIONS(2435), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2437), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2439), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2441), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2443), 1,
      anon_sym_PIPE_PIPE,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2409), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2417), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2425), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2431), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2421), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44000] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1238), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44083] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2615), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44166] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2479), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2485), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2493), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2495), 1,
      sym_var_modifier,
    ACTIONS(2617), 1,
      anon_sym_RBRACE,
    STATE(643), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1203), 1,
      sym_final_modifier,
    STATE(1213), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1240), 1,
      sym_text_interpolation,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_attribute_list,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1419), 1,
      sym__member_declaration,
    STATE(1422), 1,
      sym__class_const_declaration,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2497), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1402), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [44257] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2357), 1,
      anon_sym_AMP,
    ACTIONS(2359), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2365), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2367), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2369), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2371), 1,
      anon_sym_CARET,
    ACTIONS(2379), 1,
      anon_sym_GT_EQ,
    ACTIONS(2383), 1,
      anon_sym_DOT,
    ACTIONS(2385), 1,
      anon_sym_STAR,
    ACTIONS(2389), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2393), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2395), 1,
      aux_sym_binary_expression_token3,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(2361), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2381), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2387), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2619), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2377), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44340] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44422] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44504] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44586] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44668] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2629), 1,
      anon_sym_RPAREN,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44750] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2625), 1,
      anon_sym_RBRACK,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44832] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2631), 1,
      anon_sym_RBRACE,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44914] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2633), 1,
      anon_sym_RBRACK,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44996] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45078] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45160] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2639), 1,
      anon_sym_RBRACE,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45242] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2641), 1,
      anon_sym_RBRACE,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45324] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45406] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2645), 1,
      anon_sym_EQ_GT,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45488] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45570] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2647), 1,
      anon_sym_RBRACE,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45652] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2649), 1,
      anon_sym_RPAREN,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45734] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45816] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2653), 1,
      anon_sym_RBRACK,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45898] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2655), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45980] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2657), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46062] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2659), 1,
      anon_sym_COLON,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46144] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2661), 1,
      anon_sym_RBRACE,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46226] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2663), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46308] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2665), 1,
      anon_sym_RBRACE,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46390] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2667), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46472] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2669), 1,
      anon_sym_RBRACE,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46554] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2671), 1,
      anon_sym_RPAREN,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46636] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2673), 1,
      anon_sym_RBRACE,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46718] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46800] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46882] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46964] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2681), 1,
      anon_sym_RBRACK,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47046] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2681), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47128] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47210] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2685), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47292] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2687), 1,
      anon_sym_EQ_GT,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47374] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47456] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47538] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2693), 1,
      anon_sym_RBRACE,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47620] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2695), 1,
      anon_sym_COLON,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47702] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2697), 1,
      anon_sym_RBRACE,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47784] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2699), 1,
      anon_sym_RPAREN,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47866] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2703), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2701), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [47910] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2693), 1,
      anon_sym_RBRACK,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47992] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2705), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48074] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48156] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48238] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2711), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48320] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48402] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48484] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2717), 1,
      anon_sym_EQ_GT,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48566] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2293), 1,
      anon_sym_AMP,
    ACTIONS(2295), 1,
      anon_sym_PIPE,
    ACTIONS(2299), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2305), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2307), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_GT_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2329), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2331), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2719), 1,
      anon_sym_RBRACK,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2297), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2313), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2311), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48648] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2721), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48730] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48812] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48894] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2727), 1,
      anon_sym_RBRACE,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48976] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2729), 1,
      anon_sym_COLON,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49058] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2653), 1,
      anon_sym_RBRACE,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49140] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49222] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2733), 1,
      sym_name,
    ACTIONS(2737), 1,
      anon_sym_LPAREN,
    ACTIONS(2739), 1,
      anon_sym_QMARK,
    ACTIONS(2741), 1,
      sym_bottom_type,
    STATE(1302), 1,
      sym_text_interpolation,
    STATE(1562), 1,
      sym__types,
    STATE(1769), 1,
      sym_qualified_name,
    STATE(2094), 1,
      sym__type,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1768), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2161), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2735), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [49290] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49372] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49454] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49536] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49618] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2749), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49700] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2751), 1,
      anon_sym_COLON,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49782] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1716), 1,
      anon_sym_LPAREN,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2753), 1,
      sym_bottom_type,
    STATE(1309), 1,
      sym_text_interpolation,
    STATE(1436), 1,
      sym__types,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2359), 1,
      sym__type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1515), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [49850] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2221), 1,
      anon_sym_AMP,
    ACTIONS(2225), 1,
      anon_sym_PIPE,
    ACTIONS(2229), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2231), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2235), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2237), 1,
      anon_sym_CARET,
    ACTIONS(2245), 1,
      anon_sym_GT_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_STAR,
    ACTIONS(2257), 1,
      anon_sym_QMARK,
    ACTIONS(2259), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2261), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2263), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2239), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2243), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2241), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49932] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2757), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    ACTIONS(2761), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2763), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2765), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2767), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2769), 1,
      sym_var_modifier,
    STATE(1311), 1,
      sym_text_interpolation,
    STATE(1318), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1352), 1,
      sym_attribute_list,
    STATE(1360), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1414), 1,
      sym__enum_member_declaration,
    STATE(1490), 1,
      sym__modifier,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2771), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1415), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1489), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [50013] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2773), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2523), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2519), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50058] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2777), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2775), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50101] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2757), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2761), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2763), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2765), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2767), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2769), 1,
      sym_var_modifier,
    ACTIONS(2779), 1,
      anon_sym_RBRACE,
    STATE(1314), 1,
      sym_text_interpolation,
    STATE(1315), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1352), 1,
      sym_attribute_list,
    STATE(1360), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1414), 1,
      sym__enum_member_declaration,
    STATE(1490), 1,
      sym__modifier,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2771), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1415), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1489), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [50182] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2781), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2784), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2787), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2790), 1,
      anon_sym_RBRACE,
    ACTIONS(2792), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2795), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2798), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2801), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2804), 1,
      sym_var_modifier,
    ACTIONS(2810), 1,
      anon_sym_POUND_LBRACK,
    STATE(1352), 1,
      sym_attribute_list,
    STATE(1360), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1414), 1,
      sym__enum_member_declaration,
    STATE(1490), 1,
      sym__modifier,
    STATE(1804), 1,
      sym__function_definition_header,
    STATE(1315), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2807), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1415), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1489), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [50261] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2757), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2761), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2763), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2765), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2767), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2769), 1,
      sym_var_modifier,
    ACTIONS(2813), 1,
      anon_sym_RBRACE,
    STATE(1314), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1316), 1,
      sym_text_interpolation,
    STATE(1352), 1,
      sym_attribute_list,
    STATE(1360), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1414), 1,
      sym__enum_member_declaration,
    STATE(1490), 1,
      sym__modifier,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2771), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1415), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1489), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [50342] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2817), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2815), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50385] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2481), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2757), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2761), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2763), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2765), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2767), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2769), 1,
      sym_var_modifier,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    STATE(1315), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1318), 1,
      sym_text_interpolation,
    STATE(1352), 1,
      sym_attribute_list,
    STATE(1360), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1414), 1,
      sym__enum_member_declaration,
    STATE(1490), 1,
      sym__modifier,
    STATE(1804), 1,
      sym__function_definition_header,
    ACTIONS(2771), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1415), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1489), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [50466] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2823), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2821), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50508] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2827), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2825), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50550] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(2523), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2519), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50592] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2831), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2829), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50634] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2837), 1,
      anon_sym_POUND_LBRACK,
    STATE(1333), 1,
      sym_attribute_group,
    STATE(1323), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2835), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2833), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50679] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1747), 1,
      anon_sym_POUND_LBRACK,
    STATE(1323), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1324), 1,
      sym_text_interpolation,
    STATE(1333), 1,
      sym_attribute_group,
    ACTIONS(2842), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2840), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50726] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_LPAREN,
    STATE(1325), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1471), 1,
      sym__types,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50783] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2733), 1,
      sym_name,
    ACTIONS(2739), 1,
      anon_sym_QMARK,
    ACTIONS(2846), 1,
      anon_sym_LPAREN,
    STATE(1326), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      sym_qualified_name,
    STATE(1843), 1,
      sym__types,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1768), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2735), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50840] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1327), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2061), 1,
      sym__types,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2703), 1,
      sym_intersection_type,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50897] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2733), 1,
      sym_name,
    ACTIONS(2739), 1,
      anon_sym_QMARK,
    ACTIONS(2846), 1,
      anon_sym_LPAREN,
    STATE(1328), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      sym_qualified_name,
    STATE(1825), 1,
      sym__types,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1768), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2735), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50954] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(2850), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2848), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50993] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1330), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2061), 1,
      sym__types,
    STATE(2554), 1,
      sym_intersection_type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51050] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1331), 1,
      sym_text_interpolation,
    ACTIONS(2854), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2852), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51089] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_LPAREN,
    STATE(1332), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1468), 1,
      sym__types,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51146] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1333), 1,
      sym_text_interpolation,
    ACTIONS(2858), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2856), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51185] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(2844), 1,
      anon_sym_LPAREN,
    STATE(1334), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1471), 1,
      sym__types,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51242] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    ACTIONS(2844), 1,
      anon_sym_LPAREN,
    STATE(1335), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1468), 1,
      sym__types,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51299] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1336), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2061), 1,
      sym__types,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2607), 1,
      sym_intersection_type,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51356] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1337), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2061), 1,
      sym__types,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2686), 1,
      sym_intersection_type,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51413] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1338), 1,
      sym_text_interpolation,
    ACTIONS(2862), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2860), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51452] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1339), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2061), 1,
      sym__types,
    STATE(2505), 1,
      sym_intersection_type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51509] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1340), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1479), 1,
      sym__types,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51563] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    STATE(1341), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1479), 1,
      sym__types,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51617] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2733), 1,
      sym_name,
    ACTIONS(2739), 1,
      anon_sym_QMARK,
    STATE(1342), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      sym_qualified_name,
    STATE(1821), 1,
      sym__types,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1768), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2735), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51671] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_QMARK,
    STATE(1343), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1469), 1,
      sym__types,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51725] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2733), 1,
      sym_name,
    ACTIONS(2739), 1,
      anon_sym_QMARK,
    STATE(1344), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      sym_qualified_name,
    STATE(1842), 1,
      sym__types,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1768), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2735), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51779] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1718), 1,
      anon_sym_QMARK,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1345), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1469), 1,
      sym__types,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1450), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51833] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1346), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2532), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1439), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51880] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2733), 1,
      sym_name,
    STATE(1347), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      sym_qualified_name,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1756), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2735), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51927] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1348), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1439), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1708), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51974] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1349), 1,
      sym_text_interpolation,
    ACTIONS(2777), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2775), 18,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_readonly_modifier_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52009] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1350), 1,
      sym_text_interpolation,
    ACTIONS(2831), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2829), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52043] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2479), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2485), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2493), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2495), 1,
      sym_var_modifier,
    STATE(644), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1205), 1,
      sym_final_modifier,
    STATE(1312), 1,
      sym_visibility_modifier,
    STATE(1320), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_text_interpolation,
    STATE(1421), 1,
      sym__const_declaration,
    STATE(1845), 1,
      sym__function_definition_header,
    ACTIONS(2497), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1321), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
  [52102] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2757), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2763), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2765), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2767), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2769), 1,
      sym_var_modifier,
    ACTIONS(2864), 1,
      aux_sym_enum_case_token1,
    STATE(1352), 1,
      sym_text_interpolation,
    STATE(1358), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1490), 1,
      sym__modifier,
    STATE(1845), 1,
      sym__function_definition_header,
    ACTIONS(2771), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1489), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52154] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      sym_escape_sequence,
    ACTIONS(2875), 1,
      sym__new_line,
    ACTIONS(2878), 1,
      anon_sym_DOLLAR,
    ACTIONS(2881), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2884), 1,
      sym_heredoc_end,
    STATE(1357), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1416), 1,
      sym_variable_name,
    STATE(1463), 1,
      sym__simple_string_member_access_expression,
    STATE(1353), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1456), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1484), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2872), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52206] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_LBRACE,
    ACTIONS(2888), 1,
      sym_escape_sequence,
    ACTIONS(2892), 1,
      sym__new_line,
    ACTIONS(2895), 1,
      anon_sym_DOLLAR,
    ACTIONS(2897), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2899), 1,
      sym_heredoc_end,
    STATE(1353), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1354), 1,
      sym_text_interpolation,
    STATE(1357), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1416), 1,
      sym_variable_name,
    STATE(1463), 1,
      sym__simple_string_member_access_expression,
    STATE(1456), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1484), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2890), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52260] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_heredoc_end,
    ACTIONS(2886), 1,
      anon_sym_LBRACE,
    ACTIONS(2888), 1,
      sym_escape_sequence,
    ACTIONS(2895), 1,
      anon_sym_DOLLAR,
    ACTIONS(2897), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2901), 1,
      sym__new_line,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(1359), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1416), 1,
      sym_variable_name,
    STATE(1463), 1,
      sym__simple_string_member_access_expression,
    STATE(1456), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1484), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2890), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52311] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_LBRACE,
    ACTIONS(2888), 1,
      sym_escape_sequence,
    ACTIONS(2895), 1,
      anon_sym_DOLLAR,
    ACTIONS(2897), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2903), 1,
      sym__new_line,
    STATE(1354), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(1357), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1416), 1,
      sym_variable_name,
    STATE(1463), 1,
      sym__simple_string_member_access_expression,
    STATE(1456), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1484), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2890), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52362] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_LBRACE,
    ACTIONS(2888), 1,
      sym_escape_sequence,
    ACTIONS(2895), 1,
      anon_sym_DOLLAR,
    ACTIONS(2897), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2905), 1,
      sym__new_line,
    ACTIONS(2907), 1,
      sym_heredoc_end,
    STATE(1357), 1,
      sym_text_interpolation,
    STATE(1359), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1416), 1,
      sym_variable_name,
    STATE(1463), 1,
      sym__simple_string_member_access_expression,
    STATE(1456), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1484), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2890), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52413] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2757), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2763), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2765), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2767), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2769), 1,
      sym_var_modifier,
    STATE(1358), 1,
      sym_text_interpolation,
    STATE(1363), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1490), 1,
      sym__modifier,
    STATE(1915), 1,
      sym__function_definition_header,
    ACTIONS(2771), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1489), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52462] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_LBRACE,
    ACTIONS(2912), 1,
      sym_escape_sequence,
    ACTIONS(2918), 1,
      sym__new_line,
    ACTIONS(2920), 1,
      anon_sym_DOLLAR,
    ACTIONS(2923), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2926), 1,
      sym_heredoc_end,
    STATE(1416), 1,
      sym_variable_name,
    STATE(1463), 1,
      sym__simple_string_member_access_expression,
    STATE(1359), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1456), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1484), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2915), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52511] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2483), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2757), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2763), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2765), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2767), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2769), 1,
      sym_var_modifier,
    STATE(1360), 1,
      sym_text_interpolation,
    STATE(1363), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1490), 1,
      sym__modifier,
    STATE(1848), 1,
      sym__function_definition_header,
    ACTIONS(2771), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1489), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52560] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2928), 1,
      anon_sym_POUND_LBRACK,
    STATE(1367), 1,
      sym_attribute_group,
    STATE(1361), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2835), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [52593] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_POUND_LBRACK,
    STATE(1361), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1362), 1,
      sym_text_interpolation,
    STATE(1367), 1,
      sym_attribute_group,
    ACTIONS(2842), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [52628] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2338), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2931), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2934), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2937), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2940), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2943), 1,
      sym_var_modifier,
    STATE(1490), 1,
      sym__modifier,
    STATE(1363), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(2946), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1489), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52672] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(607), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2949), 1,
      sym_float,
    ACTIONS(2951), 1,
      sym_integer,
    ACTIONS(2953), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2955), 1,
      aux_sym__argument_name_token2,
    STATE(1364), 1,
      sym_text_interpolation,
    ACTIONS(603), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(605), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(2580), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(763), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [52716] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1365), 1,
      sym_text_interpolation,
    ACTIONS(2957), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1830), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [52746] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2888), 1,
      sym_escape_sequence,
    ACTIONS(2890), 1,
      anon_sym_BSLASHu,
    ACTIONS(2959), 1,
      anon_sym_LBRACE,
    ACTIONS(2961), 1,
      anon_sym_DOLLAR,
    STATE(1355), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1416), 1,
      sym_variable_name,
    STATE(1463), 1,
      sym__simple_string_member_access_expression,
    STATE(1456), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1484), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2897), 4,
      sym_encapsed_string_chars_heredoc,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52791] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1367), 1,
      sym_text_interpolation,
    ACTIONS(2858), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [52818] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1368), 1,
      sym_text_interpolation,
    ACTIONS(2862), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [52845] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1369), 1,
      sym_text_interpolation,
    ACTIONS(2854), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [52872] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1370), 1,
      sym_text_interpolation,
    ACTIONS(2850), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [52899] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(1040), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52925] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(2963), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52951] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1373), 1,
      sym_text_interpolation,
    ACTIONS(2965), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52977] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1374), 1,
      sym_text_interpolation,
    ACTIONS(2967), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53003] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1375), 1,
      sym_text_interpolation,
    ACTIONS(2969), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53029] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1376), 1,
      sym_text_interpolation,
    ACTIONS(2971), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53055] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1377), 1,
      sym_text_interpolation,
    ACTIONS(2973), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53081] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2975), 1,
      anon_sym_LBRACE,
    ACTIONS(2977), 1,
      sym_escape_sequence,
    ACTIONS(2979), 1,
      anon_sym_BSLASHu,
    ACTIONS(2983), 1,
      anon_sym_DQUOTE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR,
    STATE(1378), 1,
      sym_text_interpolation,
    STATE(1392), 1,
      aux_sym__interpolated_string_body,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1586), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2981), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1582), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1588), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53127] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2975), 1,
      anon_sym_LBRACE,
    ACTIONS(2977), 1,
      sym_escape_sequence,
    ACTIONS(2979), 1,
      anon_sym_BSLASHu,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR,
    ACTIONS(2987), 1,
      anon_sym_DQUOTE,
    STATE(1379), 1,
      sym_text_interpolation,
    STATE(1390), 1,
      aux_sym__interpolated_string_body,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1586), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2981), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1582), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1588), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53173] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1380), 1,
      sym_text_interpolation,
    ACTIONS(2971), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53199] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1381), 1,
      sym_text_interpolation,
    ACTIONS(1032), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53225] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(2989), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53251] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(2989), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53277] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2975), 1,
      anon_sym_LBRACE,
    ACTIONS(2977), 1,
      sym_escape_sequence,
    ACTIONS(2979), 1,
      anon_sym_BSLASHu,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR,
    ACTIONS(2991), 1,
      anon_sym_DQUOTE,
    STATE(1379), 1,
      aux_sym__interpolated_string_body,
    STATE(1384), 1,
      sym_text_interpolation,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1586), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2981), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1582), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1588), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53323] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2993), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53349] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1386), 1,
      sym_text_interpolation,
    ACTIONS(2995), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53375] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1387), 1,
      sym_text_interpolation,
    ACTIONS(2995), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53401] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2997), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53427] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2999), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53453] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    ACTIONS(3004), 1,
      sym_escape_sequence,
    ACTIONS(3007), 1,
      anon_sym_BSLASHu,
    ACTIONS(3013), 1,
      anon_sym_DQUOTE,
    ACTIONS(3015), 1,
      anon_sym_DOLLAR,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1586), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3010), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1390), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1582), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1588), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53497] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(3018), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53523] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2975), 1,
      anon_sym_LBRACE,
    ACTIONS(2977), 1,
      sym_escape_sequence,
    ACTIONS(2979), 1,
      anon_sym_BSLASHu,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR,
    ACTIONS(3020), 1,
      anon_sym_DQUOTE,
    STATE(1390), 1,
      aux_sym__interpolated_string_body,
    STATE(1392), 1,
      sym_text_interpolation,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1586), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2981), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1582), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1588), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53569] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2965), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53595] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(3022), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53620] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(3024), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53645] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_LBRACE,
    ACTIONS(3030), 1,
      anon_sym_BSLASHu,
    ACTIONS(3032), 1,
      anon_sym_BQUOTE,
    ACTIONS(3034), 1,
      anon_sym_DOLLAR,
    STATE(1396), 1,
      sym_text_interpolation,
    STATE(1405), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1636), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3028), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1637), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1676), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53688] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1397), 1,
      sym_text_interpolation,
    ACTIONS(1540), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53713] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1398), 1,
      sym_text_interpolation,
    ACTIONS(3036), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53738] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1399), 1,
      sym_text_interpolation,
    ACTIONS(1226), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53763] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1400), 1,
      sym_text_interpolation,
    ACTIONS(1302), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53788] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1401), 1,
      sym_text_interpolation,
    ACTIONS(1654), 4,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1656), 9,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [53815] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1402), 1,
      sym_text_interpolation,
    ACTIONS(3038), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53840] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3040), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3042), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3044), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3046), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3048), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3050), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1403), 1,
      sym_text_interpolation,
    STATE(2398), 1,
      sym__function_definition_header,
    STATE(2490), 1,
      sym_readonly_modifier,
    STATE(2537), 1,
      sym_static_modifier,
    STATE(2039), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [53887] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_LBRACE,
    ACTIONS(3030), 1,
      anon_sym_BSLASHu,
    ACTIONS(3034), 1,
      anon_sym_DOLLAR,
    ACTIONS(3052), 1,
      anon_sym_BQUOTE,
    STATE(1404), 1,
      sym_text_interpolation,
    STATE(1431), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1636), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3028), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1637), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1676), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53930] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_LBRACE,
    ACTIONS(3030), 1,
      anon_sym_BSLASHu,
    ACTIONS(3034), 1,
      anon_sym_DOLLAR,
    ACTIONS(3054), 1,
      anon_sym_BQUOTE,
    STATE(1405), 1,
      sym_text_interpolation,
    STATE(1411), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1636), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3028), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1637), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1676), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53973] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1406), 1,
      sym_text_interpolation,
    ACTIONS(3056), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53998] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1407), 1,
      sym_text_interpolation,
    ACTIONS(3058), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54023] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1408), 1,
      sym_text_interpolation,
    ACTIONS(3060), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54048] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1409), 1,
      sym_text_interpolation,
    ACTIONS(3062), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54073] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(1270), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54098] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3064), 1,
      anon_sym_LBRACE,
    ACTIONS(3070), 1,
      anon_sym_BSLASHu,
    ACTIONS(3073), 1,
      anon_sym_BQUOTE,
    ACTIONS(3075), 1,
      anon_sym_DOLLAR,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1636), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3067), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1411), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1637), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1676), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54139] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1412), 1,
      sym_text_interpolation,
    ACTIONS(1202), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54164] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1413), 1,
      sym_text_interpolation,
    ACTIONS(1218), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54189] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1414), 1,
      sym_text_interpolation,
    ACTIONS(3078), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54214] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1415), 1,
      sym_text_interpolation,
    ACTIONS(3080), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54239] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3084), 1,
      anon_sym_DASH_GT,
    ACTIONS(3086), 1,
      anon_sym_LBRACK,
    ACTIONS(3090), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1416), 1,
      sym_text_interpolation,
    ACTIONS(3088), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3082), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [54272] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1417), 1,
      sym_text_interpolation,
    ACTIONS(1286), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54297] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1418), 1,
      sym_text_interpolation,
    ACTIONS(3092), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54322] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1419), 1,
      sym_text_interpolation,
    ACTIONS(3094), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54347] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(1420), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3096), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3098), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [54378] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1421), 1,
      sym_text_interpolation,
    ACTIONS(3100), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54403] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1422), 1,
      sym_text_interpolation,
    ACTIONS(3102), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54428] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3104), 1,
      sym_name,
    ACTIONS(3110), 1,
      anon_sym_BSLASH,
    STATE(1423), 1,
      sym_text_interpolation,
    STATE(1913), 1,
      sym_namespace_use_clause,
    STATE(2602), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3108), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1726), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54469] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1424), 1,
      sym_text_interpolation,
    ACTIONS(3112), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54494] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(3114), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54519] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1426), 1,
      sym_text_interpolation,
    ACTIONS(3116), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54544] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1427), 1,
      sym_text_interpolation,
    ACTIONS(3118), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54569] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1428), 1,
      sym_text_interpolation,
    ACTIONS(3120), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54594] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3104), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_BSLASH,
    STATE(1429), 1,
      sym_text_interpolation,
    STATE(1873), 1,
      sym_namespace_use_clause,
    STATE(2610), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3122), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1726), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54635] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(3126), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54660] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_LBRACE,
    ACTIONS(3030), 1,
      anon_sym_BSLASHu,
    ACTIONS(3034), 1,
      anon_sym_DOLLAR,
    ACTIONS(3128), 1,
      anon_sym_BQUOTE,
    STATE(1411), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1431), 1,
      sym_text_interpolation,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1636), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3028), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1637), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1676), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54703] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2489), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2491), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3040), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3042), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3048), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3050), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3130), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3132), 1,
      aux_sym_class_declaration_token1,
    STATE(1432), 1,
      sym_text_interpolation,
    STATE(2351), 1,
      sym__function_definition_header,
    STATE(2537), 1,
      sym_static_modifier,
    STATE(2620), 1,
      sym_readonly_modifier,
    STATE(1985), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [54750] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1433), 1,
      sym_text_interpolation,
    ACTIONS(3134), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54775] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3138), 1,
      anon_sym_RBRACK,
    STATE(1434), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym_attribute,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1893), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54815] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3140), 1,
      anon_sym_RBRACK,
    STATE(1435), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym_attribute,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1893), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54855] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_AMP,
    ACTIONS(3154), 1,
      anon_sym_PIPE,
    STATE(1436), 1,
      sym_text_interpolation,
    STATE(1481), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1498), 1,
      aux_sym_union_type_repeat1,
    STATE(1505), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3149), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3142), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [54891] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_RBRACK,
    STATE(1437), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym_attribute,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1893), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54931] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_RBRACK,
    STATE(1438), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym_attribute,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1893), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54971] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1439), 1,
      sym_text_interpolation,
    ACTIONS(3160), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3162), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [54996] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2823), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3164), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1440), 1,
      sym_text_interpolation,
    STATE(1927), 1,
      sym_variable_name,
    STATE(1928), 1,
      sym_static_variable_declaration,
    ACTIONS(1630), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55031] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2823), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3164), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1441), 1,
      sym_text_interpolation,
    STATE(1870), 1,
      sym_static_variable_declaration,
    STATE(1927), 1,
      sym_variable_name,
    ACTIONS(1630), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55066] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(312), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3166), 1,
      sym_integer,
    STATE(1442), 1,
      sym_text_interpolation,
    STATE(2227), 1,
      sym__string,
    ACTIONS(308), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(310), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(883), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [55099] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(3168), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3170), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55124] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1957), 1,
      anon_sym_COLON,
    ACTIONS(2823), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3172), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1444), 1,
      sym_text_interpolation,
    ACTIONS(1630), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55155] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    STATE(1445), 1,
      sym_text_interpolation,
    STATE(2031), 1,
      sym_attribute,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1893), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55192] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3104), 1,
      sym_name,
    ACTIONS(3174), 1,
      anon_sym_BSLASH,
    STATE(1446), 1,
      sym_text_interpolation,
    STATE(1875), 1,
      sym_namespace_use_clause,
    STATE(2525), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1726), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55229] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(312), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3176), 1,
      sym_integer,
    STATE(1447), 1,
      sym_text_interpolation,
    STATE(2286), 1,
      sym__string,
    ACTIONS(308), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(310), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(883), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [55262] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    STATE(1448), 1,
      sym_text_interpolation,
    STATE(2020), 1,
      sym_attribute,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1893), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55299] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(3178), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3180), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(584), 1,
      sym_arguments,
    STATE(1449), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55334] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1450), 1,
      sym_text_interpolation,
    ACTIONS(3182), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3184), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55359] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(3096), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3098), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55384] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    STATE(1452), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym_attribute,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1893), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55421] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3104), 1,
      sym_name,
    STATE(1453), 1,
      sym_text_interpolation,
    STATE(2123), 1,
      sym_namespace_use_clause,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1726), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55458] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3104), 1,
      sym_name,
    ACTIONS(3186), 1,
      anon_sym_BSLASH,
    STATE(1454), 1,
      sym_text_interpolation,
    STATE(1922), 1,
      sym_namespace_use_clause,
    STATE(2621), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1726), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1455), 1,
      sym_text_interpolation,
    ACTIONS(2926), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(2918), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55519] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1456), 1,
      sym_text_interpolation,
    ACTIONS(3190), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3188), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55543] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1457), 1,
      sym_text_interpolation,
    ACTIONS(3192), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3194), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55567] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1656), 1,
      anon_sym_BSLASHu,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1458), 1,
      sym_text_interpolation,
    ACTIONS(1654), 9,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [55591] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1459), 1,
      sym_text_interpolation,
    ACTIONS(1622), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1624), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1460), 1,
      sym_text_interpolation,
    ACTIONS(1618), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1620), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55639] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1461), 1,
      sym_text_interpolation,
    ACTIONS(1604), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55667] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_BSLASHu,
    ACTIONS(3196), 1,
      anon_sym_DASH_GT,
    ACTIONS(3198), 1,
      anon_sym_LBRACK,
    ACTIONS(3200), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1462), 1,
      sym_text_interpolation,
    ACTIONS(3088), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [55697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1463), 1,
      sym_text_interpolation,
    ACTIONS(3204), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3202), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55721] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1464), 1,
      sym_text_interpolation,
    ACTIONS(3208), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3206), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55745] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3210), 1,
      anon_sym_RPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(1465), 1,
      sym_text_interpolation,
    STATE(2079), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1466), 1,
      sym_text_interpolation,
    ACTIONS(3214), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3212), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55801] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_AMP,
    STATE(1467), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3216), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3221), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [55827] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1468), 1,
      sym_text_interpolation,
    ACTIONS(3223), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3225), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55851] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1469), 1,
      sym_text_interpolation,
    ACTIONS(3227), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3229), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55875] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1470), 1,
      sym_text_interpolation,
    ACTIONS(1654), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1656), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55899] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1471), 1,
      sym_text_interpolation,
    ACTIONS(3231), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3234), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55923] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3237), 1,
      sym_name,
    STATE(1472), 1,
      sym_text_interpolation,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2012), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55957] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(1473), 1,
      sym_text_interpolation,
    STATE(2145), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55989] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1474), 1,
      sym_text_interpolation,
    ACTIONS(3245), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3243), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [56013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1475), 1,
      sym_text_interpolation,
    ACTIONS(3249), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3247), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [56037] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2823), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3172), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1476), 1,
      sym_text_interpolation,
    ACTIONS(1630), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56065] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3251), 1,
      sym_name,
    STATE(1477), 1,
      sym_text_interpolation,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1937), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56099] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_COMMA,
    ACTIONS(3253), 1,
      anon_sym_RPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(1478), 1,
      sym_text_interpolation,
    STATE(2172), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56131] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1479), 1,
      sym_text_interpolation,
    ACTIONS(3216), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3221), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56155] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1480), 1,
      sym_text_interpolation,
    ACTIONS(1814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56183] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_AMP,
    STATE(1467), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1481), 1,
      sym_text_interpolation,
    ACTIONS(3255), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3257), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56211] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3259), 1,
      sym_name,
    STATE(1482), 1,
      sym_text_interpolation,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2661), 1,
      sym_namespace_name_as_prefix,
    STATE(1673), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56245] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3261), 1,
      sym_name,
    STATE(1483), 1,
      sym_text_interpolation,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(1790), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56279] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1484), 1,
      sym_text_interpolation,
    ACTIONS(3088), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3082), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [56303] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_name,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
    STATE(2169), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56337] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3265), 1,
      sym_name,
    ACTIONS(3269), 1,
      anon_sym_LBRACE,
    STATE(1486), 1,
      sym_text_interpolation,
    ACTIONS(3267), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(771), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56366] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_BSLASHu,
    ACTIONS(3271), 1,
      anon_sym_DASH_GT,
    ACTIONS(3273), 1,
      anon_sym_LBRACK,
    ACTIONS(3275), 1,
      sym_execution_string_chars_after_variable,
    STATE(1487), 1,
      sym_text_interpolation,
    ACTIONS(3088), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [56395] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1488), 1,
      sym_text_interpolation,
    ACTIONS(2823), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56416] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1489), 1,
      sym_text_interpolation,
    ACTIONS(2523), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56437] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1490), 1,
      sym_text_interpolation,
    ACTIONS(2827), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56458] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3277), 1,
      sym_name,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1491), 1,
      sym_text_interpolation,
    STATE(1572), 1,
      sym__reserved_identifier,
    STATE(684), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56489] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3281), 1,
      sym_name,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(1492), 1,
      sym_text_interpolation,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(717), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56518] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_PIPE,
    STATE(1493), 1,
      sym_text_interpolation,
    STATE(1506), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3287), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3285), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56545] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(3291), 1,
      anon_sym_EQ,
    STATE(1494), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3098), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3096), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56574] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1495), 1,
      sym_text_interpolation,
    ACTIONS(2571), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56601] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_arguments,
    STATE(1496), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56630] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3293), 1,
      sym_name,
    ACTIONS(3295), 1,
      anon_sym_LBRACE,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(718), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56659] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_PIPE,
    STATE(1498), 1,
      sym_text_interpolation,
    STATE(1536), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3299), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3297), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56686] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3303), 1,
      sym_name,
    ACTIONS(3305), 1,
      anon_sym_LBRACE,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(686), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56715] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(804), 1,
      sym_arguments,
    STATE(1500), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56744] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3307), 1,
      sym_name,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(681), 1,
      sym__reserved_identifier,
    STATE(1501), 1,
      sym_text_interpolation,
    STATE(852), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56775] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1556), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_name,
    ACTIONS(3315), 1,
      anon_sym_LBRACE,
    STATE(1502), 1,
      sym_text_interpolation,
    ACTIONS(3313), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(655), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56804] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3317), 1,
      sym_name,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    STATE(1503), 1,
      sym_text_interpolation,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(817), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56833] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1556), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3321), 1,
      sym_name,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    STATE(1504), 1,
      sym_text_interpolation,
    ACTIONS(3313), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(654), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56862] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_PIPE,
    STATE(1505), 1,
      sym_text_interpolation,
    STATE(1548), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3327), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3325), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56889] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_PIPE,
    STATE(1506), 1,
      sym_text_interpolation,
    STATE(1548), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3331), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3329), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56916] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3333), 1,
      sym_name,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1507), 1,
      sym_text_interpolation,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(847), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56945] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1508), 1,
      sym_text_interpolation,
    ACTIONS(2777), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56966] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3337), 1,
      sym_name,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(1509), 1,
      sym_text_interpolation,
    STATE(1610), 1,
      sym__reserved_identifier,
    STATE(1607), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56997] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3337), 1,
      sym_name,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(1510), 1,
      sym_text_interpolation,
    STATE(1610), 1,
      sym__reserved_identifier,
    STATE(808), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57028] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3341), 1,
      sym_name,
    ACTIONS(3343), 1,
      anon_sym_LBRACE,
    STATE(845), 1,
      sym__reserved_identifier,
    STATE(1511), 1,
      sym_text_interpolation,
    STATE(770), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57059] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(316), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3345), 1,
      sym_name,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(829), 1,
      sym__reserved_identifier,
    STATE(1512), 1,
      sym_text_interpolation,
    STATE(608), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57090] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3307), 1,
      sym_name,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(681), 1,
      sym__reserved_identifier,
    STATE(1513), 1,
      sym_text_interpolation,
    STATE(856), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57121] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(584), 1,
      sym_arguments,
    STATE(1514), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57150] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1515), 1,
      sym_text_interpolation,
    ACTIONS(3349), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3351), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [57173] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1516), 1,
      sym_text_interpolation,
    ACTIONS(3353), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57200] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3355), 1,
      sym_name,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(1517), 1,
      sym_text_interpolation,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(580), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57229] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1518), 1,
      sym_text_interpolation,
    ACTIONS(3359), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57256] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1519), 1,
      sym_text_interpolation,
    ACTIONS(2527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57283] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1520), 1,
      sym_text_interpolation,
    ACTIONS(2817), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [57304] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3361), 1,
      sym_name,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1521), 1,
      sym_text_interpolation,
    ACTIONS(3267), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(772), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57333] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3307), 1,
      sym_name,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(681), 1,
      sym__reserved_identifier,
    STATE(1522), 1,
      sym_text_interpolation,
    STATE(719), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57364] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3277), 1,
      sym_name,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1523), 1,
      sym_text_interpolation,
    STATE(1572), 1,
      sym__reserved_identifier,
    STATE(1576), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57395] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3365), 1,
      sym_name,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1524), 1,
      sym_text_interpolation,
    STATE(1579), 1,
      sym_reference_modifier,
    STATE(1645), 1,
      sym_formal_parameters,
    STATE(2330), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57428] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3369), 1,
      sym_name,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1525), 1,
      sym_text_interpolation,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(579), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57457] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(316), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3373), 1,
      sym_name,
    ACTIONS(3377), 1,
      anon_sym_LBRACE,
    STATE(1526), 1,
      sym_text_interpolation,
    ACTIONS(3375), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(603), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57486] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1556), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3379), 1,
      sym_name,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(685), 1,
      sym__reserved_identifier,
    STATE(1527), 1,
      sym_text_interpolation,
    STATE(647), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57517] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3369), 1,
      sym_name,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1528), 1,
      sym_text_interpolation,
    ACTIONS(3383), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(579), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57546] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3385), 1,
      sym_name,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1529), 1,
      sym_text_interpolation,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(855), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57575] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3389), 1,
      sym_name,
    ACTIONS(3391), 1,
      anon_sym_LBRACE,
    STATE(1530), 1,
      sym_text_interpolation,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(840), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57604] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3393), 1,
      sym_name,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1531), 1,
      sym_text_interpolation,
    STATE(1583), 1,
      sym__reserved_identifier,
    STATE(770), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57635] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(316), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3397), 1,
      sym_name,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1532), 1,
      sym_text_interpolation,
    ACTIONS(3375), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57664] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1533), 1,
      sym_text_interpolation,
    ACTIONS(2703), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [57685] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3401), 1,
      sym_name,
    ACTIONS(3403), 1,
      anon_sym_LBRACE,
    STATE(1534), 1,
      sym_text_interpolation,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(690), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57714] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1656), 1,
      anon_sym_BSLASHu,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1535), 1,
      sym_text_interpolation,
    ACTIONS(1654), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57737] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_PIPE,
    STATE(1536), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3229), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3227), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57762] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(659), 1,
      sym_arguments,
    STATE(1537), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57791] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3355), 1,
      sym_name,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(1538), 1,
      sym_text_interpolation,
    ACTIONS(3383), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(580), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57820] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3408), 1,
      sym_name,
    ACTIONS(3410), 1,
      anon_sym_LBRACE,
    STATE(1539), 1,
      sym_text_interpolation,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(842), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57849] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3412), 1,
      sym_name,
    ACTIONS(3414), 1,
      anon_sym_LBRACE,
    STATE(1540), 1,
      sym_text_interpolation,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(709), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57878] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3416), 1,
      sym_name,
    ACTIONS(3418), 1,
      anon_sym_LBRACE,
    STATE(1541), 1,
      sym_text_interpolation,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(708), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57907] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3307), 1,
      sym_name,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(681), 1,
      sym__reserved_identifier,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(578), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57938] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1543), 1,
      sym_text_interpolation,
    ACTIONS(2475), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57965] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1544), 1,
      sym_text_interpolation,
    ACTIONS(2529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57992] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3365), 1,
      sym_name,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(1603), 1,
      sym_reference_modifier,
    STATE(1651), 1,
      sym_formal_parameters,
    STATE(2330), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58025] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(725), 1,
      sym_arguments,
    STATE(1546), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58054] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1547), 1,
      sym_text_interpolation,
    ACTIONS(3420), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58081] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym_PIPE,
    STATE(1548), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3225), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3223), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58106] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1957), 1,
      anon_sym_COLON,
    STATE(1549), 1,
      sym_text_interpolation,
    ACTIONS(1630), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58131] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3307), 1,
      sym_name,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(681), 1,
      sym__reserved_identifier,
    STATE(1550), 1,
      sym_text_interpolation,
    STATE(710), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58162] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1551), 1,
      sym_text_interpolation,
    ACTIONS(2831), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [58183] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3425), 1,
      sym_name,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    STATE(1552), 1,
      sym_text_interpolation,
    ACTIONS(3106), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(851), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58212] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    STATE(1553), 1,
      sym_text_interpolation,
    STATE(2145), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58238] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    STATE(919), 1,
      sym_declaration_list,
    STATE(1554), 1,
      sym_text_interpolation,
    STATE(1631), 1,
      sym_arguments,
    STATE(1947), 1,
      sym_base_clause,
    STATE(2267), 1,
      sym_class_interface_clause,
  [58272] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_declaration_list,
    STATE(1555), 1,
      sym_text_interpolation,
    STATE(1659), 1,
      sym_arguments,
    STATE(1840), 1,
      sym_base_clause,
    STATE(2462), 1,
      sym_class_interface_clause,
  [58306] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1556), 1,
      sym_text_interpolation,
    STATE(1858), 1,
      sym_named_type,
    STATE(2135), 1,
      sym_type_list,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
  [58340] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3210), 1,
      anon_sym_RPAREN,
    STATE(1557), 1,
      sym_text_interpolation,
    STATE(2079), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58366] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(973), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3437), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3439), 1,
      aux_sym_finally_clause_token1,
    STATE(1558), 1,
      sym_text_interpolation,
    STATE(1563), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(971), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1749), 2,
      sym_catch_clause,
      sym_finally_clause,
  [58396] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2823), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3164), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1559), 1,
      sym_text_interpolation,
    ACTIONS(1630), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58422] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    STATE(970), 1,
      sym_declaration_list,
    STATE(1560), 1,
      sym_text_interpolation,
    STATE(1635), 1,
      sym_arguments,
    STATE(1923), 1,
      sym_base_clause,
    STATE(2347), 1,
      sym_class_interface_clause,
  [58456] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_COMMA,
    ACTIONS(3253), 1,
      anon_sym_RPAREN,
    STATE(1561), 1,
      sym_text_interpolation,
    STATE(2172), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58482] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_AMP,
    ACTIONS(3443), 1,
      anon_sym_PIPE,
    STATE(1562), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1754), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1755), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3149), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58512] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(981), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3445), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3448), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(979), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1563), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1749), 2,
      sym_catch_clause,
      sym_finally_clause,
  [58540] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_declaration_list,
    STATE(1564), 1,
      sym_text_interpolation,
    STATE(1613), 1,
      sym_arguments,
    STATE(1815), 1,
      sym_base_clause,
    STATE(2271), 1,
      sym_class_interface_clause,
  [58574] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1565), 1,
      sym_text_interpolation,
    STATE(1858), 1,
      sym_named_type,
    STATE(2149), 1,
      sym_type_list,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
  [58608] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(3453), 1,
      anon_sym_COMMA,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1391), 1,
      sym_use_list,
    STATE(1566), 1,
      sym_text_interpolation,
    STATE(1633), 1,
      aux_sym_base_clause_repeat1,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58640] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(218), 1,
      anon_sym_BSLASH,
    ACTIONS(565), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1702), 1,
      sym_name,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1451), 1,
      sym_qualified_name,
    STATE(1567), 1,
      sym_text_interpolation,
    STATE(2213), 1,
      sym_named_type,
    STATE(2578), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym_namespace_name,
  [58671] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(725), 1,
      sym_arguments,
    STATE(1568), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58694] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(659), 1,
      sym_arguments,
    STATE(1569), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58717] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3178), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3180), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1570), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58740] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1571), 1,
      sym_text_interpolation,
    ACTIONS(3420), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58761] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(729), 1,
      sym_arguments,
    STATE(1572), 1,
      sym_text_interpolation,
    ACTIONS(1785), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58784] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3457), 1,
      anon_sym_BSLASHu,
    STATE(1573), 1,
      sym_text_interpolation,
    ACTIONS(3013), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58805] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3461), 1,
      anon_sym_DASH,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(2681), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3459), 2,
      sym_integer,
      sym_name,
    STATE(2673), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [58832] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(722), 1,
      sym_arguments,
    STATE(1575), 1,
      sym_text_interpolation,
    ACTIONS(1781), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58855] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(729), 1,
      sym_arguments,
    STATE(1576), 1,
      sym_text_interpolation,
    ACTIONS(1580), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58878] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1624), 1,
      anon_sym_BSLASHu,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1577), 1,
      sym_text_interpolation,
    ACTIONS(1622), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58899] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1578), 1,
      sym_text_interpolation,
    ACTIONS(3359), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58920] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    ACTIONS(3463), 1,
      sym_name,
    STATE(1579), 1,
      sym_text_interpolation,
    STATE(1654), 1,
      sym_formal_parameters,
    STATE(2465), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58947] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_arguments,
    STATE(1580), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58970] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1581), 1,
      sym_text_interpolation,
    ACTIONS(3353), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58991] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_BSLASHu,
    STATE(1582), 1,
      sym_text_interpolation,
    ACTIONS(3088), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59012] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(797), 1,
      sym_arguments,
    STATE(1583), 1,
      sym_text_interpolation,
    ACTIONS(1785), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59035] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(784), 1,
      sym_arguments,
    STATE(1584), 1,
      sym_text_interpolation,
    ACTIONS(1781), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59058] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    STATE(725), 1,
      sym_arguments,
    STATE(1585), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59081] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3202), 1,
      anon_sym_BSLASHu,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(3204), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59102] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(804), 1,
      sym_arguments,
    STATE(1587), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59125] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_BSLASHu,
    STATE(1588), 1,
      sym_text_interpolation,
    ACTIONS(3465), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59146] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_BSLASHu,
    STATE(1589), 1,
      sym_text_interpolation,
    ACTIONS(3469), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59167] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1590), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59190] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    STATE(659), 1,
      sym_arguments,
    STATE(1591), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59213] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(1592), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59236] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(804), 1,
      sym_arguments,
    STATE(1593), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59259] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3475), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3478), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3473), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1594), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1806), 2,
      sym_case_statement,
      sym_default_statement,
  [59284] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_AMP,
    ACTIONS(3487), 1,
      anon_sym_PIPE,
    STATE(1595), 1,
      sym_text_interpolation,
    STATE(1746), 1,
      aux_sym_union_type_repeat1,
    STATE(1747), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1798), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3149), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59313] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(1596), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3098), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [59336] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1620), 1,
      anon_sym_BSLASHu,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1597), 1,
      sym_text_interpolation,
    ACTIONS(1618), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59357] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_arguments,
    STATE(1598), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59380] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1676), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(621), 1,
      sym_arguments,
    STATE(1599), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59403] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1656), 1,
      anon_sym_BSLASHu,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1600), 1,
      sym_text_interpolation,
    ACTIONS(1654), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59424] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(3491), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1601), 1,
      sym_text_interpolation,
    STATE(2047), 1,
      sym_namespace_aliasing_clause,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3489), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59451] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1602), 1,
      sym_text_interpolation,
    ACTIONS(1955), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(1953), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [59472] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    ACTIONS(3463), 1,
      sym_name,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(1682), 1,
      sym_formal_parameters,
    STATE(2465), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59499] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_BSLASHu,
    STATE(1604), 1,
      sym_text_interpolation,
    ACTIONS(3245), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59520] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(893), 1,
      sym_arguments,
    STATE(1605), 1,
      sym_text_interpolation,
    ACTIONS(1781), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59543] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3493), 1,
      sym_name,
    STATE(1606), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym_reference_modifier,
    STATE(2427), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59570] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(879), 1,
      sym_arguments,
    STATE(1607), 1,
      sym_text_interpolation,
    ACTIONS(1580), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59593] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3212), 1,
      anon_sym_BSLASHu,
    STATE(1608), 1,
      sym_text_interpolation,
    ACTIONS(3214), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59614] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_BSLASHu,
    STATE(1609), 1,
      sym_text_interpolation,
    ACTIONS(3208), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59635] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(879), 1,
      sym_arguments,
    STATE(1610), 1,
      sym_text_interpolation,
    ACTIONS(1785), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59658] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3461), 1,
      anon_sym_DASH,
    STATE(1611), 1,
      sym_text_interpolation,
    STATE(2588), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3459), 2,
      sym_integer,
      sym_name,
    STATE(2673), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [59685] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3461), 1,
      anon_sym_DASH,
    STATE(1612), 1,
      sym_text_interpolation,
    STATE(2584), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3459), 2,
      sym_integer,
      sym_name,
    STATE(2673), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [59712] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1050), 1,
      sym_declaration_list,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(1868), 1,
      sym_base_clause,
    STATE(2482), 1,
      sym_class_interface_clause,
  [59740] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_declaration_list,
    STATE(1614), 1,
      sym_text_interpolation,
    STATE(1832), 1,
      sym_base_clause,
    STATE(2243), 1,
      sym_class_interface_clause,
  [59768] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    ACTIONS(3499), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3501), 1,
      aux_sym_match_default_expression_token1,
    STATE(1615), 1,
      sym_text_interpolation,
    STATE(1629), 1,
      aux_sym_switch_block_repeat1,
    STATE(1806), 2,
      sym_case_statement,
      sym_default_statement,
  [59794] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3501), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3503), 1,
      anon_sym_RBRACE,
    STATE(1594), 1,
      aux_sym_switch_block_repeat1,
    STATE(1616), 1,
      sym_text_interpolation,
    STATE(1806), 2,
      sym_case_statement,
      sym_default_statement,
  [59820] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3505), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3507), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3509), 1,
      aux_sym_else_clause_token1,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(1695), 1,
      aux_sym_if_statement_repeat2,
    STATE(2176), 1,
      sym_else_if_clause_2,
    STATE(2556), 1,
      sym_else_clause_2,
  [59848] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1624), 1,
      anon_sym_BSLASHu,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1618), 1,
      sym_text_interpolation,
    ACTIONS(1622), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59868] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3511), 1,
      sym_name,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym_const_element,
    STATE(2596), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59892] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(1713), 1,
      sym_declaration_list,
    STATE(1911), 1,
      sym_base_clause,
    STATE(2460), 1,
      sym_class_interface_clause,
  [59920] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(939), 1,
      sym_compound_statement,
    STATE(1621), 1,
      sym_text_interpolation,
    STATE(1899), 1,
      sym_anonymous_function_use_clause,
    STATE(2379), 1,
      sym__return_type,
  [59948] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1622), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      sym_declaration_list,
    STATE(1901), 1,
      sym_base_clause,
    STATE(2373), 1,
      sym_class_interface_clause,
  [59976] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(1623), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3517), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [59998] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1620), 1,
      anon_sym_BSLASHu,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1624), 1,
      sym_text_interpolation,
    ACTIONS(1618), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60018] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(3519), 1,
      anon_sym_COMMA,
    STATE(1625), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      aux_sym_base_clause_repeat1,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3521), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [60044] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3507), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3509), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3523), 1,
      aux_sym_if_statement_token2,
    STATE(1626), 1,
      sym_text_interpolation,
    STATE(1638), 1,
      aux_sym_if_statement_repeat2,
    STATE(2176), 1,
      sym_else_if_clause_2,
    STATE(2571), 1,
      sym_else_clause_2,
  [60072] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_compound_statement,
    STATE(1627), 1,
      sym_text_interpolation,
    STATE(1902), 1,
      sym_anonymous_function_use_clause,
    STATE(2369), 1,
      sym__return_type,
  [60100] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3501), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3525), 1,
      aux_sym_switch_block_token1,
    STATE(1628), 1,
      sym_text_interpolation,
    STATE(1639), 1,
      aux_sym_switch_block_repeat1,
    STATE(1806), 2,
      sym_case_statement,
      sym_default_statement,
  [60126] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3501), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    STATE(1594), 1,
      aux_sym_switch_block_repeat1,
    STATE(1629), 1,
      sym_text_interpolation,
    STATE(1806), 2,
      sym_case_statement,
      sym_default_statement,
  [60152] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3511), 1,
      sym_name,
    STATE(1630), 1,
      sym_text_interpolation,
    STATE(1909), 1,
      sym_const_element,
    STATE(2596), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60176] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    STATE(969), 1,
      sym_declaration_list,
    STATE(1631), 1,
      sym_text_interpolation,
    STATE(1925), 1,
      sym_base_clause,
    STATE(2341), 1,
      sym_class_interface_clause,
  [60204] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(962), 1,
      sym_compound_statement,
    STATE(1632), 1,
      sym_text_interpolation,
    STATE(1940), 1,
      sym_anonymous_function_use_clause,
    STATE(2298), 1,
      sym__return_type,
  [60232] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COMMA,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1388), 1,
      sym_use_list,
    STATE(1633), 1,
      sym_text_interpolation,
    STATE(1772), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60258] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(961), 1,
      sym_compound_statement,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1941), 1,
      sym_anonymous_function_use_clause,
    STATE(2295), 1,
      sym__return_type,
  [60286] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    STATE(946), 1,
      sym_declaration_list,
    STATE(1635), 1,
      sym_text_interpolation,
    STATE(1897), 1,
      sym_base_clause,
    STATE(2408), 1,
      sym_class_interface_clause,
  [60314] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3202), 1,
      anon_sym_BSLASHu,
    STATE(1636), 1,
      sym_text_interpolation,
    ACTIONS(3204), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60334] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_BSLASHu,
    STATE(1637), 1,
      sym_text_interpolation,
    ACTIONS(3088), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60354] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3507), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3509), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3531), 1,
      aux_sym_if_statement_token2,
    STATE(1638), 1,
      sym_text_interpolation,
    STATE(1695), 1,
      aux_sym_if_statement_repeat2,
    STATE(2176), 1,
      sym_else_if_clause_2,
    STATE(2555), 1,
      sym_else_clause_2,
  [60382] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3501), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3533), 1,
      aux_sym_switch_block_token1,
    STATE(1594), 1,
      aux_sym_switch_block_repeat1,
    STATE(1639), 1,
      sym_text_interpolation,
    STATE(1806), 2,
      sym_case_statement,
      sym_default_statement,
  [60408] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(999), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3535), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3538), 1,
      aux_sym_else_clause_token1,
    STATE(1640), 1,
      sym_text_interpolation,
    STATE(1689), 1,
      aux_sym_if_statement_repeat1,
    STATE(2048), 1,
      sym_else_clause,
    STATE(2077), 1,
      sym_else_if_clause,
  [60436] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1111), 1,
      sym_compound_statement,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(1836), 1,
      sym_anonymous_function_use_clause,
    STATE(2263), 1,
      sym__return_type,
  [60464] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(989), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3543), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3545), 1,
      aux_sym_else_clause_token1,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(1660), 1,
      aux_sym_if_statement_repeat1,
    STATE(2076), 1,
      sym_else_clause,
    STATE(2077), 1,
      sym_else_if_clause,
  [60492] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3501), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3547), 1,
      aux_sym_switch_block_token1,
    STATE(1594), 1,
      aux_sym_switch_block_repeat1,
    STATE(1643), 1,
      sym_text_interpolation,
    STATE(1806), 2,
      sym_case_statement,
      sym_default_statement,
  [60518] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(989), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3549), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3552), 1,
      aux_sym_else_clause_token1,
    STATE(1640), 1,
      aux_sym_if_statement_repeat1,
    STATE(1644), 1,
      sym_text_interpolation,
    STATE(2076), 1,
      sym_else_clause,
    STATE(2077), 1,
      sym_else_if_clause,
  [60546] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_compound_statement,
    STATE(1645), 1,
      sym_text_interpolation,
    STATE(1829), 1,
      sym_anonymous_function_use_clause,
    STATE(2224), 1,
      sym__return_type,
  [60574] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3511), 1,
      sym_name,
    STATE(1646), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      sym_const_element,
    STATE(2596), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60598] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_declaration_list,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      sym_base_clause,
    STATE(2236), 1,
      sym_class_interface_clause,
  [60626] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(1692), 1,
      sym_declaration_list,
    STATE(1896), 1,
      sym_base_clause,
    STATE(2431), 1,
      sym_class_interface_clause,
  [60654] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_declaration_list,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(1869), 1,
      sym_base_clause,
    STATE(2423), 1,
      sym_class_interface_clause,
  [60682] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1062), 1,
      sym_compound_statement,
    STATE(1650), 1,
      sym_text_interpolation,
    STATE(1878), 1,
      sym_anonymous_function_use_clause,
    STATE(2428), 1,
      sym__return_type,
  [60710] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1122), 1,
      sym_compound_statement,
    STATE(1651), 1,
      sym_text_interpolation,
    STATE(1866), 1,
      sym_anonymous_function_use_clause,
    STATE(2467), 1,
      sym__return_type,
  [60738] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3555), 1,
      sym_php_tag,
    ACTIONS(3559), 1,
      sym__eof,
    STATE(1652), 1,
      sym_text_interpolation,
    STATE(1774), 1,
      aux_sym_text_repeat1,
    STATE(2234), 1,
      sym_text,
    ACTIONS(3557), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [60764] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(943), 1,
      sym_compound_statement,
    STATE(1653), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      sym_anonymous_function_use_clause,
    STATE(2445), 1,
      sym__return_type,
  [60792] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_compound_statement,
    STATE(1654), 1,
      sym_text_interpolation,
    STATE(1879), 1,
      sym_anonymous_function_use_clause,
    STATE(2433), 1,
      sym__return_type,
  [60820] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_BSLASHu,
    STATE(1655), 1,
      sym_text_interpolation,
    ACTIONS(3073), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60840] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(942), 1,
      sym_compound_statement,
    STATE(1656), 1,
      sym_text_interpolation,
    STATE(1891), 1,
      sym_anonymous_function_use_clause,
    STATE(2454), 1,
      sym__return_type,
  [60868] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(1657), 1,
      sym_text_interpolation,
    STATE(1894), 1,
      sym_base_clause,
    STATE(2420), 1,
      sym_class_interface_clause,
  [60896] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
    STATE(1658), 1,
      sym_text_interpolation,
    STATE(1850), 1,
      sym_base_clause,
    STATE(2487), 1,
      sym_class_interface_clause,
  [60924] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1123), 1,
      sym_declaration_list,
    STATE(1659), 1,
      sym_text_interpolation,
    STATE(1813), 1,
      sym_base_clause,
    STATE(2277), 1,
      sym_class_interface_clause,
  [60952] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(999), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3543), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3545), 1,
      aux_sym_else_clause_token1,
    STATE(1660), 1,
      sym_text_interpolation,
    STATE(1689), 1,
      aux_sym_if_statement_repeat1,
    STATE(2048), 1,
      sym_else_clause,
    STATE(2077), 1,
      sym_else_if_clause,
  [60980] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(1777), 1,
      sym_declaration_list,
    STATE(1888), 1,
      sym_base_clause,
    STATE(2475), 1,
      sym_class_interface_clause,
  [61008] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3511), 1,
      sym_name,
    STATE(1662), 1,
      sym_text_interpolation,
    STATE(1862), 1,
      sym_const_element,
    STATE(2596), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61032] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_BSLASHu,
    STATE(1663), 1,
      sym_text_interpolation,
    ACTIONS(3208), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61052] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3212), 1,
      anon_sym_BSLASHu,
    STATE(1664), 1,
      sym_text_interpolation,
    ACTIONS(3214), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61072] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_declaration_list,
    STATE(1665), 1,
      sym_text_interpolation,
    STATE(1847), 1,
      sym_base_clause,
    STATE(2332), 1,
      sym_class_interface_clause,
  [61100] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3501), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3563), 1,
      aux_sym_switch_block_token1,
    STATE(1643), 1,
      aux_sym_switch_block_repeat1,
    STATE(1666), 1,
      sym_text_interpolation,
    STATE(1806), 2,
      sym_case_statement,
      sym_default_statement,
  [61126] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3501), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3565), 1,
      anon_sym_RBRACE,
    STATE(1616), 1,
      aux_sym_switch_block_repeat1,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(1806), 2,
      sym_case_statement,
      sym_default_statement,
  [61152] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(922), 1,
      sym_compound_statement,
    STATE(1668), 1,
      sym_text_interpolation,
    STATE(1885), 1,
      sym_anonymous_function_use_clause,
    STATE(2461), 1,
      sym__return_type,
  [61180] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3507), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3509), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3567), 1,
      aux_sym_if_statement_token2,
    STATE(1617), 1,
      aux_sym_if_statement_repeat2,
    STATE(1669), 1,
      sym_text_interpolation,
    STATE(2176), 1,
      sym_else_if_clause_2,
    STATE(2631), 1,
      sym_else_clause_2,
  [61208] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3511), 1,
      sym_name,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(1861), 1,
      sym_const_element,
    STATE(2596), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61232] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1656), 1,
      anon_sym_BSLASHu,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1671), 1,
      sym_text_interpolation,
    ACTIONS(1654), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61252] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2450), 1,
      sym_arguments,
    ACTIONS(3569), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61278] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_COMMA,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1391), 1,
      sym_use_list,
    STATE(1633), 1,
      aux_sym_base_clause_repeat1,
    STATE(1673), 1,
      sym_text_interpolation,
    ACTIONS(3451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61304] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3511), 1,
      sym_name,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(1853), 1,
      sym_const_element,
    STATE(2596), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61328] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      sym_text_interpolation,
    STATE(1739), 1,
      sym_declaration_list,
    STATE(1884), 1,
      sym_base_clause,
    STATE(2453), 1,
      sym_class_interface_clause,
  [61356] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3573), 1,
      anon_sym_BSLASHu,
    STATE(1676), 1,
      sym_text_interpolation,
    ACTIONS(3571), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61376] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1677), 1,
      sym_text_interpolation,
    STATE(1750), 1,
      sym_declaration_list,
    STATE(1938), 1,
      sym_base_clause,
    STATE(2245), 1,
      sym_class_interface_clause,
  [61404] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3511), 1,
      sym_name,
    STATE(1678), 1,
      sym_text_interpolation,
    STATE(2159), 1,
      sym_const_element,
    STATE(2596), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61428] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1075), 1,
      sym_compound_statement,
    STATE(1679), 1,
      sym_text_interpolation,
    STATE(1808), 1,
      sym_anonymous_function_use_clause,
    STATE(2416), 1,
      sym__return_type,
  [61456] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(912), 1,
      sym_compound_statement,
    STATE(1680), 1,
      sym_text_interpolation,
    STATE(1930), 1,
      sym_anonymous_function_use_clause,
    STATE(2230), 1,
      sym__return_type,
  [61484] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1100), 1,
      sym_compound_statement,
    STATE(1681), 1,
      sym_text_interpolation,
    STATE(1855), 1,
      sym_anonymous_function_use_clause,
    STATE(2354), 1,
      sym__return_type,
  [61512] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1071), 1,
      sym_compound_statement,
    STATE(1682), 1,
      sym_text_interpolation,
    STATE(1811), 1,
      sym_anonymous_function_use_clause,
    STATE(2367), 1,
      sym__return_type,
  [61540] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_BSLASHu,
    STATE(1683), 1,
      sym_text_interpolation,
    ACTIONS(3245), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61560] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_PIPE,
    STATE(1684), 1,
      sym_text_interpolation,
    STATE(1687), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3287), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61581] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1685), 1,
      sym_text_interpolation,
    ACTIONS(3170), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61598] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_BSLASH,
    STATE(1686), 1,
      sym_text_interpolation,
    STATE(2140), 1,
      sym_compound_statement,
    ACTIONS(3577), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61621] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_PIPE,
    STATE(1687), 1,
      sym_text_interpolation,
    STATE(1728), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3331), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61642] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3585), 1,
      anon_sym_DASH_GT,
    ACTIONS(3587), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3589), 1,
      anon_sym_LBRACK,
    STATE(1688), 1,
      sym_text_interpolation,
  [61667] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1013), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1015), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3591), 1,
      aux_sym_else_if_clause_token1,
    STATE(2077), 1,
      sym_else_if_clause,
    STATE(1689), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [61690] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3594), 1,
      sym_name,
    ACTIONS(3596), 1,
      anon_sym_LBRACE,
    STATE(1690), 1,
      sym_text_interpolation,
    STATE(786), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61713] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3598), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1691), 1,
      sym_text_interpolation,
    STATE(2131), 1,
      sym_reference_modifier,
    STATE(2133), 1,
      sym_variable_name,
  [61738] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1046), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1692), 1,
      sym_text_interpolation,
    ACTIONS(1044), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61759] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3589), 1,
      anon_sym_LBRACK,
    ACTIONS(3602), 1,
      anon_sym_DASH_GT,
    ACTIONS(3604), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1693), 1,
      sym_text_interpolation,
  [61784] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_BSLASH,
    STATE(1694), 1,
      sym_text_interpolation,
    STATE(1770), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3606), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [61805] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3612), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3615), 1,
      aux_sym_else_clause_token1,
    STATE(2176), 1,
      sym_else_if_clause_2,
    STATE(1695), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [61828] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_AMP,
    STATE(1696), 1,
      sym_text_interpolation,
    STATE(1729), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3257), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61849] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym_name,
    ACTIONS(3619), 1,
      anon_sym_LBRACE,
    STATE(1697), 1,
      sym_text_interpolation,
    STATE(585), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61872] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    ACTIONS(3623), 1,
      anon_sym_COLON,
    STATE(1698), 1,
      sym_text_interpolation,
    STATE(2124), 1,
      sym_enum_declaration_list,
    STATE(2239), 1,
      sym_class_interface_clause,
  [61897] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3627), 1,
      anon_sym_EQ,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(2212), 1,
      sym_property_initializer,
    ACTIONS(3625), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [61918] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1128), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1700), 1,
      sym_text_interpolation,
    ACTIONS(1126), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3629), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61939] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_name,
    ACTIONS(3633), 1,
      anon_sym_BSLASH,
    STATE(1686), 1,
      sym_namespace_name,
    STATE(1701), 1,
      sym_text_interpolation,
    STATE(2163), 1,
      sym_compound_statement,
  [61964] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1702), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3635), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61985] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3637), 1,
      sym_name,
    STATE(1703), 1,
      sym_text_interpolation,
    STATE(2356), 1,
      sym__reserved_identifier,
    ACTIONS(2399), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [62006] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3437), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3439), 1,
      aux_sym_finally_clause_token1,
    STATE(1558), 1,
      aux_sym_try_statement_repeat1,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(1749), 2,
      sym_catch_clause,
      sym_finally_clause,
  [62029] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1705), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62046] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3639), 1,
      anon_sym_LBRACE,
    ACTIONS(3641), 1,
      anon_sym_DASH_GT,
    ACTIONS(3643), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3645), 1,
      anon_sym_LBRACK,
    STATE(1706), 1,
      sym_text_interpolation,
  [62071] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3647), 1,
      anon_sym_LBRACE,
    ACTIONS(3649), 1,
      anon_sym_DASH_GT,
    ACTIONS(3651), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3653), 1,
      anon_sym_LBRACK,
    STATE(1707), 1,
      sym_text_interpolation,
  [62096] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3655), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3657), 1,
      aux_sym_finally_clause_token1,
    STATE(423), 1,
      aux_sym_try_statement_repeat1,
    STATE(1708), 1,
      sym_text_interpolation,
    STATE(431), 2,
      sym_catch_clause,
      sym_finally_clause,
  [62119] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(3659), 1,
      sym_name,
    ACTIONS(3661), 1,
      anon_sym_LBRACE,
    STATE(1709), 1,
      sym_text_interpolation,
    STATE(890), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62142] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1038), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1710), 1,
      sym_text_interpolation,
    ACTIONS(1036), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62161] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1088), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1711), 1,
      sym_text_interpolation,
    ACTIONS(1086), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62182] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3665), 1,
      anon_sym_LBRACE,
    ACTIONS(3667), 1,
      anon_sym_DASH_GT,
    ACTIONS(3669), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3671), 1,
      anon_sym_LBRACK,
    STATE(1712), 1,
      sym_text_interpolation,
  [62207] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1156), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1713), 1,
      sym_text_interpolation,
    ACTIONS(1154), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3673), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62228] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1082), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1714), 1,
      sym_text_interpolation,
    ACTIONS(1080), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3675), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62249] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1076), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1715), 1,
      sym_text_interpolation,
    ACTIONS(1074), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62270] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3589), 1,
      anon_sym_LBRACK,
    ACTIONS(3679), 1,
      anon_sym_DASH_GT,
    ACTIONS(3681), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1716), 1,
      sym_text_interpolation,
  [62295] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3665), 1,
      anon_sym_LBRACE,
    ACTIONS(3671), 1,
      anon_sym_LBRACK,
    ACTIONS(3683), 1,
      anon_sym_DASH_GT,
    ACTIONS(3685), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1717), 1,
      sym_text_interpolation,
  [62320] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1058), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1718), 1,
      sym_text_interpolation,
    ACTIONS(1056), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62341] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3689), 1,
      sym_name,
    ACTIONS(3691), 1,
      anon_sym_LBRACE,
    ACTIONS(3693), 1,
      anon_sym_DOLLAR,
    STATE(1719), 1,
      sym_text_interpolation,
    STATE(1597), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62364] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1022), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1720), 1,
      sym_text_interpolation,
    ACTIONS(1020), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62383] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3695), 1,
      anon_sym_AMP,
    ACTIONS(3697), 1,
      anon_sym_RPAREN,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(2232), 2,
      sym_variable_name,
      sym_variable_reference,
  [62406] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    STATE(465), 1,
      sym_enum_declaration_list,
    STATE(1722), 1,
      sym_text_interpolation,
    STATE(2480), 1,
      sym_class_interface_clause,
  [62431] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1070), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1723), 1,
      sym_text_interpolation,
    ACTIONS(1068), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3703), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62452] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3705), 1,
      anon_sym_LBRACE,
    ACTIONS(3707), 1,
      anon_sym_DASH_GT,
    ACTIONS(3709), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3711), 1,
      anon_sym_LBRACK,
    STATE(1724), 1,
      sym_text_interpolation,
  [62477] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3665), 1,
      anon_sym_LBRACE,
    ACTIONS(3671), 1,
      anon_sym_LBRACK,
    ACTIONS(3713), 1,
      anon_sym_DASH_GT,
    ACTIONS(3715), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1725), 1,
      sym_text_interpolation,
  [62502] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3491), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1726), 1,
      sym_text_interpolation,
    STATE(2047), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3489), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [62523] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_COLON,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1680), 1,
      sym_formal_parameters,
    STATE(1727), 1,
      sym_text_interpolation,
    STATE(2486), 1,
      sym_reference_modifier,
  [62548] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3717), 1,
      anon_sym_PIPE,
    STATE(1728), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3225), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62567] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_AMP,
    STATE(1729), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3221), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62586] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3723), 1,
      anon_sym_PIPE,
    STATE(1730), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3229), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62605] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3726), 1,
      sym_name,
    ACTIONS(3728), 1,
      anon_sym_LBRACE,
    ACTIONS(3730), 1,
      anon_sym_DOLLAR,
    STATE(1731), 1,
      sym_text_interpolation,
    STATE(1624), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62628] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1030), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1732), 1,
      sym_text_interpolation,
    ACTIONS(1028), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62647] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(2445), 1,
      anon_sym_COLON,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1733), 1,
      sym_text_interpolation,
    STATE(2005), 1,
      sym_formal_parameters,
    STATE(2349), 1,
      sym_reference_modifier,
  [62672] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1052), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1734), 1,
      sym_text_interpolation,
    ACTIONS(1050), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3732), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62693] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_BSLASH,
    STATE(1694), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1735), 1,
      sym_text_interpolation,
    ACTIONS(3734), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [62714] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    ACTIONS(3736), 1,
      anon_sym_COLON,
    STATE(1736), 1,
      sym_text_interpolation,
    STATE(2074), 1,
      sym_enum_declaration_list,
    STATE(2372), 1,
      sym_class_interface_clause,
  [62739] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3738), 1,
      sym_name,
    STATE(1737), 1,
      sym_text_interpolation,
    STATE(1837), 1,
      sym_namespace_name,
    STATE(2300), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3740), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [62762] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1556), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3742), 1,
      sym_name,
    ACTIONS(3744), 1,
      anon_sym_LBRACE,
    STATE(1738), 1,
      sym_text_interpolation,
    STATE(666), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62785] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1739), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3746), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62806] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR,
    ACTIONS(3748), 1,
      sym_name,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(1740), 1,
      sym_text_interpolation,
    STATE(748), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62829] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(1741), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3517), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [62850] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    ACTIONS(3752), 1,
      anon_sym_COLON,
    STATE(461), 1,
      sym_enum_declaration_list,
    STATE(1742), 1,
      sym_text_interpolation,
    STATE(2348), 1,
      sym_class_interface_clause,
  [62875] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1094), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1743), 1,
      sym_text_interpolation,
    ACTIONS(1092), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62896] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1064), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1744), 1,
      sym_text_interpolation,
    ACTIONS(1062), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3756), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62917] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_BSLASH,
    STATE(1745), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3758), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62936] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_PIPE,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(1761), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3299), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62957] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3765), 1,
      anon_sym_PIPE,
    STATE(1747), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3327), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62978] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(220), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_BSLASH,
    STATE(552), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym_text_interpolation,
    ACTIONS(3767), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63001] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1026), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1749), 1,
      sym_text_interpolation,
    ACTIONS(1024), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [63020] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1118), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1750), 1,
      sym_text_interpolation,
    ACTIONS(1116), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3769), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63041] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3738), 1,
      sym_name,
    STATE(1751), 1,
      sym_text_interpolation,
    STATE(1837), 1,
      sym_namespace_name,
    STATE(2201), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3740), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [63064] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3771), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1752), 1,
      sym_text_interpolation,
    STATE(2177), 1,
      sym_variable_name,
    STATE(2181), 1,
      sym_reference_modifier,
  [63089] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3765), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3331), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63110] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_PIPE,
    STATE(1728), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1754), 1,
      sym_text_interpolation,
    ACTIONS(3327), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63131] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE,
    STATE(1730), 1,
      aux_sym_union_type_repeat1,
    STATE(1755), 1,
      sym_text_interpolation,
    ACTIONS(3299), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63152] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1756), 1,
      sym_text_interpolation,
    ACTIONS(3162), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63169] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON,
    STATE(1757), 1,
      sym_text_interpolation,
    STATE(2097), 1,
      sym__return_type,
    ACTIONS(3775), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63190] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_BSLASH,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(1762), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3734), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63211] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1140), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1759), 1,
      sym_text_interpolation,
    ACTIONS(1138), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63232] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_PIPE,
    STATE(1760), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3225), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63251] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_PIPE,
    STATE(1761), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3229), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63270] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_BSLASH,
    STATE(1745), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1762), 1,
      sym_text_interpolation,
    ACTIONS(3606), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63291] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1106), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1763), 1,
      sym_text_interpolation,
    ACTIONS(1104), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3793), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63312] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3765), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1764), 1,
      sym_text_interpolation,
    ACTIONS(3287), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63333] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3795), 1,
      ts_builtin_sym_end,
    ACTIONS(3797), 1,
      sym_php_tag,
    ACTIONS(3799), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1765), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [63354] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    ACTIONS(3804), 1,
      anon_sym_DASH_GT,
    ACTIONS(3806), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3808), 1,
      anon_sym_LBRACK,
    STATE(1766), 1,
      sym_text_interpolation,
  [63379] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(316), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3810), 1,
      sym_name,
    ACTIONS(3812), 1,
      anon_sym_LBRACE,
    STATE(1767), 1,
      sym_text_interpolation,
    STATE(629), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63402] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1768), 1,
      sym_text_interpolation,
    ACTIONS(3184), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63419] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1769), 1,
      sym_text_interpolation,
    ACTIONS(3098), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63436] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3814), 1,
      anon_sym_BSLASH,
    STATE(1770), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3758), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [63455] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON,
    STATE(1771), 1,
      sym_text_interpolation,
    STATE(2070), 1,
      sym__return_type,
    ACTIONS(3817), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63476] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_COMMA,
    STATE(1772), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3517), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63495] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3795), 1,
      sym__eof,
    ACTIONS(3797), 1,
      sym_php_tag,
    ACTIONS(3822), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1773), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [63516] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      sym_php_tag,
    ACTIONS(3827), 1,
      sym__eof,
    STATE(1773), 1,
      aux_sym_text_repeat1,
    STATE(1774), 1,
      sym_text_interpolation,
    ACTIONS(3557), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [63539] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3695), 1,
      anon_sym_AMP,
    ACTIONS(3829), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(2232), 2,
      sym_variable_name,
      sym_variable_reference,
  [63562] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    ACTIONS(3519), 1,
      anon_sym_COMMA,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    STATE(1776), 1,
      sym_text_interpolation,
    STATE(2156), 1,
      aux_sym_base_clause_repeat1,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
  [63587] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1100), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1777), 1,
      sym_text_interpolation,
    ACTIONS(1098), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63608] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3705), 1,
      anon_sym_LBRACE,
    ACTIONS(3711), 1,
      anon_sym_LBRACK,
    ACTIONS(3835), 1,
      anon_sym_DASH_GT,
    ACTIONS(3837), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1778), 1,
      sym_text_interpolation,
  [63633] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(220), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_name,
    ACTIONS(3633), 1,
      anon_sym_BSLASH,
    STATE(563), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym_namespace_name,
    STATE(1779), 1,
      sym_text_interpolation,
  [63658] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1112), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1780), 1,
      sym_text_interpolation,
    ACTIONS(1110), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3839), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63679] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3841), 1,
      sym_name,
    ACTIONS(3843), 1,
      anon_sym_LBRACE,
    ACTIONS(3845), 1,
      anon_sym_DOLLAR,
    STATE(1781), 1,
      sym_text_interpolation,
    STATE(1460), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63702] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3843), 1,
      anon_sym_LBRACE,
    ACTIONS(3845), 1,
      anon_sym_DOLLAR,
    ACTIONS(3847), 1,
      sym_name,
    STATE(1782), 1,
      sym_text_interpolation,
    STATE(1460), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63725] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3728), 1,
      anon_sym_LBRACE,
    ACTIONS(3730), 1,
      anon_sym_DOLLAR,
    ACTIONS(3849), 1,
      sym_name,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(1624), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63748] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      sym_php_tag,
    ACTIONS(3827), 1,
      ts_builtin_sym_end,
    STATE(1765), 1,
      aux_sym_text_repeat1,
    STATE(1784), 1,
      sym_text_interpolation,
    ACTIONS(11), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [63771] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3851), 1,
      sym_name,
    STATE(1785), 1,
      sym_text_interpolation,
    STATE(2174), 1,
      sym_visibility_modifier,
    ACTIONS(3853), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [63792] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LBRACE,
    ACTIONS(3693), 1,
      anon_sym_DOLLAR,
    ACTIONS(3855), 1,
      sym_name,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(1597), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63815] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      sym_text_interpolation,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3857), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63835] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3695), 1,
      anon_sym_AMP,
    STATE(1788), 1,
      sym_text_interpolation,
    STATE(2173), 2,
      sym_variable_name,
      sym_variable_reference,
  [63855] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_AMP,
    ACTIONS(3221), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1789), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [63873] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_COMMA,
    STATE(1790), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3521), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [63893] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1645), 1,
      sym_formal_parameters,
    STATE(1791), 1,
      sym_text_interpolation,
    STATE(2364), 1,
      sym_reference_modifier,
  [63915] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_enum_declaration_list,
    STATE(1792), 1,
      sym_text_interpolation,
    STATE(2352), 1,
      sym_class_interface_clause,
  [63937] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_COMMA,
    ACTIONS(3864), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1793), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [63955] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1794), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63975] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3875), 1,
      sym__eof,
    STATE(1795), 1,
      sym_text_interpolation,
    ACTIONS(3873), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [63993] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1653), 1,
      sym_formal_parameters,
    STATE(1796), 1,
      sym_text_interpolation,
    STATE(2374), 1,
      sym_reference_modifier,
  [64015] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1650), 1,
      sym_formal_parameters,
    STATE(1797), 1,
      sym_text_interpolation,
    STATE(2228), 1,
      sym_reference_modifier,
  [64037] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_AMP,
    STATE(1789), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1798), 1,
      sym_text_interpolation,
    ACTIONS(3257), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64057] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1634), 1,
      sym_formal_parameters,
    STATE(1799), 1,
      sym_text_interpolation,
    STATE(2331), 1,
      sym_reference_modifier,
  [64079] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1800), 1,
      sym_text_interpolation,
    STATE(2207), 1,
      sym_formal_parameters,
    STATE(2226), 1,
      sym_reference_modifier,
  [64101] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3882), 1,
      anon_sym_COMMA,
    ACTIONS(3880), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1801), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [64119] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3887), 1,
      anon_sym_COMMA,
    ACTIONS(3885), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1802), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [64137] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1803), 1,
      sym_text_interpolation,
    ACTIONS(3758), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [64153] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_SEMI,
    ACTIONS(3892), 1,
      anon_sym_LBRACE,
    ACTIONS(3894), 1,
      sym__automatic_semicolon,
    STATE(1375), 1,
      sym_compound_statement,
    STATE(1804), 1,
      sym_text_interpolation,
  [64175] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1805), 1,
      sym_text_interpolation,
    ACTIONS(3896), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64191] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1806), 1,
      sym_text_interpolation,
    ACTIONS(3898), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [64207] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COMMA,
    STATE(1807), 1,
      sym_text_interpolation,
    STATE(1828), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3900), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64227] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1113), 1,
      sym_compound_statement,
    STATE(1808), 1,
      sym_text_interpolation,
    STATE(2255), 1,
      sym__return_type,
  [64249] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1809), 1,
      sym_text_interpolation,
    ACTIONS(3904), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64265] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3695), 1,
      anon_sym_AMP,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(2232), 2,
      sym_variable_name,
      sym_variable_reference,
  [64285] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1128), 1,
      sym_compound_statement,
    STATE(1811), 1,
      sym_text_interpolation,
    STATE(2311), 1,
      sym__return_type,
  [64307] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_COMMA,
    ACTIONS(3906), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1812), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [64325] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_declaration_list,
    STATE(1813), 1,
      sym_text_interpolation,
    STATE(2405), 1,
      sym_class_interface_clause,
  [64347] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3913), 1,
      sym_nowdoc_string,
    ACTIONS(3911), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1814), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [64365] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1050), 1,
      sym_declaration_list,
    STATE(1815), 1,
      sym_text_interpolation,
    STATE(2482), 1,
      sym_class_interface_clause,
  [64387] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3916), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64407] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1817), 1,
      sym_text_interpolation,
    ACTIONS(3918), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [64423] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3875), 1,
      ts_builtin_sym_end,
    STATE(1818), 1,
      sym_text_interpolation,
    ACTIONS(3873), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [64441] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(437), 1,
      sym_declaration_list,
    STATE(1819), 1,
      sym_text_interpolation,
    STATE(2421), 1,
      sym_class_interface_clause,
  [64463] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1820), 1,
      sym_text_interpolation,
    ACTIONS(3904), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64479] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1821), 1,
      sym_text_interpolation,
    ACTIONS(3221), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [64495] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1822), 1,
      sym_text_interpolation,
    STATE(1874), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3920), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64515] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_PIPE,
    ACTIONS(3922), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1823), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [64533] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1824), 1,
      sym_text_interpolation,
    ACTIONS(3927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64553] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1825), 1,
      sym_text_interpolation,
    ACTIONS(3234), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64569] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2445), 1,
      anon_sym_COLON,
    ACTIONS(3633), 1,
      anon_sym_BSLASH,
    ACTIONS(3929), 1,
      sym_name,
    STATE(1826), 1,
      sym_text_interpolation,
    STATE(2595), 1,
      sym_namespace_name,
  [64591] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COMMA,
    STATE(1827), 1,
      sym_text_interpolation,
    STATE(1828), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3931), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64611] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3935), 1,
      anon_sym_COMMA,
    ACTIONS(3933), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1828), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat2,
  [64629] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_compound_statement,
    STATE(1829), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym__return_type,
  [64651] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COMMA,
    STATE(1807), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1830), 1,
      sym_text_interpolation,
    ACTIONS(3938), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64671] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COMMA,
    STATE(1828), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1831), 1,
      sym_text_interpolation,
    ACTIONS(3940), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64691] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(1832), 1,
      sym_text_interpolation,
    STATE(2266), 1,
      sym_class_interface_clause,
  [64713] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1833), 1,
      sym_text_interpolation,
    ACTIONS(3758), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [64729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3942), 1,
      anon_sym_SQUOTE,
    ACTIONS(3944), 2,
      aux_sym_string_token2,
      sym_string_value,
    STATE(1834), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [64747] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1835), 1,
      sym_text_interpolation,
    ACTIONS(3947), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [64763] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1097), 1,
      sym_compound_statement,
    STATE(1836), 1,
      sym_text_interpolation,
    STATE(2385), 1,
      sym__return_type,
  [64785] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3951), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1837), 1,
      sym_text_interpolation,
    STATE(2360), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [64805] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1838), 1,
      sym_text_interpolation,
    ACTIONS(3953), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64821] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_EQ,
    ACTIONS(3957), 1,
      anon_sym_RPAREN,
    STATE(1839), 1,
      sym_text_interpolation,
    STATE(2194), 1,
      aux_sym__list_destructing_repeat1,
  [64843] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1123), 1,
      sym_declaration_list,
    STATE(1840), 1,
      sym_text_interpolation,
    STATE(2277), 1,
      sym_class_interface_clause,
  [64865] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1841), 1,
      sym_text_interpolation,
    ACTIONS(3953), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64881] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1842), 1,
      sym_text_interpolation,
    ACTIONS(3229), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64897] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1843), 1,
      sym_text_interpolation,
    ACTIONS(3225), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64913] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1627), 1,
      sym_formal_parameters,
    STATE(1844), 1,
      sym_text_interpolation,
    STATE(2324), 1,
      sym_reference_modifier,
  [64935] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_LBRACE,
    ACTIONS(3959), 1,
      anon_sym_SEMI,
    ACTIONS(3961), 1,
      sym__automatic_semicolon,
    STATE(1377), 1,
      sym_compound_statement,
    STATE(1845), 1,
      sym_text_interpolation,
  [64957] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3963), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64977] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_declaration_list,
    STATE(1847), 1,
      sym_text_interpolation,
    STATE(2280), 1,
      sym_class_interface_clause,
  [64999] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_LBRACE,
    ACTIONS(3965), 1,
      anon_sym_SEMI,
    ACTIONS(3967), 1,
      sym__automatic_semicolon,
    STATE(1374), 1,
      sym_compound_statement,
    STATE(1848), 1,
      sym_text_interpolation,
  [65021] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1849), 1,
      sym_text_interpolation,
    ACTIONS(3969), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65041] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_declaration_list,
    STATE(1850), 1,
      sym_text_interpolation,
    STATE(2318), 1,
      sym_class_interface_clause,
  [65063] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_COMMA,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(1912), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3971), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [65083] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1852), 1,
      sym_text_interpolation,
    ACTIONS(3973), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65103] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1849), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1853), 1,
      sym_text_interpolation,
    ACTIONS(3975), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65123] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3977), 1,
      anon_sym_SQUOTE,
    STATE(1854), 1,
      sym_text_interpolation,
    STATE(1907), 1,
      aux_sym_string_repeat1,
    ACTIONS(3979), 2,
      aux_sym_string_token2,
      sym_string_value,
  [65143] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1117), 1,
      sym_compound_statement,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(2278), 1,
      sym__return_type,
  [65165] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1856), 1,
      sym_text_interpolation,
    ACTIONS(3981), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65185] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1857), 1,
      sym_text_interpolation,
    ACTIONS(3916), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65205] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3985), 1,
      anon_sym_PIPE,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(1904), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3983), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [65225] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1859), 1,
      sym_text_interpolation,
    ACTIONS(3987), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65245] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1860), 1,
      sym_text_interpolation,
    ACTIONS(3987), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65265] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1861), 1,
      sym_text_interpolation,
    ACTIONS(3989), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65285] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1862), 1,
      sym_text_interpolation,
    ACTIONS(3991), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65305] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1860), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1863), 1,
      sym_text_interpolation,
    ACTIONS(3993), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65325] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3997), 1,
      sym_nowdoc_string,
    STATE(1814), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(1864), 1,
      sym_text_interpolation,
    ACTIONS(3995), 2,
      sym_heredoc_end,
      sym__new_line,
  [65345] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1865), 1,
      sym_text_interpolation,
    ACTIONS(1700), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [65361] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1063), 1,
      sym_compound_statement,
    STATE(1866), 1,
      sym_text_interpolation,
    STATE(2358), 1,
      sym__return_type,
  [65383] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1867), 1,
      sym_text_interpolation,
    ACTIONS(3896), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65399] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym_declaration_list,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2447), 1,
      sym_class_interface_clause,
  [65421] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
    STATE(1869), 1,
      sym_text_interpolation,
    STATE(2361), 1,
      sym_class_interface_clause,
  [65443] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(1920), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3999), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65463] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(1921), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65483] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1872), 1,
      sym_text_interpolation,
    ACTIONS(4007), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65503] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1873), 1,
      sym_text_interpolation,
    STATE(1924), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4009), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65523] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1874), 1,
      sym_text_interpolation,
    ACTIONS(4011), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65543] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1794), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1875), 1,
      sym_text_interpolation,
    ACTIONS(4007), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65563] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    STATE(1793), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1876), 1,
      sym_text_interpolation,
    ACTIONS(4013), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65583] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1877), 1,
      sym_text_interpolation,
    STATE(1933), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4015), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65603] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1104), 1,
      sym_compound_statement,
    STATE(1878), 1,
      sym_text_interpolation,
    STATE(2353), 1,
      sym__return_type,
  [65625] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1107), 1,
      sym_compound_statement,
    STATE(1879), 1,
      sym_text_interpolation,
    STATE(2346), 1,
      sym__return_type,
  [65647] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(2125), 1,
      sym_declaration_list,
    STATE(2237), 1,
      sym_base_clause,
  [65669] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    STATE(1812), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1881), 1,
      sym_text_interpolation,
    ACTIONS(4017), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65689] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1882), 1,
      sym_text_interpolation,
    STATE(2104), 1,
      sym_formal_parameters,
    STATE(2422), 1,
      sym_reference_modifier,
  [65711] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1651), 1,
      sym_formal_parameters,
    STATE(1883), 1,
      sym_text_interpolation,
    STATE(2247), 1,
      sym_reference_modifier,
  [65733] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1714), 1,
      sym_declaration_list,
    STATE(1884), 1,
      sym_text_interpolation,
    STATE(2442), 1,
      sym_class_interface_clause,
  [65755] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(938), 1,
      sym_compound_statement,
    STATE(1885), 1,
      sym_text_interpolation,
    STATE(2443), 1,
      sym__return_type,
  [65777] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_enum_declaration_list,
    STATE(1886), 1,
      sym_text_interpolation,
    STATE(2344), 1,
      sym_class_interface_clause,
  [65799] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1887), 1,
      sym_text_interpolation,
    STATE(2098), 1,
      sym_formal_parameters,
    STATE(2430), 1,
      sym_reference_modifier,
  [65821] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1743), 1,
      sym_declaration_list,
    STATE(1888), 1,
      sym_text_interpolation,
    STATE(2327), 1,
      sym_class_interface_clause,
  [65843] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4019), 1,
      anon_sym_SQUOTE,
    STATE(1834), 1,
      aux_sym_string_repeat1,
    STATE(1889), 1,
      sym_text_interpolation,
    ACTIONS(3979), 2,
      aux_sym_string_token2,
      sym_string_value,
  [65863] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1890), 1,
      sym_text_interpolation,
    STATE(1980), 1,
      sym_enum_declaration_list,
    STATE(2458), 1,
      sym_class_interface_clause,
  [65885] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(913), 1,
      sym_compound_statement,
    STATE(1891), 1,
      sym_text_interpolation,
    STATE(2459), 1,
      sym__return_type,
  [65907] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(915), 1,
      sym_compound_statement,
    STATE(1892), 1,
      sym_text_interpolation,
    STATE(2457), 1,
      sym__return_type,
  [65929] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1893), 1,
      sym_text_interpolation,
    STATE(2450), 1,
      sym_arguments,
    ACTIONS(3569), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [65949] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
    STATE(1894), 1,
      sym_text_interpolation,
    STATE(2336), 1,
      sym_class_interface_clause,
  [65971] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1895), 1,
      sym_text_interpolation,
    ACTIONS(4021), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65991] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1759), 1,
      sym_declaration_list,
    STATE(1896), 1,
      sym_text_interpolation,
    STATE(2463), 1,
      sym_class_interface_clause,
  [66013] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    STATE(944), 1,
      sym_declaration_list,
    STATE(1897), 1,
      sym_text_interpolation,
    STATE(2468), 1,
      sym_class_interface_clause,
  [66035] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1898), 1,
      sym_text_interpolation,
    STATE(2495), 1,
      sym_declare_directive,
    ACTIONS(4023), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [66053] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(929), 1,
      sym_compound_statement,
    STATE(1899), 1,
      sym_text_interpolation,
    STATE(2483), 1,
      sym__return_type,
  [66075] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3050), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4025), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(4027), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(2537), 1,
      sym_static_modifier,
  [66097] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1780), 1,
      sym_declaration_list,
    STATE(1901), 1,
      sym_text_interpolation,
    STATE(2472), 1,
      sym_class_interface_clause,
  [66119] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(907), 1,
      sym_compound_statement,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(2466), 1,
      sym__return_type,
  [66141] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1680), 1,
      sym_formal_parameters,
    STATE(1903), 1,
      sym_text_interpolation,
    STATE(2486), 1,
      sym_reference_modifier,
  [66163] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3985), 1,
      anon_sym_PIPE,
    STATE(1823), 1,
      aux_sym_type_list_repeat1,
    STATE(1904), 1,
      sym_text_interpolation,
    ACTIONS(4029), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [66183] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3431), 1,
      aux_sym_base_clause_token1,
    ACTIONS(4031), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_declaration_list,
    STATE(1905), 1,
      sym_text_interpolation,
    STATE(2478), 1,
      sym_base_clause,
  [66205] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3951), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(2254), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [66225] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4035), 1,
      anon_sym_SQUOTE,
    STATE(1834), 1,
      aux_sym_string_repeat1,
    STATE(1907), 1,
      sym_text_interpolation,
    ACTIONS(3979), 2,
      aux_sym_string_token2,
      sym_string_value,
  [66245] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1908), 1,
      sym_text_interpolation,
    ACTIONS(4037), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66265] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1895), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1909), 1,
      sym_text_interpolation,
    ACTIONS(4039), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66285] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1857), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1910), 1,
      sym_text_interpolation,
    ACTIONS(4041), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66305] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_declaration_list,
    STATE(1911), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      sym_class_interface_clause,
  [66327] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    ACTIONS(3517), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1912), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [66345] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1872), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1913), 1,
      sym_text_interpolation,
    ACTIONS(4046), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66365] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3040), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3050), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4048), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1914), 1,
      sym_text_interpolation,
    STATE(2537), 1,
      sym_static_modifier,
  [66387] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_LBRACE,
    ACTIONS(4050), 1,
      anon_sym_SEMI,
    ACTIONS(4052), 1,
      sym__automatic_semicolon,
    STATE(1385), 1,
      sym_compound_statement,
    STATE(1915), 1,
      sym_text_interpolation,
  [66409] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COMMA,
    STATE(1827), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1916), 1,
      sym_text_interpolation,
    ACTIONS(4054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66429] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COMMA,
    STATE(1828), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1917), 1,
      sym_text_interpolation,
    ACTIONS(4056), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66449] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1918), 1,
      sym_text_interpolation,
    STATE(2598), 1,
      sym_declare_directive,
    ACTIONS(4023), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [66467] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    STATE(1876), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1919), 1,
      sym_text_interpolation,
    ACTIONS(4058), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66487] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    STATE(1812), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1920), 1,
      sym_text_interpolation,
    ACTIONS(4060), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66507] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    STATE(1793), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1921), 1,
      sym_text_interpolation,
    ACTIONS(4062), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66527] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1922), 1,
      sym_text_interpolation,
    STATE(1942), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66547] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    STATE(946), 1,
      sym_declaration_list,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      sym_class_interface_clause,
  [66569] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1924), 1,
      sym_text_interpolation,
    ACTIONS(4064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66589] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    STATE(947), 1,
      sym_declaration_list,
    STATE(1925), 1,
      sym_text_interpolation,
    STATE(2403), 1,
      sym_class_interface_clause,
  [66611] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1926), 1,
      sym_text_interpolation,
    ACTIONS(4066), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66631] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_EQ,
    STATE(1927), 1,
      sym_text_interpolation,
    ACTIONS(4068), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [66649] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_COMMA,
    STATE(1881), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1928), 1,
      sym_text_interpolation,
    ACTIONS(4072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66669] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1929), 1,
      sym_text_interpolation,
    ACTIONS(4074), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66685] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(965), 1,
      sym_compound_statement,
    STATE(1930), 1,
      sym_text_interpolation,
    STATE(2299), 1,
      sym__return_type,
  [66707] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1679), 1,
      sym_formal_parameters,
    STATE(1931), 1,
      sym_text_interpolation,
    STATE(2399), 1,
      sym_reference_modifier,
  [66729] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(1948), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4076), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66749] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1933), 1,
      sym_text_interpolation,
    ACTIONS(4078), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66769] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1934), 1,
      sym_text_interpolation,
    STATE(2504), 1,
      sym_declare_directive,
    ACTIONS(4023), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [66787] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_SQUOTE,
    STATE(1889), 1,
      aux_sym_string_repeat1,
    STATE(1935), 1,
      sym_text_interpolation,
    ACTIONS(3979), 2,
      aux_sym_string_token2,
      sym_string_value,
  [66807] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1936), 1,
      sym_text_interpolation,
    STATE(2005), 1,
      sym_formal_parameters,
    STATE(2349), 1,
      sym_reference_modifier,
  [66829] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1937), 1,
      sym_text_interpolation,
    ACTIONS(3517), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [66845] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1723), 1,
      sym_declaration_list,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(2310), 1,
      sym_class_interface_clause,
  [66867] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1939), 1,
      sym_text_interpolation,
    ACTIONS(3194), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66883] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(950), 1,
      sym_compound_statement,
    STATE(1940), 1,
      sym_text_interpolation,
    STATE(2387), 1,
      sym__return_type,
  [66905] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(957), 1,
      sym_compound_statement,
    STATE(1941), 1,
      sym_text_interpolation,
    STATE(2382), 1,
      sym__return_type,
  [66927] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1942), 1,
      sym_text_interpolation,
    ACTIONS(4082), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66947] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1943), 1,
      sym_text_interpolation,
    ACTIONS(4074), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [66963] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1908), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1944), 1,
      sym_text_interpolation,
    ACTIONS(4078), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66983] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1945), 1,
      sym_text_interpolation,
    STATE(2625), 1,
      sym_declare_directive,
    ACTIONS(4023), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67001] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1946), 1,
      sym_text_interpolation,
    STATE(2065), 1,
      sym_enum_declaration_list,
    STATE(2388), 1,
      sym_class_interface_clause,
  [67023] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    ACTIONS(3433), 1,
      aux_sym_class_interface_clause_token1,
    STATE(969), 1,
      sym_declaration_list,
    STATE(1947), 1,
      sym_text_interpolation,
    STATE(2341), 1,
      sym_class_interface_clause,
  [67045] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1948), 1,
      sym_text_interpolation,
    ACTIONS(4084), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67065] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_EQ,
    STATE(1949), 1,
      sym_text_interpolation,
    ACTIONS(4086), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67082] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    ACTIONS(4093), 1,
      anon_sym_RBRACK,
    STATE(1950), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [67099] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1951), 1,
      sym_text_interpolation,
    ACTIONS(1528), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67116] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1952), 1,
      sym_text_interpolation,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67133] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(316), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1953), 1,
      sym_text_interpolation,
    STATE(1919), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67150] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1699), 1,
      sym_variable_name,
    STATE(1954), 1,
      sym_text_interpolation,
    STATE(2180), 1,
      sym_property_element,
  [67169] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1332), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1955), 1,
      sym_text_interpolation,
    ACTIONS(1330), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67186] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1699), 1,
      sym_variable_name,
    STATE(1830), 1,
      sym_property_element,
    STATE(1956), 1,
      sym_text_interpolation,
  [67205] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1256), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1957), 1,
      sym_text_interpolation,
    ACTIONS(1254), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67222] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1252), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1958), 1,
      sym_text_interpolation,
    ACTIONS(1250), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67239] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1244), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1959), 1,
      sym_text_interpolation,
    ACTIONS(1242), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67256] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4095), 1,
      anon_sym_SQUOTE,
    ACTIONS(4097), 1,
      anon_sym_DQUOTE,
    ACTIONS(4099), 1,
      sym_heredoc_start,
    STATE(1960), 1,
      sym_text_interpolation,
  [67275] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4101), 1,
      anon_sym_COMMA,
    ACTIONS(4103), 1,
      anon_sym_RPAREN,
    STATE(1961), 1,
      sym_text_interpolation,
    STATE(1989), 1,
      aux_sym_array_creation_expression_repeat1,
  [67294] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1962), 1,
      sym_text_interpolation,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67311] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1963), 1,
      sym_text_interpolation,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67328] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3048), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4105), 1,
      aux_sym_class_declaration_token1,
    STATE(1964), 1,
      sym_text_interpolation,
    STATE(2545), 1,
      sym_readonly_modifier,
  [67347] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1965), 1,
      sym_text_interpolation,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67364] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_RPAREN,
    ACTIONS(4107), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      sym_text_interpolation,
    STATE(2209), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [67383] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(839), 1,
      anon_sym_RBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    STATE(1967), 1,
      sym_text_interpolation,
    STATE(2206), 1,
      aux_sym_array_creation_expression_repeat1,
  [67402] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1208), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1968), 1,
      sym_text_interpolation,
    ACTIONS(1206), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67419] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3156), 1,
      anon_sym_RBRACK,
    ACTIONS(4111), 1,
      anon_sym_COMMA,
    STATE(1950), 1,
      aux_sym_attribute_group_repeat1,
    STATE(1969), 1,
      sym_text_interpolation,
  [67438] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COMMA,
    ACTIONS(4116), 1,
      anon_sym_RPAREN,
    STATE(1970), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [67455] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1212), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(1210), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67472] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1212), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1972), 1,
      sym_text_interpolation,
    ACTIONS(1210), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67489] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1232), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1973), 1,
      sym_text_interpolation,
    ACTIONS(1230), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67506] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_COMMA,
    ACTIONS(4120), 1,
      anon_sym_RPAREN,
    STATE(1974), 1,
      sym_text_interpolation,
    STATE(2011), 1,
      aux_sym_arguments_repeat1,
  [67525] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4124), 1,
      anon_sym_EQ,
    STATE(1975), 1,
      sym_text_interpolation,
    ACTIONS(4122), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67542] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1268), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1976), 1,
      sym_text_interpolation,
    ACTIONS(1266), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67559] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1284), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(1282), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67576] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_EQ,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(4126), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67593] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67610] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1320), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1980), 1,
      sym_text_interpolation,
    ACTIONS(1318), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67627] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_EQ,
    STATE(1981), 1,
      sym_text_interpolation,
    ACTIONS(4130), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67644] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_RPAREN,
    ACTIONS(4134), 1,
      anon_sym_COMMA,
    STATE(1982), 1,
      sym_text_interpolation,
    STATE(2193), 1,
      aux_sym_formal_parameters_repeat1,
  [67663] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1328), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(1326), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67680] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67697] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3048), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4136), 1,
      aux_sym_class_declaration_token1,
    STATE(1985), 1,
      sym_text_interpolation,
    STATE(2629), 1,
      sym_readonly_modifier,
  [67716] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1986), 1,
      sym_text_interpolation,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67733] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3633), 1,
      anon_sym_BSLASH,
    ACTIONS(3929), 1,
      sym_name,
    STATE(1987), 1,
      sym_text_interpolation,
    STATE(2595), 1,
      sym_namespace_name,
  [67752] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1988), 1,
      sym_text_interpolation,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67769] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(837), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    STATE(1970), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1989), 1,
      sym_text_interpolation,
  [67788] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3048), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4140), 1,
      aux_sym_class_declaration_token1,
    STATE(1990), 1,
      sym_text_interpolation,
    STATE(2617), 1,
      sym_readonly_modifier,
  [67807] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67824] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1992), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67841] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1993), 1,
      sym_text_interpolation,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67858] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1994), 1,
      sym_text_interpolation,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67875] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1995), 1,
      sym_text_interpolation,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67892] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    ACTIONS(4144), 1,
      anon_sym_RBRACE,
    STATE(1996), 1,
      sym_text_interpolation,
    STATE(2042), 1,
      aux_sym_match_block_repeat1,
  [67911] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1997), 1,
      sym_text_interpolation,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67928] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4148), 1,
      anon_sym_EQ,
    STATE(1998), 1,
      sym_text_interpolation,
    ACTIONS(4146), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67945] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1999), 1,
      sym_text_interpolation,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67962] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(4150), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [67977] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1200), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2001), 1,
      sym_text_interpolation,
    ACTIONS(1198), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67994] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2002), 1,
      sym_text_interpolation,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68011] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68028] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_COMMA,
    ACTIONS(4154), 1,
      anon_sym_RBRACE,
    STATE(2004), 1,
      sym_text_interpolation,
    STATE(2195), 1,
      aux_sym_namespace_use_group_repeat1,
  [68047] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(4156), 1,
      anon_sym_EQ_GT,
    STATE(2005), 1,
      sym_text_interpolation,
    STATE(2491), 1,
      sym__return_type,
  [68066] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2006), 1,
      sym_text_interpolation,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68083] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2007), 1,
      sym_text_interpolation,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68100] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4158), 1,
      sym__new_line,
    ACTIONS(4160), 1,
      sym_heredoc_end,
    STATE(2008), 1,
      sym_text_interpolation,
    STATE(2413), 1,
      sym_nowdoc_body,
  [68119] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4162), 1,
      sym__new_line,
    ACTIONS(4164), 1,
      sym_heredoc_end,
    STATE(2009), 1,
      sym_text_interpolation,
    STATE(2419), 1,
      sym_heredoc_body,
  [68138] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1220), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2010), 1,
      sym_text_interpolation,
    ACTIONS(1218), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68155] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(777), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_COMMA,
    STATE(2011), 1,
      sym_text_interpolation,
    STATE(2108), 1,
      aux_sym_arguments_repeat1,
  [68174] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2012), 1,
      sym_text_interpolation,
    ACTIONS(3517), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [68189] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1336), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(1334), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68206] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2014), 1,
      sym_text_interpolation,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68223] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4170), 1,
      anon_sym_EQ,
    STATE(2015), 1,
      sym_text_interpolation,
    ACTIONS(4168), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68240] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4162), 1,
      sym__new_line,
    ACTIONS(4172), 1,
      sym_heredoc_end,
    STATE(2016), 1,
      sym_text_interpolation,
    STATE(2288), 1,
      sym_heredoc_body,
  [68259] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2017), 1,
      sym_text_interpolation,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68276] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2018), 1,
      sym_text_interpolation,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68293] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2019), 1,
      sym_text_interpolation,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68310] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4174), 1,
      anon_sym_COMMA,
    ACTIONS(4176), 1,
      anon_sym_RBRACK,
    STATE(1969), 1,
      aux_sym_attribute_group_repeat1,
    STATE(2020), 1,
      sym_text_interpolation,
  [68329] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_COMMA,
    ACTIONS(4180), 1,
      anon_sym_RBRACK,
    STATE(1967), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2021), 1,
      sym_text_interpolation,
  [68348] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    STATE(457), 1,
      sym_switch_block,
    STATE(2022), 1,
      sym_text_interpolation,
  [68367] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1276), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(1274), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68384] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_EQ,
    STATE(2024), 1,
      sym_text_interpolation,
    ACTIONS(4186), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [68401] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    ACTIONS(4190), 1,
      anon_sym_RBRACK,
    STATE(2025), 1,
      sym_text_interpolation,
    STATE(2084), 1,
      aux_sym__array_destructing_repeat1,
  [68420] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_COMMA,
    ACTIONS(4194), 1,
      anon_sym_RBRACK,
    STATE(2026), 1,
      sym_text_interpolation,
    STATE(2085), 1,
      aux_sym_array_creation_expression_repeat1,
  [68439] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    ACTIONS(4190), 1,
      anon_sym_RBRACK,
    STATE(2027), 1,
      sym_text_interpolation,
    STATE(2086), 1,
      aux_sym__array_destructing_repeat1,
  [68458] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1264), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2028), 1,
      sym_text_interpolation,
    ACTIONS(1262), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68475] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4198), 1,
      aux_sym_else_clause_token1,
    STATE(2029), 1,
      sym_text_interpolation,
    ACTIONS(4196), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [68492] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1260), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2030), 1,
      sym_text_interpolation,
    ACTIONS(1258), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68509] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_COMMA,
    ACTIONS(4202), 1,
      anon_sym_RBRACK,
    STATE(2031), 1,
      sym_text_interpolation,
    STATE(2087), 1,
      aux_sym_attribute_group_repeat1,
  [68528] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2032), 1,
      sym_text_interpolation,
    ACTIONS(4204), 3,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
      sym_string_value,
  [68543] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1260), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2033), 1,
      sym_text_interpolation,
    ACTIONS(1258), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68560] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4162), 1,
      sym__new_line,
    ACTIONS(4206), 1,
      sym_heredoc_end,
    STATE(2034), 1,
      sym_text_interpolation,
    STATE(2446), 1,
      sym_heredoc_body,
  [68579] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2035), 1,
      sym_text_interpolation,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68596] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1236), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(1234), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68613] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1176), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2037), 1,
      sym_text_interpolation,
    ACTIONS(1174), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68630] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(4208), 1,
      anon_sym_EQ_GT,
    STATE(2038), 1,
      sym_text_interpolation,
    STATE(2489), 1,
      sym__return_type,
  [68649] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3048), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4210), 1,
      aux_sym_class_declaration_token1,
    STATE(2039), 1,
      sym_text_interpolation,
    STATE(2522), 1,
      sym_readonly_modifier,
  [68668] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2040), 1,
      sym_text_interpolation,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68685] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1927), 1,
      sym_variable_name,
    STATE(2041), 1,
      sym_text_interpolation,
    STATE(2110), 1,
      sym_static_variable_declaration,
  [68704] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(858), 1,
      anon_sym_RBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      sym_text_interpolation,
    STATE(2054), 1,
      aux_sym_match_block_repeat1,
  [68723] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1526), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2043), 1,
      sym_text_interpolation,
    ACTIONS(1524), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68740] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(316), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2044), 1,
      sym_text_interpolation,
    STATE(2113), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68757] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1188), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(1186), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68774] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1480), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2046), 1,
      sym_text_interpolation,
    ACTIONS(1478), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68791] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(4214), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68806] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68823] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_name,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    STATE(2049), 1,
      sym_text_interpolation,
    STATE(2401), 1,
      sym_namespace_use_group,
  [68842] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2050), 1,
      sym_text_interpolation,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68859] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LBRACE,
    ACTIONS(4222), 1,
      anon_sym_COLON,
    STATE(2051), 1,
      sym_text_interpolation,
    STATE(2103), 1,
      sym_switch_block,
  [68878] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(4224), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2052), 1,
      sym_text_interpolation,
    STATE(2127), 1,
      sym_variable_name,
  [68897] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4226), 1,
      anon_sym_COMMA,
    ACTIONS(4228), 1,
      anon_sym_RPAREN,
    STATE(2053), 1,
      sym_text_interpolation,
    STATE(2129), 1,
      aux_sym_formal_parameters_repeat1,
  [68916] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4230), 1,
      anon_sym_COMMA,
    ACTIONS(4233), 1,
      anon_sym_RBRACE,
    STATE(2054), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [68933] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_EQ_GT,
    ACTIONS(4235), 1,
      anon_sym_COMMA,
    STATE(2055), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [68950] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68967] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_EQ,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(4238), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68984] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3775), 1,
      anon_sym_LBRACE,
    STATE(2058), 1,
      sym_text_interpolation,
    STATE(2572), 1,
      sym__return_type,
  [69003] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69020] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2060), 1,
      sym_text_interpolation,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69037] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_AMP,
    ACTIONS(4242), 1,
      anon_sym_RPAREN,
    STATE(1481), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2061), 1,
      sym_text_interpolation,
  [69056] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2062), 1,
      sym_text_interpolation,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69073] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69090] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1316), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2064), 1,
      sym_text_interpolation,
    ACTIONS(1314), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69107] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1312), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(1310), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69124] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1308), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2066), 1,
      sym_text_interpolation,
    ACTIONS(1306), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69141] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(4244), 1,
      anon_sym_EQ_GT,
    STATE(2067), 1,
      sym_text_interpolation,
    STATE(2605), 1,
      sym__return_type,
  [69160] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1272), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(1270), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69177] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2069), 1,
      sym_text_interpolation,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69194] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2070), 1,
      sym_text_interpolation,
    ACTIONS(4246), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [69209] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_COMMA,
    ACTIONS(4250), 1,
      anon_sym_RPAREN,
    STATE(2071), 1,
      sym_text_interpolation,
    STATE(2171), 1,
      aux_sym_array_creation_expression_repeat1,
  [69228] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1248), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(1246), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69245] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2073), 1,
      sym_text_interpolation,
    ACTIONS(4252), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [69260] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(1178), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69277] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1300), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1298), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69294] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1340), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2076), 1,
      sym_text_interpolation,
    ACTIONS(1338), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69311] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2077), 1,
      sym_text_interpolation,
    ACTIONS(1342), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69328] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2078), 1,
      sym_text_interpolation,
    ACTIONS(4254), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69343] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_RPAREN,
    STATE(2079), 1,
      sym_text_interpolation,
    STATE(2199), 1,
      aux_sym__list_destructing_repeat1,
  [69362] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2080), 1,
      sym_text_interpolation,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69379] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1682), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2081), 1,
      sym_text_interpolation,
    STATE(2190), 1,
      aux_sym__list_destructing_repeat1,
  [69398] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1682), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2082), 1,
      sym_text_interpolation,
    STATE(2199), 1,
      aux_sym__list_destructing_repeat1,
  [69417] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2083), 1,
      sym_text_interpolation,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69434] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    ACTIONS(4258), 1,
      anon_sym_RBRACK,
    STATE(2084), 1,
      sym_text_interpolation,
    STATE(2086), 1,
      aux_sym__array_destructing_repeat1,
  [69453] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(845), 1,
      anon_sym_RBRACK,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    STATE(2085), 1,
      sym_text_interpolation,
    STATE(2206), 1,
      aux_sym_array_creation_expression_repeat1,
  [69472] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_COMMA,
    ACTIONS(4265), 1,
      anon_sym_RBRACK,
    STATE(2086), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [69489] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3138), 1,
      anon_sym_RBRACK,
    ACTIONS(4267), 1,
      anon_sym_COMMA,
    STATE(1950), 1,
      aux_sym_attribute_group_repeat1,
    STATE(2087), 1,
      sym_text_interpolation,
  [69508] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69525] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2089), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69542] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69559] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1304), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2091), 1,
      sym_text_interpolation,
    ACTIONS(1302), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69576] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1228), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2092), 1,
      sym_text_interpolation,
    ACTIONS(1226), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69593] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2093), 1,
      sym_text_interpolation,
    ACTIONS(4269), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69608] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2094), 1,
      sym_text_interpolation,
    ACTIONS(4271), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [69623] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2445), 1,
      anon_sym_COLON,
    ACTIONS(4273), 1,
      anon_sym_LPAREN,
    STATE(2095), 1,
      sym_text_interpolation,
    STATE(2444), 1,
      sym_parenthesized_expression,
  [69642] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_COMMA,
    ACTIONS(4277), 1,
      anon_sym_RPAREN,
    STATE(2096), 1,
      sym_text_interpolation,
    STATE(2215), 1,
      aux_sym_arguments_repeat1,
  [69661] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(4279), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [69676] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(4281), 1,
      anon_sym_EQ_GT,
    STATE(2098), 1,
      sym_text_interpolation,
    STATE(2705), 1,
      sym__return_type,
  [69695] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69712] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69729] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_RPAREN,
    STATE(2101), 1,
      sym_text_interpolation,
    STATE(2199), 1,
      aux_sym__list_destructing_repeat1,
  [69748] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69765] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2103), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69782] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(4285), 1,
      anon_sym_EQ_GT,
    STATE(2104), 1,
      sym_text_interpolation,
    STATE(2696), 1,
      sym__return_type,
  [69801] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_EQ,
    STATE(2105), 1,
      sym_text_interpolation,
    ACTIONS(4287), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69818] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2106), 1,
      sym_text_interpolation,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69835] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(1402), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69852] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_COMMA,
    ACTIONS(4294), 1,
      anon_sym_RPAREN,
    STATE(2108), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [69869] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1448), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(1446), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69886] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(3906), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69901] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69918] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3997), 1,
      sym_nowdoc_string,
    ACTIONS(4296), 1,
      anon_sym_,
    STATE(1864), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2112), 1,
      sym_text_interpolation,
  [69937] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(3864), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69952] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69969] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2115), 1,
      sym_text_interpolation,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69986] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2116), 1,
      sym_text_interpolation,
    ACTIONS(4298), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70001] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2117), 1,
      sym_text_interpolation,
    ACTIONS(4300), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70016] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3210), 1,
      anon_sym_RPAREN,
    STATE(2079), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2118), 1,
      sym_text_interpolation,
  [70035] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_RPAREN,
    STATE(2101), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2119), 1,
      sym_text_interpolation,
  [70054] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_name,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    STATE(2120), 1,
      sym_text_interpolation,
    STATE(2259), 1,
      sym_namespace_use_group,
  [70073] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    ACTIONS(4304), 1,
      sym_name,
    STATE(2121), 1,
      sym_text_interpolation,
    STATE(2259), 1,
      sym_namespace_use_group,
  [70092] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2122), 1,
      sym_text_interpolation,
    ACTIONS(4306), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70107] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2123), 1,
      sym_text_interpolation,
    ACTIONS(3880), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70122] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1196), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2124), 1,
      sym_text_interpolation,
    ACTIONS(1194), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70139] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1522), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2125), 1,
      sym_text_interpolation,
    ACTIONS(1520), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70156] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70173] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_EQ,
    STATE(2127), 1,
      sym_text_interpolation,
    ACTIONS(4308), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70190] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_EQ,
    STATE(2128), 1,
      sym_text_interpolation,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70207] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    ACTIONS(4316), 1,
      anon_sym_COMMA,
    STATE(2129), 1,
      sym_text_interpolation,
    STATE(2193), 1,
      aux_sym_formal_parameters_repeat1,
  [70226] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(949), 1,
      anon_sym_EQ_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_COMMA,
    STATE(2055), 1,
      aux_sym_match_condition_list_repeat1,
    STATE(2130), 1,
      sym_text_interpolation,
  [70245] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(4320), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2131), 1,
      sym_text_interpolation,
    STATE(2188), 1,
      sym_variable_name,
  [70264] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(860), 1,
      anon_sym_RBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_COMMA,
    STATE(2054), 1,
      aux_sym_match_block_repeat1,
    STATE(2132), 1,
      sym_text_interpolation,
  [70283] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_EQ,
    STATE(2133), 1,
      sym_text_interpolation,
    ACTIONS(4324), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70300] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(4328), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2134), 1,
      sym_text_interpolation,
    STATE(2185), 1,
      sym_variable_name,
  [70319] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
    STATE(2135), 1,
      sym_text_interpolation,
    STATE(2548), 1,
      sym_variable_name,
  [70338] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1542), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2136), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70355] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2137), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70372] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    ACTIONS(4304), 1,
      sym_name,
    STATE(2138), 1,
      sym_text_interpolation,
    STATE(2484), 1,
      sym_namespace_use_group,
  [70391] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_EQ,
    STATE(2139), 1,
      sym_text_interpolation,
    ACTIONS(4332), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70408] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2140), 1,
      sym_text_interpolation,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70425] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_COMMA,
    ACTIONS(4338), 1,
      anon_sym_RPAREN,
    STATE(1982), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(2141), 1,
      sym_text_interpolation,
  [70444] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2142), 1,
      sym_text_interpolation,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70461] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(3817), 1,
      anon_sym_LBRACE,
    STATE(2143), 1,
      sym_text_interpolation,
    STATE(2618), 1,
      sym__return_type,
  [70480] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70497] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_COMMA,
    ACTIONS(4340), 1,
      anon_sym_RPAREN,
    STATE(2145), 1,
      sym_text_interpolation,
    STATE(2153), 1,
      aux_sym_unset_statement_repeat1,
  [70516] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2146), 1,
      sym_text_interpolation,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70533] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4342), 1,
      anon_sym_COMMA,
    ACTIONS(4344), 1,
      anon_sym_RPAREN,
    STATE(2147), 1,
      sym_text_interpolation,
    STATE(2157), 1,
      aux_sym_arguments_repeat1,
  [70552] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1356), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2148), 1,
      sym_text_interpolation,
    ACTIONS(1354), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70569] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(4346), 1,
      anon_sym_RPAREN,
    STATE(2149), 1,
      sym_text_interpolation,
    STATE(2563), 1,
      sym_variable_name,
  [70588] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2150), 1,
      sym_text_interpolation,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70605] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1296), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2151), 1,
      sym_text_interpolation,
    ACTIONS(1294), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70622] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    ACTIONS(4304), 1,
      sym_name,
    STATE(2152), 1,
      sym_text_interpolation,
    STATE(2384), 1,
      sym_namespace_use_group,
  [70641] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_RPAREN,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    STATE(2153), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [70658] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_name,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    STATE(2154), 1,
      sym_text_interpolation,
    STATE(2384), 1,
      sym_namespace_use_group,
  [70677] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1224), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2155), 1,
      sym_text_interpolation,
    ACTIONS(1222), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70694] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_LBRACE,
    STATE(1912), 1,
      aux_sym_base_clause_repeat1,
    STATE(2156), 1,
      sym_text_interpolation,
  [70713] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4353), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_arguments_repeat1,
    STATE(2157), 1,
      sym_text_interpolation,
  [70732] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1216), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2158), 1,
      sym_text_interpolation,
    ACTIONS(1214), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70749] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2159), 1,
      sym_text_interpolation,
    ACTIONS(3885), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70764] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2160), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70781] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2161), 1,
      sym_text_interpolation,
    ACTIONS(3351), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70796] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2162), 1,
      sym_text_interpolation,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70813] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2163), 1,
      sym_text_interpolation,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70830] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(4355), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70845] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2165), 1,
      sym_text_interpolation,
    ACTIONS(2777), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [70860] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1699), 1,
      sym_variable_name,
    STATE(1916), 1,
      sym_property_element,
    STATE(2166), 1,
      sym_text_interpolation,
  [70879] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1184), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2167), 1,
      sym_text_interpolation,
    ACTIONS(1182), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70896] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_name,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    STATE(2168), 1,
      sym_text_interpolation,
    STATE(2297), 1,
      sym_namespace_use_group,
  [70915] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_COMMA,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    STATE(2156), 1,
      aux_sym_base_clause_repeat1,
    STATE(2169), 1,
      sym_text_interpolation,
  [70934] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2170), 1,
      sym_text_interpolation,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70951] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(823), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_COMMA,
    STATE(1970), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2171), 1,
      sym_text_interpolation,
  [70970] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_COMMA,
    ACTIONS(4359), 1,
      anon_sym_RPAREN,
    STATE(2153), 1,
      aux_sym_unset_statement_repeat1,
    STATE(2172), 1,
      sym_text_interpolation,
  [70989] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4361), 1,
      anon_sym_COMMA,
    ACTIONS(4363), 1,
      anon_sym_RPAREN,
    STATE(1966), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2173), 1,
      sym_text_interpolation,
  [71008] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4365), 1,
      sym_name,
    STATE(2174), 1,
      sym_text_interpolation,
    ACTIONS(4367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71025] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_SQUOTE,
    ACTIONS(4371), 1,
      anon_sym_DQUOTE,
    ACTIONS(4373), 1,
      sym_heredoc_start,
    STATE(2175), 1,
      sym_text_interpolation,
  [71044] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4377), 1,
      aux_sym_else_clause_token1,
    STATE(2176), 1,
      sym_text_interpolation,
    ACTIONS(4375), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [71061] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_EQ,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71078] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(316), 1,
      anon_sym_DOLLAR,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2178), 1,
      sym_text_interpolation,
    STATE(1871), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [71095] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_COMMA,
    ACTIONS(4385), 1,
      anon_sym_RBRACE,
    STATE(2132), 1,
      aux_sym_match_block_repeat1,
    STATE(2179), 1,
      sym_text_interpolation,
  [71114] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2180), 1,
      sym_text_interpolation,
    ACTIONS(3933), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [71129] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(4387), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1975), 1,
      sym_variable_name,
    STATE(2181), 1,
      sym_text_interpolation,
  [71148] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(797), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4389), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_arguments_repeat1,
    STATE(2182), 1,
      sym_text_interpolation,
  [71167] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    STATE(2183), 1,
      sym_text_interpolation,
    ACTIONS(4391), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71184] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2184), 1,
      sym_text_interpolation,
    ACTIONS(4395), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71199] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_EQ,
    STATE(2185), 1,
      sym_text_interpolation,
    ACTIONS(4397), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71216] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_COMMA,
    ACTIONS(4403), 1,
      anon_sym_RPAREN,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
    STATE(2186), 1,
      sym_text_interpolation,
  [71235] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_EQ,
    STATE(2187), 1,
      sym_text_interpolation,
    ACTIONS(4405), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71252] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4409), 1,
      anon_sym_EQ,
    STATE(2188), 1,
      sym_text_interpolation,
    ACTIONS(4407), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71269] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2189), 1,
      sym_text_interpolation,
    ACTIONS(4411), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71284] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_RPAREN,
    STATE(2190), 1,
      sym_text_interpolation,
    STATE(2199), 1,
      aux_sym__list_destructing_repeat1,
  [71303] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2191), 1,
      sym_text_interpolation,
    ACTIONS(4415), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71318] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_COMMA,
    ACTIONS(4419), 1,
      anon_sym_RPAREN,
    STATE(2192), 1,
      sym_text_interpolation,
    STATE(2198), 1,
      aux_sym_arguments_repeat1,
  [71337] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_COMMA,
    ACTIONS(4424), 1,
      anon_sym_RPAREN,
    STATE(2193), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [71354] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      sym_text_interpolation,
    STATE(2199), 1,
      aux_sym__list_destructing_repeat1,
  [71373] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4428), 1,
      anon_sym_COMMA,
    ACTIONS(4431), 1,
      anon_sym_RBRACE,
    STATE(2195), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_group_repeat1,
  [71390] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    STATE(2196), 1,
      sym_text_interpolation,
    ACTIONS(4433), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71407] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4439), 1,
      anon_sym_EQ,
    STATE(2197), 1,
      sym_text_interpolation,
    ACTIONS(4437), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71424] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(783), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4441), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_arguments_repeat1,
    STATE(2198), 1,
      sym_text_interpolation,
  [71443] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1693), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4443), 1,
      anon_sym_COMMA,
    STATE(2199), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [71460] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(793), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_arguments_repeat1,
    STATE(2200), 1,
      sym_text_interpolation,
  [71479] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_COMMA,
    ACTIONS(4448), 1,
      anon_sym_RBRACE,
    STATE(2004), 1,
      aux_sym_namespace_use_group_repeat1,
    STATE(2201), 1,
      sym_text_interpolation,
  [71498] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_EQ,
    STATE(2202), 1,
      sym_text_interpolation,
    ACTIONS(4450), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71515] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_COMMA,
    ACTIONS(4454), 1,
      anon_sym_RPAREN,
    STATE(2200), 1,
      aux_sym_arguments_repeat1,
    STATE(2203), 1,
      sym_text_interpolation,
  [71534] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2204), 1,
      sym_text_interpolation,
    ACTIONS(4116), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [71549] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_LBRACE,
    ACTIONS(4304), 1,
      sym_name,
    STATE(2205), 1,
      sym_text_interpolation,
    STATE(2366), 1,
      sym_namespace_use_group,
  [71568] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_RBRACK,
    ACTIONS(4456), 1,
      anon_sym_COMMA,
    STATE(2206), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [71585] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(4459), 1,
      anon_sym_EQ_GT,
    STATE(2207), 1,
      sym_text_interpolation,
    STATE(2550), 1,
      sym__return_type,
  [71604] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(4461), 1,
      anon_sym_EQ_GT,
    STATE(2208), 1,
      sym_text_interpolation,
    STATE(2493), 1,
      sym__return_type,
  [71623] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_COMMA,
    ACTIONS(4466), 1,
      anon_sym_RPAREN,
    STATE(2209), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [71640] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    ACTIONS(4470), 1,
      anon_sym_RPAREN,
    STATE(2210), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_arguments_repeat1,
  [71659] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(819), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_arguments_repeat1,
    STATE(2211), 1,
      sym_text_interpolation,
  [71678] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2212), 1,
      sym_text_interpolation,
    ACTIONS(4474), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [71693] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2213), 1,
      sym_text_interpolation,
    ACTIONS(3922), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [71708] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(4476), 1,
      anon_sym_EQ_GT,
    STATE(2214), 1,
      sym_text_interpolation,
    STATE(2599), 1,
      sym__return_type,
  [71727] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(801), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_arguments_repeat1,
    STATE(2215), 1,
      sym_text_interpolation,
  [71746] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_COMMA,
    ACTIONS(4482), 1,
      anon_sym_RPAREN,
    STATE(2216), 1,
      sym_text_interpolation,
    STATE(2219), 1,
      aux_sym_arguments_repeat1,
  [71765] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4162), 1,
      sym__new_line,
    ACTIONS(4484), 1,
      sym_heredoc_end,
    STATE(2217), 1,
      sym_text_interpolation,
    STATE(2415), 1,
      sym_heredoc_body,
  [71784] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4158), 1,
      sym__new_line,
    ACTIONS(4486), 1,
      sym_heredoc_end,
    STATE(2218), 1,
      sym_text_interpolation,
    STATE(2414), 1,
      sym_nowdoc_body,
  [71803] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(795), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_arguments_repeat1,
    STATE(2219), 1,
      sym_text_interpolation,
  [71822] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2150), 1,
      sym_compound_statement,
    STATE(2220), 1,
      sym_text_interpolation,
  [71838] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2221), 1,
      sym_text_interpolation,
    ACTIONS(4490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71852] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2222), 1,
      sym_text_interpolation,
    ACTIONS(4492), 2,
      anon_sym_string,
      anon_sym_int,
  [71866] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2223), 1,
      sym_text_interpolation,
    ACTIONS(4494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71880] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1069), 1,
      sym_compound_statement,
    STATE(2224), 1,
      sym_text_interpolation,
  [71896] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2225), 1,
      sym_text_interpolation,
    ACTIONS(4496), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71910] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(2038), 1,
      sym_formal_parameters,
    STATE(2226), 1,
      sym_text_interpolation,
  [71926] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2227), 1,
      sym_text_interpolation,
    ACTIONS(4498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71940] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1681), 1,
      sym_formal_parameters,
    STATE(2228), 1,
      sym_text_interpolation,
  [71956] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(4500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71970] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(964), 1,
      sym_compound_statement,
    STATE(2230), 1,
      sym_text_interpolation,
  [71986] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(459), 1,
      ts_builtin_sym_end,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4502), 1,
      sym_php_tag,
    STATE(2231), 1,
      sym_text_interpolation,
  [72002] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2232), 1,
      sym_text_interpolation,
    ACTIONS(4466), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72016] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_compound_statement,
    STATE(2233), 1,
      sym_text_interpolation,
  [72032] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2234), 1,
      sym_text_interpolation,
    ACTIONS(4506), 2,
      sym__eof,
      sym_php_tag,
  [72046] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2235), 1,
      sym_text_interpolation,
    ACTIONS(489), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72060] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(437), 1,
      sym_declaration_list,
    STATE(2236), 1,
      sym_text_interpolation,
  [72076] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(2090), 1,
      sym_declaration_list,
    STATE(2237), 1,
      sym_text_interpolation,
  [72092] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2238), 1,
      sym_text_interpolation,
    ACTIONS(2529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72106] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(2088), 1,
      sym_enum_declaration_list,
    STATE(2239), 1,
      sym_text_interpolation,
  [72122] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2240), 1,
      sym_text_interpolation,
    ACTIONS(2527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72136] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4508), 1,
      sym_name,
    STATE(2241), 1,
      sym_text_interpolation,
    STATE(2595), 1,
      sym_namespace_name,
  [72152] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2242), 1,
      sym_text_interpolation,
    ACTIONS(4511), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [72166] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(2243), 1,
      sym_text_interpolation,
  [72182] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4508), 1,
      sym_name,
    STATE(2244), 1,
      sym_text_interpolation,
    STATE(2630), 1,
      sym_namespace_name,
  [72198] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1723), 1,
      sym_declaration_list,
    STATE(2245), 1,
      sym_text_interpolation,
  [72214] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4508), 1,
      sym_name,
    STATE(2246), 1,
      sym_text_interpolation,
    STATE(2622), 1,
      sym_namespace_name,
  [72230] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1682), 1,
      sym_formal_parameters,
    STATE(2247), 1,
      sym_text_interpolation,
  [72246] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1708), 1,
      sym_compound_statement,
    STATE(2248), 1,
      sym_text_interpolation,
  [72262] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(51), 1,
      sym_parenthesized_expression,
    STATE(2249), 1,
      sym_text_interpolation,
  [72278] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2250), 1,
      sym_text_interpolation,
    ACTIONS(4515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72292] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2251), 1,
      sym_text_interpolation,
    ACTIONS(4093), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72306] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
    STATE(2252), 1,
      sym_text_interpolation,
  [72322] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_LPAREN,
    STATE(2253), 1,
      sym_text_interpolation,
    STATE(2370), 1,
      sym_parenthesized_expression,
  [72338] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2254), 1,
      sym_text_interpolation,
    ACTIONS(4517), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [72352] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1106), 1,
      sym_compound_statement,
    STATE(2255), 1,
      sym_text_interpolation,
  [72368] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2671), 1,
      anon_sym_RPAREN,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    STATE(2256), 1,
      sym_text_interpolation,
  [72384] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2257), 1,
      sym_text_interpolation,
    ACTIONS(4521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72398] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_LPAREN,
    STATE(2022), 1,
      sym_parenthesized_expression,
    STATE(2258), 1,
      sym_text_interpolation,
  [72414] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2259), 1,
      sym_text_interpolation,
    ACTIONS(4524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72428] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4526), 1,
      sym_name,
    STATE(1906), 1,
      sym_namespace_name,
    STATE(2260), 1,
      sym_text_interpolation,
  [72444] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2261), 1,
      sym_text_interpolation,
    ACTIONS(4528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72458] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2262), 1,
      sym_text_interpolation,
    ACTIONS(4530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72472] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1119), 1,
      sym_compound_statement,
    STATE(2263), 1,
      sym_text_interpolation,
  [72488] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2264), 1,
      sym_text_interpolation,
    ACTIONS(4424), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72502] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1720), 1,
      sym_compound_statement,
    STATE(2265), 1,
      sym_text_interpolation,
  [72518] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_declaration_list,
    STATE(2266), 1,
      sym_text_interpolation,
  [72534] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(969), 1,
      sym_declaration_list,
    STATE(2267), 1,
      sym_text_interpolation,
  [72550] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2268), 1,
      sym_text_interpolation,
    ACTIONS(4532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72564] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2269), 1,
      sym_text_interpolation,
    ACTIONS(1693), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72578] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2270), 1,
      sym_text_interpolation,
    STATE(2315), 1,
      sym_variable_name,
  [72594] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1050), 1,
      sym_declaration_list,
    STATE(2271), 1,
      sym_text_interpolation,
  [72610] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(220), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(510), 1,
      sym_compound_statement,
    STATE(2272), 1,
      sym_text_interpolation,
  [72626] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2273), 1,
      sym_text_interpolation,
    ACTIONS(4534), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72640] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2274), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      sym_variable_name,
  [72656] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(1978), 1,
      sym_variable_name,
    STATE(2275), 1,
      sym_text_interpolation,
  [72672] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2276), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      sym_variable_name,
  [72688] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_declaration_list,
    STATE(2277), 1,
      sym_text_interpolation,
  [72704] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1093), 1,
      sym_compound_statement,
    STATE(2278), 1,
      sym_text_interpolation,
  [72720] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2279), 1,
      sym_text_interpolation,
    ACTIONS(3503), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72734] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_declaration_list,
    STATE(2280), 1,
      sym_text_interpolation,
  [72750] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2281), 1,
      sym_text_interpolation,
    ACTIONS(3955), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [72764] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2282), 1,
      sym_text_interpolation,
    ACTIONS(4536), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [72778] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2283), 1,
      sym_text_interpolation,
    ACTIONS(4538), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [72792] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2284), 1,
      sym_text_interpolation,
    ACTIONS(4540), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [72806] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2285), 1,
      sym_text_interpolation,
    ACTIONS(4542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72820] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2286), 1,
      sym_text_interpolation,
    ACTIONS(4544), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72834] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    STATE(2287), 1,
      sym_text_interpolation,
  [72850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym__new_line,
    ACTIONS(4548), 1,
      sym_heredoc_end,
    STATE(2288), 1,
      sym_text_interpolation,
  [72866] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2289), 1,
      sym_text_interpolation,
    ACTIONS(4550), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72880] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2290), 1,
      sym_text_interpolation,
    ACTIONS(449), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72894] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2291), 1,
      sym_text_interpolation,
    ACTIONS(4552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72908] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2225), 1,
      sym_variable_name,
    STATE(2292), 1,
      sym_text_interpolation,
  [72924] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2293), 1,
      sym_text_interpolation,
    ACTIONS(4554), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72938] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2294), 1,
      sym_text_interpolation,
    ACTIONS(4367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72952] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(967), 1,
      sym_compound_statement,
    STATE(2295), 1,
      sym_text_interpolation,
  [72968] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4556), 1,
      sym_name,
    STATE(2296), 1,
      sym_text_interpolation,
    STATE(2529), 1,
      sym_namespace_name,
  [72984] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2297), 1,
      sym_text_interpolation,
    ACTIONS(4082), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72998] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(951), 1,
      sym_compound_statement,
    STATE(2298), 1,
      sym_text_interpolation,
  [73014] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(949), 1,
      sym_compound_statement,
    STATE(2299), 1,
      sym_text_interpolation,
  [73030] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2300), 1,
      sym_text_interpolation,
    ACTIONS(4431), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73044] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2105), 1,
      sym_variable_name,
    STATE(2301), 1,
      sym_text_interpolation,
  [73060] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(371), 1,
      anon_sym_COLON,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2302), 1,
      sym_text_interpolation,
    STATE(2559), 1,
      sym_colon_block,
  [73076] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1704), 1,
      sym_compound_statement,
    STATE(2303), 1,
      sym_text_interpolation,
  [73092] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2304), 1,
      sym_text_interpolation,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73106] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(55), 1,
      sym_parenthesized_expression,
    STATE(2305), 1,
      sym_text_interpolation,
  [73122] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_LPAREN,
    STATE(2306), 1,
      sym_text_interpolation,
    STATE(2444), 1,
      sym_parenthesized_expression,
  [73138] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_LPAREN,
    STATE(2051), 1,
      sym_parenthesized_expression,
    STATE(2307), 1,
      sym_text_interpolation,
  [73154] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_LPAREN,
    STATE(2308), 1,
      sym_text_interpolation,
    STATE(2378), 1,
      sym_parenthesized_expression,
  [73170] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2823), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4561), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2309), 1,
      sym_text_interpolation,
  [73186] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1700), 1,
      sym_declaration_list,
    STATE(2310), 1,
      sym_text_interpolation,
  [73202] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1136), 1,
      sym_compound_statement,
    STATE(2311), 1,
      sym_text_interpolation,
  [73218] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2312), 1,
      sym_text_interpolation,
    ACTIONS(4563), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73232] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2313), 1,
      sym_text_interpolation,
    ACTIONS(4565), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73246] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(80), 1,
      sym_parenthesized_expression,
    STATE(2314), 1,
      sym_text_interpolation,
  [73262] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2315), 1,
      sym_text_interpolation,
    ACTIONS(4567), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73276] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2316), 1,
      sym_text_interpolation,
    ACTIONS(4569), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73290] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2317), 1,
      sym_text_interpolation,
    ACTIONS(4571), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73304] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_declaration_list,
    STATE(2318), 1,
      sym_text_interpolation,
  [73320] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2289), 1,
      sym_variable_name,
    STATE(2319), 1,
      sym_text_interpolation,
  [73336] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2320), 1,
      sym_text_interpolation,
    ACTIONS(4573), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73350] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2321), 1,
      sym_text_interpolation,
    ACTIONS(4575), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73364] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2322), 1,
      sym_text_interpolation,
    ACTIONS(2457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73378] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2323), 1,
      sym_text_interpolation,
    ACTIONS(4577), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73392] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1656), 1,
      sym_formal_parameters,
    STATE(2324), 1,
      sym_text_interpolation,
  [73408] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(17), 1,
      sym_parenthesized_expression,
    STATE(2325), 1,
      sym_text_interpolation,
  [73424] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4508), 1,
      sym_name,
    STATE(2326), 1,
      sym_text_interpolation,
    STATE(2524), 1,
      sym_namespace_name,
  [73440] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1715), 1,
      sym_declaration_list,
    STATE(2327), 1,
      sym_text_interpolation,
  [73456] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2328), 1,
      sym_text_interpolation,
    ACTIONS(4579), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73470] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_parenthesized_expression,
    STATE(2329), 1,
      sym_text_interpolation,
  [73486] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(2058), 1,
      sym_formal_parameters,
    STATE(2330), 1,
      sym_text_interpolation,
  [73502] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1621), 1,
      sym_formal_parameters,
    STATE(2331), 1,
      sym_text_interpolation,
  [73518] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_declaration_list,
    STATE(2332), 1,
      sym_text_interpolation,
  [73534] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2333), 1,
      sym_text_interpolation,
    ACTIONS(4581), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73548] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2334), 1,
      sym_text_interpolation,
    ACTIONS(4583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73562] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2335), 1,
      sym_text_interpolation,
    ACTIONS(4585), 2,
      anon_sym_string,
      anon_sym_int,
  [73576] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_declaration_list,
    STATE(2336), 1,
      sym_text_interpolation,
  [73592] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2337), 1,
      sym_text_interpolation,
    ACTIONS(4587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73606] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_parenthesized_expression,
    STATE(2338), 1,
      sym_text_interpolation,
  [73622] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2339), 1,
      sym_text_interpolation,
    ACTIONS(3527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73636] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
    STATE(2340), 1,
      sym_text_interpolation,
  [73652] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(947), 1,
      sym_declaration_list,
    STATE(2341), 1,
      sym_text_interpolation,
  [73668] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4589), 1,
      anon_sym_LPAREN,
    STATE(2328), 1,
      sym_parenthesized_expression,
    STATE(2342), 1,
      sym_text_interpolation,
  [73684] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_BSLASH,
    STATE(2343), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      aux_sym_namespace_name_repeat1,
  [73700] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_enum_declaration_list,
    STATE(2344), 1,
      sym_text_interpolation,
  [73716] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4031), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_declaration_list,
    STATE(2345), 1,
      sym_text_interpolation,
  [73732] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1114), 1,
      sym_compound_statement,
    STATE(2346), 1,
      sym_text_interpolation,
  [73748] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_declaration_list,
    STATE(2347), 1,
      sym_text_interpolation,
  [73764] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    STATE(562), 1,
      sym_enum_declaration_list,
    STATE(2348), 1,
      sym_text_interpolation,
  [73780] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(2067), 1,
      sym_formal_parameters,
    STATE(2349), 1,
      sym_text_interpolation,
  [73796] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2350), 1,
      sym_text_interpolation,
    ACTIONS(2469), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [73810] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2170), 1,
      sym_compound_statement,
    STATE(2351), 1,
      sym_text_interpolation,
  [73826] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_enum_declaration_list,
    STATE(2352), 1,
      sym_text_interpolation,
  [73842] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1115), 1,
      sym_compound_statement,
    STATE(2353), 1,
      sym_text_interpolation,
  [73858] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1118), 1,
      sym_compound_statement,
    STATE(2354), 1,
      sym_text_interpolation,
  [73874] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4591), 1,
      anon_sym_LPAREN,
    ACTIONS(4593), 1,
      anon_sym_RPAREN,
    STATE(2355), 1,
      sym_text_interpolation,
  [73890] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4595), 1,
      anon_sym_LPAREN,
    STATE(1771), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym_text_interpolation,
  [73906] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2357), 1,
      sym_text_interpolation,
    ACTIONS(4597), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73920] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1125), 1,
      sym_compound_statement,
    STATE(2358), 1,
      sym_text_interpolation,
  [73936] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2359), 1,
      sym_text_interpolation,
    ACTIONS(4271), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [73950] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2360), 1,
      sym_text_interpolation,
    ACTIONS(4033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73964] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_declaration_list,
    STATE(2361), 1,
      sym_text_interpolation,
  [73980] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2362), 1,
      sym_text_interpolation,
    ACTIONS(4599), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73994] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2363), 1,
      sym_text_interpolation,
    ACTIONS(2469), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74008] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1654), 1,
      sym_formal_parameters,
    STATE(2364), 1,
      sym_text_interpolation,
  [74024] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2365), 1,
      sym_text_interpolation,
    ACTIONS(4601), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74038] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2366), 1,
      sym_text_interpolation,
    ACTIONS(4603), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74052] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1129), 1,
      sym_compound_statement,
    STATE(2367), 1,
      sym_text_interpolation,
  [74068] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2368), 1,
      sym_text_interpolation,
    ACTIONS(4605), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74082] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(941), 1,
      sym_compound_statement,
    STATE(2369), 1,
      sym_text_interpolation,
  [74098] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4607), 1,
      anon_sym_LBRACE,
    STATE(1040), 1,
      sym_match_block,
    STATE(2370), 1,
      sym_text_interpolation,
  [74114] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_compound_statement,
    STATE(2371), 1,
      sym_text_interpolation,
  [74130] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1951), 1,
      sym_enum_declaration_list,
    STATE(2372), 1,
      sym_text_interpolation,
  [74146] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1780), 1,
      sym_declaration_list,
    STATE(2373), 1,
      sym_text_interpolation,
  [74162] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1668), 1,
      sym_formal_parameters,
    STATE(2374), 1,
      sym_text_interpolation,
  [74178] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2375), 1,
      sym_text_interpolation,
    ACTIONS(4609), 2,
      anon_sym_string,
      anon_sym_int,
  [74192] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2376), 1,
      sym_text_interpolation,
    ACTIONS(4611), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74206] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_RPAREN,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    STATE(2377), 1,
      sym_text_interpolation,
  [74222] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(501), 1,
      anon_sym_COLON,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2029), 1,
      sym_colon_block,
    STATE(2378), 1,
      sym_text_interpolation,
  [74238] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(930), 1,
      sym_compound_statement,
    STATE(2379), 1,
      sym_text_interpolation,
  [74254] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2380), 1,
      sym_text_interpolation,
    ACTIONS(4614), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74268] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      sym__automatic_semicolon,
    STATE(2381), 1,
      sym_text_interpolation,
  [74284] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(928), 1,
      sym_compound_statement,
    STATE(2382), 1,
      sym_text_interpolation,
  [74300] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2273), 1,
      sym_variable_name,
    STATE(2383), 1,
      sym_text_interpolation,
  [74316] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2384), 1,
      sym_text_interpolation,
    ACTIONS(4620), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74330] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1120), 1,
      sym_compound_statement,
    STATE(2385), 1,
      sym_text_interpolation,
  [74346] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_RPAREN,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    STATE(2386), 1,
      sym_text_interpolation,
  [74362] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(925), 1,
      sym_compound_statement,
    STATE(2387), 1,
      sym_text_interpolation,
  [74378] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1957), 1,
      sym_enum_declaration_list,
    STATE(2388), 1,
      sym_text_interpolation,
  [74394] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2268), 1,
      sym_variable_name,
    STATE(2389), 1,
      sym_text_interpolation,
  [74410] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_BSLASH,
    STATE(1770), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2390), 1,
      sym_text_interpolation,
  [74426] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2391), 1,
      sym_text_interpolation,
    ACTIONS(4625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74440] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2392), 1,
      sym_text_interpolation,
    ACTIONS(4627), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74454] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4629), 1,
      anon_sym_SEMI,
    ACTIONS(4631), 1,
      sym__automatic_semicolon,
    STATE(2393), 1,
      sym_text_interpolation,
  [74470] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2196), 1,
      sym_variable_name,
    STATE(2394), 1,
      sym_text_interpolation,
  [74486] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2395), 1,
      sym_text_interpolation,
    ACTIONS(4633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74500] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2262), 1,
      sym_variable_name,
    STATE(2396), 1,
      sym_text_interpolation,
  [74516] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2397), 1,
      sym_text_interpolation,
    ACTIONS(4635), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74530] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(220), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(524), 1,
      sym_compound_statement,
    STATE(2398), 1,
      sym_text_interpolation,
  [74546] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1641), 1,
      sym_formal_parameters,
    STATE(2399), 1,
      sym_text_interpolation,
  [74562] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4637), 1,
      anon_sym_SEMI,
    ACTIONS(4639), 1,
      sym__automatic_semicolon,
    STATE(2400), 1,
      sym_text_interpolation,
  [74578] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2401), 1,
      sym_text_interpolation,
    ACTIONS(3869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74592] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2402), 1,
      sym_text_interpolation,
    ACTIONS(4641), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74606] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(966), 1,
      sym_declaration_list,
    STATE(2403), 1,
      sym_text_interpolation,
  [74622] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2404), 1,
      sym_text_interpolation,
    ACTIONS(3995), 2,
      sym_heredoc_end,
      sym__new_line,
  [74636] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1086), 1,
      sym_declaration_list,
    STATE(2405), 1,
      sym_text_interpolation,
  [74652] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym_parenthesized_expression,
    STATE(2406), 1,
      sym_text_interpolation,
  [74668] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(1998), 1,
      sym_variable_name,
    STATE(2407), 1,
      sym_text_interpolation,
  [74684] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_declaration_list,
    STATE(2408), 1,
      sym_text_interpolation,
  [74700] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2409), 1,
      sym_text_interpolation,
    ACTIONS(4233), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74714] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4508), 1,
      sym_name,
    STATE(2410), 1,
      sym_text_interpolation,
    STATE(2530), 1,
      sym_namespace_name,
  [74730] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2411), 1,
      sym_text_interpolation,
    ACTIONS(4450), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74744] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2412), 1,
      sym_text_interpolation,
    ACTIONS(3359), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74758] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4643), 1,
      sym__new_line,
    ACTIONS(4645), 1,
      sym_heredoc_end,
    STATE(2413), 1,
      sym_text_interpolation,
  [74774] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4647), 1,
      sym__new_line,
    ACTIONS(4649), 1,
      sym_heredoc_end,
    STATE(2414), 1,
      sym_text_interpolation,
  [74790] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4651), 1,
      sym__new_line,
    ACTIONS(4653), 1,
      sym_heredoc_end,
    STATE(2415), 1,
      sym_text_interpolation,
  [74806] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1112), 1,
      sym_compound_statement,
    STATE(2416), 1,
      sym_text_interpolation,
  [74822] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2417), 1,
      sym_text_interpolation,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74836] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2418), 1,
      sym_text_interpolation,
    ACTIONS(2475), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4655), 1,
      sym__new_line,
    ACTIONS(4657), 1,
      sym_heredoc_end,
    STATE(2419), 1,
      sym_text_interpolation,
  [74866] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
    STATE(2420), 1,
      sym_text_interpolation,
  [74882] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_declaration_list,
    STATE(2421), 1,
      sym_text_interpolation,
  [74898] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(2208), 1,
      sym_formal_parameters,
    STATE(2422), 1,
      sym_text_interpolation,
  [74914] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
    STATE(2423), 1,
      sym_text_interpolation,
  [74930] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2424), 1,
      sym_text_interpolation,
    ACTIONS(2457), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [74944] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1763), 1,
      sym_declaration_list,
    STATE(2425), 1,
      sym_text_interpolation,
  [74960] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2426), 1,
      sym_text_interpolation,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74974] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4595), 1,
      anon_sym_LPAREN,
    STATE(1757), 1,
      sym_formal_parameters,
    STATE(2427), 1,
      sym_text_interpolation,
  [74990] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1102), 1,
      sym_compound_statement,
    STATE(2428), 1,
      sym_text_interpolation,
  [75006] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(2126), 1,
      sym_declaration_list,
    STATE(2429), 1,
      sym_text_interpolation,
  [75022] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(2214), 1,
      sym_formal_parameters,
    STATE(2430), 1,
      sym_text_interpolation,
  [75038] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1759), 1,
      sym_declaration_list,
    STATE(2431), 1,
      sym_text_interpolation,
  [75054] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2432), 1,
      sym_text_interpolation,
    ACTIONS(4306), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75068] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1105), 1,
      sym_compound_statement,
    STATE(2433), 1,
      sym_text_interpolation,
  [75084] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2434), 1,
      sym_text_interpolation,
    ACTIONS(2571), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75098] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2435), 1,
      sym_text_interpolation,
    ACTIONS(4659), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75112] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2436), 1,
      sym_text_interpolation,
    ACTIONS(4661), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75126] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2445), 1,
      anon_sym_COLON,
    ACTIONS(4591), 1,
      anon_sym_LPAREN,
    STATE(2437), 1,
      sym_text_interpolation,
  [75142] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2438), 1,
      sym_text_interpolation,
    ACTIONS(4663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75156] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2439), 1,
      sym_text_interpolation,
    ACTIONS(4665), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75170] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2440), 1,
      sym_text_interpolation,
    ACTIONS(477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75184] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(2397), 1,
      sym_variable_name,
    STATE(2441), 1,
      sym_text_interpolation,
  [75200] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1702), 1,
      sym_declaration_list,
    STATE(2442), 1,
      sym_text_interpolation,
  [75216] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(945), 1,
      sym_compound_statement,
    STATE(2443), 1,
      sym_text_interpolation,
  [75232] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_match_block,
    STATE(2444), 1,
      sym_text_interpolation,
  [75248] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(918), 1,
      sym_compound_statement,
    STATE(2445), 1,
      sym_text_interpolation,
  [75264] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4669), 1,
      sym__new_line,
    ACTIONS(4671), 1,
      sym_heredoc_end,
    STATE(2446), 1,
      sym_text_interpolation,
  [75280] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_declaration_list,
    STATE(2447), 1,
      sym_text_interpolation,
  [75296] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1108), 1,
      sym_compound_statement,
    STATE(2448), 1,
      sym_text_interpolation,
  [75312] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2449), 1,
      sym_text_interpolation,
    ACTIONS(471), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75326] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2450), 1,
      sym_text_interpolation,
    ACTIONS(4673), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75340] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1710), 1,
      sym_compound_statement,
    STATE(2451), 1,
      sym_text_interpolation,
  [75356] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2452), 1,
      sym_text_interpolation,
    ACTIONS(4675), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75370] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1714), 1,
      sym_declaration_list,
    STATE(2453), 1,
      sym_text_interpolation,
  [75386] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(914), 1,
      sym_compound_statement,
    STATE(2454), 1,
      sym_text_interpolation,
  [75402] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4589), 1,
      anon_sym_LPAREN,
    STATE(2316), 1,
      sym_parenthesized_expression,
    STATE(2455), 1,
      sym_text_interpolation,
  [75418] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2456), 1,
      sym_text_interpolation,
    ACTIONS(4265), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75432] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(932), 1,
      sym_compound_statement,
    STATE(2457), 1,
      sym_text_interpolation,
  [75448] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(2003), 1,
      sym_enum_declaration_list,
    STATE(2458), 1,
      sym_text_interpolation,
  [75464] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(926), 1,
      sym_compound_statement,
    STATE(2459), 1,
      sym_text_interpolation,
  [75480] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_declaration_list,
    STATE(2460), 1,
      sym_text_interpolation,
  [75496] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(923), 1,
      sym_compound_statement,
    STATE(2461), 1,
      sym_text_interpolation,
  [75512] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1123), 1,
      sym_declaration_list,
    STATE(2462), 1,
      sym_text_interpolation,
  [75528] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1718), 1,
      sym_declaration_list,
    STATE(2463), 1,
      sym_text_interpolation,
  [75544] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2464), 1,
      sym_text_interpolation,
    ACTIONS(4677), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75558] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(2143), 1,
      sym_formal_parameters,
    STATE(2465), 1,
      sym_text_interpolation,
  [75574] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(910), 1,
      sym_compound_statement,
    STATE(2466), 1,
      sym_text_interpolation,
  [75590] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(1066), 1,
      sym_compound_statement,
    STATE(2467), 1,
      sym_text_interpolation,
  [75606] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_declaration_list,
    STATE(2468), 1,
      sym_text_interpolation,
  [75622] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2469), 1,
      sym_text_interpolation,
    ACTIONS(3420), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75636] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2823), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4679), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2470), 1,
      sym_text_interpolation,
  [75652] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym_parenthesized_expression,
    STATE(2471), 1,
      sym_text_interpolation,
  [75668] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1744), 1,
      sym_declaration_list,
    STATE(2472), 1,
      sym_text_interpolation,
  [75684] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2473), 1,
      sym_text_interpolation,
    ACTIONS(4681), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75698] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    STATE(2474), 1,
      sym_text_interpolation,
  [75714] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1743), 1,
      sym_declaration_list,
    STATE(2475), 1,
      sym_text_interpolation,
  [75730] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2476), 1,
      sym_text_interpolation,
    ACTIONS(4683), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75744] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_compound_statement,
    STATE(2477), 1,
      sym_text_interpolation,
  [75760] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4031), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_declaration_list,
    STATE(2478), 1,
      sym_text_interpolation,
  [75776] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2479), 1,
      sym_text_interpolation,
    ACTIONS(4685), 2,
      anon_sym_string,
      anon_sym_int,
  [75790] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_enum_declaration_list,
    STATE(2480), 1,
      sym_text_interpolation,
  [75806] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4687), 1,
      anon_sym_SEMI,
    ACTIONS(4689), 1,
      sym__automatic_semicolon,
    STATE(2481), 1,
      sym_text_interpolation,
  [75822] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym_declaration_list,
    STATE(2482), 1,
      sym_text_interpolation,
  [75838] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(927), 1,
      sym_compound_statement,
    STATE(2483), 1,
      sym_text_interpolation,
  [75854] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2484), 1,
      sym_text_interpolation,
    ACTIONS(4691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75868] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(1732), 1,
      sym_compound_statement,
    STATE(2485), 1,
      sym_text_interpolation,
  [75884] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LPAREN,
    STATE(1632), 1,
      sym_formal_parameters,
    STATE(2486), 1,
      sym_text_interpolation,
  [75900] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_declaration_list,
    STATE(2487), 1,
      sym_text_interpolation,
  [75916] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2488), 1,
      sym_text_interpolation,
    ACTIONS(4693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75930] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4695), 1,
      anon_sym_EQ_GT,
    STATE(2489), 1,
      sym_text_interpolation,
  [75943] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4210), 1,
      aux_sym_class_declaration_token1,
    STATE(2490), 1,
      sym_text_interpolation,
  [75956] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    STATE(2491), 1,
      sym_text_interpolation,
  [75969] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4250), 1,
      anon_sym_RPAREN,
    STATE(2492), 1,
      sym_text_interpolation,
  [75982] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4699), 1,
      anon_sym_EQ_GT,
    STATE(2493), 1,
      sym_text_interpolation,
  [75995] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4701), 1,
      anon_sym_EQ,
    STATE(2494), 1,
      sym_text_interpolation,
  [76008] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4703), 1,
      anon_sym_RPAREN,
    STATE(2495), 1,
      sym_text_interpolation,
  [76021] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_LPAREN,
    STATE(2496), 1,
      sym_text_interpolation,
  [76034] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(891), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2497), 1,
      sym_text_interpolation,
  [76047] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4707), 1,
      aux_sym_while_statement_token2,
    STATE(2498), 1,
      sym_text_interpolation,
  [76060] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    STATE(2499), 1,
      sym_text_interpolation,
  [76073] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4709), 1,
      anon_sym_RPAREN,
    STATE(2500), 1,
      sym_text_interpolation,
  [76086] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4711), 1,
      anon_sym_COLON_COLON,
    STATE(2501), 1,
      sym_text_interpolation,
  [76099] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(877), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2502), 1,
      sym_text_interpolation,
  [76112] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4713), 1,
      anon_sym_EQ,
    STATE(2503), 1,
      sym_text_interpolation,
  [76125] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_RPAREN,
    STATE(2504), 1,
      sym_text_interpolation,
  [76138] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4717), 1,
      anon_sym_RPAREN,
    STATE(2505), 1,
      sym_text_interpolation,
  [76151] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4719), 1,
      anon_sym_EQ_GT,
    STATE(2506), 1,
      sym_text_interpolation,
  [76164] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym_SEMI,
    STATE(2507), 1,
      sym_text_interpolation,
  [76177] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4723), 1,
      sym_heredoc_end,
    STATE(2508), 1,
      sym_text_interpolation,
  [76190] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_LPAREN,
    STATE(2509), 1,
      sym_text_interpolation,
  [76203] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4727), 1,
      sym_heredoc_end,
    STATE(2510), 1,
      sym_text_interpolation,
  [76216] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_RPAREN,
    STATE(2511), 1,
      sym_text_interpolation,
  [76229] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_RBRACK,
    STATE(2512), 1,
      sym_text_interpolation,
  [76242] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4731), 1,
      anon_sym_RPAREN,
    STATE(2513), 1,
      sym_text_interpolation,
  [76255] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4733), 1,
      sym_name,
    STATE(2514), 1,
      sym_text_interpolation,
  [76268] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4735), 1,
      anon_sym_SQUOTE2,
    STATE(2515), 1,
      sym_text_interpolation,
  [76281] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4737), 1,
      anon_sym_DQUOTE2,
    STATE(2516), 1,
      sym_text_interpolation,
  [76294] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      sym_text_interpolation,
  [76307] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4739), 1,
      sym_name,
    STATE(2518), 1,
      sym_text_interpolation,
  [76320] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4228), 1,
      anon_sym_RPAREN,
    STATE(2519), 1,
      sym_text_interpolation,
  [76333] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_RBRACE,
    STATE(2520), 1,
      sym_text_interpolation,
  [76346] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4741), 1,
      sym_name,
    STATE(2521), 1,
      sym_text_interpolation,
  [76359] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4743), 1,
      aux_sym_class_declaration_token1,
    STATE(2522), 1,
      sym_text_interpolation,
  [76372] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4745), 1,
      sym_name,
    STATE(2523), 1,
      sym_text_interpolation,
  [76385] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_BSLASH,
    STATE(2524), 1,
      sym_text_interpolation,
  [76398] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4749), 1,
      anon_sym_BSLASH,
    STATE(2525), 1,
      sym_text_interpolation,
  [76411] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4751), 1,
      anon_sym_RBRACK,
    STATE(2526), 1,
      sym_text_interpolation,
  [76424] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4753), 1,
      sym_name,
    STATE(2527), 1,
      sym_text_interpolation,
  [76437] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4304), 1,
      sym_name,
    STATE(2528), 1,
      sym_text_interpolation,
  [76450] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4755), 1,
      anon_sym_BSLASH,
    STATE(2529), 1,
      sym_text_interpolation,
  [76463] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4757), 1,
      anon_sym_BSLASH,
    STATE(2530), 1,
      sym_text_interpolation,
  [76476] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym_name,
    STATE(2531), 1,
      sym_text_interpolation,
  [76489] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4759), 1,
      sym_name,
    STATE(2532), 1,
      sym_text_interpolation,
  [76502] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_COLON_COLON,
    STATE(2533), 1,
      sym_text_interpolation,
  [76515] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4763), 1,
      aux_sym_foreach_statement_token2,
    STATE(2534), 1,
      sym_text_interpolation,
  [76528] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4765), 1,
      anon_sym_RPAREN,
    STATE(2535), 1,
      sym_text_interpolation,
  [76541] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4767), 1,
      anon_sym_COLON_COLON,
    STATE(2536), 1,
      sym_text_interpolation,
  [76554] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4769), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2537), 1,
      sym_text_interpolation,
  [76567] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4771), 1,
      sym_name,
    STATE(2538), 1,
      sym_text_interpolation,
  [76580] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(885), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2539), 1,
      sym_text_interpolation,
  [76593] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    STATE(2540), 1,
      sym_text_interpolation,
  [76606] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4773), 1,
      sym_name,
    STATE(2541), 1,
      sym_text_interpolation,
  [76619] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4775), 1,
      sym_name,
    STATE(2542), 1,
      sym_text_interpolation,
  [76632] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4593), 1,
      anon_sym_RPAREN,
    STATE(2543), 1,
      sym_text_interpolation,
  [76645] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4777), 1,
      anon_sym_RPAREN,
    STATE(2544), 1,
      sym_text_interpolation,
  [76658] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4779), 1,
      aux_sym_class_declaration_token1,
    STATE(2545), 1,
      sym_text_interpolation,
  [76671] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4781), 1,
      sym_name,
    STATE(2546), 1,
      sym_text_interpolation,
  [76684] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4216), 1,
      sym_name,
    STATE(2547), 1,
      sym_text_interpolation,
  [76697] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4783), 1,
      anon_sym_RPAREN,
    STATE(2548), 1,
      sym_text_interpolation,
  [76710] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4785), 1,
      sym_name,
    STATE(2549), 1,
      sym_text_interpolation,
  [76723] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4787), 1,
      anon_sym_EQ_GT,
    STATE(2550), 1,
      sym_text_interpolation,
  [76736] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4789), 1,
      sym_heredoc_start,
    STATE(2551), 1,
      sym_text_interpolation,
  [76749] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym_heredoc_start,
    STATE(2552), 1,
      sym_text_interpolation,
  [76762] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4793), 1,
      sym_heredoc_end,
    STATE(2553), 1,
      sym_text_interpolation,
  [76775] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4795), 1,
      anon_sym_RPAREN,
    STATE(2554), 1,
      sym_text_interpolation,
  [76788] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4797), 1,
      aux_sym_if_statement_token2,
    STATE(2555), 1,
      sym_text_interpolation,
  [76801] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4799), 1,
      aux_sym_if_statement_token2,
    STATE(2556), 1,
      sym_text_interpolation,
  [76814] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_RPAREN,
    STATE(2557), 1,
      sym_text_interpolation,
  [76827] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(909), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2558), 1,
      sym_text_interpolation,
  [76840] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4801), 1,
      aux_sym_if_statement_token2,
    STATE(2559), 1,
      sym_text_interpolation,
  [76853] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(893), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2560), 1,
      sym_text_interpolation,
  [76866] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4803), 1,
      sym_name,
    STATE(2561), 1,
      sym_text_interpolation,
  [76879] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_EQ_GT,
    STATE(2562), 1,
      sym_text_interpolation,
  [76892] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4807), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_text_interpolation,
  [76905] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4809), 1,
      aux_sym_class_declaration_token1,
    STATE(2564), 1,
      sym_text_interpolation,
  [76918] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4811), 1,
      anon_sym_EQ_GT,
    STATE(2565), 1,
      sym_text_interpolation,
  [76931] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4813), 1,
      anon_sym_EQ,
    STATE(2566), 1,
      sym_text_interpolation,
  [76944] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4815), 1,
      anon_sym_COLON_COLON,
    STATE(2567), 1,
      sym_text_interpolation,
  [76957] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4817), 1,
      anon_sym_RPAREN,
    STATE(2568), 1,
      sym_text_interpolation,
  [76970] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_RPAREN,
    STATE(2569), 1,
      sym_text_interpolation,
  [76983] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4819), 1,
      anon_sym_SEMI,
    STATE(2570), 1,
      sym_text_interpolation,
  [76996] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4821), 1,
      aux_sym_if_statement_token2,
    STATE(2571), 1,
      sym_text_interpolation,
  [77009] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4279), 1,
      anon_sym_LBRACE,
    STATE(2572), 1,
      sym_text_interpolation,
  [77022] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4823), 1,
      aux_sym_while_statement_token1,
    STATE(2573), 1,
      sym_text_interpolation,
  [77035] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4825), 1,
      sym_name,
    STATE(2574), 1,
      sym_text_interpolation,
  [77048] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4827), 1,
      anon_sym_RPAREN,
    STATE(2575), 1,
      sym_text_interpolation,
  [77061] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(919), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2576), 1,
      sym_text_interpolation,
  [77074] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4344), 1,
      anon_sym_RPAREN,
    STATE(2577), 1,
      sym_text_interpolation,
  [77087] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4829), 1,
      sym_name,
    STATE(2578), 1,
      sym_text_interpolation,
  [77100] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4831), 1,
      sym_heredoc_end,
    STATE(2579), 1,
      sym_text_interpolation,
  [77113] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4833), 1,
      anon_sym_RPAREN,
    STATE(2580), 1,
      sym_text_interpolation,
  [77126] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4835), 1,
      sym_name,
    STATE(2581), 1,
      sym_text_interpolation,
  [77139] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4837), 1,
      anon_sym_RPAREN,
    STATE(2582), 1,
      sym_text_interpolation,
  [77152] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4839), 1,
      anon_sym_RPAREN,
    STATE(2583), 1,
      sym_text_interpolation,
  [77165] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4841), 1,
      anon_sym_RBRACK,
    STATE(2584), 1,
      sym_text_interpolation,
  [77178] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4843), 1,
      sym_name,
    STATE(2585), 1,
      sym_text_interpolation,
  [77191] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4845), 1,
      sym_name,
    STATE(2586), 1,
      sym_text_interpolation,
  [77204] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4847), 1,
      sym_heredoc_end,
    STATE(2587), 1,
      sym_text_interpolation,
  [77217] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_RBRACK,
    STATE(2588), 1,
      sym_text_interpolation,
  [77230] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4851), 1,
      sym_name,
    STATE(2589), 1,
      sym_text_interpolation,
  [77243] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4853), 1,
      anon_sym_DQUOTE2,
    STATE(2590), 1,
      sym_text_interpolation,
  [77256] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym_name,
    STATE(2591), 1,
      sym_text_interpolation,
  [77269] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4857), 1,
      anon_sym_SQUOTE2,
    STATE(2592), 1,
      sym_text_interpolation,
  [77282] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_RPAREN,
    STATE(2593), 1,
      sym_text_interpolation,
  [77295] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4859), 1,
      anon_sym_RPAREN,
    STATE(2594), 1,
      sym_text_interpolation,
  [77308] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_BSLASH,
    STATE(2595), 1,
      sym_text_interpolation,
  [77321] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3291), 1,
      anon_sym_EQ,
    STATE(2596), 1,
      sym_text_interpolation,
  [77334] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4861), 1,
      aux_sym_while_statement_token2,
    STATE(2597), 1,
      sym_text_interpolation,
  [77347] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4863), 1,
      anon_sym_RPAREN,
    STATE(2598), 1,
      sym_text_interpolation,
  [77360] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4865), 1,
      anon_sym_EQ_GT,
    STATE(2599), 1,
      sym_text_interpolation,
  [77373] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4867), 1,
      anon_sym_RPAREN,
    STATE(2600), 1,
      sym_text_interpolation,
  [77386] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4869), 1,
      anon_sym_RPAREN,
    STATE(2601), 1,
      sym_text_interpolation,
  [77399] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_BSLASH,
    STATE(2602), 1,
      sym_text_interpolation,
  [77412] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4873), 1,
      sym_name,
    STATE(2603), 1,
      sym_text_interpolation,
  [77425] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4875), 1,
      sym_name,
    STATE(2604), 1,
      sym_text_interpolation,
  [77438] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4877), 1,
      anon_sym_EQ_GT,
    STATE(2605), 1,
      sym_text_interpolation,
  [77451] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4879), 1,
      sym_name,
    STATE(2606), 1,
      sym_text_interpolation,
  [77464] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4881), 1,
      anon_sym_RPAREN,
    STATE(2607), 1,
      sym_text_interpolation,
  [77477] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4140), 1,
      aux_sym_class_declaration_token1,
    STATE(2608), 1,
      sym_text_interpolation,
  [77490] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4883), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2609), 1,
      sym_text_interpolation,
  [77503] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_BSLASH,
    STATE(2610), 1,
      sym_text_interpolation,
  [77516] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4887), 1,
      aux_sym_class_declaration_token1,
    STATE(2611), 1,
      sym_text_interpolation,
  [77529] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(873), 1,
      anon_sym_SEMI,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2612), 1,
      sym_text_interpolation,
  [77542] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_COLON_COLON,
    STATE(2613), 1,
      sym_text_interpolation,
  [77555] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4891), 1,
      aux_sym_while_statement_token1,
    STATE(2614), 1,
      sym_text_interpolation,
  [77568] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4893), 1,
      sym_heredoc_start,
    STATE(2615), 1,
      sym_text_interpolation,
  [77581] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4895), 1,
      sym_heredoc_start,
    STATE(2616), 1,
      sym_text_interpolation,
  [77594] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4897), 1,
      aux_sym_class_declaration_token1,
    STATE(2617), 1,
      sym_text_interpolation,
  [77607] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_LBRACE,
    STATE(2618), 1,
      sym_text_interpolation,
  [77620] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4899), 1,
      sym_name,
    STATE(2619), 1,
      sym_text_interpolation,
  [77633] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4136), 1,
      aux_sym_class_declaration_token1,
    STATE(2620), 1,
      sym_text_interpolation,
  [77646] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_BSLASH,
    STATE(2621), 1,
      sym_text_interpolation,
  [77659] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4903), 1,
      anon_sym_BSLASH,
    STATE(2622), 1,
      sym_text_interpolation,
  [77672] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4591), 1,
      anon_sym_LPAREN,
    STATE(2623), 1,
      sym_text_interpolation,
  [77685] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4905), 1,
      sym_name,
    STATE(2624), 1,
      sym_text_interpolation,
  [77698] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4907), 1,
      anon_sym_RPAREN,
    STATE(2625), 1,
      sym_text_interpolation,
  [77711] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4909), 1,
      sym_name,
    STATE(2626), 1,
      sym_text_interpolation,
  [77724] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4911), 1,
      sym_name,
    STATE(2627), 1,
      sym_text_interpolation,
  [77737] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4913), 1,
      sym_name,
    STATE(2628), 1,
      sym_text_interpolation,
  [77750] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4915), 1,
      aux_sym_class_declaration_token1,
    STATE(2629), 1,
      sym_text_interpolation,
  [77763] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4917), 1,
      anon_sym_BSLASH,
    STATE(2630), 1,
      sym_text_interpolation,
  [77776] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4919), 1,
      aux_sym_if_statement_token2,
    STATE(2631), 1,
      sym_text_interpolation,
  [77789] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_COLON_COLON,
    STATE(2632), 1,
      sym_text_interpolation,
  [77802] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_RBRACE,
    STATE(2633), 1,
      sym_text_interpolation,
  [77815] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(879), 1,
      anon_sym_SEMI,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2634), 1,
      sym_text_interpolation,
  [77828] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4120), 1,
      anon_sym_RPAREN,
    STATE(2635), 1,
      sym_text_interpolation,
  [77841] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3810), 1,
      sym_name,
    STATE(2636), 1,
      sym_text_interpolation,
  [77854] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4923), 1,
      anon_sym_EQ_GT,
    STATE(2637), 1,
      sym_text_interpolation,
  [77867] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_EQ_GT,
    STATE(2638), 1,
      sym_text_interpolation,
  [77880] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(917), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2639), 1,
      sym_text_interpolation,
  [77893] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_LPAREN,
    STATE(2640), 1,
      sym_text_interpolation,
  [77906] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4929), 1,
      anon_sym_SEMI,
    STATE(2641), 1,
      sym_text_interpolation,
  [77919] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    STATE(2642), 1,
      sym_text_interpolation,
  [77932] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4931), 1,
      sym_name,
    STATE(2643), 1,
      sym_text_interpolation,
  [77945] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_COLON_COLON,
    STATE(2644), 1,
      sym_text_interpolation,
  [77958] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(883), 1,
      anon_sym_RPAREN,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2645), 1,
      sym_text_interpolation,
  [77971] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4935), 1,
      sym_name,
    STATE(2646), 1,
      sym_text_interpolation,
  [77984] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4937), 1,
      anon_sym_RPAREN,
    STATE(2647), 1,
      sym_text_interpolation,
  [77997] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_COLON_COLON,
    STATE(2648), 1,
      sym_text_interpolation,
  [78010] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4939), 1,
      anon_sym_COLON_COLON,
    STATE(2649), 1,
      sym_text_interpolation,
  [78023] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_COLON_COLON,
    STATE(2650), 1,
      sym_text_interpolation,
  [78036] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4943), 1,
      anon_sym_EQ,
    STATE(2651), 1,
      sym_text_interpolation,
  [78049] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_EQ_GT,
    STATE(2652), 1,
      sym_text_interpolation,
  [78062] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4403), 1,
      anon_sym_RPAREN,
    STATE(2653), 1,
      sym_text_interpolation,
  [78075] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4947), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2654), 1,
      sym_text_interpolation,
  [78088] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4949), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2655), 1,
      sym_text_interpolation,
  [78101] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4105), 1,
      aux_sym_class_declaration_token1,
    STATE(2656), 1,
      sym_text_interpolation,
  [78114] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4951), 1,
      anon_sym_COLON_COLON,
    STATE(2657), 1,
      sym_text_interpolation,
  [78127] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_BSLASH,
    STATE(2658), 1,
      sym_text_interpolation,
  [78140] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4955), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2659), 1,
      sym_text_interpolation,
  [78153] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_RBRACK,
    STATE(2660), 1,
      sym_text_interpolation,
  [78166] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4957), 1,
      sym_name,
    STATE(2661), 1,
      sym_text_interpolation,
  [78179] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(2671), 1,
      anon_sym_RPAREN,
    STATE(2662), 1,
      sym_text_interpolation,
  [78192] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(899), 1,
      anon_sym_SEMI,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2663), 1,
      sym_text_interpolation,
  [78205] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4419), 1,
      anon_sym_RPAREN,
    STATE(2664), 1,
      sym_text_interpolation,
  [78218] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_RPAREN,
    STATE(2665), 1,
      sym_text_interpolation,
  [78231] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LPAREN,
    STATE(2666), 1,
      sym_text_interpolation,
  [78244] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_SEMI,
    STATE(2667), 1,
      sym_text_interpolation,
  [78257] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4454), 1,
      anon_sym_RPAREN,
    STATE(2668), 1,
      sym_text_interpolation,
  [78270] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4963), 1,
      anon_sym_COLON_COLON,
    STATE(2669), 1,
      sym_text_interpolation,
  [78283] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4965), 1,
      aux_sym_foreach_statement_token2,
    STATE(2670), 1,
      sym_text_interpolation,
  [78296] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4967), 1,
      anon_sym_LPAREN,
    STATE(2671), 1,
      sym_text_interpolation,
  [78309] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4969), 1,
      anon_sym_LPAREN,
    STATE(2672), 1,
      sym_text_interpolation,
  [78322] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4971), 1,
      anon_sym_RBRACK,
    STATE(2673), 1,
      sym_text_interpolation,
  [78335] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4973), 1,
      sym_name,
    STATE(2674), 1,
      sym_text_interpolation,
  [78348] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4975), 1,
      sym_integer,
    STATE(2675), 1,
      sym_text_interpolation,
  [78361] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    STATE(2676), 1,
      sym_text_interpolation,
  [78374] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4979), 1,
      anon_sym_LPAREN,
    STATE(2677), 1,
      sym_text_interpolation,
  [78387] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym_LPAREN,
    STATE(2678), 1,
      sym_text_interpolation,
  [78400] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4983), 1,
      anon_sym_LPAREN,
    STATE(2679), 1,
      sym_text_interpolation,
  [78413] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4985), 1,
      anon_sym_LPAREN,
    STATE(2680), 1,
      sym_text_interpolation,
  [78426] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_RBRACK,
    STATE(2681), 1,
      sym_text_interpolation,
  [78439] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4470), 1,
      anon_sym_RPAREN,
    STATE(2682), 1,
      sym_text_interpolation,
  [78452] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4989), 1,
      sym_heredoc_end,
    STATE(2683), 1,
      sym_text_interpolation,
  [78465] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4991), 1,
      sym_name,
    STATE(2684), 1,
      sym_text_interpolation,
  [78478] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_COLON_COLON,
    STATE(2685), 1,
      sym_text_interpolation,
  [78491] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4995), 1,
      anon_sym_RPAREN,
    STATE(2686), 1,
      sym_text_interpolation,
  [78504] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_LPAREN,
    STATE(2687), 1,
      sym_text_interpolation,
  [78517] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4999), 1,
      sym_name,
    STATE(2688), 1,
      sym_text_interpolation,
  [78530] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_SEMI,
    STATE(2689), 1,
      sym_text_interpolation,
  [78543] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5003), 1,
      sym_name,
    STATE(2690), 1,
      sym_text_interpolation,
  [78556] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(903), 1,
      anon_sym_SEMI,
    ACTIONS(1722), 1,
      sym_comment,
    STATE(2691), 1,
      sym_text_interpolation,
  [78569] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5005), 1,
      sym_name,
    STATE(2692), 1,
      sym_text_interpolation,
  [78582] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_RPAREN,
    STATE(2693), 1,
      sym_text_interpolation,
  [78595] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5007), 1,
      anon_sym_SEMI,
    STATE(2694), 1,
      sym_text_interpolation,
  [78608] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_LPAREN,
    STATE(2695), 1,
      sym_text_interpolation,
  [78621] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5011), 1,
      anon_sym_EQ_GT,
    STATE(2696), 1,
      sym_text_interpolation,
  [78634] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5013), 1,
      anon_sym_SEMI,
    STATE(2697), 1,
      sym_text_interpolation,
  [78647] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5015), 1,
      anon_sym_RPAREN,
    STATE(2698), 1,
      sym_text_interpolation,
  [78660] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5017), 1,
      anon_sym_LPAREN,
    STATE(2699), 1,
      sym_text_interpolation,
  [78673] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5019), 1,
      anon_sym_LPAREN,
    STATE(2700), 1,
      sym_text_interpolation,
  [78686] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_COLON_COLON,
    STATE(2701), 1,
      sym_text_interpolation,
  [78699] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5023), 1,
      anon_sym_LPAREN,
    STATE(2702), 1,
      sym_text_interpolation,
  [78712] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5025), 1,
      anon_sym_RPAREN,
    STATE(2703), 1,
      sym_text_interpolation,
  [78725] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5027), 1,
      anon_sym_SEMI,
    STATE(2704), 1,
      sym_text_interpolation,
  [78738] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5029), 1,
      anon_sym_EQ_GT,
    STATE(2705), 1,
      sym_text_interpolation,
  [78751] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_text_interpolation,
  [78764] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5033), 1,
      ts_builtin_sym_end,
    STATE(2707), 1,
      sym_text_interpolation,
  [78777] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_LPAREN,
    STATE(2708), 1,
      sym_text_interpolation,
  [78790] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5037), 1,
      anon_sym_LPAREN,
    STATE(2709), 1,
      sym_text_interpolation,
  [78803] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      sym_comment,
    ACTIONS(5039), 1,
      sym_name,
    STATE(2710), 1,
      sym_text_interpolation,
  [78816] = 1,
    ACTIONS(5041), 1,
      ts_builtin_sym_end,
  [78820] = 1,
    ACTIONS(5043), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(578)] = 0,
  [SMALL_STATE(579)] = 79,
  [SMALL_STATE(580)] = 158,
  [SMALL_STATE(581)] = 237,
  [SMALL_STATE(582)] = 324,
  [SMALL_STATE(583)] = 403,
  [SMALL_STATE(584)] = 482,
  [SMALL_STATE(585)] = 556,
  [SMALL_STATE(586)] = 630,
  [SMALL_STATE(587)] = 704,
  [SMALL_STATE(588)] = 778,
  [SMALL_STATE(589)] = 852,
  [SMALL_STATE(590)] = 926,
  [SMALL_STATE(591)] = 1000,
  [SMALL_STATE(592)] = 1074,
  [SMALL_STATE(593)] = 1148,
  [SMALL_STATE(594)] = 1222,
  [SMALL_STATE(595)] = 1296,
  [SMALL_STATE(596)] = 1370,
  [SMALL_STATE(597)] = 1444,
  [SMALL_STATE(598)] = 1525,
  [SMALL_STATE(599)] = 1610,
  [SMALL_STATE(600)] = 1694,
  [SMALL_STATE(601)] = 1777,
  [SMALL_STATE(602)] = 1852,
  [SMALL_STATE(603)] = 1927,
  [SMALL_STATE(604)] = 2002,
  [SMALL_STATE(605)] = 2081,
  [SMALL_STATE(606)] = 2170,
  [SMALL_STATE(607)] = 2253,
  [SMALL_STATE(608)] = 2336,
  [SMALL_STATE(609)] = 2411,
  [SMALL_STATE(610)] = 2486,
  [SMALL_STATE(611)] = 2556,
  [SMALL_STATE(612)] = 2626,
  [SMALL_STATE(613)] = 2710,
  [SMALL_STATE(614)] = 2780,
  [SMALL_STATE(615)] = 2850,
  [SMALL_STATE(616)] = 2920,
  [SMALL_STATE(617)] = 2990,
  [SMALL_STATE(618)] = 3060,
  [SMALL_STATE(619)] = 3130,
  [SMALL_STATE(620)] = 3208,
  [SMALL_STATE(621)] = 3278,
  [SMALL_STATE(622)] = 3348,
  [SMALL_STATE(623)] = 3432,
  [SMALL_STATE(624)] = 3502,
  [SMALL_STATE(625)] = 3584,
  [SMALL_STATE(626)] = 3654,
  [SMALL_STATE(627)] = 3724,
  [SMALL_STATE(628)] = 3794,
  [SMALL_STATE(629)] = 3878,
  [SMALL_STATE(630)] = 3948,
  [SMALL_STATE(631)] = 4018,
  [SMALL_STATE(632)] = 4088,
  [SMALL_STATE(633)] = 4165,
  [SMALL_STATE(634)] = 4242,
  [SMALL_STATE(635)] = 4325,
  [SMALL_STATE(636)] = 4402,
  [SMALL_STATE(637)] = 4485,
  [SMALL_STATE(638)] = 4563,
  [SMALL_STATE(639)] = 4639,
  [SMALL_STATE(640)] = 4717,
  [SMALL_STATE(641)] = 4795,
  [SMALL_STATE(642)] = 4872,
  [SMALL_STATE(643)] = 4936,
  [SMALL_STATE(644)] = 5049,
  [SMALL_STATE(645)] = 5162,
  [SMALL_STATE(646)] = 5233,
  [SMALL_STATE(647)] = 5302,
  [SMALL_STATE(648)] = 5367,
  [SMALL_STATE(649)] = 5428,
  [SMALL_STATE(650)] = 5495,
  [SMALL_STATE(651)] = 5566,
  [SMALL_STATE(652)] = 5631,
  [SMALL_STATE(653)] = 5696,
  [SMALL_STATE(654)] = 5767,
  [SMALL_STATE(655)] = 5832,
  [SMALL_STATE(656)] = 5897,
  [SMALL_STATE(657)] = 6008,
  [SMALL_STATE(658)] = 6119,
  [SMALL_STATE(659)] = 6190,
  [SMALL_STATE(660)] = 6250,
  [SMALL_STATE(661)] = 6358,
  [SMALL_STATE(662)] = 6418,
  [SMALL_STATE(663)] = 6528,
  [SMALL_STATE(664)] = 6588,
  [SMALL_STATE(665)] = 6698,
  [SMALL_STATE(666)] = 6758,
  [SMALL_STATE(667)] = 6818,
  [SMALL_STATE(668)] = 6878,
  [SMALL_STATE(669)] = 6986,
  [SMALL_STATE(670)] = 7094,
  [SMALL_STATE(671)] = 7154,
  [SMALL_STATE(672)] = 7218,
  [SMALL_STATE(673)] = 7278,
  [SMALL_STATE(674)] = 7338,
  [SMALL_STATE(675)] = 7398,
  [SMALL_STATE(676)] = 7458,
  [SMALL_STATE(677)] = 7518,
  [SMALL_STATE(678)] = 7578,
  [SMALL_STATE(679)] = 7638,
  [SMALL_STATE(680)] = 7698,
  [SMALL_STATE(681)] = 7758,
  [SMALL_STATE(682)] = 7822,
  [SMALL_STATE(683)] = 7882,
  [SMALL_STATE(684)] = 7990,
  [SMALL_STATE(685)] = 8053,
  [SMALL_STATE(686)] = 8116,
  [SMALL_STATE(687)] = 8179,
  [SMALL_STATE(688)] = 8282,
  [SMALL_STATE(689)] = 8389,
  [SMALL_STATE(690)] = 8454,
  [SMALL_STATE(691)] = 8517,
  [SMALL_STATE(692)] = 8582,
  [SMALL_STATE(693)] = 8647,
  [SMALL_STATE(694)] = 8752,
  [SMALL_STATE(695)] = 8815,
  [SMALL_STATE(696)] = 8880,
  [SMALL_STATE(697)] = 8943,
  [SMALL_STATE(698)] = 9008,
  [SMALL_STATE(699)] = 9073,
  [SMALL_STATE(700)] = 9134,
  [SMALL_STATE(701)] = 9199,
  [SMALL_STATE(702)] = 9260,
  [SMALL_STATE(703)] = 9321,
  [SMALL_STATE(704)] = 9384,
  [SMALL_STATE(705)] = 9449,
  [SMALL_STATE(706)] = 9552,
  [SMALL_STATE(707)] = 9615,
  [SMALL_STATE(708)] = 9680,
  [SMALL_STATE(709)] = 9741,
  [SMALL_STATE(710)] = 9802,
  [SMALL_STATE(711)] = 9863,
  [SMALL_STATE(712)] = 9928,
  [SMALL_STATE(713)] = 9993,
  [SMALL_STATE(714)] = 10058,
  [SMALL_STATE(715)] = 10121,
  [SMALL_STATE(716)] = 10184,
  [SMALL_STATE(717)] = 10291,
  [SMALL_STATE(718)] = 10354,
  [SMALL_STATE(719)] = 10417,
  [SMALL_STATE(720)] = 10480,
  [SMALL_STATE(721)] = 10581,
  [SMALL_STATE(722)] = 10644,
  [SMALL_STATE(723)] = 10702,
  [SMALL_STATE(724)] = 10760,
  [SMALL_STATE(725)] = 10818,
  [SMALL_STATE(726)] = 10876,
  [SMALL_STATE(727)] = 10934,
  [SMALL_STATE(728)] = 10992,
  [SMALL_STATE(729)] = 11050,
  [SMALL_STATE(730)] = 11108,
  [SMALL_STATE(731)] = 11166,
  [SMALL_STATE(732)] = 11224,
  [SMALL_STATE(733)] = 11282,
  [SMALL_STATE(734)] = 11340,
  [SMALL_STATE(735)] = 11398,
  [SMALL_STATE(736)] = 11458,
  [SMALL_STATE(737)] = 11516,
  [SMALL_STATE(738)] = 11574,
  [SMALL_STATE(739)] = 11632,
  [SMALL_STATE(740)] = 11690,
  [SMALL_STATE(741)] = 11748,
  [SMALL_STATE(742)] = 11852,
  [SMALL_STATE(743)] = 11910,
  [SMALL_STATE(744)] = 11968,
  [SMALL_STATE(745)] = 12026,
  [SMALL_STATE(746)] = 12084,
  [SMALL_STATE(747)] = 12142,
  [SMALL_STATE(748)] = 12200,
  [SMALL_STATE(749)] = 12258,
  [SMALL_STATE(750)] = 12316,
  [SMALL_STATE(751)] = 12374,
  [SMALL_STATE(752)] = 12432,
  [SMALL_STATE(753)] = 12490,
  [SMALL_STATE(754)] = 12548,
  [SMALL_STATE(755)] = 12606,
  [SMALL_STATE(756)] = 12666,
  [SMALL_STATE(757)] = 12724,
  [SMALL_STATE(758)] = 12782,
  [SMALL_STATE(759)] = 12840,
  [SMALL_STATE(760)] = 12898,
  [SMALL_STATE(761)] = 12956,
  [SMALL_STATE(762)] = 13014,
  [SMALL_STATE(763)] = 13072,
  [SMALL_STATE(764)] = 13130,
  [SMALL_STATE(765)] = 13191,
  [SMALL_STATE(766)] = 13258,
  [SMALL_STATE(767)] = 13319,
  [SMALL_STATE(768)] = 13380,
  [SMALL_STATE(769)] = 13437,
  [SMALL_STATE(770)] = 13496,
  [SMALL_STATE(771)] = 13557,
  [SMALL_STATE(772)] = 13618,
  [SMALL_STATE(773)] = 13679,
  [SMALL_STATE(774)] = 13738,
  [SMALL_STATE(775)] = 13801,
  [SMALL_STATE(776)] = 13860,
  [SMALL_STATE(777)] = 13927,
  [SMALL_STATE(778)] = 13984,
  [SMALL_STATE(779)] = 14043,
  [SMALL_STATE(780)] = 14102,
  [SMALL_STATE(781)] = 14167,
  [SMALL_STATE(782)] = 14224,
  [SMALL_STATE(783)] = 14291,
  [SMALL_STATE(784)] = 14358,
  [SMALL_STATE(785)] = 14414,
  [SMALL_STATE(786)] = 14470,
  [SMALL_STATE(787)] = 14526,
  [SMALL_STATE(788)] = 14582,
  [SMALL_STATE(789)] = 14638,
  [SMALL_STATE(790)] = 14694,
  [SMALL_STATE(791)] = 14762,
  [SMALL_STATE(792)] = 14818,
  [SMALL_STATE(793)] = 14874,
  [SMALL_STATE(794)] = 14930,
  [SMALL_STATE(795)] = 14998,
  [SMALL_STATE(796)] = 15054,
  [SMALL_STATE(797)] = 15110,
  [SMALL_STATE(798)] = 15166,
  [SMALL_STATE(799)] = 15222,
  [SMALL_STATE(800)] = 15278,
  [SMALL_STATE(801)] = 15334,
  [SMALL_STATE(802)] = 15402,
  [SMALL_STATE(803)] = 15458,
  [SMALL_STATE(804)] = 15514,
  [SMALL_STATE(805)] = 15570,
  [SMALL_STATE(806)] = 15629,
  [SMALL_STATE(807)] = 15690,
  [SMALL_STATE(808)] = 15785,
  [SMALL_STATE(809)] = 15844,
  [SMALL_STATE(810)] = 15905,
  [SMALL_STATE(811)] = 15964,
  [SMALL_STATE(812)] = 16059,
  [SMALL_STATE(813)] = 16114,
  [SMALL_STATE(814)] = 16209,
  [SMALL_STATE(815)] = 16304,
  [SMALL_STATE(816)] = 16363,
  [SMALL_STATE(817)] = 16458,
  [SMALL_STATE(818)] = 16517,
  [SMALL_STATE(819)] = 16574,
  [SMALL_STATE(820)] = 16631,
  [SMALL_STATE(821)] = 16688,
  [SMALL_STATE(822)] = 16783,
  [SMALL_STATE(823)] = 16844,
  [SMALL_STATE(824)] = 16901,
  [SMALL_STATE(825)] = 16962,
  [SMALL_STATE(826)] = 17057,
  [SMALL_STATE(827)] = 17118,
  [SMALL_STATE(828)] = 17173,
  [SMALL_STATE(829)] = 17234,
  [SMALL_STATE(830)] = 17293,
  [SMALL_STATE(831)] = 17388,
  [SMALL_STATE(832)] = 17447,
  [SMALL_STATE(833)] = 17506,
  [SMALL_STATE(834)] = 17601,
  [SMALL_STATE(835)] = 17656,
  [SMALL_STATE(836)] = 17715,
  [SMALL_STATE(837)] = 17776,
  [SMALL_STATE(838)] = 17837,
  [SMALL_STATE(839)] = 17898,
  [SMALL_STATE(840)] = 17993,
  [SMALL_STATE(841)] = 18050,
  [SMALL_STATE(842)] = 18111,
  [SMALL_STATE(843)] = 18168,
  [SMALL_STATE(844)] = 18229,
  [SMALL_STATE(845)] = 18288,
  [SMALL_STATE(846)] = 18347,
  [SMALL_STATE(847)] = 18442,
  [SMALL_STATE(848)] = 18501,
  [SMALL_STATE(849)] = 18596,
  [SMALL_STATE(850)] = 18657,
  [SMALL_STATE(851)] = 18752,
  [SMALL_STATE(852)] = 18811,
  [SMALL_STATE(853)] = 18870,
  [SMALL_STATE(854)] = 18965,
  [SMALL_STATE(855)] = 19060,
  [SMALL_STATE(856)] = 19119,
  [SMALL_STATE(857)] = 19176,
  [SMALL_STATE(858)] = 19231,
  [SMALL_STATE(859)] = 19285,
  [SMALL_STATE(860)] = 19339,
  [SMALL_STATE(861)] = 19393,
  [SMALL_STATE(862)] = 19447,
  [SMALL_STATE(863)] = 19501,
  [SMALL_STATE(864)] = 19555,
  [SMALL_STATE(865)] = 19609,
  [SMALL_STATE(866)] = 19663,
  [SMALL_STATE(867)] = 19719,
  [SMALL_STATE(868)] = 19773,
  [SMALL_STATE(869)] = 19827,
  [SMALL_STATE(870)] = 19881,
  [SMALL_STATE(871)] = 19935,
  [SMALL_STATE(872)] = 19989,
  [SMALL_STATE(873)] = 20043,
  [SMALL_STATE(874)] = 20097,
  [SMALL_STATE(875)] = 20151,
  [SMALL_STATE(876)] = 20205,
  [SMALL_STATE(877)] = 20259,
  [SMALL_STATE(878)] = 20313,
  [SMALL_STATE(879)] = 20367,
  [SMALL_STATE(880)] = 20421,
  [SMALL_STATE(881)] = 20475,
  [SMALL_STATE(882)] = 20529,
  [SMALL_STATE(883)] = 20583,
  [SMALL_STATE(884)] = 20637,
  [SMALL_STATE(885)] = 20691,
  [SMALL_STATE(886)] = 20745,
  [SMALL_STATE(887)] = 20799,
  [SMALL_STATE(888)] = 20853,
  [SMALL_STATE(889)] = 20907,
  [SMALL_STATE(890)] = 20961,
  [SMALL_STATE(891)] = 21015,
  [SMALL_STATE(892)] = 21069,
  [SMALL_STATE(893)] = 21123,
  [SMALL_STATE(894)] = 21177,
  [SMALL_STATE(895)] = 21233,
  [SMALL_STATE(896)] = 21287,
  [SMALL_STATE(897)] = 21341,
  [SMALL_STATE(898)] = 21395,
  [SMALL_STATE(899)] = 21449,
  [SMALL_STATE(900)] = 21507,
  [SMALL_STATE(901)] = 21563,
  [SMALL_STATE(902)] = 21618,
  [SMALL_STATE(903)] = 21673,
  [SMALL_STATE(904)] = 21728,
  [SMALL_STATE(905)] = 21783,
  [SMALL_STATE(906)] = 21838,
  [SMALL_STATE(907)] = 21890,
  [SMALL_STATE(908)] = 21942,
  [SMALL_STATE(909)] = 21994,
  [SMALL_STATE(910)] = 22046,
  [SMALL_STATE(911)] = 22098,
  [SMALL_STATE(912)] = 22150,
  [SMALL_STATE(913)] = 22202,
  [SMALL_STATE(914)] = 22254,
  [SMALL_STATE(915)] = 22306,
  [SMALL_STATE(916)] = 22358,
  [SMALL_STATE(917)] = 22410,
  [SMALL_STATE(918)] = 22462,
  [SMALL_STATE(919)] = 22514,
  [SMALL_STATE(920)] = 22566,
  [SMALL_STATE(921)] = 22618,
  [SMALL_STATE(922)] = 22670,
  [SMALL_STATE(923)] = 22722,
  [SMALL_STATE(924)] = 22774,
  [SMALL_STATE(925)] = 22826,
  [SMALL_STATE(926)] = 22878,
  [SMALL_STATE(927)] = 22930,
  [SMALL_STATE(928)] = 22982,
  [SMALL_STATE(929)] = 23034,
  [SMALL_STATE(930)] = 23086,
  [SMALL_STATE(931)] = 23138,
  [SMALL_STATE(932)] = 23190,
  [SMALL_STATE(933)] = 23242,
  [SMALL_STATE(934)] = 23294,
  [SMALL_STATE(935)] = 23346,
  [SMALL_STATE(936)] = 23398,
  [SMALL_STATE(937)] = 23450,
  [SMALL_STATE(938)] = 23502,
  [SMALL_STATE(939)] = 23554,
  [SMALL_STATE(940)] = 23606,
  [SMALL_STATE(941)] = 23658,
  [SMALL_STATE(942)] = 23710,
  [SMALL_STATE(943)] = 23762,
  [SMALL_STATE(944)] = 23814,
  [SMALL_STATE(945)] = 23866,
  [SMALL_STATE(946)] = 23918,
  [SMALL_STATE(947)] = 23970,
  [SMALL_STATE(948)] = 24022,
  [SMALL_STATE(949)] = 24074,
  [SMALL_STATE(950)] = 24126,
  [SMALL_STATE(951)] = 24178,
  [SMALL_STATE(952)] = 24230,
  [SMALL_STATE(953)] = 24282,
  [SMALL_STATE(954)] = 24334,
  [SMALL_STATE(955)] = 24388,
  [SMALL_STATE(956)] = 24440,
  [SMALL_STATE(957)] = 24528,
  [SMALL_STATE(958)] = 24580,
  [SMALL_STATE(959)] = 24632,
  [SMALL_STATE(960)] = 24684,
  [SMALL_STATE(961)] = 24736,
  [SMALL_STATE(962)] = 24788,
  [SMALL_STATE(963)] = 24840,
  [SMALL_STATE(964)] = 24892,
  [SMALL_STATE(965)] = 24944,
  [SMALL_STATE(966)] = 24996,
  [SMALL_STATE(967)] = 25048,
  [SMALL_STATE(968)] = 25100,
  [SMALL_STATE(969)] = 25152,
  [SMALL_STATE(970)] = 25204,
  [SMALL_STATE(971)] = 25256,
  [SMALL_STATE(972)] = 25308,
  [SMALL_STATE(973)] = 25359,
  [SMALL_STATE(974)] = 25410,
  [SMALL_STATE(975)] = 25492,
  [SMALL_STATE(976)] = 25580,
  [SMALL_STATE(977)] = 25668,
  [SMALL_STATE(978)] = 25738,
  [SMALL_STATE(979)] = 25826,
  [SMALL_STATE(980)] = 25914,
  [SMALL_STATE(981)] = 26002,
  [SMALL_STATE(982)] = 26090,
  [SMALL_STATE(983)] = 26178,
  [SMALL_STATE(984)] = 26268,
  [SMALL_STATE(985)] = 26356,
  [SMALL_STATE(986)] = 26438,
  [SMALL_STATE(987)] = 26520,
  [SMALL_STATE(988)] = 26608,
  [SMALL_STATE(989)] = 26682,
  [SMALL_STATE(990)] = 26734,
  [SMALL_STATE(991)] = 26816,
  [SMALL_STATE(992)] = 26898,
  [SMALL_STATE(993)] = 26954,
  [SMALL_STATE(994)] = 27014,
  [SMALL_STATE(995)] = 27072,
  [SMALL_STATE(996)] = 27134,
  [SMALL_STATE(997)] = 27216,
  [SMALL_STATE(998)] = 27268,
  [SMALL_STATE(999)] = 27334,
  [SMALL_STATE(1000)] = 27406,
  [SMALL_STATE(1001)] = 27482,
  [SMALL_STATE(1002)] = 27570,
  [SMALL_STATE(1003)] = 27652,
  [SMALL_STATE(1004)] = 27738,
  [SMALL_STATE(1005)] = 27816,
  [SMALL_STATE(1006)] = 27900,
  [SMALL_STATE(1007)] = 27981,
  [SMALL_STATE(1008)] = 28068,
  [SMALL_STATE(1009)] = 28155,
  [SMALL_STATE(1010)] = 28212,
  [SMALL_STATE(1011)] = 28273,
  [SMALL_STATE(1012)] = 28338,
  [SMALL_STATE(1013)] = 28409,
  [SMALL_STATE(1014)] = 28460,
  [SMALL_STATE(1015)] = 28541,
  [SMALL_STATE(1016)] = 28622,
  [SMALL_STATE(1017)] = 28697,
  [SMALL_STATE(1018)] = 28766,
  [SMALL_STATE(1019)] = 28847,
  [SMALL_STATE(1020)] = 28928,
  [SMALL_STATE(1021)] = 29009,
  [SMALL_STATE(1022)] = 29074,
  [SMALL_STATE(1023)] = 29161,
  [SMALL_STATE(1024)] = 29220,
  [SMALL_STATE(1025)] = 29305,
  [SMALL_STATE(1026)] = 29394,
  [SMALL_STATE(1027)] = 29481,
  [SMALL_STATE(1028)] = 29568,
  [SMALL_STATE(1029)] = 29655,
  [SMALL_STATE(1030)] = 29710,
  [SMALL_STATE(1031)] = 29793,
  [SMALL_STATE(1032)] = 29880,
  [SMALL_STATE(1033)] = 29967,
  [SMALL_STATE(1034)] = 30048,
  [SMALL_STATE(1035)] = 30135,
  [SMALL_STATE(1036)] = 30186,
  [SMALL_STATE(1037)] = 30273,
  [SMALL_STATE(1038)] = 30350,
  [SMALL_STATE(1039)] = 30423,
  [SMALL_STATE(1040)] = 30503,
  [SMALL_STATE(1041)] = 30551,
  [SMALL_STATE(1042)] = 30599,
  [SMALL_STATE(1043)] = 30647,
  [SMALL_STATE(1044)] = 30731,
  [SMALL_STATE(1045)] = 30817,
  [SMALL_STATE(1046)] = 30865,
  [SMALL_STATE(1047)] = 30913,
  [SMALL_STATE(1048)] = 30999,
  [SMALL_STATE(1049)] = 31047,
  [SMALL_STATE(1050)] = 31127,
  [SMALL_STATE(1051)] = 31175,
  [SMALL_STATE(1052)] = 31225,
  [SMALL_STATE(1053)] = 31305,
  [SMALL_STATE(1054)] = 31353,
  [SMALL_STATE(1055)] = 31401,
  [SMALL_STATE(1056)] = 31449,
  [SMALL_STATE(1057)] = 31525,
  [SMALL_STATE(1058)] = 31579,
  [SMALL_STATE(1059)] = 31651,
  [SMALL_STATE(1060)] = 31699,
  [SMALL_STATE(1061)] = 31767,
  [SMALL_STATE(1062)] = 31853,
  [SMALL_STATE(1063)] = 31901,
  [SMALL_STATE(1064)] = 31949,
  [SMALL_STATE(1065)] = 32029,
  [SMALL_STATE(1066)] = 32109,
  [SMALL_STATE(1067)] = 32157,
  [SMALL_STATE(1068)] = 32205,
  [SMALL_STATE(1069)] = 32253,
  [SMALL_STATE(1070)] = 32301,
  [SMALL_STATE(1071)] = 32349,
  [SMALL_STATE(1072)] = 32397,
  [SMALL_STATE(1073)] = 32473,
  [SMALL_STATE(1074)] = 32559,
  [SMALL_STATE(1075)] = 32607,
  [SMALL_STATE(1076)] = 32655,
  [SMALL_STATE(1077)] = 32703,
  [SMALL_STATE(1078)] = 32789,
  [SMALL_STATE(1079)] = 32837,
  [SMALL_STATE(1080)] = 32885,
  [SMALL_STATE(1081)] = 32933,
  [SMALL_STATE(1082)] = 32981,
  [SMALL_STATE(1083)] = 33069,
  [SMALL_STATE(1084)] = 33117,
  [SMALL_STATE(1085)] = 33167,
  [SMALL_STATE(1086)] = 33215,
  [SMALL_STATE(1087)] = 33263,
  [SMALL_STATE(1088)] = 33311,
  [SMALL_STATE(1089)] = 33397,
  [SMALL_STATE(1090)] = 33483,
  [SMALL_STATE(1091)] = 33569,
  [SMALL_STATE(1092)] = 33617,
  [SMALL_STATE(1093)] = 33703,
  [SMALL_STATE(1094)] = 33751,
  [SMALL_STATE(1095)] = 33827,
  [SMALL_STATE(1096)] = 33903,
  [SMALL_STATE(1097)] = 33951,
  [SMALL_STATE(1098)] = 33999,
  [SMALL_STATE(1099)] = 34047,
  [SMALL_STATE(1100)] = 34095,
  [SMALL_STATE(1101)] = 34143,
  [SMALL_STATE(1102)] = 34223,
  [SMALL_STATE(1103)] = 34271,
  [SMALL_STATE(1104)] = 34353,
  [SMALL_STATE(1105)] = 34401,
  [SMALL_STATE(1106)] = 34449,
  [SMALL_STATE(1107)] = 34497,
  [SMALL_STATE(1108)] = 34545,
  [SMALL_STATE(1109)] = 34593,
  [SMALL_STATE(1110)] = 34641,
  [SMALL_STATE(1111)] = 34689,
  [SMALL_STATE(1112)] = 34737,
  [SMALL_STATE(1113)] = 34785,
  [SMALL_STATE(1114)] = 34833,
  [SMALL_STATE(1115)] = 34881,
  [SMALL_STATE(1116)] = 34929,
  [SMALL_STATE(1117)] = 35005,
  [SMALL_STATE(1118)] = 35053,
  [SMALL_STATE(1119)] = 35101,
  [SMALL_STATE(1120)] = 35149,
  [SMALL_STATE(1121)] = 35197,
  [SMALL_STATE(1122)] = 35245,
  [SMALL_STATE(1123)] = 35293,
  [SMALL_STATE(1124)] = 35341,
  [SMALL_STATE(1125)] = 35389,
  [SMALL_STATE(1126)] = 35437,
  [SMALL_STATE(1127)] = 35511,
  [SMALL_STATE(1128)] = 35591,
  [SMALL_STATE(1129)] = 35639,
  [SMALL_STATE(1130)] = 35687,
  [SMALL_STATE(1131)] = 35735,
  [SMALL_STATE(1132)] = 35805,
  [SMALL_STATE(1133)] = 35853,
  [SMALL_STATE(1134)] = 35929,
  [SMALL_STATE(1135)] = 36005,
  [SMALL_STATE(1136)] = 36063,
  [SMALL_STATE(1137)] = 36111,
  [SMALL_STATE(1138)] = 36171,
  [SMALL_STATE(1139)] = 36219,
  [SMALL_STATE(1140)] = 36275,
  [SMALL_STATE(1141)] = 36339,
  [SMALL_STATE(1142)] = 36387,
  [SMALL_STATE(1143)] = 36473,
  [SMALL_STATE(1144)] = 36523,
  [SMALL_STATE(1145)] = 36598,
  [SMALL_STATE(1146)] = 36683,
  [SMALL_STATE(1147)] = 36768,
  [SMALL_STATE(1148)] = 36847,
  [SMALL_STATE(1149)] = 36926,
  [SMALL_STATE(1150)] = 37011,
  [SMALL_STATE(1151)] = 37060,
  [SMALL_STATE(1152)] = 37109,
  [SMALL_STATE(1153)] = 37194,
  [SMALL_STATE(1154)] = 37273,
  [SMALL_STATE(1155)] = 37352,
  [SMALL_STATE(1156)] = 37431,
  [SMALL_STATE(1157)] = 37516,
  [SMALL_STATE(1158)] = 37593,
  [SMALL_STATE(1159)] = 37642,
  [SMALL_STATE(1160)] = 37699,
  [SMALL_STATE(1161)] = 37754,
  [SMALL_STATE(1162)] = 37833,
  [SMALL_STATE(1163)] = 37892,
  [SMALL_STATE(1164)] = 37955,
  [SMALL_STATE(1165)] = 38022,
  [SMALL_STATE(1166)] = 38107,
  [SMALL_STATE(1167)] = 38192,
  [SMALL_STATE(1168)] = 38261,
  [SMALL_STATE(1169)] = 38334,
  [SMALL_STATE(1170)] = 38415,
  [SMALL_STATE(1171)] = 38498,
  [SMALL_STATE(1172)] = 38577,
  [SMALL_STATE(1173)] = 38626,
  [SMALL_STATE(1174)] = 38711,
  [SMALL_STATE(1175)] = 38782,
  [SMALL_STATE(1176)] = 38835,
  [SMALL_STATE(1177)] = 38920,
  [SMALL_STATE(1178)] = 39005,
  [SMALL_STATE(1179)] = 39092,
  [SMALL_STATE(1180)] = 39169,
  [SMALL_STATE(1181)] = 39253,
  [SMALL_STATE(1182)] = 39339,
  [SMALL_STATE(1183)] = 39427,
  [SMALL_STATE(1184)] = 39513,
  [SMALL_STATE(1185)] = 39597,
  [SMALL_STATE(1186)] = 39683,
  [SMALL_STATE(1187)] = 39769,
  [SMALL_STATE(1188)] = 39853,
  [SMALL_STATE(1189)] = 39939,
  [SMALL_STATE(1190)] = 40022,
  [SMALL_STATE(1191)] = 40105,
  [SMALL_STATE(1192)] = 40188,
  [SMALL_STATE(1193)] = 40273,
  [SMALL_STATE(1194)] = 40364,
  [SMALL_STATE(1195)] = 40447,
  [SMALL_STATE(1196)] = 40530,
  [SMALL_STATE(1197)] = 40613,
  [SMALL_STATE(1198)] = 40696,
  [SMALL_STATE(1199)] = 40779,
  [SMALL_STATE(1200)] = 40862,
  [SMALL_STATE(1201)] = 40945,
  [SMALL_STATE(1202)] = 41030,
  [SMALL_STATE(1203)] = 41115,
  [SMALL_STATE(1204)] = 41168,
  [SMALL_STATE(1205)] = 41251,
  [SMALL_STATE(1206)] = 41304,
  [SMALL_STATE(1207)] = 41387,
  [SMALL_STATE(1208)] = 41470,
  [SMALL_STATE(1209)] = 41561,
  [SMALL_STATE(1210)] = 41652,
  [SMALL_STATE(1211)] = 41735,
  [SMALL_STATE(1212)] = 41820,
  [SMALL_STATE(1213)] = 41905,
  [SMALL_STATE(1214)] = 41994,
  [SMALL_STATE(1215)] = 42077,
  [SMALL_STATE(1216)] = 42168,
  [SMALL_STATE(1217)] = 42251,
  [SMALL_STATE(1218)] = 42342,
  [SMALL_STATE(1219)] = 42425,
  [SMALL_STATE(1220)] = 42508,
  [SMALL_STATE(1221)] = 42591,
  [SMALL_STATE(1222)] = 42674,
  [SMALL_STATE(1223)] = 42745,
  [SMALL_STATE(1224)] = 42828,
  [SMALL_STATE(1225)] = 42913,
  [SMALL_STATE(1226)] = 42998,
  [SMALL_STATE(1227)] = 43069,
  [SMALL_STATE(1228)] = 43160,
  [SMALL_STATE(1229)] = 43245,
  [SMALL_STATE(1230)] = 43336,
  [SMALL_STATE(1231)] = 43419,
  [SMALL_STATE(1232)] = 43502,
  [SMALL_STATE(1233)] = 43585,
  [SMALL_STATE(1234)] = 43668,
  [SMALL_STATE(1235)] = 43751,
  [SMALL_STATE(1236)] = 43834,
  [SMALL_STATE(1237)] = 43917,
  [SMALL_STATE(1238)] = 44000,
  [SMALL_STATE(1239)] = 44083,
  [SMALL_STATE(1240)] = 44166,
  [SMALL_STATE(1241)] = 44257,
  [SMALL_STATE(1242)] = 44340,
  [SMALL_STATE(1243)] = 44422,
  [SMALL_STATE(1244)] = 44504,
  [SMALL_STATE(1245)] = 44586,
  [SMALL_STATE(1246)] = 44668,
  [SMALL_STATE(1247)] = 44750,
  [SMALL_STATE(1248)] = 44832,
  [SMALL_STATE(1249)] = 44914,
  [SMALL_STATE(1250)] = 44996,
  [SMALL_STATE(1251)] = 45078,
  [SMALL_STATE(1252)] = 45160,
  [SMALL_STATE(1253)] = 45242,
  [SMALL_STATE(1254)] = 45324,
  [SMALL_STATE(1255)] = 45406,
  [SMALL_STATE(1256)] = 45488,
  [SMALL_STATE(1257)] = 45570,
  [SMALL_STATE(1258)] = 45652,
  [SMALL_STATE(1259)] = 45734,
  [SMALL_STATE(1260)] = 45816,
  [SMALL_STATE(1261)] = 45898,
  [SMALL_STATE(1262)] = 45980,
  [SMALL_STATE(1263)] = 46062,
  [SMALL_STATE(1264)] = 46144,
  [SMALL_STATE(1265)] = 46226,
  [SMALL_STATE(1266)] = 46308,
  [SMALL_STATE(1267)] = 46390,
  [SMALL_STATE(1268)] = 46472,
  [SMALL_STATE(1269)] = 46554,
  [SMALL_STATE(1270)] = 46636,
  [SMALL_STATE(1271)] = 46718,
  [SMALL_STATE(1272)] = 46800,
  [SMALL_STATE(1273)] = 46882,
  [SMALL_STATE(1274)] = 46964,
  [SMALL_STATE(1275)] = 47046,
  [SMALL_STATE(1276)] = 47128,
  [SMALL_STATE(1277)] = 47210,
  [SMALL_STATE(1278)] = 47292,
  [SMALL_STATE(1279)] = 47374,
  [SMALL_STATE(1280)] = 47456,
  [SMALL_STATE(1281)] = 47538,
  [SMALL_STATE(1282)] = 47620,
  [SMALL_STATE(1283)] = 47702,
  [SMALL_STATE(1284)] = 47784,
  [SMALL_STATE(1285)] = 47866,
  [SMALL_STATE(1286)] = 47910,
  [SMALL_STATE(1287)] = 47992,
  [SMALL_STATE(1288)] = 48074,
  [SMALL_STATE(1289)] = 48156,
  [SMALL_STATE(1290)] = 48238,
  [SMALL_STATE(1291)] = 48320,
  [SMALL_STATE(1292)] = 48402,
  [SMALL_STATE(1293)] = 48484,
  [SMALL_STATE(1294)] = 48566,
  [SMALL_STATE(1295)] = 48648,
  [SMALL_STATE(1296)] = 48730,
  [SMALL_STATE(1297)] = 48812,
  [SMALL_STATE(1298)] = 48894,
  [SMALL_STATE(1299)] = 48976,
  [SMALL_STATE(1300)] = 49058,
  [SMALL_STATE(1301)] = 49140,
  [SMALL_STATE(1302)] = 49222,
  [SMALL_STATE(1303)] = 49290,
  [SMALL_STATE(1304)] = 49372,
  [SMALL_STATE(1305)] = 49454,
  [SMALL_STATE(1306)] = 49536,
  [SMALL_STATE(1307)] = 49618,
  [SMALL_STATE(1308)] = 49700,
  [SMALL_STATE(1309)] = 49782,
  [SMALL_STATE(1310)] = 49850,
  [SMALL_STATE(1311)] = 49932,
  [SMALL_STATE(1312)] = 50013,
  [SMALL_STATE(1313)] = 50058,
  [SMALL_STATE(1314)] = 50101,
  [SMALL_STATE(1315)] = 50182,
  [SMALL_STATE(1316)] = 50261,
  [SMALL_STATE(1317)] = 50342,
  [SMALL_STATE(1318)] = 50385,
  [SMALL_STATE(1319)] = 50466,
  [SMALL_STATE(1320)] = 50508,
  [SMALL_STATE(1321)] = 50550,
  [SMALL_STATE(1322)] = 50592,
  [SMALL_STATE(1323)] = 50634,
  [SMALL_STATE(1324)] = 50679,
  [SMALL_STATE(1325)] = 50726,
  [SMALL_STATE(1326)] = 50783,
  [SMALL_STATE(1327)] = 50840,
  [SMALL_STATE(1328)] = 50897,
  [SMALL_STATE(1329)] = 50954,
  [SMALL_STATE(1330)] = 50993,
  [SMALL_STATE(1331)] = 51050,
  [SMALL_STATE(1332)] = 51089,
  [SMALL_STATE(1333)] = 51146,
  [SMALL_STATE(1334)] = 51185,
  [SMALL_STATE(1335)] = 51242,
  [SMALL_STATE(1336)] = 51299,
  [SMALL_STATE(1337)] = 51356,
  [SMALL_STATE(1338)] = 51413,
  [SMALL_STATE(1339)] = 51452,
  [SMALL_STATE(1340)] = 51509,
  [SMALL_STATE(1341)] = 51563,
  [SMALL_STATE(1342)] = 51617,
  [SMALL_STATE(1343)] = 51671,
  [SMALL_STATE(1344)] = 51725,
  [SMALL_STATE(1345)] = 51779,
  [SMALL_STATE(1346)] = 51833,
  [SMALL_STATE(1347)] = 51880,
  [SMALL_STATE(1348)] = 51927,
  [SMALL_STATE(1349)] = 51974,
  [SMALL_STATE(1350)] = 52009,
  [SMALL_STATE(1351)] = 52043,
  [SMALL_STATE(1352)] = 52102,
  [SMALL_STATE(1353)] = 52154,
  [SMALL_STATE(1354)] = 52206,
  [SMALL_STATE(1355)] = 52260,
  [SMALL_STATE(1356)] = 52311,
  [SMALL_STATE(1357)] = 52362,
  [SMALL_STATE(1358)] = 52413,
  [SMALL_STATE(1359)] = 52462,
  [SMALL_STATE(1360)] = 52511,
  [SMALL_STATE(1361)] = 52560,
  [SMALL_STATE(1362)] = 52593,
  [SMALL_STATE(1363)] = 52628,
  [SMALL_STATE(1364)] = 52672,
  [SMALL_STATE(1365)] = 52716,
  [SMALL_STATE(1366)] = 52746,
  [SMALL_STATE(1367)] = 52791,
  [SMALL_STATE(1368)] = 52818,
  [SMALL_STATE(1369)] = 52845,
  [SMALL_STATE(1370)] = 52872,
  [SMALL_STATE(1371)] = 52899,
  [SMALL_STATE(1372)] = 52925,
  [SMALL_STATE(1373)] = 52951,
  [SMALL_STATE(1374)] = 52977,
  [SMALL_STATE(1375)] = 53003,
  [SMALL_STATE(1376)] = 53029,
  [SMALL_STATE(1377)] = 53055,
  [SMALL_STATE(1378)] = 53081,
  [SMALL_STATE(1379)] = 53127,
  [SMALL_STATE(1380)] = 53173,
  [SMALL_STATE(1381)] = 53199,
  [SMALL_STATE(1382)] = 53225,
  [SMALL_STATE(1383)] = 53251,
  [SMALL_STATE(1384)] = 53277,
  [SMALL_STATE(1385)] = 53323,
  [SMALL_STATE(1386)] = 53349,
  [SMALL_STATE(1387)] = 53375,
  [SMALL_STATE(1388)] = 53401,
  [SMALL_STATE(1389)] = 53427,
  [SMALL_STATE(1390)] = 53453,
  [SMALL_STATE(1391)] = 53497,
  [SMALL_STATE(1392)] = 53523,
  [SMALL_STATE(1393)] = 53569,
  [SMALL_STATE(1394)] = 53595,
  [SMALL_STATE(1395)] = 53620,
  [SMALL_STATE(1396)] = 53645,
  [SMALL_STATE(1397)] = 53688,
  [SMALL_STATE(1398)] = 53713,
  [SMALL_STATE(1399)] = 53738,
  [SMALL_STATE(1400)] = 53763,
  [SMALL_STATE(1401)] = 53788,
  [SMALL_STATE(1402)] = 53815,
  [SMALL_STATE(1403)] = 53840,
  [SMALL_STATE(1404)] = 53887,
  [SMALL_STATE(1405)] = 53930,
  [SMALL_STATE(1406)] = 53973,
  [SMALL_STATE(1407)] = 53998,
  [SMALL_STATE(1408)] = 54023,
  [SMALL_STATE(1409)] = 54048,
  [SMALL_STATE(1410)] = 54073,
  [SMALL_STATE(1411)] = 54098,
  [SMALL_STATE(1412)] = 54139,
  [SMALL_STATE(1413)] = 54164,
  [SMALL_STATE(1414)] = 54189,
  [SMALL_STATE(1415)] = 54214,
  [SMALL_STATE(1416)] = 54239,
  [SMALL_STATE(1417)] = 54272,
  [SMALL_STATE(1418)] = 54297,
  [SMALL_STATE(1419)] = 54322,
  [SMALL_STATE(1420)] = 54347,
  [SMALL_STATE(1421)] = 54378,
  [SMALL_STATE(1422)] = 54403,
  [SMALL_STATE(1423)] = 54428,
  [SMALL_STATE(1424)] = 54469,
  [SMALL_STATE(1425)] = 54494,
  [SMALL_STATE(1426)] = 54519,
  [SMALL_STATE(1427)] = 54544,
  [SMALL_STATE(1428)] = 54569,
  [SMALL_STATE(1429)] = 54594,
  [SMALL_STATE(1430)] = 54635,
  [SMALL_STATE(1431)] = 54660,
  [SMALL_STATE(1432)] = 54703,
  [SMALL_STATE(1433)] = 54750,
  [SMALL_STATE(1434)] = 54775,
  [SMALL_STATE(1435)] = 54815,
  [SMALL_STATE(1436)] = 54855,
  [SMALL_STATE(1437)] = 54891,
  [SMALL_STATE(1438)] = 54931,
  [SMALL_STATE(1439)] = 54971,
  [SMALL_STATE(1440)] = 54996,
  [SMALL_STATE(1441)] = 55031,
  [SMALL_STATE(1442)] = 55066,
  [SMALL_STATE(1443)] = 55099,
  [SMALL_STATE(1444)] = 55124,
  [SMALL_STATE(1445)] = 55155,
  [SMALL_STATE(1446)] = 55192,
  [SMALL_STATE(1447)] = 55229,
  [SMALL_STATE(1448)] = 55262,
  [SMALL_STATE(1449)] = 55299,
  [SMALL_STATE(1450)] = 55334,
  [SMALL_STATE(1451)] = 55359,
  [SMALL_STATE(1452)] = 55384,
  [SMALL_STATE(1453)] = 55421,
  [SMALL_STATE(1454)] = 55458,
  [SMALL_STATE(1455)] = 55495,
  [SMALL_STATE(1456)] = 55519,
  [SMALL_STATE(1457)] = 55543,
  [SMALL_STATE(1458)] = 55567,
  [SMALL_STATE(1459)] = 55591,
  [SMALL_STATE(1460)] = 55615,
  [SMALL_STATE(1461)] = 55639,
  [SMALL_STATE(1462)] = 55667,
  [SMALL_STATE(1463)] = 55697,
  [SMALL_STATE(1464)] = 55721,
  [SMALL_STATE(1465)] = 55745,
  [SMALL_STATE(1466)] = 55777,
  [SMALL_STATE(1467)] = 55801,
  [SMALL_STATE(1468)] = 55827,
  [SMALL_STATE(1469)] = 55851,
  [SMALL_STATE(1470)] = 55875,
  [SMALL_STATE(1471)] = 55899,
  [SMALL_STATE(1472)] = 55923,
  [SMALL_STATE(1473)] = 55957,
  [SMALL_STATE(1474)] = 55989,
  [SMALL_STATE(1475)] = 56013,
  [SMALL_STATE(1476)] = 56037,
  [SMALL_STATE(1477)] = 56065,
  [SMALL_STATE(1478)] = 56099,
  [SMALL_STATE(1479)] = 56131,
  [SMALL_STATE(1480)] = 56155,
  [SMALL_STATE(1481)] = 56183,
  [SMALL_STATE(1482)] = 56211,
  [SMALL_STATE(1483)] = 56245,
  [SMALL_STATE(1484)] = 56279,
  [SMALL_STATE(1485)] = 56303,
  [SMALL_STATE(1486)] = 56337,
  [SMALL_STATE(1487)] = 56366,
  [SMALL_STATE(1488)] = 56395,
  [SMALL_STATE(1489)] = 56416,
  [SMALL_STATE(1490)] = 56437,
  [SMALL_STATE(1491)] = 56458,
  [SMALL_STATE(1492)] = 56489,
  [SMALL_STATE(1493)] = 56518,
  [SMALL_STATE(1494)] = 56545,
  [SMALL_STATE(1495)] = 56574,
  [SMALL_STATE(1496)] = 56601,
  [SMALL_STATE(1497)] = 56630,
  [SMALL_STATE(1498)] = 56659,
  [SMALL_STATE(1499)] = 56686,
  [SMALL_STATE(1500)] = 56715,
  [SMALL_STATE(1501)] = 56744,
  [SMALL_STATE(1502)] = 56775,
  [SMALL_STATE(1503)] = 56804,
  [SMALL_STATE(1504)] = 56833,
  [SMALL_STATE(1505)] = 56862,
  [SMALL_STATE(1506)] = 56889,
  [SMALL_STATE(1507)] = 56916,
  [SMALL_STATE(1508)] = 56945,
  [SMALL_STATE(1509)] = 56966,
  [SMALL_STATE(1510)] = 56997,
  [SMALL_STATE(1511)] = 57028,
  [SMALL_STATE(1512)] = 57059,
  [SMALL_STATE(1513)] = 57090,
  [SMALL_STATE(1514)] = 57121,
  [SMALL_STATE(1515)] = 57150,
  [SMALL_STATE(1516)] = 57173,
  [SMALL_STATE(1517)] = 57200,
  [SMALL_STATE(1518)] = 57229,
  [SMALL_STATE(1519)] = 57256,
  [SMALL_STATE(1520)] = 57283,
  [SMALL_STATE(1521)] = 57304,
  [SMALL_STATE(1522)] = 57333,
  [SMALL_STATE(1523)] = 57364,
  [SMALL_STATE(1524)] = 57395,
  [SMALL_STATE(1525)] = 57428,
  [SMALL_STATE(1526)] = 57457,
  [SMALL_STATE(1527)] = 57486,
  [SMALL_STATE(1528)] = 57517,
  [SMALL_STATE(1529)] = 57546,
  [SMALL_STATE(1530)] = 57575,
  [SMALL_STATE(1531)] = 57604,
  [SMALL_STATE(1532)] = 57635,
  [SMALL_STATE(1533)] = 57664,
  [SMALL_STATE(1534)] = 57685,
  [SMALL_STATE(1535)] = 57714,
  [SMALL_STATE(1536)] = 57737,
  [SMALL_STATE(1537)] = 57762,
  [SMALL_STATE(1538)] = 57791,
  [SMALL_STATE(1539)] = 57820,
  [SMALL_STATE(1540)] = 57849,
  [SMALL_STATE(1541)] = 57878,
  [SMALL_STATE(1542)] = 57907,
  [SMALL_STATE(1543)] = 57938,
  [SMALL_STATE(1544)] = 57965,
  [SMALL_STATE(1545)] = 57992,
  [SMALL_STATE(1546)] = 58025,
  [SMALL_STATE(1547)] = 58054,
  [SMALL_STATE(1548)] = 58081,
  [SMALL_STATE(1549)] = 58106,
  [SMALL_STATE(1550)] = 58131,
  [SMALL_STATE(1551)] = 58162,
  [SMALL_STATE(1552)] = 58183,
  [SMALL_STATE(1553)] = 58212,
  [SMALL_STATE(1554)] = 58238,
  [SMALL_STATE(1555)] = 58272,
  [SMALL_STATE(1556)] = 58306,
  [SMALL_STATE(1557)] = 58340,
  [SMALL_STATE(1558)] = 58366,
  [SMALL_STATE(1559)] = 58396,
  [SMALL_STATE(1560)] = 58422,
  [SMALL_STATE(1561)] = 58456,
  [SMALL_STATE(1562)] = 58482,
  [SMALL_STATE(1563)] = 58512,
  [SMALL_STATE(1564)] = 58540,
  [SMALL_STATE(1565)] = 58574,
  [SMALL_STATE(1566)] = 58608,
  [SMALL_STATE(1567)] = 58640,
  [SMALL_STATE(1568)] = 58671,
  [SMALL_STATE(1569)] = 58694,
  [SMALL_STATE(1570)] = 58717,
  [SMALL_STATE(1571)] = 58740,
  [SMALL_STATE(1572)] = 58761,
  [SMALL_STATE(1573)] = 58784,
  [SMALL_STATE(1574)] = 58805,
  [SMALL_STATE(1575)] = 58832,
  [SMALL_STATE(1576)] = 58855,
  [SMALL_STATE(1577)] = 58878,
  [SMALL_STATE(1578)] = 58899,
  [SMALL_STATE(1579)] = 58920,
  [SMALL_STATE(1580)] = 58947,
  [SMALL_STATE(1581)] = 58970,
  [SMALL_STATE(1582)] = 58991,
  [SMALL_STATE(1583)] = 59012,
  [SMALL_STATE(1584)] = 59035,
  [SMALL_STATE(1585)] = 59058,
  [SMALL_STATE(1586)] = 59081,
  [SMALL_STATE(1587)] = 59102,
  [SMALL_STATE(1588)] = 59125,
  [SMALL_STATE(1589)] = 59146,
  [SMALL_STATE(1590)] = 59167,
  [SMALL_STATE(1591)] = 59190,
  [SMALL_STATE(1592)] = 59213,
  [SMALL_STATE(1593)] = 59236,
  [SMALL_STATE(1594)] = 59259,
  [SMALL_STATE(1595)] = 59284,
  [SMALL_STATE(1596)] = 59313,
  [SMALL_STATE(1597)] = 59336,
  [SMALL_STATE(1598)] = 59357,
  [SMALL_STATE(1599)] = 59380,
  [SMALL_STATE(1600)] = 59403,
  [SMALL_STATE(1601)] = 59424,
  [SMALL_STATE(1602)] = 59451,
  [SMALL_STATE(1603)] = 59472,
  [SMALL_STATE(1604)] = 59499,
  [SMALL_STATE(1605)] = 59520,
  [SMALL_STATE(1606)] = 59543,
  [SMALL_STATE(1607)] = 59570,
  [SMALL_STATE(1608)] = 59593,
  [SMALL_STATE(1609)] = 59614,
  [SMALL_STATE(1610)] = 59635,
  [SMALL_STATE(1611)] = 59658,
  [SMALL_STATE(1612)] = 59685,
  [SMALL_STATE(1613)] = 59712,
  [SMALL_STATE(1614)] = 59740,
  [SMALL_STATE(1615)] = 59768,
  [SMALL_STATE(1616)] = 59794,
  [SMALL_STATE(1617)] = 59820,
  [SMALL_STATE(1618)] = 59848,
  [SMALL_STATE(1619)] = 59868,
  [SMALL_STATE(1620)] = 59892,
  [SMALL_STATE(1621)] = 59920,
  [SMALL_STATE(1622)] = 59948,
  [SMALL_STATE(1623)] = 59976,
  [SMALL_STATE(1624)] = 59998,
  [SMALL_STATE(1625)] = 60018,
  [SMALL_STATE(1626)] = 60044,
  [SMALL_STATE(1627)] = 60072,
  [SMALL_STATE(1628)] = 60100,
  [SMALL_STATE(1629)] = 60126,
  [SMALL_STATE(1630)] = 60152,
  [SMALL_STATE(1631)] = 60176,
  [SMALL_STATE(1632)] = 60204,
  [SMALL_STATE(1633)] = 60232,
  [SMALL_STATE(1634)] = 60258,
  [SMALL_STATE(1635)] = 60286,
  [SMALL_STATE(1636)] = 60314,
  [SMALL_STATE(1637)] = 60334,
  [SMALL_STATE(1638)] = 60354,
  [SMALL_STATE(1639)] = 60382,
  [SMALL_STATE(1640)] = 60408,
  [SMALL_STATE(1641)] = 60436,
  [SMALL_STATE(1642)] = 60464,
  [SMALL_STATE(1643)] = 60492,
  [SMALL_STATE(1644)] = 60518,
  [SMALL_STATE(1645)] = 60546,
  [SMALL_STATE(1646)] = 60574,
  [SMALL_STATE(1647)] = 60598,
  [SMALL_STATE(1648)] = 60626,
  [SMALL_STATE(1649)] = 60654,
  [SMALL_STATE(1650)] = 60682,
  [SMALL_STATE(1651)] = 60710,
  [SMALL_STATE(1652)] = 60738,
  [SMALL_STATE(1653)] = 60764,
  [SMALL_STATE(1654)] = 60792,
  [SMALL_STATE(1655)] = 60820,
  [SMALL_STATE(1656)] = 60840,
  [SMALL_STATE(1657)] = 60868,
  [SMALL_STATE(1658)] = 60896,
  [SMALL_STATE(1659)] = 60924,
  [SMALL_STATE(1660)] = 60952,
  [SMALL_STATE(1661)] = 60980,
  [SMALL_STATE(1662)] = 61008,
  [SMALL_STATE(1663)] = 61032,
  [SMALL_STATE(1664)] = 61052,
  [SMALL_STATE(1665)] = 61072,
  [SMALL_STATE(1666)] = 61100,
  [SMALL_STATE(1667)] = 61126,
  [SMALL_STATE(1668)] = 61152,
  [SMALL_STATE(1669)] = 61180,
  [SMALL_STATE(1670)] = 61208,
  [SMALL_STATE(1671)] = 61232,
  [SMALL_STATE(1672)] = 61252,
  [SMALL_STATE(1673)] = 61278,
  [SMALL_STATE(1674)] = 61304,
  [SMALL_STATE(1675)] = 61328,
  [SMALL_STATE(1676)] = 61356,
  [SMALL_STATE(1677)] = 61376,
  [SMALL_STATE(1678)] = 61404,
  [SMALL_STATE(1679)] = 61428,
  [SMALL_STATE(1680)] = 61456,
  [SMALL_STATE(1681)] = 61484,
  [SMALL_STATE(1682)] = 61512,
  [SMALL_STATE(1683)] = 61540,
  [SMALL_STATE(1684)] = 61560,
  [SMALL_STATE(1685)] = 61581,
  [SMALL_STATE(1686)] = 61598,
  [SMALL_STATE(1687)] = 61621,
  [SMALL_STATE(1688)] = 61642,
  [SMALL_STATE(1689)] = 61667,
  [SMALL_STATE(1690)] = 61690,
  [SMALL_STATE(1691)] = 61713,
  [SMALL_STATE(1692)] = 61738,
  [SMALL_STATE(1693)] = 61759,
  [SMALL_STATE(1694)] = 61784,
  [SMALL_STATE(1695)] = 61805,
  [SMALL_STATE(1696)] = 61828,
  [SMALL_STATE(1697)] = 61849,
  [SMALL_STATE(1698)] = 61872,
  [SMALL_STATE(1699)] = 61897,
  [SMALL_STATE(1700)] = 61918,
  [SMALL_STATE(1701)] = 61939,
  [SMALL_STATE(1702)] = 61964,
  [SMALL_STATE(1703)] = 61985,
  [SMALL_STATE(1704)] = 62006,
  [SMALL_STATE(1705)] = 62029,
  [SMALL_STATE(1706)] = 62046,
  [SMALL_STATE(1707)] = 62071,
  [SMALL_STATE(1708)] = 62096,
  [SMALL_STATE(1709)] = 62119,
  [SMALL_STATE(1710)] = 62142,
  [SMALL_STATE(1711)] = 62161,
  [SMALL_STATE(1712)] = 62182,
  [SMALL_STATE(1713)] = 62207,
  [SMALL_STATE(1714)] = 62228,
  [SMALL_STATE(1715)] = 62249,
  [SMALL_STATE(1716)] = 62270,
  [SMALL_STATE(1717)] = 62295,
  [SMALL_STATE(1718)] = 62320,
  [SMALL_STATE(1719)] = 62341,
  [SMALL_STATE(1720)] = 62364,
  [SMALL_STATE(1721)] = 62383,
  [SMALL_STATE(1722)] = 62406,
  [SMALL_STATE(1723)] = 62431,
  [SMALL_STATE(1724)] = 62452,
  [SMALL_STATE(1725)] = 62477,
  [SMALL_STATE(1726)] = 62502,
  [SMALL_STATE(1727)] = 62523,
  [SMALL_STATE(1728)] = 62548,
  [SMALL_STATE(1729)] = 62567,
  [SMALL_STATE(1730)] = 62586,
  [SMALL_STATE(1731)] = 62605,
  [SMALL_STATE(1732)] = 62628,
  [SMALL_STATE(1733)] = 62647,
  [SMALL_STATE(1734)] = 62672,
  [SMALL_STATE(1735)] = 62693,
  [SMALL_STATE(1736)] = 62714,
  [SMALL_STATE(1737)] = 62739,
  [SMALL_STATE(1738)] = 62762,
  [SMALL_STATE(1739)] = 62785,
  [SMALL_STATE(1740)] = 62806,
  [SMALL_STATE(1741)] = 62829,
  [SMALL_STATE(1742)] = 62850,
  [SMALL_STATE(1743)] = 62875,
  [SMALL_STATE(1744)] = 62896,
  [SMALL_STATE(1745)] = 62917,
  [SMALL_STATE(1746)] = 62936,
  [SMALL_STATE(1747)] = 62957,
  [SMALL_STATE(1748)] = 62978,
  [SMALL_STATE(1749)] = 63001,
  [SMALL_STATE(1750)] = 63020,
  [SMALL_STATE(1751)] = 63041,
  [SMALL_STATE(1752)] = 63064,
  [SMALL_STATE(1753)] = 63089,
  [SMALL_STATE(1754)] = 63110,
  [SMALL_STATE(1755)] = 63131,
  [SMALL_STATE(1756)] = 63152,
  [SMALL_STATE(1757)] = 63169,
  [SMALL_STATE(1758)] = 63190,
  [SMALL_STATE(1759)] = 63211,
  [SMALL_STATE(1760)] = 63232,
  [SMALL_STATE(1761)] = 63251,
  [SMALL_STATE(1762)] = 63270,
  [SMALL_STATE(1763)] = 63291,
  [SMALL_STATE(1764)] = 63312,
  [SMALL_STATE(1765)] = 63333,
  [SMALL_STATE(1766)] = 63354,
  [SMALL_STATE(1767)] = 63379,
  [SMALL_STATE(1768)] = 63402,
  [SMALL_STATE(1769)] = 63419,
  [SMALL_STATE(1770)] = 63436,
  [SMALL_STATE(1771)] = 63455,
  [SMALL_STATE(1772)] = 63476,
  [SMALL_STATE(1773)] = 63495,
  [SMALL_STATE(1774)] = 63516,
  [SMALL_STATE(1775)] = 63539,
  [SMALL_STATE(1776)] = 63562,
  [SMALL_STATE(1777)] = 63587,
  [SMALL_STATE(1778)] = 63608,
  [SMALL_STATE(1779)] = 63633,
  [SMALL_STATE(1780)] = 63658,
  [SMALL_STATE(1781)] = 63679,
  [SMALL_STATE(1782)] = 63702,
  [SMALL_STATE(1783)] = 63725,
  [SMALL_STATE(1784)] = 63748,
  [SMALL_STATE(1785)] = 63771,
  [SMALL_STATE(1786)] = 63792,
  [SMALL_STATE(1787)] = 63815,
  [SMALL_STATE(1788)] = 63835,
  [SMALL_STATE(1789)] = 63855,
  [SMALL_STATE(1790)] = 63873,
  [SMALL_STATE(1791)] = 63893,
  [SMALL_STATE(1792)] = 63915,
  [SMALL_STATE(1793)] = 63937,
  [SMALL_STATE(1794)] = 63955,
  [SMALL_STATE(1795)] = 63975,
  [SMALL_STATE(1796)] = 63993,
  [SMALL_STATE(1797)] = 64015,
  [SMALL_STATE(1798)] = 64037,
  [SMALL_STATE(1799)] = 64057,
  [SMALL_STATE(1800)] = 64079,
  [SMALL_STATE(1801)] = 64101,
  [SMALL_STATE(1802)] = 64119,
  [SMALL_STATE(1803)] = 64137,
  [SMALL_STATE(1804)] = 64153,
  [SMALL_STATE(1805)] = 64175,
  [SMALL_STATE(1806)] = 64191,
  [SMALL_STATE(1807)] = 64207,
  [SMALL_STATE(1808)] = 64227,
  [SMALL_STATE(1809)] = 64249,
  [SMALL_STATE(1810)] = 64265,
  [SMALL_STATE(1811)] = 64285,
  [SMALL_STATE(1812)] = 64307,
  [SMALL_STATE(1813)] = 64325,
  [SMALL_STATE(1814)] = 64347,
  [SMALL_STATE(1815)] = 64365,
  [SMALL_STATE(1816)] = 64387,
  [SMALL_STATE(1817)] = 64407,
  [SMALL_STATE(1818)] = 64423,
  [SMALL_STATE(1819)] = 64441,
  [SMALL_STATE(1820)] = 64463,
  [SMALL_STATE(1821)] = 64479,
  [SMALL_STATE(1822)] = 64495,
  [SMALL_STATE(1823)] = 64515,
  [SMALL_STATE(1824)] = 64533,
  [SMALL_STATE(1825)] = 64553,
  [SMALL_STATE(1826)] = 64569,
  [SMALL_STATE(1827)] = 64591,
  [SMALL_STATE(1828)] = 64611,
  [SMALL_STATE(1829)] = 64629,
  [SMALL_STATE(1830)] = 64651,
  [SMALL_STATE(1831)] = 64671,
  [SMALL_STATE(1832)] = 64691,
  [SMALL_STATE(1833)] = 64713,
  [SMALL_STATE(1834)] = 64729,
  [SMALL_STATE(1835)] = 64747,
  [SMALL_STATE(1836)] = 64763,
  [SMALL_STATE(1837)] = 64785,
  [SMALL_STATE(1838)] = 64805,
  [SMALL_STATE(1839)] = 64821,
  [SMALL_STATE(1840)] = 64843,
  [SMALL_STATE(1841)] = 64865,
  [SMALL_STATE(1842)] = 64881,
  [SMALL_STATE(1843)] = 64897,
  [SMALL_STATE(1844)] = 64913,
  [SMALL_STATE(1845)] = 64935,
  [SMALL_STATE(1846)] = 64957,
  [SMALL_STATE(1847)] = 64977,
  [SMALL_STATE(1848)] = 64999,
  [SMALL_STATE(1849)] = 65021,
  [SMALL_STATE(1850)] = 65041,
  [SMALL_STATE(1851)] = 65063,
  [SMALL_STATE(1852)] = 65083,
  [SMALL_STATE(1853)] = 65103,
  [SMALL_STATE(1854)] = 65123,
  [SMALL_STATE(1855)] = 65143,
  [SMALL_STATE(1856)] = 65165,
  [SMALL_STATE(1857)] = 65185,
  [SMALL_STATE(1858)] = 65205,
  [SMALL_STATE(1859)] = 65225,
  [SMALL_STATE(1860)] = 65245,
  [SMALL_STATE(1861)] = 65265,
  [SMALL_STATE(1862)] = 65285,
  [SMALL_STATE(1863)] = 65305,
  [SMALL_STATE(1864)] = 65325,
  [SMALL_STATE(1865)] = 65345,
  [SMALL_STATE(1866)] = 65361,
  [SMALL_STATE(1867)] = 65383,
  [SMALL_STATE(1868)] = 65399,
  [SMALL_STATE(1869)] = 65421,
  [SMALL_STATE(1870)] = 65443,
  [SMALL_STATE(1871)] = 65463,
  [SMALL_STATE(1872)] = 65483,
  [SMALL_STATE(1873)] = 65503,
  [SMALL_STATE(1874)] = 65523,
  [SMALL_STATE(1875)] = 65543,
  [SMALL_STATE(1876)] = 65563,
  [SMALL_STATE(1877)] = 65583,
  [SMALL_STATE(1878)] = 65603,
  [SMALL_STATE(1879)] = 65625,
  [SMALL_STATE(1880)] = 65647,
  [SMALL_STATE(1881)] = 65669,
  [SMALL_STATE(1882)] = 65689,
  [SMALL_STATE(1883)] = 65711,
  [SMALL_STATE(1884)] = 65733,
  [SMALL_STATE(1885)] = 65755,
  [SMALL_STATE(1886)] = 65777,
  [SMALL_STATE(1887)] = 65799,
  [SMALL_STATE(1888)] = 65821,
  [SMALL_STATE(1889)] = 65843,
  [SMALL_STATE(1890)] = 65863,
  [SMALL_STATE(1891)] = 65885,
  [SMALL_STATE(1892)] = 65907,
  [SMALL_STATE(1893)] = 65929,
  [SMALL_STATE(1894)] = 65949,
  [SMALL_STATE(1895)] = 65971,
  [SMALL_STATE(1896)] = 65991,
  [SMALL_STATE(1897)] = 66013,
  [SMALL_STATE(1898)] = 66035,
  [SMALL_STATE(1899)] = 66053,
  [SMALL_STATE(1900)] = 66075,
  [SMALL_STATE(1901)] = 66097,
  [SMALL_STATE(1902)] = 66119,
  [SMALL_STATE(1903)] = 66141,
  [SMALL_STATE(1904)] = 66163,
  [SMALL_STATE(1905)] = 66183,
  [SMALL_STATE(1906)] = 66205,
  [SMALL_STATE(1907)] = 66225,
  [SMALL_STATE(1908)] = 66245,
  [SMALL_STATE(1909)] = 66265,
  [SMALL_STATE(1910)] = 66285,
  [SMALL_STATE(1911)] = 66305,
  [SMALL_STATE(1912)] = 66327,
  [SMALL_STATE(1913)] = 66345,
  [SMALL_STATE(1914)] = 66365,
  [SMALL_STATE(1915)] = 66387,
  [SMALL_STATE(1916)] = 66409,
  [SMALL_STATE(1917)] = 66429,
  [SMALL_STATE(1918)] = 66449,
  [SMALL_STATE(1919)] = 66467,
  [SMALL_STATE(1920)] = 66487,
  [SMALL_STATE(1921)] = 66507,
  [SMALL_STATE(1922)] = 66527,
  [SMALL_STATE(1923)] = 66547,
  [SMALL_STATE(1924)] = 66569,
  [SMALL_STATE(1925)] = 66589,
  [SMALL_STATE(1926)] = 66611,
  [SMALL_STATE(1927)] = 66631,
  [SMALL_STATE(1928)] = 66649,
  [SMALL_STATE(1929)] = 66669,
  [SMALL_STATE(1930)] = 66685,
  [SMALL_STATE(1931)] = 66707,
  [SMALL_STATE(1932)] = 66729,
  [SMALL_STATE(1933)] = 66749,
  [SMALL_STATE(1934)] = 66769,
  [SMALL_STATE(1935)] = 66787,
  [SMALL_STATE(1936)] = 66807,
  [SMALL_STATE(1937)] = 66829,
  [SMALL_STATE(1938)] = 66845,
  [SMALL_STATE(1939)] = 66867,
  [SMALL_STATE(1940)] = 66883,
  [SMALL_STATE(1941)] = 66905,
  [SMALL_STATE(1942)] = 66927,
  [SMALL_STATE(1943)] = 66947,
  [SMALL_STATE(1944)] = 66963,
  [SMALL_STATE(1945)] = 66983,
  [SMALL_STATE(1946)] = 67001,
  [SMALL_STATE(1947)] = 67023,
  [SMALL_STATE(1948)] = 67045,
  [SMALL_STATE(1949)] = 67065,
  [SMALL_STATE(1950)] = 67082,
  [SMALL_STATE(1951)] = 67099,
  [SMALL_STATE(1952)] = 67116,
  [SMALL_STATE(1953)] = 67133,
  [SMALL_STATE(1954)] = 67150,
  [SMALL_STATE(1955)] = 67169,
  [SMALL_STATE(1956)] = 67186,
  [SMALL_STATE(1957)] = 67205,
  [SMALL_STATE(1958)] = 67222,
  [SMALL_STATE(1959)] = 67239,
  [SMALL_STATE(1960)] = 67256,
  [SMALL_STATE(1961)] = 67275,
  [SMALL_STATE(1962)] = 67294,
  [SMALL_STATE(1963)] = 67311,
  [SMALL_STATE(1964)] = 67328,
  [SMALL_STATE(1965)] = 67347,
  [SMALL_STATE(1966)] = 67364,
  [SMALL_STATE(1967)] = 67383,
  [SMALL_STATE(1968)] = 67402,
  [SMALL_STATE(1969)] = 67419,
  [SMALL_STATE(1970)] = 67438,
  [SMALL_STATE(1971)] = 67455,
  [SMALL_STATE(1972)] = 67472,
  [SMALL_STATE(1973)] = 67489,
  [SMALL_STATE(1974)] = 67506,
  [SMALL_STATE(1975)] = 67525,
  [SMALL_STATE(1976)] = 67542,
  [SMALL_STATE(1977)] = 67559,
  [SMALL_STATE(1978)] = 67576,
  [SMALL_STATE(1979)] = 67593,
  [SMALL_STATE(1980)] = 67610,
  [SMALL_STATE(1981)] = 67627,
  [SMALL_STATE(1982)] = 67644,
  [SMALL_STATE(1983)] = 67663,
  [SMALL_STATE(1984)] = 67680,
  [SMALL_STATE(1985)] = 67697,
  [SMALL_STATE(1986)] = 67716,
  [SMALL_STATE(1987)] = 67733,
  [SMALL_STATE(1988)] = 67752,
  [SMALL_STATE(1989)] = 67769,
  [SMALL_STATE(1990)] = 67788,
  [SMALL_STATE(1991)] = 67807,
  [SMALL_STATE(1992)] = 67824,
  [SMALL_STATE(1993)] = 67841,
  [SMALL_STATE(1994)] = 67858,
  [SMALL_STATE(1995)] = 67875,
  [SMALL_STATE(1996)] = 67892,
  [SMALL_STATE(1997)] = 67911,
  [SMALL_STATE(1998)] = 67928,
  [SMALL_STATE(1999)] = 67945,
  [SMALL_STATE(2000)] = 67962,
  [SMALL_STATE(2001)] = 67977,
  [SMALL_STATE(2002)] = 67994,
  [SMALL_STATE(2003)] = 68011,
  [SMALL_STATE(2004)] = 68028,
  [SMALL_STATE(2005)] = 68047,
  [SMALL_STATE(2006)] = 68066,
  [SMALL_STATE(2007)] = 68083,
  [SMALL_STATE(2008)] = 68100,
  [SMALL_STATE(2009)] = 68119,
  [SMALL_STATE(2010)] = 68138,
  [SMALL_STATE(2011)] = 68155,
  [SMALL_STATE(2012)] = 68174,
  [SMALL_STATE(2013)] = 68189,
  [SMALL_STATE(2014)] = 68206,
  [SMALL_STATE(2015)] = 68223,
  [SMALL_STATE(2016)] = 68240,
  [SMALL_STATE(2017)] = 68259,
  [SMALL_STATE(2018)] = 68276,
  [SMALL_STATE(2019)] = 68293,
  [SMALL_STATE(2020)] = 68310,
  [SMALL_STATE(2021)] = 68329,
  [SMALL_STATE(2022)] = 68348,
  [SMALL_STATE(2023)] = 68367,
  [SMALL_STATE(2024)] = 68384,
  [SMALL_STATE(2025)] = 68401,
  [SMALL_STATE(2026)] = 68420,
  [SMALL_STATE(2027)] = 68439,
  [SMALL_STATE(2028)] = 68458,
  [SMALL_STATE(2029)] = 68475,
  [SMALL_STATE(2030)] = 68492,
  [SMALL_STATE(2031)] = 68509,
  [SMALL_STATE(2032)] = 68528,
  [SMALL_STATE(2033)] = 68543,
  [SMALL_STATE(2034)] = 68560,
  [SMALL_STATE(2035)] = 68579,
  [SMALL_STATE(2036)] = 68596,
  [SMALL_STATE(2037)] = 68613,
  [SMALL_STATE(2038)] = 68630,
  [SMALL_STATE(2039)] = 68649,
  [SMALL_STATE(2040)] = 68668,
  [SMALL_STATE(2041)] = 68685,
  [SMALL_STATE(2042)] = 68704,
  [SMALL_STATE(2043)] = 68723,
  [SMALL_STATE(2044)] = 68740,
  [SMALL_STATE(2045)] = 68757,
  [SMALL_STATE(2046)] = 68774,
  [SMALL_STATE(2047)] = 68791,
  [SMALL_STATE(2048)] = 68806,
  [SMALL_STATE(2049)] = 68823,
  [SMALL_STATE(2050)] = 68842,
  [SMALL_STATE(2051)] = 68859,
  [SMALL_STATE(2052)] = 68878,
  [SMALL_STATE(2053)] = 68897,
  [SMALL_STATE(2054)] = 68916,
  [SMALL_STATE(2055)] = 68933,
  [SMALL_STATE(2056)] = 68950,
  [SMALL_STATE(2057)] = 68967,
  [SMALL_STATE(2058)] = 68984,
  [SMALL_STATE(2059)] = 69003,
  [SMALL_STATE(2060)] = 69020,
  [SMALL_STATE(2061)] = 69037,
  [SMALL_STATE(2062)] = 69056,
  [SMALL_STATE(2063)] = 69073,
  [SMALL_STATE(2064)] = 69090,
  [SMALL_STATE(2065)] = 69107,
  [SMALL_STATE(2066)] = 69124,
  [SMALL_STATE(2067)] = 69141,
  [SMALL_STATE(2068)] = 69160,
  [SMALL_STATE(2069)] = 69177,
  [SMALL_STATE(2070)] = 69194,
  [SMALL_STATE(2071)] = 69209,
  [SMALL_STATE(2072)] = 69228,
  [SMALL_STATE(2073)] = 69245,
  [SMALL_STATE(2074)] = 69260,
  [SMALL_STATE(2075)] = 69277,
  [SMALL_STATE(2076)] = 69294,
  [SMALL_STATE(2077)] = 69311,
  [SMALL_STATE(2078)] = 69328,
  [SMALL_STATE(2079)] = 69343,
  [SMALL_STATE(2080)] = 69362,
  [SMALL_STATE(2081)] = 69379,
  [SMALL_STATE(2082)] = 69398,
  [SMALL_STATE(2083)] = 69417,
  [SMALL_STATE(2084)] = 69434,
  [SMALL_STATE(2085)] = 69453,
  [SMALL_STATE(2086)] = 69472,
  [SMALL_STATE(2087)] = 69489,
  [SMALL_STATE(2088)] = 69508,
  [SMALL_STATE(2089)] = 69525,
  [SMALL_STATE(2090)] = 69542,
  [SMALL_STATE(2091)] = 69559,
  [SMALL_STATE(2092)] = 69576,
  [SMALL_STATE(2093)] = 69593,
  [SMALL_STATE(2094)] = 69608,
  [SMALL_STATE(2095)] = 69623,
  [SMALL_STATE(2096)] = 69642,
  [SMALL_STATE(2097)] = 69661,
  [SMALL_STATE(2098)] = 69676,
  [SMALL_STATE(2099)] = 69695,
  [SMALL_STATE(2100)] = 69712,
  [SMALL_STATE(2101)] = 69729,
  [SMALL_STATE(2102)] = 69748,
  [SMALL_STATE(2103)] = 69765,
  [SMALL_STATE(2104)] = 69782,
  [SMALL_STATE(2105)] = 69801,
  [SMALL_STATE(2106)] = 69818,
  [SMALL_STATE(2107)] = 69835,
  [SMALL_STATE(2108)] = 69852,
  [SMALL_STATE(2109)] = 69869,
  [SMALL_STATE(2110)] = 69886,
  [SMALL_STATE(2111)] = 69901,
  [SMALL_STATE(2112)] = 69918,
  [SMALL_STATE(2113)] = 69937,
  [SMALL_STATE(2114)] = 69952,
  [SMALL_STATE(2115)] = 69969,
  [SMALL_STATE(2116)] = 69986,
  [SMALL_STATE(2117)] = 70001,
  [SMALL_STATE(2118)] = 70016,
  [SMALL_STATE(2119)] = 70035,
  [SMALL_STATE(2120)] = 70054,
  [SMALL_STATE(2121)] = 70073,
  [SMALL_STATE(2122)] = 70092,
  [SMALL_STATE(2123)] = 70107,
  [SMALL_STATE(2124)] = 70122,
  [SMALL_STATE(2125)] = 70139,
  [SMALL_STATE(2126)] = 70156,
  [SMALL_STATE(2127)] = 70173,
  [SMALL_STATE(2128)] = 70190,
  [SMALL_STATE(2129)] = 70207,
  [SMALL_STATE(2130)] = 70226,
  [SMALL_STATE(2131)] = 70245,
  [SMALL_STATE(2132)] = 70264,
  [SMALL_STATE(2133)] = 70283,
  [SMALL_STATE(2134)] = 70300,
  [SMALL_STATE(2135)] = 70319,
  [SMALL_STATE(2136)] = 70338,
  [SMALL_STATE(2137)] = 70355,
  [SMALL_STATE(2138)] = 70372,
  [SMALL_STATE(2139)] = 70391,
  [SMALL_STATE(2140)] = 70408,
  [SMALL_STATE(2141)] = 70425,
  [SMALL_STATE(2142)] = 70444,
  [SMALL_STATE(2143)] = 70461,
  [SMALL_STATE(2144)] = 70480,
  [SMALL_STATE(2145)] = 70497,
  [SMALL_STATE(2146)] = 70516,
  [SMALL_STATE(2147)] = 70533,
  [SMALL_STATE(2148)] = 70552,
  [SMALL_STATE(2149)] = 70569,
  [SMALL_STATE(2150)] = 70588,
  [SMALL_STATE(2151)] = 70605,
  [SMALL_STATE(2152)] = 70622,
  [SMALL_STATE(2153)] = 70641,
  [SMALL_STATE(2154)] = 70658,
  [SMALL_STATE(2155)] = 70677,
  [SMALL_STATE(2156)] = 70694,
  [SMALL_STATE(2157)] = 70713,
  [SMALL_STATE(2158)] = 70732,
  [SMALL_STATE(2159)] = 70749,
  [SMALL_STATE(2160)] = 70764,
  [SMALL_STATE(2161)] = 70781,
  [SMALL_STATE(2162)] = 70796,
  [SMALL_STATE(2163)] = 70813,
  [SMALL_STATE(2164)] = 70830,
  [SMALL_STATE(2165)] = 70845,
  [SMALL_STATE(2166)] = 70860,
  [SMALL_STATE(2167)] = 70879,
  [SMALL_STATE(2168)] = 70896,
  [SMALL_STATE(2169)] = 70915,
  [SMALL_STATE(2170)] = 70934,
  [SMALL_STATE(2171)] = 70951,
  [SMALL_STATE(2172)] = 70970,
  [SMALL_STATE(2173)] = 70989,
  [SMALL_STATE(2174)] = 71008,
  [SMALL_STATE(2175)] = 71025,
  [SMALL_STATE(2176)] = 71044,
  [SMALL_STATE(2177)] = 71061,
  [SMALL_STATE(2178)] = 71078,
  [SMALL_STATE(2179)] = 71095,
  [SMALL_STATE(2180)] = 71114,
  [SMALL_STATE(2181)] = 71129,
  [SMALL_STATE(2182)] = 71148,
  [SMALL_STATE(2183)] = 71167,
  [SMALL_STATE(2184)] = 71184,
  [SMALL_STATE(2185)] = 71199,
  [SMALL_STATE(2186)] = 71216,
  [SMALL_STATE(2187)] = 71235,
  [SMALL_STATE(2188)] = 71252,
  [SMALL_STATE(2189)] = 71269,
  [SMALL_STATE(2190)] = 71284,
  [SMALL_STATE(2191)] = 71303,
  [SMALL_STATE(2192)] = 71318,
  [SMALL_STATE(2193)] = 71337,
  [SMALL_STATE(2194)] = 71354,
  [SMALL_STATE(2195)] = 71373,
  [SMALL_STATE(2196)] = 71390,
  [SMALL_STATE(2197)] = 71407,
  [SMALL_STATE(2198)] = 71424,
  [SMALL_STATE(2199)] = 71443,
  [SMALL_STATE(2200)] = 71460,
  [SMALL_STATE(2201)] = 71479,
  [SMALL_STATE(2202)] = 71498,
  [SMALL_STATE(2203)] = 71515,
  [SMALL_STATE(2204)] = 71534,
  [SMALL_STATE(2205)] = 71549,
  [SMALL_STATE(2206)] = 71568,
  [SMALL_STATE(2207)] = 71585,
  [SMALL_STATE(2208)] = 71604,
  [SMALL_STATE(2209)] = 71623,
  [SMALL_STATE(2210)] = 71640,
  [SMALL_STATE(2211)] = 71659,
  [SMALL_STATE(2212)] = 71678,
  [SMALL_STATE(2213)] = 71693,
  [SMALL_STATE(2214)] = 71708,
  [SMALL_STATE(2215)] = 71727,
  [SMALL_STATE(2216)] = 71746,
  [SMALL_STATE(2217)] = 71765,
  [SMALL_STATE(2218)] = 71784,
  [SMALL_STATE(2219)] = 71803,
  [SMALL_STATE(2220)] = 71822,
  [SMALL_STATE(2221)] = 71838,
  [SMALL_STATE(2222)] = 71852,
  [SMALL_STATE(2223)] = 71866,
  [SMALL_STATE(2224)] = 71880,
  [SMALL_STATE(2225)] = 71896,
  [SMALL_STATE(2226)] = 71910,
  [SMALL_STATE(2227)] = 71926,
  [SMALL_STATE(2228)] = 71940,
  [SMALL_STATE(2229)] = 71956,
  [SMALL_STATE(2230)] = 71970,
  [SMALL_STATE(2231)] = 71986,
  [SMALL_STATE(2232)] = 72002,
  [SMALL_STATE(2233)] = 72016,
  [SMALL_STATE(2234)] = 72032,
  [SMALL_STATE(2235)] = 72046,
  [SMALL_STATE(2236)] = 72060,
  [SMALL_STATE(2237)] = 72076,
  [SMALL_STATE(2238)] = 72092,
  [SMALL_STATE(2239)] = 72106,
  [SMALL_STATE(2240)] = 72122,
  [SMALL_STATE(2241)] = 72136,
  [SMALL_STATE(2242)] = 72152,
  [SMALL_STATE(2243)] = 72166,
  [SMALL_STATE(2244)] = 72182,
  [SMALL_STATE(2245)] = 72198,
  [SMALL_STATE(2246)] = 72214,
  [SMALL_STATE(2247)] = 72230,
  [SMALL_STATE(2248)] = 72246,
  [SMALL_STATE(2249)] = 72262,
  [SMALL_STATE(2250)] = 72278,
  [SMALL_STATE(2251)] = 72292,
  [SMALL_STATE(2252)] = 72306,
  [SMALL_STATE(2253)] = 72322,
  [SMALL_STATE(2254)] = 72338,
  [SMALL_STATE(2255)] = 72352,
  [SMALL_STATE(2256)] = 72368,
  [SMALL_STATE(2257)] = 72384,
  [SMALL_STATE(2258)] = 72398,
  [SMALL_STATE(2259)] = 72414,
  [SMALL_STATE(2260)] = 72428,
  [SMALL_STATE(2261)] = 72444,
  [SMALL_STATE(2262)] = 72458,
  [SMALL_STATE(2263)] = 72472,
  [SMALL_STATE(2264)] = 72488,
  [SMALL_STATE(2265)] = 72502,
  [SMALL_STATE(2266)] = 72518,
  [SMALL_STATE(2267)] = 72534,
  [SMALL_STATE(2268)] = 72550,
  [SMALL_STATE(2269)] = 72564,
  [SMALL_STATE(2270)] = 72578,
  [SMALL_STATE(2271)] = 72594,
  [SMALL_STATE(2272)] = 72610,
  [SMALL_STATE(2273)] = 72626,
  [SMALL_STATE(2274)] = 72640,
  [SMALL_STATE(2275)] = 72656,
  [SMALL_STATE(2276)] = 72672,
  [SMALL_STATE(2277)] = 72688,
  [SMALL_STATE(2278)] = 72704,
  [SMALL_STATE(2279)] = 72720,
  [SMALL_STATE(2280)] = 72734,
  [SMALL_STATE(2281)] = 72750,
  [SMALL_STATE(2282)] = 72764,
  [SMALL_STATE(2283)] = 72778,
  [SMALL_STATE(2284)] = 72792,
  [SMALL_STATE(2285)] = 72806,
  [SMALL_STATE(2286)] = 72820,
  [SMALL_STATE(2287)] = 72834,
  [SMALL_STATE(2288)] = 72850,
  [SMALL_STATE(2289)] = 72866,
  [SMALL_STATE(2290)] = 72880,
  [SMALL_STATE(2291)] = 72894,
  [SMALL_STATE(2292)] = 72908,
  [SMALL_STATE(2293)] = 72924,
  [SMALL_STATE(2294)] = 72938,
  [SMALL_STATE(2295)] = 72952,
  [SMALL_STATE(2296)] = 72968,
  [SMALL_STATE(2297)] = 72984,
  [SMALL_STATE(2298)] = 72998,
  [SMALL_STATE(2299)] = 73014,
  [SMALL_STATE(2300)] = 73030,
  [SMALL_STATE(2301)] = 73044,
  [SMALL_STATE(2302)] = 73060,
  [SMALL_STATE(2303)] = 73076,
  [SMALL_STATE(2304)] = 73092,
  [SMALL_STATE(2305)] = 73106,
  [SMALL_STATE(2306)] = 73122,
  [SMALL_STATE(2307)] = 73138,
  [SMALL_STATE(2308)] = 73154,
  [SMALL_STATE(2309)] = 73170,
  [SMALL_STATE(2310)] = 73186,
  [SMALL_STATE(2311)] = 73202,
  [SMALL_STATE(2312)] = 73218,
  [SMALL_STATE(2313)] = 73232,
  [SMALL_STATE(2314)] = 73246,
  [SMALL_STATE(2315)] = 73262,
  [SMALL_STATE(2316)] = 73276,
  [SMALL_STATE(2317)] = 73290,
  [SMALL_STATE(2318)] = 73304,
  [SMALL_STATE(2319)] = 73320,
  [SMALL_STATE(2320)] = 73336,
  [SMALL_STATE(2321)] = 73350,
  [SMALL_STATE(2322)] = 73364,
  [SMALL_STATE(2323)] = 73378,
  [SMALL_STATE(2324)] = 73392,
  [SMALL_STATE(2325)] = 73408,
  [SMALL_STATE(2326)] = 73424,
  [SMALL_STATE(2327)] = 73440,
  [SMALL_STATE(2328)] = 73456,
  [SMALL_STATE(2329)] = 73470,
  [SMALL_STATE(2330)] = 73486,
  [SMALL_STATE(2331)] = 73502,
  [SMALL_STATE(2332)] = 73518,
  [SMALL_STATE(2333)] = 73534,
  [SMALL_STATE(2334)] = 73548,
  [SMALL_STATE(2335)] = 73562,
  [SMALL_STATE(2336)] = 73576,
  [SMALL_STATE(2337)] = 73592,
  [SMALL_STATE(2338)] = 73606,
  [SMALL_STATE(2339)] = 73622,
  [SMALL_STATE(2340)] = 73636,
  [SMALL_STATE(2341)] = 73652,
  [SMALL_STATE(2342)] = 73668,
  [SMALL_STATE(2343)] = 73684,
  [SMALL_STATE(2344)] = 73700,
  [SMALL_STATE(2345)] = 73716,
  [SMALL_STATE(2346)] = 73732,
  [SMALL_STATE(2347)] = 73748,
  [SMALL_STATE(2348)] = 73764,
  [SMALL_STATE(2349)] = 73780,
  [SMALL_STATE(2350)] = 73796,
  [SMALL_STATE(2351)] = 73810,
  [SMALL_STATE(2352)] = 73826,
  [SMALL_STATE(2353)] = 73842,
  [SMALL_STATE(2354)] = 73858,
  [SMALL_STATE(2355)] = 73874,
  [SMALL_STATE(2356)] = 73890,
  [SMALL_STATE(2357)] = 73906,
  [SMALL_STATE(2358)] = 73920,
  [SMALL_STATE(2359)] = 73936,
  [SMALL_STATE(2360)] = 73950,
  [SMALL_STATE(2361)] = 73964,
  [SMALL_STATE(2362)] = 73980,
  [SMALL_STATE(2363)] = 73994,
  [SMALL_STATE(2364)] = 74008,
  [SMALL_STATE(2365)] = 74024,
  [SMALL_STATE(2366)] = 74038,
  [SMALL_STATE(2367)] = 74052,
  [SMALL_STATE(2368)] = 74068,
  [SMALL_STATE(2369)] = 74082,
  [SMALL_STATE(2370)] = 74098,
  [SMALL_STATE(2371)] = 74114,
  [SMALL_STATE(2372)] = 74130,
  [SMALL_STATE(2373)] = 74146,
  [SMALL_STATE(2374)] = 74162,
  [SMALL_STATE(2375)] = 74178,
  [SMALL_STATE(2376)] = 74192,
  [SMALL_STATE(2377)] = 74206,
  [SMALL_STATE(2378)] = 74222,
  [SMALL_STATE(2379)] = 74238,
  [SMALL_STATE(2380)] = 74254,
  [SMALL_STATE(2381)] = 74268,
  [SMALL_STATE(2382)] = 74284,
  [SMALL_STATE(2383)] = 74300,
  [SMALL_STATE(2384)] = 74316,
  [SMALL_STATE(2385)] = 74330,
  [SMALL_STATE(2386)] = 74346,
  [SMALL_STATE(2387)] = 74362,
  [SMALL_STATE(2388)] = 74378,
  [SMALL_STATE(2389)] = 74394,
  [SMALL_STATE(2390)] = 74410,
  [SMALL_STATE(2391)] = 74426,
  [SMALL_STATE(2392)] = 74440,
  [SMALL_STATE(2393)] = 74454,
  [SMALL_STATE(2394)] = 74470,
  [SMALL_STATE(2395)] = 74486,
  [SMALL_STATE(2396)] = 74500,
  [SMALL_STATE(2397)] = 74516,
  [SMALL_STATE(2398)] = 74530,
  [SMALL_STATE(2399)] = 74546,
  [SMALL_STATE(2400)] = 74562,
  [SMALL_STATE(2401)] = 74578,
  [SMALL_STATE(2402)] = 74592,
  [SMALL_STATE(2403)] = 74606,
  [SMALL_STATE(2404)] = 74622,
  [SMALL_STATE(2405)] = 74636,
  [SMALL_STATE(2406)] = 74652,
  [SMALL_STATE(2407)] = 74668,
  [SMALL_STATE(2408)] = 74684,
  [SMALL_STATE(2409)] = 74700,
  [SMALL_STATE(2410)] = 74714,
  [SMALL_STATE(2411)] = 74730,
  [SMALL_STATE(2412)] = 74744,
  [SMALL_STATE(2413)] = 74758,
  [SMALL_STATE(2414)] = 74774,
  [SMALL_STATE(2415)] = 74790,
  [SMALL_STATE(2416)] = 74806,
  [SMALL_STATE(2417)] = 74822,
  [SMALL_STATE(2418)] = 74836,
  [SMALL_STATE(2419)] = 74850,
  [SMALL_STATE(2420)] = 74866,
  [SMALL_STATE(2421)] = 74882,
  [SMALL_STATE(2422)] = 74898,
  [SMALL_STATE(2423)] = 74914,
  [SMALL_STATE(2424)] = 74930,
  [SMALL_STATE(2425)] = 74944,
  [SMALL_STATE(2426)] = 74960,
  [SMALL_STATE(2427)] = 74974,
  [SMALL_STATE(2428)] = 74990,
  [SMALL_STATE(2429)] = 75006,
  [SMALL_STATE(2430)] = 75022,
  [SMALL_STATE(2431)] = 75038,
  [SMALL_STATE(2432)] = 75054,
  [SMALL_STATE(2433)] = 75068,
  [SMALL_STATE(2434)] = 75084,
  [SMALL_STATE(2435)] = 75098,
  [SMALL_STATE(2436)] = 75112,
  [SMALL_STATE(2437)] = 75126,
  [SMALL_STATE(2438)] = 75142,
  [SMALL_STATE(2439)] = 75156,
  [SMALL_STATE(2440)] = 75170,
  [SMALL_STATE(2441)] = 75184,
  [SMALL_STATE(2442)] = 75200,
  [SMALL_STATE(2443)] = 75216,
  [SMALL_STATE(2444)] = 75232,
  [SMALL_STATE(2445)] = 75248,
  [SMALL_STATE(2446)] = 75264,
  [SMALL_STATE(2447)] = 75280,
  [SMALL_STATE(2448)] = 75296,
  [SMALL_STATE(2449)] = 75312,
  [SMALL_STATE(2450)] = 75326,
  [SMALL_STATE(2451)] = 75340,
  [SMALL_STATE(2452)] = 75356,
  [SMALL_STATE(2453)] = 75370,
  [SMALL_STATE(2454)] = 75386,
  [SMALL_STATE(2455)] = 75402,
  [SMALL_STATE(2456)] = 75418,
  [SMALL_STATE(2457)] = 75432,
  [SMALL_STATE(2458)] = 75448,
  [SMALL_STATE(2459)] = 75464,
  [SMALL_STATE(2460)] = 75480,
  [SMALL_STATE(2461)] = 75496,
  [SMALL_STATE(2462)] = 75512,
  [SMALL_STATE(2463)] = 75528,
  [SMALL_STATE(2464)] = 75544,
  [SMALL_STATE(2465)] = 75558,
  [SMALL_STATE(2466)] = 75574,
  [SMALL_STATE(2467)] = 75590,
  [SMALL_STATE(2468)] = 75606,
  [SMALL_STATE(2469)] = 75622,
  [SMALL_STATE(2470)] = 75636,
  [SMALL_STATE(2471)] = 75652,
  [SMALL_STATE(2472)] = 75668,
  [SMALL_STATE(2473)] = 75684,
  [SMALL_STATE(2474)] = 75698,
  [SMALL_STATE(2475)] = 75714,
  [SMALL_STATE(2476)] = 75730,
  [SMALL_STATE(2477)] = 75744,
  [SMALL_STATE(2478)] = 75760,
  [SMALL_STATE(2479)] = 75776,
  [SMALL_STATE(2480)] = 75790,
  [SMALL_STATE(2481)] = 75806,
  [SMALL_STATE(2482)] = 75822,
  [SMALL_STATE(2483)] = 75838,
  [SMALL_STATE(2484)] = 75854,
  [SMALL_STATE(2485)] = 75868,
  [SMALL_STATE(2486)] = 75884,
  [SMALL_STATE(2487)] = 75900,
  [SMALL_STATE(2488)] = 75916,
  [SMALL_STATE(2489)] = 75930,
  [SMALL_STATE(2490)] = 75943,
  [SMALL_STATE(2491)] = 75956,
  [SMALL_STATE(2492)] = 75969,
  [SMALL_STATE(2493)] = 75982,
  [SMALL_STATE(2494)] = 75995,
  [SMALL_STATE(2495)] = 76008,
  [SMALL_STATE(2496)] = 76021,
  [SMALL_STATE(2497)] = 76034,
  [SMALL_STATE(2498)] = 76047,
  [SMALL_STATE(2499)] = 76060,
  [SMALL_STATE(2500)] = 76073,
  [SMALL_STATE(2501)] = 76086,
  [SMALL_STATE(2502)] = 76099,
  [SMALL_STATE(2503)] = 76112,
  [SMALL_STATE(2504)] = 76125,
  [SMALL_STATE(2505)] = 76138,
  [SMALL_STATE(2506)] = 76151,
  [SMALL_STATE(2507)] = 76164,
  [SMALL_STATE(2508)] = 76177,
  [SMALL_STATE(2509)] = 76190,
  [SMALL_STATE(2510)] = 76203,
  [SMALL_STATE(2511)] = 76216,
  [SMALL_STATE(2512)] = 76229,
  [SMALL_STATE(2513)] = 76242,
  [SMALL_STATE(2514)] = 76255,
  [SMALL_STATE(2515)] = 76268,
  [SMALL_STATE(2516)] = 76281,
  [SMALL_STATE(2517)] = 76294,
  [SMALL_STATE(2518)] = 76307,
  [SMALL_STATE(2519)] = 76320,
  [SMALL_STATE(2520)] = 76333,
  [SMALL_STATE(2521)] = 76346,
  [SMALL_STATE(2522)] = 76359,
  [SMALL_STATE(2523)] = 76372,
  [SMALL_STATE(2524)] = 76385,
  [SMALL_STATE(2525)] = 76398,
  [SMALL_STATE(2526)] = 76411,
  [SMALL_STATE(2527)] = 76424,
  [SMALL_STATE(2528)] = 76437,
  [SMALL_STATE(2529)] = 76450,
  [SMALL_STATE(2530)] = 76463,
  [SMALL_STATE(2531)] = 76476,
  [SMALL_STATE(2532)] = 76489,
  [SMALL_STATE(2533)] = 76502,
  [SMALL_STATE(2534)] = 76515,
  [SMALL_STATE(2535)] = 76528,
  [SMALL_STATE(2536)] = 76541,
  [SMALL_STATE(2537)] = 76554,
  [SMALL_STATE(2538)] = 76567,
  [SMALL_STATE(2539)] = 76580,
  [SMALL_STATE(2540)] = 76593,
  [SMALL_STATE(2541)] = 76606,
  [SMALL_STATE(2542)] = 76619,
  [SMALL_STATE(2543)] = 76632,
  [SMALL_STATE(2544)] = 76645,
  [SMALL_STATE(2545)] = 76658,
  [SMALL_STATE(2546)] = 76671,
  [SMALL_STATE(2547)] = 76684,
  [SMALL_STATE(2548)] = 76697,
  [SMALL_STATE(2549)] = 76710,
  [SMALL_STATE(2550)] = 76723,
  [SMALL_STATE(2551)] = 76736,
  [SMALL_STATE(2552)] = 76749,
  [SMALL_STATE(2553)] = 76762,
  [SMALL_STATE(2554)] = 76775,
  [SMALL_STATE(2555)] = 76788,
  [SMALL_STATE(2556)] = 76801,
  [SMALL_STATE(2557)] = 76814,
  [SMALL_STATE(2558)] = 76827,
  [SMALL_STATE(2559)] = 76840,
  [SMALL_STATE(2560)] = 76853,
  [SMALL_STATE(2561)] = 76866,
  [SMALL_STATE(2562)] = 76879,
  [SMALL_STATE(2563)] = 76892,
  [SMALL_STATE(2564)] = 76905,
  [SMALL_STATE(2565)] = 76918,
  [SMALL_STATE(2566)] = 76931,
  [SMALL_STATE(2567)] = 76944,
  [SMALL_STATE(2568)] = 76957,
  [SMALL_STATE(2569)] = 76970,
  [SMALL_STATE(2570)] = 76983,
  [SMALL_STATE(2571)] = 76996,
  [SMALL_STATE(2572)] = 77009,
  [SMALL_STATE(2573)] = 77022,
  [SMALL_STATE(2574)] = 77035,
  [SMALL_STATE(2575)] = 77048,
  [SMALL_STATE(2576)] = 77061,
  [SMALL_STATE(2577)] = 77074,
  [SMALL_STATE(2578)] = 77087,
  [SMALL_STATE(2579)] = 77100,
  [SMALL_STATE(2580)] = 77113,
  [SMALL_STATE(2581)] = 77126,
  [SMALL_STATE(2582)] = 77139,
  [SMALL_STATE(2583)] = 77152,
  [SMALL_STATE(2584)] = 77165,
  [SMALL_STATE(2585)] = 77178,
  [SMALL_STATE(2586)] = 77191,
  [SMALL_STATE(2587)] = 77204,
  [SMALL_STATE(2588)] = 77217,
  [SMALL_STATE(2589)] = 77230,
  [SMALL_STATE(2590)] = 77243,
  [SMALL_STATE(2591)] = 77256,
  [SMALL_STATE(2592)] = 77269,
  [SMALL_STATE(2593)] = 77282,
  [SMALL_STATE(2594)] = 77295,
  [SMALL_STATE(2595)] = 77308,
  [SMALL_STATE(2596)] = 77321,
  [SMALL_STATE(2597)] = 77334,
  [SMALL_STATE(2598)] = 77347,
  [SMALL_STATE(2599)] = 77360,
  [SMALL_STATE(2600)] = 77373,
  [SMALL_STATE(2601)] = 77386,
  [SMALL_STATE(2602)] = 77399,
  [SMALL_STATE(2603)] = 77412,
  [SMALL_STATE(2604)] = 77425,
  [SMALL_STATE(2605)] = 77438,
  [SMALL_STATE(2606)] = 77451,
  [SMALL_STATE(2607)] = 77464,
  [SMALL_STATE(2608)] = 77477,
  [SMALL_STATE(2609)] = 77490,
  [SMALL_STATE(2610)] = 77503,
  [SMALL_STATE(2611)] = 77516,
  [SMALL_STATE(2612)] = 77529,
  [SMALL_STATE(2613)] = 77542,
  [SMALL_STATE(2614)] = 77555,
  [SMALL_STATE(2615)] = 77568,
  [SMALL_STATE(2616)] = 77581,
  [SMALL_STATE(2617)] = 77594,
  [SMALL_STATE(2618)] = 77607,
  [SMALL_STATE(2619)] = 77620,
  [SMALL_STATE(2620)] = 77633,
  [SMALL_STATE(2621)] = 77646,
  [SMALL_STATE(2622)] = 77659,
  [SMALL_STATE(2623)] = 77672,
  [SMALL_STATE(2624)] = 77685,
  [SMALL_STATE(2625)] = 77698,
  [SMALL_STATE(2626)] = 77711,
  [SMALL_STATE(2627)] = 77724,
  [SMALL_STATE(2628)] = 77737,
  [SMALL_STATE(2629)] = 77750,
  [SMALL_STATE(2630)] = 77763,
  [SMALL_STATE(2631)] = 77776,
  [SMALL_STATE(2632)] = 77789,
  [SMALL_STATE(2633)] = 77802,
  [SMALL_STATE(2634)] = 77815,
  [SMALL_STATE(2635)] = 77828,
  [SMALL_STATE(2636)] = 77841,
  [SMALL_STATE(2637)] = 77854,
  [SMALL_STATE(2638)] = 77867,
  [SMALL_STATE(2639)] = 77880,
  [SMALL_STATE(2640)] = 77893,
  [SMALL_STATE(2641)] = 77906,
  [SMALL_STATE(2642)] = 77919,
  [SMALL_STATE(2643)] = 77932,
  [SMALL_STATE(2644)] = 77945,
  [SMALL_STATE(2645)] = 77958,
  [SMALL_STATE(2646)] = 77971,
  [SMALL_STATE(2647)] = 77984,
  [SMALL_STATE(2648)] = 77997,
  [SMALL_STATE(2649)] = 78010,
  [SMALL_STATE(2650)] = 78023,
  [SMALL_STATE(2651)] = 78036,
  [SMALL_STATE(2652)] = 78049,
  [SMALL_STATE(2653)] = 78062,
  [SMALL_STATE(2654)] = 78075,
  [SMALL_STATE(2655)] = 78088,
  [SMALL_STATE(2656)] = 78101,
  [SMALL_STATE(2657)] = 78114,
  [SMALL_STATE(2658)] = 78127,
  [SMALL_STATE(2659)] = 78140,
  [SMALL_STATE(2660)] = 78153,
  [SMALL_STATE(2661)] = 78166,
  [SMALL_STATE(2662)] = 78179,
  [SMALL_STATE(2663)] = 78192,
  [SMALL_STATE(2664)] = 78205,
  [SMALL_STATE(2665)] = 78218,
  [SMALL_STATE(2666)] = 78231,
  [SMALL_STATE(2667)] = 78244,
  [SMALL_STATE(2668)] = 78257,
  [SMALL_STATE(2669)] = 78270,
  [SMALL_STATE(2670)] = 78283,
  [SMALL_STATE(2671)] = 78296,
  [SMALL_STATE(2672)] = 78309,
  [SMALL_STATE(2673)] = 78322,
  [SMALL_STATE(2674)] = 78335,
  [SMALL_STATE(2675)] = 78348,
  [SMALL_STATE(2676)] = 78361,
  [SMALL_STATE(2677)] = 78374,
  [SMALL_STATE(2678)] = 78387,
  [SMALL_STATE(2679)] = 78400,
  [SMALL_STATE(2680)] = 78413,
  [SMALL_STATE(2681)] = 78426,
  [SMALL_STATE(2682)] = 78439,
  [SMALL_STATE(2683)] = 78452,
  [SMALL_STATE(2684)] = 78465,
  [SMALL_STATE(2685)] = 78478,
  [SMALL_STATE(2686)] = 78491,
  [SMALL_STATE(2687)] = 78504,
  [SMALL_STATE(2688)] = 78517,
  [SMALL_STATE(2689)] = 78530,
  [SMALL_STATE(2690)] = 78543,
  [SMALL_STATE(2691)] = 78556,
  [SMALL_STATE(2692)] = 78569,
  [SMALL_STATE(2693)] = 78582,
  [SMALL_STATE(2694)] = 78595,
  [SMALL_STATE(2695)] = 78608,
  [SMALL_STATE(2696)] = 78621,
  [SMALL_STATE(2697)] = 78634,
  [SMALL_STATE(2698)] = 78647,
  [SMALL_STATE(2699)] = 78660,
  [SMALL_STATE(2700)] = 78673,
  [SMALL_STATE(2701)] = 78686,
  [SMALL_STATE(2702)] = 78699,
  [SMALL_STATE(2703)] = 78712,
  [SMALL_STATE(2704)] = 78725,
  [SMALL_STATE(2705)] = 78738,
  [SMALL_STATE(2706)] = 78751,
  [SMALL_STATE(2707)] = 78764,
  [SMALL_STATE(2708)] = 78777,
  [SMALL_STATE(2709)] = 78790,
  [SMALL_STATE(2710)] = 78803,
  [SMALL_STATE(2711)] = 78816,
  [SMALL_STATE(2712)] = 78820,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [13] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [15] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(790),
  [18] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [20] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(462),
  [23] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1440),
  [26] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1953),
  [29] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1779),
  [32] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1423),
  [35] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1545),
  [38] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1056),
  [41] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2241),
  [44] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(26),
  [47] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2692),
  [50] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2690),
  [53] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2688),
  [56] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [58] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2684),
  [61] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1285),
  [64] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1317),
  [67] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1350),
  [70] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1349),
  [73] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1936),
  [76] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(95),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2678),
  [82] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(197),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2677),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2676),
  [91] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1110),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2248),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2674),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(189),
  [103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(190),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(194),
  [109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(236),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2249),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(83),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2672),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2671),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2252),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2253),
  [130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2258),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(240),
  [136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(240),
  [139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(242),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(571),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(243),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(664),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(816),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2666),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(105),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(755),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1138),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1141),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1445),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1935),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1384),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1960),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1404),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1767),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(88),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(251),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(252),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(254),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(271),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 135),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 135),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3),
  [330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3),
  [332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 135),
  [334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 135),
  [336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2699),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2325),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2708),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2640),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2305),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(736),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(860),
  [871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 3),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 3),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2496),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2477),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 19),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 19),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 19), SHIFT(2314),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 19), SHIFT(78),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 48),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 48),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 48), SHIFT(2314),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 48), SHIFT(78),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 92),
  [1015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 92),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 92), SHIFT_REPEAT(2314),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 3),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 3),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 167),
  [1030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 167),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 185),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 185),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 98),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 98),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 97),
  [1052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 97),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 171),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 171),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 151),
  [1064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 151),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 43),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 43),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 177),
  [1076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 177),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 178),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 178),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 64),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 64),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 152),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 152),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 110),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 110),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 140),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 140),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 13),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 13),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 89),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 89),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 187),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 187),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 141),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 141),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 153),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 153),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 56),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 56),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, .production_id = 13),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, .production_id = 13),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 19),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 19),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 64),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 64),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 56),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 56),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 13),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 13),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 140),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 140),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, .production_id = 100),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, .production_id = 100),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 47),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 47),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 48),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 48),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, .production_id = 41),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, .production_id = 41),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, .production_id = 187),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, .production_id = 187),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, .production_id = 168),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, .production_id = 168),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 89),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 89),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 132),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 132),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 178),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 178),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 97),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 97),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, .production_id = 41),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, .production_id = 41),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 177),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 177),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 141),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 141),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 98),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 98),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, .production_id = 100),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, .production_id = 100),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 171),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 171),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 88),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 88),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 43),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 43),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 150),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 150),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 108),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 108),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 47),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 47),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 46),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 46),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, .production_id = 10),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, .production_id = 10),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 110),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 110),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 153),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 153),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 91),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 91),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 19),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 19),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 90),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 90),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, .production_id = 19),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, .production_id = 19),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 28),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 28),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, .production_id = 1),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, .production_id = 1),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 152),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 152),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 151),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 151),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 13),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 13),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 19),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 19),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, .production_id = 3),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, .production_id = 3),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, .production_id = 176),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, .production_id = 176),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 43),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 43),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 91),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 91),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 19),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 19),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 12),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 12),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 64),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 64),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 13),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 13),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 43),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 43),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 13),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 13),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 108),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 108),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 3),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 3),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, .production_id = 168),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, .production_id = 168),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 25),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 25),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, .production_id = 26),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, .production_id = 26),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 26),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 26),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, .production_id = 45),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, .production_id = 45),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, .production_id = 103),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, .production_id = 103),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 103),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 103),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, .production_id = 9),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, .production_id = 9),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 143),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 143),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 61),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 61),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, .production_id = 143),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, .production_id = 143),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, .production_id = 62),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, .production_id = 62),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 62),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 62),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 142),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 142),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [1684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 1),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2),
  [1695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 3),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2549),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 23),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 23),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, .production_id = 102),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, .production_id = 102),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 5),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 5),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2),
  [1809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2), REDUCE(sym_array_creation_expression, 2),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2),
  [1818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1449),
  [1821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(755),
  [1824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1987),
  [1827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2241),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(99),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2623),
  [1838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(131),
  [1841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1854),
  [1844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1378),
  [1847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2175),
  [1850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1697),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, .production_id = 52),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, .production_id = 52),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, .production_id = 170),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, .production_id = 170),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, .production_id = 169),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, .production_id = 169),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 18),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 18),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, .production_id = 18),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, .production_id = 18),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, .production_id = 18),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, .production_id = 18),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, .production_id = 20),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, .production_id = 20),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 18),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 18),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, .production_id = 139),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, .production_id = 139),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, .production_id = 138),
  [1919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, .production_id = 138),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 95),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 95),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, .production_id = 94),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, .production_id = 94),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 93),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 93),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, .production_id = 53),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, .production_id = 53),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 45),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 45),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 107),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 107),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, .production_id = 49),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, .production_id = 49),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 149),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 149),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 15),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 15),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 148),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 148),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 147),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 147),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 146),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 146),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, .production_id = 19),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, .production_id = 19),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 145),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 145),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 144),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 144),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 172),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 172),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 127),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 127),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 175),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 175),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 155),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 155),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 115),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 115),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 114),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 114),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 113),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 113),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 174),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 174),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, .production_id = 5),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, .production_id = 5),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 173),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 173),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 68),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 68),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 106),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 106),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 105),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 105),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 104),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 104),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, .production_id = 49),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, .production_id = 49),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 186),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 186),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, .production_id = 49),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, .production_id = 49),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 84),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 84),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 83),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 83),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 82),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 82),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 63),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 63),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 70),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 70),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 29),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 29),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 39),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 39),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 40),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 40),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 69),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 69),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, .production_id = 49),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, .production_id = 49),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 59),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 59),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 23),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 24),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 22),
  [2285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 101),
  [2287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 101),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, .production_id = 60),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1319),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1285),
  [2343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1317),
  [2346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1322),
  [2349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1321),
  [2352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1313),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, .production_id = 30),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 116),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, .production_id = 188),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, .production_id = 96),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 159),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 158),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 157),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 156),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 126),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, .production_id = 54),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, .production_id = 55),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1319),
  [2542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1482),
  [2545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1606),
  [2548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1134),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2),
  [2553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1285),
  [2556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1317),
  [2559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1322),
  [2562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1321),
  [2565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1313),
  [2568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1445),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 179),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 180),
  [2581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 181),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, .production_id = 182),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 80),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 120),
  [2599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, .production_id = 133),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 163),
  [2605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, .production_id = 134),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 161),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 118),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [2775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1488),
  [2784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1482),
  [2787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1606),
  [2790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2),
  [2792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(2538),
  [2795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1533),
  [2798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1520),
  [2801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1551),
  [2804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1489),
  [2807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1508),
  [2810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1445),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1448),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1),
  [2860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(362),
  [2869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1456),
  [2872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1475),
  [2875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1366),
  [2878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1782),
  [2881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1475),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_heredoc_body, 2), SHIFT(1366),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(362),
  [2912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1456),
  [2915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1475),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1782),
  [2923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1475),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1445),
  [2931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1488),
  [2934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1533),
  [2937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1520),
  [2940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1551),
  [2943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1489),
  [2946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1508),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 129),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 131),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 10),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 130),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 28),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 86),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 166),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 165),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2),
  [3001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(279),
  [3004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1588),
  [3007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1589),
  [3010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1589),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [3015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1719),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 164),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, .production_id = 128),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, .production_id = 12),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 41),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, .production_id = 76),
  [3064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(286),
  [3067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1676),
  [3070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1676),
  [3073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [3075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1731),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1),
  [3082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 85),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1),
  [3096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 87),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, .production_id = 42),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, .production_id = 1),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 164),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 183),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 41),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, .production_id = 184),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, .production_id = 183),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, .production_id = 189),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3142] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym__type, 1), REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), REDUCE(sym_disjunctive_normal_form_type, 1, .dynamic_precedence = -1),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3149] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym__type, 1), REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), REDUCE(sym_disjunctive_normal_form_type, 1, .dynamic_precedence = -1),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1),
  [3184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, .production_id = 8),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, .production_id = 8),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 26),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 26),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2),
  [3218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1340),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2),
  [3231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [3243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 7),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 7),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, .dynamic_precedence = -1),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, .dynamic_precedence = -1),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, .dynamic_precedence = -1),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, .dynamic_precedence = -1),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, .dynamic_precedence = -1),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, .dynamic_precedence = -1),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1345),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4),
  [3422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2), SHIFT_REPEAT(1332),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2687),
  [3448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2265),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1),
  [3467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 7),
  [3471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 7),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [3475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(244),
  [3478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2284),
  [3481] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym__type, 1), REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), REDUCE(sym_disjunctive_normal_form_type, 1, .dynamic_precedence = -1), SHIFT(1341),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [3535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 48), SHIFT(2329),
  [3538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 48), SHIFT(85),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [3549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 19), SHIFT(2329),
  [3552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 19), SHIFT(85),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [3561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [3591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 92), SHIFT_REPEAT(2329),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [3610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 92),
  [3612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 92), SHIFT_REPEAT(2308),
  [3615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 92),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2), SHIFT_REPEAT(1326),
  [3720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1342),
  [3723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1344),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2581),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, .production_id = 14),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2581),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [3784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2), SHIFT_REPEAT(1335),
  [3787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1343),
  [3790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2581),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2),
  [3797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2),
  [3799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1818),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2549),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 36),
  [3819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1477),
  [3822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1795),
  [3825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [3861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1341),
  [3864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2),
  [3866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2), SHIFT_REPEAT(2044),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1),
  [3877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2), SHIFT(1341),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2),
  [3882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2), SHIFT_REPEAT(1453),
  [3885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2),
  [3887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2), SHIFT_REPEAT(1678),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [3898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2),
  [3908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2), SHIFT_REPEAT(2041),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2),
  [3913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2), SHIFT_REPEAT(2073),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2),
  [3924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2), SHIFT_REPEAT(1567),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2),
  [3935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2), SHIFT_REPEAT(1954),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [3944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2032),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [4033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [4043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1472),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, .production_id = 2),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2), SHIFT_REPEAT(1452),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(151),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 125),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 123),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 122),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 117),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [4156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, .production_id = 4),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [4186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, .production_id = 6),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 19),
  [4198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 19),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 111),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [4230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2), SHIFT_REPEAT(157),
  [4233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2), SHIFT_REPEAT(331),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, .production_id = 2),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 16),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, .production_id = 81),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1),
  [4254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2), SHIFT_REPEAT(148),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, .production_id = 137),
  [4271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, .production_id = 38),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 35),
  [4281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 21),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 27),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 160),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(143),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, .production_id = 51),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3),
  [4306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 31),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, .production_id = 32),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 33),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 34),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2), SHIFT_REPEAT(848),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, .production_id = 137),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [4367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 46),
  [4377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 46),
  [4379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 79),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 78),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7),
  [4397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 77),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, .production_id = 50),
  [4407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 75),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [4415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, .production_id = 51),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(693),
  [4424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [4428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2), SHIFT_REPEAT(1737),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2),
  [4433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 73),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 72),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2), SHIFT_REPEAT(156),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, .production_id = 51),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [4456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(149),
  [4459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 67),
  [4461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 65),
  [4463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2), SHIFT_REPEAT(1810),
  [4466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 57),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, .production_id = 162),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [4508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1), SHIFT(2343),
  [4511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3), REDUCE(sym_array_element_initializer, 3),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 71),
  [4532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 74),
  [4534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 76),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6),
  [4538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 124),
  [4556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2), SHIFT(2343),
  [4559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 121),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 119),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1), REDUCE(sym_array_element_initializer, 1),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [4622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2549),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, .production_id = 12),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 4),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [4677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, .production_id = 136),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [4695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, .production_id = 154),
  [4697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 17),
  [4699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 109),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [4751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2),
  [4753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [4787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 112),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [4801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, .production_id = 3),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 99),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [4877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 44),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [5011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 66),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [5029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 58),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [5033] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [5041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2),
  [5043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_heredoc_end] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
